#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2555
#define LARGE_STATE_COUNT 128
#define SYMBOL_COUNT 314
#define ALIAS_COUNT 4
#define TOKEN_COUNT 147
#define EXTERNAL_TOKEN_COUNT 13
#define FIELD_COUNT 27
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 101

enum ts_symbol_identifiers {
  aux_sym_recipe_token1 = 1,
  anon_sym_NULL = 2,
  anon_sym_EQ = 3,
  anon_sym_QMARK_EQ = 4,
  anon_sym_QMARK_QMARK_EQ = 5,
  anon_sym_COLON_EQ = 6,
  anon_sym_PLUS_EQ = 7,
  anon_sym_EQ_PLUS = 8,
  anon_sym_DOT_EQ = 9,
  anon_sym_EQ_DOT = 10,
  anon_sym_LBRACK = 11,
  anon_sym_noexec = 12,
  aux_sym_variable_flag_token1 = 13,
  anon_sym_RBRACK = 14,
  anon_sym_COLON = 15,
  anon_sym_append = 16,
  anon_sym_prepend = 17,
  anon_sym_remove = 18,
  anon_sym_unset = 19,
  anon_sym_inherit = 20,
  sym_inherit_path = 21,
  anon_sym_include = 22,
  aux_sym_include_directive_token1 = 23,
  anon_sym_require = 24,
  anon_sym_export = 25,
  anon_sym_OVERRIDES = 26,
  anon_sym_DQUOTE = 27,
  anon_sym_EXPORT_FUNCTIONS = 28,
  anon_sym_addtask = 29,
  anon_sym_after = 30,
  anon_sym_before = 31,
  anon_sym_deltask = 32,
  anon_sym_addhandler = 33,
  anon_sym_fakeroot = 34,
  anon_sym_python = 35,
  anon_sym_LPAREN = 36,
  anon_sym_RPAREN = 37,
  anon_sym_LBRACE = 38,
  anon_sym_RBRACE = 39,
  aux_sym_string_token1 = 40,
  aux_sym_string_token2 = 41,
  anon_sym_DOLLARBB_ENV_PASSTHROUGH = 42,
  anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS = 43,
  anon_sym_DOLLAR = 44,
  anon_sym_SQUOTE = 45,
  aux_sym_string_token3 = 46,
  aux_sym_string_token4 = 47,
  anon_sym_DOLLAR_LBRACE_AT = 48,
  anon_sym_DOLLAR_LBRACE = 49,
  anon_sym_def = 50,
  anon_sym_DASH_GT = 51,
  anon_sym_SEMI = 52,
  anon_sym_import = 53,
  anon_sym_DOT = 54,
  anon_sym_from = 55,
  anon_sym___future__ = 56,
  anon_sym_COMMA = 57,
  anon_sym_as = 58,
  anon_sym_STAR = 59,
  anon_sym_print = 60,
  anon_sym_GT_GT = 61,
  anon_sym_assert = 62,
  anon_sym_return = 63,
  anon_sym_del = 64,
  anon_sym_raise = 65,
  anon_sym_pass = 66,
  anon_sym_break = 67,
  anon_sym_continue = 68,
  anon_sym_global = 69,
  anon_sym_nonlocal = 70,
  anon_sym_exec = 71,
  anon_sym_in = 72,
  anon_sym_if = 73,
  anon_sym_elif = 74,
  anon_sym_else = 75,
  anon_sym_async = 76,
  anon_sym_for = 77,
  anon_sym_while = 78,
  anon_sym_try = 79,
  anon_sym_except = 80,
  anon_sym_except_STAR = 81,
  anon_sym_finally = 82,
  anon_sym_with = 83,
  anon_sym_not = 84,
  anon_sym_and = 85,
  anon_sym_or = 86,
  anon_sym_PLUS = 87,
  anon_sym_DASH = 88,
  anon_sym_AT = 89,
  anon_sym_SLASH = 90,
  anon_sym_PERCENT = 91,
  anon_sym_SLASH_SLASH = 92,
  anon_sym_STAR_STAR = 93,
  anon_sym_PIPE = 94,
  anon_sym_AMP = 95,
  anon_sym_CARET = 96,
  anon_sym_LT_LT = 97,
  anon_sym_TILDE = 98,
  anon_sym_LT = 99,
  anon_sym_LT_EQ = 100,
  anon_sym_EQ_EQ = 101,
  anon_sym_BANG_EQ = 102,
  anon_sym_GT_EQ = 103,
  anon_sym_GT = 104,
  anon_sym_LT_GT = 105,
  anon_sym_is = 106,
  anon_sym_lambda = 107,
  anon_sym_DASH_EQ = 108,
  anon_sym_STAR_EQ = 109,
  anon_sym_SLASH_EQ = 110,
  anon_sym_AT_EQ = 111,
  anon_sym_SLASH_SLASH_EQ = 112,
  anon_sym_PERCENT_EQ = 113,
  anon_sym_STAR_STAR_EQ = 114,
  anon_sym_GT_GT_EQ = 115,
  anon_sym_LT_LT_EQ = 116,
  anon_sym_AMP_EQ = 117,
  anon_sym_CARET_EQ = 118,
  anon_sym_PIPE_EQ = 119,
  anon_sym_yield = 120,
  sym_ellipsis = 121,
  sym_escape_sequence = 122,
  anon_sym_BSLASH = 123,
  aux_sym_format_specifier_token1 = 124,
  sym_type_conversion = 125,
  anon_sym_await = 126,
  anon_sym_match = 127,
  anon_sym_type = 128,
  sym_integer = 129,
  sym_float = 130,
  sym_true = 131,
  sym_false = 132,
  sym_none = 133,
  sym_python_identifier = 134,
  sym_identifier = 135,
  aux_sym__dotted_identifier_token1 = 136,
  sym_comment = 137,
  sym__concat = 138,
  sym__newline = 139,
  sym__indent = 140,
  sym__dedent = 141,
  sym_string_start = 142,
  sym__string_content = 143,
  sym_escape_interpolation = 144,
  sym_string_end = 145,
  sym_shell_content = 146,
  sym_recipe = 147,
  sym_variable_assignment = 148,
  sym_variable_flag = 149,
  sym_override = 150,
  sym_unset_statement = 151,
  sym_inherit_directive = 152,
  sym_include_directive = 153,
  sym_require_directive = 154,
  sym_export_statement = 155,
  sym_overrides_statement = 156,
  sym_export_functions_statement = 157,
  sym_addtask_statement = 158,
  sym_deltask_statement = 159,
  sym_addhandler_statement = 160,
  sym_anonymous_python_function = 161,
  sym_function_definition = 162,
  sym_literal = 163,
  sym_string = 164,
  sym_inline_python = 165,
  sym_variable_expansion = 166,
  sym_python_function_definition = 167,
  sym__statement = 168,
  sym__simple_statements = 169,
  sym_import_statement = 170,
  sym_import_prefix = 171,
  sym_relative_import = 172,
  sym_future_import_statement = 173,
  sym_import_from_statement = 174,
  sym__import_list = 175,
  sym_aliased_import = 176,
  sym_wildcard_import = 177,
  sym_print_statement = 178,
  sym_chevron = 179,
  sym_assert_statement = 180,
  sym_expression_statement = 181,
  sym_named_expression = 182,
  sym__named_expression_lhs = 183,
  sym_return_statement = 184,
  sym_delete_statement = 185,
  sym_raise_statement = 186,
  sym_pass_statement = 187,
  sym_break_statement = 188,
  sym_continue_statement = 189,
  sym_global_statement = 190,
  sym_nonlocal_statement = 191,
  sym_exec_statement = 192,
  sym_type_parameter = 193,
  sym_parenthesized_list_splat = 194,
  sym_argument_list = 195,
  sym_if_statement = 196,
  sym_elif_clause = 197,
  sym_else_clause = 198,
  sym_for_statement = 199,
  sym_while_statement = 200,
  sym_try_statement = 201,
  sym_except_clause = 202,
  sym_except_group_clause = 203,
  sym_finally_clause = 204,
  sym_with_statement = 205,
  sym_with_clause = 206,
  sym_with_item = 207,
  sym_dotted_name = 208,
  sym_not_operator = 209,
  sym_boolean_operator = 210,
  sym_binary_operator = 211,
  sym_unary_operator = 212,
  sym_comparison_operator = 213,
  sym_lambda = 214,
  sym_lambda_within_for_in_clause = 215,
  sym_assignment = 216,
  sym_augmented_assignment = 217,
  sym_pattern_list = 218,
  sym__right_hand_side = 219,
  sym_yield = 220,
  sym_attribute = 221,
  sym_subscript = 222,
  sym_slice = 223,
  sym_call = 224,
  sym_generator_expression = 225,
  sym__comprehension_clauses = 226,
  sym_parenthesized_expression = 227,
  sym__collection_elements = 228,
  sym_for_in_clause = 229,
  sym_if_clause = 230,
  sym_block = 231,
  sym_expression_list = 232,
  sym_parameters = 233,
  sym_lambda_parameters = 234,
  sym_list_splat = 235,
  sym_dictionary_splat = 236,
  sym__parameters = 237,
  sym__patterns = 238,
  sym_parameter = 239,
  sym_pattern = 240,
  sym_tuple_pattern = 241,
  sym_list_pattern = 242,
  sym_default_parameter = 243,
  sym_typed_default_parameter = 244,
  sym_list_splat_pattern = 245,
  sym_dictionary_splat_pattern = 246,
  sym_as_pattern = 247,
  sym__expression_within_for_in_clause = 248,
  sym_expression = 249,
  sym_primary_expression = 250,
  sym_typed_parameter = 251,
  sym_type = 252,
  sym_splat_type = 253,
  sym_generic_type = 254,
  sym_union_type = 255,
  sym_constrained_type = 256,
  sym_member_type = 257,
  sym_keyword_argument = 258,
  sym_list = 259,
  sym_set = 260,
  sym_tuple = 261,
  sym_dictionary = 262,
  sym_pair = 263,
  sym_list_comprehension = 264,
  sym_dictionary_comprehension = 265,
  sym_set_comprehension = 266,
  sym_conditional_expression = 267,
  sym_concatenated_string = 268,
  sym_python_string = 269,
  sym_string_content = 270,
  sym_interpolation = 271,
  sym__f_expression = 272,
  sym__not_escape_sequence = 273,
  sym_format_specifier = 274,
  sym_await = 275,
  sym_positional_separator = 276,
  sym_keyword_separator = 277,
  sym_concatenation = 278,
  aux_sym_recipe_repeat1 = 279,
  aux_sym_override_repeat1 = 280,
  aux_sym_inherit_directive_repeat1 = 281,
  aux_sym_overrides_statement_repeat1 = 282,
  aux_sym_export_functions_statement_repeat1 = 283,
  aux_sym_function_definition_repeat1 = 284,
  aux_sym_string_repeat1 = 285,
  aux_sym_string_repeat2 = 286,
  aux_sym__simple_statements_repeat1 = 287,
  aux_sym_import_prefix_repeat1 = 288,
  aux_sym__import_list_repeat1 = 289,
  aux_sym_print_statement_repeat1 = 290,
  aux_sym_assert_statement_repeat1 = 291,
  aux_sym_global_statement_repeat1 = 292,
  aux_sym_type_parameter_repeat1 = 293,
  aux_sym_argument_list_repeat1 = 294,
  aux_sym_if_statement_repeat1 = 295,
  aux_sym_try_statement_repeat1 = 296,
  aux_sym_try_statement_repeat2 = 297,
  aux_sym_with_clause_repeat1 = 298,
  aux_sym_dotted_name_repeat1 = 299,
  aux_sym_comparison_operator_repeat1 = 300,
  aux_sym_pattern_list_repeat1 = 301,
  aux_sym_subscript_repeat1 = 302,
  aux_sym__comprehension_clauses_repeat1 = 303,
  aux_sym__collection_elements_repeat1 = 304,
  aux_sym_for_in_clause_repeat1 = 305,
  aux_sym_block_repeat1 = 306,
  aux_sym__parameters_repeat1 = 307,
  aux_sym_dictionary_repeat1 = 308,
  aux_sym_concatenated_string_repeat1 = 309,
  aux_sym_python_string_repeat1 = 310,
  aux_sym_string_content_repeat1 = 311,
  aux_sym_format_specifier_repeat1 = 312,
  aux_sym_concatenation_repeat1 = 313,
  alias_sym_as_pattern_target = 314,
  alias_sym_format_expression = 315,
  anon_alias_sym_isnot = 316,
  anon_alias_sym_notin = 317,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [aux_sym_recipe_token1] = "recipe_token1",
  [anon_sym_NULL] = "\0",
  [anon_sym_EQ] = "=",
  [anon_sym_QMARK_EQ] = "\?=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_EQ_PLUS] = "=+",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_EQ_DOT] = "=.",
  [anon_sym_LBRACK] = "[",
  [anon_sym_noexec] = "noexec",
  [aux_sym_variable_flag_token1] = "flag",
  [anon_sym_RBRACK] = "]",
  [anon_sym_COLON] = ":",
  [anon_sym_append] = "append",
  [anon_sym_prepend] = "prepend",
  [anon_sym_remove] = "remove",
  [anon_sym_unset] = "unset",
  [anon_sym_inherit] = "inherit",
  [sym_inherit_path] = "inherit_path",
  [anon_sym_include] = "include",
  [aux_sym_include_directive_token1] = "include_path",
  [anon_sym_require] = "require",
  [anon_sym_export] = "export",
  [anon_sym_OVERRIDES] = "OVERRIDES",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_EXPORT_FUNCTIONS] = "EXPORT_FUNCTIONS",
  [anon_sym_addtask] = "addtask",
  [anon_sym_after] = "after",
  [anon_sym_before] = "before",
  [anon_sym_deltask] = "deltask",
  [anon_sym_addhandler] = "addhandler",
  [anon_sym_fakeroot] = "fakeroot",
  [anon_sym_python] = "python",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_string_token1] = "string_content",
  [aux_sym_string_token2] = "string_token2",
  [anon_sym_DOLLARBB_ENV_PASSTHROUGH] = "$BB_ENV_PASSTHROUGH",
  [anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS] = "$BB_ENV_PASSTHROUGH_ADDITIONS",
  [anon_sym_DOLLAR] = "string_content",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token3] = "string_content",
  [aux_sym_string_token4] = "string_token4",
  [anon_sym_DOLLAR_LBRACE_AT] = "${@",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_SEMI] = ";",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_in] = "in",
  [anon_sym_if] = "if",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_except_STAR] = "except*",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_AT] = "@",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [sym_ellipsis] = "ellipsis",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [anon_sym_await] = "await",
  [anon_sym_match] = "python_identifier",
  [anon_sym_type] = "python_identifier",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [sym_python_identifier] = "python_identifier",
  [sym_identifier] = "identifier",
  [aux_sym__dotted_identifier_token1] = "identifier",
  [sym_comment] = "comment",
  [sym__concat] = "_concat",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym_string_start] = "string_start",
  [sym__string_content] = "_string_content",
  [sym_escape_interpolation] = "escape_interpolation",
  [sym_string_end] = "string_end",
  [sym_shell_content] = "shell_content",
  [sym_recipe] = "recipe",
  [sym_variable_assignment] = "variable_assignment",
  [sym_variable_flag] = "variable_flag",
  [sym_override] = "override",
  [sym_unset_statement] = "unset_statement",
  [sym_inherit_directive] = "inherit_directive",
  [sym_include_directive] = "include_directive",
  [sym_require_directive] = "require_directive",
  [sym_export_statement] = "export_statement",
  [sym_overrides_statement] = "overrides_statement",
  [sym_export_functions_statement] = "export_functions_statement",
  [sym_addtask_statement] = "addtask_statement",
  [sym_deltask_statement] = "deltask_statement",
  [sym_addhandler_statement] = "addhandler_statement",
  [sym_anonymous_python_function] = "anonymous_python_function",
  [sym_function_definition] = "function_definition",
  [sym_literal] = "literal",
  [sym_string] = "string",
  [sym_inline_python] = "inline_python",
  [sym_variable_expansion] = "variable_expansion",
  [sym_python_function_definition] = "python_function_definition",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym__named_expression_lhs] = "_named_expression_lhs",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_type_parameter] = "type_parameter",
  [sym_parenthesized_list_splat] = "parenthesized_list_splat",
  [sym_argument_list] = "argument_list",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_except_group_clause] = "except_group_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_clause] = "with_clause",
  [sym_with_item] = "with_item",
  [sym_dotted_name] = "dotted_name",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pattern_list] = "pattern_list",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_generator_expression] = "generator_expression",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__collection_elements] = "_collection_elements",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_block] = "block",
  [sym_expression_list] = "expression_list",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym__parameters] = "_parameters",
  [sym__patterns] = "_patterns",
  [sym_parameter] = "parameter",
  [sym_pattern] = "pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat_pattern] = "list_splat_pattern",
  [sym_dictionary_splat_pattern] = "dictionary_splat_pattern",
  [sym_as_pattern] = "as_pattern",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_splat_type] = "splat_type",
  [sym_generic_type] = "generic_type",
  [sym_union_type] = "union_type",
  [sym_constrained_type] = "constrained_type",
  [sym_member_type] = "member_type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym_set] = "set",
  [sym_tuple] = "tuple",
  [sym_dictionary] = "dictionary",
  [sym_pair] = "pair",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_set_comprehension] = "set_comprehension",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_python_string] = "python_string",
  [sym_string_content] = "string_content",
  [sym_interpolation] = "interpolation",
  [sym__f_expression] = "_f_expression",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [sym_format_specifier] = "format_specifier",
  [sym_await] = "await",
  [sym_positional_separator] = "positional_separator",
  [sym_keyword_separator] = "keyword_separator",
  [sym_concatenation] = "concatenation",
  [aux_sym_recipe_repeat1] = "recipe_repeat1",
  [aux_sym_override_repeat1] = "override_repeat1",
  [aux_sym_inherit_directive_repeat1] = "inherit_directive_repeat1",
  [aux_sym_overrides_statement_repeat1] = "overrides_statement_repeat1",
  [aux_sym_export_functions_statement_repeat1] = "export_functions_statement_repeat1",
  [aux_sym_function_definition_repeat1] = "function_definition_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_type_parameter_repeat1] = "type_parameter_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_try_statement_repeat2] = "try_statement_repeat2",
  [aux_sym_with_clause_repeat1] = "with_clause_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_pattern_list_repeat1] = "pattern_list_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym__collection_elements_repeat1] = "_collection_elements_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_python_string_repeat1] = "python_string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
  [aux_sym_concatenation_repeat1] = "concatenation_repeat1",
  [alias_sym_as_pattern_target] = "as_pattern_target",
  [alias_sym_format_expression] = "format_expression",
  [anon_alias_sym_isnot] = "is not",
  [anon_alias_sym_notin] = "not in",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [aux_sym_recipe_token1] = aux_sym_recipe_token1,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_QMARK_EQ] = anon_sym_QMARK_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_EQ_PLUS] = anon_sym_EQ_PLUS,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_EQ_DOT] = anon_sym_EQ_DOT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_noexec] = anon_sym_noexec,
  [aux_sym_variable_flag_token1] = aux_sym_variable_flag_token1,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_append] = anon_sym_append,
  [anon_sym_prepend] = anon_sym_prepend,
  [anon_sym_remove] = anon_sym_remove,
  [anon_sym_unset] = anon_sym_unset,
  [anon_sym_inherit] = anon_sym_inherit,
  [sym_inherit_path] = sym_inherit_path,
  [anon_sym_include] = anon_sym_include,
  [aux_sym_include_directive_token1] = aux_sym_include_directive_token1,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_OVERRIDES] = anon_sym_OVERRIDES,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_EXPORT_FUNCTIONS] = anon_sym_EXPORT_FUNCTIONS,
  [anon_sym_addtask] = anon_sym_addtask,
  [anon_sym_after] = anon_sym_after,
  [anon_sym_before] = anon_sym_before,
  [anon_sym_deltask] = anon_sym_deltask,
  [anon_sym_addhandler] = anon_sym_addhandler,
  [anon_sym_fakeroot] = anon_sym_fakeroot,
  [anon_sym_python] = anon_sym_python,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_string_token1] = sym_string_content,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [anon_sym_DOLLARBB_ENV_PASSTHROUGH] = anon_sym_DOLLARBB_ENV_PASSTHROUGH,
  [anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS] = anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS,
  [anon_sym_DOLLAR] = sym_string_content,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token3] = sym_string_content,
  [aux_sym_string_token4] = aux_sym_string_token4,
  [anon_sym_DOLLAR_LBRACE_AT] = anon_sym_DOLLAR_LBRACE_AT,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_except_STAR] = anon_sym_except_STAR,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [sym_ellipsis] = sym_ellipsis,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_match] = sym_python_identifier,
  [anon_sym_type] = sym_python_identifier,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [sym_python_identifier] = sym_python_identifier,
  [sym_identifier] = sym_identifier,
  [aux_sym__dotted_identifier_token1] = sym_identifier,
  [sym_comment] = sym_comment,
  [sym__concat] = sym__concat,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym_string_start] = sym_string_start,
  [sym__string_content] = sym__string_content,
  [sym_escape_interpolation] = sym_escape_interpolation,
  [sym_string_end] = sym_string_end,
  [sym_shell_content] = sym_shell_content,
  [sym_recipe] = sym_recipe,
  [sym_variable_assignment] = sym_variable_assignment,
  [sym_variable_flag] = sym_variable_flag,
  [sym_override] = sym_override,
  [sym_unset_statement] = sym_unset_statement,
  [sym_inherit_directive] = sym_inherit_directive,
  [sym_include_directive] = sym_include_directive,
  [sym_require_directive] = sym_require_directive,
  [sym_export_statement] = sym_export_statement,
  [sym_overrides_statement] = sym_overrides_statement,
  [sym_export_functions_statement] = sym_export_functions_statement,
  [sym_addtask_statement] = sym_addtask_statement,
  [sym_deltask_statement] = sym_deltask_statement,
  [sym_addhandler_statement] = sym_addhandler_statement,
  [sym_anonymous_python_function] = sym_anonymous_python_function,
  [sym_function_definition] = sym_function_definition,
  [sym_literal] = sym_literal,
  [sym_string] = sym_string,
  [sym_inline_python] = sym_inline_python,
  [sym_variable_expansion] = sym_variable_expansion,
  [sym_python_function_definition] = sym_python_function_definition,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym__named_expression_lhs] = sym__named_expression_lhs,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_type_parameter] = sym_type_parameter,
  [sym_parenthesized_list_splat] = sym_parenthesized_list_splat,
  [sym_argument_list] = sym_argument_list,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_except_group_clause] = sym_except_group_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_clause] = sym_with_clause,
  [sym_with_item] = sym_with_item,
  [sym_dotted_name] = sym_dotted_name,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pattern_list] = sym_pattern_list,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_generator_expression] = sym_generator_expression,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__collection_elements] = sym__collection_elements,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_block] = sym_block,
  [sym_expression_list] = sym_expression_list,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym__parameters] = sym__parameters,
  [sym__patterns] = sym__patterns,
  [sym_parameter] = sym_parameter,
  [sym_pattern] = sym_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat_pattern] = sym_list_splat_pattern,
  [sym_dictionary_splat_pattern] = sym_dictionary_splat_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_splat_type] = sym_splat_type,
  [sym_generic_type] = sym_generic_type,
  [sym_union_type] = sym_union_type,
  [sym_constrained_type] = sym_constrained_type,
  [sym_member_type] = sym_member_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym_set] = sym_set,
  [sym_tuple] = sym_tuple,
  [sym_dictionary] = sym_dictionary,
  [sym_pair] = sym_pair,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_python_string] = sym_python_string,
  [sym_string_content] = sym_string_content,
  [sym_interpolation] = sym_interpolation,
  [sym__f_expression] = sym__f_expression,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [sym_format_specifier] = sym_format_specifier,
  [sym_await] = sym_await,
  [sym_positional_separator] = sym_positional_separator,
  [sym_keyword_separator] = sym_keyword_separator,
  [sym_concatenation] = sym_concatenation,
  [aux_sym_recipe_repeat1] = aux_sym_recipe_repeat1,
  [aux_sym_override_repeat1] = aux_sym_override_repeat1,
  [aux_sym_inherit_directive_repeat1] = aux_sym_inherit_directive_repeat1,
  [aux_sym_overrides_statement_repeat1] = aux_sym_overrides_statement_repeat1,
  [aux_sym_export_functions_statement_repeat1] = aux_sym_export_functions_statement_repeat1,
  [aux_sym_function_definition_repeat1] = aux_sym_function_definition_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_type_parameter_repeat1] = aux_sym_type_parameter_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_try_statement_repeat2] = aux_sym_try_statement_repeat2,
  [aux_sym_with_clause_repeat1] = aux_sym_with_clause_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_pattern_list_repeat1] = aux_sym_pattern_list_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym__collection_elements_repeat1] = aux_sym__collection_elements_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_python_string_repeat1] = aux_sym_python_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
  [aux_sym_concatenation_repeat1] = aux_sym_concatenation_repeat1,
  [alias_sym_as_pattern_target] = alias_sym_as_pattern_target,
  [alias_sym_format_expression] = alias_sym_format_expression,
  [anon_alias_sym_isnot] = anon_alias_sym_isnot,
  [anon_alias_sym_notin] = anon_alias_sym_notin,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_recipe_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexec] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_flag_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_append] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_prepend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_remove] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherit] = {
    .visible = true,
    .named = false,
  },
  [sym_inherit_path] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_directive_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_OVERRIDES] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EXPORT_FUNCTIONS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_addtask] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_after] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_before] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_deltask] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_addhandler] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fakeroot] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_python] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DOLLARBB_ENV_PASSTHROUGH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token3] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_token4] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym_python_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__dotted_identifier_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym_string_start] = {
    .visible = true,
    .named = true,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_string_end] = {
    .visible = true,
    .named = true,
  },
  [sym_shell_content] = {
    .visible = true,
    .named = true,
  },
  [sym_recipe] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_flag] = {
    .visible = true,
    .named = true,
  },
  [sym_override] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inherit_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_include_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_require_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_overrides_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_functions_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_addtask_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_deltask_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_addhandler_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_python_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_python] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_python_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__named_expression_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_except_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_list] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__patterns] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrained_type] = {
    .visible = true,
    .named = true,
  },
  [sym_member_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_python_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__f_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_recipe_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_override_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inherit_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_overrides_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_functions_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pattern_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__collection_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_python_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_as_pattern_target] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_isnot] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_notin] = {
    .visible = true,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_expression = 11,
  field_format_specifier = 12,
  field_function = 13,
  field_key = 14,
  field_left = 15,
  field_module_name = 16,
  field_name = 17,
  field_object = 18,
  field_operator = 19,
  field_operators = 20,
  field_parameters = 21,
  field_return_type = 22,
  field_right = 23,
  field_subscript = 24,
  field_type = 25,
  field_type_conversion = 26,
  field_value = 27,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_expression] = "expression",
  [field_format_specifier] = "format_specifier",
  [field_function] = "function",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_operators] = "operators",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subscript] = "subscript",
  [field_type] = "type",
  [field_type_conversion] = "type_conversion",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [5] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 2},
  [7] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 1},
  [9] = {.index = 7, .length = 1},
  [10] = {.index = 8, .length = 1},
  [11] = {.index = 9, .length = 2},
  [12] = {.index = 11, .length = 1},
  [13] = {.index = 12, .length = 3},
  [14] = {.index = 15, .length = 2},
  [15] = {.index = 17, .length = 1},
  [16] = {.index = 18, .length = 2},
  [17] = {.index = 20, .length = 3},
  [18] = {.index = 23, .length = 1},
  [20] = {.index = 24, .length = 1},
  [21] = {.index = 25, .length = 2},
  [22] = {.index = 27, .length = 1},
  [23] = {.index = 28, .length = 2},
  [24] = {.index = 30, .length = 2},
  [25] = {.index = 32, .length = 2},
  [26] = {.index = 32, .length = 2},
  [28] = {.index = 34, .length = 1},
  [29] = {.index = 35, .length = 1},
  [30] = {.index = 36, .length = 1},
  [31] = {.index = 37, .length = 4},
  [33] = {.index = 41, .length = 2},
  [34] = {.index = 43, .length = 2},
  [35] = {.index = 45, .length = 1},
  [36] = {.index = 46, .length = 3},
  [37] = {.index = 49, .length = 2},
  [38] = {.index = 9, .length = 2},
  [40] = {.index = 51, .length = 1},
  [41] = {.index = 52, .length = 2},
  [42] = {.index = 54, .length = 1},
  [43] = {.index = 55, .length = 2},
  [44] = {.index = 57, .length = 1},
  [45] = {.index = 58, .length = 2},
  [46] = {.index = 60, .length = 2},
  [47] = {.index = 62, .length = 4},
  [48] = {.index = 66, .length = 2},
  [49] = {.index = 68, .length = 2},
  [50] = {.index = 70, .length = 3},
  [51] = {.index = 73, .length = 2},
  [52] = {.index = 75, .length = 3},
  [54] = {.index = 78, .length = 1},
  [55] = {.index = 79, .length = 2},
  [56] = {.index = 81, .length = 2},
  [57] = {.index = 83, .length = 1},
  [58] = {.index = 84, .length = 2},
  [59] = {.index = 86, .length = 1},
  [60] = {.index = 87, .length = 2},
  [61] = {.index = 89, .length = 1},
  [62] = {.index = 90, .length = 5},
  [63] = {.index = 95, .length = 3},
  [64] = {.index = 98, .length = 2},
  [65] = {.index = 100, .length = 3},
  [67] = {.index = 103, .length = 2},
  [68] = {.index = 105, .length = 2},
  [69] = {.index = 8, .length = 1},
  [70] = {.index = 107, .length = 1},
  [71] = {.index = 108, .length = 3},
  [72] = {.index = 111, .length = 3},
  [73] = {.index = 114, .length = 1},
  [74] = {.index = 115, .length = 3},
  [75] = {.index = 118, .length = 3},
  [76] = {.index = 121, .length = 3},
  [77] = {.index = 124, .length = 1},
  [78] = {.index = 125, .length = 3},
  [79] = {.index = 128, .length = 3},
  [80] = {.index = 131, .length = 2},
  [81] = {.index = 133, .length = 2},
  [82] = {.index = 135, .length = 1},
  [83] = {.index = 136, .length = 2},
  [84] = {.index = 138, .length = 4},
  [85] = {.index = 142, .length = 2},
  [86] = {.index = 144, .length = 4},
  [87] = {.index = 148, .length = 4},
  [88] = {.index = 152, .length = 2},
  [89] = {.index = 154, .length = 3},
  [90] = {.index = 157, .length = 4},
  [92] = {.index = 161, .length = 5},
  [93] = {.index = 166, .length = 3},
  [94] = {.index = 169, .length = 4},
  [95] = {.index = 173, .length = 4},
  [97] = {.index = 177, .length = 4},
  [98] = {.index = 181, .length = 4},
  [99] = {.index = 185, .length = 5},
  [100] = {.index = 190, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_operator, 1},
  [1] =
    {field_argument, 1},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_arguments, 1},
    {field_function, 0},
  [6] =
    {field_operators, 1, .inherited = true},
  [7] =
    {field_operator, 2},
  [8] =
    {field_body, 2},
  [9] =
    {field_name, 0},
    {field_value, 2},
  [11] =
    {field_alias, 2},
  [12] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [15] =
    {field_attribute, 2},
    {field_object, 0},
  [17] =
    {field_operators, 0},
  [18] =
    {field_operators, 0, .inherited = true},
    {field_operators, 1, .inherited = true},
  [20] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [23] =
    {field_expression, 1},
  [24] =
    {field_body, 1},
  [25] =
    {field_key, 0},
    {field_value, 2},
  [27] =
    {field_type, 2},
  [28] =
    {field_body, 3},
    {field_parameters, 1},
  [30] =
    {field_subscript, 2},
    {field_value, 0},
  [32] =
    {field_operators, 0},
    {field_operators, 1},
  [34] =
    {field_name, 1, .inherited = true},
  [35] =
    {field_name, 0},
  [36] =
    {field_code, 1},
  [37] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [41] =
    {field_expression, 1},
    {field_type_conversion, 2},
  [43] =
    {field_expression, 1},
    {field_format_specifier, 2},
  [45] =
    {field_subscript, 1},
  [46] =
    {field_subscript, 2},
    {field_subscript, 3, .inherited = true},
    {field_value, 0},
  [49] =
    {field_subscript, 0, .inherited = true},
    {field_subscript, 1, .inherited = true},
  [51] =
    {field_value, 0},
  [52] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [54] =
    {field_argument, 2, .inherited = true},
  [55] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [57] =
    {field_cause, 2},
  [58] =
    {field_left, 0},
    {field_right, 2},
  [60] =
    {field_left, 0},
    {field_type, 2},
  [62] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [66] =
    {field_expression, 1},
    {field_type_conversion, 3},
  [68] =
    {field_expression, 1},
    {field_format_specifier, 3},
  [70] =
    {field_expression, 1},
    {field_format_specifier, 3},
    {field_type_conversion, 2},
  [73] =
    {field_left, 1},
    {field_right, 3},
  [75] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [78] =
    {field_name, 1},
  [79] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [81] =
    {field_alias, 2},
    {field_name, 0},
  [83] =
    {field_name, 3, .inherited = true},
  [84] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [86] =
    {field_module_name, 1},
  [87] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [89] =
    {field_cause, 3},
  [90] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [95] =
    {field_expression, 1},
    {field_format_specifier, 4},
    {field_type_conversion, 3},
  [98] =
    {field_left, 2},
    {field_right, 4},
  [100] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [103] =
    {field_condition, 1},
    {field_consequence, 3},
  [105] =
    {field_body, 3},
    {field_condition, 1},
  [107] =
    {field_body, 3},
  [108] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [111] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [114] =
    {field_alternative, 0},
  [115] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [118] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [121] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [124] =
    {field_body, 4},
  [125] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [128] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [131] =
    {field_body, 2},
    {field_body, 3},
  [133] =
    {field_body, 3},
    {field_body, 4},
  [135] =
    {field_name, 4, .inherited = true},
  [136] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [138] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [142] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [144] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [148] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [152] =
    {field_body, 4},
    {field_body, 5},
  [154] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [157] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [161] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [166] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [169] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [173] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [177] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [181] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [185] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [190] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_python_identifier,
  },
  [2] = {
    [0] = sym_list_splat,
  },
  [4] = {
    [1] = sym_python_identifier,
  },
  [12] = {
    [2] = alias_sym_as_pattern_target,
  },
  [17] = {
    [4] = sym_block,
  },
  [19] = {
    [1] = sym_parenthesized_expression,
  },
  [25] = {
    [0] = anon_alias_sym_notin,
    [1] = anon_alias_sym_notin,
  },
  [26] = {
    [0] = anon_alias_sym_isnot,
    [1] = anon_alias_sym_isnot,
  },
  [27] = {
    [4] = sym_block,
  },
  [32] = {
    [0] = alias_sym_format_expression,
  },
  [38] = {
    [0] = sym_python_identifier,
  },
  [39] = {
    [5] = sym_block,
  },
  [47] = {
    [6] = sym_block,
  },
  [53] = {
    [6] = sym_block,
  },
  [66] = {
    [7] = sym_block,
  },
  [67] = {
    [3] = sym_block,
  },
  [68] = {
    [3] = sym_block,
  },
  [69] = {
    [2] = sym_block,
  },
  [70] = {
    [3] = sym_block,
  },
  [74] = {
    [3] = sym_block,
  },
  [75] = {
    [3] = sym_block,
  },
  [77] = {
    [4] = sym_block,
  },
  [78] = {
    [3] = sym_block,
  },
  [84] = {
    [3] = sym_block,
  },
  [89] = {
    [5] = sym_block,
  },
  [91] = {
    [2] = sym_block,
  },
  [93] = {
    [6] = sym_block,
  },
  [94] = {
    [5] = sym_block,
  },
  [96] = {
    [3] = sym_block,
  },
  [97] = {
    [6] = sym_block,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_statements, 2,
    sym__simple_statements,
    sym_block,
  sym_parenthesized_list_splat, 2,
    sym_parenthesized_list_splat,
    sym_parenthesized_expression,
  sym_list_splat_pattern, 2,
    sym_list_splat_pattern,
    sym_list_splat,
  sym_expression, 2,
    sym_expression,
    alias_sym_as_pattern_target,
  sym_interpolation, 2,
    sym_interpolation,
    alias_sym_format_expression,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 3,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 4,
  [25] = 7,
  [26] = 26,
  [27] = 26,
  [28] = 26,
  [29] = 29,
  [30] = 26,
  [31] = 26,
  [32] = 26,
  [33] = 26,
  [34] = 26,
  [35] = 26,
  [36] = 36,
  [37] = 37,
  [38] = 36,
  [39] = 37,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 45,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 51,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 62,
  [64] = 61,
  [65] = 61,
  [66] = 62,
  [67] = 61,
  [68] = 62,
  [69] = 62,
  [70] = 62,
  [71] = 61,
  [72] = 61,
  [73] = 62,
  [74] = 61,
  [75] = 61,
  [76] = 61,
  [77] = 62,
  [78] = 62,
  [79] = 79,
  [80] = 80,
  [81] = 80,
  [82] = 82,
  [83] = 80,
  [84] = 84,
  [85] = 84,
  [86] = 84,
  [87] = 87,
  [88] = 84,
  [89] = 89,
  [90] = 87,
  [91] = 84,
  [92] = 92,
  [93] = 82,
  [94] = 82,
  [95] = 89,
  [96] = 87,
  [97] = 97,
  [98] = 82,
  [99] = 82,
  [100] = 84,
  [101] = 84,
  [102] = 87,
  [103] = 92,
  [104] = 80,
  [105] = 82,
  [106] = 87,
  [107] = 82,
  [108] = 89,
  [109] = 84,
  [110] = 84,
  [111] = 80,
  [112] = 89,
  [113] = 82,
  [114] = 89,
  [115] = 82,
  [116] = 87,
  [117] = 87,
  [118] = 89,
  [119] = 82,
  [120] = 82,
  [121] = 87,
  [122] = 87,
  [123] = 84,
  [124] = 97,
  [125] = 82,
  [126] = 87,
  [127] = 82,
  [128] = 128,
  [129] = 128,
  [130] = 130,
  [131] = 130,
  [132] = 128,
  [133] = 133,
  [134] = 133,
  [135] = 135,
  [136] = 135,
  [137] = 137,
  [138] = 138,
  [139] = 133,
  [140] = 128,
  [141] = 135,
  [142] = 142,
  [143] = 133,
  [144] = 128,
  [145] = 135,
  [146] = 133,
  [147] = 128,
  [148] = 135,
  [149] = 133,
  [150] = 128,
  [151] = 135,
  [152] = 133,
  [153] = 133,
  [154] = 128,
  [155] = 135,
  [156] = 128,
  [157] = 135,
  [158] = 128,
  [159] = 128,
  [160] = 135,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 163,
  [165] = 165,
  [166] = 166,
  [167] = 165,
  [168] = 168,
  [169] = 169,
  [170] = 165,
  [171] = 165,
  [172] = 165,
  [173] = 173,
  [174] = 174,
  [175] = 162,
  [176] = 176,
  [177] = 177,
  [178] = 168,
  [179] = 165,
  [180] = 174,
  [181] = 161,
  [182] = 168,
  [183] = 165,
  [184] = 174,
  [185] = 185,
  [186] = 186,
  [187] = 168,
  [188] = 166,
  [189] = 189,
  [190] = 165,
  [191] = 174,
  [192] = 189,
  [193] = 189,
  [194] = 189,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 195,
  [203] = 196,
  [204] = 197,
  [205] = 198,
  [206] = 199,
  [207] = 200,
  [208] = 201,
  [209] = 195,
  [210] = 196,
  [211] = 197,
  [212] = 198,
  [213] = 199,
  [214] = 200,
  [215] = 196,
  [216] = 197,
  [217] = 201,
  [218] = 195,
  [219] = 196,
  [220] = 197,
  [221] = 198,
  [222] = 199,
  [223] = 200,
  [224] = 201,
  [225] = 195,
  [226] = 201,
  [227] = 195,
  [228] = 196,
  [229] = 197,
  [230] = 200,
  [231] = 198,
  [232] = 199,
  [233] = 201,
  [234] = 195,
  [235] = 198,
  [236] = 196,
  [237] = 197,
  [238] = 199,
  [239] = 198,
  [240] = 199,
  [241] = 199,
  [242] = 200,
  [243] = 201,
  [244] = 196,
  [245] = 197,
  [246] = 201,
  [247] = 195,
  [248] = 198,
  [249] = 82,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 256,
  [258] = 251,
  [259] = 259,
  [260] = 259,
  [261] = 254,
  [262] = 262,
  [263] = 255,
  [264] = 262,
  [265] = 259,
  [266] = 251,
  [267] = 254,
  [268] = 262,
  [269] = 255,
  [270] = 256,
  [271] = 97,
  [272] = 272,
  [273] = 272,
  [274] = 274,
  [275] = 272,
  [276] = 272,
  [277] = 277,
  [278] = 274,
  [279] = 277,
  [280] = 274,
  [281] = 274,
  [282] = 272,
  [283] = 186,
  [284] = 186,
  [285] = 274,
  [286] = 274,
  [287] = 287,
  [288] = 277,
  [289] = 274,
  [290] = 272,
  [291] = 186,
  [292] = 272,
  [293] = 272,
  [294] = 274,
  [295] = 295,
  [296] = 252,
  [297] = 297,
  [298] = 295,
  [299] = 295,
  [300] = 300,
  [301] = 301,
  [302] = 297,
  [303] = 295,
  [304] = 297,
  [305] = 297,
  [306] = 301,
  [307] = 253,
  [308] = 297,
  [309] = 301,
  [310] = 295,
  [311] = 297,
  [312] = 312,
  [313] = 301,
  [314] = 295,
  [315] = 301,
  [316] = 297,
  [317] = 301,
  [318] = 295,
  [319] = 301,
  [320] = 295,
  [321] = 297,
  [322] = 301,
  [323] = 297,
  [324] = 301,
  [325] = 295,
  [326] = 326,
  [327] = 82,
  [328] = 328,
  [329] = 297,
  [330] = 301,
  [331] = 295,
  [332] = 332,
  [333] = 333,
  [334] = 97,
  [335] = 252,
  [336] = 253,
  [337] = 82,
  [338] = 252,
  [339] = 253,
  [340] = 252,
  [341] = 341,
  [342] = 253,
  [343] = 97,
  [344] = 344,
  [345] = 82,
  [346] = 82,
  [347] = 82,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 349,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 355,
  [361] = 361,
  [362] = 362,
  [363] = 349,
  [364] = 355,
  [365] = 356,
  [366] = 357,
  [367] = 358,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 356,
  [372] = 372,
  [373] = 373,
  [374] = 357,
  [375] = 375,
  [376] = 358,
  [377] = 97,
  [378] = 332,
  [379] = 348,
  [380] = 348,
  [381] = 348,
  [382] = 348,
  [383] = 348,
  [384] = 348,
  [385] = 348,
  [386] = 348,
  [387] = 348,
  [388] = 388,
  [389] = 389,
  [390] = 252,
  [391] = 391,
  [392] = 391,
  [393] = 253,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 396,
  [398] = 398,
  [399] = 87,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 396,
  [410] = 398,
  [411] = 400,
  [412] = 401,
  [413] = 402,
  [414] = 403,
  [415] = 404,
  [416] = 407,
  [417] = 417,
  [418] = 396,
  [419] = 419,
  [420] = 398,
  [421] = 400,
  [422] = 422,
  [423] = 400,
  [424] = 401,
  [425] = 402,
  [426] = 403,
  [427] = 404,
  [428] = 407,
  [429] = 396,
  [430] = 398,
  [431] = 431,
  [432] = 407,
  [433] = 400,
  [434] = 401,
  [435] = 402,
  [436] = 403,
  [437] = 404,
  [438] = 407,
  [439] = 396,
  [440] = 440,
  [441] = 441,
  [442] = 400,
  [443] = 401,
  [444] = 402,
  [445] = 403,
  [446] = 404,
  [447] = 407,
  [448] = 448,
  [449] = 401,
  [450] = 402,
  [451] = 82,
  [452] = 452,
  [453] = 403,
  [454] = 404,
  [455] = 396,
  [456] = 398,
  [457] = 400,
  [458] = 458,
  [459] = 459,
  [460] = 406,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 459,
  [465] = 463,
  [466] = 466,
  [467] = 458,
  [468] = 398,
  [469] = 469,
  [470] = 401,
  [471] = 463,
  [472] = 472,
  [473] = 458,
  [474] = 398,
  [475] = 398,
  [476] = 458,
  [477] = 401,
  [478] = 402,
  [479] = 403,
  [480] = 404,
  [481] = 407,
  [482] = 396,
  [483] = 483,
  [484] = 402,
  [485] = 458,
  [486] = 400,
  [487] = 406,
  [488] = 462,
  [489] = 401,
  [490] = 402,
  [491] = 403,
  [492] = 404,
  [493] = 463,
  [494] = 448,
  [495] = 407,
  [496] = 458,
  [497] = 403,
  [498] = 396,
  [499] = 499,
  [500] = 463,
  [501] = 404,
  [502] = 419,
  [503] = 503,
  [504] = 406,
  [505] = 505,
  [506] = 463,
  [507] = 398,
  [508] = 462,
  [509] = 417,
  [510] = 510,
  [511] = 511,
  [512] = 400,
  [513] = 513,
  [514] = 401,
  [515] = 461,
  [516] = 407,
  [517] = 466,
  [518] = 452,
  [519] = 402,
  [520] = 398,
  [521] = 466,
  [522] = 452,
  [523] = 403,
  [524] = 466,
  [525] = 452,
  [526] = 404,
  [527] = 452,
  [528] = 407,
  [529] = 452,
  [530] = 452,
  [531] = 452,
  [532] = 396,
  [533] = 452,
  [534] = 452,
  [535] = 400,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 544,
  [546] = 543,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 161,
  [554] = 162,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 547,
  [561] = 561,
  [562] = 561,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 550,
  [572] = 572,
  [573] = 551,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 575,
  [585] = 585,
  [586] = 586,
  [587] = 586,
  [588] = 588,
  [589] = 576,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 588,
  [595] = 593,
  [596] = 585,
  [597] = 597,
  [598] = 593,
  [599] = 576,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 597,
  [606] = 606,
  [607] = 607,
  [608] = 585,
  [609] = 609,
  [610] = 610,
  [611] = 162,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 613,
  [616] = 616,
  [617] = 617,
  [618] = 600,
  [619] = 161,
  [620] = 620,
  [621] = 586,
  [622] = 622,
  [623] = 588,
  [624] = 613,
  [625] = 600,
  [626] = 620,
  [627] = 627,
  [628] = 628,
  [629] = 576,
  [630] = 588,
  [631] = 586,
  [632] = 628,
  [633] = 628,
  [634] = 588,
  [635] = 585,
  [636] = 628,
  [637] = 576,
  [638] = 593,
  [639] = 585,
  [640] = 586,
  [641] = 593,
  [642] = 628,
  [643] = 628,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 593,
  [650] = 588,
  [651] = 586,
  [652] = 576,
  [653] = 585,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 644,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 627,
  [677] = 677,
  [678] = 678,
  [679] = 654,
  [680] = 680,
  [681] = 680,
  [682] = 680,
  [683] = 680,
  [684] = 680,
  [685] = 680,
  [686] = 680,
  [687] = 680,
  [688] = 680,
  [689] = 680,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 690,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 692,
  [698] = 690,
  [699] = 699,
  [700] = 691,
  [701] = 701,
  [702] = 696,
  [703] = 692,
  [704] = 690,
  [705] = 694,
  [706] = 695,
  [707] = 694,
  [708] = 701,
  [709] = 695,
  [710] = 710,
  [711] = 711,
  [712] = 701,
  [713] = 710,
  [714] = 711,
  [715] = 710,
  [716] = 711,
  [717] = 711,
  [718] = 699,
  [719] = 691,
  [720] = 696,
  [721] = 692,
  [722] = 722,
  [723] = 690,
  [724] = 722,
  [725] = 725,
  [726] = 725,
  [727] = 699,
  [728] = 694,
  [729] = 729,
  [730] = 699,
  [731] = 691,
  [732] = 696,
  [733] = 692,
  [734] = 690,
  [735] = 694,
  [736] = 695,
  [737] = 701,
  [738] = 695,
  [739] = 710,
  [740] = 711,
  [741] = 691,
  [742] = 722,
  [743] = 725,
  [744] = 701,
  [745] = 729,
  [746] = 699,
  [747] = 691,
  [748] = 701,
  [749] = 696,
  [750] = 690,
  [751] = 692,
  [752] = 701,
  [753] = 694,
  [754] = 710,
  [755] = 711,
  [756] = 695,
  [757] = 722,
  [758] = 725,
  [759] = 694,
  [760] = 729,
  [761] = 695,
  [762] = 762,
  [763] = 695,
  [764] = 711,
  [765] = 696,
  [766] = 699,
  [767] = 691,
  [768] = 722,
  [769] = 725,
  [770] = 696,
  [771] = 692,
  [772] = 699,
  [773] = 690,
  [774] = 694,
  [775] = 695,
  [776] = 694,
  [777] = 722,
  [778] = 710,
  [779] = 725,
  [780] = 722,
  [781] = 725,
  [782] = 699,
  [783] = 729,
  [784] = 762,
  [785] = 711,
  [786] = 710,
  [787] = 722,
  [788] = 725,
  [789] = 711,
  [790] = 691,
  [791] = 692,
  [792] = 710,
  [793] = 695,
  [794] = 722,
  [795] = 725,
  [796] = 710,
  [797] = 701,
  [798] = 711,
  [799] = 729,
  [800] = 722,
  [801] = 725,
  [802] = 690,
  [803] = 699,
  [804] = 722,
  [805] = 725,
  [806] = 691,
  [807] = 722,
  [808] = 722,
  [809] = 722,
  [810] = 722,
  [811] = 722,
  [812] = 722,
  [813] = 722,
  [814] = 696,
  [815] = 692,
  [816] = 690,
  [817] = 694,
  [818] = 695,
  [819] = 699,
  [820] = 691,
  [821] = 701,
  [822] = 696,
  [823] = 692,
  [824] = 699,
  [825] = 691,
  [826] = 701,
  [827] = 696,
  [828] = 692,
  [829] = 690,
  [830] = 696,
  [831] = 694,
  [832] = 710,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 833,
  [837] = 837,
  [838] = 835,
  [839] = 835,
  [840] = 833,
  [841] = 837,
  [842] = 837,
  [843] = 834,
  [844] = 834,
  [845] = 834,
  [846] = 833,
  [847] = 833,
  [848] = 835,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 849,
  [856] = 856,
  [857] = 833,
  [858] = 858,
  [859] = 852,
  [860] = 834,
  [861] = 856,
  [862] = 862,
  [863] = 854,
  [864] = 864,
  [865] = 833,
  [866] = 866,
  [867] = 837,
  [868] = 835,
  [869] = 837,
  [870] = 870,
  [871] = 850,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 835,
  [876] = 876,
  [877] = 849,
  [878] = 834,
  [879] = 837,
  [880] = 876,
  [881] = 881,
  [882] = 876,
  [883] = 837,
  [884] = 837,
  [885] = 856,
  [886] = 852,
  [887] = 858,
  [888] = 872,
  [889] = 873,
  [890] = 853,
  [891] = 850,
  [892] = 834,
  [893] = 851,
  [894] = 862,
  [895] = 858,
  [896] = 872,
  [897] = 851,
  [898] = 862,
  [899] = 873,
  [900] = 853,
  [901] = 835,
  [902] = 854,
  [903] = 872,
  [904] = 854,
  [905] = 849,
  [906] = 851,
  [907] = 862,
  [908] = 856,
  [909] = 852,
  [910] = 858,
  [911] = 872,
  [912] = 873,
  [913] = 853,
  [914] = 850,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 851,
  [923] = 866,
  [924] = 862,
  [925] = 870,
  [926] = 881,
  [927] = 864,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 874,
  [948] = 564,
  [949] = 565,
  [950] = 566,
  [951] = 567,
  [952] = 568,
  [953] = 569,
  [954] = 570,
  [955] = 955,
  [956] = 854,
  [957] = 552,
  [958] = 555,
  [959] = 959,
  [960] = 852,
  [961] = 858,
  [962] = 872,
  [963] = 873,
  [964] = 853,
  [965] = 850,
  [966] = 548,
  [967] = 854,
  [968] = 849,
  [969] = 969,
  [970] = 856,
  [971] = 852,
  [972] = 837,
  [973] = 876,
  [974] = 854,
  [975] = 849,
  [976] = 849,
  [977] = 858,
  [978] = 876,
  [979] = 851,
  [980] = 862,
  [981] = 873,
  [982] = 853,
  [983] = 850,
  [984] = 870,
  [985] = 881,
  [986] = 544,
  [987] = 543,
  [988] = 542,
  [989] = 874,
  [990] = 990,
  [991] = 834,
  [992] = 866,
  [993] = 993,
  [994] = 994,
  [995] = 856,
  [996] = 835,
  [997] = 852,
  [998] = 876,
  [999] = 959,
  [1000] = 876,
  [1001] = 858,
  [1002] = 864,
  [1003] = 872,
  [1004] = 833,
  [1005] = 1005,
  [1006] = 873,
  [1007] = 853,
  [1008] = 851,
  [1009] = 862,
  [1010] = 850,
  [1011] = 837,
  [1012] = 856,
  [1013] = 934,
  [1014] = 935,
  [1015] = 936,
  [1016] = 937,
  [1017] = 938,
  [1018] = 939,
  [1019] = 935,
  [1020] = 569,
  [1021] = 548,
  [1022] = 959,
  [1023] = 916,
  [1024] = 921,
  [1025] = 937,
  [1026] = 565,
  [1027] = 548,
  [1028] = 940,
  [1029] = 941,
  [1030] = 993,
  [1031] = 864,
  [1032] = 942,
  [1033] = 942,
  [1034] = 565,
  [1035] = 566,
  [1036] = 567,
  [1037] = 568,
  [1038] = 943,
  [1039] = 944,
  [1040] = 569,
  [1041] = 570,
  [1042] = 945,
  [1043] = 946,
  [1044] = 566,
  [1045] = 567,
  [1046] = 568,
  [1047] = 548,
  [1048] = 943,
  [1049] = 944,
  [1050] = 837,
  [1051] = 864,
  [1052] = 928,
  [1053] = 994,
  [1054] = 917,
  [1055] = 990,
  [1056] = 565,
  [1057] = 570,
  [1058] = 918,
  [1059] = 876,
  [1060] = 851,
  [1061] = 862,
  [1062] = 552,
  [1063] = 555,
  [1064] = 928,
  [1065] = 544,
  [1066] = 555,
  [1067] = 940,
  [1068] = 881,
  [1069] = 543,
  [1070] = 542,
  [1071] = 874,
  [1072] = 874,
  [1073] = 938,
  [1074] = 569,
  [1075] = 551,
  [1076] = 929,
  [1077] = 570,
  [1078] = 945,
  [1079] = 915,
  [1080] = 946,
  [1081] = 930,
  [1082] = 931,
  [1083] = 932,
  [1084] = 876,
  [1085] = 854,
  [1086] = 849,
  [1087] = 916,
  [1088] = 544,
  [1089] = 933,
  [1090] = 939,
  [1091] = 547,
  [1092] = 561,
  [1093] = 864,
  [1094] = 990,
  [1095] = 917,
  [1096] = 919,
  [1097] = 851,
  [1098] = 862,
  [1099] = 543,
  [1100] = 542,
  [1101] = 941,
  [1102] = 993,
  [1103] = 994,
  [1104] = 874,
  [1105] = 934,
  [1106] = 866,
  [1107] = 929,
  [1108] = 921,
  [1109] = 870,
  [1110] = 881,
  [1111] = 930,
  [1112] = 837,
  [1113] = 567,
  [1114] = 552,
  [1115] = 931,
  [1116] = 932,
  [1117] = 919,
  [1118] = 854,
  [1119] = 564,
  [1120] = 849,
  [1121] = 933,
  [1122] = 920,
  [1123] = 564,
  [1124] = 564,
  [1125] = 568,
  [1126] = 920,
  [1127] = 918,
  [1128] = 936,
  [1129] = 866,
  [1130] = 856,
  [1131] = 852,
  [1132] = 550,
  [1133] = 959,
  [1134] = 858,
  [1135] = 856,
  [1136] = 872,
  [1137] = 873,
  [1138] = 853,
  [1139] = 850,
  [1140] = 852,
  [1141] = 881,
  [1142] = 858,
  [1143] = 872,
  [1144] = 873,
  [1145] = 853,
  [1146] = 837,
  [1147] = 866,
  [1148] = 850,
  [1149] = 874,
  [1150] = 915,
  [1151] = 870,
  [1152] = 881,
  [1153] = 864,
  [1154] = 866,
  [1155] = 870,
  [1156] = 870,
  [1157] = 566,
  [1158] = 566,
  [1159] = 550,
  [1160] = 551,
  [1161] = 917,
  [1162] = 918,
  [1163] = 939,
  [1164] = 939,
  [1165] = 565,
  [1166] = 919,
  [1167] = 940,
  [1168] = 941,
  [1169] = 866,
  [1170] = 920,
  [1171] = 942,
  [1172] = 915,
  [1173] = 942,
  [1174] = 870,
  [1175] = 566,
  [1176] = 881,
  [1177] = 567,
  [1178] = 916,
  [1179] = 917,
  [1180] = 568,
  [1181] = 943,
  [1182] = 918,
  [1183] = 919,
  [1184] = 920,
  [1185] = 555,
  [1186] = 548,
  [1187] = 921,
  [1188] = 917,
  [1189] = 548,
  [1190] = 921,
  [1191] = 934,
  [1192] = 942,
  [1193] = 1005,
  [1194] = 548,
  [1195] = 944,
  [1196] = 969,
  [1197] = 955,
  [1198] = 564,
  [1199] = 939,
  [1200] = 566,
  [1201] = 567,
  [1202] = 568,
  [1203] = 936,
  [1204] = 569,
  [1205] = 928,
  [1206] = 943,
  [1207] = 944,
  [1208] = 570,
  [1209] = 929,
  [1210] = 945,
  [1211] = 548,
  [1212] = 547,
  [1213] = 930,
  [1214] = 931,
  [1215] = 569,
  [1216] = 561,
  [1217] = 570,
  [1218] = 946,
  [1219] = 929,
  [1220] = 930,
  [1221] = 931,
  [1222] = 932,
  [1223] = 933,
  [1224] = 945,
  [1225] = 552,
  [1226] = 940,
  [1227] = 943,
  [1228] = 941,
  [1229] = 547,
  [1230] = 934,
  [1231] = 1231,
  [1232] = 561,
  [1233] = 944,
  [1234] = 935,
  [1235] = 928,
  [1236] = 555,
  [1237] = 928,
  [1238] = 550,
  [1239] = 551,
  [1240] = 937,
  [1241] = 935,
  [1242] = 928,
  [1243] = 572,
  [1244] = 945,
  [1245] = 936,
  [1246] = 937,
  [1247] = 946,
  [1248] = 938,
  [1249] = 939,
  [1250] = 940,
  [1251] = 941,
  [1252] = 946,
  [1253] = 552,
  [1254] = 565,
  [1255] = 555,
  [1256] = 942,
  [1257] = 932,
  [1258] = 943,
  [1259] = 944,
  [1260] = 929,
  [1261] = 945,
  [1262] = 946,
  [1263] = 940,
  [1264] = 933,
  [1265] = 930,
  [1266] = 919,
  [1267] = 921,
  [1268] = 941,
  [1269] = 548,
  [1270] = 931,
  [1271] = 864,
  [1272] = 552,
  [1273] = 555,
  [1274] = 915,
  [1275] = 932,
  [1276] = 933,
  [1277] = 550,
  [1278] = 929,
  [1279] = 930,
  [1280] = 931,
  [1281] = 932,
  [1282] = 933,
  [1283] = 920,
  [1284] = 921,
  [1285] = 934,
  [1286] = 934,
  [1287] = 564,
  [1288] = 918,
  [1289] = 874,
  [1290] = 919,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 935,
  [1294] = 564,
  [1295] = 572,
  [1296] = 551,
  [1297] = 920,
  [1298] = 548,
  [1299] = 936,
  [1300] = 937,
  [1301] = 565,
  [1302] = 918,
  [1303] = 938,
  [1304] = 916,
  [1305] = 547,
  [1306] = 561,
  [1307] = 916,
  [1308] = 567,
  [1309] = 915,
  [1310] = 568,
  [1311] = 1311,
  [1312] = 938,
  [1313] = 569,
  [1314] = 570,
  [1315] = 552,
  [1316] = 915,
  [1317] = 935,
  [1318] = 936,
  [1319] = 937,
  [1320] = 916,
  [1321] = 917,
  [1322] = 837,
  [1323] = 938,
  [1324] = 993,
  [1325] = 919,
  [1326] = 920,
  [1327] = 552,
  [1328] = 994,
  [1329] = 921,
  [1330] = 555,
  [1331] = 851,
  [1332] = 862,
  [1333] = 872,
  [1334] = 854,
  [1335] = 849,
  [1336] = 572,
  [1337] = 990,
  [1338] = 928,
  [1339] = 993,
  [1340] = 990,
  [1341] = 993,
  [1342] = 994,
  [1343] = 929,
  [1344] = 930,
  [1345] = 931,
  [1346] = 932,
  [1347] = 933,
  [1348] = 876,
  [1349] = 565,
  [1350] = 994,
  [1351] = 934,
  [1352] = 873,
  [1353] = 856,
  [1354] = 853,
  [1355] = 850,
  [1356] = 566,
  [1357] = 935,
  [1358] = 936,
  [1359] = 937,
  [1360] = 938,
  [1361] = 939,
  [1362] = 548,
  [1363] = 940,
  [1364] = 941,
  [1365] = 567,
  [1366] = 568,
  [1367] = 942,
  [1368] = 569,
  [1369] = 570,
  [1370] = 943,
  [1371] = 944,
  [1372] = 852,
  [1373] = 572,
  [1374] = 858,
  [1375] = 945,
  [1376] = 946,
  [1377] = 564,
  [1378] = 915,
  [1379] = 990,
  [1380] = 916,
  [1381] = 917,
  [1382] = 918,
  [1383] = 548,
  [1384] = 1291,
  [1385] = 547,
  [1386] = 548,
  [1387] = 552,
  [1388] = 561,
  [1389] = 555,
  [1390] = 550,
  [1391] = 565,
  [1392] = 566,
  [1393] = 567,
  [1394] = 551,
  [1395] = 568,
  [1396] = 569,
  [1397] = 570,
  [1398] = 1292,
  [1399] = 564,
  [1400] = 548,
  [1401] = 548,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1402,
  [1405] = 547,
  [1406] = 1291,
  [1407] = 561,
  [1408] = 550,
  [1409] = 1403,
  [1410] = 551,
  [1411] = 1292,
  [1412] = 1402,
  [1413] = 1403,
  [1414] = 1403,
  [1415] = 1403,
  [1416] = 1402,
  [1417] = 1402,
  [1418] = 1403,
  [1419] = 1402,
  [1420] = 555,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1402,
  [1424] = 548,
  [1425] = 1403,
  [1426] = 1403,
  [1427] = 1402,
  [1428] = 1403,
  [1429] = 1429,
  [1430] = 552,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1402,
  [1434] = 1434,
  [1435] = 1431,
  [1436] = 547,
  [1437] = 561,
  [1438] = 561,
  [1439] = 1439,
  [1440] = 1292,
  [1441] = 550,
  [1442] = 1442,
  [1443] = 1422,
  [1444] = 550,
  [1445] = 551,
  [1446] = 853,
  [1447] = 850,
  [1448] = 1292,
  [1449] = 1439,
  [1450] = 1291,
  [1451] = 1291,
  [1452] = 1452,
  [1453] = 1421,
  [1454] = 1454,
  [1455] = 1292,
  [1456] = 552,
  [1457] = 548,
  [1458] = 1439,
  [1459] = 551,
  [1460] = 854,
  [1461] = 1439,
  [1462] = 1462,
  [1463] = 555,
  [1464] = 1439,
  [1465] = 856,
  [1466] = 849,
  [1467] = 1439,
  [1468] = 550,
  [1469] = 551,
  [1470] = 1439,
  [1471] = 852,
  [1472] = 547,
  [1473] = 1439,
  [1474] = 547,
  [1475] = 561,
  [1476] = 873,
  [1477] = 1291,
  [1478] = 1439,
  [1479] = 858,
  [1480] = 872,
  [1481] = 1439,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1432,
  [1487] = 1442,
  [1488] = 1462,
  [1489] = 1489,
  [1490] = 1434,
  [1491] = 1429,
  [1492] = 1483,
  [1493] = 1485,
  [1494] = 1494,
  [1495] = 1485,
  [1496] = 1485,
  [1497] = 1485,
  [1498] = 1485,
  [1499] = 1485,
  [1500] = 1485,
  [1501] = 1494,
  [1502] = 1485,
  [1503] = 1485,
  [1504] = 1483,
  [1505] = 1454,
  [1506] = 1506,
  [1507] = 1402,
  [1508] = 1403,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1510,
  [1514] = 1514,
  [1515] = 1509,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1516,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1528,
  [1531] = 1528,
  [1532] = 1532,
  [1533] = 1528,
  [1534] = 1528,
  [1535] = 1528,
  [1536] = 1528,
  [1537] = 1528,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1539,
  [1543] = 1543,
  [1544] = 1538,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1539,
  [1552] = 1552,
  [1553] = 1545,
  [1554] = 1546,
  [1555] = 1539,
  [1556] = 1538,
  [1557] = 1545,
  [1558] = 1546,
  [1559] = 1538,
  [1560] = 1546,
  [1561] = 1539,
  [1562] = 1562,
  [1563] = 1538,
  [1564] = 1545,
  [1565] = 1565,
  [1566] = 1546,
  [1567] = 1545,
  [1568] = 1539,
  [1569] = 1538,
  [1570] = 1545,
  [1571] = 1546,
  [1572] = 1572,
  [1573] = 1546,
  [1574] = 1574,
  [1575] = 1538,
  [1576] = 1545,
  [1577] = 1546,
  [1578] = 1578,
  [1579] = 1539,
  [1580] = 1538,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1565,
  [1586] = 1586,
  [1587] = 1565,
  [1588] = 1565,
  [1589] = 1565,
  [1590] = 1539,
  [1591] = 1565,
  [1592] = 1565,
  [1593] = 1538,
  [1594] = 1565,
  [1595] = 1545,
  [1596] = 1539,
  [1597] = 1543,
  [1598] = 1598,
  [1599] = 1527,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1601,
  [1603] = 1549,
  [1604] = 1532,
  [1605] = 1532,
  [1606] = 1606,
  [1607] = 1526,
  [1608] = 1526,
  [1609] = 1548,
  [1610] = 1550,
  [1611] = 1574,
  [1612] = 1527,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1578,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1550,
  [1620] = 1527,
  [1621] = 1543,
  [1622] = 1622,
  [1623] = 1543,
  [1624] = 1578,
  [1625] = 1548,
  [1626] = 1549,
  [1627] = 1526,
  [1628] = 1550,
  [1629] = 1548,
  [1630] = 1549,
  [1631] = 1601,
  [1632] = 1532,
  [1633] = 1526,
  [1634] = 1574,
  [1635] = 1532,
  [1636] = 1578,
  [1637] = 1543,
  [1638] = 1548,
  [1639] = 1549,
  [1640] = 1550,
  [1641] = 1574,
  [1642] = 1578,
  [1643] = 1532,
  [1644] = 1527,
  [1645] = 1645,
  [1646] = 1527,
  [1647] = 1543,
  [1648] = 1648,
  [1649] = 1601,
  [1650] = 1548,
  [1651] = 1549,
  [1652] = 1526,
  [1653] = 1574,
  [1654] = 1654,
  [1655] = 1574,
  [1656] = 1578,
  [1657] = 1550,
  [1658] = 1658,
  [1659] = 1527,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1527,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1548,
  [1666] = 1661,
  [1667] = 1667,
  [1668] = 1661,
  [1669] = 1598,
  [1670] = 1661,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1549,
  [1675] = 1661,
  [1676] = 1532,
  [1677] = 1677,
  [1678] = 1543,
  [1679] = 1543,
  [1680] = 1680,
  [1681] = 1548,
  [1682] = 1549,
  [1683] = 1661,
  [1684] = 1526,
  [1685] = 1550,
  [1686] = 1686,
  [1687] = 1526,
  [1688] = 1550,
  [1689] = 1525,
  [1690] = 1661,
  [1691] = 1574,
  [1692] = 1692,
  [1693] = 1548,
  [1694] = 1578,
  [1695] = 1549,
  [1696] = 1543,
  [1697] = 1661,
  [1698] = 1523,
  [1699] = 1574,
  [1700] = 1700,
  [1701] = 1550,
  [1702] = 1702,
  [1703] = 1661,
  [1704] = 1704,
  [1705] = 1704,
  [1706] = 1578,
  [1707] = 1660,
  [1708] = 1708,
  [1709] = 1664,
  [1710] = 1710,
  [1711] = 1704,
  [1712] = 1712,
  [1713] = 1648,
  [1714] = 1574,
  [1715] = 1663,
  [1716] = 1532,
  [1717] = 1661,
  [1718] = 1718,
  [1719] = 1664,
  [1720] = 1578,
  [1721] = 1523,
  [1722] = 1680,
  [1723] = 1525,
  [1724] = 1680,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1598,
  [1729] = 1525,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1727,
  [1733] = 1727,
  [1734] = 1734,
  [1735] = 1734,
  [1736] = 1736,
  [1737] = 1734,
  [1738] = 1738,
  [1739] = 1734,
  [1740] = 1734,
  [1741] = 1734,
  [1742] = 1742,
  [1743] = 1731,
  [1744] = 1738,
  [1745] = 1738,
  [1746] = 1734,
  [1747] = 1523,
  [1748] = 1648,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1598,
  [1753] = 1658,
  [1754] = 1754,
  [1755] = 1512,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1731,
  [1760] = 1757,
  [1761] = 1734,
  [1762] = 1757,
  [1763] = 1432,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1648,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1645,
  [1784] = 1429,
  [1785] = 1785,
  [1786] = 1520,
  [1787] = 1778,
  [1788] = 1788,
  [1789] = 1777,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1782,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1778,
  [1803] = 1780,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1768,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1648,
  [1811] = 1811,
  [1812] = 1767,
  [1813] = 1813,
  [1814] = 1797,
  [1815] = 1770,
  [1816] = 1816,
  [1817] = 1801,
  [1818] = 1818,
  [1819] = 1785,
  [1820] = 1792,
  [1821] = 1794,
  [1822] = 1796,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1797,
  [1826] = 1788,
  [1827] = 1780,
  [1828] = 1645,
  [1829] = 1799,
  [1830] = 1811,
  [1831] = 1767,
  [1832] = 1770,
  [1833] = 1816,
  [1834] = 1834,
  [1835] = 1785,
  [1836] = 1836,
  [1837] = 1702,
  [1838] = 1645,
  [1839] = 1788,
  [1840] = 1648,
  [1841] = 1779,
  [1842] = 1842,
  [1843] = 1778,
  [1844] = 1844,
  [1845] = 1842,
  [1846] = 1511,
  [1847] = 1847,
  [1848] = 1799,
  [1849] = 1774,
  [1850] = 1792,
  [1851] = 1851,
  [1852] = 1844,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1792,
  [1856] = 1794,
  [1857] = 1796,
  [1858] = 1858,
  [1859] = 1853,
  [1860] = 1811,
  [1861] = 1816,
  [1862] = 1862,
  [1863] = 1774,
  [1864] = 1548,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1574,
  [1868] = 1853,
  [1869] = 1658,
  [1870] = 1870,
  [1871] = 1834,
  [1872] = 1794,
  [1873] = 1796,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1847,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1811,
  [1880] = 1880,
  [1881] = 1853,
  [1882] = 1549,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1578,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1853,
  [1891] = 1853,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1782,
  [1895] = 1895,
  [1896] = 1781,
  [1897] = 1550,
  [1898] = 1851,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1853,
  [1902] = 1851,
  [1903] = 1903,
  [1904] = 1768,
  [1905] = 1905,
  [1906] = 1782,
  [1907] = 1853,
  [1908] = 1853,
  [1909] = 1807,
  [1910] = 1877,
  [1911] = 1434,
  [1912] = 1912,
  [1913] = 1853,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1875,
  [1917] = 1525,
  [1918] = 1816,
  [1919] = 1454,
  [1920] = 1920,
  [1921] = 1895,
  [1922] = 1922,
  [1923] = 1903,
  [1924] = 1895,
  [1925] = 1925,
  [1926] = 1875,
  [1927] = 1927,
  [1928] = 1854,
  [1929] = 1523,
  [1930] = 1930,
  [1931] = 1903,
  [1932] = 1462,
  [1933] = 1768,
  [1934] = 1774,
  [1935] = 1524,
  [1936] = 1442,
  [1937] = 1790,
  [1938] = 1938,
  [1939] = 1543,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1851,
  [1943] = 1943,
  [1944] = 1529,
  [1945] = 1858,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1519,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 1938,
  [1953] = 1953,
  [1954] = 1889,
  [1955] = 1953,
  [1956] = 1925,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1834,
  [1965] = 1965,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1790,
  [1972] = 1854,
  [1973] = 1941,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1517,
  [1979] = 1900,
  [1980] = 1980,
  [1981] = 1947,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1984,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1432,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1847,
  [1999] = 1999,
  [2000] = 1658,
  [2001] = 1977,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 864,
  [2005] = 2005,
  [2006] = 1989,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 874,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2002,
  [2017] = 2017,
  [2018] = 1429,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 1994,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 1790,
  [2029] = 1791,
  [2030] = 2030,
  [2031] = 1808,
  [2032] = 1813,
  [2033] = 1989,
  [2034] = 1992,
  [2035] = 2035,
  [2036] = 2025,
  [2037] = 2037,
  [2038] = 2026,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2012,
  [2042] = 2013,
  [2043] = 2014,
  [2044] = 2002,
  [2045] = 2015,
  [2046] = 2017,
  [2047] = 1781,
  [2048] = 2019,
  [2049] = 2020,
  [2050] = 2021,
  [2051] = 2051,
  [2052] = 2023,
  [2053] = 1994,
  [2054] = 1962,
  [2055] = 2025,
  [2056] = 1976,
  [2057] = 2026,
  [2058] = 2027,
  [2059] = 2059,
  [2060] = 2017,
  [2061] = 593,
  [2062] = 2062,
  [2063] = 1989,
  [2064] = 1834,
  [2065] = 1429,
  [2066] = 2066,
  [2067] = 2012,
  [2068] = 2013,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 2002,
  [2073] = 1804,
  [2074] = 2017,
  [2075] = 2019,
  [2076] = 2020,
  [2077] = 1805,
  [2078] = 2021,
  [2079] = 2023,
  [2080] = 1994,
  [2081] = 1809,
  [2082] = 2025,
  [2083] = 2030,
  [2084] = 2026,
  [2085] = 586,
  [2086] = 2027,
  [2087] = 2019,
  [2088] = 2020,
  [2089] = 576,
  [2090] = 2090,
  [2091] = 588,
  [2092] = 1523,
  [2093] = 1583,
  [2094] = 1807,
  [2095] = 2012,
  [2096] = 2013,
  [2097] = 1987,
  [2098] = 1960,
  [2099] = 2002,
  [2100] = 1584,
  [2101] = 2017,
  [2102] = 1957,
  [2103] = 2019,
  [2104] = 2020,
  [2105] = 2021,
  [2106] = 2003,
  [2107] = 2023,
  [2108] = 1994,
  [2109] = 2012,
  [2110] = 2025,
  [2111] = 2026,
  [2112] = 2007,
  [2113] = 2027,
  [2114] = 2114,
  [2115] = 1766,
  [2116] = 2116,
  [2117] = 2012,
  [2118] = 2030,
  [2119] = 2013,
  [2120] = 585,
  [2121] = 2121,
  [2122] = 2002,
  [2123] = 2017,
  [2124] = 2019,
  [2125] = 2020,
  [2126] = 2021,
  [2127] = 2023,
  [2128] = 1994,
  [2129] = 2025,
  [2130] = 2026,
  [2131] = 2027,
  [2132] = 2013,
  [2133] = 2037,
  [2134] = 2039,
  [2135] = 1834,
  [2136] = 1836,
  [2137] = 2012,
  [2138] = 2013,
  [2139] = 2002,
  [2140] = 2017,
  [2141] = 2019,
  [2142] = 2020,
  [2143] = 2143,
  [2144] = 2021,
  [2145] = 2021,
  [2146] = 2023,
  [2147] = 1994,
  [2148] = 2025,
  [2149] = 2026,
  [2150] = 2012,
  [2151] = 2027,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2013,
  [2155] = 2017,
  [2156] = 2021,
  [2157] = 2069,
  [2158] = 2023,
  [2159] = 1994,
  [2160] = 2027,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2014,
  [2165] = 2017,
  [2166] = 2015,
  [2167] = 2023,
  [2168] = 1994,
  [2169] = 2002,
  [2170] = 2170,
  [2171] = 1834,
  [2172] = 1562,
  [2173] = 2009,
  [2174] = 2017,
  [2175] = 2027,
  [2176] = 2162,
  [2177] = 2019,
  [2178] = 2020,
  [2179] = 2161,
  [2180] = 1454,
  [2181] = 1429,
  [2182] = 2021,
  [2183] = 1995,
  [2184] = 2184,
  [2185] = 1986,
  [2186] = 2184,
  [2187] = 2161,
  [2188] = 2022,
  [2189] = 1572,
  [2190] = 2023,
  [2191] = 1994,
  [2192] = 1522,
  [2193] = 2023,
  [2194] = 2025,
  [2195] = 1790,
  [2196] = 1547,
  [2197] = 2066,
  [2198] = 2026,
  [2199] = 2027,
  [2200] = 2071,
  [2201] = 2069,
  [2202] = 1987,
  [2203] = 1986,
  [2204] = 1985,
  [2205] = 1525,
  [2206] = 2206,
  [2207] = 1790,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2209,
  [2212] = 2212,
  [2213] = 1614,
  [2214] = 655,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 1442,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 1454,
  [2226] = 1892,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 1434,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 585,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 1618,
  [2237] = 588,
  [2238] = 2215,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 1892,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 647,
  [2247] = 2247,
  [2248] = 2212,
  [2249] = 2249,
  [2250] = 1613,
  [2251] = 593,
  [2252] = 2059,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 1941,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 1462,
  [2260] = 2260,
  [2261] = 1442,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 1996,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 656,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2212,
  [2274] = 2247,
  [2275] = 2275,
  [2276] = 2268,
  [2277] = 2277,
  [2278] = 648,
  [2279] = 1997,
  [2280] = 586,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 1892,
  [2286] = 1462,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2247,
  [2291] = 2223,
  [2292] = 2292,
  [2293] = 2227,
  [2294] = 2294,
  [2295] = 576,
  [2296] = 2296,
  [2297] = 2241,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2229,
  [2301] = 2212,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 1434,
  [2305] = 2223,
  [2306] = 2306,
  [2307] = 2227,
  [2308] = 2308,
  [2309] = 2212,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2241,
  [2314] = 2288,
  [2315] = 2315,
  [2316] = 2212,
  [2317] = 2317,
  [2318] = 2231,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2275,
  [2323] = 2323,
  [2324] = 1613,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2333,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2335,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2336,
  [2351] = 2338,
  [2352] = 2331,
  [2353] = 2330,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 576,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2338,
  [2360] = 2327,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2336,
  [2364] = 2329,
  [2365] = 2330,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2333,
  [2371] = 2338,
  [2372] = 2335,
  [2373] = 2336,
  [2374] = 2348,
  [2375] = 2375,
  [2376] = 2331,
  [2377] = 2339,
  [2378] = 2358,
  [2379] = 2340,
  [2380] = 2327,
  [2381] = 2331,
  [2382] = 2329,
  [2383] = 2330,
  [2384] = 2384,
  [2385] = 2339,
  [2386] = 2333,
  [2387] = 2343,
  [2388] = 2335,
  [2389] = 2336,
  [2390] = 2390,
  [2391] = 2391,
  [2392] = 2339,
  [2393] = 2340,
  [2394] = 2394,
  [2395] = 2344,
  [2396] = 2343,
  [2397] = 2344,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2348,
  [2402] = 2340,
  [2403] = 2343,
  [2404] = 2344,
  [2405] = 2348,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2331,
  [2409] = 2343,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2358,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 2358,
  [2418] = 2344,
  [2419] = 2327,
  [2420] = 2327,
  [2421] = 2421,
  [2422] = 2399,
  [2423] = 2329,
  [2424] = 2330,
  [2425] = 2329,
  [2426] = 2331,
  [2427] = 2330,
  [2428] = 2333,
  [2429] = 2335,
  [2430] = 2336,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2339,
  [2434] = 2434,
  [2435] = 2333,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2333,
  [2439] = 2439,
  [2440] = 2335,
  [2441] = 2336,
  [2442] = 2335,
  [2443] = 2336,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2348,
  [2447] = 2338,
  [2448] = 2339,
  [2449] = 2449,
  [2450] = 2333,
  [2451] = 2335,
  [2452] = 2336,
  [2453] = 2340,
  [2454] = 2342,
  [2455] = 2445,
  [2456] = 2456,
  [2457] = 2343,
  [2458] = 2344,
  [2459] = 2331,
  [2460] = 2339,
  [2461] = 2340,
  [2462] = 2399,
  [2463] = 2331,
  [2464] = 2343,
  [2465] = 2344,
  [2466] = 2358,
  [2467] = 2399,
  [2468] = 2468,
  [2469] = 593,
  [2470] = 2411,
  [2471] = 2338,
  [2472] = 2327,
  [2473] = 2398,
  [2474] = 2329,
  [2475] = 2330,
  [2476] = 2476,
  [2477] = 2348,
  [2478] = 2421,
  [2479] = 2333,
  [2480] = 2480,
  [2481] = 2348,
  [2482] = 2335,
  [2483] = 2483,
  [2484] = 2336,
  [2485] = 2411,
  [2486] = 2400,
  [2487] = 2358,
  [2488] = 2339,
  [2489] = 2436,
  [2490] = 2349,
  [2491] = 2340,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2399,
  [2495] = 2495,
  [2496] = 2421,
  [2497] = 2343,
  [2498] = 2498,
  [2499] = 2344,
  [2500] = 2500,
  [2501] = 2411,
  [2502] = 2398,
  [2503] = 2421,
  [2504] = 2411,
  [2505] = 2483,
  [2506] = 2348,
  [2507] = 2507,
  [2508] = 2400,
  [2509] = 585,
  [2510] = 2498,
  [2511] = 2436,
  [2512] = 588,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2358,
  [2518] = 2449,
  [2519] = 586,
  [2520] = 2327,
  [2521] = 2335,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2522,
  [2526] = 2526,
  [2527] = 2329,
  [2528] = 2528,
  [2529] = 2522,
  [2530] = 2522,
  [2531] = 2437,
  [2532] = 2532,
  [2533] = 2327,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2532,
  [2537] = 2537,
  [2538] = 2329,
  [2539] = 2483,
  [2540] = 2330,
  [2541] = 2449,
  [2542] = 2542,
  [2543] = 2333,
  [2544] = 2544,
  [2545] = 2331,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2358,
  [2550] = 2340,
  [2551] = 2439,
  [2552] = 2368,
  [2553] = 2368,
  [2554] = 2331,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'\n', '\n'}, {'\r', '\r'}, {'"', '"'}, {'\'', '\''}, {'0', '9'}, {'N', 'N'}, {'U', 'U'}, {'\\', '\\'},
  {'a', 'b'}, {'f', 'f'}, {'n', 'n'}, {'r', 'r'}, {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_python_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_python_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(347);
      ADVANCE_MAP(
        0, 353,
        '!', 72,
        '"', 405,
        '#', 901,
        '$', 434,
        '%', 540,
        '&', 548,
        '\'', 435,
        '(', 422,
        ')', 423,
        '*', 467,
        '+', 528,
        ',', 461,
        '-', 531,
        '.', 455,
        '/', 537,
        '0', 595,
        ':', 379,
        ';', 450,
        '<', 554,
        '=', 357,
        '>', 560,
        '?', 79,
        '@', 535,
        'E', 138,
        'F', 152,
        'N', 260,
        'O', 136,
        'T', 278,
        '[', 366,
        '\\', 584,
        ']', 377,
        '^', 550,
        '_', 139,
        'a', 170,
        'b', 192,
        'c', 264,
        'd', 178,
        'e', 228,
        'f', 148,
        'g', 232,
        'i', 206,
        'l', 149,
        'm', 154,
        'n', 257,
        'o', 279,
        'p', 150,
        'r', 153,
        't', 280,
        'u', 247,
        'w', 214,
        'y', 217,
        '{', 424,
        '|', 546,
        '}', 425,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(345);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(596);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        0, 353,
        '\n', 348,
        '\r', 1,
        '#', 901,
        '$', 325,
        '+', 75,
        '.', 76,
        ':', 379,
        '=', 356,
        '?', 79,
        '[', 366,
        'a', 880,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(1);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 2:
      if ((!eof && lookahead == 00)) ADVANCE(353);
      if (lookahead == '\n') ADVANCE(350);
      if (lookahead == '\r') ADVANCE(2);
      if (lookahead == '#') ADVANCE(901);
      if (lookahead == 'b') ADVANCE(879);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(2);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 3:
      if ((!eof && lookahead == 00)) ADVANCE(353);
      if (lookahead == '\n') ADVANCE(351);
      if (lookahead == '\r') ADVANCE(3);
      if (lookahead == '#') ADVANCE(901);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(3);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 4:
      if ((!eof && lookahead == 00)) ADVANCE(353);
      if (lookahead == '\n') ADVANCE(352);
      if (lookahead == '\r') ADVANCE(4);
      if (lookahead == '#') ADVANCE(901);
      if (lookahead == 'a') ADVANCE(205);
      if (lookahead == 'b') ADVANCE(191);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(4);
      END_STATE();
    case 5:
      if ((!eof && lookahead == 00)) ADVANCE(354);
      if (lookahead == '\n') ADVANCE(349);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == ' ') SKIP(5);
      if (lookahead == '#') ADVANCE(900);
      if (lookahead == '$') ADVANCE(323);
      if (('\t' <= lookahead && lookahead <= '\f')) ADVANCE(6);
      if (lookahead != 0) ADVANCE(343);
      END_STATE();
    case 6:
      if ((!eof && lookahead == 00)) ADVANCE(354);
      if (lookahead == '\n') ADVANCE(349);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == ' ') SKIP(5);
      if (lookahead == '#') ADVANCE(392);
      if (lookahead == '$') ADVANCE(391);
      if (('\t' <= lookahead && lookahead <= '\f')) ADVANCE(389);
      if (lookahead != 0) ADVANCE(393);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(583);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(440);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(440);
      if (lookahead == '\r') ADVANCE(8);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(10);
      if (lookahead == '#') ADVANCE(586);
      if (lookahead == '{') ADVANCE(424);
      if (lookahead == '}') ADVANCE(425);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(585);
      if (lookahead != 0) ADVANCE(586);
      END_STATE();
    case 11:
      if (lookahead == '\r') ADVANCE(428);
      if (lookahead == '"') ADVANCE(405);
      if (lookahead == '#') ADVANCE(426);
      if (lookahead == '$') ADVANCE(434);
      if (lookahead == '\\') ADVANCE(430);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(428);
      if (lookahead != 0) ADVANCE(429);
      END_STATE();
    case 12:
      if (lookahead == '\r') ADVANCE(437);
      if (lookahead == '"') ADVANCE(439);
      if (lookahead == '#') ADVANCE(436);
      if (lookahead == '$') ADVANCE(94);
      if (lookahead == '\'') ADVANCE(435);
      if (lookahead == '\\') ADVANCE(9);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(437);
      if (lookahead != 0) ADVANCE(440);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 72,
        '#', 901,
        '%', 540,
        '&', 548,
        '(', 422,
        ')', 423,
        '*', 467,
        '+', 528,
        ',', 461,
        '-', 530,
        '.', 454,
        '/', 537,
        ':', 378,
        ';', 450,
        '<', 554,
        '=', 358,
        '>', 560,
        '@', 535,
        '[', 366,
        ']', 377,
        '^', 550,
        'a', 246,
        'e', 239,
        'f', 284,
        'i', 207,
        'n', 271,
        'o', 279,
        '|', 546,
        '}', 425,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 72,
        '#', 901,
        '%', 539,
        '&', 547,
        '(', 422,
        ')', 423,
        '*', 468,
        '+', 527,
        ',', 461,
        '-', 533,
        '.', 456,
        '/', 538,
        '0', 597,
        ':', 379,
        ';', 450,
        '<', 555,
        '=', 358,
        '>', 561,
        '@', 534,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        ']', 377,
        '^', 549,
        'a', 698,
        'e', 751,
        'i', 662,
        'm', 624,
        'n', 713,
        'o', 722,
        'p', 724,
        't', 754,
        '{', 424,
        '|', 545,
        '}', 425,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 72,
        '#', 901,
        '%', 539,
        '&', 547,
        '(', 422,
        ')', 423,
        '*', 468,
        '+', 527,
        ',', 461,
        '-', 533,
        '.', 456,
        '/', 538,
        '0', 597,
        ':', 378,
        ';', 450,
        '<', 555,
        '=', 358,
        '>', 561,
        '@', 534,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        ']', 377,
        '^', 549,
        'a', 698,
        'e', 751,
        'i', 662,
        'm', 624,
        'n', 713,
        'o', 722,
        'p', 724,
        't', 754,
        '{', 424,
        '|', 545,
        '}', 425,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 72,
        '#', 901,
        '%', 539,
        '&', 547,
        '(', 422,
        ')', 423,
        '*', 468,
        '+', 527,
        ',', 461,
        '-', 529,
        '.', 454,
        '/', 538,
        ':', 379,
        ';', 450,
        '<', 555,
        '=', 358,
        '>', 561,
        '@', 534,
        '[', 366,
        ']', 377,
        '^', 549,
        'a', 246,
        'e', 239,
        'f', 284,
        'i', 207,
        'n', 271,
        'o', 279,
        '|', 545,
        '}', 425,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 72,
        '#', 901,
        '%', 539,
        '&', 547,
        '(', 422,
        ')', 423,
        '*', 468,
        '+', 527,
        ',', 461,
        '-', 529,
        '.', 454,
        '/', 538,
        ':', 378,
        ';', 450,
        '<', 555,
        '=', 358,
        '>', 561,
        '@', 534,
        '[', 366,
        ']', 377,
        '^', 549,
        'a', 246,
        'e', 239,
        'f', 284,
        'i', 207,
        'n', 271,
        'o', 279,
        '|', 545,
        '}', 425,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 342,
        '#', 901,
        '%', 539,
        '&', 547,
        '(', 422,
        ')', 423,
        '*', 468,
        '+', 527,
        ',', 461,
        '-', 533,
        '.', 456,
        '/', 538,
        '0', 597,
        ':', 378,
        '<', 69,
        '=', 355,
        '>', 90,
        '@', 534,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        ']', 377,
        '^', 549,
        'a', 732,
        'e', 751,
        'm', 624,
        'p', 724,
        't', 754,
        '{', 424,
        '|', 545,
        '}', 425,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 342,
        '#', 901,
        '(', 422,
        ')', 423,
        '*', 466,
        '+', 527,
        ',', 461,
        '-', 533,
        '.', 65,
        '0', 597,
        ':', 378,
        ';', 450,
        '=', 355,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        ']', 377,
        'a', 732,
        'e', 751,
        'f', 725,
        'l', 623,
        'm', 624,
        'n', 713,
        'p', 724,
        't', 754,
        '{', 424,
        '}', 425,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 342,
        '#', 901,
        '(', 422,
        ')', 423,
        '*', 466,
        '+', 527,
        ',', 461,
        '-', 533,
        '.', 65,
        '0', 597,
        ':', 378,
        ';', 450,
        '=', 355,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        ']', 377,
        'a', 732,
        'e', 751,
        'l', 623,
        'm', 624,
        'n', 713,
        'p', 724,
        't', 754,
        '{', 424,
        '}', 425,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 342,
        '#', 901,
        '(', 422,
        ')', 423,
        '*', 466,
        '+', 527,
        ',', 461,
        '-', 533,
        '.', 65,
        '0', 597,
        ':', 378,
        '=', 355,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        ']', 377,
        'a', 732,
        'e', 751,
        'm', 624,
        'p', 724,
        't', 754,
        '{', 424,
        '}', 425,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 71,
        '#', 901,
        '%', 540,
        '&', 548,
        '(', 422,
        ')', 423,
        '*', 467,
        '+', 528,
        ',', 461,
        '-', 530,
        '.', 454,
        '/', 537,
        ':', 379,
        ';', 450,
        '<', 554,
        '=', 358,
        '>', 560,
        '@', 535,
        '[', 366,
        ']', 377,
        '^', 550,
        'a', 246,
        'e', 239,
        'f', 263,
        'i', 206,
        'n', 271,
        'o', 279,
        'w', 220,
        '|', 546,
        '}', 425,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 71,
        '#', 901,
        '%', 540,
        '&', 548,
        '(', 422,
        '*', 467,
        '+', 528,
        ',', 461,
        '-', 532,
        '.', 456,
        '/', 537,
        '0', 597,
        ':', 379,
        ';', 450,
        '<', 554,
        '=', 358,
        '>', 560,
        '@', 535,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        '^', 550,
        'a', 698,
        'e', 751,
        'i', 662,
        'l', 623,
        'm', 624,
        'n', 713,
        'o', 722,
        'p', 724,
        't', 754,
        '{', 424,
        '|', 546,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 71,
        '#', 901,
        '%', 540,
        '&', 548,
        '(', 422,
        '*', 467,
        '+', 528,
        ',', 461,
        '-', 532,
        '.', 456,
        '/', 537,
        '0', 597,
        ':', 379,
        ';', 450,
        '<', 554,
        '=', 358,
        '>', 560,
        '@', 535,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        '^', 550,
        'a', 698,
        'e', 751,
        'i', 662,
        'm', 624,
        'n', 713,
        'o', 722,
        'p', 724,
        't', 754,
        '{', 424,
        '|', 546,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 71,
        '#', 901,
        '%', 540,
        '&', 548,
        '(', 422,
        '*', 467,
        '+', 528,
        ',', 461,
        '-', 532,
        '.', 456,
        '/', 537,
        '0', 597,
        ':', 378,
        ';', 450,
        '<', 554,
        '=', 358,
        '>', 560,
        '@', 535,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        '^', 550,
        'a', 698,
        'e', 751,
        'i', 662,
        'm', 624,
        'n', 713,
        'o', 722,
        'p', 724,
        't', 754,
        '{', 424,
        '|', 546,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 71,
        '#', 901,
        '%', 540,
        '&', 548,
        '(', 422,
        '*', 467,
        '+', 528,
        ',', 461,
        '-', 530,
        '.', 454,
        '/', 537,
        ':', 379,
        ';', 450,
        '<', 554,
        '=', 358,
        '>', 560,
        '@', 535,
        '[', 366,
        '^', 550,
        'a', 765,
        'i', 762,
        'n', 766,
        'o', 769,
        '|', 546,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 71,
        '#', 901,
        '%', 539,
        '&', 547,
        '(', 422,
        ')', 423,
        '*', 468,
        '+', 527,
        ',', 461,
        '-', 533,
        '.', 456,
        '/', 538,
        '0', 597,
        ':', 379,
        '<', 555,
        '=', 358,
        '>', 561,
        '@', 534,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        ']', 377,
        '^', 549,
        'a', 698,
        'e', 751,
        'f', 711,
        'i', 662,
        'm', 624,
        'n', 713,
        'o', 722,
        'p', 724,
        't', 754,
        '{', 424,
        '|', 545,
        '}', 425,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 71,
        '#', 901,
        '%', 539,
        '&', 547,
        '(', 422,
        ')', 423,
        '*', 468,
        '+', 527,
        ',', 461,
        '-', 529,
        '.', 454,
        '/', 538,
        ':', 379,
        '<', 555,
        '=', 358,
        '>', 561,
        '@', 534,
        '[', 366,
        ']', 377,
        '^', 549,
        'a', 245,
        'f', 262,
        'i', 207,
        'n', 271,
        'o', 279,
        '|', 545,
        '}', 425,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 71,
        '#', 901,
        '%', 539,
        '&', 547,
        '(', 422,
        ')', 423,
        '*', 468,
        '+', 527,
        ',', 461,
        '-', 529,
        '.', 454,
        '/', 538,
        ':', 378,
        '<', 555,
        '=', 78,
        '>', 561,
        '@', 534,
        '[', 366,
        ']', 377,
        '^', 549,
        'a', 245,
        'f', 262,
        'i', 207,
        'n', 271,
        'o', 279,
        '|', 545,
        '}', 425,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 71,
        '#', 901,
        '%', 539,
        '&', 547,
        '(', 422,
        '*', 468,
        '+', 527,
        ',', 461,
        '-', 533,
        '.', 456,
        '/', 538,
        '0', 597,
        ':', 378,
        '<', 555,
        '=', 78,
        '>', 561,
        '@', 534,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        '^', 549,
        'a', 698,
        'e', 751,
        'f', 711,
        'i', 662,
        'm', 624,
        'n', 713,
        'o', 722,
        'p', 724,
        't', 754,
        '{', 424,
        '|', 545,
        '}', 425,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 71,
        '#', 901,
        '%', 539,
        '&', 547,
        '(', 422,
        '*', 468,
        '+', 527,
        ',', 461,
        '-', 533,
        '.', 456,
        '/', 538,
        '0', 597,
        ':', 77,
        ';', 450,
        '<', 555,
        '=', 78,
        '>', 561,
        '@', 534,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        '^', 549,
        'a', 698,
        'e', 751,
        'f', 725,
        'i', 662,
        'm', 624,
        'n', 713,
        'o', 722,
        'p', 724,
        't', 754,
        '{', 424,
        '|', 545,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '!', 71,
        '#', 901,
        '%', 539,
        '&', 547,
        '(', 422,
        '*', 468,
        '+', 527,
        '-', 533,
        '.', 456,
        '/', 538,
        '0', 597,
        ':', 77,
        '<', 555,
        '=', 78,
        '>', 561,
        '@', 534,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        '^', 549,
        'a', 698,
        'e', 690,
        'i', 662,
        'm', 624,
        'n', 713,
        'o', 722,
        'p', 724,
        't', 754,
        '{', 424,
        '|', 545,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 33:
      if (lookahead == '"') ADVANCE(431);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(33);
      END_STATE();
    case 34:
      if (lookahead == '"') ADVANCE(404);
      if (lookahead == '#') ADVANCE(901);
      if (lookahead == '\'') ADVANCE(435);
      if (lookahead == '(') ADVANCE(422);
      if (lookahead == '}') ADVANCE(425);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '#', 901,
        '$', 325,
        '(', 422,
        '*', 466,
        '+', 528,
        '-', 533,
        '.', 64,
        '0', 597,
        ':', 379,
        '=', 356,
        '?', 79,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        'a', 729,
        'b', 723,
        'c', 708,
        'd', 645,
        'e', 751,
        'f', 710,
        'g', 684,
        'i', 661,
        'l', 623,
        'm', 624,
        'n', 706,
        'p', 625,
        'r', 629,
        't', 720,
        'w', 668,
        'y', 671,
        '{', 424,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '#', 901,
        '$', 325,
        '(', 422,
        '+', 75,
        '.', 896,
        ':', 379,
        '=', 356,
        '?', 79,
        '[', 366,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 37:
      if (lookahead == '#') ADVANCE(901);
      if (lookahead == '$') ADVANCE(325);
      if (lookahead == '(') ADVANCE(422);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == ':') ADVANCE(378);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 38:
      if (lookahead == '#') ADVANCE(901);
      if (lookahead == '$') ADVANCE(325);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'a') ADVANCE(849);
      if (lookahead == 'p') ADVANCE(858);
      if (lookahead == 'r') ADVANCE(817);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '#', 901,
        '%', 540,
        '&', 548,
        '(', 422,
        '*', 467,
        '+', 528,
        ',', 461,
        '-', 532,
        '.', 456,
        '/', 537,
        '0', 597,
        ':', 378,
        ';', 450,
        '<', 68,
        '=', 355,
        '>', 89,
        '@', 535,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        '^', 550,
        'a', 732,
        'e', 751,
        'm', 624,
        'p', 724,
        't', 754,
        '{', 424,
        '|', 546,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(39);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '#', 901,
        '%', 539,
        '&', 547,
        '(', 422,
        '*', 468,
        '+', 527,
        ',', 461,
        '-', 533,
        '.', 456,
        '/', 538,
        '0', 597,
        '<', 69,
        '>', 90,
        '@', 534,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        '^', 549,
        'a', 732,
        'e', 751,
        'i', 696,
        'm', 624,
        'p', 724,
        't', 754,
        '{', 424,
        '|', 545,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '#', 901,
        '%', 73,
        '&', 74,
        '(', 422,
        '*', 469,
        '+', 528,
        '-', 532,
        '.', 65,
        '/', 67,
        '0', 597,
        ':', 378,
        ';', 450,
        '<', 70,
        '=', 355,
        '>', 91,
        '@', 80,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        '^', 81,
        'a', 732,
        'e', 751,
        'm', 624,
        'p', 724,
        't', 754,
        '{', 424,
        '|', 82,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '#', 901,
        '(', 422,
        ')', 423,
        '*', 466,
        '+', 527,
        '-', 533,
        '.', 65,
        '0', 597,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        ']', 377,
        'a', 732,
        'e', 751,
        'f', 711,
        'i', 663,
        'l', 623,
        'm', 624,
        'n', 713,
        'p', 724,
        't', 754,
        '{', 424,
        '}', 425,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '#', 901,
        '(', 422,
        ')', 423,
        '*', 466,
        '+', 527,
        '-', 533,
        '.', 65,
        '0', 597,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        ']', 377,
        'a', 732,
        'e', 751,
        'l', 623,
        'm', 624,
        'n', 713,
        'p', 724,
        't', 754,
        'y', 671,
        '{', 424,
        '}', 425,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '#', 901,
        '(', 422,
        ')', 423,
        '*', 468,
        '+', 527,
        ',', 461,
        '-', 533,
        '.', 65,
        '0', 597,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        'a', 732,
        'e', 751,
        'l', 623,
        'm', 624,
        'n', 713,
        'p', 724,
        't', 754,
        '{', 424,
        '}', 425,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '#', 901,
        '(', 422,
        ')', 423,
        '*', 468,
        '-', 88,
        '/', 536,
        ':', 378,
        ';', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '#', 901,
        '(', 422,
        '*', 466,
        '+', 527,
        '-', 533,
        '.', 65,
        '0', 597,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        'a', 729,
        'b', 723,
        'c', 708,
        'd', 645,
        'e', 751,
        'f', 674,
        'g', 684,
        'i', 661,
        'l', 623,
        'm', 624,
        'n', 706,
        'p', 625,
        'r', 629,
        't', 720,
        'w', 668,
        'y', 671,
        '{', 424,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '#', 901,
        '(', 422,
        '*', 466,
        '+', 527,
        '-', 533,
        '.', 65,
        '0', 597,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        'a', 729,
        'b', 723,
        'c', 708,
        'd', 645,
        'e', 690,
        'f', 710,
        'g', 684,
        'i', 661,
        'l', 623,
        'm', 624,
        'n', 706,
        'p', 625,
        'r', 629,
        't', 720,
        'w', 668,
        'y', 671,
        '{', 424,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '#', 901,
        '(', 422,
        '*', 466,
        '+', 527,
        '-', 533,
        '.', 65,
        '0', 597,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        'a', 729,
        'b', 723,
        'c', 708,
        'd', 645,
        'e', 689,
        'f', 674,
        'g', 684,
        'i', 661,
        'l', 623,
        'm', 624,
        'n', 706,
        'p', 625,
        'r', 629,
        't', 720,
        'w', 668,
        'y', 671,
        '{', 424,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '#', 901,
        '(', 422,
        '*', 466,
        '+', 527,
        '-', 533,
        '.', 65,
        '0', 597,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        'a', 729,
        'b', 723,
        'c', 708,
        'd', 645,
        'e', 681,
        'f', 710,
        'g', 684,
        'i', 661,
        'l', 623,
        'm', 624,
        'n', 706,
        'p', 625,
        'r', 629,
        't', 720,
        'w', 668,
        'y', 671,
        '{', 424,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '#', 901,
        '(', 422,
        '*', 466,
        '+', 527,
        '-', 533,
        '.', 65,
        '0', 597,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        'a', 729,
        'b', 723,
        'c', 708,
        'd', 645,
        'e', 691,
        'f', 674,
        'g', 684,
        'i', 661,
        'l', 623,
        'm', 624,
        'n', 706,
        'p', 625,
        'r', 629,
        't', 720,
        'w', 668,
        'y', 671,
        '{', 424,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '#', 901,
        '(', 422,
        '*', 466,
        '+', 527,
        '-', 533,
        '.', 65,
        '0', 597,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        'a', 729,
        'b', 723,
        'c', 708,
        'd', 659,
        'e', 751,
        'f', 725,
        'g', 684,
        'i', 692,
        'l', 623,
        'm', 624,
        'n', 706,
        'p', 625,
        'r', 629,
        't', 754,
        'y', 671,
        '{', 424,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '#', 901,
        '(', 422,
        '*', 466,
        '+', 527,
        '-', 533,
        '.', 65,
        '0', 597,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        'a', 732,
        'e', 751,
        'i', 696,
        'm', 624,
        'p', 724,
        't', 754,
        '{', 424,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '#', 901,
        '(', 422,
        '*', 466,
        '+', 527,
        '-', 533,
        '.', 65,
        '0', 597,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        'a', 732,
        'e', 751,
        'm', 624,
        'n', 713,
        'p', 724,
        't', 754,
        '{', 424,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 54:
      if (lookahead == '#') ADVANCE(901);
      if (lookahead == '(') ADVANCE(422);
      if (lookahead == '*') ADVANCE(466);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '#', 901,
        '(', 422,
        '*', 468,
        '+', 527,
        ',', 461,
        '-', 533,
        '.', 65,
        '0', 597,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        'a', 732,
        'e', 751,
        'l', 623,
        'm', 624,
        'n', 713,
        'p', 724,
        't', 754,
        'y', 671,
        '{', 424,
        '}', 425,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '#', 901,
        '(', 422,
        '*', 468,
        '+', 527,
        '-', 533,
        '.', 65,
        '0', 597,
        'F', 628,
        'N', 705,
        'T', 719,
        '[', 366,
        'a', 729,
        'b', 723,
        'c', 708,
        'd', 659,
        'e', 751,
        'f', 725,
        'g', 684,
        'i', 692,
        'l', 623,
        'm', 624,
        'n', 706,
        'p', 625,
        'r', 629,
        't', 754,
        'y', 671,
        '{', 424,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 57:
      if (lookahead == '#') ADVANCE(901);
      if (lookahead == '.') ADVANCE(454);
      if (lookahead == '_') ADVANCE(757);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 58:
      if (lookahead == '#') ADVANCE(901);
      if (lookahead == '.') ADVANCE(454);
      if (lookahead == 'i') ADVANCE(764);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (set_contains(sym_python_identifier_character_set_1, 668, lookahead)) ADVANCE(777);
      END_STATE();
    case 59:
      if (lookahead == '#') ADVANCE(901);
      if (lookahead == 'p') ADVANCE(890);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 60:
      if (lookahead == '#') ADVANCE(900);
      if (lookahead == '$') ADVANCE(323);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f') ADVANCE(61);
      if (('\n' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (lookahead != 0) ADVANCE(343);
      END_STATE();
    case 61:
      if (lookahead == '#') ADVANCE(392);
      if (lookahead == '$') ADVANCE(391);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f') ADVANCE(390);
      if (('\n' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (lookahead != 0) ADVANCE(393);
      END_STATE();
    case 62:
      if (lookahead == '#') ADVANCE(375);
      if (lookahead == 'n') ADVANCE(373);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f') ADVANCE(369);
      if (('\n' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (lookahead != 0 &&
          lookahead != ']') ADVANCE(376);
      END_STATE();
    case 63:
      if (lookahead == '#') ADVANCE(396);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f') ADVANCE(395);
      if (('\n' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (lookahead != 0) ADVANCE(397);
      END_STATE();
    case 64:
      if (lookahead == '.') ADVANCE(66);
      if (lookahead == '=') ADVANCE(364);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(609);
      END_STATE();
    case 65:
      if (lookahead == '.') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(609);
      END_STATE();
    case 66:
      if (lookahead == '.') ADVANCE(582);
      END_STATE();
    case 67:
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '=') ADVANCE(570);
      END_STATE();
    case 68:
      if (lookahead == '<') ADVANCE(552);
      END_STATE();
    case 69:
      if (lookahead == '<') ADVANCE(551);
      END_STATE();
    case 70:
      if (lookahead == '<') ADVANCE(85);
      END_STATE();
    case 71:
      if (lookahead == '=') ADVANCE(558);
      END_STATE();
    case 72:
      if (lookahead == '=') ADVANCE(558);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 73:
      if (lookahead == '=') ADVANCE(573);
      END_STATE();
    case 74:
      if (lookahead == '=') ADVANCE(577);
      END_STATE();
    case 75:
      if (lookahead == '=') ADVANCE(362);
      END_STATE();
    case 76:
      if (lookahead == '=') ADVANCE(364);
      END_STATE();
    case 77:
      if (lookahead == '=') ADVANCE(361);
      END_STATE();
    case 78:
      if (lookahead == '=') ADVANCE(557);
      END_STATE();
    case 79:
      if (lookahead == '=') ADVANCE(359);
      if (lookahead == '?') ADVANCE(87);
      END_STATE();
    case 80:
      if (lookahead == '=') ADVANCE(571);
      END_STATE();
    case 81:
      if (lookahead == '=') ADVANCE(578);
      END_STATE();
    case 82:
      if (lookahead == '=') ADVANCE(579);
      END_STATE();
    case 83:
      if (lookahead == '=') ADVANCE(574);
      END_STATE();
    case 84:
      if (lookahead == '=') ADVANCE(572);
      END_STATE();
    case 85:
      if (lookahead == '=') ADVANCE(576);
      END_STATE();
    case 86:
      if (lookahead == '=') ADVANCE(575);
      END_STATE();
    case 87:
      if (lookahead == '=') ADVANCE(360);
      END_STATE();
    case 88:
      if (lookahead == '>') ADVANCE(449);
      END_STATE();
    case 89:
      if (lookahead == '>') ADVANCE(473);
      END_STATE();
    case 90:
      if (lookahead == '>') ADVANCE(472);
      END_STATE();
    case 91:
      if (lookahead == '>') ADVANCE(86);
      END_STATE();
    case 92:
      if (lookahead == 'A') ADVANCE(99);
      END_STATE();
    case 93:
      if (lookahead == 'A') ADVANCE(129);
      END_STATE();
    case 94:
      if (lookahead == 'B') ADVANCE(95);
      if (lookahead == '{') ADVANCE(444);
      END_STATE();
    case 95:
      if (lookahead == 'B') ADVANCE(145);
      END_STATE();
    case 96:
      if (lookahead == 'C') ADVANCE(131);
      END_STATE();
    case 97:
      if (lookahead == 'D') ADVANCE(102);
      END_STATE();
    case 98:
      if (lookahead == 'D') ADVANCE(110);
      END_STATE();
    case 99:
      if (lookahead == 'D') ADVANCE(98);
      END_STATE();
    case 100:
      if (lookahead == 'E') ADVANCE(124);
      END_STATE();
    case 101:
      if (lookahead == 'E') ADVANCE(112);
      END_STATE();
    case 102:
      if (lookahead == 'E') ADVANCE(125);
      END_STATE();
    case 103:
      if (lookahead == 'F') ADVANCE(135);
      END_STATE();
    case 104:
      if (lookahead == 'G') ADVANCE(105);
      END_STATE();
    case 105:
      if (lookahead == 'H') ADVANCE(432);
      END_STATE();
    case 106:
      if (lookahead == 'H') ADVANCE(123);
      END_STATE();
    case 107:
      if (lookahead == 'I') ADVANCE(97);
      END_STATE();
    case 108:
      if (lookahead == 'I') ADVANCE(117);
      END_STATE();
    case 109:
      if (lookahead == 'I') ADVANCE(118);
      END_STATE();
    case 110:
      if (lookahead == 'I') ADVANCE(133);
      END_STATE();
    case 111:
      if (lookahead == 'N') ADVANCE(96);
      END_STATE();
    case 112:
      if (lookahead == 'N') ADVANCE(137);
      END_STATE();
    case 113:
      if (lookahead == 'N') ADVANCE(126);
      END_STATE();
    case 114:
      if (lookahead == 'N') ADVANCE(127);
      END_STATE();
    case 115:
      if (lookahead == 'O') ADVANCE(121);
      END_STATE();
    case 116:
      if (lookahead == 'O') ADVANCE(134);
      END_STATE();
    case 117:
      if (lookahead == 'O') ADVANCE(113);
      END_STATE();
    case 118:
      if (lookahead == 'O') ADVANCE(114);
      END_STATE();
    case 119:
      if (lookahead == 'P') ADVANCE(115);
      END_STATE();
    case 120:
      if (lookahead == 'P') ADVANCE(93);
      END_STATE();
    case 121:
      if (lookahead == 'R') ADVANCE(132);
      END_STATE();
    case 122:
      if (lookahead == 'R') ADVANCE(107);
      END_STATE();
    case 123:
      if (lookahead == 'R') ADVANCE(116);
      END_STATE();
    case 124:
      if (lookahead == 'R') ADVANCE(122);
      END_STATE();
    case 125:
      if (lookahead == 'S') ADVANCE(402);
      END_STATE();
    case 126:
      if (lookahead == 'S') ADVANCE(406);
      END_STATE();
    case 127:
      if (lookahead == 'S') ADVANCE(433);
      END_STATE();
    case 128:
      if (lookahead == 'S') ADVANCE(130);
      END_STATE();
    case 129:
      if (lookahead == 'S') ADVANCE(128);
      END_STATE();
    case 130:
      if (lookahead == 'T') ADVANCE(106);
      END_STATE();
    case 131:
      if (lookahead == 'T') ADVANCE(108);
      END_STATE();
    case 132:
      if (lookahead == 'T') ADVANCE(142);
      END_STATE();
    case 133:
      if (lookahead == 'T') ADVANCE(109);
      END_STATE();
    case 134:
      if (lookahead == 'U') ADVANCE(104);
      END_STATE();
    case 135:
      if (lookahead == 'U') ADVANCE(111);
      END_STATE();
    case 136:
      if (lookahead == 'V') ADVANCE(100);
      END_STATE();
    case 137:
      if (lookahead == 'V') ADVANCE(144);
      END_STATE();
    case 138:
      if (lookahead == 'X') ADVANCE(119);
      END_STATE();
    case 139:
      if (lookahead == '_') ADVANCE(210);
      END_STATE();
    case 140:
      if (lookahead == '_') ADVANCE(328);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(601);
      END_STATE();
    case 141:
      if (lookahead == '_') ADVANCE(329);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(602);
      END_STATE();
    case 142:
      if (lookahead == '_') ADVANCE(103);
      END_STATE();
    case 143:
      if (lookahead == '_') ADVANCE(459);
      END_STATE();
    case 144:
      if (lookahead == '_') ADVANCE(120);
      END_STATE();
    case 145:
      if (lookahead == '_') ADVANCE(101);
      END_STATE();
    case 146:
      if (lookahead == '_') ADVANCE(334);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(606);
      END_STATE();
    case 147:
      if (lookahead == '_') ADVANCE(143);
      END_STATE();
    case 148:
      if (lookahead == 'a') ADVANCE(227);
      if (lookahead == 'i') ADVANCE(255);
      if (lookahead == 'o') ADVANCE(281);
      if (lookahead == 'r') ADVANCE(261);
      END_STATE();
    case 149:
      if (lookahead == 'a') ADVANCE(241);
      END_STATE();
    case 150:
      if (lookahead == 'a') ADVANCE(294);
      if (lookahead == 'r') ADVANCE(204);
      if (lookahead == 'y') ADVANCE(300);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(566);
      END_STATE();
    case 152:
      if (lookahead == 'a') ADVANCE(238);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(224);
      if (lookahead == 'e') ADVANCE(242);
      END_STATE();
    case 154:
      if (lookahead == 'a') ADVANCE(308);
      END_STATE();
    case 155:
      if (lookahead == 'a') ADVANCE(225);
      END_STATE();
    case 156:
      if (lookahead == 'a') ADVANCE(221);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(293);
      END_STATE();
    case 158:
      if (lookahead == 'a') ADVANCE(234);
      END_STATE();
    case 159:
      if (lookahead == 'a') ADVANCE(229);
      END_STATE();
    case 160:
      if (lookahead == 'a') ADVANCE(252);
      END_STATE();
    case 161:
      if (lookahead == 'a') ADVANCE(230);
      END_STATE();
    case 162:
      if (lookahead == 'b') ADVANCE(176);
      END_STATE();
    case 163:
      if (lookahead == 'b') ADVANCE(159);
      END_STATE();
    case 164:
      if (lookahead == 'c') ADVANCE(491);
      END_STATE();
    case 165:
      if (lookahead == 'c') ADVANCE(503);
      END_STATE();
    case 166:
      if (lookahead == 'c') ADVANCE(367);
      END_STATE();
    case 167:
      if (lookahead == 'c') ADVANCE(213);
      END_STATE();
    case 168:
      if (lookahead == 'c') ADVANCE(193);
      if (lookahead == 'e') ADVANCE(164);
      if (lookahead == 'p') ADVANCE(267);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(161);
      END_STATE();
    case 170:
      if (lookahead == 'd') ADVANCE(171);
      if (lookahead == 'f') ADVANCE(311);
      if (lookahead == 'n') ADVANCE(172);
      if (lookahead == 'p') ADVANCE(273);
      if (lookahead == 's') ADVANCE(464);
      if (lookahead == 'w') ADVANCE(156);
      END_STATE();
    case 171:
      if (lookahead == 'd') ADVANCE(215);
      END_STATE();
    case 172:
      if (lookahead == 'd') ADVANCE(521);
      END_STATE();
    case 173:
      if (lookahead == 'd') ADVANCE(580);
      END_STATE();
    case 174:
      if (lookahead == 'd') ADVANCE(380);
      END_STATE();
    case 175:
      if (lookahead == 'd') ADVANCE(382);
      END_STATE();
    case 176:
      if (lookahead == 'd') ADVANCE(151);
      END_STATE();
    case 177:
      if (lookahead == 'd') ADVANCE(237);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 179:
      if (lookahead == 'e') ADVANCE(320);
      if (lookahead == 'n') ADVANCE(235);
      if (lookahead == 't') ADVANCE(518);
      END_STATE();
    case 180:
      if (lookahead == 'e') ADVANCE(620);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(616);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(501);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(592);
      END_STATE();
    case 184:
      if (lookahead == 'e') ADVANCE(618);
      END_STATE();
    case 185:
      if (lookahead == 'e') ADVANCE(479);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(507);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(412);
      END_STATE();
    case 188:
      if (lookahead == 'e') ADVANCE(384);
      END_STATE();
    case 189:
      if (lookahead == 'e') ADVANCE(398);
      END_STATE();
    case 190:
      if (lookahead == 'e') ADVANCE(485);
      END_STATE();
    case 191:
      if (lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 192:
      if (lookahead == 'e') ADVANCE(211);
      if (lookahead == 'r') ADVANCE(197);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(274);
      END_STATE();
    case 194:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 195:
      if (lookahead == 'e') ADVANCE(233);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(250);
      END_STATE();
    case 200:
      if (lookahead == 'e') ADVANCE(285);
      END_STATE();
    case 201:
      if (lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(253);
      END_STATE();
    case 203:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 204:
      if (lookahead == 'e') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(254);
      END_STATE();
    case 205:
      if (lookahead == 'f') ADVANCE(311);
      END_STATE();
    case 206:
      if (lookahead == 'f') ADVANCE(496);
      if (lookahead == 'm') ADVANCE(277);
      if (lookahead == 'n') ADVANCE(493);
      if (lookahead == 's') ADVANCE(563);
      END_STATE();
    case 207:
      if (lookahead == 'f') ADVANCE(496);
      if (lookahead == 'n') ADVANCE(493);
      if (lookahead == 's') ADVANCE(563);
      END_STATE();
    case 208:
      if (lookahead == 'f') ADVANCE(446);
      if (lookahead == 'l') ADVANCE(477);
      END_STATE();
    case 209:
      if (lookahead == 'f') ADVANCE(499);
      END_STATE();
    case 210:
      if (lookahead == 'f') ADVANCE(315);
      END_STATE();
    case 211:
      if (lookahead == 'f') ADVANCE(265);
      END_STATE();
    case 212:
      if (lookahead == 'h') ADVANCE(516);
      END_STATE();
    case 213:
      if (lookahead == 'h') ADVANCE(590);
      END_STATE();
    case 214:
      if (lookahead == 'h') ADVANCE(218);
      if (lookahead == 'i') ADVANCE(309);
      END_STATE();
    case 215:
      if (lookahead == 'h') ADVANCE(160);
      if (lookahead == 't') ADVANCE(157);
      END_STATE();
    case 216:
      if (lookahead == 'h') ADVANCE(269);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(195);
      END_STATE();
    case 218:
      if (lookahead == 'i') ADVANCE(236);
      END_STATE();
    case 219:
      if (lookahead == 'i') ADVANCE(209);
      if (lookahead == 's') ADVANCE(182);
      END_STATE();
    case 220:
      if (lookahead == 'i') ADVANCE(309);
      END_STATE();
    case 221:
      if (lookahead == 'i') ADVANCE(301);
      END_STATE();
    case 222:
      if (lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 223:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 224:
      if (lookahead == 'i') ADVANCE(298);
      END_STATE();
    case 225:
      if (lookahead == 'k') ADVANCE(483);
      END_STATE();
    case 226:
      if (lookahead == 'k') ADVANCE(408);
      END_STATE();
    case 227:
      if (lookahead == 'k') ADVANCE(200);
      END_STATE();
    case 228:
      if (lookahead == 'l') ADVANCE(219);
      if (lookahead == 'x') ADVANCE(168);
      END_STATE();
    case 229:
      if (lookahead == 'l') ADVANCE(487);
      END_STATE();
    case 230:
      if (lookahead == 'l') ADVANCE(489);
      END_STATE();
    case 231:
      if (lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 232:
      if (lookahead == 'l') ADVANCE(258);
      END_STATE();
    case 233:
      if (lookahead == 'l') ADVANCE(173);
      END_STATE();
    case 234:
      if (lookahead == 'l') ADVANCE(231);
      END_STATE();
    case 235:
      if (lookahead == 'l') ADVANCE(266);
      END_STATE();
    case 236:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 237:
      if (lookahead == 'l') ADVANCE(201);
      END_STATE();
    case 238:
      if (lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 239:
      if (lookahead == 'l') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'm') ADVANCE(457);
      END_STATE();
    case 241:
      if (lookahead == 'm') ADVANCE(162);
      END_STATE();
    case 242:
      if (lookahead == 'm') ADVANCE(259);
      if (lookahead == 'q') ADVANCE(314);
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 243:
      if (lookahead == 'n') ADVANCE(419);
      END_STATE();
    case 244:
      if (lookahead == 'n') ADVANCE(475);
      END_STATE();
    case 245:
      if (lookahead == 'n') ADVANCE(172);
      if (lookahead == 's') ADVANCE(464);
      END_STATE();
    case 246:
      if (lookahead == 'n') ADVANCE(172);
      if (lookahead == 's') ADVANCE(462);
      END_STATE();
    case 247:
      if (lookahead == 'n') ADVANCE(296);
      END_STATE();
    case 248:
      if (lookahead == 'n') ADVANCE(165);
      END_STATE();
    case 249:
      if (lookahead == 'n') ADVANCE(180);
      END_STATE();
    case 250:
      if (lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 251:
      if (lookahead == 'n') ADVANCE(310);
      END_STATE();
    case 252:
      if (lookahead == 'n') ADVANCE(177);
      END_STATE();
    case 253:
      if (lookahead == 'n') ADVANCE(175);
      END_STATE();
    case 254:
      if (lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 255:
      if (lookahead == 'n') ADVANCE(158);
      END_STATE();
    case 256:
      if (lookahead == 'n') ADVANCE(317);
      END_STATE();
    case 257:
      if (lookahead == 'o') ADVANCE(179);
      END_STATE();
    case 258:
      if (lookahead == 'o') ADVANCE(163);
      END_STATE();
    case 259:
      if (lookahead == 'o') ADVANCE(319);
      END_STATE();
    case 260:
      if (lookahead == 'o') ADVANCE(249);
      END_STATE();
    case 261:
      if (lookahead == 'o') ADVANCE(240);
      END_STATE();
    case 262:
      if (lookahead == 'o') ADVANCE(281);
      END_STATE();
    case 263:
      if (lookahead == 'o') ADVANCE(281);
      if (lookahead == 'r') ADVANCE(261);
      END_STATE();
    case 264:
      if (lookahead == 'o') ADVANCE(251);
      END_STATE();
    case 265:
      if (lookahead == 'o') ADVANCE(289);
      END_STATE();
    case 266:
      if (lookahead == 'o') ADVANCE(169);
      END_STATE();
    case 267:
      if (lookahead == 'o') ADVANCE(287);
      END_STATE();
    case 268:
      if (lookahead == 'o') ADVANCE(270);
      END_STATE();
    case 269:
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 270:
      if (lookahead == 'o') ADVANCE(307);
      END_STATE();
    case 271:
      if (lookahead == 'o') ADVANCE(299);
      END_STATE();
    case 272:
      if (lookahead == 'o') ADVANCE(288);
      END_STATE();
    case 273:
      if (lookahead == 'p') ADVANCE(199);
      END_STATE();
    case 274:
      if (lookahead == 'p') ADVANCE(304);
      END_STATE();
    case 275:
      if (lookahead == 'p') ADVANCE(183);
      END_STATE();
    case 276:
      if (lookahead == 'p') ADVANCE(202);
      END_STATE();
    case 277:
      if (lookahead == 'p') ADVANCE(272);
      END_STATE();
    case 278:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 279:
      if (lookahead == 'r') ADVANCE(524);
      END_STATE();
    case 280:
      if (lookahead == 'r') ADVANCE(321);
      if (lookahead == 'y') ADVANCE(275);
      END_STATE();
    case 281:
      if (lookahead == 'r') ADVANCE(505);
      END_STATE();
    case 282:
      if (lookahead == 'r') ADVANCE(410);
      END_STATE();
    case 283:
      if (lookahead == 'r') ADVANCE(415);
      END_STATE();
    case 284:
      if (lookahead == 'r') ADVANCE(261);
      END_STATE();
    case 285:
      if (lookahead == 'r') ADVANCE(268);
      END_STATE();
    case 286:
      if (lookahead == 'r') ADVANCE(244);
      END_STATE();
    case 287:
      if (lookahead == 'r') ADVANCE(305);
      END_STATE();
    case 288:
      if (lookahead == 'r') ADVANCE(306);
      END_STATE();
    case 289:
      if (lookahead == 'r') ADVANCE(187);
      END_STATE();
    case 290:
      if (lookahead == 'r') ADVANCE(189);
      END_STATE();
    case 291:
      if (lookahead == 'r') ADVANCE(198);
      END_STATE();
    case 292:
      if (lookahead == 's') ADVANCE(481);
      END_STATE();
    case 293:
      if (lookahead == 's') ADVANCE(226);
      END_STATE();
    case 294:
      if (lookahead == 's') ADVANCE(292);
      END_STATE();
    case 295:
      if (lookahead == 's') ADVANCE(182);
      END_STATE();
    case 296:
      if (lookahead == 's') ADVANCE(203);
      END_STATE();
    case 297:
      if (lookahead == 's') ADVANCE(184);
      END_STATE();
    case 298:
      if (lookahead == 's') ADVANCE(185);
      END_STATE();
    case 299:
      if (lookahead == 't') ADVANCE(518);
      END_STATE();
    case 300:
      if (lookahead == 't') ADVANCE(216);
      END_STATE();
    case 301:
      if (lookahead == 't') ADVANCE(588);
      END_STATE();
    case 302:
      if (lookahead == 't') ADVANCE(470);
      END_STATE();
    case 303:
      if (lookahead == 't') ADVANCE(386);
      END_STATE();
    case 304:
      if (lookahead == 't') ADVANCE(511);
      END_STATE();
    case 305:
      if (lookahead == 't') ADVANCE(400);
      END_STATE();
    case 306:
      if (lookahead == 't') ADVANCE(451);
      END_STATE();
    case 307:
      if (lookahead == 't') ADVANCE(417);
      END_STATE();
    case 308:
      if (lookahead == 't') ADVANCE(167);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(212);
      END_STATE();
    case 310:
      if (lookahead == 't') ADVANCE(222);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(194);
      END_STATE();
    case 312:
      if (lookahead == 't') ADVANCE(318);
      END_STATE();
    case 313:
      if (lookahead == 'u') ADVANCE(181);
      END_STATE();
    case 314:
      if (lookahead == 'u') ADVANCE(223);
      END_STATE();
    case 315:
      if (lookahead == 'u') ADVANCE(312);
      END_STATE();
    case 316:
      if (lookahead == 'u') ADVANCE(286);
      END_STATE();
    case 317:
      if (lookahead == 'u') ADVANCE(190);
      END_STATE();
    case 318:
      if (lookahead == 'u') ADVANCE(291);
      END_STATE();
    case 319:
      if (lookahead == 'v') ADVANCE(188);
      END_STATE();
    case 320:
      if (lookahead == 'x') ADVANCE(196);
      END_STATE();
    case 321:
      if (lookahead == 'y') ADVANCE(509);
      END_STATE();
    case 322:
      if (lookahead == 'y') ADVANCE(514);
      END_STATE();
    case 323:
      if (lookahead == '{') ADVANCE(444);
      END_STATE();
    case 324:
      if (lookahead == '{') ADVANCE(344);
      END_STATE();
    case 325:
      if (lookahead == '{') ADVANCE(443);
      END_STATE();
    case 326:
      if (lookahead == '}') ADVANCE(583);
      if (lookahead != 0) ADVANCE(326);
      END_STATE();
    case 327:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(331);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(610);
      END_STATE();
    case 328:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(601);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(602);
      END_STATE();
    case 330:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(583);
      END_STATE();
    case 331:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(610);
      END_STATE();
    case 332:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(330);
      END_STATE();
    case 333:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(583);
      END_STATE();
    case 334:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(606);
      END_STATE();
    case 335:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(333);
      END_STATE();
    case 336:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(335);
      END_STATE();
    case 337:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(336);
      END_STATE();
    case 338:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(337);
      END_STATE();
    case 339:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(338);
      END_STATE();
    case 340:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(339);
      END_STATE();
    case 341:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(340);
      END_STATE();
    case 342:
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 343:
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(393);
      END_STATE();
    case 344:
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(326);
      END_STATE();
    case 345:
      if (eof) ADVANCE(347);
      ADVANCE_MAP(
        0, 353,
        '!', 72,
        '"', 405,
        '#', 901,
        '$', 434,
        '%', 540,
        '&', 548,
        '\'', 435,
        '(', 422,
        ')', 423,
        '*', 467,
        '+', 528,
        ',', 461,
        '-', 531,
        '.', 455,
        '/', 537,
        '0', 595,
        ':', 379,
        ';', 450,
        '<', 554,
        '=', 357,
        '>', 560,
        '?', 79,
        '@', 535,
        'E', 138,
        'F', 152,
        'N', 260,
        'O', 136,
        'T', 278,
        '[', 366,
        ']', 377,
        '^', 550,
        '_', 139,
        'a', 170,
        'b', 192,
        'c', 264,
        'd', 178,
        'e', 228,
        'f', 148,
        'g', 232,
        'i', 206,
        'l', 149,
        'm', 154,
        'n', 257,
        'o', 279,
        'p', 150,
        'r', 153,
        't', 280,
        'u', 247,
        'w', 214,
        'y', 217,
        '{', 424,
        '|', 546,
        '}', 425,
        '~', 553,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(345);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(596);
      END_STATE();
    case 346:
      if (eof) ADVANCE(347);
      ADVANCE_MAP(
        '!', 342,
        '"', 404,
        '#', 901,
        '$', 325,
        '(', 422,
        ')', 423,
        ',', 461,
        '.', 897,
        ':', 378,
        '=', 355,
        'E', 800,
        'O', 799,
        '[', 366,
        'a', 810,
        'd', 813,
        'e', 871,
        'f', 802,
        'i', 837,
        'p', 872,
        'r', 814,
        'u', 838,
        '}', 425,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(346);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_recipe_token1);
      if (lookahead == '\n') ADVANCE(348);
      if (lookahead == '\r') ADVANCE(1);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_recipe_token1);
      if (lookahead == '\n') ADVANCE(349);
      if (lookahead == '\r') ADVANCE(5);
      if (('\t' <= lookahead && lookahead <= '\f')) ADVANCE(6);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_recipe_token1);
      if (lookahead == '\n') ADVANCE(350);
      if (lookahead == '\r') ADVANCE(2);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_recipe_token1);
      if (lookahead == '\n') ADVANCE(351);
      if (lookahead == '\r') ADVANCE(3);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_recipe_token1);
      if (lookahead == '\n') ADVANCE(352);
      if (lookahead == '\r') ADVANCE(4);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_NULL);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(393);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '+') ADVANCE(363);
      if (lookahead == '.') ADVANCE(365);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '+') ADVANCE(363);
      if (lookahead == '.') ADVANCE(365);
      if (lookahead == '=') ADVANCE(557);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(557);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_QMARK_EQ);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_EQ_PLUS);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_EQ_DOT);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_noexec);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_noexec);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != ']') ADVANCE(376);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(aux_sym_variable_flag_token1);
      if (lookahead == '#') ADVANCE(375);
      if (lookahead == 'n') ADVANCE(373);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f') ADVANCE(369);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ']') ADVANCE(376);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(aux_sym_variable_flag_token1);
      if (lookahead == 'c') ADVANCE(368);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != ']') ADVANCE(376);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_variable_flag_token1);
      if (lookahead == 'e') ADVANCE(374);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != ']') ADVANCE(376);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_variable_flag_token1);
      if (lookahead == 'e') ADVANCE(370);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != ']') ADVANCE(376);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_variable_flag_token1);
      if (lookahead == 'o') ADVANCE(371);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != ']') ADVANCE(376);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(aux_sym_variable_flag_token1);
      if (lookahead == 'x') ADVANCE(372);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != ']') ADVANCE(376);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(aux_sym_variable_flag_token1);
      if (lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == ']') ADVANCE(901);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(375);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(aux_sym_variable_flag_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != ']') ADVANCE(376);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(361);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_append);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_append);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_prepend);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_prepend);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_remove);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_remove);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_unset);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_inherit);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_inherit_path);
      if ((!eof && lookahead == 00)) ADVANCE(354);
      if (lookahead == '\n') ADVANCE(349);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '#') ADVANCE(392);
      if (lookahead == '$') ADVANCE(391);
      if (('\t' <= lookahead && lookahead <= '\f')) ADVANCE(389);
      if (lookahead != 0 &&
          lookahead != ' ') ADVANCE(393);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_inherit_path);
      if (lookahead == '#') ADVANCE(392);
      if (lookahead == '$') ADVANCE(391);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f') ADVANCE(390);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(393);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_inherit_path);
      if (lookahead == '{') ADVANCE(445);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(393);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_inherit_path);
      if (lookahead == '\r' ||
          lookahead == ' ') ADVANCE(901);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(392);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_inherit_path);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(393);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_include);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(aux_sym_include_directive_token1);
      if (lookahead == '#') ADVANCE(396);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f') ADVANCE(395);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(397);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(aux_sym_include_directive_token1);
      if (lookahead == '\r' ||
          lookahead == ' ') ADVANCE(901);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(396);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_directive_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(397);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_require);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_OVERRIDES);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_OVERRIDES);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(33);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_EXPORT_FUNCTIONS);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_EXPORT_FUNCTIONS);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_addtask);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_addtask);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_after);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_after);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_before);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_before);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_deltask);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_addhandler);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_addhandler);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_fakeroot);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_fakeroot);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_python);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_python);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_python);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\n') ADVANCE(429);
      if (lookahead == '\r') ADVANCE(426);
      if (lookahead == '\\') ADVANCE(427);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$') ADVANCE(426);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\n') ADVANCE(429);
      if (lookahead == '\r') ADVANCE(426);
      if (lookahead == '\\') ADVANCE(427);
      if (lookahead != 0) ADVANCE(426);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\r') ADVANCE(428);
      if (lookahead == '#') ADVANCE(426);
      if (lookahead == '\\') ADVANCE(430);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(428);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead)) ADVANCE(429);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\r') ADVANCE(429);
      if (lookahead == '\\') ADVANCE(430);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$') ADVANCE(429);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\r') ADVANCE(429);
      if (lookahead == '\\') ADVANCE(430);
      if (lookahead != 0) ADVANCE(429);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_DOLLARBB_ENV_PASSTHROUGH);
      if (lookahead == '_') ADVANCE(92);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == 'B') ADVANCE(95);
      if (lookahead == '{') ADVANCE(444);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(aux_sym_string_token3);
      if (lookahead == '\n') ADVANCE(440);
      if (lookahead == '\r') ADVANCE(436);
      if (lookahead == '\\') ADVANCE(898);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '\'') ADVANCE(436);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(aux_sym_string_token3);
      if (lookahead == '\r') ADVANCE(437);
      if (lookahead == '"') ADVANCE(439);
      if (lookahead == '#') ADVANCE(436);
      if (lookahead == '\\') ADVANCE(9);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(437);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '\'') ADVANCE(440);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(aux_sym_string_token3);
      if (lookahead == '\r') ADVANCE(440);
      if (lookahead == '"') ADVANCE(440);
      if (lookahead == '\\') ADVANCE(9);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(440);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '\'') ADVANCE(438);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(aux_sym_string_token3);
      if (lookahead == '\r') ADVANCE(440);
      if (lookahead == '\\') ADVANCE(9);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == '"') ADVANCE(440);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '\'') ADVANCE(438);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(aux_sym_string_token3);
      if (lookahead == '\r') ADVANCE(440);
      if (lookahead == '\\') ADVANCE(9);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '\'') ADVANCE(440);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE_AT);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE_AT);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(393);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      if (lookahead == '@') ADVANCE(441);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      if (lookahead == '@') ADVANCE(442);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(393);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_def);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_def);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_import);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_import);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(66);
      if (lookahead == '=') ADVANCE(364);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(609);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(609);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_from);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym___future__);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'y') ADVANCE(697);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(248);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_as);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(544);
      if (lookahead == '=') ADVANCE(569);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(543);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(83);
      if (lookahead == '=') ADVANCE(569);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_print);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(575);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_assert);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_return);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_del);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_raise);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_pass);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_break);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_continue);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_exec);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_in);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_if);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_elif);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_try);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_except);
      if (lookahead == '*') ADVANCE(513);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_except);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_except_STAR);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_finally);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_not);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_or);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(362);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(568);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(568);
      if (lookahead == '>') ADVANCE(449);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(568);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(571);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(542);
      if (lookahead == '=') ADVANCE(570);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(541);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(573);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(572);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(574);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(579);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(577);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(578);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(576);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(552);
      if (lookahead == '=') ADVANCE(556);
      if (lookahead == '>') ADVANCE(562);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(551);
      if (lookahead == '=') ADVANCE(556);
      if (lookahead == '>') ADVANCE(562);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(559);
      if (lookahead == '>') ADVANCE(473);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(559);
      if (lookahead == '>') ADVANCE(472);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_is);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_lambda);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_yield);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\r') ADVANCE(7);
      if (lookahead == 'N') ADVANCE(324);
      if (lookahead == 'U') ADVANCE(341);
      if (lookahead == 'u') ADVANCE(337);
      if (lookahead == 'x') ADVANCE(335);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(332);
      if (set_contains(sym_escape_sequence_character_set_1, 14, lookahead)) ADVANCE(583);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '#') ADVANCE(586);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(585);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(586);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(586);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym_match);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 612,
        '_', 599,
        'B', 140,
        'b', 140,
        'E', 327,
        'e', 327,
        'O', 141,
        'o', 141,
        'X', 146,
        'x', 146,
        'J', 594,
        'L', 594,
        'j', 594,
        'l', 594,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(596);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 612,
        '_', 599,
        'E', 327,
        'e', 327,
        'J', 594,
        'L', 594,
        'j', 594,
        'l', 594,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(596);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 612,
        '_', 600,
        'B', 874,
        'b', 874,
        'E', 778,
        'e', 778,
        'O', 875,
        'o', 875,
        'X', 876,
        'x', 876,
        'J', 607,
        'L', 607,
        'j', 607,
        'l', 607,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 612,
        '_', 600,
        'E', 778,
        'e', 778,
        'J', 607,
        'L', 607,
        'j', 607,
        'l', 607,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(612);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(327);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(594);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(596);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(612);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(778);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(607);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(328);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(594);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(601);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(329);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(594);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(602);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(891);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(607);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(603);
      if (lookahead == '-' ||
          ('2' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(892);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(607);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(604);
      if (lookahead == '-' ||
          lookahead == '8' ||
          lookahead == '9' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(894);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(607);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(605);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(334);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(594);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(606);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(612);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(327);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(609);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(613);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(610);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(614);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(615);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(611);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(327);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(609);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(610);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(615);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(611);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_none);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '*') ADVANCE(513);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'a') ADVANCE(694);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'a') ADVANCE(746);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'a') ADVANCE(731);
      if (lookahead == 'r') ADVANCE(675);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'a') ADVANCE(677);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'a') ADVANCE(567);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'a') ADVANCE(682);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'a') ADVANCE(676);
      if (lookahead == 'e') ADVANCE(745);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'a') ADVANCE(679);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'a') ADVANCE(673);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'a') ADVANCE(680);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'a') ADVANCE(687);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'b') ADVANCE(644);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'b') ADVANCE(630);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'c') ADVANCE(492);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'c') ADVANCE(504);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'c') ADVANCE(667);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'c') ADVANCE(655);
      if (lookahead == 'e') ADVANCE(636);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'c') ADVANCE(660);
      if (lookahead == 'e') ADVANCE(636);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'c') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'd') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'd') ADVANCE(522);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'd') ADVANCE(627);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(664);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(636);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(621);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(617);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(593);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(619);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(480);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(508);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(486);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(502);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(717);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(727);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(683);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(626);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(678);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(718);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(497);
      if (lookahead == 'm') ADVANCE(715);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(497);
      if (lookahead == 'n') ADVANCE(494);
      if (lookahead == 's') ADVANCE(564);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(497);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(447);
      if (lookahead == 'l') ADVANCE(478);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(500);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'h') ADVANCE(517);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'h') ADVANCE(591);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'h') ADVANCE(670);
      if (lookahead == 'i') ADVANCE(738);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'i') ADVANCE(665);
      if (lookahead == 's') ADVANCE(654);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'i') ADVANCE(688);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'i') ADVANCE(657);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'i') ADVANCE(703);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'i') ADVANCE(739);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'i') ADVANCE(704);
      if (lookahead == 'o') ADVANCE(721);
      if (lookahead == 'r') ADVANCE(709);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'i') ADVANCE(701);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'i') ADVANCE(735);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'k') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(478);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(488);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(669);
      if (lookahead == 'x') ADVANCE(646);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(734);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(642);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(707);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(753);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(712);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(685);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(652);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(736);
      if (lookahead == 'x') ADVANCE(639);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(736);
      if (lookahead == 'x') ADVANCE(646);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(736);
      if (lookahead == 'x') ADVANCE(640);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'm') ADVANCE(715);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'm') ADVANCE(458);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'm') ADVANCE(634);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'n') ADVANCE(476);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'n') ADVANCE(494);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'n') ADVANCE(637);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'n') ADVANCE(643);
      if (lookahead == 's') ADVANCE(463);
      if (lookahead == 'w') ADVANCE(631);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'n') ADVANCE(747);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'n') ADVANCE(647);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'n') ADVANCE(740);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'n') ADVANCE(686);
      if (lookahead == 't') ADVANCE(519);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'n') ADVANCE(750);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'n') ADVANCE(633);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'o') ADVANCE(700);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'o') ADVANCE(702);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'o') ADVANCE(635);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'o') ADVANCE(699);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'o') ADVANCE(693);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'o') ADVANCE(721);
      if (lookahead == 'r') ADVANCE(709);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'o') ADVANCE(721);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'o') ADVANCE(641);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'o') ADVANCE(737);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'o') ADVANCE(728);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'p') ADVANCE(714);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'p') ADVANCE(649);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'p') ADVANCE(743);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'p') ADVANCE(744);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'r') ADVANCE(749);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'r') ADVANCE(752);
      if (lookahead == 'y') ADVANCE(716);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'r') ADVANCE(506);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'r') ADVANCE(525);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'r') ADVANCE(658);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'r') ADVANCE(675);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'r') ADVANCE(709);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'r') ADVANCE(695);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'r') ADVANCE(741);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'r') ADVANCE(742);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 's') ADVANCE(733);
      if (lookahead == 'w') ADVANCE(631);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 's') ADVANCE(482);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 's') ADVANCE(730);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 's') ADVANCE(755);
      if (lookahead == 'w') ADVANCE(631);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 's') ADVANCE(656);
      if (lookahead == 'y') ADVANCE(697);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 's') ADVANCE(650);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 's') ADVANCE(651);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 's') ADVANCE(654);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 't') ADVANCE(519);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 't') ADVANCE(666);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 't') ADVANCE(589);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 't') ADVANCE(471);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 't') ADVANCE(474);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 't') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 't') ADVANCE(622);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 't') ADVANCE(512);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 't') ADVANCE(748);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 't') ADVANCE(638);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 't') ADVANCE(672);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'u') ADVANCE(726);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'u') ADVANCE(648);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'u') ADVANCE(653);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'x') ADVANCE(646);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'y') ADVANCE(510);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'y') ADVANCE(515);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'y') ADVANCE(716);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (lookahead == 'y') ADVANCE(697);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '-') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(756);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '_') ADVANCE(763);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '_') ADVANCE(460);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == '_') ADVANCE(758);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 'd') ADVANCE(523);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 'e') ADVANCE(759);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 'f') ADVANCE(498);
      if (lookahead == 'n') ADVANCE(495);
      if (lookahead == 's') ADVANCE(565);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 'f') ADVANCE(776);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 'm') ADVANCE(768);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 'n') ADVANCE(760);
      if (lookahead == 's') ADVANCE(465);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 'o') ADVANCE(772);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 'o') ADVANCE(771);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 'p') ADVANCE(767);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 'r') ADVANCE(526);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 'r') ADVANCE(761);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 'r') ADVANCE(773);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 't') ADVANCE(520);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 't') ADVANCE(453);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 't') ADVANCE(775);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 'u') ADVANCE(770);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_python_identifier);
      if (lookahead == 'u') ADVANCE(774);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_python_identifier);
      if (set_contains(sym_python_identifier_character_set_2, 776, lookahead)) ADVANCE(777);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '+') ADVANCE(331);
      if (lookahead == '-') ADVANCE(893);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(611);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'C') ADVANCE(797);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'D') ADVANCE(782);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'E') ADVANCE(793);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'E') ADVANCE(794);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'F') ADVANCE(798);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'I') ADVANCE(780);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'I') ADVANCE(789);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'N') ADVANCE(779);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'N') ADVANCE(795);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'O') ADVANCE(791);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'O') ADVANCE(787);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'P') ADVANCE(788);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'R') ADVANCE(796);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'R') ADVANCE(784);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'R') ADVANCE(792);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'S') ADVANCE(403);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'S') ADVANCE(407);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'T') ADVANCE(801);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'T') ADVANCE(785);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'U') ADVANCE(786);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'V') ADVANCE(781);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'X') ADVANCE(790);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '_') ADVANCE(783);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'a') ADVANCE(833);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'a') ADVANCE(859);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'a') ADVANCE(840);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'a') ADVANCE(860);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'c') ADVANCE(834);
      if (lookahead == 'h') ADVANCE(821);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(827);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(381);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(383);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(807);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(835);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(815);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'e') ADVANCE(826);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'e') ADVANCE(852);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'e') ADVANCE(394);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'e') ADVANCE(399);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'e') ADVANCE(836);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'e') ADVANCE(385);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'e') ADVANCE(855);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'e') ADVANCE(863);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'e') ADVANCE(854);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'e') ADVANCE(853);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'e') ADVANCE(841);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'e') ADVANCE(842);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'e') ADVANCE(851);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'f') ADVANCE(448);
      if (lookahead == 'l') ADVANCE(867);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'h') ADVANCE(804);
      if (lookahead == 't') ADVANCE(803);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'h') ADVANCE(845);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'i') ADVANCE(857);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'i') ADVANCE(865);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'k') ADVANCE(409);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'k') ADVANCE(414);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'k') ADVANCE(819);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'l') ADVANCE(869);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'l') ADVANCE(822);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'm') ADVANCE(844);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'n') ADVANCE(806);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'n') ADVANCE(861);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'n') ADVANCE(420);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'n') ADVANCE(811);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'n') ADVANCE(808);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'n') ADVANCE(809);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'o') ADVANCE(856);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'o') ADVANCE(870);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'o') ADVANCE(839);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'o') ADVANCE(847);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'o') ADVANCE(866);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'p') ADVANCE(843);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'p') ADVANCE(850);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'p') ADVANCE(823);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'p') ADVANCE(824);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'q') ADVANCE(868);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'r') ADVANCE(416);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'r') ADVANCE(830);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'r') ADVANCE(846);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'r') ADVANCE(864);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'r') ADVANCE(816);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'r') ADVANCE(825);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 's') ADVANCE(831);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 's') ADVANCE(832);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 's') ADVANCE(820);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 't') ADVANCE(828);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 't') ADVANCE(387);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 't') ADVANCE(401);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 't') ADVANCE(388);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 't') ADVANCE(418);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 't') ADVANCE(805);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'u') ADVANCE(829);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'u') ADVANCE(812);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'v') ADVANCE(818);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'x') ADVANCE(848);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == 'y') ADVANCE(862);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(873);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_') ADVANCE(891);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(603);
      if (lookahead == '-' ||
          ('2' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_') ADVANCE(892);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(604);
      if (lookahead == '-' ||
          lookahead == '8' ||
          lookahead == '9' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_') ADVANCE(894);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(605);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(886);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(413);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(881);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(888);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(885);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(884);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(421);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(883);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(887);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(411);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(878);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(877);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(882);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y') ADVANCE(889);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(603);
      if (lookahead == '-' ||
          ('2' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(604);
      if (lookahead == '-' ||
          lookahead == '8' ||
          lookahead == '9' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(611);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(605);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(895);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(aux_sym__dotted_identifier_token1);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(897);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(aux_sym__dotted_identifier_token1);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(897);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(440);
      if (lookahead == '\r') ADVANCE(899);
      if (lookahead != 0) ADVANCE(901);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(440);
      if (lookahead != 0) ADVANCE(901);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r' ||
          lookahead == ' ') ADVANCE(901);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(392);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(901);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 346, .external_lex_state = 2},
  [2] = {.lex_state = 35, .external_lex_state = 3},
  [3] = {.lex_state = 35, .external_lex_state = 3},
  [4] = {.lex_state = 35, .external_lex_state = 3},
  [5] = {.lex_state = 35, .external_lex_state = 3},
  [6] = {.lex_state = 35, .external_lex_state = 3},
  [7] = {.lex_state = 35, .external_lex_state = 3},
  [8] = {.lex_state = 35, .external_lex_state = 3},
  [9] = {.lex_state = 35, .external_lex_state = 3},
  [10] = {.lex_state = 35, .external_lex_state = 3},
  [11] = {.lex_state = 35, .external_lex_state = 3},
  [12] = {.lex_state = 35, .external_lex_state = 3},
  [13] = {.lex_state = 35, .external_lex_state = 3},
  [14] = {.lex_state = 35, .external_lex_state = 3},
  [15] = {.lex_state = 35, .external_lex_state = 3},
  [16] = {.lex_state = 35, .external_lex_state = 3},
  [17] = {.lex_state = 35, .external_lex_state = 3},
  [18] = {.lex_state = 35, .external_lex_state = 3},
  [19] = {.lex_state = 35, .external_lex_state = 3},
  [20] = {.lex_state = 35, .external_lex_state = 3},
  [21] = {.lex_state = 35, .external_lex_state = 3},
  [22] = {.lex_state = 35, .external_lex_state = 3},
  [23] = {.lex_state = 35, .external_lex_state = 3},
  [24] = {.lex_state = 35, .external_lex_state = 3},
  [25] = {.lex_state = 35, .external_lex_state = 3},
  [26] = {.lex_state = 35, .external_lex_state = 3},
  [27] = {.lex_state = 35, .external_lex_state = 3},
  [28] = {.lex_state = 35, .external_lex_state = 3},
  [29] = {.lex_state = 35, .external_lex_state = 3},
  [30] = {.lex_state = 35, .external_lex_state = 3},
  [31] = {.lex_state = 35, .external_lex_state = 3},
  [32] = {.lex_state = 35, .external_lex_state = 3},
  [33] = {.lex_state = 35, .external_lex_state = 3},
  [34] = {.lex_state = 35, .external_lex_state = 3},
  [35] = {.lex_state = 35, .external_lex_state = 3},
  [36] = {.lex_state = 56, .external_lex_state = 4},
  [37] = {.lex_state = 23, .external_lex_state = 5},
  [38] = {.lex_state = 56, .external_lex_state = 4},
  [39] = {.lex_state = 23, .external_lex_state = 5},
  [40] = {.lex_state = 51, .external_lex_state = 4},
  [41] = {.lex_state = 51, .external_lex_state = 4},
  [42] = {.lex_state = 51, .external_lex_state = 4},
  [43] = {.lex_state = 51, .external_lex_state = 4},
  [44] = {.lex_state = 51, .external_lex_state = 4},
  [45] = {.lex_state = 51, .external_lex_state = 4},
  [46] = {.lex_state = 51, .external_lex_state = 4},
  [47] = {.lex_state = 51, .external_lex_state = 4},
  [48] = {.lex_state = 51, .external_lex_state = 4},
  [49] = {.lex_state = 51, .external_lex_state = 4},
  [50] = {.lex_state = 51, .external_lex_state = 4},
  [51] = {.lex_state = 51, .external_lex_state = 4},
  [52] = {.lex_state = 51, .external_lex_state = 4},
  [53] = {.lex_state = 51, .external_lex_state = 4},
  [54] = {.lex_state = 51, .external_lex_state = 4},
  [55] = {.lex_state = 51, .external_lex_state = 4},
  [56] = {.lex_state = 51, .external_lex_state = 4},
  [57] = {.lex_state = 51, .external_lex_state = 4},
  [58] = {.lex_state = 51, .external_lex_state = 4},
  [59] = {.lex_state = 51, .external_lex_state = 4},
  [60] = {.lex_state = 51, .external_lex_state = 4},
  [61] = {.lex_state = 51, .external_lex_state = 5},
  [62] = {.lex_state = 51, .external_lex_state = 5},
  [63] = {.lex_state = 51, .external_lex_state = 5},
  [64] = {.lex_state = 51, .external_lex_state = 5},
  [65] = {.lex_state = 51, .external_lex_state = 5},
  [66] = {.lex_state = 51, .external_lex_state = 5},
  [67] = {.lex_state = 51, .external_lex_state = 5},
  [68] = {.lex_state = 51, .external_lex_state = 5},
  [69] = {.lex_state = 51, .external_lex_state = 5},
  [70] = {.lex_state = 51, .external_lex_state = 5},
  [71] = {.lex_state = 51, .external_lex_state = 5},
  [72] = {.lex_state = 51, .external_lex_state = 5},
  [73] = {.lex_state = 51, .external_lex_state = 5},
  [74] = {.lex_state = 51, .external_lex_state = 5},
  [75] = {.lex_state = 51, .external_lex_state = 5},
  [76] = {.lex_state = 51, .external_lex_state = 5},
  [77] = {.lex_state = 51, .external_lex_state = 5},
  [78] = {.lex_state = 51, .external_lex_state = 5},
  [79] = {.lex_state = 51, .external_lex_state = 6},
  [80] = {.lex_state = 24, .external_lex_state = 5},
  [81] = {.lex_state = 24, .external_lex_state = 5},
  [82] = {.lex_state = 25, .external_lex_state = 5},
  [83] = {.lex_state = 14, .external_lex_state = 7},
  [84] = {.lex_state = 14, .external_lex_state = 7},
  [85] = {.lex_state = 14, .external_lex_state = 5},
  [86] = {.lex_state = 27, .external_lex_state = 7},
  [87] = {.lex_state = 15, .external_lex_state = 7},
  [88] = {.lex_state = 14, .external_lex_state = 8},
  [89] = {.lex_state = 27, .external_lex_state = 7},
  [90] = {.lex_state = 15, .external_lex_state = 5},
  [91] = {.lex_state = 31, .external_lex_state = 5},
  [92] = {.lex_state = 27, .external_lex_state = 8},
  [93] = {.lex_state = 15, .external_lex_state = 5},
  [94] = {.lex_state = 15, .external_lex_state = 7},
  [95] = {.lex_state = 27, .external_lex_state = 9},
  [96] = {.lex_state = 15, .external_lex_state = 8},
  [97] = {.lex_state = 39, .external_lex_state = 5},
  [98] = {.lex_state = 30, .external_lex_state = 7},
  [99] = {.lex_state = 15, .external_lex_state = 8},
  [100] = {.lex_state = 14, .external_lex_state = 9},
  [101] = {.lex_state = 14, .external_lex_state = 6},
  [102] = {.lex_state = 31, .external_lex_state = 5},
  [103] = {.lex_state = 14, .external_lex_state = 8},
  [104] = {.lex_state = 27, .external_lex_state = 8},
  [105] = {.lex_state = 31, .external_lex_state = 5},
  [106] = {.lex_state = 30, .external_lex_state = 7},
  [107] = {.lex_state = 39, .external_lex_state = 5},
  [108] = {.lex_state = 27, .external_lex_state = 8},
  [109] = {.lex_state = 27, .external_lex_state = 9},
  [110] = {.lex_state = 27, .external_lex_state = 8},
  [111] = {.lex_state = 27, .external_lex_state = 9},
  [112] = {.lex_state = 14, .external_lex_state = 9},
  [113] = {.lex_state = 27, .external_lex_state = 8},
  [114] = {.lex_state = 14, .external_lex_state = 8},
  [115] = {.lex_state = 15, .external_lex_state = 9},
  [116] = {.lex_state = 15, .external_lex_state = 6},
  [117] = {.lex_state = 27, .external_lex_state = 9},
  [118] = {.lex_state = 14, .external_lex_state = 7},
  [119] = {.lex_state = 27, .external_lex_state = 9},
  [120] = {.lex_state = 15, .external_lex_state = 6},
  [121] = {.lex_state = 15, .external_lex_state = 9},
  [122] = {.lex_state = 27, .external_lex_state = 8},
  [123] = {.lex_state = 32, .external_lex_state = 6},
  [124] = {.lex_state = 39, .external_lex_state = 6},
  [125] = {.lex_state = 39, .external_lex_state = 6},
  [126] = {.lex_state = 32, .external_lex_state = 6},
  [127] = {.lex_state = 32, .external_lex_state = 6},
  [128] = {.lex_state = 43, .external_lex_state = 9},
  [129] = {.lex_state = 43, .external_lex_state = 9},
  [130] = {.lex_state = 43, .external_lex_state = 8},
  [131] = {.lex_state = 43, .external_lex_state = 8},
  [132] = {.lex_state = 43, .external_lex_state = 9},
  [133] = {.lex_state = 55, .external_lex_state = 7},
  [134] = {.lex_state = 55, .external_lex_state = 7},
  [135] = {.lex_state = 43, .external_lex_state = 8},
  [136] = {.lex_state = 43, .external_lex_state = 8},
  [137] = {.lex_state = 43, .external_lex_state = 6},
  [138] = {.lex_state = 43, .external_lex_state = 6},
  [139] = {.lex_state = 55, .external_lex_state = 7},
  [140] = {.lex_state = 43, .external_lex_state = 9},
  [141] = {.lex_state = 43, .external_lex_state = 8},
  [142] = {.lex_state = 43, .external_lex_state = 6},
  [143] = {.lex_state = 55, .external_lex_state = 7},
  [144] = {.lex_state = 43, .external_lex_state = 9},
  [145] = {.lex_state = 43, .external_lex_state = 8},
  [146] = {.lex_state = 55, .external_lex_state = 7},
  [147] = {.lex_state = 43, .external_lex_state = 9},
  [148] = {.lex_state = 43, .external_lex_state = 8},
  [149] = {.lex_state = 55, .external_lex_state = 7},
  [150] = {.lex_state = 43, .external_lex_state = 9},
  [151] = {.lex_state = 43, .external_lex_state = 8},
  [152] = {.lex_state = 55, .external_lex_state = 7},
  [153] = {.lex_state = 55, .external_lex_state = 7},
  [154] = {.lex_state = 43, .external_lex_state = 9},
  [155] = {.lex_state = 43, .external_lex_state = 8},
  [156] = {.lex_state = 43, .external_lex_state = 9},
  [157] = {.lex_state = 43, .external_lex_state = 8},
  [158] = {.lex_state = 43, .external_lex_state = 9},
  [159] = {.lex_state = 43, .external_lex_state = 9},
  [160] = {.lex_state = 43, .external_lex_state = 8},
  [161] = {.lex_state = 41, .external_lex_state = 5},
  [162] = {.lex_state = 41, .external_lex_state = 5},
  [163] = {.lex_state = 43, .external_lex_state = 6},
  [164] = {.lex_state = 43, .external_lex_state = 6},
  [165] = {.lex_state = 44, .external_lex_state = 8},
  [166] = {.lex_state = 44, .external_lex_state = 6},
  [167] = {.lex_state = 44, .external_lex_state = 8},
  [168] = {.lex_state = 44, .external_lex_state = 6},
  [169] = {.lex_state = 43, .external_lex_state = 8},
  [170] = {.lex_state = 44, .external_lex_state = 8},
  [171] = {.lex_state = 44, .external_lex_state = 8},
  [172] = {.lex_state = 44, .external_lex_state = 8},
  [173] = {.lex_state = 44, .external_lex_state = 6},
  [174] = {.lex_state = 44, .external_lex_state = 6},
  [175] = {.lex_state = 41, .external_lex_state = 6},
  [176] = {.lex_state = 44, .external_lex_state = 6},
  [177] = {.lex_state = 44, .external_lex_state = 6},
  [178] = {.lex_state = 44, .external_lex_state = 6},
  [179] = {.lex_state = 44, .external_lex_state = 8},
  [180] = {.lex_state = 44, .external_lex_state = 6},
  [181] = {.lex_state = 41, .external_lex_state = 6},
  [182] = {.lex_state = 44, .external_lex_state = 6},
  [183] = {.lex_state = 44, .external_lex_state = 8},
  [184] = {.lex_state = 44, .external_lex_state = 6},
  [185] = {.lex_state = 44, .external_lex_state = 6},
  [186] = {.lex_state = 19, .external_lex_state = 7},
  [187] = {.lex_state = 44, .external_lex_state = 6},
  [188] = {.lex_state = 44, .external_lex_state = 6},
  [189] = {.lex_state = 44, .external_lex_state = 6},
  [190] = {.lex_state = 44, .external_lex_state = 8},
  [191] = {.lex_state = 44, .external_lex_state = 6},
  [192] = {.lex_state = 44, .external_lex_state = 6},
  [193] = {.lex_state = 44, .external_lex_state = 6},
  [194] = {.lex_state = 44, .external_lex_state = 6},
  [195] = {.lex_state = 44, .external_lex_state = 8},
  [196] = {.lex_state = 44, .external_lex_state = 8},
  [197] = {.lex_state = 44, .external_lex_state = 8},
  [198] = {.lex_state = 43, .external_lex_state = 9},
  [199] = {.lex_state = 43, .external_lex_state = 8},
  [200] = {.lex_state = 43, .external_lex_state = 8},
  [201] = {.lex_state = 44, .external_lex_state = 8},
  [202] = {.lex_state = 44, .external_lex_state = 8},
  [203] = {.lex_state = 44, .external_lex_state = 8},
  [204] = {.lex_state = 44, .external_lex_state = 8},
  [205] = {.lex_state = 43, .external_lex_state = 9},
  [206] = {.lex_state = 43, .external_lex_state = 8},
  [207] = {.lex_state = 43, .external_lex_state = 8},
  [208] = {.lex_state = 44, .external_lex_state = 8},
  [209] = {.lex_state = 44, .external_lex_state = 8},
  [210] = {.lex_state = 44, .external_lex_state = 8},
  [211] = {.lex_state = 44, .external_lex_state = 8},
  [212] = {.lex_state = 43, .external_lex_state = 9},
  [213] = {.lex_state = 43, .external_lex_state = 8},
  [214] = {.lex_state = 43, .external_lex_state = 8},
  [215] = {.lex_state = 44, .external_lex_state = 8},
  [216] = {.lex_state = 44, .external_lex_state = 8},
  [217] = {.lex_state = 44, .external_lex_state = 8},
  [218] = {.lex_state = 44, .external_lex_state = 8},
  [219] = {.lex_state = 44, .external_lex_state = 8},
  [220] = {.lex_state = 44, .external_lex_state = 8},
  [221] = {.lex_state = 43, .external_lex_state = 9},
  [222] = {.lex_state = 43, .external_lex_state = 8},
  [223] = {.lex_state = 43, .external_lex_state = 8},
  [224] = {.lex_state = 44, .external_lex_state = 8},
  [225] = {.lex_state = 44, .external_lex_state = 8},
  [226] = {.lex_state = 44, .external_lex_state = 8},
  [227] = {.lex_state = 44, .external_lex_state = 8},
  [228] = {.lex_state = 44, .external_lex_state = 8},
  [229] = {.lex_state = 44, .external_lex_state = 8},
  [230] = {.lex_state = 43, .external_lex_state = 8},
  [231] = {.lex_state = 43, .external_lex_state = 9},
  [232] = {.lex_state = 43, .external_lex_state = 8},
  [233] = {.lex_state = 44, .external_lex_state = 8},
  [234] = {.lex_state = 44, .external_lex_state = 8},
  [235] = {.lex_state = 43, .external_lex_state = 9},
  [236] = {.lex_state = 44, .external_lex_state = 8},
  [237] = {.lex_state = 44, .external_lex_state = 8},
  [238] = {.lex_state = 43, .external_lex_state = 8},
  [239] = {.lex_state = 43, .external_lex_state = 9},
  [240] = {.lex_state = 43, .external_lex_state = 8},
  [241] = {.lex_state = 43, .external_lex_state = 8},
  [242] = {.lex_state = 43, .external_lex_state = 8},
  [243] = {.lex_state = 44, .external_lex_state = 8},
  [244] = {.lex_state = 44, .external_lex_state = 8},
  [245] = {.lex_state = 44, .external_lex_state = 8},
  [246] = {.lex_state = 44, .external_lex_state = 8},
  [247] = {.lex_state = 44, .external_lex_state = 8},
  [248] = {.lex_state = 43, .external_lex_state = 9},
  [249] = {.lex_state = 18, .external_lex_state = 7},
  [250] = {.lex_state = 44, .external_lex_state = 6},
  [251] = {.lex_state = 42, .external_lex_state = 8},
  [252] = {.lex_state = 20, .external_lex_state = 7},
  [253] = {.lex_state = 20, .external_lex_state = 7},
  [254] = {.lex_state = 42, .external_lex_state = 8},
  [255] = {.lex_state = 42, .external_lex_state = 8},
  [256] = {.lex_state = 42, .external_lex_state = 8},
  [257] = {.lex_state = 42, .external_lex_state = 9},
  [258] = {.lex_state = 42, .external_lex_state = 9},
  [259] = {.lex_state = 43, .external_lex_state = 8},
  [260] = {.lex_state = 43, .external_lex_state = 7},
  [261] = {.lex_state = 42, .external_lex_state = 9},
  [262] = {.lex_state = 43, .external_lex_state = 7},
  [263] = {.lex_state = 42, .external_lex_state = 9},
  [264] = {.lex_state = 43, .external_lex_state = 9},
  [265] = {.lex_state = 43, .external_lex_state = 9},
  [266] = {.lex_state = 42, .external_lex_state = 7},
  [267] = {.lex_state = 42, .external_lex_state = 7},
  [268] = {.lex_state = 43, .external_lex_state = 8},
  [269] = {.lex_state = 42, .external_lex_state = 7},
  [270] = {.lex_state = 42, .external_lex_state = 7},
  [271] = {.lex_state = 18, .external_lex_state = 7},
  [272] = {.lex_state = 44, .external_lex_state = 7},
  [273] = {.lex_state = 44, .external_lex_state = 7},
  [274] = {.lex_state = 44, .external_lex_state = 7},
  [275] = {.lex_state = 44, .external_lex_state = 7},
  [276] = {.lex_state = 44, .external_lex_state = 7},
  [277] = {.lex_state = 43, .external_lex_state = 6},
  [278] = {.lex_state = 44, .external_lex_state = 7},
  [279] = {.lex_state = 43, .external_lex_state = 6},
  [280] = {.lex_state = 44, .external_lex_state = 7},
  [281] = {.lex_state = 44, .external_lex_state = 7},
  [282] = {.lex_state = 44, .external_lex_state = 7},
  [283] = {.lex_state = 19, .external_lex_state = 8},
  [284] = {.lex_state = 19, .external_lex_state = 9},
  [285] = {.lex_state = 44, .external_lex_state = 7},
  [286] = {.lex_state = 44, .external_lex_state = 7},
  [287] = {.lex_state = 19, .external_lex_state = 5},
  [288] = {.lex_state = 43, .external_lex_state = 6},
  [289] = {.lex_state = 44, .external_lex_state = 7},
  [290] = {.lex_state = 44, .external_lex_state = 7},
  [291] = {.lex_state = 19, .external_lex_state = 5},
  [292] = {.lex_state = 44, .external_lex_state = 7},
  [293] = {.lex_state = 44, .external_lex_state = 7},
  [294] = {.lex_state = 44, .external_lex_state = 7},
  [295] = {.lex_state = 20, .external_lex_state = 9},
  [296] = {.lex_state = 19, .external_lex_state = 5},
  [297] = {.lex_state = 20, .external_lex_state = 9},
  [298] = {.lex_state = 20, .external_lex_state = 9},
  [299] = {.lex_state = 20, .external_lex_state = 9},
  [300] = {.lex_state = 20, .external_lex_state = 9},
  [301] = {.lex_state = 20, .external_lex_state = 9},
  [302] = {.lex_state = 20, .external_lex_state = 9},
  [303] = {.lex_state = 20, .external_lex_state = 9},
  [304] = {.lex_state = 20, .external_lex_state = 9},
  [305] = {.lex_state = 20, .external_lex_state = 9},
  [306] = {.lex_state = 20, .external_lex_state = 9},
  [307] = {.lex_state = 19, .external_lex_state = 5},
  [308] = {.lex_state = 20, .external_lex_state = 9},
  [309] = {.lex_state = 20, .external_lex_state = 9},
  [310] = {.lex_state = 20, .external_lex_state = 9},
  [311] = {.lex_state = 20, .external_lex_state = 9},
  [312] = {.lex_state = 44, .external_lex_state = 6},
  [313] = {.lex_state = 20, .external_lex_state = 9},
  [314] = {.lex_state = 20, .external_lex_state = 9},
  [315] = {.lex_state = 20, .external_lex_state = 9},
  [316] = {.lex_state = 20, .external_lex_state = 9},
  [317] = {.lex_state = 20, .external_lex_state = 9},
  [318] = {.lex_state = 20, .external_lex_state = 9},
  [319] = {.lex_state = 20, .external_lex_state = 9},
  [320] = {.lex_state = 20, .external_lex_state = 9},
  [321] = {.lex_state = 20, .external_lex_state = 9},
  [322] = {.lex_state = 20, .external_lex_state = 9},
  [323] = {.lex_state = 20, .external_lex_state = 9},
  [324] = {.lex_state = 20, .external_lex_state = 9},
  [325] = {.lex_state = 20, .external_lex_state = 9},
  [326] = {.lex_state = 20, .external_lex_state = 9},
  [327] = {.lex_state = 18, .external_lex_state = 8},
  [328] = {.lex_state = 20, .external_lex_state = 5},
  [329] = {.lex_state = 20, .external_lex_state = 9},
  [330] = {.lex_state = 20, .external_lex_state = 9},
  [331] = {.lex_state = 20, .external_lex_state = 9},
  [332] = {.lex_state = 18, .external_lex_state = 8},
  [333] = {.lex_state = 20, .external_lex_state = 5},
  [334] = {.lex_state = 40, .external_lex_state = 6},
  [335] = {.lex_state = 20, .external_lex_state = 9},
  [336] = {.lex_state = 20, .external_lex_state = 9},
  [337] = {.lex_state = 18, .external_lex_state = 6},
  [338] = {.lex_state = 20, .external_lex_state = 8},
  [339] = {.lex_state = 20, .external_lex_state = 8},
  [340] = {.lex_state = 20, .external_lex_state = 5},
  [341] = {.lex_state = 20, .external_lex_state = 9},
  [342] = {.lex_state = 20, .external_lex_state = 5},
  [343] = {.lex_state = 18, .external_lex_state = 9},
  [344] = {.lex_state = 20, .external_lex_state = 6},
  [345] = {.lex_state = 18, .external_lex_state = 8},
  [346] = {.lex_state = 40, .external_lex_state = 6},
  [347] = {.lex_state = 18, .external_lex_state = 9},
  [348] = {.lex_state = 20, .external_lex_state = 6},
  [349] = {.lex_state = 20, .external_lex_state = 6},
  [350] = {.lex_state = 20, .external_lex_state = 9},
  [351] = {.lex_state = 20, .external_lex_state = 6},
  [352] = {.lex_state = 20, .external_lex_state = 6},
  [353] = {.lex_state = 20, .external_lex_state = 5},
  [354] = {.lex_state = 20, .external_lex_state = 5},
  [355] = {.lex_state = 20, .external_lex_state = 6},
  [356] = {.lex_state = 20, .external_lex_state = 6},
  [357] = {.lex_state = 20, .external_lex_state = 6},
  [358] = {.lex_state = 20, .external_lex_state = 6},
  [359] = {.lex_state = 20, .external_lex_state = 5},
  [360] = {.lex_state = 20, .external_lex_state = 6},
  [361] = {.lex_state = 20, .external_lex_state = 6},
  [362] = {.lex_state = 20, .external_lex_state = 9},
  [363] = {.lex_state = 20, .external_lex_state = 6},
  [364] = {.lex_state = 20, .external_lex_state = 6},
  [365] = {.lex_state = 20, .external_lex_state = 6},
  [366] = {.lex_state = 20, .external_lex_state = 6},
  [367] = {.lex_state = 20, .external_lex_state = 6},
  [368] = {.lex_state = 20, .external_lex_state = 6},
  [369] = {.lex_state = 20, .external_lex_state = 5},
  [370] = {.lex_state = 20, .external_lex_state = 5},
  [371] = {.lex_state = 20, .external_lex_state = 6},
  [372] = {.lex_state = 20, .external_lex_state = 8},
  [373] = {.lex_state = 20, .external_lex_state = 6},
  [374] = {.lex_state = 20, .external_lex_state = 6},
  [375] = {.lex_state = 20, .external_lex_state = 8},
  [376] = {.lex_state = 20, .external_lex_state = 6},
  [377] = {.lex_state = 18, .external_lex_state = 8},
  [378] = {.lex_state = 18, .external_lex_state = 6},
  [379] = {.lex_state = 20, .external_lex_state = 6},
  [380] = {.lex_state = 20, .external_lex_state = 6},
  [381] = {.lex_state = 20, .external_lex_state = 6},
  [382] = {.lex_state = 20, .external_lex_state = 6},
  [383] = {.lex_state = 20, .external_lex_state = 6},
  [384] = {.lex_state = 20, .external_lex_state = 6},
  [385] = {.lex_state = 20, .external_lex_state = 6},
  [386] = {.lex_state = 20, .external_lex_state = 6},
  [387] = {.lex_state = 20, .external_lex_state = 6},
  [388] = {.lex_state = 20, .external_lex_state = 6},
  [389] = {.lex_state = 20, .external_lex_state = 6},
  [390] = {.lex_state = 20, .external_lex_state = 6},
  [391] = {.lex_state = 20, .external_lex_state = 6},
  [392] = {.lex_state = 20, .external_lex_state = 6},
  [393] = {.lex_state = 20, .external_lex_state = 6},
  [394] = {.lex_state = 20, .external_lex_state = 6},
  [395] = {.lex_state = 20, .external_lex_state = 6},
  [396] = {.lex_state = 20, .external_lex_state = 6},
  [397] = {.lex_state = 20, .external_lex_state = 6},
  [398] = {.lex_state = 20, .external_lex_state = 6},
  [399] = {.lex_state = 18, .external_lex_state = 6},
  [400] = {.lex_state = 20, .external_lex_state = 6},
  [401] = {.lex_state = 20, .external_lex_state = 6},
  [402] = {.lex_state = 20, .external_lex_state = 6},
  [403] = {.lex_state = 20, .external_lex_state = 6},
  [404] = {.lex_state = 20, .external_lex_state = 6},
  [405] = {.lex_state = 20, .external_lex_state = 6},
  [406] = {.lex_state = 20, .external_lex_state = 6},
  [407] = {.lex_state = 20, .external_lex_state = 6},
  [408] = {.lex_state = 20, .external_lex_state = 6},
  [409] = {.lex_state = 20, .external_lex_state = 6},
  [410] = {.lex_state = 20, .external_lex_state = 6},
  [411] = {.lex_state = 20, .external_lex_state = 6},
  [412] = {.lex_state = 20, .external_lex_state = 6},
  [413] = {.lex_state = 20, .external_lex_state = 6},
  [414] = {.lex_state = 20, .external_lex_state = 6},
  [415] = {.lex_state = 20, .external_lex_state = 6},
  [416] = {.lex_state = 20, .external_lex_state = 6},
  [417] = {.lex_state = 20, .external_lex_state = 6},
  [418] = {.lex_state = 20, .external_lex_state = 6},
  [419] = {.lex_state = 20, .external_lex_state = 6},
  [420] = {.lex_state = 20, .external_lex_state = 6},
  [421] = {.lex_state = 20, .external_lex_state = 6},
  [422] = {.lex_state = 20, .external_lex_state = 6},
  [423] = {.lex_state = 20, .external_lex_state = 6},
  [424] = {.lex_state = 20, .external_lex_state = 6},
  [425] = {.lex_state = 20, .external_lex_state = 6},
  [426] = {.lex_state = 20, .external_lex_state = 6},
  [427] = {.lex_state = 20, .external_lex_state = 6},
  [428] = {.lex_state = 20, .external_lex_state = 6},
  [429] = {.lex_state = 20, .external_lex_state = 6},
  [430] = {.lex_state = 20, .external_lex_state = 6},
  [431] = {.lex_state = 20, .external_lex_state = 6},
  [432] = {.lex_state = 20, .external_lex_state = 6},
  [433] = {.lex_state = 20, .external_lex_state = 6},
  [434] = {.lex_state = 20, .external_lex_state = 6},
  [435] = {.lex_state = 20, .external_lex_state = 6},
  [436] = {.lex_state = 20, .external_lex_state = 6},
  [437] = {.lex_state = 20, .external_lex_state = 6},
  [438] = {.lex_state = 20, .external_lex_state = 6},
  [439] = {.lex_state = 20, .external_lex_state = 6},
  [440] = {.lex_state = 20, .external_lex_state = 6},
  [441] = {.lex_state = 20, .external_lex_state = 6},
  [442] = {.lex_state = 20, .external_lex_state = 6},
  [443] = {.lex_state = 20, .external_lex_state = 6},
  [444] = {.lex_state = 20, .external_lex_state = 6},
  [445] = {.lex_state = 20, .external_lex_state = 6},
  [446] = {.lex_state = 20, .external_lex_state = 6},
  [447] = {.lex_state = 20, .external_lex_state = 6},
  [448] = {.lex_state = 26, .external_lex_state = 5},
  [449] = {.lex_state = 20, .external_lex_state = 6},
  [450] = {.lex_state = 20, .external_lex_state = 6},
  [451] = {.lex_state = 18, .external_lex_state = 6},
  [452] = {.lex_state = 20, .external_lex_state = 6},
  [453] = {.lex_state = 20, .external_lex_state = 6},
  [454] = {.lex_state = 20, .external_lex_state = 6},
  [455] = {.lex_state = 20, .external_lex_state = 6},
  [456] = {.lex_state = 20, .external_lex_state = 6},
  [457] = {.lex_state = 20, .external_lex_state = 6},
  [458] = {.lex_state = 20, .external_lex_state = 6},
  [459] = {.lex_state = 20, .external_lex_state = 6},
  [460] = {.lex_state = 20, .external_lex_state = 6},
  [461] = {.lex_state = 20, .external_lex_state = 6},
  [462] = {.lex_state = 20, .external_lex_state = 6},
  [463] = {.lex_state = 20, .external_lex_state = 6},
  [464] = {.lex_state = 20, .external_lex_state = 6},
  [465] = {.lex_state = 20, .external_lex_state = 6},
  [466] = {.lex_state = 20, .external_lex_state = 6},
  [467] = {.lex_state = 20, .external_lex_state = 6},
  [468] = {.lex_state = 20, .external_lex_state = 6},
  [469] = {.lex_state = 20, .external_lex_state = 6},
  [470] = {.lex_state = 20, .external_lex_state = 6},
  [471] = {.lex_state = 20, .external_lex_state = 6},
  [472] = {.lex_state = 20, .external_lex_state = 6},
  [473] = {.lex_state = 20, .external_lex_state = 6},
  [474] = {.lex_state = 20, .external_lex_state = 6},
  [475] = {.lex_state = 20, .external_lex_state = 6},
  [476] = {.lex_state = 20, .external_lex_state = 6},
  [477] = {.lex_state = 20, .external_lex_state = 6},
  [478] = {.lex_state = 20, .external_lex_state = 6},
  [479] = {.lex_state = 20, .external_lex_state = 6},
  [480] = {.lex_state = 20, .external_lex_state = 6},
  [481] = {.lex_state = 20, .external_lex_state = 6},
  [482] = {.lex_state = 20, .external_lex_state = 6},
  [483] = {.lex_state = 20, .external_lex_state = 6},
  [484] = {.lex_state = 20, .external_lex_state = 6},
  [485] = {.lex_state = 20, .external_lex_state = 6},
  [486] = {.lex_state = 20, .external_lex_state = 6},
  [487] = {.lex_state = 20, .external_lex_state = 6},
  [488] = {.lex_state = 20, .external_lex_state = 6},
  [489] = {.lex_state = 20, .external_lex_state = 6},
  [490] = {.lex_state = 20, .external_lex_state = 6},
  [491] = {.lex_state = 20, .external_lex_state = 6},
  [492] = {.lex_state = 20, .external_lex_state = 6},
  [493] = {.lex_state = 20, .external_lex_state = 6},
  [494] = {.lex_state = 26, .external_lex_state = 5},
  [495] = {.lex_state = 20, .external_lex_state = 6},
  [496] = {.lex_state = 20, .external_lex_state = 6},
  [497] = {.lex_state = 20, .external_lex_state = 6},
  [498] = {.lex_state = 20, .external_lex_state = 6},
  [499] = {.lex_state = 20, .external_lex_state = 6},
  [500] = {.lex_state = 20, .external_lex_state = 6},
  [501] = {.lex_state = 20, .external_lex_state = 6},
  [502] = {.lex_state = 20, .external_lex_state = 6},
  [503] = {.lex_state = 20, .external_lex_state = 6},
  [504] = {.lex_state = 20, .external_lex_state = 6},
  [505] = {.lex_state = 20, .external_lex_state = 6},
  [506] = {.lex_state = 20, .external_lex_state = 6},
  [507] = {.lex_state = 20, .external_lex_state = 6},
  [508] = {.lex_state = 20, .external_lex_state = 6},
  [509] = {.lex_state = 20, .external_lex_state = 6},
  [510] = {.lex_state = 20, .external_lex_state = 6},
  [511] = {.lex_state = 20, .external_lex_state = 6},
  [512] = {.lex_state = 20, .external_lex_state = 6},
  [513] = {.lex_state = 20, .external_lex_state = 6},
  [514] = {.lex_state = 20, .external_lex_state = 6},
  [515] = {.lex_state = 20, .external_lex_state = 6},
  [516] = {.lex_state = 20, .external_lex_state = 6},
  [517] = {.lex_state = 20, .external_lex_state = 6},
  [518] = {.lex_state = 20, .external_lex_state = 6},
  [519] = {.lex_state = 20, .external_lex_state = 6},
  [520] = {.lex_state = 20, .external_lex_state = 6},
  [521] = {.lex_state = 20, .external_lex_state = 6},
  [522] = {.lex_state = 20, .external_lex_state = 6},
  [523] = {.lex_state = 20, .external_lex_state = 6},
  [524] = {.lex_state = 20, .external_lex_state = 6},
  [525] = {.lex_state = 20, .external_lex_state = 6},
  [526] = {.lex_state = 20, .external_lex_state = 6},
  [527] = {.lex_state = 20, .external_lex_state = 6},
  [528] = {.lex_state = 20, .external_lex_state = 6},
  [529] = {.lex_state = 20, .external_lex_state = 6},
  [530] = {.lex_state = 20, .external_lex_state = 6},
  [531] = {.lex_state = 20, .external_lex_state = 6},
  [532] = {.lex_state = 20, .external_lex_state = 6},
  [533] = {.lex_state = 20, .external_lex_state = 6},
  [534] = {.lex_state = 20, .external_lex_state = 6},
  [535] = {.lex_state = 20, .external_lex_state = 6},
  [536] = {.lex_state = 22, .external_lex_state = 10},
  [537] = {.lex_state = 22, .external_lex_state = 10},
  [538] = {.lex_state = 48, .external_lex_state = 3},
  [539] = {.lex_state = 50, .external_lex_state = 3},
  [540] = {.lex_state = 50, .external_lex_state = 3},
  [541] = {.lex_state = 48, .external_lex_state = 3},
  [542] = {.lex_state = 22, .external_lex_state = 10},
  [543] = {.lex_state = 22, .external_lex_state = 10},
  [544] = {.lex_state = 22, .external_lex_state = 10},
  [545] = {.lex_state = 22, .external_lex_state = 10},
  [546] = {.lex_state = 22, .external_lex_state = 10},
  [547] = {.lex_state = 13, .external_lex_state = 10},
  [548] = {.lex_state = 13, .external_lex_state = 10},
  [549] = {.lex_state = 49, .external_lex_state = 3},
  [550] = {.lex_state = 13, .external_lex_state = 10},
  [551] = {.lex_state = 13, .external_lex_state = 10},
  [552] = {.lex_state = 13, .external_lex_state = 10},
  [553] = {.lex_state = 21, .external_lex_state = 7},
  [554] = {.lex_state = 21, .external_lex_state = 7},
  [555] = {.lex_state = 13, .external_lex_state = 10},
  [556] = {.lex_state = 49, .external_lex_state = 3},
  [557] = {.lex_state = 49, .external_lex_state = 3},
  [558] = {.lex_state = 50, .external_lex_state = 3},
  [559] = {.lex_state = 48, .external_lex_state = 3},
  [560] = {.lex_state = 13, .external_lex_state = 10},
  [561] = {.lex_state = 13, .external_lex_state = 10},
  [562] = {.lex_state = 13, .external_lex_state = 10},
  [563] = {.lex_state = 49, .external_lex_state = 3},
  [564] = {.lex_state = 13, .external_lex_state = 10},
  [565] = {.lex_state = 13, .external_lex_state = 10},
  [566] = {.lex_state = 13, .external_lex_state = 10},
  [567] = {.lex_state = 13, .external_lex_state = 10},
  [568] = {.lex_state = 13, .external_lex_state = 10},
  [569] = {.lex_state = 13, .external_lex_state = 10},
  [570] = {.lex_state = 13, .external_lex_state = 10},
  [571] = {.lex_state = 13, .external_lex_state = 10},
  [572] = {.lex_state = 13, .external_lex_state = 10},
  [573] = {.lex_state = 13, .external_lex_state = 10},
  [574] = {.lex_state = 49, .external_lex_state = 3},
  [575] = {.lex_state = 21, .external_lex_state = 8},
  [576] = {.lex_state = 50, .external_lex_state = 3},
  [577] = {.lex_state = 50, .external_lex_state = 3},
  [578] = {.lex_state = 48, .external_lex_state = 3},
  [579] = {.lex_state = 50, .external_lex_state = 3},
  [580] = {.lex_state = 48, .external_lex_state = 3},
  [581] = {.lex_state = 50, .external_lex_state = 3},
  [582] = {.lex_state = 48, .external_lex_state = 3},
  [583] = {.lex_state = 50, .external_lex_state = 3},
  [584] = {.lex_state = 21, .external_lex_state = 8},
  [585] = {.lex_state = 48, .external_lex_state = 3},
  [586] = {.lex_state = 48, .external_lex_state = 3},
  [587] = {.lex_state = 50, .external_lex_state = 3},
  [588] = {.lex_state = 48, .external_lex_state = 3},
  [589] = {.lex_state = 48, .external_lex_state = 3},
  [590] = {.lex_state = 50, .external_lex_state = 3},
  [591] = {.lex_state = 50, .external_lex_state = 3},
  [592] = {.lex_state = 48, .external_lex_state = 3},
  [593] = {.lex_state = 48, .external_lex_state = 3},
  [594] = {.lex_state = 50, .external_lex_state = 3},
  [595] = {.lex_state = 50, .external_lex_state = 3},
  [596] = {.lex_state = 50, .external_lex_state = 3},
  [597] = {.lex_state = 21, .external_lex_state = 8},
  [598] = {.lex_state = 49, .external_lex_state = 3},
  [599] = {.lex_state = 49, .external_lex_state = 3},
  [600] = {.lex_state = 21, .external_lex_state = 6},
  [601] = {.lex_state = 46, .external_lex_state = 3},
  [602] = {.lex_state = 21, .external_lex_state = 6},
  [603] = {.lex_state = 47, .external_lex_state = 3},
  [604] = {.lex_state = 47, .external_lex_state = 3},
  [605] = {.lex_state = 21, .external_lex_state = 9},
  [606] = {.lex_state = 21, .external_lex_state = 6},
  [607] = {.lex_state = 49, .external_lex_state = 3},
  [608] = {.lex_state = 49, .external_lex_state = 3},
  [609] = {.lex_state = 47, .external_lex_state = 3},
  [610] = {.lex_state = 49, .external_lex_state = 3},
  [611] = {.lex_state = 52, .external_lex_state = 6},
  [612] = {.lex_state = 49, .external_lex_state = 3},
  [613] = {.lex_state = 21, .external_lex_state = 6},
  [614] = {.lex_state = 47, .external_lex_state = 3},
  [615] = {.lex_state = 21, .external_lex_state = 6},
  [616] = {.lex_state = 46, .external_lex_state = 3},
  [617] = {.lex_state = 47, .external_lex_state = 3},
  [618] = {.lex_state = 21, .external_lex_state = 6},
  [619] = {.lex_state = 52, .external_lex_state = 6},
  [620] = {.lex_state = 21, .external_lex_state = 8},
  [621] = {.lex_state = 49, .external_lex_state = 3},
  [622] = {.lex_state = 47, .external_lex_state = 3},
  [623] = {.lex_state = 49, .external_lex_state = 3},
  [624] = {.lex_state = 21, .external_lex_state = 6},
  [625] = {.lex_state = 21, .external_lex_state = 6},
  [626] = {.lex_state = 21, .external_lex_state = 9},
  [627] = {.lex_state = 46, .external_lex_state = 3},
  [628] = {.lex_state = 21, .external_lex_state = 6},
  [629] = {.lex_state = 47, .external_lex_state = 3},
  [630] = {.lex_state = 47, .external_lex_state = 3},
  [631] = {.lex_state = 46, .external_lex_state = 3},
  [632] = {.lex_state = 21, .external_lex_state = 6},
  [633] = {.lex_state = 21, .external_lex_state = 6},
  [634] = {.lex_state = 46, .external_lex_state = 3},
  [635] = {.lex_state = 47, .external_lex_state = 3},
  [636] = {.lex_state = 21, .external_lex_state = 6},
  [637] = {.lex_state = 46, .external_lex_state = 3},
  [638] = {.lex_state = 47, .external_lex_state = 3},
  [639] = {.lex_state = 46, .external_lex_state = 3},
  [640] = {.lex_state = 47, .external_lex_state = 3},
  [641] = {.lex_state = 46, .external_lex_state = 3},
  [642] = {.lex_state = 21, .external_lex_state = 6},
  [643] = {.lex_state = 21, .external_lex_state = 6},
  [644] = {.lex_state = 46, .external_lex_state = 3},
  [645] = {.lex_state = 35, .external_lex_state = 3},
  [646] = {.lex_state = 35, .external_lex_state = 3},
  [647] = {.lex_state = 35, .external_lex_state = 3},
  [648] = {.lex_state = 35, .external_lex_state = 3},
  [649] = {.lex_state = 35, .external_lex_state = 3},
  [650] = {.lex_state = 35, .external_lex_state = 3},
  [651] = {.lex_state = 35, .external_lex_state = 3},
  [652] = {.lex_state = 35, .external_lex_state = 3},
  [653] = {.lex_state = 35, .external_lex_state = 3},
  [654] = {.lex_state = 21, .external_lex_state = 8},
  [655] = {.lex_state = 35, .external_lex_state = 3},
  [656] = {.lex_state = 35, .external_lex_state = 3},
  [657] = {.lex_state = 35, .external_lex_state = 3},
  [658] = {.lex_state = 35, .external_lex_state = 3},
  [659] = {.lex_state = 35, .external_lex_state = 3},
  [660] = {.lex_state = 35, .external_lex_state = 3},
  [661] = {.lex_state = 35, .external_lex_state = 3},
  [662] = {.lex_state = 35, .external_lex_state = 3},
  [663] = {.lex_state = 35, .external_lex_state = 3},
  [664] = {.lex_state = 35, .external_lex_state = 3},
  [665] = {.lex_state = 35, .external_lex_state = 3},
  [666] = {.lex_state = 35, .external_lex_state = 3},
  [667] = {.lex_state = 35, .external_lex_state = 3},
  [668] = {.lex_state = 35, .external_lex_state = 3},
  [669] = {.lex_state = 35, .external_lex_state = 3},
  [670] = {.lex_state = 35, .external_lex_state = 3},
  [671] = {.lex_state = 35, .external_lex_state = 3},
  [672] = {.lex_state = 35, .external_lex_state = 3},
  [673] = {.lex_state = 35, .external_lex_state = 3},
  [674] = {.lex_state = 35, .external_lex_state = 3},
  [675] = {.lex_state = 35, .external_lex_state = 3},
  [676] = {.lex_state = 35, .external_lex_state = 3},
  [677] = {.lex_state = 35, .external_lex_state = 3},
  [678] = {.lex_state = 35, .external_lex_state = 3},
  [679] = {.lex_state = 21, .external_lex_state = 6},
  [680] = {.lex_state = 53, .external_lex_state = 6},
  [681] = {.lex_state = 53, .external_lex_state = 6},
  [682] = {.lex_state = 53, .external_lex_state = 6},
  [683] = {.lex_state = 53, .external_lex_state = 6},
  [684] = {.lex_state = 53, .external_lex_state = 6},
  [685] = {.lex_state = 53, .external_lex_state = 6},
  [686] = {.lex_state = 53, .external_lex_state = 6},
  [687] = {.lex_state = 53, .external_lex_state = 6},
  [688] = {.lex_state = 53, .external_lex_state = 6},
  [689] = {.lex_state = 53, .external_lex_state = 6},
  [690] = {.lex_state = 21, .external_lex_state = 6},
  [691] = {.lex_state = 21, .external_lex_state = 6},
  [692] = {.lex_state = 21, .external_lex_state = 6},
  [693] = {.lex_state = 21, .external_lex_state = 6},
  [694] = {.lex_state = 21, .external_lex_state = 6},
  [695] = {.lex_state = 21, .external_lex_state = 6},
  [696] = {.lex_state = 21, .external_lex_state = 6},
  [697] = {.lex_state = 21, .external_lex_state = 6},
  [698] = {.lex_state = 21, .external_lex_state = 6},
  [699] = {.lex_state = 21, .external_lex_state = 6},
  [700] = {.lex_state = 21, .external_lex_state = 6},
  [701] = {.lex_state = 21, .external_lex_state = 6},
  [702] = {.lex_state = 21, .external_lex_state = 6},
  [703] = {.lex_state = 21, .external_lex_state = 6},
  [704] = {.lex_state = 21, .external_lex_state = 6},
  [705] = {.lex_state = 21, .external_lex_state = 6},
  [706] = {.lex_state = 21, .external_lex_state = 6},
  [707] = {.lex_state = 21, .external_lex_state = 6},
  [708] = {.lex_state = 21, .external_lex_state = 6},
  [709] = {.lex_state = 21, .external_lex_state = 6},
  [710] = {.lex_state = 21, .external_lex_state = 6},
  [711] = {.lex_state = 21, .external_lex_state = 6},
  [712] = {.lex_state = 21, .external_lex_state = 6},
  [713] = {.lex_state = 21, .external_lex_state = 6},
  [714] = {.lex_state = 21, .external_lex_state = 6},
  [715] = {.lex_state = 21, .external_lex_state = 6},
  [716] = {.lex_state = 21, .external_lex_state = 6},
  [717] = {.lex_state = 21, .external_lex_state = 6},
  [718] = {.lex_state = 21, .external_lex_state = 6},
  [719] = {.lex_state = 21, .external_lex_state = 6},
  [720] = {.lex_state = 21, .external_lex_state = 6},
  [721] = {.lex_state = 21, .external_lex_state = 6},
  [722] = {.lex_state = 21, .external_lex_state = 6},
  [723] = {.lex_state = 21, .external_lex_state = 6},
  [724] = {.lex_state = 21, .external_lex_state = 6},
  [725] = {.lex_state = 21, .external_lex_state = 6},
  [726] = {.lex_state = 21, .external_lex_state = 6},
  [727] = {.lex_state = 21, .external_lex_state = 6},
  [728] = {.lex_state = 21, .external_lex_state = 6},
  [729] = {.lex_state = 21, .external_lex_state = 6},
  [730] = {.lex_state = 21, .external_lex_state = 6},
  [731] = {.lex_state = 21, .external_lex_state = 6},
  [732] = {.lex_state = 21, .external_lex_state = 6},
  [733] = {.lex_state = 21, .external_lex_state = 6},
  [734] = {.lex_state = 21, .external_lex_state = 6},
  [735] = {.lex_state = 21, .external_lex_state = 6},
  [736] = {.lex_state = 21, .external_lex_state = 6},
  [737] = {.lex_state = 21, .external_lex_state = 6},
  [738] = {.lex_state = 21, .external_lex_state = 6},
  [739] = {.lex_state = 21, .external_lex_state = 6},
  [740] = {.lex_state = 21, .external_lex_state = 6},
  [741] = {.lex_state = 21, .external_lex_state = 6},
  [742] = {.lex_state = 21, .external_lex_state = 6},
  [743] = {.lex_state = 21, .external_lex_state = 6},
  [744] = {.lex_state = 21, .external_lex_state = 6},
  [745] = {.lex_state = 21, .external_lex_state = 6},
  [746] = {.lex_state = 21, .external_lex_state = 6},
  [747] = {.lex_state = 21, .external_lex_state = 6},
  [748] = {.lex_state = 21, .external_lex_state = 6},
  [749] = {.lex_state = 21, .external_lex_state = 6},
  [750] = {.lex_state = 21, .external_lex_state = 6},
  [751] = {.lex_state = 21, .external_lex_state = 6},
  [752] = {.lex_state = 21, .external_lex_state = 6},
  [753] = {.lex_state = 21, .external_lex_state = 6},
  [754] = {.lex_state = 21, .external_lex_state = 6},
  [755] = {.lex_state = 21, .external_lex_state = 6},
  [756] = {.lex_state = 21, .external_lex_state = 6},
  [757] = {.lex_state = 21, .external_lex_state = 6},
  [758] = {.lex_state = 21, .external_lex_state = 6},
  [759] = {.lex_state = 21, .external_lex_state = 6},
  [760] = {.lex_state = 21, .external_lex_state = 6},
  [761] = {.lex_state = 21, .external_lex_state = 6},
  [762] = {.lex_state = 21, .external_lex_state = 6},
  [763] = {.lex_state = 21, .external_lex_state = 6},
  [764] = {.lex_state = 21, .external_lex_state = 6},
  [765] = {.lex_state = 21, .external_lex_state = 6},
  [766] = {.lex_state = 21, .external_lex_state = 6},
  [767] = {.lex_state = 21, .external_lex_state = 6},
  [768] = {.lex_state = 21, .external_lex_state = 6},
  [769] = {.lex_state = 21, .external_lex_state = 6},
  [770] = {.lex_state = 21, .external_lex_state = 6},
  [771] = {.lex_state = 21, .external_lex_state = 6},
  [772] = {.lex_state = 21, .external_lex_state = 6},
  [773] = {.lex_state = 21, .external_lex_state = 6},
  [774] = {.lex_state = 21, .external_lex_state = 6},
  [775] = {.lex_state = 21, .external_lex_state = 6},
  [776] = {.lex_state = 21, .external_lex_state = 6},
  [777] = {.lex_state = 21, .external_lex_state = 6},
  [778] = {.lex_state = 21, .external_lex_state = 6},
  [779] = {.lex_state = 21, .external_lex_state = 6},
  [780] = {.lex_state = 21, .external_lex_state = 6},
  [781] = {.lex_state = 21, .external_lex_state = 6},
  [782] = {.lex_state = 21, .external_lex_state = 6},
  [783] = {.lex_state = 21, .external_lex_state = 6},
  [784] = {.lex_state = 21, .external_lex_state = 6},
  [785] = {.lex_state = 21, .external_lex_state = 6},
  [786] = {.lex_state = 21, .external_lex_state = 6},
  [787] = {.lex_state = 21, .external_lex_state = 6},
  [788] = {.lex_state = 21, .external_lex_state = 6},
  [789] = {.lex_state = 21, .external_lex_state = 6},
  [790] = {.lex_state = 21, .external_lex_state = 6},
  [791] = {.lex_state = 21, .external_lex_state = 6},
  [792] = {.lex_state = 21, .external_lex_state = 6},
  [793] = {.lex_state = 21, .external_lex_state = 6},
  [794] = {.lex_state = 21, .external_lex_state = 6},
  [795] = {.lex_state = 21, .external_lex_state = 6},
  [796] = {.lex_state = 21, .external_lex_state = 6},
  [797] = {.lex_state = 21, .external_lex_state = 6},
  [798] = {.lex_state = 21, .external_lex_state = 6},
  [799] = {.lex_state = 21, .external_lex_state = 6},
  [800] = {.lex_state = 21, .external_lex_state = 6},
  [801] = {.lex_state = 21, .external_lex_state = 6},
  [802] = {.lex_state = 21, .external_lex_state = 6},
  [803] = {.lex_state = 21, .external_lex_state = 6},
  [804] = {.lex_state = 21, .external_lex_state = 6},
  [805] = {.lex_state = 21, .external_lex_state = 6},
  [806] = {.lex_state = 21, .external_lex_state = 6},
  [807] = {.lex_state = 21, .external_lex_state = 6},
  [808] = {.lex_state = 21, .external_lex_state = 6},
  [809] = {.lex_state = 21, .external_lex_state = 6},
  [810] = {.lex_state = 21, .external_lex_state = 6},
  [811] = {.lex_state = 21, .external_lex_state = 6},
  [812] = {.lex_state = 21, .external_lex_state = 6},
  [813] = {.lex_state = 21, .external_lex_state = 6},
  [814] = {.lex_state = 21, .external_lex_state = 6},
  [815] = {.lex_state = 21, .external_lex_state = 6},
  [816] = {.lex_state = 21, .external_lex_state = 6},
  [817] = {.lex_state = 21, .external_lex_state = 6},
  [818] = {.lex_state = 21, .external_lex_state = 6},
  [819] = {.lex_state = 21, .external_lex_state = 6},
  [820] = {.lex_state = 21, .external_lex_state = 6},
  [821] = {.lex_state = 21, .external_lex_state = 6},
  [822] = {.lex_state = 21, .external_lex_state = 6},
  [823] = {.lex_state = 21, .external_lex_state = 6},
  [824] = {.lex_state = 21, .external_lex_state = 6},
  [825] = {.lex_state = 21, .external_lex_state = 6},
  [826] = {.lex_state = 21, .external_lex_state = 6},
  [827] = {.lex_state = 21, .external_lex_state = 6},
  [828] = {.lex_state = 21, .external_lex_state = 6},
  [829] = {.lex_state = 21, .external_lex_state = 6},
  [830] = {.lex_state = 21, .external_lex_state = 6},
  [831] = {.lex_state = 21, .external_lex_state = 6},
  [832] = {.lex_state = 21, .external_lex_state = 6},
  [833] = {.lex_state = 17, .external_lex_state = 5},
  [834] = {.lex_state = 17, .external_lex_state = 5},
  [835] = {.lex_state = 17, .external_lex_state = 5},
  [836] = {.lex_state = 29, .external_lex_state = 7},
  [837] = {.lex_state = 17, .external_lex_state = 11},
  [838] = {.lex_state = 29, .external_lex_state = 7},
  [839] = {.lex_state = 17, .external_lex_state = 7},
  [840] = {.lex_state = 17, .external_lex_state = 7},
  [841] = {.lex_state = 17, .external_lex_state = 10},
  [842] = {.lex_state = 29, .external_lex_state = 11},
  [843] = {.lex_state = 17, .external_lex_state = 7},
  [844] = {.lex_state = 29, .external_lex_state = 7},
  [845] = {.lex_state = 29, .external_lex_state = 9},
  [846] = {.lex_state = 17, .external_lex_state = 8},
  [847] = {.lex_state = 29, .external_lex_state = 8},
  [848] = {.lex_state = 29, .external_lex_state = 8},
  [849] = {.lex_state = 17, .external_lex_state = 10},
  [850] = {.lex_state = 17, .external_lex_state = 11},
  [851] = {.lex_state = 17, .external_lex_state = 11},
  [852] = {.lex_state = 17, .external_lex_state = 11},
  [853] = {.lex_state = 17, .external_lex_state = 11},
  [854] = {.lex_state = 29, .external_lex_state = 11},
  [855] = {.lex_state = 29, .external_lex_state = 11},
  [856] = {.lex_state = 29, .external_lex_state = 11},
  [857] = {.lex_state = 29, .external_lex_state = 9},
  [858] = {.lex_state = 17, .external_lex_state = 11},
  [859] = {.lex_state = 29, .external_lex_state = 11},
  [860] = {.lex_state = 17, .external_lex_state = 6},
  [861] = {.lex_state = 17, .external_lex_state = 11},
  [862] = {.lex_state = 17, .external_lex_state = 11},
  [863] = {.lex_state = 17, .external_lex_state = 11},
  [864] = {.lex_state = 17, .external_lex_state = 5},
  [865] = {.lex_state = 17, .external_lex_state = 6},
  [866] = {.lex_state = 16, .external_lex_state = 10},
  [867] = {.lex_state = 17, .external_lex_state = 10},
  [868] = {.lex_state = 29, .external_lex_state = 9},
  [869] = {.lex_state = 29, .external_lex_state = 12},
  [870] = {.lex_state = 16, .external_lex_state = 10},
  [871] = {.lex_state = 29, .external_lex_state = 11},
  [872] = {.lex_state = 17, .external_lex_state = 11},
  [873] = {.lex_state = 17, .external_lex_state = 11},
  [874] = {.lex_state = 17, .external_lex_state = 5},
  [875] = {.lex_state = 17, .external_lex_state = 6},
  [876] = {.lex_state = 29, .external_lex_state = 11},
  [877] = {.lex_state = 17, .external_lex_state = 11},
  [878] = {.lex_state = 17, .external_lex_state = 8},
  [879] = {.lex_state = 17, .external_lex_state = 13},
  [880] = {.lex_state = 17, .external_lex_state = 11},
  [881] = {.lex_state = 16, .external_lex_state = 10},
  [882] = {.lex_state = 17, .external_lex_state = 10},
  [883] = {.lex_state = 17, .external_lex_state = 10},
  [884] = {.lex_state = 29, .external_lex_state = 13},
  [885] = {.lex_state = 17, .external_lex_state = 10},
  [886] = {.lex_state = 17, .external_lex_state = 10},
  [887] = {.lex_state = 17, .external_lex_state = 10},
  [888] = {.lex_state = 17, .external_lex_state = 10},
  [889] = {.lex_state = 17, .external_lex_state = 10},
  [890] = {.lex_state = 17, .external_lex_state = 10},
  [891] = {.lex_state = 17, .external_lex_state = 10},
  [892] = {.lex_state = 29, .external_lex_state = 8},
  [893] = {.lex_state = 29, .external_lex_state = 11},
  [894] = {.lex_state = 29, .external_lex_state = 11},
  [895] = {.lex_state = 29, .external_lex_state = 11},
  [896] = {.lex_state = 29, .external_lex_state = 11},
  [897] = {.lex_state = 17, .external_lex_state = 10},
  [898] = {.lex_state = 17, .external_lex_state = 10},
  [899] = {.lex_state = 29, .external_lex_state = 11},
  [900] = {.lex_state = 29, .external_lex_state = 11},
  [901] = {.lex_state = 17, .external_lex_state = 8},
  [902] = {.lex_state = 17, .external_lex_state = 10},
  [903] = {.lex_state = 29, .external_lex_state = 12},
  [904] = {.lex_state = 17, .external_lex_state = 13},
  [905] = {.lex_state = 17, .external_lex_state = 13},
  [906] = {.lex_state = 29, .external_lex_state = 13},
  [907] = {.lex_state = 29, .external_lex_state = 13},
  [908] = {.lex_state = 17, .external_lex_state = 13},
  [909] = {.lex_state = 17, .external_lex_state = 13},
  [910] = {.lex_state = 17, .external_lex_state = 13},
  [911] = {.lex_state = 17, .external_lex_state = 13},
  [912] = {.lex_state = 17, .external_lex_state = 13},
  [913] = {.lex_state = 17, .external_lex_state = 13},
  [914] = {.lex_state = 17, .external_lex_state = 13},
  [915] = {.lex_state = 17, .external_lex_state = 10},
  [916] = {.lex_state = 17, .external_lex_state = 10},
  [917] = {.lex_state = 17, .external_lex_state = 10},
  [918] = {.lex_state = 17, .external_lex_state = 10},
  [919] = {.lex_state = 17, .external_lex_state = 10},
  [920] = {.lex_state = 17, .external_lex_state = 10},
  [921] = {.lex_state = 17, .external_lex_state = 10},
  [922] = {.lex_state = 29, .external_lex_state = 12},
  [923] = {.lex_state = 28, .external_lex_state = 11},
  [924] = {.lex_state = 29, .external_lex_state = 12},
  [925] = {.lex_state = 28, .external_lex_state = 11},
  [926] = {.lex_state = 28, .external_lex_state = 11},
  [927] = {.lex_state = 29, .external_lex_state = 7},
  [928] = {.lex_state = 17, .external_lex_state = 10},
  [929] = {.lex_state = 17, .external_lex_state = 10},
  [930] = {.lex_state = 17, .external_lex_state = 10},
  [931] = {.lex_state = 17, .external_lex_state = 10},
  [932] = {.lex_state = 17, .external_lex_state = 10},
  [933] = {.lex_state = 17, .external_lex_state = 10},
  [934] = {.lex_state = 17, .external_lex_state = 10},
  [935] = {.lex_state = 17, .external_lex_state = 10},
  [936] = {.lex_state = 17, .external_lex_state = 10},
  [937] = {.lex_state = 17, .external_lex_state = 10},
  [938] = {.lex_state = 17, .external_lex_state = 10},
  [939] = {.lex_state = 17, .external_lex_state = 10},
  [940] = {.lex_state = 17, .external_lex_state = 10},
  [941] = {.lex_state = 17, .external_lex_state = 10},
  [942] = {.lex_state = 17, .external_lex_state = 10},
  [943] = {.lex_state = 17, .external_lex_state = 10},
  [944] = {.lex_state = 17, .external_lex_state = 10},
  [945] = {.lex_state = 17, .external_lex_state = 10},
  [946] = {.lex_state = 17, .external_lex_state = 10},
  [947] = {.lex_state = 29, .external_lex_state = 7},
  [948] = {.lex_state = 17, .external_lex_state = 10},
  [949] = {.lex_state = 17, .external_lex_state = 10},
  [950] = {.lex_state = 17, .external_lex_state = 10},
  [951] = {.lex_state = 17, .external_lex_state = 10},
  [952] = {.lex_state = 17, .external_lex_state = 10},
  [953] = {.lex_state = 17, .external_lex_state = 10},
  [954] = {.lex_state = 17, .external_lex_state = 10},
  [955] = {.lex_state = 28, .external_lex_state = 13},
  [956] = {.lex_state = 29, .external_lex_state = 12},
  [957] = {.lex_state = 17, .external_lex_state = 10},
  [958] = {.lex_state = 17, .external_lex_state = 10},
  [959] = {.lex_state = 16, .external_lex_state = 10},
  [960] = {.lex_state = 17, .external_lex_state = 10},
  [961] = {.lex_state = 17, .external_lex_state = 10},
  [962] = {.lex_state = 17, .external_lex_state = 10},
  [963] = {.lex_state = 17, .external_lex_state = 10},
  [964] = {.lex_state = 17, .external_lex_state = 10},
  [965] = {.lex_state = 17, .external_lex_state = 10},
  [966] = {.lex_state = 17, .external_lex_state = 10},
  [967] = {.lex_state = 29, .external_lex_state = 13},
  [968] = {.lex_state = 29, .external_lex_state = 13},
  [969] = {.lex_state = 28, .external_lex_state = 13},
  [970] = {.lex_state = 29, .external_lex_state = 12},
  [971] = {.lex_state = 29, .external_lex_state = 12},
  [972] = {.lex_state = 17, .external_lex_state = 2},
  [973] = {.lex_state = 29, .external_lex_state = 12},
  [974] = {.lex_state = 17, .external_lex_state = 10},
  [975] = {.lex_state = 17, .external_lex_state = 10},
  [976] = {.lex_state = 29, .external_lex_state = 12},
  [977] = {.lex_state = 29, .external_lex_state = 12},
  [978] = {.lex_state = 17, .external_lex_state = 10},
  [979] = {.lex_state = 17, .external_lex_state = 10},
  [980] = {.lex_state = 17, .external_lex_state = 10},
  [981] = {.lex_state = 29, .external_lex_state = 12},
  [982] = {.lex_state = 29, .external_lex_state = 12},
  [983] = {.lex_state = 29, .external_lex_state = 12},
  [984] = {.lex_state = 16, .external_lex_state = 11},
  [985] = {.lex_state = 16, .external_lex_state = 11},
  [986] = {.lex_state = 16, .external_lex_state = 11},
  [987] = {.lex_state = 16, .external_lex_state = 11},
  [988] = {.lex_state = 16, .external_lex_state = 11},
  [989] = {.lex_state = 17, .external_lex_state = 7},
  [990] = {.lex_state = 28, .external_lex_state = 11},
  [991] = {.lex_state = 17, .external_lex_state = 9},
  [992] = {.lex_state = 16, .external_lex_state = 11},
  [993] = {.lex_state = 28, .external_lex_state = 11},
  [994] = {.lex_state = 28, .external_lex_state = 11},
  [995] = {.lex_state = 29, .external_lex_state = 13},
  [996] = {.lex_state = 17, .external_lex_state = 9},
  [997] = {.lex_state = 29, .external_lex_state = 13},
  [998] = {.lex_state = 29, .external_lex_state = 13},
  [999] = {.lex_state = 16, .external_lex_state = 13},
  [1000] = {.lex_state = 17, .external_lex_state = 13},
  [1001] = {.lex_state = 29, .external_lex_state = 13},
  [1002] = {.lex_state = 17, .external_lex_state = 7},
  [1003] = {.lex_state = 29, .external_lex_state = 13},
  [1004] = {.lex_state = 17, .external_lex_state = 9},
  [1005] = {.lex_state = 28, .external_lex_state = 13},
  [1006] = {.lex_state = 29, .external_lex_state = 13},
  [1007] = {.lex_state = 29, .external_lex_state = 13},
  [1008] = {.lex_state = 17, .external_lex_state = 13},
  [1009] = {.lex_state = 17, .external_lex_state = 13},
  [1010] = {.lex_state = 29, .external_lex_state = 13},
  [1011] = {.lex_state = 17, .external_lex_state = 12},
  [1012] = {.lex_state = 17, .external_lex_state = 10},
  [1013] = {.lex_state = 17, .external_lex_state = 11},
  [1014] = {.lex_state = 29, .external_lex_state = 11},
  [1015] = {.lex_state = 29, .external_lex_state = 11},
  [1016] = {.lex_state = 29, .external_lex_state = 11},
  [1017] = {.lex_state = 29, .external_lex_state = 11},
  [1018] = {.lex_state = 29, .external_lex_state = 11},
  [1019] = {.lex_state = 17, .external_lex_state = 11},
  [1020] = {.lex_state = 29, .external_lex_state = 13},
  [1021] = {.lex_state = 29, .external_lex_state = 11},
  [1022] = {.lex_state = 16, .external_lex_state = 2},
  [1023] = {.lex_state = 29, .external_lex_state = 11},
  [1024] = {.lex_state = 29, .external_lex_state = 11},
  [1025] = {.lex_state = 17, .external_lex_state = 11},
  [1026] = {.lex_state = 29, .external_lex_state = 11},
  [1027] = {.lex_state = 29, .external_lex_state = 11},
  [1028] = {.lex_state = 29, .external_lex_state = 11},
  [1029] = {.lex_state = 29, .external_lex_state = 11},
  [1030] = {.lex_state = 28, .external_lex_state = 13},
  [1031] = {.lex_state = 29, .external_lex_state = 8},
  [1032] = {.lex_state = 29, .external_lex_state = 11},
  [1033] = {.lex_state = 17, .external_lex_state = 11},
  [1034] = {.lex_state = 17, .external_lex_state = 11},
  [1035] = {.lex_state = 29, .external_lex_state = 11},
  [1036] = {.lex_state = 29, .external_lex_state = 11},
  [1037] = {.lex_state = 29, .external_lex_state = 11},
  [1038] = {.lex_state = 29, .external_lex_state = 11},
  [1039] = {.lex_state = 29, .external_lex_state = 11},
  [1040] = {.lex_state = 29, .external_lex_state = 11},
  [1041] = {.lex_state = 29, .external_lex_state = 11},
  [1042] = {.lex_state = 29, .external_lex_state = 11},
  [1043] = {.lex_state = 29, .external_lex_state = 11},
  [1044] = {.lex_state = 17, .external_lex_state = 11},
  [1045] = {.lex_state = 17, .external_lex_state = 11},
  [1046] = {.lex_state = 17, .external_lex_state = 11},
  [1047] = {.lex_state = 17, .external_lex_state = 11},
  [1048] = {.lex_state = 17, .external_lex_state = 11},
  [1049] = {.lex_state = 17, .external_lex_state = 11},
  [1050] = {.lex_state = 17, .external_lex_state = 12},
  [1051] = {.lex_state = 17, .external_lex_state = 6},
  [1052] = {.lex_state = 17, .external_lex_state = 11},
  [1053] = {.lex_state = 28, .external_lex_state = 13},
  [1054] = {.lex_state = 29, .external_lex_state = 11},
  [1055] = {.lex_state = 28, .external_lex_state = 13},
  [1056] = {.lex_state = 29, .external_lex_state = 13},
  [1057] = {.lex_state = 29, .external_lex_state = 13},
  [1058] = {.lex_state = 29, .external_lex_state = 11},
  [1059] = {.lex_state = 17, .external_lex_state = 2},
  [1060] = {.lex_state = 17, .external_lex_state = 2},
  [1061] = {.lex_state = 17, .external_lex_state = 2},
  [1062] = {.lex_state = 29, .external_lex_state = 11},
  [1063] = {.lex_state = 29, .external_lex_state = 11},
  [1064] = {.lex_state = 29, .external_lex_state = 11},
  [1065] = {.lex_state = 28, .external_lex_state = 13},
  [1066] = {.lex_state = 17, .external_lex_state = 11},
  [1067] = {.lex_state = 17, .external_lex_state = 11},
  [1068] = {.lex_state = 28, .external_lex_state = 12},
  [1069] = {.lex_state = 28, .external_lex_state = 13},
  [1070] = {.lex_state = 28, .external_lex_state = 13},
  [1071] = {.lex_state = 17, .external_lex_state = 8},
  [1072] = {.lex_state = 17, .external_lex_state = 6},
  [1073] = {.lex_state = 17, .external_lex_state = 11},
  [1074] = {.lex_state = 17, .external_lex_state = 11},
  [1075] = {.lex_state = 17, .external_lex_state = 11},
  [1076] = {.lex_state = 29, .external_lex_state = 11},
  [1077] = {.lex_state = 17, .external_lex_state = 11},
  [1078] = {.lex_state = 17, .external_lex_state = 11},
  [1079] = {.lex_state = 17, .external_lex_state = 11},
  [1080] = {.lex_state = 17, .external_lex_state = 11},
  [1081] = {.lex_state = 29, .external_lex_state = 11},
  [1082] = {.lex_state = 29, .external_lex_state = 11},
  [1083] = {.lex_state = 29, .external_lex_state = 11},
  [1084] = {.lex_state = 17, .external_lex_state = 12},
  [1085] = {.lex_state = 17, .external_lex_state = 2},
  [1086] = {.lex_state = 17, .external_lex_state = 2},
  [1087] = {.lex_state = 17, .external_lex_state = 11},
  [1088] = {.lex_state = 28, .external_lex_state = 12},
  [1089] = {.lex_state = 29, .external_lex_state = 11},
  [1090] = {.lex_state = 17, .external_lex_state = 11},
  [1091] = {.lex_state = 17, .external_lex_state = 11},
  [1092] = {.lex_state = 17, .external_lex_state = 11},
  [1093] = {.lex_state = 17, .external_lex_state = 8},
  [1094] = {.lex_state = 28, .external_lex_state = 12},
  [1095] = {.lex_state = 17, .external_lex_state = 11},
  [1096] = {.lex_state = 17, .external_lex_state = 11},
  [1097] = {.lex_state = 17, .external_lex_state = 12},
  [1098] = {.lex_state = 17, .external_lex_state = 12},
  [1099] = {.lex_state = 28, .external_lex_state = 12},
  [1100] = {.lex_state = 28, .external_lex_state = 12},
  [1101] = {.lex_state = 17, .external_lex_state = 11},
  [1102] = {.lex_state = 28, .external_lex_state = 12},
  [1103] = {.lex_state = 28, .external_lex_state = 12},
  [1104] = {.lex_state = 29, .external_lex_state = 8},
  [1105] = {.lex_state = 29, .external_lex_state = 11},
  [1106] = {.lex_state = 16, .external_lex_state = 13},
  [1107] = {.lex_state = 17, .external_lex_state = 11},
  [1108] = {.lex_state = 17, .external_lex_state = 11},
  [1109] = {.lex_state = 16, .external_lex_state = 13},
  [1110] = {.lex_state = 16, .external_lex_state = 13},
  [1111] = {.lex_state = 17, .external_lex_state = 11},
  [1112] = {.lex_state = 17, .external_lex_state = 13},
  [1113] = {.lex_state = 29, .external_lex_state = 13},
  [1114] = {.lex_state = 17, .external_lex_state = 11},
  [1115] = {.lex_state = 17, .external_lex_state = 11},
  [1116] = {.lex_state = 17, .external_lex_state = 11},
  [1117] = {.lex_state = 29, .external_lex_state = 11},
  [1118] = {.lex_state = 17, .external_lex_state = 12},
  [1119] = {.lex_state = 29, .external_lex_state = 11},
  [1120] = {.lex_state = 17, .external_lex_state = 12},
  [1121] = {.lex_state = 17, .external_lex_state = 11},
  [1122] = {.lex_state = 17, .external_lex_state = 11},
  [1123] = {.lex_state = 17, .external_lex_state = 11},
  [1124] = {.lex_state = 29, .external_lex_state = 13},
  [1125] = {.lex_state = 29, .external_lex_state = 13},
  [1126] = {.lex_state = 29, .external_lex_state = 11},
  [1127] = {.lex_state = 17, .external_lex_state = 11},
  [1128] = {.lex_state = 17, .external_lex_state = 11},
  [1129] = {.lex_state = 28, .external_lex_state = 13},
  [1130] = {.lex_state = 17, .external_lex_state = 12},
  [1131] = {.lex_state = 17, .external_lex_state = 12},
  [1132] = {.lex_state = 17, .external_lex_state = 11},
  [1133] = {.lex_state = 16, .external_lex_state = 12},
  [1134] = {.lex_state = 17, .external_lex_state = 12},
  [1135] = {.lex_state = 17, .external_lex_state = 2},
  [1136] = {.lex_state = 17, .external_lex_state = 12},
  [1137] = {.lex_state = 17, .external_lex_state = 12},
  [1138] = {.lex_state = 17, .external_lex_state = 12},
  [1139] = {.lex_state = 17, .external_lex_state = 12},
  [1140] = {.lex_state = 17, .external_lex_state = 2},
  [1141] = {.lex_state = 16, .external_lex_state = 2},
  [1142] = {.lex_state = 17, .external_lex_state = 2},
  [1143] = {.lex_state = 17, .external_lex_state = 2},
  [1144] = {.lex_state = 17, .external_lex_state = 2},
  [1145] = {.lex_state = 17, .external_lex_state = 2},
  [1146] = {.lex_state = 17, .external_lex_state = 11},
  [1147] = {.lex_state = 28, .external_lex_state = 12},
  [1148] = {.lex_state = 17, .external_lex_state = 2},
  [1149] = {.lex_state = 29, .external_lex_state = 9},
  [1150] = {.lex_state = 29, .external_lex_state = 11},
  [1151] = {.lex_state = 28, .external_lex_state = 13},
  [1152] = {.lex_state = 28, .external_lex_state = 13},
  [1153] = {.lex_state = 29, .external_lex_state = 9},
  [1154] = {.lex_state = 16, .external_lex_state = 2},
  [1155] = {.lex_state = 16, .external_lex_state = 2},
  [1156] = {.lex_state = 28, .external_lex_state = 12},
  [1157] = {.lex_state = 29, .external_lex_state = 13},
  [1158] = {.lex_state = 17, .external_lex_state = 13},
  [1159] = {.lex_state = 13, .external_lex_state = 10},
  [1160] = {.lex_state = 13, .external_lex_state = 10},
  [1161] = {.lex_state = 29, .external_lex_state = 13},
  [1162] = {.lex_state = 29, .external_lex_state = 13},
  [1163] = {.lex_state = 17, .external_lex_state = 13},
  [1164] = {.lex_state = 29, .external_lex_state = 12},
  [1165] = {.lex_state = 17, .external_lex_state = 2},
  [1166] = {.lex_state = 29, .external_lex_state = 13},
  [1167] = {.lex_state = 17, .external_lex_state = 13},
  [1168] = {.lex_state = 17, .external_lex_state = 13},
  [1169] = {.lex_state = 16, .external_lex_state = 12},
  [1170] = {.lex_state = 29, .external_lex_state = 13},
  [1171] = {.lex_state = 29, .external_lex_state = 13},
  [1172] = {.lex_state = 17, .external_lex_state = 2},
  [1173] = {.lex_state = 17, .external_lex_state = 13},
  [1174] = {.lex_state = 16, .external_lex_state = 12},
  [1175] = {.lex_state = 17, .external_lex_state = 2},
  [1176] = {.lex_state = 16, .external_lex_state = 12},
  [1177] = {.lex_state = 17, .external_lex_state = 2},
  [1178] = {.lex_state = 17, .external_lex_state = 2},
  [1179] = {.lex_state = 17, .external_lex_state = 2},
  [1180] = {.lex_state = 17, .external_lex_state = 2},
  [1181] = {.lex_state = 17, .external_lex_state = 13},
  [1182] = {.lex_state = 17, .external_lex_state = 2},
  [1183] = {.lex_state = 17, .external_lex_state = 2},
  [1184] = {.lex_state = 17, .external_lex_state = 2},
  [1185] = {.lex_state = 17, .external_lex_state = 2},
  [1186] = {.lex_state = 17, .external_lex_state = 2},
  [1187] = {.lex_state = 17, .external_lex_state = 2},
  [1188] = {.lex_state = 29, .external_lex_state = 12},
  [1189] = {.lex_state = 29, .external_lex_state = 13},
  [1190] = {.lex_state = 29, .external_lex_state = 13},
  [1191] = {.lex_state = 29, .external_lex_state = 12},
  [1192] = {.lex_state = 29, .external_lex_state = 12},
  [1193] = {.lex_state = 16, .external_lex_state = 13},
  [1194] = {.lex_state = 29, .external_lex_state = 12},
  [1195] = {.lex_state = 17, .external_lex_state = 13},
  [1196] = {.lex_state = 16, .external_lex_state = 13},
  [1197] = {.lex_state = 16, .external_lex_state = 13},
  [1198] = {.lex_state = 29, .external_lex_state = 12},
  [1199] = {.lex_state = 29, .external_lex_state = 13},
  [1200] = {.lex_state = 29, .external_lex_state = 12},
  [1201] = {.lex_state = 29, .external_lex_state = 12},
  [1202] = {.lex_state = 29, .external_lex_state = 12},
  [1203] = {.lex_state = 29, .external_lex_state = 12},
  [1204] = {.lex_state = 17, .external_lex_state = 2},
  [1205] = {.lex_state = 17, .external_lex_state = 2},
  [1206] = {.lex_state = 29, .external_lex_state = 12},
  [1207] = {.lex_state = 29, .external_lex_state = 12},
  [1208] = {.lex_state = 17, .external_lex_state = 2},
  [1209] = {.lex_state = 29, .external_lex_state = 12},
  [1210] = {.lex_state = 17, .external_lex_state = 13},
  [1211] = {.lex_state = 29, .external_lex_state = 12},
  [1212] = {.lex_state = 29, .external_lex_state = 13},
  [1213] = {.lex_state = 29, .external_lex_state = 12},
  [1214] = {.lex_state = 29, .external_lex_state = 12},
  [1215] = {.lex_state = 29, .external_lex_state = 12},
  [1216] = {.lex_state = 29, .external_lex_state = 13},
  [1217] = {.lex_state = 29, .external_lex_state = 12},
  [1218] = {.lex_state = 17, .external_lex_state = 13},
  [1219] = {.lex_state = 17, .external_lex_state = 2},
  [1220] = {.lex_state = 17, .external_lex_state = 2},
  [1221] = {.lex_state = 17, .external_lex_state = 2},
  [1222] = {.lex_state = 17, .external_lex_state = 2},
  [1223] = {.lex_state = 17, .external_lex_state = 2},
  [1224] = {.lex_state = 29, .external_lex_state = 12},
  [1225] = {.lex_state = 17, .external_lex_state = 13},
  [1226] = {.lex_state = 29, .external_lex_state = 13},
  [1227] = {.lex_state = 29, .external_lex_state = 13},
  [1228] = {.lex_state = 29, .external_lex_state = 13},
  [1229] = {.lex_state = 29, .external_lex_state = 12},
  [1230] = {.lex_state = 17, .external_lex_state = 2},
  [1231] = {.lex_state = 346, .external_lex_state = 2},
  [1232] = {.lex_state = 29, .external_lex_state = 12},
  [1233] = {.lex_state = 29, .external_lex_state = 13},
  [1234] = {.lex_state = 29, .external_lex_state = 12},
  [1235] = {.lex_state = 29, .external_lex_state = 13},
  [1236] = {.lex_state = 17, .external_lex_state = 13},
  [1237] = {.lex_state = 29, .external_lex_state = 12},
  [1238] = {.lex_state = 29, .external_lex_state = 13},
  [1239] = {.lex_state = 29, .external_lex_state = 13},
  [1240] = {.lex_state = 29, .external_lex_state = 12},
  [1241] = {.lex_state = 17, .external_lex_state = 2},
  [1242] = {.lex_state = 17, .external_lex_state = 13},
  [1243] = {.lex_state = 17, .external_lex_state = 10},
  [1244] = {.lex_state = 29, .external_lex_state = 13},
  [1245] = {.lex_state = 17, .external_lex_state = 2},
  [1246] = {.lex_state = 17, .external_lex_state = 2},
  [1247] = {.lex_state = 29, .external_lex_state = 13},
  [1248] = {.lex_state = 17, .external_lex_state = 2},
  [1249] = {.lex_state = 17, .external_lex_state = 2},
  [1250] = {.lex_state = 17, .external_lex_state = 2},
  [1251] = {.lex_state = 17, .external_lex_state = 2},
  [1252] = {.lex_state = 29, .external_lex_state = 12},
  [1253] = {.lex_state = 29, .external_lex_state = 13},
  [1254] = {.lex_state = 29, .external_lex_state = 12},
  [1255] = {.lex_state = 29, .external_lex_state = 13},
  [1256] = {.lex_state = 17, .external_lex_state = 2},
  [1257] = {.lex_state = 29, .external_lex_state = 12},
  [1258] = {.lex_state = 17, .external_lex_state = 2},
  [1259] = {.lex_state = 17, .external_lex_state = 2},
  [1260] = {.lex_state = 17, .external_lex_state = 13},
  [1261] = {.lex_state = 17, .external_lex_state = 2},
  [1262] = {.lex_state = 17, .external_lex_state = 2},
  [1263] = {.lex_state = 29, .external_lex_state = 12},
  [1264] = {.lex_state = 29, .external_lex_state = 12},
  [1265] = {.lex_state = 17, .external_lex_state = 13},
  [1266] = {.lex_state = 29, .external_lex_state = 12},
  [1267] = {.lex_state = 29, .external_lex_state = 12},
  [1268] = {.lex_state = 29, .external_lex_state = 12},
  [1269] = {.lex_state = 17, .external_lex_state = 13},
  [1270] = {.lex_state = 17, .external_lex_state = 13},
  [1271] = {.lex_state = 17, .external_lex_state = 9},
  [1272] = {.lex_state = 29, .external_lex_state = 12},
  [1273] = {.lex_state = 29, .external_lex_state = 12},
  [1274] = {.lex_state = 29, .external_lex_state = 13},
  [1275] = {.lex_state = 17, .external_lex_state = 13},
  [1276] = {.lex_state = 17, .external_lex_state = 13},
  [1277] = {.lex_state = 29, .external_lex_state = 12},
  [1278] = {.lex_state = 29, .external_lex_state = 13},
  [1279] = {.lex_state = 29, .external_lex_state = 13},
  [1280] = {.lex_state = 29, .external_lex_state = 13},
  [1281] = {.lex_state = 29, .external_lex_state = 13},
  [1282] = {.lex_state = 29, .external_lex_state = 13},
  [1283] = {.lex_state = 29, .external_lex_state = 12},
  [1284] = {.lex_state = 17, .external_lex_state = 13},
  [1285] = {.lex_state = 29, .external_lex_state = 13},
  [1286] = {.lex_state = 17, .external_lex_state = 13},
  [1287] = {.lex_state = 17, .external_lex_state = 2},
  [1288] = {.lex_state = 17, .external_lex_state = 13},
  [1289] = {.lex_state = 17, .external_lex_state = 9},
  [1290] = {.lex_state = 17, .external_lex_state = 13},
  [1291] = {.lex_state = 13, .external_lex_state = 10},
  [1292] = {.lex_state = 13, .external_lex_state = 10},
  [1293] = {.lex_state = 29, .external_lex_state = 13},
  [1294] = {.lex_state = 17, .external_lex_state = 13},
  [1295] = {.lex_state = 17, .external_lex_state = 13},
  [1296] = {.lex_state = 29, .external_lex_state = 12},
  [1297] = {.lex_state = 17, .external_lex_state = 13},
  [1298] = {.lex_state = 29, .external_lex_state = 13},
  [1299] = {.lex_state = 29, .external_lex_state = 13},
  [1300] = {.lex_state = 29, .external_lex_state = 13},
  [1301] = {.lex_state = 17, .external_lex_state = 13},
  [1302] = {.lex_state = 29, .external_lex_state = 12},
  [1303] = {.lex_state = 29, .external_lex_state = 13},
  [1304] = {.lex_state = 29, .external_lex_state = 13},
  [1305] = {.lex_state = 13, .external_lex_state = 10},
  [1306] = {.lex_state = 13, .external_lex_state = 10},
  [1307] = {.lex_state = 29, .external_lex_state = 12},
  [1308] = {.lex_state = 17, .external_lex_state = 13},
  [1309] = {.lex_state = 29, .external_lex_state = 12},
  [1310] = {.lex_state = 17, .external_lex_state = 13},
  [1311] = {.lex_state = 346, .external_lex_state = 2},
  [1312] = {.lex_state = 29, .external_lex_state = 12},
  [1313] = {.lex_state = 17, .external_lex_state = 13},
  [1314] = {.lex_state = 17, .external_lex_state = 13},
  [1315] = {.lex_state = 17, .external_lex_state = 2},
  [1316] = {.lex_state = 17, .external_lex_state = 13},
  [1317] = {.lex_state = 17, .external_lex_state = 13},
  [1318] = {.lex_state = 17, .external_lex_state = 13},
  [1319] = {.lex_state = 17, .external_lex_state = 13},
  [1320] = {.lex_state = 17, .external_lex_state = 13},
  [1321] = {.lex_state = 17, .external_lex_state = 13},
  [1322] = {.lex_state = 17, .external_lex_state = 2},
  [1323] = {.lex_state = 17, .external_lex_state = 13},
  [1324] = {.lex_state = 16, .external_lex_state = 12},
  [1325] = {.lex_state = 17, .external_lex_state = 12},
  [1326] = {.lex_state = 17, .external_lex_state = 12},
  [1327] = {.lex_state = 17, .external_lex_state = 12},
  [1328] = {.lex_state = 16, .external_lex_state = 12},
  [1329] = {.lex_state = 17, .external_lex_state = 12},
  [1330] = {.lex_state = 17, .external_lex_state = 12},
  [1331] = {.lex_state = 17, .external_lex_state = 2},
  [1332] = {.lex_state = 17, .external_lex_state = 2},
  [1333] = {.lex_state = 17, .external_lex_state = 2},
  [1334] = {.lex_state = 17, .external_lex_state = 2},
  [1335] = {.lex_state = 17, .external_lex_state = 2},
  [1336] = {.lex_state = 17, .external_lex_state = 12},
  [1337] = {.lex_state = 16, .external_lex_state = 13},
  [1338] = {.lex_state = 17, .external_lex_state = 12},
  [1339] = {.lex_state = 16, .external_lex_state = 13},
  [1340] = {.lex_state = 16, .external_lex_state = 11},
  [1341] = {.lex_state = 16, .external_lex_state = 11},
  [1342] = {.lex_state = 16, .external_lex_state = 11},
  [1343] = {.lex_state = 17, .external_lex_state = 12},
  [1344] = {.lex_state = 17, .external_lex_state = 12},
  [1345] = {.lex_state = 17, .external_lex_state = 12},
  [1346] = {.lex_state = 17, .external_lex_state = 12},
  [1347] = {.lex_state = 17, .external_lex_state = 12},
  [1348] = {.lex_state = 17, .external_lex_state = 2},
  [1349] = {.lex_state = 17, .external_lex_state = 12},
  [1350] = {.lex_state = 16, .external_lex_state = 13},
  [1351] = {.lex_state = 17, .external_lex_state = 12},
  [1352] = {.lex_state = 17, .external_lex_state = 2},
  [1353] = {.lex_state = 17, .external_lex_state = 2},
  [1354] = {.lex_state = 17, .external_lex_state = 2},
  [1355] = {.lex_state = 17, .external_lex_state = 2},
  [1356] = {.lex_state = 17, .external_lex_state = 12},
  [1357] = {.lex_state = 17, .external_lex_state = 12},
  [1358] = {.lex_state = 17, .external_lex_state = 12},
  [1359] = {.lex_state = 17, .external_lex_state = 12},
  [1360] = {.lex_state = 17, .external_lex_state = 12},
  [1361] = {.lex_state = 17, .external_lex_state = 12},
  [1362] = {.lex_state = 17, .external_lex_state = 12},
  [1363] = {.lex_state = 17, .external_lex_state = 12},
  [1364] = {.lex_state = 17, .external_lex_state = 12},
  [1365] = {.lex_state = 17, .external_lex_state = 12},
  [1366] = {.lex_state = 17, .external_lex_state = 12},
  [1367] = {.lex_state = 17, .external_lex_state = 12},
  [1368] = {.lex_state = 17, .external_lex_state = 12},
  [1369] = {.lex_state = 17, .external_lex_state = 12},
  [1370] = {.lex_state = 17, .external_lex_state = 12},
  [1371] = {.lex_state = 17, .external_lex_state = 12},
  [1372] = {.lex_state = 17, .external_lex_state = 2},
  [1373] = {.lex_state = 17, .external_lex_state = 2},
  [1374] = {.lex_state = 17, .external_lex_state = 2},
  [1375] = {.lex_state = 17, .external_lex_state = 12},
  [1376] = {.lex_state = 17, .external_lex_state = 12},
  [1377] = {.lex_state = 17, .external_lex_state = 12},
  [1378] = {.lex_state = 17, .external_lex_state = 12},
  [1379] = {.lex_state = 16, .external_lex_state = 12},
  [1380] = {.lex_state = 17, .external_lex_state = 12},
  [1381] = {.lex_state = 17, .external_lex_state = 12},
  [1382] = {.lex_state = 17, .external_lex_state = 12},
  [1383] = {.lex_state = 17, .external_lex_state = 13},
  [1384] = {.lex_state = 13, .external_lex_state = 2},
  [1385] = {.lex_state = 13, .external_lex_state = 2},
  [1386] = {.lex_state = 17, .external_lex_state = 11},
  [1387] = {.lex_state = 13, .external_lex_state = 2},
  [1388] = {.lex_state = 13, .external_lex_state = 2},
  [1389] = {.lex_state = 13, .external_lex_state = 2},
  [1390] = {.lex_state = 13, .external_lex_state = 2},
  [1391] = {.lex_state = 13, .external_lex_state = 2},
  [1392] = {.lex_state = 13, .external_lex_state = 2},
  [1393] = {.lex_state = 13, .external_lex_state = 2},
  [1394] = {.lex_state = 13, .external_lex_state = 2},
  [1395] = {.lex_state = 13, .external_lex_state = 2},
  [1396] = {.lex_state = 13, .external_lex_state = 2},
  [1397] = {.lex_state = 13, .external_lex_state = 2},
  [1398] = {.lex_state = 13, .external_lex_state = 2},
  [1399] = {.lex_state = 13, .external_lex_state = 2},
  [1400] = {.lex_state = 17, .external_lex_state = 12},
  [1401] = {.lex_state = 13, .external_lex_state = 2},
  [1402] = {.lex_state = 13, .external_lex_state = 10},
  [1403] = {.lex_state = 13, .external_lex_state = 10},
  [1404] = {.lex_state = 13, .external_lex_state = 13},
  [1405] = {.lex_state = 17, .external_lex_state = 11},
  [1406] = {.lex_state = 17, .external_lex_state = 11},
  [1407] = {.lex_state = 17, .external_lex_state = 11},
  [1408] = {.lex_state = 17, .external_lex_state = 11},
  [1409] = {.lex_state = 13, .external_lex_state = 13},
  [1410] = {.lex_state = 17, .external_lex_state = 11},
  [1411] = {.lex_state = 17, .external_lex_state = 11},
  [1412] = {.lex_state = 13, .external_lex_state = 2},
  [1413] = {.lex_state = 13, .external_lex_state = 2},
  [1414] = {.lex_state = 29, .external_lex_state = 11},
  [1415] = {.lex_state = 13, .external_lex_state = 11},
  [1416] = {.lex_state = 29, .external_lex_state = 11},
  [1417] = {.lex_state = 13, .external_lex_state = 11},
  [1418] = {.lex_state = 13, .external_lex_state = 12},
  [1419] = {.lex_state = 13, .external_lex_state = 12},
  [1420] = {.lex_state = 17, .external_lex_state = 13},
  [1421] = {.lex_state = 17, .external_lex_state = 13},
  [1422] = {.lex_state = 17, .external_lex_state = 13},
  [1423] = {.lex_state = 0, .external_lex_state = 13},
  [1424] = {.lex_state = 17, .external_lex_state = 13},
  [1425] = {.lex_state = 0, .external_lex_state = 12},
  [1426] = {.lex_state = 0, .external_lex_state = 13},
  [1427] = {.lex_state = 22, .external_lex_state = 10},
  [1428] = {.lex_state = 22, .external_lex_state = 10},
  [1429] = {.lex_state = 25, .external_lex_state = 10},
  [1430] = {.lex_state = 17, .external_lex_state = 13},
  [1431] = {.lex_state = 17, .external_lex_state = 13},
  [1432] = {.lex_state = 25, .external_lex_state = 10},
  [1433] = {.lex_state = 0, .external_lex_state = 12},
  [1434] = {.lex_state = 25, .external_lex_state = 10},
  [1435] = {.lex_state = 17, .external_lex_state = 2},
  [1436] = {.lex_state = 17, .external_lex_state = 2},
  [1437] = {.lex_state = 17, .external_lex_state = 2},
  [1438] = {.lex_state = 17, .external_lex_state = 13},
  [1439] = {.lex_state = 17, .external_lex_state = 2},
  [1440] = {.lex_state = 17, .external_lex_state = 2},
  [1441] = {.lex_state = 17, .external_lex_state = 2},
  [1442] = {.lex_state = 25, .external_lex_state = 10},
  [1443] = {.lex_state = 17, .external_lex_state = 2},
  [1444] = {.lex_state = 17, .external_lex_state = 13},
  [1445] = {.lex_state = 17, .external_lex_state = 2},
  [1446] = {.lex_state = 17, .external_lex_state = 2},
  [1447] = {.lex_state = 17, .external_lex_state = 2},
  [1448] = {.lex_state = 17, .external_lex_state = 12},
  [1449] = {.lex_state = 17, .external_lex_state = 2},
  [1450] = {.lex_state = 17, .external_lex_state = 13},
  [1451] = {.lex_state = 17, .external_lex_state = 2},
  [1452] = {.lex_state = 1, .external_lex_state = 14},
  [1453] = {.lex_state = 17, .external_lex_state = 2},
  [1454] = {.lex_state = 25, .external_lex_state = 10},
  [1455] = {.lex_state = 17, .external_lex_state = 13},
  [1456] = {.lex_state = 17, .external_lex_state = 2},
  [1457] = {.lex_state = 17, .external_lex_state = 2},
  [1458] = {.lex_state = 17, .external_lex_state = 2},
  [1459] = {.lex_state = 17, .external_lex_state = 13},
  [1460] = {.lex_state = 17, .external_lex_state = 2},
  [1461] = {.lex_state = 17, .external_lex_state = 2},
  [1462] = {.lex_state = 25, .external_lex_state = 10},
  [1463] = {.lex_state = 17, .external_lex_state = 2},
  [1464] = {.lex_state = 17, .external_lex_state = 2},
  [1465] = {.lex_state = 17, .external_lex_state = 2},
  [1466] = {.lex_state = 17, .external_lex_state = 2},
  [1467] = {.lex_state = 17, .external_lex_state = 2},
  [1468] = {.lex_state = 17, .external_lex_state = 12},
  [1469] = {.lex_state = 17, .external_lex_state = 12},
  [1470] = {.lex_state = 17, .external_lex_state = 2},
  [1471] = {.lex_state = 17, .external_lex_state = 2},
  [1472] = {.lex_state = 17, .external_lex_state = 12},
  [1473] = {.lex_state = 17, .external_lex_state = 2},
  [1474] = {.lex_state = 17, .external_lex_state = 13},
  [1475] = {.lex_state = 17, .external_lex_state = 12},
  [1476] = {.lex_state = 17, .external_lex_state = 2},
  [1477] = {.lex_state = 17, .external_lex_state = 12},
  [1478] = {.lex_state = 17, .external_lex_state = 2},
  [1479] = {.lex_state = 17, .external_lex_state = 2},
  [1480] = {.lex_state = 17, .external_lex_state = 2},
  [1481] = {.lex_state = 17, .external_lex_state = 2},
  [1482] = {.lex_state = 35, .external_lex_state = 14},
  [1483] = {.lex_state = 45, .external_lex_state = 2},
  [1484] = {.lex_state = 346, .external_lex_state = 2},
  [1485] = {.lex_state = 45, .external_lex_state = 2},
  [1486] = {.lex_state = 25, .external_lex_state = 2},
  [1487] = {.lex_state = 13, .external_lex_state = 2},
  [1488] = {.lex_state = 13, .external_lex_state = 2},
  [1489] = {.lex_state = 25, .external_lex_state = 10},
  [1490] = {.lex_state = 13, .external_lex_state = 2},
  [1491] = {.lex_state = 25, .external_lex_state = 2},
  [1492] = {.lex_state = 45, .external_lex_state = 2},
  [1493] = {.lex_state = 45, .external_lex_state = 2},
  [1494] = {.lex_state = 25, .external_lex_state = 2},
  [1495] = {.lex_state = 45, .external_lex_state = 2},
  [1496] = {.lex_state = 45, .external_lex_state = 2},
  [1497] = {.lex_state = 45, .external_lex_state = 2},
  [1498] = {.lex_state = 45, .external_lex_state = 2},
  [1499] = {.lex_state = 45, .external_lex_state = 2},
  [1500] = {.lex_state = 45, .external_lex_state = 2},
  [1501] = {.lex_state = 25, .external_lex_state = 2},
  [1502] = {.lex_state = 45, .external_lex_state = 2},
  [1503] = {.lex_state = 45, .external_lex_state = 2},
  [1504] = {.lex_state = 45, .external_lex_state = 2},
  [1505] = {.lex_state = 13, .external_lex_state = 2},
  [1506] = {.lex_state = 45, .external_lex_state = 13},
  [1507] = {.lex_state = 22, .external_lex_state = 2},
  [1508] = {.lex_state = 22, .external_lex_state = 2},
  [1509] = {.lex_state = 45, .external_lex_state = 2},
  [1510] = {.lex_state = 45, .external_lex_state = 2},
  [1511] = {.lex_state = 36, .external_lex_state = 2},
  [1512] = {.lex_state = 35, .external_lex_state = 14},
  [1513] = {.lex_state = 45, .external_lex_state = 13},
  [1514] = {.lex_state = 25, .external_lex_state = 2},
  [1515] = {.lex_state = 45, .external_lex_state = 13},
  [1516] = {.lex_state = 45, .external_lex_state = 2},
  [1517] = {.lex_state = 35, .external_lex_state = 14},
  [1518] = {.lex_state = 35, .external_lex_state = 2},
  [1519] = {.lex_state = 35, .external_lex_state = 14},
  [1520] = {.lex_state = 35, .external_lex_state = 14},
  [1521] = {.lex_state = 45, .external_lex_state = 2},
  [1522] = {.lex_state = 35, .external_lex_state = 14},
  [1523] = {.lex_state = 35, .external_lex_state = 14},
  [1524] = {.lex_state = 35, .external_lex_state = 14},
  [1525] = {.lex_state = 35, .external_lex_state = 14},
  [1526] = {.lex_state = 13, .external_lex_state = 10},
  [1527] = {.lex_state = 13, .external_lex_state = 10},
  [1528] = {.lex_state = 29, .external_lex_state = 11},
  [1529] = {.lex_state = 35, .external_lex_state = 14},
  [1530] = {.lex_state = 29, .external_lex_state = 11},
  [1531] = {.lex_state = 29, .external_lex_state = 11},
  [1532] = {.lex_state = 13, .external_lex_state = 10},
  [1533] = {.lex_state = 29, .external_lex_state = 11},
  [1534] = {.lex_state = 29, .external_lex_state = 11},
  [1535] = {.lex_state = 29, .external_lex_state = 11},
  [1536] = {.lex_state = 29, .external_lex_state = 11},
  [1537] = {.lex_state = 29, .external_lex_state = 11},
  [1538] = {.lex_state = 0, .external_lex_state = 15},
  [1539] = {.lex_state = 0, .external_lex_state = 15},
  [1540] = {.lex_state = 0, .external_lex_state = 13},
  [1541] = {.lex_state = 11, .external_lex_state = 2},
  [1542] = {.lex_state = 0, .external_lex_state = 15},
  [1543] = {.lex_state = 13, .external_lex_state = 10},
  [1544] = {.lex_state = 0, .external_lex_state = 15},
  [1545] = {.lex_state = 0, .external_lex_state = 13},
  [1546] = {.lex_state = 0, .external_lex_state = 13},
  [1547] = {.lex_state = 35, .external_lex_state = 2},
  [1548] = {.lex_state = 13, .external_lex_state = 10},
  [1549] = {.lex_state = 13, .external_lex_state = 10},
  [1550] = {.lex_state = 13, .external_lex_state = 10},
  [1551] = {.lex_state = 0, .external_lex_state = 15},
  [1552] = {.lex_state = 11, .external_lex_state = 2},
  [1553] = {.lex_state = 0, .external_lex_state = 13},
  [1554] = {.lex_state = 0, .external_lex_state = 13},
  [1555] = {.lex_state = 0, .external_lex_state = 15},
  [1556] = {.lex_state = 0, .external_lex_state = 15},
  [1557] = {.lex_state = 0, .external_lex_state = 13},
  [1558] = {.lex_state = 0, .external_lex_state = 13},
  [1559] = {.lex_state = 0, .external_lex_state = 15},
  [1560] = {.lex_state = 0, .external_lex_state = 13},
  [1561] = {.lex_state = 0, .external_lex_state = 15},
  [1562] = {.lex_state = 35, .external_lex_state = 2},
  [1563] = {.lex_state = 0, .external_lex_state = 15},
  [1564] = {.lex_state = 0, .external_lex_state = 13},
  [1565] = {.lex_state = 0, .external_lex_state = 12},
  [1566] = {.lex_state = 0, .external_lex_state = 13},
  [1567] = {.lex_state = 0, .external_lex_state = 13},
  [1568] = {.lex_state = 0, .external_lex_state = 15},
  [1569] = {.lex_state = 0, .external_lex_state = 15},
  [1570] = {.lex_state = 0, .external_lex_state = 13},
  [1571] = {.lex_state = 0, .external_lex_state = 13},
  [1572] = {.lex_state = 35, .external_lex_state = 2},
  [1573] = {.lex_state = 0, .external_lex_state = 13},
  [1574] = {.lex_state = 13, .external_lex_state = 10},
  [1575] = {.lex_state = 0, .external_lex_state = 15},
  [1576] = {.lex_state = 0, .external_lex_state = 13},
  [1577] = {.lex_state = 0, .external_lex_state = 13},
  [1578] = {.lex_state = 13, .external_lex_state = 10},
  [1579] = {.lex_state = 0, .external_lex_state = 15},
  [1580] = {.lex_state = 0, .external_lex_state = 15},
  [1581] = {.lex_state = 11, .external_lex_state = 2},
  [1582] = {.lex_state = 0, .external_lex_state = 15},
  [1583] = {.lex_state = 35, .external_lex_state = 2},
  [1584] = {.lex_state = 35, .external_lex_state = 2},
  [1585] = {.lex_state = 0, .external_lex_state = 12},
  [1586] = {.lex_state = 13, .external_lex_state = 10},
  [1587] = {.lex_state = 0, .external_lex_state = 12},
  [1588] = {.lex_state = 0, .external_lex_state = 12},
  [1589] = {.lex_state = 0, .external_lex_state = 12},
  [1590] = {.lex_state = 0, .external_lex_state = 15},
  [1591] = {.lex_state = 0, .external_lex_state = 12},
  [1592] = {.lex_state = 0, .external_lex_state = 12},
  [1593] = {.lex_state = 0, .external_lex_state = 15},
  [1594] = {.lex_state = 0, .external_lex_state = 12},
  [1595] = {.lex_state = 0, .external_lex_state = 13},
  [1596] = {.lex_state = 0, .external_lex_state = 15},
  [1597] = {.lex_state = 13, .external_lex_state = 13},
  [1598] = {.lex_state = 13, .external_lex_state = 11},
  [1599] = {.lex_state = 13, .external_lex_state = 13},
  [1600] = {.lex_state = 12, .external_lex_state = 2},
  [1601] = {.lex_state = 13, .external_lex_state = 10},
  [1602] = {.lex_state = 13, .external_lex_state = 13},
  [1603] = {.lex_state = 13, .external_lex_state = 13},
  [1604] = {.lex_state = 13, .external_lex_state = 13},
  [1605] = {.lex_state = 13, .external_lex_state = 2},
  [1606] = {.lex_state = 12, .external_lex_state = 2},
  [1607] = {.lex_state = 13, .external_lex_state = 13},
  [1608] = {.lex_state = 13, .external_lex_state = 2},
  [1609] = {.lex_state = 13, .external_lex_state = 13},
  [1610] = {.lex_state = 13, .external_lex_state = 13},
  [1611] = {.lex_state = 13, .external_lex_state = 13},
  [1612] = {.lex_state = 13, .external_lex_state = 2},
  [1613] = {.lex_state = 35, .external_lex_state = 2},
  [1614] = {.lex_state = 35, .external_lex_state = 2},
  [1615] = {.lex_state = 13, .external_lex_state = 11},
  [1616] = {.lex_state = 13, .external_lex_state = 13},
  [1617] = {.lex_state = 12, .external_lex_state = 2},
  [1618] = {.lex_state = 35, .external_lex_state = 2},
  [1619] = {.lex_state = 13, .external_lex_state = 12},
  [1620] = {.lex_state = 29, .external_lex_state = 11},
  [1621] = {.lex_state = 13, .external_lex_state = 11},
  [1622] = {.lex_state = 22, .external_lex_state = 10},
  [1623] = {.lex_state = 29, .external_lex_state = 11},
  [1624] = {.lex_state = 13, .external_lex_state = 11},
  [1625] = {.lex_state = 29, .external_lex_state = 11},
  [1626] = {.lex_state = 29, .external_lex_state = 11},
  [1627] = {.lex_state = 29, .external_lex_state = 11},
  [1628] = {.lex_state = 29, .external_lex_state = 11},
  [1629] = {.lex_state = 13, .external_lex_state = 11},
  [1630] = {.lex_state = 13, .external_lex_state = 11},
  [1631] = {.lex_state = 13, .external_lex_state = 12},
  [1632] = {.lex_state = 13, .external_lex_state = 11},
  [1633] = {.lex_state = 13, .external_lex_state = 11},
  [1634] = {.lex_state = 29, .external_lex_state = 11},
  [1635] = {.lex_state = 29, .external_lex_state = 11},
  [1636] = {.lex_state = 29, .external_lex_state = 11},
  [1637] = {.lex_state = 13, .external_lex_state = 2},
  [1638] = {.lex_state = 13, .external_lex_state = 2},
  [1639] = {.lex_state = 13, .external_lex_state = 2},
  [1640] = {.lex_state = 13, .external_lex_state = 2},
  [1641] = {.lex_state = 13, .external_lex_state = 2},
  [1642] = {.lex_state = 13, .external_lex_state = 2},
  [1643] = {.lex_state = 13, .external_lex_state = 12},
  [1644] = {.lex_state = 13, .external_lex_state = 12},
  [1645] = {.lex_state = 13, .external_lex_state = 11},
  [1646] = {.lex_state = 13, .external_lex_state = 11},
  [1647] = {.lex_state = 13, .external_lex_state = 12},
  [1648] = {.lex_state = 13, .external_lex_state = 11},
  [1649] = {.lex_state = 13, .external_lex_state = 2},
  [1650] = {.lex_state = 13, .external_lex_state = 12},
  [1651] = {.lex_state = 13, .external_lex_state = 12},
  [1652] = {.lex_state = 13, .external_lex_state = 12},
  [1653] = {.lex_state = 13, .external_lex_state = 12},
  [1654] = {.lex_state = 35, .external_lex_state = 2},
  [1655] = {.lex_state = 13, .external_lex_state = 11},
  [1656] = {.lex_state = 13, .external_lex_state = 12},
  [1657] = {.lex_state = 13, .external_lex_state = 11},
  [1658] = {.lex_state = 11, .external_lex_state = 2},
  [1659] = {.lex_state = 0, .external_lex_state = 12},
  [1660] = {.lex_state = 38, .external_lex_state = 2},
  [1661] = {.lex_state = 13, .external_lex_state = 12},
  [1662] = {.lex_state = 0, .external_lex_state = 13},
  [1663] = {.lex_state = 38, .external_lex_state = 2},
  [1664] = {.lex_state = 0, .external_lex_state = 12},
  [1665] = {.lex_state = 0, .external_lex_state = 12},
  [1666] = {.lex_state = 13, .external_lex_state = 12},
  [1667] = {.lex_state = 5, .external_lex_state = 2},
  [1668] = {.lex_state = 13, .external_lex_state = 12},
  [1669] = {.lex_state = 22, .external_lex_state = 10},
  [1670] = {.lex_state = 13, .external_lex_state = 12},
  [1671] = {.lex_state = 0, .external_lex_state = 15},
  [1672] = {.lex_state = 5, .external_lex_state = 2},
  [1673] = {.lex_state = 22, .external_lex_state = 10},
  [1674] = {.lex_state = 0, .external_lex_state = 12},
  [1675] = {.lex_state = 13, .external_lex_state = 12},
  [1676] = {.lex_state = 0, .external_lex_state = 13},
  [1677] = {.lex_state = 22, .external_lex_state = 10},
  [1678] = {.lex_state = 0, .external_lex_state = 13},
  [1679] = {.lex_state = 22, .external_lex_state = 10},
  [1680] = {.lex_state = 0, .external_lex_state = 12},
  [1681] = {.lex_state = 0, .external_lex_state = 13},
  [1682] = {.lex_state = 0, .external_lex_state = 13},
  [1683] = {.lex_state = 13, .external_lex_state = 12},
  [1684] = {.lex_state = 0, .external_lex_state = 13},
  [1685] = {.lex_state = 0, .external_lex_state = 13},
  [1686] = {.lex_state = 0, .external_lex_state = 15},
  [1687] = {.lex_state = 0, .external_lex_state = 12},
  [1688] = {.lex_state = 0, .external_lex_state = 12},
  [1689] = {.lex_state = 35, .external_lex_state = 2},
  [1690] = {.lex_state = 13, .external_lex_state = 12},
  [1691] = {.lex_state = 0, .external_lex_state = 13},
  [1692] = {.lex_state = 22, .external_lex_state = 10},
  [1693] = {.lex_state = 22, .external_lex_state = 10},
  [1694] = {.lex_state = 0, .external_lex_state = 12},
  [1695] = {.lex_state = 22, .external_lex_state = 10},
  [1696] = {.lex_state = 0, .external_lex_state = 12},
  [1697] = {.lex_state = 13, .external_lex_state = 12},
  [1698] = {.lex_state = 35, .external_lex_state = 2},
  [1699] = {.lex_state = 0, .external_lex_state = 12},
  [1700] = {.lex_state = 0, .external_lex_state = 2},
  [1701] = {.lex_state = 22, .external_lex_state = 10},
  [1702] = {.lex_state = 0, .external_lex_state = 11},
  [1703] = {.lex_state = 13, .external_lex_state = 12},
  [1704] = {.lex_state = 0, .external_lex_state = 13},
  [1705] = {.lex_state = 0, .external_lex_state = 12},
  [1706] = {.lex_state = 0, .external_lex_state = 13},
  [1707] = {.lex_state = 38, .external_lex_state = 2},
  [1708] = {.lex_state = 35, .external_lex_state = 2},
  [1709] = {.lex_state = 0, .external_lex_state = 13},
  [1710] = {.lex_state = 22, .external_lex_state = 10},
  [1711] = {.lex_state = 0, .external_lex_state = 11},
  [1712] = {.lex_state = 22, .external_lex_state = 10},
  [1713] = {.lex_state = 22, .external_lex_state = 10},
  [1714] = {.lex_state = 22, .external_lex_state = 10},
  [1715] = {.lex_state = 38, .external_lex_state = 2},
  [1716] = {.lex_state = 0, .external_lex_state = 12},
  [1717] = {.lex_state = 13, .external_lex_state = 12},
  [1718] = {.lex_state = 22, .external_lex_state = 10},
  [1719] = {.lex_state = 0, .external_lex_state = 11},
  [1720] = {.lex_state = 22, .external_lex_state = 10},
  [1721] = {.lex_state = 11, .external_lex_state = 2},
  [1722] = {.lex_state = 0, .external_lex_state = 11},
  [1723] = {.lex_state = 11, .external_lex_state = 2},
  [1724] = {.lex_state = 0, .external_lex_state = 13},
  [1725] = {.lex_state = 0, .external_lex_state = 2},
  [1726] = {.lex_state = 22, .external_lex_state = 10},
  [1727] = {.lex_state = 0, .external_lex_state = 12},
  [1728] = {.lex_state = 22, .external_lex_state = 12},
  [1729] = {.lex_state = 12, .external_lex_state = 2},
  [1730] = {.lex_state = 57, .external_lex_state = 2},
  [1731] = {.lex_state = 0, .external_lex_state = 11},
  [1732] = {.lex_state = 0, .external_lex_state = 11},
  [1733] = {.lex_state = 0, .external_lex_state = 13},
  [1734] = {.lex_state = 0, .external_lex_state = 11},
  [1735] = {.lex_state = 0, .external_lex_state = 11},
  [1736] = {.lex_state = 13, .external_lex_state = 2},
  [1737] = {.lex_state = 0, .external_lex_state = 11},
  [1738] = {.lex_state = 0, .external_lex_state = 11},
  [1739] = {.lex_state = 0, .external_lex_state = 11},
  [1740] = {.lex_state = 0, .external_lex_state = 11},
  [1741] = {.lex_state = 0, .external_lex_state = 11},
  [1742] = {.lex_state = 22, .external_lex_state = 10},
  [1743] = {.lex_state = 0, .external_lex_state = 13},
  [1744] = {.lex_state = 0, .external_lex_state = 12},
  [1745] = {.lex_state = 0, .external_lex_state = 13},
  [1746] = {.lex_state = 0, .external_lex_state = 11},
  [1747] = {.lex_state = 12, .external_lex_state = 2},
  [1748] = {.lex_state = 22, .external_lex_state = 10},
  [1749] = {.lex_state = 13, .external_lex_state = 12},
  [1750] = {.lex_state = 54, .external_lex_state = 2},
  [1751] = {.lex_state = 13, .external_lex_state = 2},
  [1752] = {.lex_state = 22, .external_lex_state = 13},
  [1753] = {.lex_state = 12, .external_lex_state = 2},
  [1754] = {.lex_state = 22, .external_lex_state = 10},
  [1755] = {.lex_state = 346, .external_lex_state = 14},
  [1756] = {.lex_state = 13, .external_lex_state = 12},
  [1757] = {.lex_state = 0, .external_lex_state = 13},
  [1758] = {.lex_state = 13, .external_lex_state = 12},
  [1759] = {.lex_state = 0, .external_lex_state = 12},
  [1760] = {.lex_state = 0, .external_lex_state = 12},
  [1761] = {.lex_state = 0, .external_lex_state = 11},
  [1762] = {.lex_state = 0, .external_lex_state = 11},
  [1763] = {.lex_state = 346, .external_lex_state = 11},
  [1764] = {.lex_state = 22, .external_lex_state = 12},
  [1765] = {.lex_state = 22, .external_lex_state = 10},
  [1766] = {.lex_state = 0, .external_lex_state = 15},
  [1767] = {.lex_state = 0, .external_lex_state = 12},
  [1768] = {.lex_state = 13, .external_lex_state = 13},
  [1769] = {.lex_state = 22, .external_lex_state = 13},
  [1770] = {.lex_state = 0, .external_lex_state = 12},
  [1771] = {.lex_state = 22, .external_lex_state = 13},
  [1772] = {.lex_state = 22, .external_lex_state = 12},
  [1773] = {.lex_state = 22, .external_lex_state = 13},
  [1774] = {.lex_state = 13, .external_lex_state = 13},
  [1775] = {.lex_state = 60, .external_lex_state = 2},
  [1776] = {.lex_state = 22, .external_lex_state = 12},
  [1777] = {.lex_state = 13, .external_lex_state = 2},
  [1778] = {.lex_state = 13, .external_lex_state = 12},
  [1779] = {.lex_state = 13, .external_lex_state = 2},
  [1780] = {.lex_state = 22, .external_lex_state = 11},
  [1781] = {.lex_state = 22, .external_lex_state = 10},
  [1782] = {.lex_state = 13, .external_lex_state = 13},
  [1783] = {.lex_state = 22, .external_lex_state = 10},
  [1784] = {.lex_state = 346, .external_lex_state = 11},
  [1785] = {.lex_state = 0, .external_lex_state = 12},
  [1786] = {.lex_state = 346, .external_lex_state = 14},
  [1787] = {.lex_state = 13, .external_lex_state = 12},
  [1788] = {.lex_state = 0, .external_lex_state = 12},
  [1789] = {.lex_state = 22, .external_lex_state = 13},
  [1790] = {.lex_state = 346, .external_lex_state = 11},
  [1791] = {.lex_state = 0, .external_lex_state = 15},
  [1792] = {.lex_state = 13, .external_lex_state = 13},
  [1793] = {.lex_state = 22, .external_lex_state = 10},
  [1794] = {.lex_state = 13, .external_lex_state = 13},
  [1795] = {.lex_state = 13, .external_lex_state = 10},
  [1796] = {.lex_state = 13, .external_lex_state = 13},
  [1797] = {.lex_state = 0, .external_lex_state = 13},
  [1798] = {.lex_state = 13, .external_lex_state = 2},
  [1799] = {.lex_state = 22, .external_lex_state = 11},
  [1800] = {.lex_state = 13, .external_lex_state = 10},
  [1801] = {.lex_state = 22, .external_lex_state = 13},
  [1802] = {.lex_state = 13, .external_lex_state = 12},
  [1803] = {.lex_state = 22, .external_lex_state = 12},
  [1804] = {.lex_state = 0, .external_lex_state = 15},
  [1805] = {.lex_state = 0, .external_lex_state = 15},
  [1806] = {.lex_state = 13, .external_lex_state = 10},
  [1807] = {.lex_state = 22, .external_lex_state = 10},
  [1808] = {.lex_state = 0, .external_lex_state = 15},
  [1809] = {.lex_state = 0, .external_lex_state = 15},
  [1810] = {.lex_state = 22, .external_lex_state = 13},
  [1811] = {.lex_state = 13, .external_lex_state = 13},
  [1812] = {.lex_state = 0, .external_lex_state = 13},
  [1813] = {.lex_state = 0, .external_lex_state = 15},
  [1814] = {.lex_state = 0, .external_lex_state = 12},
  [1815] = {.lex_state = 0, .external_lex_state = 13},
  [1816] = {.lex_state = 13, .external_lex_state = 13},
  [1817] = {.lex_state = 13, .external_lex_state = 2},
  [1818] = {.lex_state = 22, .external_lex_state = 12},
  [1819] = {.lex_state = 0, .external_lex_state = 13},
  [1820] = {.lex_state = 13, .external_lex_state = 10},
  [1821] = {.lex_state = 13, .external_lex_state = 10},
  [1822] = {.lex_state = 13, .external_lex_state = 10},
  [1823] = {.lex_state = 37, .external_lex_state = 2},
  [1824] = {.lex_state = 13, .external_lex_state = 2},
  [1825] = {.lex_state = 0, .external_lex_state = 11},
  [1826] = {.lex_state = 0, .external_lex_state = 13},
  [1827] = {.lex_state = 22, .external_lex_state = 13},
  [1828] = {.lex_state = 22, .external_lex_state = 13},
  [1829] = {.lex_state = 22, .external_lex_state = 13},
  [1830] = {.lex_state = 13, .external_lex_state = 10},
  [1831] = {.lex_state = 0, .external_lex_state = 11},
  [1832] = {.lex_state = 0, .external_lex_state = 11},
  [1833] = {.lex_state = 13, .external_lex_state = 10},
  [1834] = {.lex_state = 346, .external_lex_state = 11},
  [1835] = {.lex_state = 0, .external_lex_state = 11},
  [1836] = {.lex_state = 0, .external_lex_state = 15},
  [1837] = {.lex_state = 22, .external_lex_state = 11},
  [1838] = {.lex_state = 22, .external_lex_state = 12},
  [1839] = {.lex_state = 0, .external_lex_state = 11},
  [1840] = {.lex_state = 13, .external_lex_state = 2},
  [1841] = {.lex_state = 22, .external_lex_state = 13},
  [1842] = {.lex_state = 22, .external_lex_state = 13},
  [1843] = {.lex_state = 13, .external_lex_state = 12},
  [1844] = {.lex_state = 13, .external_lex_state = 13},
  [1845] = {.lex_state = 22, .external_lex_state = 11},
  [1846] = {.lex_state = 37, .external_lex_state = 2},
  [1847] = {.lex_state = 22, .external_lex_state = 10},
  [1848] = {.lex_state = 22, .external_lex_state = 12},
  [1849] = {.lex_state = 13, .external_lex_state = 10},
  [1850] = {.lex_state = 13, .external_lex_state = 2},
  [1851] = {.lex_state = 22, .external_lex_state = 11},
  [1852] = {.lex_state = 13, .external_lex_state = 2},
  [1853] = {.lex_state = 22, .external_lex_state = 2},
  [1854] = {.lex_state = 1, .external_lex_state = 2},
  [1855] = {.lex_state = 13, .external_lex_state = 12},
  [1856] = {.lex_state = 13, .external_lex_state = 12},
  [1857] = {.lex_state = 13, .external_lex_state = 12},
  [1858] = {.lex_state = 45, .external_lex_state = 10},
  [1859] = {.lex_state = 22, .external_lex_state = 2},
  [1860] = {.lex_state = 13, .external_lex_state = 12},
  [1861] = {.lex_state = 13, .external_lex_state = 12},
  [1862] = {.lex_state = 13, .external_lex_state = 2},
  [1863] = {.lex_state = 13, .external_lex_state = 2},
  [1864] = {.lex_state = 22, .external_lex_state = 2},
  [1865] = {.lex_state = 0, .external_lex_state = 16},
  [1866] = {.lex_state = 13, .external_lex_state = 2},
  [1867] = {.lex_state = 22, .external_lex_state = 2},
  [1868] = {.lex_state = 22, .external_lex_state = 2},
  [1869] = {.lex_state = 5, .external_lex_state = 2},
  [1870] = {.lex_state = 10, .external_lex_state = 11},
  [1871] = {.lex_state = 0, .external_lex_state = 10},
  [1872] = {.lex_state = 13, .external_lex_state = 2},
  [1873] = {.lex_state = 13, .external_lex_state = 2},
  [1874] = {.lex_state = 13, .external_lex_state = 2},
  [1875] = {.lex_state = 0, .external_lex_state = 12},
  [1876] = {.lex_state = 22, .external_lex_state = 13},
  [1877] = {.lex_state = 346, .external_lex_state = 11},
  [1878] = {.lex_state = 10, .external_lex_state = 11},
  [1879] = {.lex_state = 13, .external_lex_state = 2},
  [1880] = {.lex_state = 13, .external_lex_state = 2},
  [1881] = {.lex_state = 22, .external_lex_state = 2},
  [1882] = {.lex_state = 22, .external_lex_state = 2},
  [1883] = {.lex_state = 0, .external_lex_state = 16},
  [1884] = {.lex_state = 34, .external_lex_state = 2},
  [1885] = {.lex_state = 0, .external_lex_state = 16},
  [1886] = {.lex_state = 0, .external_lex_state = 16},
  [1887] = {.lex_state = 22, .external_lex_state = 2},
  [1888] = {.lex_state = 0, .external_lex_state = 16},
  [1889] = {.lex_state = 22, .external_lex_state = 10},
  [1890] = {.lex_state = 22, .external_lex_state = 2},
  [1891] = {.lex_state = 22, .external_lex_state = 2},
  [1892] = {.lex_state = 346, .external_lex_state = 11},
  [1893] = {.lex_state = 0, .external_lex_state = 16},
  [1894] = {.lex_state = 13, .external_lex_state = 12},
  [1895] = {.lex_state = 0, .external_lex_state = 13},
  [1896] = {.lex_state = 22, .external_lex_state = 13},
  [1897] = {.lex_state = 22, .external_lex_state = 2},
  [1898] = {.lex_state = 22, .external_lex_state = 11},
  [1899] = {.lex_state = 13, .external_lex_state = 2},
  [1900] = {.lex_state = 45, .external_lex_state = 10},
  [1901] = {.lex_state = 22, .external_lex_state = 2},
  [1902] = {.lex_state = 22, .external_lex_state = 11},
  [1903] = {.lex_state = 0, .external_lex_state = 13},
  [1904] = {.lex_state = 13, .external_lex_state = 2},
  [1905] = {.lex_state = 13, .external_lex_state = 2},
  [1906] = {.lex_state = 13, .external_lex_state = 2},
  [1907] = {.lex_state = 22, .external_lex_state = 2},
  [1908] = {.lex_state = 22, .external_lex_state = 2},
  [1909] = {.lex_state = 22, .external_lex_state = 13},
  [1910] = {.lex_state = 346, .external_lex_state = 11},
  [1911] = {.lex_state = 346, .external_lex_state = 11},
  [1912] = {.lex_state = 13, .external_lex_state = 12},
  [1913] = {.lex_state = 22, .external_lex_state = 2},
  [1914] = {.lex_state = 0, .external_lex_state = 16},
  [1915] = {.lex_state = 13, .external_lex_state = 2},
  [1916] = {.lex_state = 0, .external_lex_state = 13},
  [1917] = {.lex_state = 5, .external_lex_state = 2},
  [1918] = {.lex_state = 13, .external_lex_state = 2},
  [1919] = {.lex_state = 346, .external_lex_state = 11},
  [1920] = {.lex_state = 45, .external_lex_state = 2},
  [1921] = {.lex_state = 0, .external_lex_state = 11},
  [1922] = {.lex_state = 10, .external_lex_state = 11},
  [1923] = {.lex_state = 0, .external_lex_state = 11},
  [1924] = {.lex_state = 0, .external_lex_state = 12},
  [1925] = {.lex_state = 45, .external_lex_state = 10},
  [1926] = {.lex_state = 0, .external_lex_state = 11},
  [1927] = {.lex_state = 2, .external_lex_state = 2},
  [1928] = {.lex_state = 2, .external_lex_state = 2},
  [1929] = {.lex_state = 5, .external_lex_state = 2},
  [1930] = {.lex_state = 1, .external_lex_state = 2},
  [1931] = {.lex_state = 0, .external_lex_state = 12},
  [1932] = {.lex_state = 346, .external_lex_state = 11},
  [1933] = {.lex_state = 13, .external_lex_state = 12},
  [1934] = {.lex_state = 13, .external_lex_state = 12},
  [1935] = {.lex_state = 346, .external_lex_state = 14},
  [1936] = {.lex_state = 346, .external_lex_state = 11},
  [1937] = {.lex_state = 0, .external_lex_state = 10},
  [1938] = {.lex_state = 13, .external_lex_state = 13},
  [1939] = {.lex_state = 22, .external_lex_state = 2},
  [1940] = {.lex_state = 34, .external_lex_state = 2},
  [1941] = {.lex_state = 22, .external_lex_state = 10},
  [1942] = {.lex_state = 22, .external_lex_state = 11},
  [1943] = {.lex_state = 45, .external_lex_state = 2},
  [1944] = {.lex_state = 346, .external_lex_state = 14},
  [1945] = {.lex_state = 45, .external_lex_state = 13},
  [1946] = {.lex_state = 0, .external_lex_state = 10},
  [1947] = {.lex_state = 37, .external_lex_state = 2},
  [1948] = {.lex_state = 0, .external_lex_state = 10},
  [1949] = {.lex_state = 346, .external_lex_state = 14},
  [1950] = {.lex_state = 45, .external_lex_state = 2},
  [1951] = {.lex_state = 0, .external_lex_state = 10},
  [1952] = {.lex_state = 13, .external_lex_state = 2},
  [1953] = {.lex_state = 346, .external_lex_state = 11},
  [1954] = {.lex_state = 22, .external_lex_state = 13},
  [1955] = {.lex_state = 346, .external_lex_state = 11},
  [1956] = {.lex_state = 45, .external_lex_state = 13},
  [1957] = {.lex_state = 0, .external_lex_state = 10},
  [1958] = {.lex_state = 3, .external_lex_state = 2},
  [1959] = {.lex_state = 58, .external_lex_state = 2},
  [1960] = {.lex_state = 22, .external_lex_state = 10},
  [1961] = {.lex_state = 3, .external_lex_state = 2},
  [1962] = {.lex_state = 0, .external_lex_state = 10},
  [1963] = {.lex_state = 0, .external_lex_state = 10},
  [1964] = {.lex_state = 0, .external_lex_state = 10},
  [1965] = {.lex_state = 4, .external_lex_state = 2},
  [1966] = {.lex_state = 1, .external_lex_state = 2},
  [1967] = {.lex_state = 58, .external_lex_state = 2},
  [1968] = {.lex_state = 0, .external_lex_state = 10},
  [1969] = {.lex_state = 0, .external_lex_state = 10},
  [1970] = {.lex_state = 45, .external_lex_state = 2},
  [1971] = {.lex_state = 0, .external_lex_state = 10},
  [1972] = {.lex_state = 3, .external_lex_state = 2},
  [1973] = {.lex_state = 22, .external_lex_state = 13},
  [1974] = {.lex_state = 0, .external_lex_state = 10},
  [1975] = {.lex_state = 0, .external_lex_state = 10},
  [1976] = {.lex_state = 0, .external_lex_state = 10},
  [1977] = {.lex_state = 0, .external_lex_state = 10},
  [1978] = {.lex_state = 346, .external_lex_state = 14},
  [1979] = {.lex_state = 45, .external_lex_state = 13},
  [1980] = {.lex_state = 0, .external_lex_state = 10},
  [1981] = {.lex_state = 37, .external_lex_state = 2},
  [1982] = {.lex_state = 0, .external_lex_state = 10},
  [1983] = {.lex_state = 0, .external_lex_state = 10},
  [1984] = {.lex_state = 0, .external_lex_state = 10},
  [1985] = {.lex_state = 346, .external_lex_state = 13},
  [1986] = {.lex_state = 0, .external_lex_state = 2},
  [1987] = {.lex_state = 0, .external_lex_state = 11},
  [1988] = {.lex_state = 0, .external_lex_state = 13},
  [1989] = {.lex_state = 0, .external_lex_state = 12},
  [1990] = {.lex_state = 0, .external_lex_state = 12},
  [1991] = {.lex_state = 346, .external_lex_state = 2},
  [1992] = {.lex_state = 0, .external_lex_state = 13},
  [1993] = {.lex_state = 0, .external_lex_state = 2},
  [1994] = {.lex_state = 0, .external_lex_state = 12},
  [1995] = {.lex_state = 0, .external_lex_state = 13},
  [1996] = {.lex_state = 0, .external_lex_state = 10},
  [1997] = {.lex_state = 0, .external_lex_state = 10},
  [1998] = {.lex_state = 22, .external_lex_state = 2},
  [1999] = {.lex_state = 0, .external_lex_state = 13},
  [2000] = {.lex_state = 0, .external_lex_state = 16},
  [2001] = {.lex_state = 0, .external_lex_state = 13},
  [2002] = {.lex_state = 0, .external_lex_state = 11},
  [2003] = {.lex_state = 0, .external_lex_state = 13},
  [2004] = {.lex_state = 0, .external_lex_state = 10},
  [2005] = {.lex_state = 0, .external_lex_state = 10},
  [2006] = {.lex_state = 0, .external_lex_state = 12},
  [2007] = {.lex_state = 346, .external_lex_state = 13},
  [2008] = {.lex_state = 0, .external_lex_state = 2},
  [2009] = {.lex_state = 346, .external_lex_state = 2},
  [2010] = {.lex_state = 346, .external_lex_state = 2},
  [2011] = {.lex_state = 0, .external_lex_state = 10},
  [2012] = {.lex_state = 0, .external_lex_state = 13},
  [2013] = {.lex_state = 0, .external_lex_state = 11},
  [2014] = {.lex_state = 0, .external_lex_state = 13},
  [2015] = {.lex_state = 0, .external_lex_state = 13},
  [2016] = {.lex_state = 0, .external_lex_state = 11},
  [2017] = {.lex_state = 0, .external_lex_state = 12},
  [2018] = {.lex_state = 0, .external_lex_state = 13},
  [2019] = {.lex_state = 0, .external_lex_state = 13},
  [2020] = {.lex_state = 0, .external_lex_state = 13},
  [2021] = {.lex_state = 0, .external_lex_state = 10},
  [2022] = {.lex_state = 0, .external_lex_state = 13},
  [2023] = {.lex_state = 0, .external_lex_state = 12},
  [2024] = {.lex_state = 0, .external_lex_state = 12},
  [2025] = {.lex_state = 0, .external_lex_state = 13},
  [2026] = {.lex_state = 0, .external_lex_state = 13},
  [2027] = {.lex_state = 0, .external_lex_state = 10},
  [2028] = {.lex_state = 0, .external_lex_state = 12},
  [2029] = {.lex_state = 10, .external_lex_state = 11},
  [2030] = {.lex_state = 0, .external_lex_state = 11},
  [2031] = {.lex_state = 10, .external_lex_state = 11},
  [2032] = {.lex_state = 10, .external_lex_state = 11},
  [2033] = {.lex_state = 0, .external_lex_state = 12},
  [2034] = {.lex_state = 346, .external_lex_state = 2},
  [2035] = {.lex_state = 0, .external_lex_state = 13},
  [2036] = {.lex_state = 0, .external_lex_state = 13},
  [2037] = {.lex_state = 346, .external_lex_state = 2},
  [2038] = {.lex_state = 0, .external_lex_state = 13},
  [2039] = {.lex_state = 45, .external_lex_state = 2},
  [2040] = {.lex_state = 58, .external_lex_state = 2},
  [2041] = {.lex_state = 0, .external_lex_state = 13},
  [2042] = {.lex_state = 0, .external_lex_state = 11},
  [2043] = {.lex_state = 0, .external_lex_state = 13},
  [2044] = {.lex_state = 0, .external_lex_state = 11},
  [2045] = {.lex_state = 0, .external_lex_state = 13},
  [2046] = {.lex_state = 0, .external_lex_state = 12},
  [2047] = {.lex_state = 22, .external_lex_state = 2},
  [2048] = {.lex_state = 0, .external_lex_state = 13},
  [2049] = {.lex_state = 0, .external_lex_state = 13},
  [2050] = {.lex_state = 0, .external_lex_state = 10},
  [2051] = {.lex_state = 0, .external_lex_state = 12},
  [2052] = {.lex_state = 0, .external_lex_state = 12},
  [2053] = {.lex_state = 0, .external_lex_state = 12},
  [2054] = {.lex_state = 0, .external_lex_state = 13},
  [2055] = {.lex_state = 0, .external_lex_state = 13},
  [2056] = {.lex_state = 0, .external_lex_state = 13},
  [2057] = {.lex_state = 0, .external_lex_state = 13},
  [2058] = {.lex_state = 0, .external_lex_state = 10},
  [2059] = {.lex_state = 346, .external_lex_state = 13},
  [2060] = {.lex_state = 0, .external_lex_state = 12},
  [2061] = {.lex_state = 0, .external_lex_state = 2},
  [2062] = {.lex_state = 0, .external_lex_state = 10},
  [2063] = {.lex_state = 0, .external_lex_state = 12},
  [2064] = {.lex_state = 0, .external_lex_state = 13},
  [2065] = {.lex_state = 0, .external_lex_state = 12},
  [2066] = {.lex_state = 346, .external_lex_state = 2},
  [2067] = {.lex_state = 0, .external_lex_state = 13},
  [2068] = {.lex_state = 0, .external_lex_state = 11},
  [2069] = {.lex_state = 0, .external_lex_state = 11},
  [2070] = {.lex_state = 346, .external_lex_state = 2},
  [2071] = {.lex_state = 346, .external_lex_state = 11},
  [2072] = {.lex_state = 0, .external_lex_state = 11},
  [2073] = {.lex_state = 10, .external_lex_state = 11},
  [2074] = {.lex_state = 0, .external_lex_state = 12},
  [2075] = {.lex_state = 0, .external_lex_state = 13},
  [2076] = {.lex_state = 0, .external_lex_state = 13},
  [2077] = {.lex_state = 10, .external_lex_state = 11},
  [2078] = {.lex_state = 0, .external_lex_state = 10},
  [2079] = {.lex_state = 0, .external_lex_state = 12},
  [2080] = {.lex_state = 0, .external_lex_state = 12},
  [2081] = {.lex_state = 10, .external_lex_state = 11},
  [2082] = {.lex_state = 0, .external_lex_state = 13},
  [2083] = {.lex_state = 0, .external_lex_state = 13},
  [2084] = {.lex_state = 0, .external_lex_state = 13},
  [2085] = {.lex_state = 0, .external_lex_state = 2},
  [2086] = {.lex_state = 0, .external_lex_state = 10},
  [2087] = {.lex_state = 0, .external_lex_state = 13},
  [2088] = {.lex_state = 0, .external_lex_state = 13},
  [2089] = {.lex_state = 0, .external_lex_state = 2},
  [2090] = {.lex_state = 10, .external_lex_state = 11},
  [2091] = {.lex_state = 0, .external_lex_state = 2},
  [2092] = {.lex_state = 346, .external_lex_state = 14},
  [2093] = {.lex_state = 346, .external_lex_state = 2},
  [2094] = {.lex_state = 22, .external_lex_state = 2},
  [2095] = {.lex_state = 0, .external_lex_state = 13},
  [2096] = {.lex_state = 0, .external_lex_state = 11},
  [2097] = {.lex_state = 0, .external_lex_state = 12},
  [2098] = {.lex_state = 22, .external_lex_state = 13},
  [2099] = {.lex_state = 0, .external_lex_state = 11},
  [2100] = {.lex_state = 346, .external_lex_state = 2},
  [2101] = {.lex_state = 0, .external_lex_state = 12},
  [2102] = {.lex_state = 0, .external_lex_state = 13},
  [2103] = {.lex_state = 0, .external_lex_state = 13},
  [2104] = {.lex_state = 0, .external_lex_state = 13},
  [2105] = {.lex_state = 0, .external_lex_state = 10},
  [2106] = {.lex_state = 346, .external_lex_state = 2},
  [2107] = {.lex_state = 0, .external_lex_state = 12},
  [2108] = {.lex_state = 0, .external_lex_state = 12},
  [2109] = {.lex_state = 0, .external_lex_state = 13},
  [2110] = {.lex_state = 0, .external_lex_state = 13},
  [2111] = {.lex_state = 0, .external_lex_state = 13},
  [2112] = {.lex_state = 346, .external_lex_state = 2},
  [2113] = {.lex_state = 0, .external_lex_state = 10},
  [2114] = {.lex_state = 346, .external_lex_state = 2},
  [2115] = {.lex_state = 10, .external_lex_state = 11},
  [2116] = {.lex_state = 0, .external_lex_state = 10},
  [2117] = {.lex_state = 0, .external_lex_state = 13},
  [2118] = {.lex_state = 0, .external_lex_state = 12},
  [2119] = {.lex_state = 0, .external_lex_state = 11},
  [2120] = {.lex_state = 0, .external_lex_state = 2},
  [2121] = {.lex_state = 346, .external_lex_state = 2},
  [2122] = {.lex_state = 0, .external_lex_state = 11},
  [2123] = {.lex_state = 0, .external_lex_state = 12},
  [2124] = {.lex_state = 0, .external_lex_state = 13},
  [2125] = {.lex_state = 0, .external_lex_state = 13},
  [2126] = {.lex_state = 0, .external_lex_state = 10},
  [2127] = {.lex_state = 0, .external_lex_state = 12},
  [2128] = {.lex_state = 0, .external_lex_state = 12},
  [2129] = {.lex_state = 0, .external_lex_state = 13},
  [2130] = {.lex_state = 0, .external_lex_state = 13},
  [2131] = {.lex_state = 0, .external_lex_state = 10},
  [2132] = {.lex_state = 0, .external_lex_state = 11},
  [2133] = {.lex_state = 0, .external_lex_state = 13},
  [2134] = {.lex_state = 45, .external_lex_state = 2},
  [2135] = {.lex_state = 0, .external_lex_state = 12},
  [2136] = {.lex_state = 10, .external_lex_state = 11},
  [2137] = {.lex_state = 0, .external_lex_state = 13},
  [2138] = {.lex_state = 0, .external_lex_state = 11},
  [2139] = {.lex_state = 0, .external_lex_state = 11},
  [2140] = {.lex_state = 0, .external_lex_state = 12},
  [2141] = {.lex_state = 0, .external_lex_state = 13},
  [2142] = {.lex_state = 0, .external_lex_state = 13},
  [2143] = {.lex_state = 346, .external_lex_state = 2},
  [2144] = {.lex_state = 0, .external_lex_state = 10},
  [2145] = {.lex_state = 0, .external_lex_state = 10},
  [2146] = {.lex_state = 0, .external_lex_state = 12},
  [2147] = {.lex_state = 0, .external_lex_state = 12},
  [2148] = {.lex_state = 0, .external_lex_state = 13},
  [2149] = {.lex_state = 0, .external_lex_state = 13},
  [2150] = {.lex_state = 0, .external_lex_state = 13},
  [2151] = {.lex_state = 0, .external_lex_state = 10},
  [2152] = {.lex_state = 346, .external_lex_state = 2},
  [2153] = {.lex_state = 0, .external_lex_state = 11},
  [2154] = {.lex_state = 0, .external_lex_state = 11},
  [2155] = {.lex_state = 0, .external_lex_state = 12},
  [2156] = {.lex_state = 0, .external_lex_state = 10},
  [2157] = {.lex_state = 0, .external_lex_state = 13},
  [2158] = {.lex_state = 0, .external_lex_state = 12},
  [2159] = {.lex_state = 0, .external_lex_state = 12},
  [2160] = {.lex_state = 0, .external_lex_state = 10},
  [2161] = {.lex_state = 0, .external_lex_state = 2},
  [2162] = {.lex_state = 13, .external_lex_state = 2},
  [2163] = {.lex_state = 0, .external_lex_state = 10},
  [2164] = {.lex_state = 0, .external_lex_state = 13},
  [2165] = {.lex_state = 0, .external_lex_state = 12},
  [2166] = {.lex_state = 0, .external_lex_state = 13},
  [2167] = {.lex_state = 0, .external_lex_state = 12},
  [2168] = {.lex_state = 0, .external_lex_state = 12},
  [2169] = {.lex_state = 0, .external_lex_state = 11},
  [2170] = {.lex_state = 346, .external_lex_state = 2},
  [2171] = {.lex_state = 346, .external_lex_state = 2},
  [2172] = {.lex_state = 346, .external_lex_state = 2},
  [2173] = {.lex_state = 346, .external_lex_state = 13},
  [2174] = {.lex_state = 0, .external_lex_state = 12},
  [2175] = {.lex_state = 0, .external_lex_state = 10},
  [2176] = {.lex_state = 13, .external_lex_state = 2},
  [2177] = {.lex_state = 0, .external_lex_state = 13},
  [2178] = {.lex_state = 0, .external_lex_state = 13},
  [2179] = {.lex_state = 0, .external_lex_state = 2},
  [2180] = {.lex_state = 346, .external_lex_state = 13},
  [2181] = {.lex_state = 0, .external_lex_state = 2},
  [2182] = {.lex_state = 0, .external_lex_state = 10},
  [2183] = {.lex_state = 0, .external_lex_state = 12},
  [2184] = {.lex_state = 346, .external_lex_state = 11},
  [2185] = {.lex_state = 0, .external_lex_state = 2},
  [2186] = {.lex_state = 346, .external_lex_state = 11},
  [2187] = {.lex_state = 0, .external_lex_state = 2},
  [2188] = {.lex_state = 0, .external_lex_state = 12},
  [2189] = {.lex_state = 346, .external_lex_state = 2},
  [2190] = {.lex_state = 0, .external_lex_state = 12},
  [2191] = {.lex_state = 0, .external_lex_state = 12},
  [2192] = {.lex_state = 346, .external_lex_state = 14},
  [2193] = {.lex_state = 0, .external_lex_state = 12},
  [2194] = {.lex_state = 0, .external_lex_state = 13},
  [2195] = {.lex_state = 346, .external_lex_state = 2},
  [2196] = {.lex_state = 346, .external_lex_state = 2},
  [2197] = {.lex_state = 0, .external_lex_state = 13},
  [2198] = {.lex_state = 0, .external_lex_state = 13},
  [2199] = {.lex_state = 0, .external_lex_state = 10},
  [2200] = {.lex_state = 346, .external_lex_state = 11},
  [2201] = {.lex_state = 0, .external_lex_state = 12},
  [2202] = {.lex_state = 0, .external_lex_state = 13},
  [2203] = {.lex_state = 0, .external_lex_state = 2},
  [2204] = {.lex_state = 346, .external_lex_state = 2},
  [2205] = {.lex_state = 346, .external_lex_state = 14},
  [2206] = {.lex_state = 0, .external_lex_state = 2},
  [2207] = {.lex_state = 0, .external_lex_state = 13},
  [2208] = {.lex_state = 0, .external_lex_state = 10},
  [2209] = {.lex_state = 346, .external_lex_state = 2},
  [2210] = {.lex_state = 0, .external_lex_state = 10},
  [2211] = {.lex_state = 0, .external_lex_state = 13},
  [2212] = {.lex_state = 34, .external_lex_state = 11},
  [2213] = {.lex_state = 346, .external_lex_state = 2},
  [2214] = {.lex_state = 1, .external_lex_state = 2},
  [2215] = {.lex_state = 0, .external_lex_state = 13},
  [2216] = {.lex_state = 0, .external_lex_state = 13},
  [2217] = {.lex_state = 0, .external_lex_state = 13},
  [2218] = {.lex_state = 1, .external_lex_state = 2},
  [2219] = {.lex_state = 1, .external_lex_state = 2},
  [2220] = {.lex_state = 1, .external_lex_state = 2},
  [2221] = {.lex_state = 0, .external_lex_state = 10},
  [2222] = {.lex_state = 0, .external_lex_state = 10},
  [2223] = {.lex_state = 0, .external_lex_state = 13},
  [2224] = {.lex_state = 1, .external_lex_state = 2},
  [2225] = {.lex_state = 0, .external_lex_state = 12},
  [2226] = {.lex_state = 0, .external_lex_state = 10},
  [2227] = {.lex_state = 0, .external_lex_state = 13},
  [2228] = {.lex_state = 0, .external_lex_state = 10},
  [2229] = {.lex_state = 346, .external_lex_state = 2},
  [2230] = {.lex_state = 0, .external_lex_state = 13},
  [2231] = {.lex_state = 0, .external_lex_state = 14},
  [2232] = {.lex_state = 1, .external_lex_state = 2},
  [2233] = {.lex_state = 1, .external_lex_state = 2},
  [2234] = {.lex_state = 0, .external_lex_state = 10},
  [2235] = {.lex_state = 34, .external_lex_state = 2},
  [2236] = {.lex_state = 346, .external_lex_state = 2},
  [2237] = {.lex_state = 1, .external_lex_state = 2},
  [2238] = {.lex_state = 346, .external_lex_state = 2},
  [2239] = {.lex_state = 0, .external_lex_state = 10},
  [2240] = {.lex_state = 1, .external_lex_state = 2},
  [2241] = {.lex_state = 0, .external_lex_state = 13},
  [2242] = {.lex_state = 1, .external_lex_state = 2},
  [2243] = {.lex_state = 0, .external_lex_state = 12},
  [2244] = {.lex_state = 1, .external_lex_state = 2},
  [2245] = {.lex_state = 45, .external_lex_state = 2},
  [2246] = {.lex_state = 1, .external_lex_state = 2},
  [2247] = {.lex_state = 62, .external_lex_state = 2},
  [2248] = {.lex_state = 34, .external_lex_state = 11},
  [2249] = {.lex_state = 0, .external_lex_state = 2},
  [2250] = {.lex_state = 1, .external_lex_state = 2},
  [2251] = {.lex_state = 1, .external_lex_state = 2},
  [2252] = {.lex_state = 346, .external_lex_state = 2},
  [2253] = {.lex_state = 1, .external_lex_state = 2},
  [2254] = {.lex_state = 34, .external_lex_state = 2},
  [2255] = {.lex_state = 22, .external_lex_state = 2},
  [2256] = {.lex_state = 1, .external_lex_state = 2},
  [2257] = {.lex_state = 1, .external_lex_state = 2},
  [2258] = {.lex_state = 1, .external_lex_state = 2},
  [2259] = {.lex_state = 0, .external_lex_state = 13},
  [2260] = {.lex_state = 34, .external_lex_state = 2},
  [2261] = {.lex_state = 0, .external_lex_state = 12},
  [2262] = {.lex_state = 1, .external_lex_state = 2},
  [2263] = {.lex_state = 0, .external_lex_state = 10},
  [2264] = {.lex_state = 0, .external_lex_state = 13},
  [2265] = {.lex_state = 1, .external_lex_state = 2},
  [2266] = {.lex_state = 1, .external_lex_state = 2},
  [2267] = {.lex_state = 1, .external_lex_state = 2},
  [2268] = {.lex_state = 45, .external_lex_state = 2},
  [2269] = {.lex_state = 1, .external_lex_state = 2},
  [2270] = {.lex_state = 0, .external_lex_state = 10},
  [2271] = {.lex_state = 1, .external_lex_state = 2},
  [2272] = {.lex_state = 34, .external_lex_state = 2},
  [2273] = {.lex_state = 34, .external_lex_state = 11},
  [2274] = {.lex_state = 62, .external_lex_state = 2},
  [2275] = {.lex_state = 0, .external_lex_state = 2},
  [2276] = {.lex_state = 45, .external_lex_state = 2},
  [2277] = {.lex_state = 0, .external_lex_state = 10},
  [2278] = {.lex_state = 1, .external_lex_state = 2},
  [2279] = {.lex_state = 0, .external_lex_state = 13},
  [2280] = {.lex_state = 1, .external_lex_state = 2},
  [2281] = {.lex_state = 59, .external_lex_state = 2},
  [2282] = {.lex_state = 1, .external_lex_state = 2},
  [2283] = {.lex_state = 1, .external_lex_state = 2},
  [2284] = {.lex_state = 34, .external_lex_state = 2},
  [2285] = {.lex_state = 0, .external_lex_state = 13},
  [2286] = {.lex_state = 0, .external_lex_state = 12},
  [2287] = {.lex_state = 0, .external_lex_state = 10},
  [2288] = {.lex_state = 0, .external_lex_state = 13},
  [2289] = {.lex_state = 0, .external_lex_state = 10},
  [2290] = {.lex_state = 62, .external_lex_state = 2},
  [2291] = {.lex_state = 0, .external_lex_state = 12},
  [2292] = {.lex_state = 1, .external_lex_state = 2},
  [2293] = {.lex_state = 0, .external_lex_state = 12},
  [2294] = {.lex_state = 1, .external_lex_state = 2},
  [2295] = {.lex_state = 1, .external_lex_state = 2},
  [2296] = {.lex_state = 0, .external_lex_state = 10},
  [2297] = {.lex_state = 0, .external_lex_state = 12},
  [2298] = {.lex_state = 0, .external_lex_state = 11},
  [2299] = {.lex_state = 0, .external_lex_state = 10},
  [2300] = {.lex_state = 0, .external_lex_state = 13},
  [2301] = {.lex_state = 34, .external_lex_state = 11},
  [2302] = {.lex_state = 45, .external_lex_state = 2},
  [2303] = {.lex_state = 346, .external_lex_state = 2},
  [2304] = {.lex_state = 0, .external_lex_state = 12},
  [2305] = {.lex_state = 0, .external_lex_state = 11},
  [2306] = {.lex_state = 0, .external_lex_state = 10},
  [2307] = {.lex_state = 0, .external_lex_state = 11},
  [2308] = {.lex_state = 1, .external_lex_state = 2},
  [2309] = {.lex_state = 34, .external_lex_state = 11},
  [2310] = {.lex_state = 1, .external_lex_state = 2},
  [2311] = {.lex_state = 1, .external_lex_state = 2},
  [2312] = {.lex_state = 34, .external_lex_state = 2},
  [2313] = {.lex_state = 0, .external_lex_state = 11},
  [2314] = {.lex_state = 346, .external_lex_state = 2},
  [2315] = {.lex_state = 0, .external_lex_state = 12},
  [2316] = {.lex_state = 34, .external_lex_state = 11},
  [2317] = {.lex_state = 0, .external_lex_state = 10},
  [2318] = {.lex_state = 0, .external_lex_state = 14},
  [2319] = {.lex_state = 0, .external_lex_state = 10},
  [2320] = {.lex_state = 1, .external_lex_state = 2},
  [2321] = {.lex_state = 1, .external_lex_state = 2},
  [2322] = {.lex_state = 0, .external_lex_state = 2},
  [2323] = {.lex_state = 0, .external_lex_state = 13},
  [2324] = {.lex_state = 346, .external_lex_state = 2},
  [2325] = {.lex_state = 346, .external_lex_state = 2},
  [2326] = {.lex_state = 0, .external_lex_state = 2},
  [2327] = {.lex_state = 0, .external_lex_state = 13},
  [2328] = {.lex_state = 346, .external_lex_state = 2},
  [2329] = {.lex_state = 0, .external_lex_state = 11},
  [2330] = {.lex_state = 0, .external_lex_state = 11},
  [2331] = {.lex_state = 0, .external_lex_state = 2},
  [2332] = {.lex_state = 0, .external_lex_state = 2},
  [2333] = {.lex_state = 346, .external_lex_state = 2},
  [2334] = {.lex_state = 0, .external_lex_state = 2},
  [2335] = {.lex_state = 45, .external_lex_state = 2},
  [2336] = {.lex_state = 0, .external_lex_state = 2},
  [2337] = {.lex_state = 0, .external_lex_state = 11},
  [2338] = {.lex_state = 0, .external_lex_state = 11},
  [2339] = {.lex_state = 0, .external_lex_state = 12},
  [2340] = {.lex_state = 0, .external_lex_state = 13},
  [2341] = {.lex_state = 346, .external_lex_state = 2},
  [2342] = {.lex_state = 45, .external_lex_state = 2},
  [2343] = {.lex_state = 0, .external_lex_state = 11},
  [2344] = {.lex_state = 0, .external_lex_state = 11},
  [2345] = {.lex_state = 0, .external_lex_state = 11},
  [2346] = {.lex_state = 346, .external_lex_state = 2},
  [2347] = {.lex_state = 45, .external_lex_state = 2},
  [2348] = {.lex_state = 0, .external_lex_state = 13},
  [2349] = {.lex_state = 346, .external_lex_state = 2},
  [2350] = {.lex_state = 0, .external_lex_state = 2},
  [2351] = {.lex_state = 0, .external_lex_state = 11},
  [2352] = {.lex_state = 0, .external_lex_state = 2},
  [2353] = {.lex_state = 0, .external_lex_state = 11},
  [2354] = {.lex_state = 0, .external_lex_state = 2},
  [2355] = {.lex_state = 0, .external_lex_state = 11},
  [2356] = {.lex_state = 0, .external_lex_state = 11},
  [2357] = {.lex_state = 0, .external_lex_state = 13},
  [2358] = {.lex_state = 0, .external_lex_state = 12},
  [2359] = {.lex_state = 0, .external_lex_state = 11},
  [2360] = {.lex_state = 0, .external_lex_state = 13},
  [2361] = {.lex_state = 0, .external_lex_state = 2},
  [2362] = {.lex_state = 0, .external_lex_state = 11},
  [2363] = {.lex_state = 0, .external_lex_state = 2},
  [2364] = {.lex_state = 0, .external_lex_state = 11},
  [2365] = {.lex_state = 0, .external_lex_state = 11},
  [2366] = {.lex_state = 34, .external_lex_state = 2},
  [2367] = {.lex_state = 0, .external_lex_state = 11},
  [2368] = {.lex_state = 0, .external_lex_state = 2},
  [2369] = {.lex_state = 0, .external_lex_state = 2},
  [2370] = {.lex_state = 346, .external_lex_state = 2},
  [2371] = {.lex_state = 0, .external_lex_state = 11},
  [2372] = {.lex_state = 45, .external_lex_state = 2},
  [2373] = {.lex_state = 0, .external_lex_state = 2},
  [2374] = {.lex_state = 0, .external_lex_state = 13},
  [2375] = {.lex_state = 0, .external_lex_state = 2},
  [2376] = {.lex_state = 0, .external_lex_state = 2},
  [2377] = {.lex_state = 0, .external_lex_state = 12},
  [2378] = {.lex_state = 0, .external_lex_state = 12},
  [2379] = {.lex_state = 0, .external_lex_state = 13},
  [2380] = {.lex_state = 0, .external_lex_state = 13},
  [2381] = {.lex_state = 0, .external_lex_state = 2},
  [2382] = {.lex_state = 0, .external_lex_state = 11},
  [2383] = {.lex_state = 0, .external_lex_state = 11},
  [2384] = {.lex_state = 63, .external_lex_state = 2},
  [2385] = {.lex_state = 0, .external_lex_state = 12},
  [2386] = {.lex_state = 346, .external_lex_state = 2},
  [2387] = {.lex_state = 0, .external_lex_state = 11},
  [2388] = {.lex_state = 45, .external_lex_state = 2},
  [2389] = {.lex_state = 0, .external_lex_state = 2},
  [2390] = {.lex_state = 45, .external_lex_state = 2},
  [2391] = {.lex_state = 45, .external_lex_state = 2},
  [2392] = {.lex_state = 0, .external_lex_state = 12},
  [2393] = {.lex_state = 0, .external_lex_state = 13},
  [2394] = {.lex_state = 346, .external_lex_state = 2},
  [2395] = {.lex_state = 0, .external_lex_state = 11},
  [2396] = {.lex_state = 0, .external_lex_state = 11},
  [2397] = {.lex_state = 0, .external_lex_state = 11},
  [2398] = {.lex_state = 0, .external_lex_state = 12},
  [2399] = {.lex_state = 0, .external_lex_state = 13},
  [2400] = {.lex_state = 0, .external_lex_state = 2},
  [2401] = {.lex_state = 0, .external_lex_state = 13},
  [2402] = {.lex_state = 0, .external_lex_state = 13},
  [2403] = {.lex_state = 0, .external_lex_state = 11},
  [2404] = {.lex_state = 0, .external_lex_state = 11},
  [2405] = {.lex_state = 0, .external_lex_state = 13},
  [2406] = {.lex_state = 0, .external_lex_state = 13},
  [2407] = {.lex_state = 0, .external_lex_state = 2},
  [2408] = {.lex_state = 0, .external_lex_state = 2},
  [2409] = {.lex_state = 0, .external_lex_state = 11},
  [2410] = {.lex_state = 0, .external_lex_state = 13},
  [2411] = {.lex_state = 0, .external_lex_state = 12},
  [2412] = {.lex_state = 346, .external_lex_state = 2},
  [2413] = {.lex_state = 0, .external_lex_state = 13},
  [2414] = {.lex_state = 0, .external_lex_state = 12},
  [2415] = {.lex_state = 0, .external_lex_state = 13},
  [2416] = {.lex_state = 0, .external_lex_state = 2},
  [2417] = {.lex_state = 0, .external_lex_state = 12},
  [2418] = {.lex_state = 0, .external_lex_state = 11},
  [2419] = {.lex_state = 0, .external_lex_state = 13},
  [2420] = {.lex_state = 0, .external_lex_state = 13},
  [2421] = {.lex_state = 45, .external_lex_state = 2},
  [2422] = {.lex_state = 0, .external_lex_state = 13},
  [2423] = {.lex_state = 0, .external_lex_state = 11},
  [2424] = {.lex_state = 0, .external_lex_state = 11},
  [2425] = {.lex_state = 0, .external_lex_state = 11},
  [2426] = {.lex_state = 0, .external_lex_state = 2},
  [2427] = {.lex_state = 0, .external_lex_state = 11},
  [2428] = {.lex_state = 346, .external_lex_state = 2},
  [2429] = {.lex_state = 45, .external_lex_state = 2},
  [2430] = {.lex_state = 0, .external_lex_state = 2},
  [2431] = {.lex_state = 0, .external_lex_state = 2},
  [2432] = {.lex_state = 0, .external_lex_state = 13},
  [2433] = {.lex_state = 0, .external_lex_state = 12},
  [2434] = {.lex_state = 34, .external_lex_state = 2},
  [2435] = {.lex_state = 346, .external_lex_state = 2},
  [2436] = {.lex_state = 346, .external_lex_state = 2},
  [2437] = {.lex_state = 0, .external_lex_state = 11},
  [2438] = {.lex_state = 346, .external_lex_state = 2},
  [2439] = {.lex_state = 45, .external_lex_state = 2},
  [2440] = {.lex_state = 45, .external_lex_state = 2},
  [2441] = {.lex_state = 0, .external_lex_state = 2},
  [2442] = {.lex_state = 45, .external_lex_state = 2},
  [2443] = {.lex_state = 0, .external_lex_state = 2},
  [2444] = {.lex_state = 0, .external_lex_state = 11},
  [2445] = {.lex_state = 0, .external_lex_state = 11},
  [2446] = {.lex_state = 0, .external_lex_state = 13},
  [2447] = {.lex_state = 0, .external_lex_state = 11},
  [2448] = {.lex_state = 0, .external_lex_state = 12},
  [2449] = {.lex_state = 45, .external_lex_state = 2},
  [2450] = {.lex_state = 346, .external_lex_state = 2},
  [2451] = {.lex_state = 45, .external_lex_state = 2},
  [2452] = {.lex_state = 0, .external_lex_state = 2},
  [2453] = {.lex_state = 0, .external_lex_state = 13},
  [2454] = {.lex_state = 45, .external_lex_state = 2},
  [2455] = {.lex_state = 0, .external_lex_state = 11},
  [2456] = {.lex_state = 346, .external_lex_state = 2},
  [2457] = {.lex_state = 0, .external_lex_state = 11},
  [2458] = {.lex_state = 0, .external_lex_state = 11},
  [2459] = {.lex_state = 0, .external_lex_state = 2},
  [2460] = {.lex_state = 0, .external_lex_state = 12},
  [2461] = {.lex_state = 0, .external_lex_state = 13},
  [2462] = {.lex_state = 0, .external_lex_state = 13},
  [2463] = {.lex_state = 0, .external_lex_state = 2},
  [2464] = {.lex_state = 0, .external_lex_state = 11},
  [2465] = {.lex_state = 0, .external_lex_state = 11},
  [2466] = {.lex_state = 0, .external_lex_state = 12},
  [2467] = {.lex_state = 0, .external_lex_state = 13},
  [2468] = {.lex_state = 0, .external_lex_state = 2},
  [2469] = {.lex_state = 0, .external_lex_state = 11},
  [2470] = {.lex_state = 0, .external_lex_state = 12},
  [2471] = {.lex_state = 0, .external_lex_state = 11},
  [2472] = {.lex_state = 0, .external_lex_state = 13},
  [2473] = {.lex_state = 0, .external_lex_state = 12},
  [2474] = {.lex_state = 0, .external_lex_state = 11},
  [2475] = {.lex_state = 0, .external_lex_state = 11},
  [2476] = {.lex_state = 0, .external_lex_state = 11},
  [2477] = {.lex_state = 0, .external_lex_state = 13},
  [2478] = {.lex_state = 45, .external_lex_state = 2},
  [2479] = {.lex_state = 346, .external_lex_state = 2},
  [2480] = {.lex_state = 63, .external_lex_state = 2},
  [2481] = {.lex_state = 0, .external_lex_state = 13},
  [2482] = {.lex_state = 45, .external_lex_state = 2},
  [2483] = {.lex_state = 0, .external_lex_state = 2},
  [2484] = {.lex_state = 0, .external_lex_state = 2},
  [2485] = {.lex_state = 0, .external_lex_state = 12},
  [2486] = {.lex_state = 0, .external_lex_state = 2},
  [2487] = {.lex_state = 0, .external_lex_state = 12},
  [2488] = {.lex_state = 0, .external_lex_state = 12},
  [2489] = {.lex_state = 346, .external_lex_state = 2},
  [2490] = {.lex_state = 346, .external_lex_state = 2},
  [2491] = {.lex_state = 0, .external_lex_state = 13},
  [2492] = {.lex_state = 346, .external_lex_state = 2},
  [2493] = {.lex_state = 34, .external_lex_state = 2},
  [2494] = {.lex_state = 0, .external_lex_state = 13},
  [2495] = {.lex_state = 0, .external_lex_state = 11},
  [2496] = {.lex_state = 45, .external_lex_state = 2},
  [2497] = {.lex_state = 0, .external_lex_state = 11},
  [2498] = {.lex_state = 0, .external_lex_state = 11},
  [2499] = {.lex_state = 0, .external_lex_state = 11},
  [2500] = {.lex_state = 0, .external_lex_state = 2},
  [2501] = {.lex_state = 0, .external_lex_state = 12},
  [2502] = {.lex_state = 0, .external_lex_state = 12},
  [2503] = {.lex_state = 45, .external_lex_state = 2},
  [2504] = {.lex_state = 0, .external_lex_state = 12},
  [2505] = {.lex_state = 0, .external_lex_state = 2},
  [2506] = {.lex_state = 0, .external_lex_state = 13},
  [2507] = {.lex_state = 45, .external_lex_state = 2},
  [2508] = {.lex_state = 0, .external_lex_state = 2},
  [2509] = {.lex_state = 0, .external_lex_state = 11},
  [2510] = {.lex_state = 0, .external_lex_state = 11},
  [2511] = {.lex_state = 346, .external_lex_state = 2},
  [2512] = {.lex_state = 0, .external_lex_state = 11},
  [2513] = {.lex_state = 0, .external_lex_state = 13},
  [2514] = {.lex_state = 346, .external_lex_state = 2},
  [2515] = {.lex_state = 34, .external_lex_state = 2},
  [2516] = {.lex_state = 346, .external_lex_state = 2},
  [2517] = {.lex_state = 0, .external_lex_state = 12},
  [2518] = {.lex_state = 45, .external_lex_state = 2},
  [2519] = {.lex_state = 0, .external_lex_state = 11},
  [2520] = {.lex_state = 0, .external_lex_state = 13},
  [2521] = {.lex_state = 45, .external_lex_state = 2},
  [2522] = {.lex_state = 45, .external_lex_state = 2},
  [2523] = {.lex_state = 34, .external_lex_state = 2},
  [2524] = {.lex_state = 0, .external_lex_state = 13},
  [2525] = {.lex_state = 45, .external_lex_state = 2},
  [2526] = {.lex_state = 346, .external_lex_state = 2},
  [2527] = {.lex_state = 0, .external_lex_state = 11},
  [2528] = {.lex_state = 0, .external_lex_state = 2},
  [2529] = {.lex_state = 45, .external_lex_state = 2},
  [2530] = {.lex_state = 45, .external_lex_state = 2},
  [2531] = {.lex_state = 0, .external_lex_state = 11},
  [2532] = {.lex_state = 0, .external_lex_state = 11},
  [2533] = {.lex_state = 0, .external_lex_state = 13},
  [2534] = {.lex_state = 0, .external_lex_state = 13},
  [2535] = {.lex_state = 0, .external_lex_state = 2},
  [2536] = {.lex_state = 0, .external_lex_state = 11},
  [2537] = {.lex_state = 0, .external_lex_state = 2},
  [2538] = {.lex_state = 0, .external_lex_state = 11},
  [2539] = {.lex_state = 0, .external_lex_state = 2},
  [2540] = {.lex_state = 0, .external_lex_state = 11},
  [2541] = {.lex_state = 45, .external_lex_state = 2},
  [2542] = {.lex_state = 34, .external_lex_state = 2},
  [2543] = {.lex_state = 346, .external_lex_state = 2},
  [2544] = {.lex_state = 0, .external_lex_state = 13},
  [2545] = {.lex_state = 0, .external_lex_state = 2},
  [2546] = {.lex_state = 346, .external_lex_state = 2},
  [2547] = {.lex_state = 0, .external_lex_state = 2},
  [2548] = {.lex_state = 346, .external_lex_state = 2},
  [2549] = {.lex_state = 0, .external_lex_state = 12},
  [2550] = {.lex_state = 0, .external_lex_state = 13},
  [2551] = {.lex_state = 45, .external_lex_state = 2},
  [2552] = {.lex_state = 0, .external_lex_state = 2},
  [2553] = {.lex_state = 0, .external_lex_state = 2},
  [2554] = {.lex_state = 0, .external_lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_QMARK_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_EQ_PLUS] = ACTIONS(1),
    [anon_sym_DOT_EQ] = ACTIONS(1),
    [anon_sym_EQ_DOT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_noexec] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_append] = ACTIONS(1),
    [anon_sym_prepend] = ACTIONS(1),
    [anon_sym_remove] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_OVERRIDES] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_EXPORT_FUNCTIONS] = ACTIONS(1),
    [anon_sym_addtask] = ACTIONS(1),
    [anon_sym_after] = ACTIONS(1),
    [anon_sym_before] = ACTIONS(1),
    [anon_sym_addhandler] = ACTIONS(1),
    [anon_sym_fakeroot] = ACTIONS(1),
    [anon_sym_python] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DOLLARBB_ENV_PASSTHROUGH] = ACTIONS(1),
    [anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token4] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE_AT] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_except_STAR] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__concat] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym_string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym_escape_interpolation] = ACTIONS(1),
    [sym_string_end] = ACTIONS(1),
    [sym_shell_content] = ACTIONS(1),
  },
  [1] = {
    [sym_recipe] = STATE(2369),
    [sym_variable_assignment] = STATE(2232),
    [sym_unset_statement] = STATE(2232),
    [sym_inherit_directive] = STATE(2232),
    [sym_include_directive] = STATE(2232),
    [sym_require_directive] = STATE(2232),
    [sym_export_statement] = STATE(2232),
    [sym_overrides_statement] = STATE(2232),
    [sym_export_functions_statement] = STATE(2232),
    [sym_addtask_statement] = STATE(2232),
    [sym_deltask_statement] = STATE(2232),
    [sym_addhandler_statement] = STATE(2232),
    [sym_anonymous_python_function] = STATE(2232),
    [sym_function_definition] = STATE(2232),
    [sym_variable_expansion] = STATE(2231),
    [sym_python_function_definition] = STATE(2232),
    [sym_concatenation] = STATE(1518),
    [aux_sym_recipe_repeat1] = STATE(1311),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_unset] = ACTIONS(7),
    [anon_sym_inherit] = ACTIONS(9),
    [anon_sym_include] = ACTIONS(11),
    [anon_sym_require] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_OVERRIDES] = ACTIONS(17),
    [anon_sym_EXPORT_FUNCTIONS] = ACTIONS(19),
    [anon_sym_addtask] = ACTIONS(21),
    [anon_sym_deltask] = ACTIONS(23),
    [anon_sym_addhandler] = ACTIONS(25),
    [anon_sym_fakeroot] = ACTIONS(27),
    [anon_sym_python] = ACTIONS(29),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [sym_identifier] = ACTIONS(35),
    [aux_sym__dotted_identifier_token1] = ACTIONS(37),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_python_function_definition] = STATE(31),
    [sym__statement] = STATE(31),
    [sym__simple_statements] = STATE(31),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_try_statement] = STATE(31),
    [sym_with_statement] = STATE(31),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(2337),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(31),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(113),
  },
  [3] = {
    [sym_python_function_definition] = STATE(26),
    [sym__statement] = STATE(26),
    [sym__simple_statements] = STATE(26),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_try_statement] = STATE(26),
    [sym_with_statement] = STATE(26),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(627),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(26),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(115),
    [sym_string_start] = ACTIONS(113),
  },
  [4] = {
    [sym_python_function_definition] = STATE(30),
    [sym__statement] = STATE(30),
    [sym__simple_statements] = STATE(30),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_try_statement] = STATE(30),
    [sym_with_statement] = STATE(30),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(2278),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(30),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(117),
    [sym_string_start] = ACTIONS(113),
  },
  [5] = {
    [sym_python_function_definition] = STATE(31),
    [sym__statement] = STATE(31),
    [sym__simple_statements] = STATE(31),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_try_statement] = STATE(31),
    [sym_with_statement] = STATE(31),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(2345),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(31),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(113),
  },
  [6] = {
    [sym_python_function_definition] = STATE(31),
    [sym__statement] = STATE(31),
    [sym__simple_statements] = STATE(31),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_try_statement] = STATE(31),
    [sym_with_statement] = STATE(31),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(2476),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(31),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(113),
  },
  [7] = {
    [sym_python_function_definition] = STATE(30),
    [sym__statement] = STATE(30),
    [sym__simple_statements] = STATE(30),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_try_statement] = STATE(30),
    [sym_with_statement] = STATE(30),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(2267),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(30),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(117),
    [sym_string_start] = ACTIONS(113),
  },
  [8] = {
    [sym_python_function_definition] = STATE(31),
    [sym__statement] = STATE(31),
    [sym__simple_statements] = STATE(31),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_try_statement] = STATE(31),
    [sym_with_statement] = STATE(31),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(2367),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(31),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(113),
  },
  [9] = {
    [sym_python_function_definition] = STATE(34),
    [sym__statement] = STATE(34),
    [sym__simple_statements] = STATE(34),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_try_statement] = STATE(34),
    [sym_with_statement] = STATE(34),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(1700),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(34),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(119),
    [sym_string_start] = ACTIONS(113),
  },
  [10] = {
    [sym_python_function_definition] = STATE(35),
    [sym__statement] = STATE(35),
    [sym__simple_statements] = STATE(35),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(35),
    [sym_for_statement] = STATE(35),
    [sym_while_statement] = STATE(35),
    [sym_try_statement] = STATE(35),
    [sym_with_statement] = STATE(35),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(557),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(35),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(121),
    [sym_string_start] = ACTIONS(113),
  },
  [11] = {
    [sym_python_function_definition] = STATE(33),
    [sym__statement] = STATE(33),
    [sym__simple_statements] = STATE(33),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_with_statement] = STATE(33),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(614),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(33),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(123),
    [sym_string_start] = ACTIONS(113),
  },
  [12] = {
    [sym_python_function_definition] = STATE(28),
    [sym__statement] = STATE(28),
    [sym__simple_statements] = STATE(28),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_with_statement] = STATE(28),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(664),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(28),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(125),
    [sym_string_start] = ACTIONS(113),
  },
  [13] = {
    [sym_python_function_definition] = STATE(28),
    [sym__statement] = STATE(28),
    [sym__simple_statements] = STATE(28),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_with_statement] = STATE(28),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(667),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(28),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(125),
    [sym_string_start] = ACTIONS(113),
  },
  [14] = {
    [sym_python_function_definition] = STATE(33),
    [sym__statement] = STATE(33),
    [sym__simple_statements] = STATE(33),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_with_statement] = STATE(33),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(604),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(33),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(123),
    [sym_string_start] = ACTIONS(113),
  },
  [15] = {
    [sym_python_function_definition] = STATE(32),
    [sym__statement] = STATE(32),
    [sym__simple_statements] = STATE(32),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_try_statement] = STATE(32),
    [sym_with_statement] = STATE(32),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(590),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(32),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(127),
    [sym_string_start] = ACTIONS(113),
  },
  [16] = {
    [sym_python_function_definition] = STATE(28),
    [sym__statement] = STATE(28),
    [sym__simple_statements] = STATE(28),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_with_statement] = STATE(28),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(674),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(28),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(125),
    [sym_string_start] = ACTIONS(113),
  },
  [17] = {
    [sym_python_function_definition] = STATE(28),
    [sym__statement] = STATE(28),
    [sym__simple_statements] = STATE(28),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_with_statement] = STATE(28),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(676),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(28),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(125),
    [sym_string_start] = ACTIONS(113),
  },
  [18] = {
    [sym_python_function_definition] = STATE(33),
    [sym__statement] = STATE(33),
    [sym__simple_statements] = STATE(33),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_with_statement] = STATE(33),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(609),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(33),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(123),
    [sym_string_start] = ACTIONS(113),
  },
  [19] = {
    [sym_python_function_definition] = STATE(32),
    [sym__statement] = STATE(32),
    [sym__simple_statements] = STATE(32),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_try_statement] = STATE(32),
    [sym_with_statement] = STATE(32),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(577),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(32),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(127),
    [sym_string_start] = ACTIONS(113),
  },
  [20] = {
    [sym_python_function_definition] = STATE(27),
    [sym__statement] = STATE(27),
    [sym__simple_statements] = STATE(27),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_try_statement] = STATE(27),
    [sym_with_statement] = STATE(27),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(578),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(27),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(129),
    [sym_string_start] = ACTIONS(113),
  },
  [21] = {
    [sym_python_function_definition] = STATE(35),
    [sym__statement] = STATE(35),
    [sym__simple_statements] = STATE(35),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(35),
    [sym_for_statement] = STATE(35),
    [sym_while_statement] = STATE(35),
    [sym_try_statement] = STATE(35),
    [sym_with_statement] = STATE(35),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(612),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(35),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(121),
    [sym_string_start] = ACTIONS(113),
  },
  [22] = {
    [sym_python_function_definition] = STATE(32),
    [sym__statement] = STATE(32),
    [sym__simple_statements] = STATE(32),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_try_statement] = STATE(32),
    [sym_with_statement] = STATE(32),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(581),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(32),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(127),
    [sym_string_start] = ACTIONS(113),
  },
  [23] = {
    [sym_python_function_definition] = STATE(27),
    [sym__statement] = STATE(27),
    [sym__simple_statements] = STATE(27),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_try_statement] = STATE(27),
    [sym_with_statement] = STATE(27),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(582),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(27),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(129),
    [sym_string_start] = ACTIONS(113),
  },
  [24] = {
    [sym_python_function_definition] = STATE(28),
    [sym__statement] = STATE(28),
    [sym__simple_statements] = STATE(28),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_with_statement] = STATE(28),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(648),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(28),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(125),
    [sym_string_start] = ACTIONS(113),
  },
  [25] = {
    [sym_python_function_definition] = STATE(28),
    [sym__statement] = STATE(28),
    [sym__simple_statements] = STATE(28),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_with_statement] = STATE(28),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_block] = STATE(656),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(28),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(125),
    [sym_string_start] = ACTIONS(113),
  },
  [26] = {
    [sym_python_function_definition] = STATE(29),
    [sym__statement] = STATE(29),
    [sym__simple_statements] = STATE(29),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_with_statement] = STATE(29),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(29),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(131),
    [sym_string_start] = ACTIONS(113),
  },
  [27] = {
    [sym_python_function_definition] = STATE(29),
    [sym__statement] = STATE(29),
    [sym__simple_statements] = STATE(29),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_with_statement] = STATE(29),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(29),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(133),
    [sym_string_start] = ACTIONS(113),
  },
  [28] = {
    [sym_python_function_definition] = STATE(29),
    [sym__statement] = STATE(29),
    [sym__simple_statements] = STATE(29),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_with_statement] = STATE(29),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(29),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(135),
    [sym_string_start] = ACTIONS(113),
  },
  [29] = {
    [sym_python_function_definition] = STATE(29),
    [sym__statement] = STATE(29),
    [sym__simple_statements] = STATE(29),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_with_statement] = STATE(29),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(29),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(140),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_def] = ACTIONS(146),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_from] = ACTIONS(152),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_print] = ACTIONS(158),
    [anon_sym_assert] = ACTIONS(161),
    [anon_sym_return] = ACTIONS(164),
    [anon_sym_del] = ACTIONS(167),
    [anon_sym_raise] = ACTIONS(170),
    [anon_sym_pass] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(176),
    [anon_sym_continue] = ACTIONS(179),
    [anon_sym_global] = ACTIONS(182),
    [anon_sym_nonlocal] = ACTIONS(185),
    [anon_sym_exec] = ACTIONS(188),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(194),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(200),
    [anon_sym_try] = ACTIONS(203),
    [anon_sym_with] = ACTIONS(206),
    [anon_sym_not] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(212),
    [anon_sym_DASH] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(212),
    [anon_sym_lambda] = ACTIONS(218),
    [anon_sym_yield] = ACTIONS(221),
    [sym_ellipsis] = ACTIONS(224),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_match] = ACTIONS(230),
    [anon_sym_type] = ACTIONS(233),
    [sym_integer] = ACTIONS(236),
    [sym_float] = ACTIONS(236),
    [sym_true] = ACTIONS(236),
    [sym_false] = ACTIONS(236),
    [sym_none] = ACTIONS(236),
    [sym_python_identifier] = ACTIONS(239),
    [sym_identifier] = ACTIONS(242),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(245),
    [sym_string_start] = ACTIONS(247),
  },
  [30] = {
    [sym_python_function_definition] = STATE(29),
    [sym__statement] = STATE(29),
    [sym__simple_statements] = STATE(29),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_with_statement] = STATE(29),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(29),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(250),
    [sym_string_start] = ACTIONS(113),
  },
  [31] = {
    [sym_python_function_definition] = STATE(29),
    [sym__statement] = STATE(29),
    [sym__simple_statements] = STATE(29),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_with_statement] = STATE(29),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(29),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(252),
    [sym_string_start] = ACTIONS(113),
  },
  [32] = {
    [sym_python_function_definition] = STATE(29),
    [sym__statement] = STATE(29),
    [sym__simple_statements] = STATE(29),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_with_statement] = STATE(29),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(29),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(254),
    [sym_string_start] = ACTIONS(113),
  },
  [33] = {
    [sym_python_function_definition] = STATE(29),
    [sym__statement] = STATE(29),
    [sym__simple_statements] = STATE(29),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_with_statement] = STATE(29),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(29),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(256),
    [sym_string_start] = ACTIONS(113),
  },
  [34] = {
    [sym_python_function_definition] = STATE(29),
    [sym__statement] = STATE(29),
    [sym__simple_statements] = STATE(29),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_with_statement] = STATE(29),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(29),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(258),
    [sym_string_start] = ACTIONS(113),
  },
  [35] = {
    [sym_python_function_definition] = STATE(29),
    [sym__statement] = STATE(29),
    [sym__simple_statements] = STATE(29),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_if_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_with_statement] = STATE(29),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [aux_sym_block_repeat1] = STATE(29),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(260),
    [sym_string_start] = ACTIONS(113),
  },
  [36] = {
    [sym__simple_statements] = STATE(655),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(547),
    [sym_subscript] = STATE(547),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(562),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1586),
    [sym_primary_expression] = STATE(883),
    [sym_type] = STATE(1850),
    [sym_splat_type] = STATE(1906),
    [sym_generic_type] = STATE(1906),
    [sym_union_type] = STATE(1906),
    [sym_constrained_type] = STATE(1906),
    [sym_member_type] = STATE(1906),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(262),
    [anon_sym_LPAREN] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_print] = ACTIONS(268),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(270),
    [anon_sym_async] = ACTIONS(272),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_STAR_STAR] = ACTIONS(274),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(276),
    [anon_sym_match] = ACTIONS(272),
    [anon_sym_type] = ACTIONS(278),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(280),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(282),
    [sym__indent] = ACTIONS(284),
    [sym_string_start] = ACTIONS(113),
  },
  [37] = {
    [sym_chevron] = STATE(1974),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_attribute] = STATE(915),
    [sym_subscript] = STATE(915),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_list_splat_pattern] = STATE(917),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1710),
    [sym_primary_expression] = STATE(841),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_EQ] = ACTIONS(286),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_PLUS_EQ] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_COLON] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(298),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(308),
    [anon_sym_print] = ACTIONS(311),
    [anon_sym_GT_GT] = ACTIONS(313),
    [anon_sym_exec] = ACTIONS(311),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_not] = ACTIONS(315),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(318),
    [anon_sym_DASH] = ACTIONS(318),
    [anon_sym_AT] = ACTIONS(303),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(303),
    [anon_sym_SLASH_SLASH] = ACTIONS(303),
    [anon_sym_STAR_STAR] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(303),
    [anon_sym_AMP] = ACTIONS(303),
    [anon_sym_CARET] = ACTIONS(303),
    [anon_sym_LT_LT] = ACTIONS(303),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_DASH_EQ] = ACTIONS(290),
    [anon_sym_STAR_EQ] = ACTIONS(290),
    [anon_sym_SLASH_EQ] = ACTIONS(290),
    [anon_sym_AT_EQ] = ACTIONS(290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(290),
    [anon_sym_PERCENT_EQ] = ACTIONS(290),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(290),
    [anon_sym_GT_GT_EQ] = ACTIONS(290),
    [anon_sym_LT_LT_EQ] = ACTIONS(290),
    [anon_sym_AMP_EQ] = ACTIONS(290),
    [anon_sym_CARET_EQ] = ACTIONS(290),
    [anon_sym_PIPE_EQ] = ACTIONS(290),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(321),
    [anon_sym_match] = ACTIONS(311),
    [anon_sym_type] = ACTIONS(323),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(325),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(301),
    [sym_string_start] = ACTIONS(113),
  },
  [38] = {
    [sym__simple_statements] = STATE(2214),
    [sym_import_statement] = STATE(2182),
    [sym_future_import_statement] = STATE(2182),
    [sym_import_from_statement] = STATE(2182),
    [sym_print_statement] = STATE(2182),
    [sym_assert_statement] = STATE(2182),
    [sym_expression_statement] = STATE(2182),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2182),
    [sym_delete_statement] = STATE(2182),
    [sym_raise_statement] = STATE(2182),
    [sym_pass_statement] = STATE(2182),
    [sym_break_statement] = STATE(2182),
    [sym_continue_statement] = STATE(2182),
    [sym_global_statement] = STATE(2182),
    [sym_nonlocal_statement] = STATE(2182),
    [sym_exec_statement] = STATE(2182),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(547),
    [sym_subscript] = STATE(547),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(562),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1586),
    [sym_primary_expression] = STATE(883),
    [sym_type] = STATE(1850),
    [sym_splat_type] = STATE(1906),
    [sym_generic_type] = STATE(1906),
    [sym_union_type] = STATE(1906),
    [sym_constrained_type] = STATE(1906),
    [sym_member_type] = STATE(1906),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(262),
    [anon_sym_LPAREN] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_print] = ACTIONS(268),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(270),
    [anon_sym_async] = ACTIONS(272),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_STAR_STAR] = ACTIONS(274),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(276),
    [anon_sym_match] = ACTIONS(272),
    [anon_sym_type] = ACTIONS(278),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(280),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(327),
    [sym__indent] = ACTIONS(329),
    [sym_string_start] = ACTIONS(113),
  },
  [39] = {
    [sym_chevron] = STATE(1974),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_attribute] = STATE(915),
    [sym_subscript] = STATE(915),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_list_splat_pattern] = STATE(917),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1710),
    [sym_primary_expression] = STATE(841),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_EQ] = ACTIONS(286),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_PLUS_EQ] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_COLON] = ACTIONS(286),
    [anon_sym_LPAREN] = ACTIONS(298),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(308),
    [anon_sym_print] = ACTIONS(311),
    [anon_sym_GT_GT] = ACTIONS(313),
    [anon_sym_exec] = ACTIONS(311),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_not] = ACTIONS(315),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(318),
    [anon_sym_DASH] = ACTIONS(318),
    [anon_sym_AT] = ACTIONS(303),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(303),
    [anon_sym_SLASH_SLASH] = ACTIONS(303),
    [anon_sym_STAR_STAR] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(303),
    [anon_sym_AMP] = ACTIONS(303),
    [anon_sym_CARET] = ACTIONS(303),
    [anon_sym_LT_LT] = ACTIONS(303),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_DASH_EQ] = ACTIONS(290),
    [anon_sym_STAR_EQ] = ACTIONS(290),
    [anon_sym_SLASH_EQ] = ACTIONS(290),
    [anon_sym_AT_EQ] = ACTIONS(290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(290),
    [anon_sym_PERCENT_EQ] = ACTIONS(290),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(290),
    [anon_sym_GT_GT_EQ] = ACTIONS(290),
    [anon_sym_LT_LT_EQ] = ACTIONS(290),
    [anon_sym_AMP_EQ] = ACTIONS(290),
    [anon_sym_CARET_EQ] = ACTIONS(290),
    [anon_sym_PIPE_EQ] = ACTIONS(290),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(321),
    [anon_sym_match] = ACTIONS(311),
    [anon_sym_type] = ACTIONS(323),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(325),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(301),
    [sym_string_start] = ACTIONS(113),
  },
  [40] = {
    [sym__simple_statements] = STATE(2362),
    [sym_import_statement] = STATE(2145),
    [sym_future_import_statement] = STATE(2145),
    [sym_import_from_statement] = STATE(2145),
    [sym_print_statement] = STATE(2145),
    [sym_assert_statement] = STATE(2145),
    [sym_expression_statement] = STATE(2145),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2145),
    [sym_delete_statement] = STATE(2145),
    [sym_raise_statement] = STATE(2145),
    [sym_pass_statement] = STATE(2145),
    [sym_break_statement] = STATE(2145),
    [sym_continue_statement] = STATE(2145),
    [sym_global_statement] = STATE(2145),
    [sym_nonlocal_statement] = STATE(2145),
    [sym_exec_statement] = STATE(2145),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__indent] = ACTIONS(333),
    [sym_string_start] = ACTIONS(113),
  },
  [41] = {
    [sym__simple_statements] = STATE(658),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(335),
    [sym__indent] = ACTIONS(337),
    [sym_string_start] = ACTIONS(113),
  },
  [42] = {
    [sym__simple_statements] = STATE(1725),
    [sym_import_statement] = STATE(2050),
    [sym_future_import_statement] = STATE(2050),
    [sym_import_from_statement] = STATE(2050),
    [sym_print_statement] = STATE(2050),
    [sym_assert_statement] = STATE(2050),
    [sym_expression_statement] = STATE(2050),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2050),
    [sym_delete_statement] = STATE(2050),
    [sym_raise_statement] = STATE(2050),
    [sym_pass_statement] = STATE(2050),
    [sym_break_statement] = STATE(2050),
    [sym_continue_statement] = STATE(2050),
    [sym_global_statement] = STATE(2050),
    [sym_nonlocal_statement] = STATE(2050),
    [sym_exec_statement] = STATE(2050),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(339),
    [sym__indent] = ACTIONS(341),
    [sym_string_start] = ACTIONS(113),
  },
  [43] = {
    [sym__simple_statements] = STATE(660),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__indent] = ACTIONS(345),
    [sym_string_start] = ACTIONS(113),
  },
  [44] = {
    [sym__simple_statements] = STATE(579),
    [sym_import_statement] = STATE(2126),
    [sym_future_import_statement] = STATE(2126),
    [sym_import_from_statement] = STATE(2126),
    [sym_print_statement] = STATE(2126),
    [sym_assert_statement] = STATE(2126),
    [sym_expression_statement] = STATE(2126),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2126),
    [sym_delete_statement] = STATE(2126),
    [sym_raise_statement] = STATE(2126),
    [sym_pass_statement] = STATE(2126),
    [sym_break_statement] = STATE(2126),
    [sym_continue_statement] = STATE(2126),
    [sym_global_statement] = STATE(2126),
    [sym_nonlocal_statement] = STATE(2126),
    [sym_exec_statement] = STATE(2126),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__indent] = ACTIONS(349),
    [sym_string_start] = ACTIONS(113),
  },
  [45] = {
    [sym__simple_statements] = STATE(2246),
    [sym_import_statement] = STATE(2182),
    [sym_future_import_statement] = STATE(2182),
    [sym_import_from_statement] = STATE(2182),
    [sym_print_statement] = STATE(2182),
    [sym_assert_statement] = STATE(2182),
    [sym_expression_statement] = STATE(2182),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2182),
    [sym_delete_statement] = STATE(2182),
    [sym_raise_statement] = STATE(2182),
    [sym_pass_statement] = STATE(2182),
    [sym_break_statement] = STATE(2182),
    [sym_continue_statement] = STATE(2182),
    [sym_global_statement] = STATE(2182),
    [sym_nonlocal_statement] = STATE(2182),
    [sym_exec_statement] = STATE(2182),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(351),
    [sym__indent] = ACTIONS(353),
    [sym_string_start] = ACTIONS(113),
  },
  [46] = {
    [sym__simple_statements] = STATE(2355),
    [sym_import_statement] = STATE(2145),
    [sym_future_import_statement] = STATE(2145),
    [sym_import_from_statement] = STATE(2145),
    [sym_print_statement] = STATE(2145),
    [sym_assert_statement] = STATE(2145),
    [sym_expression_statement] = STATE(2145),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2145),
    [sym_delete_statement] = STATE(2145),
    [sym_raise_statement] = STATE(2145),
    [sym_pass_statement] = STATE(2145),
    [sym_break_statement] = STATE(2145),
    [sym_continue_statement] = STATE(2145),
    [sym_global_statement] = STATE(2145),
    [sym_nonlocal_statement] = STATE(2145),
    [sym_exec_statement] = STATE(2145),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(355),
    [sym__indent] = ACTIONS(357),
    [sym_string_start] = ACTIONS(113),
  },
  [47] = {
    [sym__simple_statements] = STATE(647),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__indent] = ACTIONS(361),
    [sym_string_start] = ACTIONS(113),
  },
  [48] = {
    [sym__simple_statements] = STATE(622),
    [sym_import_statement] = STATE(2105),
    [sym_future_import_statement] = STATE(2105),
    [sym_import_from_statement] = STATE(2105),
    [sym_print_statement] = STATE(2105),
    [sym_assert_statement] = STATE(2105),
    [sym_expression_statement] = STATE(2105),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2105),
    [sym_delete_statement] = STATE(2105),
    [sym_raise_statement] = STATE(2105),
    [sym_pass_statement] = STATE(2105),
    [sym_break_statement] = STATE(2105),
    [sym_continue_statement] = STATE(2105),
    [sym_global_statement] = STATE(2105),
    [sym_nonlocal_statement] = STATE(2105),
    [sym_exec_statement] = STATE(2105),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__indent] = ACTIONS(365),
    [sym_string_start] = ACTIONS(113),
  },
  [49] = {
    [sym__simple_statements] = STATE(583),
    [sym_import_statement] = STATE(2126),
    [sym_future_import_statement] = STATE(2126),
    [sym_import_from_statement] = STATE(2126),
    [sym_print_statement] = STATE(2126),
    [sym_assert_statement] = STATE(2126),
    [sym_expression_statement] = STATE(2126),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2126),
    [sym_delete_statement] = STATE(2126),
    [sym_raise_statement] = STATE(2126),
    [sym_pass_statement] = STATE(2126),
    [sym_break_statement] = STATE(2126),
    [sym_continue_statement] = STATE(2126),
    [sym_global_statement] = STATE(2126),
    [sym_nonlocal_statement] = STATE(2126),
    [sym_exec_statement] = STATE(2126),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(367),
    [sym__indent] = ACTIONS(369),
    [sym_string_start] = ACTIONS(113),
  },
  [50] = {
    [sym__simple_statements] = STATE(645),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__indent] = ACTIONS(373),
    [sym_string_start] = ACTIONS(113),
  },
  [51] = {
    [sym__simple_statements] = STATE(671),
    [sym_import_statement] = STATE(2021),
    [sym_future_import_statement] = STATE(2021),
    [sym_import_from_statement] = STATE(2021),
    [sym_print_statement] = STATE(2021),
    [sym_assert_statement] = STATE(2021),
    [sym_expression_statement] = STATE(2021),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2021),
    [sym_delete_statement] = STATE(2021),
    [sym_raise_statement] = STATE(2021),
    [sym_pass_statement] = STATE(2021),
    [sym_break_statement] = STATE(2021),
    [sym_continue_statement] = STATE(2021),
    [sym_global_statement] = STATE(2021),
    [sym_nonlocal_statement] = STATE(2021),
    [sym_exec_statement] = STATE(2021),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__indent] = ACTIONS(377),
    [sym_string_start] = ACTIONS(113),
  },
  [52] = {
    [sym__simple_statements] = STATE(644),
    [sym_import_statement] = STATE(2156),
    [sym_future_import_statement] = STATE(2156),
    [sym_import_from_statement] = STATE(2156),
    [sym_print_statement] = STATE(2156),
    [sym_assert_statement] = STATE(2156),
    [sym_expression_statement] = STATE(2156),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2156),
    [sym_delete_statement] = STATE(2156),
    [sym_raise_statement] = STATE(2156),
    [sym_pass_statement] = STATE(2156),
    [sym_break_statement] = STATE(2156),
    [sym_continue_statement] = STATE(2156),
    [sym_global_statement] = STATE(2156),
    [sym_nonlocal_statement] = STATE(2156),
    [sym_exec_statement] = STATE(2156),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__indent] = ACTIONS(381),
    [sym_string_start] = ACTIONS(113),
  },
  [53] = {
    [sym__simple_statements] = STATE(603),
    [sym_import_statement] = STATE(2105),
    [sym_future_import_statement] = STATE(2105),
    [sym_import_from_statement] = STATE(2105),
    [sym_print_statement] = STATE(2105),
    [sym_assert_statement] = STATE(2105),
    [sym_expression_statement] = STATE(2105),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2105),
    [sym_delete_statement] = STATE(2105),
    [sym_raise_statement] = STATE(2105),
    [sym_pass_statement] = STATE(2105),
    [sym_break_statement] = STATE(2105),
    [sym_continue_statement] = STATE(2105),
    [sym_global_statement] = STATE(2105),
    [sym_nonlocal_statement] = STATE(2105),
    [sym_exec_statement] = STATE(2105),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__indent] = ACTIONS(385),
    [sym_string_start] = ACTIONS(113),
  },
  [54] = {
    [sym__simple_statements] = STATE(549),
    [sym_import_statement] = STATE(2078),
    [sym_future_import_statement] = STATE(2078),
    [sym_import_from_statement] = STATE(2078),
    [sym_print_statement] = STATE(2078),
    [sym_assert_statement] = STATE(2078),
    [sym_expression_statement] = STATE(2078),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2078),
    [sym_delete_statement] = STATE(2078),
    [sym_raise_statement] = STATE(2078),
    [sym_pass_statement] = STATE(2078),
    [sym_break_statement] = STATE(2078),
    [sym_continue_statement] = STATE(2078),
    [sym_global_statement] = STATE(2078),
    [sym_nonlocal_statement] = STATE(2078),
    [sym_exec_statement] = STATE(2078),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(387),
    [sym__indent] = ACTIONS(389),
    [sym_string_start] = ACTIONS(113),
  },
  [55] = {
    [sym__simple_statements] = STATE(591),
    [sym_import_statement] = STATE(2126),
    [sym_future_import_statement] = STATE(2126),
    [sym_import_from_statement] = STATE(2126),
    [sym_print_statement] = STATE(2126),
    [sym_assert_statement] = STATE(2126),
    [sym_expression_statement] = STATE(2126),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2126),
    [sym_delete_statement] = STATE(2126),
    [sym_raise_statement] = STATE(2126),
    [sym_pass_statement] = STATE(2126),
    [sym_break_statement] = STATE(2126),
    [sym_continue_statement] = STATE(2126),
    [sym_global_statement] = STATE(2126),
    [sym_nonlocal_statement] = STATE(2126),
    [sym_exec_statement] = STATE(2126),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(391),
    [sym__indent] = ACTIONS(393),
    [sym_string_start] = ACTIONS(113),
  },
  [56] = {
    [sym__simple_statements] = STATE(592),
    [sym_import_statement] = STATE(2144),
    [sym_future_import_statement] = STATE(2144),
    [sym_import_from_statement] = STATE(2144),
    [sym_print_statement] = STATE(2144),
    [sym_assert_statement] = STATE(2144),
    [sym_expression_statement] = STATE(2144),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2144),
    [sym_delete_statement] = STATE(2144),
    [sym_raise_statement] = STATE(2144),
    [sym_pass_statement] = STATE(2144),
    [sym_break_statement] = STATE(2144),
    [sym_continue_statement] = STATE(2144),
    [sym_global_statement] = STATE(2144),
    [sym_nonlocal_statement] = STATE(2144),
    [sym_exec_statement] = STATE(2144),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(395),
    [sym__indent] = ACTIONS(397),
    [sym_string_start] = ACTIONS(113),
  },
  [57] = {
    [sym__simple_statements] = STATE(617),
    [sym_import_statement] = STATE(2105),
    [sym_future_import_statement] = STATE(2105),
    [sym_import_from_statement] = STATE(2105),
    [sym_print_statement] = STATE(2105),
    [sym_assert_statement] = STATE(2105),
    [sym_expression_statement] = STATE(2105),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2105),
    [sym_delete_statement] = STATE(2105),
    [sym_raise_statement] = STATE(2105),
    [sym_pass_statement] = STATE(2105),
    [sym_break_statement] = STATE(2105),
    [sym_continue_statement] = STATE(2105),
    [sym_global_statement] = STATE(2105),
    [sym_nonlocal_statement] = STATE(2105),
    [sym_exec_statement] = STATE(2105),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(399),
    [sym__indent] = ACTIONS(401),
    [sym_string_start] = ACTIONS(113),
  },
  [58] = {
    [sym__simple_statements] = STATE(2444),
    [sym_import_statement] = STATE(2145),
    [sym_future_import_statement] = STATE(2145),
    [sym_import_from_statement] = STATE(2145),
    [sym_print_statement] = STATE(2145),
    [sym_assert_statement] = STATE(2145),
    [sym_expression_statement] = STATE(2145),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2145),
    [sym_delete_statement] = STATE(2145),
    [sym_raise_statement] = STATE(2145),
    [sym_pass_statement] = STATE(2145),
    [sym_break_statement] = STATE(2145),
    [sym_continue_statement] = STATE(2145),
    [sym_global_statement] = STATE(2145),
    [sym_nonlocal_statement] = STATE(2145),
    [sym_exec_statement] = STATE(2145),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(403),
    [sym__indent] = ACTIONS(405),
    [sym_string_start] = ACTIONS(113),
  },
  [59] = {
    [sym__simple_statements] = STATE(607),
    [sym_import_statement] = STATE(2078),
    [sym_future_import_statement] = STATE(2078),
    [sym_import_from_statement] = STATE(2078),
    [sym_print_statement] = STATE(2078),
    [sym_assert_statement] = STATE(2078),
    [sym_expression_statement] = STATE(2078),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2078),
    [sym_delete_statement] = STATE(2078),
    [sym_raise_statement] = STATE(2078),
    [sym_pass_statement] = STATE(2078),
    [sym_break_statement] = STATE(2078),
    [sym_continue_statement] = STATE(2078),
    [sym_global_statement] = STATE(2078),
    [sym_nonlocal_statement] = STATE(2078),
    [sym_exec_statement] = STATE(2078),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(407),
    [sym__indent] = ACTIONS(409),
    [sym_string_start] = ACTIONS(113),
  },
  [60] = {
    [sym__simple_statements] = STATE(2495),
    [sym_import_statement] = STATE(2145),
    [sym_future_import_statement] = STATE(2145),
    [sym_import_from_statement] = STATE(2145),
    [sym_print_statement] = STATE(2145),
    [sym_assert_statement] = STATE(2145),
    [sym_expression_statement] = STATE(2145),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2145),
    [sym_delete_statement] = STATE(2145),
    [sym_raise_statement] = STATE(2145),
    [sym_pass_statement] = STATE(2145),
    [sym_break_statement] = STATE(2145),
    [sym_continue_statement] = STATE(2145),
    [sym_global_statement] = STATE(2145),
    [sym_nonlocal_statement] = STATE(2145),
    [sym_exec_statement] = STATE(2145),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(411),
    [sym__indent] = ACTIONS(413),
    [sym_string_start] = ACTIONS(113),
  },
  [61] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(415),
    [sym_string_start] = ACTIONS(113),
  },
  [62] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(417),
    [sym_string_start] = ACTIONS(113),
  },
  [63] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(419),
    [sym_string_start] = ACTIONS(113),
  },
  [64] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(421),
    [sym_string_start] = ACTIONS(113),
  },
  [65] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(423),
    [sym_string_start] = ACTIONS(113),
  },
  [66] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(425),
    [sym_string_start] = ACTIONS(113),
  },
  [67] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(427),
    [sym_string_start] = ACTIONS(113),
  },
  [68] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(429),
    [sym_string_start] = ACTIONS(113),
  },
  [69] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(431),
    [sym_string_start] = ACTIONS(113),
  },
  [70] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(433),
    [sym_string_start] = ACTIONS(113),
  },
  [71] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(435),
    [sym_string_start] = ACTIONS(113),
  },
  [72] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(437),
    [sym_string_start] = ACTIONS(113),
  },
  [73] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(439),
    [sym_string_start] = ACTIONS(113),
  },
  [74] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(441),
    [sym_string_start] = ACTIONS(113),
  },
  [75] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(443),
    [sym_string_start] = ACTIONS(113),
  },
  [76] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(445),
    [sym_string_start] = ACTIONS(113),
  },
  [77] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(447),
    [sym_string_start] = ACTIONS(113),
  },
  [78] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(449),
    [sym_string_start] = ACTIONS(113),
  },
  [79] = {
    [sym_import_statement] = STATE(2277),
    [sym_future_import_statement] = STATE(2277),
    [sym_import_from_statement] = STATE(2277),
    [sym_print_statement] = STATE(2277),
    [sym_assert_statement] = STATE(2277),
    [sym_expression_statement] = STATE(2277),
    [sym_named_expression] = STATE(1532),
    [sym__named_expression_lhs] = STATE(2376),
    [sym_return_statement] = STATE(2277),
    [sym_delete_statement] = STATE(2277),
    [sym_raise_statement] = STATE(2277),
    [sym_pass_statement] = STATE(2277),
    [sym_break_statement] = STATE(2277),
    [sym_continue_statement] = STATE(2277),
    [sym_global_statement] = STATE(2277),
    [sym_nonlocal_statement] = STATE(2277),
    [sym_exec_statement] = STATE(2277),
    [sym_not_operator] = STATE(1532),
    [sym_boolean_operator] = STATE(1532),
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_comparison_operator] = STATE(1532),
    [sym_lambda] = STATE(1532),
    [sym_assignment] = STATE(2239),
    [sym_augmented_assignment] = STATE(2239),
    [sym_pattern_list] = STATE(1514),
    [sym_yield] = STATE(2239),
    [sym_attribute] = STATE(560),
    [sym_subscript] = STATE(560),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_pattern] = STATE(1501),
    [sym_tuple_pattern] = STATE(1488),
    [sym_list_pattern] = STATE(1488),
    [sym_list_splat_pattern] = STATE(561),
    [sym_as_pattern] = STATE(1532),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(883),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_conditional_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(47),
    [anon_sym_from] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_print] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_del] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_pass] = ACTIONS(63),
    [anon_sym_break] = ACTIONS(65),
    [anon_sym_continue] = ACTIONS(67),
    [anon_sym_global] = ACTIONS(69),
    [anon_sym_nonlocal] = ACTIONS(71),
    [anon_sym_exec] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_lambda] = ACTIONS(93),
    [anon_sym_yield] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(99),
    [anon_sym_match] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(103),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(107),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(113),
  },
  [80] = {
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_attribute] = STATE(915),
    [sym_subscript] = STATE(915),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_list_splat_pattern] = STATE(917),
    [sym_primary_expression] = STATE(849),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_EQ] = ACTIONS(286),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_PLUS_EQ] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(451),
    [anon_sym_COLON] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_print] = ACTIONS(457),
    [anon_sym_GT_GT] = ACTIONS(303),
    [anon_sym_exec] = ACTIONS(457),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(303),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(303),
    [anon_sym_SLASH_SLASH] = ACTIONS(303),
    [anon_sym_STAR_STAR] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(303),
    [anon_sym_AMP] = ACTIONS(303),
    [anon_sym_CARET] = ACTIONS(303),
    [anon_sym_LT_LT] = ACTIONS(303),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [anon_sym_DASH_EQ] = ACTIONS(290),
    [anon_sym_STAR_EQ] = ACTIONS(290),
    [anon_sym_SLASH_EQ] = ACTIONS(290),
    [anon_sym_AT_EQ] = ACTIONS(290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(290),
    [anon_sym_PERCENT_EQ] = ACTIONS(290),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(290),
    [anon_sym_GT_GT_EQ] = ACTIONS(290),
    [anon_sym_LT_LT_EQ] = ACTIONS(290),
    [anon_sym_AMP_EQ] = ACTIONS(290),
    [anon_sym_CARET_EQ] = ACTIONS(290),
    [anon_sym_PIPE_EQ] = ACTIONS(290),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_match] = ACTIONS(457),
    [anon_sym_type] = ACTIONS(109),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(105),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(301),
    [sym_string_start] = ACTIONS(113),
  },
  [81] = {
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_attribute] = STATE(915),
    [sym_subscript] = STATE(915),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_list_splat_pattern] = STATE(917),
    [sym_primary_expression] = STATE(849),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_EQ] = ACTIONS(286),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_PLUS_EQ] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(451),
    [anon_sym_COLON] = ACTIONS(286),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_print] = ACTIONS(457),
    [anon_sym_GT_GT] = ACTIONS(303),
    [anon_sym_exec] = ACTIONS(457),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(303),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(303),
    [anon_sym_SLASH_SLASH] = ACTIONS(303),
    [anon_sym_STAR_STAR] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(303),
    [anon_sym_AMP] = ACTIONS(303),
    [anon_sym_CARET] = ACTIONS(303),
    [anon_sym_LT_LT] = ACTIONS(303),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [anon_sym_DASH_EQ] = ACTIONS(290),
    [anon_sym_STAR_EQ] = ACTIONS(290),
    [anon_sym_SLASH_EQ] = ACTIONS(290),
    [anon_sym_AT_EQ] = ACTIONS(290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(290),
    [anon_sym_PERCENT_EQ] = ACTIONS(290),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(290),
    [anon_sym_GT_GT_EQ] = ACTIONS(290),
    [anon_sym_LT_LT_EQ] = ACTIONS(290),
    [anon_sym_AMP_EQ] = ACTIONS(290),
    [anon_sym_CARET_EQ] = ACTIONS(290),
    [anon_sym_PIPE_EQ] = ACTIONS(290),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_match] = ACTIONS(457),
    [anon_sym_type] = ACTIONS(109),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(105),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(301),
    [sym_string_start] = ACTIONS(113),
  },
  [82] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_EQ] = ACTIONS(461),
    [anon_sym_PLUS_EQ] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_COLON] = ACTIONS(463),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(463),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_as] = ACTIONS(461),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(471),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(461),
    [anon_sym_if] = ACTIONS(461),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_and] = ACTIONS(461),
    [anon_sym_or] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(471),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(471),
    [anon_sym_SLASH_SLASH] = ACTIONS(471),
    [anon_sym_STAR_STAR] = ACTIONS(471),
    [anon_sym_PIPE] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(461),
    [anon_sym_LT_EQ] = ACTIONS(463),
    [anon_sym_EQ_EQ] = ACTIONS(463),
    [anon_sym_BANG_EQ] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(463),
    [anon_sym_GT] = ACTIONS(461),
    [anon_sym_LT_GT] = ACTIONS(463),
    [anon_sym_is] = ACTIONS(461),
    [anon_sym_DASH_EQ] = ACTIONS(463),
    [anon_sym_STAR_EQ] = ACTIONS(463),
    [anon_sym_SLASH_EQ] = ACTIONS(463),
    [anon_sym_AT_EQ] = ACTIONS(463),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(463),
    [anon_sym_PERCENT_EQ] = ACTIONS(463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(463),
    [anon_sym_GT_GT_EQ] = ACTIONS(463),
    [anon_sym_LT_LT_EQ] = ACTIONS(463),
    [anon_sym_AMP_EQ] = ACTIONS(463),
    [anon_sym_CARET_EQ] = ACTIONS(463),
    [anon_sym_PIPE_EQ] = ACTIONS(463),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(463),
    [sym_string_start] = ACTIONS(490),
  },
  [83] = {
    [sym_binary_operator] = STATE(1079),
    [sym_unary_operator] = STATE(1079),
    [sym_attribute] = STATE(1079),
    [sym_subscript] = STATE(1079),
    [sym_call] = STATE(1079),
    [sym_generator_expression] = STATE(1079),
    [sym_parenthesized_expression] = STATE(1079),
    [sym_list_splat_pattern] = STATE(1095),
    [sym_primary_expression] = STATE(877),
    [sym_list] = STATE(1079),
    [sym_set] = STATE(1079),
    [sym_tuple] = STATE(1079),
    [sym_dictionary] = STATE(1079),
    [sym_list_comprehension] = STATE(1079),
    [sym_dictionary_comprehension] = STATE(1079),
    [sym_set_comprehension] = STATE(1079),
    [sym_concatenated_string] = STATE(1079),
    [sym_python_string] = STATE(843),
    [sym_await] = STATE(1079),
    [anon_sym_EQ] = ACTIONS(303),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(492),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_print] = ACTIONS(500),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(500),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(500),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(502),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(506),
    [sym_type_conversion] = ACTIONS(301),
    [anon_sym_await] = ACTIONS(508),
    [anon_sym_match] = ACTIONS(500),
    [anon_sym_type] = ACTIONS(510),
    [sym_integer] = ACTIONS(512),
    [sym_float] = ACTIONS(512),
    [sym_true] = ACTIONS(512),
    [sym_false] = ACTIONS(512),
    [sym_none] = ACTIONS(512),
    [sym_python_identifier] = ACTIONS(512),
    [sym_identifier] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(514),
  },
  [84] = {
    [sym_binary_operator] = STATE(1079),
    [sym_unary_operator] = STATE(1079),
    [sym_attribute] = STATE(1079),
    [sym_subscript] = STATE(1079),
    [sym_call] = STATE(1079),
    [sym_generator_expression] = STATE(1079),
    [sym_parenthesized_expression] = STATE(1079),
    [sym_list_splat_pattern] = STATE(1095),
    [sym_primary_expression] = STATE(877),
    [sym_list] = STATE(1079),
    [sym_set] = STATE(1079),
    [sym_tuple] = STATE(1079),
    [sym_dictionary] = STATE(1079),
    [sym_list_comprehension] = STATE(1079),
    [sym_dictionary_comprehension] = STATE(1079),
    [sym_set_comprehension] = STATE(1079),
    [sym_concatenated_string] = STATE(1079),
    [sym_python_string] = STATE(843),
    [sym_await] = STATE(1079),
    [anon_sym_EQ] = ACTIONS(303),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(492),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_print] = ACTIONS(500),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(500),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(500),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(502),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(506),
    [sym_type_conversion] = ACTIONS(301),
    [anon_sym_await] = ACTIONS(508),
    [anon_sym_match] = ACTIONS(500),
    [anon_sym_type] = ACTIONS(510),
    [sym_integer] = ACTIONS(512),
    [sym_float] = ACTIONS(512),
    [sym_true] = ACTIONS(512),
    [sym_false] = ACTIONS(512),
    [sym_none] = ACTIONS(512),
    [sym_python_identifier] = ACTIONS(512),
    [sym_identifier] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(514),
  },
  [85] = {
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_attribute] = STATE(915),
    [sym_subscript] = STATE(915),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_list_splat_pattern] = STATE(917),
    [sym_primary_expression] = STATE(849),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_EQ] = ACTIONS(303),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(451),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_print] = ACTIONS(457),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(457),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_match] = ACTIONS(457),
    [anon_sym_type] = ACTIONS(109),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(105),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(301),
    [sym_string_start] = ACTIONS(113),
  },
  [86] = {
    [sym_binary_operator] = STATE(1150),
    [sym_unary_operator] = STATE(1150),
    [sym_attribute] = STATE(1150),
    [sym_subscript] = STATE(1150),
    [sym_call] = STATE(1150),
    [sym_generator_expression] = STATE(1150),
    [sym_parenthesized_expression] = STATE(1150),
    [sym_list_splat_pattern] = STATE(1054),
    [sym_primary_expression] = STATE(855),
    [sym_list] = STATE(1150),
    [sym_set] = STATE(1150),
    [sym_tuple] = STATE(1150),
    [sym_dictionary] = STATE(1150),
    [sym_list_comprehension] = STATE(1150),
    [sym_dictionary_comprehension] = STATE(1150),
    [sym_set_comprehension] = STATE(1150),
    [sym_concatenated_string] = STATE(1150),
    [sym_python_string] = STATE(844),
    [sym_await] = STATE(1150),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(518),
    [anon_sym_LBRACE] = ACTIONS(520),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(522),
    [anon_sym_print] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(524),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(528),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(530),
    [anon_sym_await] = ACTIONS(532),
    [anon_sym_match] = ACTIONS(524),
    [anon_sym_type] = ACTIONS(534),
    [sym_integer] = ACTIONS(536),
    [sym_float] = ACTIONS(536),
    [sym_true] = ACTIONS(536),
    [sym_false] = ACTIONS(536),
    [sym_none] = ACTIONS(536),
    [sym_python_identifier] = ACTIONS(536),
    [sym_identifier] = ACTIONS(534),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(538),
  },
  [87] = {
    [sym_binary_operator] = STATE(1079),
    [sym_unary_operator] = STATE(1079),
    [sym_attribute] = STATE(1079),
    [sym_subscript] = STATE(1079),
    [sym_call] = STATE(1079),
    [sym_generator_expression] = STATE(1079),
    [sym_parenthesized_expression] = STATE(1079),
    [sym_list_splat_pattern] = STATE(1095),
    [sym_primary_expression] = STATE(877),
    [sym_list] = STATE(1079),
    [sym_set] = STATE(1079),
    [sym_tuple] = STATE(1079),
    [sym_dictionary] = STATE(1079),
    [sym_list_comprehension] = STATE(1079),
    [sym_dictionary_comprehension] = STATE(1079),
    [sym_set_comprehension] = STATE(1079),
    [sym_concatenated_string] = STATE(1079),
    [sym_python_string] = STATE(843),
    [sym_await] = STATE(1079),
    [anon_sym_EQ] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(492),
    [anon_sym_COLON] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_print] = ACTIONS(500),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(500),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(500),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(502),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(506),
    [sym_type_conversion] = ACTIONS(301),
    [anon_sym_await] = ACTIONS(508),
    [anon_sym_match] = ACTIONS(500),
    [anon_sym_type] = ACTIONS(510),
    [sym_integer] = ACTIONS(512),
    [sym_float] = ACTIONS(512),
    [sym_true] = ACTIONS(512),
    [sym_false] = ACTIONS(512),
    [sym_none] = ACTIONS(512),
    [sym_python_identifier] = ACTIONS(512),
    [sym_identifier] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(514),
  },
  [88] = {
    [sym_binary_operator] = STATE(1316),
    [sym_unary_operator] = STATE(1316),
    [sym_attribute] = STATE(1316),
    [sym_subscript] = STATE(1316),
    [sym_call] = STATE(1316),
    [sym_generator_expression] = STATE(1316),
    [sym_parenthesized_expression] = STATE(1316),
    [sym_list_splat_pattern] = STATE(1321),
    [sym_primary_expression] = STATE(905),
    [sym_list] = STATE(1316),
    [sym_set] = STATE(1316),
    [sym_tuple] = STATE(1316),
    [sym_dictionary] = STATE(1316),
    [sym_list_comprehension] = STATE(1316),
    [sym_dictionary_comprehension] = STATE(1316),
    [sym_set_comprehension] = STATE(1316),
    [sym_concatenated_string] = STATE(1316),
    [sym_python_string] = STATE(878),
    [sym_await] = STATE(1316),
    [anon_sym_EQ] = ACTIONS(303),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(540),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_RPAREN] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(544),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(546),
    [anon_sym_print] = ACTIONS(548),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(548),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(548),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(550),
    [anon_sym_DASH] = ACTIONS(552),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(550),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(554),
    [anon_sym_await] = ACTIONS(556),
    [anon_sym_match] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(558),
    [sym_integer] = ACTIONS(560),
    [sym_float] = ACTIONS(560),
    [sym_true] = ACTIONS(560),
    [sym_false] = ACTIONS(560),
    [sym_none] = ACTIONS(560),
    [sym_python_identifier] = ACTIONS(560),
    [sym_identifier] = ACTIONS(558),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(562),
  },
  [89] = {
    [sym_binary_operator] = STATE(1079),
    [sym_unary_operator] = STATE(1079),
    [sym_attribute] = STATE(1079),
    [sym_subscript] = STATE(1079),
    [sym_call] = STATE(1079),
    [sym_generator_expression] = STATE(1079),
    [sym_parenthesized_expression] = STATE(1079),
    [sym_list_splat_pattern] = STATE(1095),
    [sym_primary_expression] = STATE(877),
    [sym_list] = STATE(1079),
    [sym_set] = STATE(1079),
    [sym_tuple] = STATE(1079),
    [sym_dictionary] = STATE(1079),
    [sym_list_comprehension] = STATE(1079),
    [sym_dictionary_comprehension] = STATE(1079),
    [sym_set_comprehension] = STATE(1079),
    [sym_concatenated_string] = STATE(1079),
    [sym_python_string] = STATE(843),
    [sym_await] = STATE(1079),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(492),
    [anon_sym_COLON] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_RBRACE] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_as] = ACTIONS(471),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_print] = ACTIONS(500),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(500),
    [anon_sym_in] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_async] = ACTIONS(500),
    [anon_sym_for] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(471),
    [anon_sym_and] = ACTIONS(471),
    [anon_sym_or] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(502),
    [anon_sym_LT] = ACTIONS(471),
    [anon_sym_LT_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(564),
    [anon_sym_BANG_EQ] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(471),
    [anon_sym_LT_GT] = ACTIONS(564),
    [anon_sym_is] = ACTIONS(471),
    [sym_ellipsis] = ACTIONS(506),
    [anon_sym_await] = ACTIONS(508),
    [anon_sym_match] = ACTIONS(500),
    [anon_sym_type] = ACTIONS(510),
    [sym_integer] = ACTIONS(512),
    [sym_float] = ACTIONS(512),
    [sym_true] = ACTIONS(512),
    [sym_false] = ACTIONS(512),
    [sym_none] = ACTIONS(512),
    [sym_python_identifier] = ACTIONS(512),
    [sym_identifier] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(514),
  },
  [90] = {
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_attribute] = STATE(915),
    [sym_subscript] = STATE(915),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_list_splat_pattern] = STATE(917),
    [sym_primary_expression] = STATE(849),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_EQ] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(451),
    [anon_sym_COLON] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_print] = ACTIONS(457),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(457),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_match] = ACTIONS(457),
    [anon_sym_type] = ACTIONS(109),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(105),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(301),
    [sym_string_start] = ACTIONS(113),
  },
  [91] = {
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_attribute] = STATE(915),
    [sym_subscript] = STATE(915),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_list_splat_pattern] = STATE(917),
    [sym_primary_expression] = STATE(975),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_from] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(567),
    [anon_sym_print] = ACTIONS(457),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(457),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(573),
    [anon_sym_match] = ACTIONS(457),
    [anon_sym_type] = ACTIONS(109),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(105),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(301),
    [sym_string_start] = ACTIONS(113),
  },
  [92] = {
    [sym_binary_operator] = STATE(1274),
    [sym_unary_operator] = STATE(1274),
    [sym_attribute] = STATE(1274),
    [sym_subscript] = STATE(1274),
    [sym_call] = STATE(1274),
    [sym_generator_expression] = STATE(1274),
    [sym_parenthesized_expression] = STATE(1274),
    [sym_list_splat_pattern] = STATE(1161),
    [sym_primary_expression] = STATE(968),
    [sym_list] = STATE(1274),
    [sym_set] = STATE(1274),
    [sym_tuple] = STATE(1274),
    [sym_dictionary] = STATE(1274),
    [sym_list_comprehension] = STATE(1274),
    [sym_dictionary_comprehension] = STATE(1274),
    [sym_set_comprehension] = STATE(1274),
    [sym_concatenated_string] = STATE(1274),
    [sym_python_string] = STATE(892),
    [sym_await] = STATE(1274),
    [anon_sym_EQ] = ACTIONS(575),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_RPAREN] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_print] = ACTIONS(585),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(587),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(591),
    [anon_sym_await] = ACTIONS(593),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_type] = ACTIONS(595),
    [sym_integer] = ACTIONS(597),
    [sym_float] = ACTIONS(597),
    [sym_true] = ACTIONS(597),
    [sym_false] = ACTIONS(597),
    [sym_none] = ACTIONS(597),
    [sym_python_identifier] = ACTIONS(597),
    [sym_identifier] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(599),
  },
  [93] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_EQ] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_COLON] = ACTIONS(463),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(463),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_as] = ACTIONS(461),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(461),
    [anon_sym_if] = ACTIONS(461),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_and] = ACTIONS(461),
    [anon_sym_or] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(461),
    [anon_sym_LT_EQ] = ACTIONS(463),
    [anon_sym_EQ_EQ] = ACTIONS(463),
    [anon_sym_BANG_EQ] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(463),
    [anon_sym_GT] = ACTIONS(461),
    [anon_sym_LT_GT] = ACTIONS(463),
    [anon_sym_is] = ACTIONS(461),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(463),
    [sym_string_start] = ACTIONS(490),
  },
  [94] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_EQ] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_COLON] = ACTIONS(463),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_RBRACE] = ACTIONS(463),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_as] = ACTIONS(461),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(461),
    [anon_sym_if] = ACTIONS(461),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_and] = ACTIONS(461),
    [anon_sym_or] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(461),
    [anon_sym_LT_EQ] = ACTIONS(463),
    [anon_sym_EQ_EQ] = ACTIONS(463),
    [anon_sym_BANG_EQ] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(463),
    [anon_sym_GT] = ACTIONS(461),
    [anon_sym_LT_GT] = ACTIONS(463),
    [anon_sym_is] = ACTIONS(461),
    [sym_ellipsis] = ACTIONS(482),
    [sym_type_conversion] = ACTIONS(463),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(490),
  },
  [95] = {
    [sym_binary_operator] = STATE(1378),
    [sym_unary_operator] = STATE(1378),
    [sym_attribute] = STATE(1378),
    [sym_subscript] = STATE(1378),
    [sym_call] = STATE(1378),
    [sym_generator_expression] = STATE(1378),
    [sym_parenthesized_expression] = STATE(1378),
    [sym_list_splat_pattern] = STATE(1381),
    [sym_primary_expression] = STATE(1120),
    [sym_list] = STATE(1378),
    [sym_set] = STATE(1378),
    [sym_tuple] = STATE(1378),
    [sym_dictionary] = STATE(1378),
    [sym_list_comprehension] = STATE(1378),
    [sym_dictionary_comprehension] = STATE(1378),
    [sym_set_comprehension] = STATE(1378),
    [sym_concatenated_string] = STATE(1378),
    [sym_python_string] = STATE(991),
    [sym_await] = STATE(1378),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(601),
    [anon_sym_RBRACK] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_as] = ACTIONS(471),
    [anon_sym_STAR] = ACTIONS(607),
    [anon_sym_print] = ACTIONS(609),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(609),
    [anon_sym_in] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_async] = ACTIONS(609),
    [anon_sym_for] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(471),
    [anon_sym_and] = ACTIONS(471),
    [anon_sym_or] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(611),
    [anon_sym_LT] = ACTIONS(471),
    [anon_sym_LT_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(564),
    [anon_sym_BANG_EQ] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(471),
    [anon_sym_LT_GT] = ACTIONS(564),
    [anon_sym_is] = ACTIONS(471),
    [sym_ellipsis] = ACTIONS(615),
    [anon_sym_await] = ACTIONS(617),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_type] = ACTIONS(619),
    [sym_integer] = ACTIONS(621),
    [sym_float] = ACTIONS(621),
    [sym_true] = ACTIONS(621),
    [sym_false] = ACTIONS(621),
    [sym_none] = ACTIONS(621),
    [sym_python_identifier] = ACTIONS(621),
    [sym_identifier] = ACTIONS(619),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(623),
  },
  [96] = {
    [sym_binary_operator] = STATE(1316),
    [sym_unary_operator] = STATE(1316),
    [sym_attribute] = STATE(1316),
    [sym_subscript] = STATE(1316),
    [sym_call] = STATE(1316),
    [sym_generator_expression] = STATE(1316),
    [sym_parenthesized_expression] = STATE(1316),
    [sym_list_splat_pattern] = STATE(1321),
    [sym_primary_expression] = STATE(905),
    [sym_list] = STATE(1316),
    [sym_set] = STATE(1316),
    [sym_tuple] = STATE(1316),
    [sym_dictionary] = STATE(1316),
    [sym_list_comprehension] = STATE(1316),
    [sym_dictionary_comprehension] = STATE(1316),
    [sym_set_comprehension] = STATE(1316),
    [sym_concatenated_string] = STATE(1316),
    [sym_python_string] = STATE(878),
    [sym_await] = STATE(1316),
    [anon_sym_EQ] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(540),
    [anon_sym_COLON] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_RPAREN] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(544),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(546),
    [anon_sym_print] = ACTIONS(548),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(548),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(548),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(550),
    [anon_sym_DASH] = ACTIONS(552),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(550),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(554),
    [anon_sym_await] = ACTIONS(556),
    [anon_sym_match] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(558),
    [sym_integer] = ACTIONS(560),
    [sym_float] = ACTIONS(560),
    [sym_true] = ACTIONS(560),
    [sym_false] = ACTIONS(560),
    [sym_none] = ACTIONS(560),
    [sym_python_identifier] = ACTIONS(560),
    [sym_identifier] = ACTIONS(558),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(562),
  },
  [97] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_EQ] = ACTIONS(290),
    [anon_sym_PLUS_EQ] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_COLON] = ACTIONS(290),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(290),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(290),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(303),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(303),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(303),
    [anon_sym_SLASH_SLASH] = ACTIONS(303),
    [anon_sym_STAR_STAR] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(303),
    [anon_sym_AMP] = ACTIONS(303),
    [anon_sym_CARET] = ACTIONS(303),
    [anon_sym_LT_LT] = ACTIONS(303),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_DASH_EQ] = ACTIONS(290),
    [anon_sym_STAR_EQ] = ACTIONS(290),
    [anon_sym_SLASH_EQ] = ACTIONS(290),
    [anon_sym_AT_EQ] = ACTIONS(290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(290),
    [anon_sym_PERCENT_EQ] = ACTIONS(290),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(290),
    [anon_sym_GT_GT_EQ] = ACTIONS(290),
    [anon_sym_LT_LT_EQ] = ACTIONS(290),
    [anon_sym_AMP_EQ] = ACTIONS(290),
    [anon_sym_CARET_EQ] = ACTIONS(290),
    [anon_sym_PIPE_EQ] = ACTIONS(290),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(290),
    [sym_string_start] = ACTIONS(490),
  },
  [98] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_COLON] = ACTIONS(463),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_RBRACE] = ACTIONS(463),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_as] = ACTIONS(461),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(461),
    [anon_sym_if] = ACTIONS(461),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_for] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_and] = ACTIONS(461),
    [anon_sym_or] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(461),
    [anon_sym_LT_EQ] = ACTIONS(463),
    [anon_sym_EQ_EQ] = ACTIONS(463),
    [anon_sym_BANG_EQ] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(463),
    [anon_sym_GT] = ACTIONS(461),
    [anon_sym_LT_GT] = ACTIONS(463),
    [anon_sym_is] = ACTIONS(461),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(490),
  },
  [99] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_EQ] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_COLON] = ACTIONS(463),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_RPAREN] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_as] = ACTIONS(461),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(461),
    [anon_sym_if] = ACTIONS(461),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_and] = ACTIONS(461),
    [anon_sym_or] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(461),
    [anon_sym_LT_EQ] = ACTIONS(463),
    [anon_sym_EQ_EQ] = ACTIONS(463),
    [anon_sym_BANG_EQ] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(463),
    [anon_sym_GT] = ACTIONS(461),
    [anon_sym_LT_GT] = ACTIONS(463),
    [anon_sym_is] = ACTIONS(461),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(490),
  },
  [100] = {
    [sym_binary_operator] = STATE(1378),
    [sym_unary_operator] = STATE(1378),
    [sym_attribute] = STATE(1378),
    [sym_subscript] = STATE(1378),
    [sym_call] = STATE(1378),
    [sym_generator_expression] = STATE(1378),
    [sym_parenthesized_expression] = STATE(1378),
    [sym_list_splat_pattern] = STATE(1381),
    [sym_primary_expression] = STATE(1120),
    [sym_list] = STATE(1378),
    [sym_set] = STATE(1378),
    [sym_tuple] = STATE(1378),
    [sym_dictionary] = STATE(1378),
    [sym_list_comprehension] = STATE(1378),
    [sym_dictionary_comprehension] = STATE(1378),
    [sym_set_comprehension] = STATE(1378),
    [sym_concatenated_string] = STATE(1378),
    [sym_python_string] = STATE(991),
    [sym_await] = STATE(1378),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(601),
    [anon_sym_RBRACK] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(607),
    [anon_sym_print] = ACTIONS(609),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(609),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(609),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(611),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(615),
    [anon_sym_await] = ACTIONS(617),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_type] = ACTIONS(619),
    [sym_integer] = ACTIONS(621),
    [sym_float] = ACTIONS(621),
    [sym_true] = ACTIONS(621),
    [sym_false] = ACTIONS(621),
    [sym_none] = ACTIONS(621),
    [sym_python_identifier] = ACTIONS(621),
    [sym_identifier] = ACTIONS(619),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(623),
  },
  [101] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1086),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_EQ] = ACTIONS(303),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(625),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(627),
    [anon_sym_DASH] = ACTIONS(629),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(627),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(631),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(490),
  },
  [102] = {
    [sym_binary_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_attribute] = STATE(915),
    [sym_subscript] = STATE(915),
    [sym_call] = STATE(915),
    [sym_generator_expression] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym_list_splat_pattern] = STATE(917),
    [sym_primary_expression] = STATE(975),
    [sym_list] = STATE(915),
    [sym_set] = STATE(915),
    [sym_tuple] = STATE(915),
    [sym_dictionary] = STATE(915),
    [sym_list_comprehension] = STATE(915),
    [sym_dictionary_comprehension] = STATE(915),
    [sym_set_comprehension] = STATE(915),
    [sym_concatenated_string] = STATE(915),
    [sym_python_string] = STATE(834),
    [sym_await] = STATE(915),
    [anon_sym_LBRACK] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_from] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(567),
    [anon_sym_print] = ACTIONS(457),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(457),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(573),
    [anon_sym_match] = ACTIONS(457),
    [anon_sym_type] = ACTIONS(109),
    [sym_integer] = ACTIONS(105),
    [sym_float] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_none] = ACTIONS(105),
    [sym_python_identifier] = ACTIONS(105),
    [sym_identifier] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(301),
    [sym_string_start] = ACTIONS(113),
  },
  [103] = {
    [sym_binary_operator] = STATE(1316),
    [sym_unary_operator] = STATE(1316),
    [sym_attribute] = STATE(1316),
    [sym_subscript] = STATE(1316),
    [sym_call] = STATE(1316),
    [sym_generator_expression] = STATE(1316),
    [sym_parenthesized_expression] = STATE(1316),
    [sym_list_splat_pattern] = STATE(1321),
    [sym_primary_expression] = STATE(905),
    [sym_list] = STATE(1316),
    [sym_set] = STATE(1316),
    [sym_tuple] = STATE(1316),
    [sym_dictionary] = STATE(1316),
    [sym_list_comprehension] = STATE(1316),
    [sym_dictionary_comprehension] = STATE(1316),
    [sym_set_comprehension] = STATE(1316),
    [sym_concatenated_string] = STATE(1316),
    [sym_python_string] = STATE(878),
    [sym_await] = STATE(1316),
    [anon_sym_EQ] = ACTIONS(575),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(540),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_RPAREN] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(544),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(546),
    [anon_sym_print] = ACTIONS(548),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(548),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(548),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(550),
    [anon_sym_DASH] = ACTIONS(552),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(550),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(554),
    [anon_sym_await] = ACTIONS(556),
    [anon_sym_match] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(558),
    [sym_integer] = ACTIONS(560),
    [sym_float] = ACTIONS(560),
    [sym_true] = ACTIONS(560),
    [sym_false] = ACTIONS(560),
    [sym_none] = ACTIONS(560),
    [sym_python_identifier] = ACTIONS(560),
    [sym_identifier] = ACTIONS(558),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(562),
  },
  [104] = {
    [sym_binary_operator] = STATE(1274),
    [sym_unary_operator] = STATE(1274),
    [sym_attribute] = STATE(1274),
    [sym_subscript] = STATE(1274),
    [sym_call] = STATE(1274),
    [sym_generator_expression] = STATE(1274),
    [sym_parenthesized_expression] = STATE(1274),
    [sym_list_splat_pattern] = STATE(1161),
    [sym_primary_expression] = STATE(968),
    [sym_list] = STATE(1274),
    [sym_set] = STATE(1274),
    [sym_tuple] = STATE(1274),
    [sym_dictionary] = STATE(1274),
    [sym_list_comprehension] = STATE(1274),
    [sym_dictionary_comprehension] = STATE(1274),
    [sym_set_comprehension] = STATE(1274),
    [sym_concatenated_string] = STATE(1274),
    [sym_python_string] = STATE(892),
    [sym_await] = STATE(1274),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_RPAREN] = ACTIONS(305),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_print] = ACTIONS(585),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(587),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(591),
    [anon_sym_await] = ACTIONS(593),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_type] = ACTIONS(595),
    [sym_integer] = ACTIONS(597),
    [sym_float] = ACTIONS(597),
    [sym_true] = ACTIONS(597),
    [sym_false] = ACTIONS(597),
    [sym_none] = ACTIONS(597),
    [sym_python_identifier] = ACTIONS(597),
    [sym_identifier] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(599),
  },
  [105] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(463),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_from] = ACTIONS(461),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_as] = ACTIONS(461),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(461),
    [anon_sym_if] = ACTIONS(461),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_and] = ACTIONS(461),
    [anon_sym_or] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(461),
    [anon_sym_LT_EQ] = ACTIONS(463),
    [anon_sym_EQ_EQ] = ACTIONS(463),
    [anon_sym_BANG_EQ] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(463),
    [anon_sym_GT] = ACTIONS(461),
    [anon_sym_LT_GT] = ACTIONS(463),
    [anon_sym_is] = ACTIONS(461),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(463),
    [sym_string_start] = ACTIONS(490),
  },
  [106] = {
    [sym_binary_operator] = STATE(1150),
    [sym_unary_operator] = STATE(1150),
    [sym_attribute] = STATE(1150),
    [sym_subscript] = STATE(1150),
    [sym_call] = STATE(1150),
    [sym_generator_expression] = STATE(1150),
    [sym_parenthesized_expression] = STATE(1150),
    [sym_list_splat_pattern] = STATE(1054),
    [sym_primary_expression] = STATE(855),
    [sym_list] = STATE(1150),
    [sym_set] = STATE(1150),
    [sym_tuple] = STATE(1150),
    [sym_dictionary] = STATE(1150),
    [sym_list_comprehension] = STATE(1150),
    [sym_dictionary_comprehension] = STATE(1150),
    [sym_set_comprehension] = STATE(1150),
    [sym_concatenated_string] = STATE(1150),
    [sym_python_string] = STATE(844),
    [sym_await] = STATE(1150),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_COLON] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(518),
    [anon_sym_LBRACE] = ACTIONS(520),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(522),
    [anon_sym_print] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(524),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(528),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(530),
    [anon_sym_await] = ACTIONS(532),
    [anon_sym_match] = ACTIONS(524),
    [anon_sym_type] = ACTIONS(534),
    [sym_integer] = ACTIONS(536),
    [sym_float] = ACTIONS(536),
    [sym_true] = ACTIONS(536),
    [sym_false] = ACTIONS(536),
    [sym_none] = ACTIONS(536),
    [sym_python_identifier] = ACTIONS(536),
    [sym_identifier] = ACTIONS(534),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(538),
  },
  [107] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_EQ] = ACTIONS(463),
    [anon_sym_PLUS_EQ] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_COLON] = ACTIONS(463),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(463),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(471),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(471),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(471),
    [anon_sym_SLASH_SLASH] = ACTIONS(471),
    [anon_sym_STAR_STAR] = ACTIONS(471),
    [anon_sym_PIPE] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_DASH_EQ] = ACTIONS(463),
    [anon_sym_STAR_EQ] = ACTIONS(463),
    [anon_sym_SLASH_EQ] = ACTIONS(463),
    [anon_sym_AT_EQ] = ACTIONS(463),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(463),
    [anon_sym_PERCENT_EQ] = ACTIONS(463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(463),
    [anon_sym_GT_GT_EQ] = ACTIONS(463),
    [anon_sym_LT_LT_EQ] = ACTIONS(463),
    [anon_sym_AMP_EQ] = ACTIONS(463),
    [anon_sym_CARET_EQ] = ACTIONS(463),
    [anon_sym_PIPE_EQ] = ACTIONS(463),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(463),
    [sym_string_start] = ACTIONS(490),
  },
  [108] = {
    [sym_binary_operator] = STATE(1316),
    [sym_unary_operator] = STATE(1316),
    [sym_attribute] = STATE(1316),
    [sym_subscript] = STATE(1316),
    [sym_call] = STATE(1316),
    [sym_generator_expression] = STATE(1316),
    [sym_parenthesized_expression] = STATE(1316),
    [sym_list_splat_pattern] = STATE(1321),
    [sym_primary_expression] = STATE(905),
    [sym_list] = STATE(1316),
    [sym_set] = STATE(1316),
    [sym_tuple] = STATE(1316),
    [sym_dictionary] = STATE(1316),
    [sym_list_comprehension] = STATE(1316),
    [sym_dictionary_comprehension] = STATE(1316),
    [sym_set_comprehension] = STATE(1316),
    [sym_concatenated_string] = STATE(1316),
    [sym_python_string] = STATE(878),
    [sym_await] = STATE(1316),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(540),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_RPAREN] = ACTIONS(564),
    [anon_sym_LBRACE] = ACTIONS(544),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_as] = ACTIONS(471),
    [anon_sym_STAR] = ACTIONS(546),
    [anon_sym_print] = ACTIONS(548),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(548),
    [anon_sym_in] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_async] = ACTIONS(548),
    [anon_sym_for] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(471),
    [anon_sym_and] = ACTIONS(471),
    [anon_sym_or] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(550),
    [anon_sym_DASH] = ACTIONS(552),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(550),
    [anon_sym_LT] = ACTIONS(471),
    [anon_sym_LT_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(564),
    [anon_sym_BANG_EQ] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(471),
    [anon_sym_LT_GT] = ACTIONS(564),
    [anon_sym_is] = ACTIONS(471),
    [sym_ellipsis] = ACTIONS(554),
    [anon_sym_await] = ACTIONS(556),
    [anon_sym_match] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(558),
    [sym_integer] = ACTIONS(560),
    [sym_float] = ACTIONS(560),
    [sym_true] = ACTIONS(560),
    [sym_false] = ACTIONS(560),
    [sym_none] = ACTIONS(560),
    [sym_python_identifier] = ACTIONS(560),
    [sym_identifier] = ACTIONS(558),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(562),
  },
  [109] = {
    [sym_binary_operator] = STATE(1309),
    [sym_unary_operator] = STATE(1309),
    [sym_attribute] = STATE(1309),
    [sym_subscript] = STATE(1309),
    [sym_call] = STATE(1309),
    [sym_generator_expression] = STATE(1309),
    [sym_parenthesized_expression] = STATE(1309),
    [sym_list_splat_pattern] = STATE(1188),
    [sym_primary_expression] = STATE(976),
    [sym_list] = STATE(1309),
    [sym_set] = STATE(1309),
    [sym_tuple] = STATE(1309),
    [sym_dictionary] = STATE(1309),
    [sym_list_comprehension] = STATE(1309),
    [sym_dictionary_comprehension] = STATE(1309),
    [sym_set_comprehension] = STATE(1309),
    [sym_concatenated_string] = STATE(1309),
    [sym_python_string] = STATE(845),
    [sym_await] = STATE(1309),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_RBRACK] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_print] = ACTIONS(641),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(641),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(641),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(643),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(647),
    [anon_sym_await] = ACTIONS(649),
    [anon_sym_match] = ACTIONS(641),
    [anon_sym_type] = ACTIONS(651),
    [sym_integer] = ACTIONS(653),
    [sym_float] = ACTIONS(653),
    [sym_true] = ACTIONS(653),
    [sym_false] = ACTIONS(653),
    [sym_none] = ACTIONS(653),
    [sym_python_identifier] = ACTIONS(653),
    [sym_identifier] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(655),
  },
  [110] = {
    [sym_binary_operator] = STATE(1274),
    [sym_unary_operator] = STATE(1274),
    [sym_attribute] = STATE(1274),
    [sym_subscript] = STATE(1274),
    [sym_call] = STATE(1274),
    [sym_generator_expression] = STATE(1274),
    [sym_parenthesized_expression] = STATE(1274),
    [sym_list_splat_pattern] = STATE(1161),
    [sym_primary_expression] = STATE(968),
    [sym_list] = STATE(1274),
    [sym_set] = STATE(1274),
    [sym_tuple] = STATE(1274),
    [sym_dictionary] = STATE(1274),
    [sym_list_comprehension] = STATE(1274),
    [sym_dictionary_comprehension] = STATE(1274),
    [sym_set_comprehension] = STATE(1274),
    [sym_concatenated_string] = STATE(1274),
    [sym_python_string] = STATE(892),
    [sym_await] = STATE(1274),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_RPAREN] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_print] = ACTIONS(585),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(587),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(591),
    [anon_sym_await] = ACTIONS(593),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_type] = ACTIONS(595),
    [sym_integer] = ACTIONS(597),
    [sym_float] = ACTIONS(597),
    [sym_true] = ACTIONS(597),
    [sym_false] = ACTIONS(597),
    [sym_none] = ACTIONS(597),
    [sym_python_identifier] = ACTIONS(597),
    [sym_identifier] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(599),
  },
  [111] = {
    [sym_binary_operator] = STATE(1309),
    [sym_unary_operator] = STATE(1309),
    [sym_attribute] = STATE(1309),
    [sym_subscript] = STATE(1309),
    [sym_call] = STATE(1309),
    [sym_generator_expression] = STATE(1309),
    [sym_parenthesized_expression] = STATE(1309),
    [sym_list_splat_pattern] = STATE(1188),
    [sym_primary_expression] = STATE(976),
    [sym_list] = STATE(1309),
    [sym_set] = STATE(1309),
    [sym_tuple] = STATE(1309),
    [sym_dictionary] = STATE(1309),
    [sym_list_comprehension] = STATE(1309),
    [sym_dictionary_comprehension] = STATE(1309),
    [sym_set_comprehension] = STATE(1309),
    [sym_concatenated_string] = STATE(1309),
    [sym_python_string] = STATE(845),
    [sym_await] = STATE(1309),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_print] = ACTIONS(641),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(641),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(641),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(643),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(647),
    [anon_sym_await] = ACTIONS(649),
    [anon_sym_match] = ACTIONS(641),
    [anon_sym_type] = ACTIONS(651),
    [sym_integer] = ACTIONS(653),
    [sym_float] = ACTIONS(653),
    [sym_true] = ACTIONS(653),
    [sym_false] = ACTIONS(653),
    [sym_none] = ACTIONS(653),
    [sym_python_identifier] = ACTIONS(653),
    [sym_identifier] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(655),
  },
  [112] = {
    [sym_binary_operator] = STATE(1378),
    [sym_unary_operator] = STATE(1378),
    [sym_attribute] = STATE(1378),
    [sym_subscript] = STATE(1378),
    [sym_call] = STATE(1378),
    [sym_generator_expression] = STATE(1378),
    [sym_parenthesized_expression] = STATE(1378),
    [sym_list_splat_pattern] = STATE(1381),
    [sym_primary_expression] = STATE(1120),
    [sym_list] = STATE(1378),
    [sym_set] = STATE(1378),
    [sym_tuple] = STATE(1378),
    [sym_dictionary] = STATE(1378),
    [sym_list_comprehension] = STATE(1378),
    [sym_dictionary_comprehension] = STATE(1378),
    [sym_set_comprehension] = STATE(1378),
    [sym_concatenated_string] = STATE(1378),
    [sym_python_string] = STATE(991),
    [sym_await] = STATE(1378),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(601),
    [anon_sym_RBRACK] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_as] = ACTIONS(471),
    [anon_sym_STAR] = ACTIONS(607),
    [anon_sym_print] = ACTIONS(609),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(609),
    [anon_sym_in] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_async] = ACTIONS(609),
    [anon_sym_not] = ACTIONS(471),
    [anon_sym_and] = ACTIONS(471),
    [anon_sym_or] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(611),
    [anon_sym_LT] = ACTIONS(471),
    [anon_sym_LT_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(564),
    [anon_sym_BANG_EQ] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(471),
    [anon_sym_LT_GT] = ACTIONS(564),
    [anon_sym_is] = ACTIONS(471),
    [sym_ellipsis] = ACTIONS(615),
    [anon_sym_await] = ACTIONS(617),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_type] = ACTIONS(619),
    [sym_integer] = ACTIONS(621),
    [sym_float] = ACTIONS(621),
    [sym_true] = ACTIONS(621),
    [sym_false] = ACTIONS(621),
    [sym_none] = ACTIONS(621),
    [sym_python_identifier] = ACTIONS(621),
    [sym_identifier] = ACTIONS(619),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(623),
  },
  [113] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_RPAREN] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_as] = ACTIONS(461),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(461),
    [anon_sym_if] = ACTIONS(461),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_for] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_and] = ACTIONS(461),
    [anon_sym_or] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(461),
    [anon_sym_LT_EQ] = ACTIONS(463),
    [anon_sym_EQ_EQ] = ACTIONS(463),
    [anon_sym_BANG_EQ] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(463),
    [anon_sym_GT] = ACTIONS(461),
    [anon_sym_LT_GT] = ACTIONS(463),
    [anon_sym_is] = ACTIONS(461),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(490),
  },
  [114] = {
    [sym_binary_operator] = STATE(1316),
    [sym_unary_operator] = STATE(1316),
    [sym_attribute] = STATE(1316),
    [sym_subscript] = STATE(1316),
    [sym_call] = STATE(1316),
    [sym_generator_expression] = STATE(1316),
    [sym_parenthesized_expression] = STATE(1316),
    [sym_list_splat_pattern] = STATE(1321),
    [sym_primary_expression] = STATE(905),
    [sym_list] = STATE(1316),
    [sym_set] = STATE(1316),
    [sym_tuple] = STATE(1316),
    [sym_dictionary] = STATE(1316),
    [sym_list_comprehension] = STATE(1316),
    [sym_dictionary_comprehension] = STATE(1316),
    [sym_set_comprehension] = STATE(1316),
    [sym_concatenated_string] = STATE(1316),
    [sym_python_string] = STATE(878),
    [sym_await] = STATE(1316),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(540),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_RPAREN] = ACTIONS(564),
    [anon_sym_LBRACE] = ACTIONS(544),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_as] = ACTIONS(471),
    [anon_sym_STAR] = ACTIONS(546),
    [anon_sym_print] = ACTIONS(548),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(548),
    [anon_sym_in] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_async] = ACTIONS(548),
    [anon_sym_not] = ACTIONS(471),
    [anon_sym_and] = ACTIONS(471),
    [anon_sym_or] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(550),
    [anon_sym_DASH] = ACTIONS(552),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(550),
    [anon_sym_LT] = ACTIONS(471),
    [anon_sym_LT_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(564),
    [anon_sym_BANG_EQ] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(471),
    [anon_sym_LT_GT] = ACTIONS(564),
    [anon_sym_is] = ACTIONS(471),
    [sym_ellipsis] = ACTIONS(554),
    [anon_sym_await] = ACTIONS(556),
    [anon_sym_match] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(558),
    [sym_integer] = ACTIONS(560),
    [sym_float] = ACTIONS(560),
    [sym_true] = ACTIONS(560),
    [sym_false] = ACTIONS(560),
    [sym_none] = ACTIONS(560),
    [sym_python_identifier] = ACTIONS(560),
    [sym_identifier] = ACTIONS(558),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(562),
  },
  [115] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_RBRACK] = ACTIONS(463),
    [anon_sym_COLON] = ACTIONS(463),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_as] = ACTIONS(461),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(461),
    [anon_sym_if] = ACTIONS(461),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_and] = ACTIONS(461),
    [anon_sym_or] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(461),
    [anon_sym_LT_EQ] = ACTIONS(463),
    [anon_sym_EQ_EQ] = ACTIONS(463),
    [anon_sym_BANG_EQ] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(463),
    [anon_sym_GT] = ACTIONS(461),
    [anon_sym_LT_GT] = ACTIONS(463),
    [anon_sym_is] = ACTIONS(461),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(490),
  },
  [116] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1086),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_EQ] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_COLON] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(625),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(627),
    [anon_sym_DASH] = ACTIONS(629),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(627),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(631),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(490),
  },
  [117] = {
    [sym_binary_operator] = STATE(1309),
    [sym_unary_operator] = STATE(1309),
    [sym_attribute] = STATE(1309),
    [sym_subscript] = STATE(1309),
    [sym_call] = STATE(1309),
    [sym_generator_expression] = STATE(1309),
    [sym_parenthesized_expression] = STATE(1309),
    [sym_list_splat_pattern] = STATE(1188),
    [sym_primary_expression] = STATE(976),
    [sym_list] = STATE(1309),
    [sym_set] = STATE(1309),
    [sym_tuple] = STATE(1309),
    [sym_dictionary] = STATE(1309),
    [sym_list_comprehension] = STATE(1309),
    [sym_dictionary_comprehension] = STATE(1309),
    [sym_set_comprehension] = STATE(1309),
    [sym_concatenated_string] = STATE(1309),
    [sym_python_string] = STATE(845),
    [sym_await] = STATE(1309),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_RBRACK] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_print] = ACTIONS(641),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(641),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(641),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(643),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(647),
    [anon_sym_await] = ACTIONS(649),
    [anon_sym_match] = ACTIONS(641),
    [anon_sym_type] = ACTIONS(651),
    [sym_integer] = ACTIONS(653),
    [sym_float] = ACTIONS(653),
    [sym_true] = ACTIONS(653),
    [sym_false] = ACTIONS(653),
    [sym_none] = ACTIONS(653),
    [sym_python_identifier] = ACTIONS(653),
    [sym_identifier] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(655),
  },
  [118] = {
    [sym_binary_operator] = STATE(1079),
    [sym_unary_operator] = STATE(1079),
    [sym_attribute] = STATE(1079),
    [sym_subscript] = STATE(1079),
    [sym_call] = STATE(1079),
    [sym_generator_expression] = STATE(1079),
    [sym_parenthesized_expression] = STATE(1079),
    [sym_list_splat_pattern] = STATE(1095),
    [sym_primary_expression] = STATE(877),
    [sym_list] = STATE(1079),
    [sym_set] = STATE(1079),
    [sym_tuple] = STATE(1079),
    [sym_dictionary] = STATE(1079),
    [sym_list_comprehension] = STATE(1079),
    [sym_dictionary_comprehension] = STATE(1079),
    [sym_set_comprehension] = STATE(1079),
    [sym_concatenated_string] = STATE(1079),
    [sym_python_string] = STATE(843),
    [sym_await] = STATE(1079),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(492),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_RBRACE] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_as] = ACTIONS(471),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_print] = ACTIONS(500),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(500),
    [anon_sym_in] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_async] = ACTIONS(500),
    [anon_sym_not] = ACTIONS(471),
    [anon_sym_and] = ACTIONS(471),
    [anon_sym_or] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(502),
    [anon_sym_LT] = ACTIONS(471),
    [anon_sym_LT_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(564),
    [anon_sym_BANG_EQ] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(471),
    [anon_sym_LT_GT] = ACTIONS(564),
    [anon_sym_is] = ACTIONS(471),
    [sym_ellipsis] = ACTIONS(506),
    [anon_sym_await] = ACTIONS(508),
    [anon_sym_match] = ACTIONS(500),
    [anon_sym_type] = ACTIONS(510),
    [sym_integer] = ACTIONS(512),
    [sym_float] = ACTIONS(512),
    [sym_true] = ACTIONS(512),
    [sym_false] = ACTIONS(512),
    [sym_none] = ACTIONS(512),
    [sym_python_identifier] = ACTIONS(512),
    [sym_identifier] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(514),
  },
  [119] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_RBRACK] = ACTIONS(463),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_as] = ACTIONS(461),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(461),
    [anon_sym_if] = ACTIONS(461),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_for] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_and] = ACTIONS(461),
    [anon_sym_or] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(461),
    [anon_sym_LT_EQ] = ACTIONS(463),
    [anon_sym_EQ_EQ] = ACTIONS(463),
    [anon_sym_BANG_EQ] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(463),
    [anon_sym_GT] = ACTIONS(461),
    [anon_sym_LT_GT] = ACTIONS(463),
    [anon_sym_is] = ACTIONS(461),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(490),
  },
  [120] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_EQ] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_COLON] = ACTIONS(463),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_as] = ACTIONS(461),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(461),
    [anon_sym_if] = ACTIONS(461),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_and] = ACTIONS(461),
    [anon_sym_or] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(461),
    [anon_sym_LT_EQ] = ACTIONS(463),
    [anon_sym_EQ_EQ] = ACTIONS(463),
    [anon_sym_BANG_EQ] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(463),
    [anon_sym_GT] = ACTIONS(461),
    [anon_sym_LT_GT] = ACTIONS(463),
    [anon_sym_is] = ACTIONS(461),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(490),
  },
  [121] = {
    [sym_binary_operator] = STATE(1378),
    [sym_unary_operator] = STATE(1378),
    [sym_attribute] = STATE(1378),
    [sym_subscript] = STATE(1378),
    [sym_call] = STATE(1378),
    [sym_generator_expression] = STATE(1378),
    [sym_parenthesized_expression] = STATE(1378),
    [sym_list_splat_pattern] = STATE(1381),
    [sym_primary_expression] = STATE(1120),
    [sym_list] = STATE(1378),
    [sym_set] = STATE(1378),
    [sym_tuple] = STATE(1378),
    [sym_dictionary] = STATE(1378),
    [sym_list_comprehension] = STATE(1378),
    [sym_dictionary_comprehension] = STATE(1378),
    [sym_set_comprehension] = STATE(1378),
    [sym_concatenated_string] = STATE(1378),
    [sym_python_string] = STATE(991),
    [sym_await] = STATE(1378),
    [anon_sym_LBRACK] = ACTIONS(601),
    [anon_sym_RBRACK] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(607),
    [anon_sym_print] = ACTIONS(609),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(609),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(609),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(611),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(615),
    [anon_sym_await] = ACTIONS(617),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_type] = ACTIONS(619),
    [sym_integer] = ACTIONS(621),
    [sym_float] = ACTIONS(621),
    [sym_true] = ACTIONS(621),
    [sym_false] = ACTIONS(621),
    [sym_none] = ACTIONS(621),
    [sym_python_identifier] = ACTIONS(621),
    [sym_identifier] = ACTIONS(619),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(623),
  },
  [122] = {
    [sym_binary_operator] = STATE(1274),
    [sym_unary_operator] = STATE(1274),
    [sym_attribute] = STATE(1274),
    [sym_subscript] = STATE(1274),
    [sym_call] = STATE(1274),
    [sym_generator_expression] = STATE(1274),
    [sym_parenthesized_expression] = STATE(1274),
    [sym_list_splat_pattern] = STATE(1161),
    [sym_primary_expression] = STATE(968),
    [sym_list] = STATE(1274),
    [sym_set] = STATE(1274),
    [sym_tuple] = STATE(1274),
    [sym_dictionary] = STATE(1274),
    [sym_list_comprehension] = STATE(1274),
    [sym_dictionary_comprehension] = STATE(1274),
    [sym_set_comprehension] = STATE(1274),
    [sym_concatenated_string] = STATE(1274),
    [sym_python_string] = STATE(892),
    [sym_await] = STATE(1274),
    [anon_sym_LBRACK] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_RPAREN] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_print] = ACTIONS(585),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(587),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(591),
    [anon_sym_await] = ACTIONS(593),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_type] = ACTIONS(595),
    [sym_integer] = ACTIONS(597),
    [sym_float] = ACTIONS(597),
    [sym_true] = ACTIONS(597),
    [sym_false] = ACTIONS(597),
    [sym_none] = ACTIONS(597),
    [sym_python_identifier] = ACTIONS(597),
    [sym_identifier] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(599),
  },
  [123] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1335),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_COLON_EQ] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_else] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(663),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(490),
  },
  [124] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_EQ] = ACTIONS(290),
    [anon_sym_PLUS_EQ] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_COLON] = ACTIONS(290),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(290),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(303),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(303),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(303),
    [anon_sym_SLASH_SLASH] = ACTIONS(303),
    [anon_sym_STAR_STAR] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(303),
    [anon_sym_AMP] = ACTIONS(303),
    [anon_sym_CARET] = ACTIONS(303),
    [anon_sym_LT_LT] = ACTIONS(303),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_DASH_EQ] = ACTIONS(290),
    [anon_sym_STAR_EQ] = ACTIONS(290),
    [anon_sym_SLASH_EQ] = ACTIONS(290),
    [anon_sym_AT_EQ] = ACTIONS(290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(290),
    [anon_sym_PERCENT_EQ] = ACTIONS(290),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(290),
    [anon_sym_GT_GT_EQ] = ACTIONS(290),
    [anon_sym_LT_LT_EQ] = ACTIONS(290),
    [anon_sym_AMP_EQ] = ACTIONS(290),
    [anon_sym_CARET_EQ] = ACTIONS(290),
    [anon_sym_PIPE_EQ] = ACTIONS(290),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(490),
  },
  [125] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_EQ] = ACTIONS(463),
    [anon_sym_PLUS_EQ] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_COLON] = ACTIONS(463),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(471),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(471),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(471),
    [anon_sym_SLASH_SLASH] = ACTIONS(471),
    [anon_sym_STAR_STAR] = ACTIONS(471),
    [anon_sym_PIPE] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_DASH_EQ] = ACTIONS(463),
    [anon_sym_STAR_EQ] = ACTIONS(463),
    [anon_sym_SLASH_EQ] = ACTIONS(463),
    [anon_sym_AT_EQ] = ACTIONS(463),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(463),
    [anon_sym_PERCENT_EQ] = ACTIONS(463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(463),
    [anon_sym_GT_GT_EQ] = ACTIONS(463),
    [anon_sym_LT_LT_EQ] = ACTIONS(463),
    [anon_sym_AMP_EQ] = ACTIONS(463),
    [anon_sym_CARET_EQ] = ACTIONS(463),
    [anon_sym_PIPE_EQ] = ACTIONS(463),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(490),
  },
  [126] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1335),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_as] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_else] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(303),
    [anon_sym_or] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(301),
    [anon_sym_SLASH_SLASH] = ACTIONS(301),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_LT_LT] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(303),
    [anon_sym_LT_EQ] = ACTIONS(301),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [anon_sym_GT_EQ] = ACTIONS(301),
    [anon_sym_GT] = ACTIONS(303),
    [anon_sym_LT_GT] = ACTIONS(301),
    [anon_sym_is] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(663),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(490),
  },
  [127] = {
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_list_splat_pattern] = STATE(1179),
    [sym_primary_expression] = STATE(1466),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_python_string] = STATE(860),
    [sym_await] = STATE(1172),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_as] = ACTIONS(461),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_print] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_exec] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(461),
    [anon_sym_if] = ACTIONS(461),
    [anon_sym_else] = ACTIONS(461),
    [anon_sym_async] = ACTIONS(476),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_and] = ACTIONS(461),
    [anon_sym_or] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(471),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_SLASH_SLASH] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(461),
    [anon_sym_LT_EQ] = ACTIONS(463),
    [anon_sym_EQ_EQ] = ACTIONS(463),
    [anon_sym_BANG_EQ] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(463),
    [anon_sym_GT] = ACTIONS(461),
    [anon_sym_LT_GT] = ACTIONS(463),
    [anon_sym_is] = ACTIONS(461),
    [sym_ellipsis] = ACTIONS(482),
    [anon_sym_await] = ACTIONS(484),
    [anon_sym_match] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(486),
    [sym_integer] = ACTIONS(488),
    [sym_float] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_none] = ACTIONS(488),
    [sym_python_identifier] = ACTIONS(488),
    [sym_identifier] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym_string_start] = ACTIONS(490),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(667), 1,
      anon_sym_RBRACK,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      anon_sym_type,
    ACTIONS(685), 1,
      sym_python_identifier,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1232), 1,
      sym_list_splat_pattern,
    STATE(1594), 1,
      sym_expression,
    STATE(2188), 1,
      sym_pattern,
    STATE(2378), 1,
      sym__collection_elements,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2470), 1,
      sym__patterns,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1229), 2,
      sym_attribute,
      sym_subscript,
    STATE(2286), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [128] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      anon_sym_type,
    ACTIONS(685), 1,
      sym_python_identifier,
    ACTIONS(687), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1232), 1,
      sym_list_splat_pattern,
    STATE(1589), 1,
      sym_expression,
    STATE(2188), 1,
      sym_pattern,
    STATE(2358), 1,
      sym__collection_elements,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2411), 1,
      sym__patterns,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1229), 2,
      sym_attribute,
      sym_subscript,
    STATE(2286), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [256] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(689), 1,
      anon_sym_LBRACK,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_RPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(705), 1,
      anon_sym_await,
    ACTIONS(707), 1,
      anon_sym_type,
    ACTIONS(709), 1,
      sym_python_identifier,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1216), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2012), 1,
      sym_yield,
    STATE(2022), 1,
      sym_pattern,
    STATE(2164), 1,
      sym_parenthesized_list_splat,
    STATE(2166), 1,
      sym_list_splat,
    STATE(2463), 1,
      sym__named_expression_lhs,
    STATE(2467), 1,
      sym__patterns,
    STATE(2533), 1,
      sym__collection_elements,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1212), 2,
      sym_attribute,
      sym_subscript,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(697), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [388] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(689), 1,
      anon_sym_LBRACK,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(705), 1,
      anon_sym_await,
    ACTIONS(707), 1,
      anon_sym_type,
    ACTIONS(709), 1,
      sym_python_identifier,
    ACTIONS(711), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1216), 1,
      sym_list_splat_pattern,
    STATE(1595), 1,
      sym_expression,
    STATE(2022), 1,
      sym_pattern,
    STATE(2043), 1,
      sym_parenthesized_list_splat,
    STATE(2045), 1,
      sym_list_splat,
    STATE(2150), 1,
      sym_yield,
    STATE(2420), 1,
      sym__collection_elements,
    STATE(2422), 1,
      sym__patterns,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1212), 2,
      sym_attribute,
      sym_subscript,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(697), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [520] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      anon_sym_type,
    ACTIONS(685), 1,
      sym_python_identifier,
    ACTIONS(713), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1232), 1,
      sym_list_splat_pattern,
    STATE(1565), 1,
      sym_expression,
    STATE(2188), 1,
      sym_pattern,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2470), 1,
      sym__patterns,
    STATE(2487), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1229), 2,
      sym_attribute,
      sym_subscript,
    STATE(2286), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [648] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_RBRACE,
    ACTIONS(719), 1,
      anon_sym_COMMA,
    ACTIONS(721), 1,
      anon_sym_STAR,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(731), 1,
      anon_sym_yield,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1531), 1,
      sym_expression,
    STATE(1740), 1,
      sym_pair,
    STATE(2013), 1,
      sym_dictionary_splat,
    STATE(2408), 1,
      sym__named_expression_lhs,
    STATE(2540), 1,
      sym__collection_elements,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1987), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [776] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_STAR,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(731), 1,
      anon_sym_yield,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(739), 1,
      anon_sym_RBRACE,
    ACTIONS(741), 1,
      anon_sym_COMMA,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1528), 1,
      sym_expression,
    STATE(1734), 1,
      sym_pair,
    STATE(2132), 1,
      sym_dictionary_splat,
    STATE(2353), 1,
      sym__collection_elements,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1987), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [904] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(689), 1,
      anon_sym_LBRACK,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(705), 1,
      anon_sym_await,
    ACTIONS(707), 1,
      anon_sym_type,
    ACTIONS(709), 1,
      sym_python_identifier,
    ACTIONS(743), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1216), 1,
      sym_list_splat_pattern,
    STATE(1576), 1,
      sym_expression,
    STATE(2022), 1,
      sym_pattern,
    STATE(2137), 1,
      sym_yield,
    STATE(2380), 1,
      sym__collection_elements,
    STATE(2463), 1,
      sym__named_expression_lhs,
    STATE(2494), 1,
      sym__patterns,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1212), 2,
      sym_attribute,
      sym_subscript,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(697), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [1034] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(689), 1,
      anon_sym_LBRACK,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(705), 1,
      anon_sym_await,
    ACTIONS(707), 1,
      anon_sym_type,
    ACTIONS(709), 1,
      sym_python_identifier,
    ACTIONS(745), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1216), 1,
      sym_list_splat_pattern,
    STATE(1567), 1,
      sym_expression,
    STATE(2022), 1,
      sym_pattern,
    STATE(2109), 1,
      sym_yield,
    STATE(2463), 1,
      sym__named_expression_lhs,
    STATE(2494), 1,
      sym__patterns,
    STATE(2520), 1,
      sym__collection_elements,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1212), 2,
      sym_attribute,
      sym_subscript,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(697), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [1164] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_STAR,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(95), 1,
      anon_sym_yield,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(99), 1,
      anon_sym_await,
    ACTIONS(103), 1,
      anon_sym_type,
    ACTIONS(107), 1,
      sym_python_identifier,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    STATE(561), 1,
      sym_list_splat_pattern,
    STATE(834), 1,
      sym_python_string,
    STATE(883), 1,
      sym_primary_expression,
    STATE(1489), 1,
      sym_pattern_list,
    STATE(1494), 1,
      sym_pattern,
    STATE(1726), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(560), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(101), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(2287), 5,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
      sym_expression_list,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [1288] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_STAR,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(95), 1,
      anon_sym_yield,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(99), 1,
      anon_sym_await,
    ACTIONS(103), 1,
      anon_sym_type,
    ACTIONS(107), 1,
      sym_python_identifier,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    STATE(561), 1,
      sym_list_splat_pattern,
    STATE(834), 1,
      sym_python_string,
    STATE(883), 1,
      sym_primary_expression,
    STATE(1489), 1,
      sym_pattern_list,
    STATE(1494), 1,
      sym_pattern,
    STATE(1726), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(560), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(101), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(2299), 5,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
      sym_expression_list,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [1412] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_STAR,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(731), 1,
      anon_sym_yield,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(747), 1,
      anon_sym_RBRACE,
    ACTIONS(749), 1,
      anon_sym_COMMA,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1533), 1,
      sym_expression,
    STATE(1746), 1,
      sym_pair,
    STATE(2042), 1,
      sym_dictionary_splat,
    STATE(2408), 1,
      sym__named_expression_lhs,
    STATE(2427), 1,
      sym__collection_elements,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1987), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [1540] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      anon_sym_type,
    ACTIONS(685), 1,
      sym_python_identifier,
    ACTIONS(751), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1232), 1,
      sym_list_splat_pattern,
    STATE(1585), 1,
      sym_expression,
    STATE(2188), 1,
      sym_pattern,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2414), 1,
      sym__collection_elements,
    STATE(2485), 1,
      sym__patterns,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1229), 2,
      sym_attribute,
      sym_subscript,
    STATE(2286), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [1668] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(689), 1,
      anon_sym_LBRACK,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(705), 1,
      anon_sym_await,
    ACTIONS(707), 1,
      anon_sym_type,
    ACTIONS(709), 1,
      sym_python_identifier,
    ACTIONS(753), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1216), 1,
      sym_list_splat_pattern,
    STATE(1557), 1,
      sym_expression,
    STATE(2022), 1,
      sym_pattern,
    STATE(2067), 1,
      sym_yield,
    STATE(2360), 1,
      sym__collection_elements,
    STATE(2463), 1,
      sym__named_expression_lhs,
    STATE(2494), 1,
      sym__patterns,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1212), 2,
      sym_attribute,
      sym_subscript,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(697), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [1798] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_STAR,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(95), 1,
      anon_sym_yield,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(99), 1,
      anon_sym_await,
    ACTIONS(103), 1,
      anon_sym_type,
    ACTIONS(107), 1,
      sym_python_identifier,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    STATE(561), 1,
      sym_list_splat_pattern,
    STATE(834), 1,
      sym_python_string,
    STATE(883), 1,
      sym_primary_expression,
    STATE(1489), 1,
      sym_pattern_list,
    STATE(1494), 1,
      sym_pattern,
    STATE(1726), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(560), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(101), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(2234), 5,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
      sym_expression_list,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [1922] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_STAR,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(731), 1,
      anon_sym_yield,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(755), 1,
      anon_sym_RBRACE,
    ACTIONS(757), 1,
      anon_sym_COMMA,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1534), 1,
      sym_expression,
    STATE(1735), 1,
      sym_pair,
    STATE(2068), 1,
      sym_dictionary_splat,
    STATE(2365), 1,
      sym__collection_elements,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1987), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [2050] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      anon_sym_type,
    ACTIONS(685), 1,
      sym_python_identifier,
    ACTIONS(759), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1232), 1,
      sym_list_splat_pattern,
    STATE(1587), 1,
      sym_expression,
    STATE(2188), 1,
      sym_pattern,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2501), 1,
      sym__patterns,
    STATE(2517), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1229), 2,
      sym_attribute,
      sym_subscript,
    STATE(2286), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [2178] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(689), 1,
      anon_sym_LBRACK,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(705), 1,
      anon_sym_await,
    ACTIONS(707), 1,
      anon_sym_type,
    ACTIONS(709), 1,
      sym_python_identifier,
    ACTIONS(761), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1216), 1,
      sym_list_splat_pattern,
    STATE(1557), 1,
      sym_expression,
    STATE(2022), 1,
      sym_pattern,
    STATE(2067), 1,
      sym_yield,
    STATE(2360), 1,
      sym__collection_elements,
    STATE(2462), 1,
      sym__patterns,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1212), 2,
      sym_attribute,
      sym_subscript,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(697), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [2308] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_STAR,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(731), 1,
      anon_sym_yield,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(763), 1,
      anon_sym_RBRACE,
    ACTIONS(765), 1,
      anon_sym_COMMA,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1535), 1,
      sym_expression,
    STATE(1737), 1,
      sym_pair,
    STATE(2096), 1,
      sym_dictionary_splat,
    STATE(2408), 1,
      sym__named_expression_lhs,
    STATE(2475), 1,
      sym__collection_elements,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1987), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [2436] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      anon_sym_type,
    ACTIONS(685), 1,
      sym_python_identifier,
    ACTIONS(767), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1232), 1,
      sym_list_splat_pattern,
    STATE(1589), 1,
      sym_expression,
    STATE(2188), 1,
      sym_pattern,
    STATE(2358), 1,
      sym__collection_elements,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2470), 1,
      sym__patterns,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1229), 2,
      sym_attribute,
      sym_subscript,
    STATE(2286), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [2564] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(689), 1,
      anon_sym_LBRACK,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(705), 1,
      anon_sym_await,
    ACTIONS(707), 1,
      anon_sym_type,
    ACTIONS(709), 1,
      sym_python_identifier,
    ACTIONS(769), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1216), 1,
      sym_list_splat_pattern,
    STATE(1557), 1,
      sym_expression,
    STATE(2022), 1,
      sym_pattern,
    STATE(2067), 1,
      sym_yield,
    STATE(2360), 1,
      sym__collection_elements,
    STATE(2463), 1,
      sym__named_expression_lhs,
    STATE(2494), 1,
      sym__patterns,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1212), 2,
      sym_attribute,
      sym_subscript,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(697), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [2694] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_STAR,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(731), 1,
      anon_sym_yield,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    ACTIONS(773), 1,
      anon_sym_COMMA,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1536), 1,
      sym_expression,
    STATE(1761), 1,
      sym_pair,
    STATE(2119), 1,
      sym_dictionary_splat,
    STATE(2330), 1,
      sym__collection_elements,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1987), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [2822] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      anon_sym_type,
    ACTIONS(685), 1,
      sym_python_identifier,
    ACTIONS(775), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1232), 1,
      sym_list_splat_pattern,
    STATE(1589), 1,
      sym_expression,
    STATE(2188), 1,
      sym_pattern,
    STATE(2358), 1,
      sym__collection_elements,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2504), 1,
      sym__patterns,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1229), 2,
      sym_attribute,
      sym_subscript,
    STATE(2286), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [2950] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(689), 1,
      anon_sym_LBRACK,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(705), 1,
      anon_sym_await,
    ACTIONS(707), 1,
      anon_sym_type,
    ACTIONS(709), 1,
      sym_python_identifier,
    ACTIONS(777), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1216), 1,
      sym_list_splat_pattern,
    STATE(1576), 1,
      sym_expression,
    STATE(2022), 1,
      sym_pattern,
    STATE(2137), 1,
      sym_yield,
    STATE(2380), 1,
      sym__collection_elements,
    STATE(2463), 1,
      sym__named_expression_lhs,
    STATE(2494), 1,
      sym__patterns,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1212), 2,
      sym_attribute,
      sym_subscript,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(697), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [3080] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_STAR,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(731), 1,
      anon_sym_yield,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(779), 1,
      anon_sym_RBRACE,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_expression,
    STATE(1741), 1,
      sym_pair,
    STATE(2154), 1,
      sym_dictionary_splat,
    STATE(2408), 1,
      sym__named_expression_lhs,
    STATE(2424), 1,
      sym__collection_elements,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1987), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [3208] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(721), 1,
      anon_sym_STAR,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(731), 1,
      anon_sym_yield,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(783), 1,
      anon_sym_RBRACE,
    ACTIONS(785), 1,
      anon_sym_COMMA,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1537), 1,
      sym_expression,
    STATE(1739), 1,
      sym_pair,
    STATE(2138), 1,
      sym_dictionary_splat,
    STATE(2383), 1,
      sym__collection_elements,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1987), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [3336] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      anon_sym_type,
    ACTIONS(685), 1,
      sym_python_identifier,
    ACTIONS(787), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1232), 1,
      sym_list_splat_pattern,
    STATE(1589), 1,
      sym_expression,
    STATE(2188), 1,
      sym_pattern,
    STATE(2358), 1,
      sym__collection_elements,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2470), 1,
      sym__patterns,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1229), 2,
      sym_attribute,
      sym_subscript,
    STATE(2286), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [3464] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(689), 1,
      anon_sym_LBRACK,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(705), 1,
      anon_sym_await,
    ACTIONS(707), 1,
      anon_sym_type,
    ACTIONS(709), 1,
      sym_python_identifier,
    ACTIONS(789), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1216), 1,
      sym_list_splat_pattern,
    STATE(1557), 1,
      sym_expression,
    STATE(2022), 1,
      sym_pattern,
    STATE(2067), 1,
      sym_yield,
    STATE(2360), 1,
      sym__collection_elements,
    STATE(2422), 1,
      sym__patterns,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1212), 2,
      sym_attribute,
      sym_subscript,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(697), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [3594] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      anon_sym_type,
    ACTIONS(685), 1,
      sym_python_identifier,
    ACTIONS(791), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1232), 1,
      sym_list_splat_pattern,
    STATE(1594), 1,
      sym_expression,
    STATE(2188), 1,
      sym_pattern,
    STATE(2378), 1,
      sym__collection_elements,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2470), 1,
      sym__patterns,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1229), 2,
      sym_attribute,
      sym_subscript,
    STATE(2286), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [3722] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(689), 1,
      anon_sym_LBRACK,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(705), 1,
      anon_sym_await,
    ACTIONS(707), 1,
      anon_sym_type,
    ACTIONS(709), 1,
      sym_python_identifier,
    ACTIONS(793), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1216), 1,
      sym_list_splat_pattern,
    STATE(1557), 1,
      sym_expression,
    STATE(2022), 1,
      sym_pattern,
    STATE(2067), 1,
      sym_yield,
    STATE(2360), 1,
      sym__collection_elements,
    STATE(2399), 1,
      sym__patterns,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1212), 2,
      sym_attribute,
      sym_subscript,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(697), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [3852] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      anon_sym_type,
    ACTIONS(685), 1,
      sym_python_identifier,
    ACTIONS(795), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1232), 1,
      sym_list_splat_pattern,
    STATE(1589), 1,
      sym_expression,
    STATE(2188), 1,
      sym_pattern,
    STATE(2358), 1,
      sym__collection_elements,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2501), 1,
      sym__patterns,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1229), 2,
      sym_attribute,
      sym_subscript,
    STATE(2286), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [3980] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      anon_sym_type,
    ACTIONS(685), 1,
      sym_python_identifier,
    ACTIONS(797), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1232), 1,
      sym_list_splat_pattern,
    STATE(1589), 1,
      sym_expression,
    STATE(2188), 1,
      sym_pattern,
    STATE(2358), 1,
      sym__collection_elements,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2485), 1,
      sym__patterns,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1229), 2,
      sym_attribute,
      sym_subscript,
    STATE(2286), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [4108] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(689), 1,
      anon_sym_LBRACK,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(705), 1,
      anon_sym_await,
    ACTIONS(707), 1,
      anon_sym_type,
    ACTIONS(709), 1,
      sym_python_identifier,
    ACTIONS(799), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1216), 1,
      sym_list_splat_pattern,
    STATE(1557), 1,
      sym_expression,
    STATE(2022), 1,
      sym_pattern,
    STATE(2067), 1,
      sym_yield,
    STATE(2360), 1,
      sym__collection_elements,
    STATE(2463), 1,
      sym__named_expression_lhs,
    STATE(2467), 1,
      sym__patterns,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1212), 2,
      sym_attribute,
      sym_subscript,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(697), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [4238] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(480), 1,
      anon_sym_TILDE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(803), 1,
      anon_sym_LBRACK,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_await,
    ACTIONS(813), 1,
      anon_sym_type,
    ACTIONS(815), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1306), 1,
      sym_list_splat_pattern,
    STATE(1434), 1,
      sym_pattern,
    STATE(1467), 1,
      sym_primary_expression,
    ACTIONS(478), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1305), 2,
      sym_attribute,
      sym_subscript,
    STATE(1462), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(809), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
    ACTIONS(801), 17,
      sym__newline,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4347] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(480), 1,
      anon_sym_TILDE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(803), 1,
      anon_sym_LBRACK,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_await,
    ACTIONS(813), 1,
      anon_sym_type,
    ACTIONS(815), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1306), 1,
      sym_list_splat_pattern,
    STATE(1434), 1,
      sym_pattern,
    STATE(1467), 1,
      sym_primary_expression,
    ACTIONS(478), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1305), 2,
      sym_attribute,
      sym_subscript,
    STATE(1462), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(809), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
    ACTIONS(817), 17,
      sym__newline,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4456] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(731), 1,
      anon_sym_yield,
    ACTIONS(819), 1,
      anon_sym_LBRACK,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(831), 1,
      anon_sym_await,
    ACTIONS(833), 1,
      anon_sym_type,
    ACTIONS(835), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1092), 1,
      sym_list_splat_pattern,
    STATE(1615), 1,
      sym_expression,
    STATE(2249), 1,
      sym_pattern,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1091), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(825), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    STATE(1910), 4,
      sym_pattern_list,
      sym_yield,
      sym_expression_list,
      sym__f_expression,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [4576] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(731), 1,
      anon_sym_yield,
    ACTIONS(819), 1,
      anon_sym_LBRACK,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(831), 1,
      anon_sym_await,
    ACTIONS(833), 1,
      anon_sym_type,
    ACTIONS(835), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1092), 1,
      sym_list_splat_pattern,
    STATE(1615), 1,
      sym_expression,
    STATE(2249), 1,
      sym_pattern,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1091), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(825), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    STATE(1877), 4,
      sym_pattern_list,
      sym_yield,
      sym_expression_list,
      sym__f_expression,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [4696] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(839), 1,
      anon_sym_RPAREN,
    ACTIONS(841), 1,
      anon_sym_COMMA,
    ACTIONS(843), 1,
      anon_sym_STAR,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(849), 1,
      anon_sym_await,
    ACTIONS(851), 1,
      anon_sym_type,
    ACTIONS(853), 1,
      sym_python_identifier,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1577), 1,
      sym_expression,
    STATE(2141), 1,
      sym_parenthesized_list_splat,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2142), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(845), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [4815] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(274), 1,
      anon_sym_STAR_STAR,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(867), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1649), 1,
      sym_expression,
    STATE(2162), 1,
      sym_type,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1906), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [4930] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(843), 1,
      anon_sym_STAR,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(849), 1,
      anon_sym_await,
    ACTIONS(851), 1,
      anon_sym_type,
    ACTIONS(853), 1,
      sym_python_identifier,
    ACTIONS(869), 1,
      anon_sym_RPAREN,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1566), 1,
      sym_expression,
    STATE(2103), 1,
      sym_parenthesized_list_splat,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2104), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(845), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [5049] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(879), 1,
      anon_sym_STAR_STAR,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      sym_python_identifier,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1631), 1,
      sym_expression,
    STATE(1855), 1,
      sym_type,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1894), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [5164] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(889), 1,
      anon_sym_RPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1540), 1,
      sym_expression,
    STATE(1988), 1,
      sym_with_item,
    STATE(2067), 1,
      sym_yield,
    STATE(2360), 1,
      sym__collection_elements,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [5285] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(843), 1,
      anon_sym_STAR,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(849), 1,
      anon_sym_await,
    ACTIONS(851), 1,
      anon_sym_type,
    ACTIONS(853), 1,
      sym_python_identifier,
    ACTIONS(899), 1,
      anon_sym_RPAREN,
    ACTIONS(901), 1,
      anon_sym_COMMA,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1571), 1,
      sym_expression,
    STATE(2124), 1,
      sym_parenthesized_list_splat,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2125), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(845), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [5404] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(843), 1,
      anon_sym_STAR,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(849), 1,
      anon_sym_await,
    ACTIONS(851), 1,
      anon_sym_type,
    ACTIONS(853), 1,
      sym_python_identifier,
    ACTIONS(903), 1,
      anon_sym_RPAREN,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1546), 1,
      sym_expression,
    STATE(2019), 1,
      sym_parenthesized_list_splat,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2020), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(845), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [5523] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(843), 1,
      anon_sym_STAR,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(849), 1,
      anon_sym_await,
    ACTIONS(851), 1,
      anon_sym_type,
    ACTIONS(853), 1,
      sym_python_identifier,
    ACTIONS(907), 1,
      anon_sym_RPAREN,
    ACTIONS(909), 1,
      anon_sym_COMMA,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1560), 1,
      sym_expression,
    STATE(2087), 1,
      sym_parenthesized_list_splat,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2088), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(845), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [5642] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(879), 1,
      anon_sym_STAR_STAR,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      sym_python_identifier,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1631), 1,
      sym_expression,
    STATE(1912), 1,
      sym_type,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1894), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [5757] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(274), 1,
      anon_sym_STAR_STAR,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(867), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1649), 1,
      sym_expression,
    STATE(1873), 1,
      sym_type,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1906), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [5872] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(480), 1,
      anon_sym_TILDE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(911), 1,
      anon_sym_LBRACK,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_STAR,
    ACTIONS(919), 1,
      anon_sym_await,
    ACTIONS(921), 1,
      anon_sym_type,
    ACTIONS(923), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1473), 1,
      sym_primary_expression,
    STATE(1490), 1,
      sym_pattern,
    ACTIONS(478), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1385), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(917), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
    ACTIONS(817), 15,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5979] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(925), 1,
      anon_sym_STAR,
    ACTIONS(927), 1,
      anon_sym_STAR_STAR,
    ACTIONS(929), 1,
      sym_python_identifier,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1601), 1,
      sym_expression,
    STATE(1800), 1,
      sym_type,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1795), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [6094] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(931), 1,
      anon_sym_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(937), 1,
      anon_sym_STAR_STAR,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(945), 1,
      sym_python_identifier,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1602), 1,
      sym_expression,
    STATE(1844), 1,
      sym_type,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1782), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [6209] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(274), 1,
      anon_sym_STAR_STAR,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(867), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1649), 1,
      sym_expression,
    STATE(1850), 1,
      sym_type,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1906), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [6324] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(843), 1,
      anon_sym_STAR,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(849), 1,
      anon_sym_await,
    ACTIONS(851), 1,
      anon_sym_type,
    ACTIONS(853), 1,
      sym_python_identifier,
    ACTIONS(947), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 1,
      anon_sym_COMMA,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1558), 1,
      sym_expression,
    STATE(2075), 1,
      sym_parenthesized_list_splat,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2076), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(845), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [6443] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(931), 1,
      anon_sym_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(937), 1,
      anon_sym_STAR_STAR,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(945), 1,
      sym_python_identifier,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1602), 1,
      sym_expression,
    STATE(1796), 1,
      sym_type,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1782), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [6558] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(480), 1,
      anon_sym_TILDE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(911), 1,
      anon_sym_LBRACK,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_STAR,
    ACTIONS(919), 1,
      anon_sym_await,
    ACTIONS(921), 1,
      anon_sym_type,
    ACTIONS(923), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1473), 1,
      sym_primary_expression,
    STATE(1490), 1,
      sym_pattern,
    ACTIONS(478), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1385), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(917), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
    ACTIONS(801), 15,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6665] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(931), 1,
      anon_sym_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(937), 1,
      anon_sym_STAR_STAR,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(945), 1,
      sym_python_identifier,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1602), 1,
      sym_expression,
    STATE(1792), 1,
      sym_type,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1782), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [6780] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(843), 1,
      anon_sym_STAR,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(849), 1,
      anon_sym_await,
    ACTIONS(851), 1,
      anon_sym_type,
    ACTIONS(853), 1,
      sym_python_identifier,
    ACTIONS(951), 1,
      anon_sym_RPAREN,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1573), 1,
      sym_expression,
    STATE(2177), 1,
      sym_parenthesized_list_splat,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2178), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(845), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [6899] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(925), 1,
      anon_sym_STAR,
    ACTIONS(927), 1,
      anon_sym_STAR_STAR,
    ACTIONS(929), 1,
      sym_python_identifier,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1601), 1,
      sym_expression,
    STATE(1822), 1,
      sym_type,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1795), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [7014] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(931), 1,
      anon_sym_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(937), 1,
      anon_sym_STAR_STAR,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(945), 1,
      sym_python_identifier,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1602), 1,
      sym_expression,
    STATE(1938), 1,
      sym_type,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1782), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [7129] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(957), 1,
      anon_sym_from,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1598), 1,
      sym_expression,
    STATE(1892), 1,
      sym_expression_list,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(955), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [7244] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(925), 1,
      anon_sym_STAR,
    ACTIONS(927), 1,
      anon_sym_STAR_STAR,
    ACTIONS(929), 1,
      sym_python_identifier,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1601), 1,
      sym_expression,
    STATE(1820), 1,
      sym_type,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1795), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [7359] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(274), 1,
      anon_sym_STAR_STAR,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(867), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1649), 1,
      sym_expression,
    STATE(2176), 1,
      sym_type,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1906), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [7474] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(879), 1,
      anon_sym_STAR_STAR,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      sym_python_identifier,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1631), 1,
      sym_expression,
    STATE(1802), 1,
      sym_type,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1894), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [7589] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(843), 1,
      anon_sym_STAR,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(849), 1,
      anon_sym_await,
    ACTIONS(851), 1,
      anon_sym_type,
    ACTIONS(853), 1,
      sym_python_identifier,
    ACTIONS(967), 1,
      anon_sym_RPAREN,
    ACTIONS(969), 1,
      anon_sym_COMMA,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1554), 1,
      sym_expression,
    STATE(2048), 1,
      sym_parenthesized_list_splat,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2049), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(845), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [7708] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(879), 1,
      anon_sym_STAR_STAR,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      sym_python_identifier,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1631), 1,
      sym_expression,
    STATE(1857), 1,
      sym_type,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1894), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [7823] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(879), 1,
      anon_sym_STAR_STAR,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      sym_python_identifier,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1631), 1,
      sym_expression,
    STATE(1843), 1,
      sym_type,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1894), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [7938] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(879), 1,
      anon_sym_STAR_STAR,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      sym_python_identifier,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1631), 1,
      sym_expression,
    STATE(1778), 1,
      sym_type,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1894), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [8053] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(879), 1,
      anon_sym_STAR_STAR,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      sym_python_identifier,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1631), 1,
      sym_expression,
    STATE(1787), 1,
      sym_type,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1894), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [8168] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      anon_sym_RPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [8284] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(985), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [8400] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(987), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [8516] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(989), 1,
      anon_sym_RBRACK,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1587), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2517), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [8632] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1001), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1564), 1,
      sym_expression,
    STATE(2095), 1,
      sym_yield,
    STATE(2463), 1,
      sym__named_expression_lhs,
    STATE(2472), 1,
      sym__collection_elements,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [8750] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1003), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1553), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2015), 1,
      sym_list_splat,
    STATE(2041), 1,
      sym_yield,
    STATE(2419), 1,
      sym__collection_elements,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [8870] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1005), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [8986] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1007), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [9102] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1009), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [9218] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1011), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [9334] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1013), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1588), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2417), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [9450] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1015), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1595), 1,
      sym_expression,
    STATE(2150), 1,
      sym_yield,
    STATE(2420), 1,
      sym__collection_elements,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [9568] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1001), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1564), 1,
      sym_expression,
    STATE(2043), 1,
      sym_parenthesized_list_splat,
    STATE(2045), 1,
      sym_list_splat,
    STATE(2095), 1,
      sym_yield,
    STATE(2463), 1,
      sym__named_expression_lhs,
    STATE(2472), 1,
      sym__collection_elements,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [9688] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1017), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [9804] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1019), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [9920] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1021), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [10036] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1023), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [10152] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1025), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1589), 1,
      sym_expression,
    STATE(2358), 1,
      sym__collection_elements,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [10268] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1027), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1570), 1,
      sym_expression,
    STATE(2117), 1,
      sym_yield,
    STATE(2327), 1,
      sym__collection_elements,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [10386] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1027), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1570), 1,
      sym_expression,
    STATE(2117), 1,
      sym_yield,
    STATE(2164), 1,
      sym_parenthesized_list_splat,
    STATE(2166), 1,
      sym_list_splat,
    STATE(2327), 1,
      sym__collection_elements,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [10506] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1029), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [10622] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1031), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [10738] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1033), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [10854] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1035), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [10970] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1037), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [11086] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1039), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [11202] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1041), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1591), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2466), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [11318] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1043), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2012), 1,
      sym_yield,
    STATE(2463), 1,
      sym__named_expression_lhs,
    STATE(2533), 1,
      sym__collection_elements,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [11436] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1045), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1567), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2015), 1,
      sym_list_splat,
    STATE(2109), 1,
      sym_yield,
    STATE(2463), 1,
      sym__named_expression_lhs,
    STATE(2520), 1,
      sym__collection_elements,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [11556] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1047), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [11672] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1049), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [11788] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1051), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [11904] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1053), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [12020] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1055), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [12136] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1057), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [12252] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1015), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1595), 1,
      sym_expression,
    STATE(2043), 1,
      sym_parenthesized_list_splat,
    STATE(2045), 1,
      sym_list_splat,
    STATE(2150), 1,
      sym_yield,
    STATE(2420), 1,
      sym__collection_elements,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [12372] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1059), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1592), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2549), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [12488] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1003), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1553), 1,
      sym_expression,
    STATE(2041), 1,
      sym_yield,
    STATE(2419), 1,
      sym__collection_elements,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [12606] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1061), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [12722] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1063), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [12838] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1065), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1585), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2414), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [12954] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1067), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [13070] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1069), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [13186] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(889), 1,
      anon_sym_RPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1557), 1,
      sym_expression,
    STATE(2067), 1,
      sym_yield,
    STATE(2360), 1,
      sym__collection_elements,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [13304] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1071), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1594), 1,
      sym_expression,
    STATE(2378), 1,
      sym__collection_elements,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [13420] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1073), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1576), 1,
      sym_expression,
    STATE(2137), 1,
      sym_yield,
    STATE(2380), 1,
      sym__collection_elements,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [13538] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1045), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1567), 1,
      sym_expression,
    STATE(2109), 1,
      sym_yield,
    STATE(2463), 1,
      sym__named_expression_lhs,
    STATE(2520), 1,
      sym__collection_elements,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2202), 2,
      sym_parenthesized_list_splat,
      sym_list_splat,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [13656] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(837), 1,
      anon_sym_LPAREN,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1043), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2012), 1,
      sym_yield,
    STATE(2164), 1,
      sym_parenthesized_list_splat,
    STATE(2166), 1,
      sym_list_splat,
    STATE(2463), 1,
      sym__named_expression_lhs,
    STATE(2533), 1,
      sym__collection_elements,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [13776] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1075), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [13892] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1077), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [14008] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1079), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [14124] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1081), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [14240] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    ACTIONS(1083), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [14356] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(671), 1,
      anon_sym_STAR,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1085), 1,
      anon_sym_RBRACK,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1565), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    STATE(2487), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2097), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [14472] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(474), 1,
      anon_sym_STAR,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_primary_expression,
    ACTIONS(471), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(463), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    ACTIONS(564), 9,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [14571] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(847), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_await,
    ACTIONS(981), 1,
      anon_sym_type,
    ACTIONS(983), 1,
      sym_python_identifier,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2323), 1,
      sym_parenthesized_list_splat,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2216), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(977), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [14684] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1087), 1,
      anon_sym_RPAREN,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    ACTIONS(1093), 1,
      anon_sym_lambda,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1704), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1903), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(891), 3,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_match,
    ACTIONS(1091), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [14797] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1648), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1095), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [14906] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1648), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1097), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [15015] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    ACTIONS(1093), 1,
      anon_sym_lambda,
    ACTIONS(1099), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1704), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1903), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(891), 3,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_match,
    ACTIONS(1101), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [15128] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    ACTIONS(1093), 1,
      anon_sym_lambda,
    ACTIONS(1103), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1704), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1903), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(891), 3,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_match,
    ACTIONS(1105), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [15241] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    ACTIONS(1093), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1704), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1903), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(891), 3,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_match,
    ACTIONS(1109), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [15354] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1107), 1,
      anon_sym_RBRACK,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    ACTIONS(1113), 1,
      anon_sym_lambda,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1931), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(993), 3,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_match,
    ACTIONS(1109), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [15467] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1087), 1,
      anon_sym_RBRACK,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    ACTIONS(1113), 1,
      anon_sym_lambda,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1931), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(993), 3,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_match,
    ACTIONS(1091), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [15580] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_RPAREN,
    ACTIONS(1117), 1,
      anon_sym_STAR,
    ACTIONS(1119), 1,
      sym_python_identifier,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1829), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2241), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [15693] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(731), 1,
      anon_sym_yield,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    ACTIONS(1115), 1,
      anon_sym_RBRACE,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1799), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2313), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [15806] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1099), 1,
      anon_sym_RBRACK,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    ACTIONS(1113), 1,
      anon_sym_lambda,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1931), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(993), 3,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_match,
    ACTIONS(1101), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [15919] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(731), 1,
      anon_sym_yield,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1125), 1,
      anon_sym_RBRACE,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1799), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2313), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [16032] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1103), 1,
      anon_sym_RBRACK,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    ACTIONS(1113), 1,
      anon_sym_lambda,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1931), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(993), 3,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_match,
    ACTIONS(1105), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [16145] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1125), 1,
      anon_sym_RBRACK,
    ACTIONS(1127), 1,
      anon_sym_LPAREN,
    ACTIONS(1129), 1,
      anon_sym_STAR,
    ACTIONS(1131), 1,
      sym_python_identifier,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1848), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2297), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [16258] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1115), 1,
      anon_sym_RBRACK,
    ACTIONS(1127), 1,
      anon_sym_LPAREN,
    ACTIONS(1129), 1,
      anon_sym_STAR,
    ACTIONS(1131), 1,
      sym_python_identifier,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1848), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2297), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [16371] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1087), 1,
      anon_sym_RBRACE,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    ACTIONS(1135), 1,
      anon_sym_lambda,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1711), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1923), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(723), 3,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_match,
    ACTIONS(1091), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [16484] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1099), 1,
      anon_sym_RBRACE,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    ACTIONS(1135), 1,
      anon_sym_lambda,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1711), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1923), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(723), 3,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_match,
    ACTIONS(1101), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [16597] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(1117), 1,
      anon_sym_STAR,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1125), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1829), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2241), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [16710] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1103), 1,
      anon_sym_RBRACE,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    ACTIONS(1135), 1,
      anon_sym_lambda,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1711), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1923), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(723), 3,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_match,
    ACTIONS(1105), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [16823] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1107), 1,
      anon_sym_RBRACE,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    ACTIONS(1135), 1,
      anon_sym_lambda,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1711), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1923), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(723), 3,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_match,
    ACTIONS(1109), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [16936] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(474), 1,
      anon_sym_STAR,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_primary_expression,
    ACTIONS(303), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(290), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    ACTIONS(301), 9,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [17035] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1137), 1,
      anon_sym_RBRACE,
    ACTIONS(1139), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [17147] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1141), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [17259] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1143), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [17371] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1145), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [17483] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1147), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [17595] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(679), 1,
      anon_sym_yield,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1127), 1,
      anon_sym_LPAREN,
    ACTIONS(1129), 1,
      anon_sym_STAR,
    ACTIONS(1131), 1,
      sym_python_identifier,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1848), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2297), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [17705] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1149), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [17817] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(731), 1,
      anon_sym_yield,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1799), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2313), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [17927] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1151), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [18039] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1153), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [18151] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1155), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [18263] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1157), 1,
      anon_sym_from,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2285), 1,
      sym_expression_list,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(955), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [18375] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1161), 1,
      anon_sym_from,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1728), 1,
      sym_expression,
    STATE(2243), 1,
      sym_expression_list,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(955), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [18487] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1165), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [18599] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1167), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [18711] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(1171), 1,
      anon_sym_from,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    ACTIONS(1175), 1,
      anon_sym_not,
    ACTIONS(1177), 1,
      anon_sym_lambda,
    ACTIONS(1179), 1,
      anon_sym_await,
    STATE(834), 1,
      sym_python_string,
    STATE(867), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_expression,
    STATE(2116), 1,
      sym_expression_list,
    STATE(2554), 1,
      sym__named_expression_lhs,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1169), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [18823] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(703), 1,
      anon_sym_yield,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    ACTIONS(1117), 1,
      anon_sym_STAR,
    ACTIONS(1119), 1,
      sym_python_identifier,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1829), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2241), 3,
      sym_parenthesized_list_splat,
      sym_yield,
      sym_list_splat,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [18933] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1181), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [19045] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1183), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [19157] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_from,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1669), 1,
      sym_expression,
    STATE(2226), 1,
      sym_expression_list,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(955), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [19269] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1189), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [19381] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1191), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [19493] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1193), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [19605] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1195), 1,
      anon_sym_RBRACK,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [19716] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    ACTIONS(1175), 1,
      anon_sym_not,
    ACTIONS(1177), 1,
      anon_sym_lambda,
    ACTIONS(1179), 1,
      anon_sym_await,
    ACTIONS(1199), 1,
      anon_sym_from,
    STATE(834), 1,
      sym_python_string,
    STATE(867), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1713), 1,
      sym_expression,
    STATE(2554), 1,
      sym__named_expression_lhs,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1095), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [19825] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1201), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [19936] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1203), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [20047] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1205), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [20158] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1209), 1,
      anon_sym_COLON,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1758), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1207), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [20267] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1211), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [20378] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1213), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [20489] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1215), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [20600] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1217), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [20711] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1219), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [20822] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1221), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [20933] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    ACTIONS(1175), 1,
      anon_sym_not,
    ACTIONS(1177), 1,
      anon_sym_lambda,
    ACTIONS(1179), 1,
      anon_sym_await,
    ACTIONS(1223), 1,
      anon_sym_from,
    STATE(834), 1,
      sym_python_string,
    STATE(867), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1713), 1,
      sym_expression,
    STATE(2554), 1,
      sym__named_expression_lhs,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1097), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [21042] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1225), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [21153] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1227), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [21264] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1229), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [21375] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1231), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [21486] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_STAR,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2298), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [21595] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1233), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [21706] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1235), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [21817] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1237), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [21928] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [22039] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1241), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [22150] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1243), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [22261] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1245), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [22372] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1247), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [22483] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1249), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [22594] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1251), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [22705] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1253), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [22816] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1255), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [22927] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1257), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [23038] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1261), 1,
      anon_sym_COLON,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1259), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [23147] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(474), 1,
      anon_sym_STAR,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_primary_expression,
    ACTIONS(303), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(463), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    ACTIONS(301), 9,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [23244] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1718), 1,
      sym_expression,
    STATE(2289), 1,
      sym_expression_list,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1263), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [23353] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1265), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [23464] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1267), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [23575] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(1269), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [23686] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(474), 1,
      anon_sym_STAR,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_primary_expression,
    ACTIONS(303), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(1271), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    ACTIONS(301), 9,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [23783] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1748), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1273), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [23889] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(286), 1,
      anon_sym_in,
    ACTIONS(290), 1,
      anon_sym_COMMA,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(474), 1,
      anon_sym_STAR,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_primary_expression,
    ACTIONS(303), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    ACTIONS(301), 9,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [23987] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1776), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1095), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [24093] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1776), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1097), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [24199] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(474), 1,
      anon_sym_STAR,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_primary_expression,
    ACTIONS(303), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(463), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    ACTIONS(301), 9,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [24295] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1810), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1095), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [24401] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1810), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1097), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [24507] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1748), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1095), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [24613] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1764), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1207), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [24719] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1748), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1097), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [24825] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(474), 1,
      anon_sym_STAR,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_primary_expression,
    ACTIONS(290), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(303), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    ACTIONS(301), 9,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [24921] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1275), 1,
      anon_sym_LPAREN,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1777), 1,
      sym_expression,
    STATE(2010), 1,
      sym_with_item,
    STATE(2426), 1,
      sym__named_expression_lhs,
    STATE(2456), 1,
      sym_with_clause,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [25029] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(474), 1,
      anon_sym_STAR,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_primary_expression,
    ACTIONS(463), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(471), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    ACTIONS(564), 9,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [25125] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 1,
      anon_sym_in,
    ACTIONS(463), 1,
      anon_sym_COMMA,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(474), 1,
      anon_sym_STAR,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_primary_expression,
    ACTIONS(471), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    ACTIONS(564), 9,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [25223] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(474), 1,
      anon_sym_STAR,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_primary_expression,
    ACTIONS(463), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(471), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    ACTIONS(564), 9,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [25319] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1666), 1,
      sym_expression,
    STATE(2060), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [25427] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    ACTIONS(1113), 1,
      anon_sym_lambda,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1814), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [25533] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1818), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1279), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [25639] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    ACTIONS(1093), 1,
      anon_sym_lambda,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1704), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1797), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [25745] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1275), 1,
      anon_sym_LPAREN,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1777), 1,
      sym_expression,
    STATE(2010), 1,
      sym_with_item,
    STATE(2426), 1,
      sym__named_expression_lhs,
    STATE(2548), 1,
      sym_with_clause,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [25853] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1742), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1281), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [25959] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1742), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1283), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [26065] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    ACTIONS(1093), 1,
      anon_sym_lambda,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1704), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1812), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [26171] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    ACTIONS(1093), 1,
      anon_sym_lambda,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1709), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1895), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [26277] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    ACTIONS(1093), 1,
      anon_sym_lambda,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1916), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [26383] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    ACTIONS(1093), 1,
      anon_sym_lambda,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1704), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1903), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [26489] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1748), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1285), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [26595] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    ACTIONS(1113), 1,
      anon_sym_lambda,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1767), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [26701] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2315), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [26809] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1772), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1287), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [26915] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    ACTIONS(1135), 1,
      anon_sym_lambda,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1711), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1825), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [27021] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    ACTIONS(1135), 1,
      anon_sym_lambda,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1711), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1831), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [27127] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    ACTIONS(1135), 1,
      anon_sym_lambda,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1719), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1921), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [27233] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    ACTIONS(1135), 1,
      anon_sym_lambda,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1722), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1926), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [27339] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    ACTIONS(1135), 1,
      anon_sym_lambda,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1711), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1923), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [27445] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    ACTIONS(1289), 1,
      anon_sym_COLON,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1777), 1,
      sym_expression,
    STATE(2209), 1,
      sym_with_item,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [27553] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1742), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1291), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [27659] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1742), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1293), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [27765] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    ACTIONS(1113), 1,
      anon_sym_lambda,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1664), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1924), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [27871] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1295), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_expression,
    STATE(2211), 1,
      sym_with_item,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [27979] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    ACTIONS(1297), 1,
      anon_sym_COLON,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1777), 1,
      sym_expression,
    STATE(2209), 1,
      sym_with_item,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [28087] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    ACTIONS(1113), 1,
      anon_sym_lambda,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1680), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1875), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [28193] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1299), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_expression,
    STATE(2211), 1,
      sym_with_item,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [28301] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    ACTIONS(1113), 1,
      anon_sym_lambda,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1931), 2,
      sym_lambda_within_for_in_clause,
      sym__expression_within_for_in_clause,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [28407] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(474), 1,
      anon_sym_STAR,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_primary_expression,
    ACTIONS(290), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(303), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    ACTIONS(301), 9,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [28503] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(474), 1,
      anon_sym_STAR,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_primary_expression,
    ACTIONS(303), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(1271), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    ACTIONS(301), 9,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [28599] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1717), 1,
      sym_expression,
    STATE(2174), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [28707] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_expression,
    STATE(2017), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [28815] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1661), 1,
      sym_expression,
    STATE(2046), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [28923] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1668), 1,
      sym_expression,
    STATE(2074), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [29031] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1675), 1,
      sym_expression,
    STATE(2101), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [29139] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1683), 1,
      sym_expression,
    STATE(2123), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [29247] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1690), 1,
      sym_expression,
    STATE(2140), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [29355] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1697), 1,
      sym_expression,
    STATE(2155), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [29463] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1703), 1,
      sym_expression,
    STATE(2165), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [29571] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1673), 1,
      sym_expression,
    STATE(2317), 1,
      sym_expression_list,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [29676] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1736), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    STATE(2514), 1,
      sym_expression_list,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [29781] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1095), 1,
      anon_sym_COLON,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1840), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [29886] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_expression,
    STATE(2211), 1,
      sym_with_item,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [29991] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1777), 1,
      sym_expression,
    STATE(2209), 1,
      sym_with_item,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [30096] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1097), 1,
      anon_sym_COLON,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1840), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [30201] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1751), 1,
      sym_expression,
    STATE(2412), 1,
      sym_expression_list,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [30306] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    ACTIONS(1301), 1,
      anon_sym_COLON,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1798), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [30411] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1642), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [30513] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [30615] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1644), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [30717] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(474), 1,
      anon_sym_STAR,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_primary_expression,
    ACTIONS(303), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    ACTIONS(301), 9,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [30809] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1647), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [30911] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1650), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [31013] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1651), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [31115] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1652), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [31217] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1619), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [31319] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1769), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [31421] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1645), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [31523] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1653), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [31625] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [31727] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1656), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [31829] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1599), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [31931] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1597), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [32033] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1609), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [32135] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1603), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [32237] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1607), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [32339] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1610), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [32441] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1611), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [32543] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1837), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [32645] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1616), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [32747] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1842), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [32849] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1612), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [32951] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1621), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [33053] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1866), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [33155] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1939), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [33257] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1864), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [33359] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1882), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [33461] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1608), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [33563] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1897), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [33665] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1867), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [33767] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1887), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [33869] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [33971] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1874), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [34073] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1699), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [34175] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1543), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [34277] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1548), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [34379] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1549), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [34481] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1526), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [34583] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1550), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [34685] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1574), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [34787] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1578), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [34889] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1754), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [34991] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1793), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [35093] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1637), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [35195] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1638), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [35297] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1639), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [35399] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1608), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [35501] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1640), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [35603] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1641), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [35705] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(286), 1,
      anon_sym_EQ,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(295), 1,
      anon_sym_COLON,
    ACTIONS(305), 1,
      anon_sym_COMMA,
    ACTIONS(1311), 1,
      sym_python_identifier,
    ACTIONS(1313), 1,
      sym_string_start,
    STATE(2163), 1,
      sym_python_string,
    ACTIONS(301), 10,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(290), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(303), 22,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_is,
  [35781] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1629), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [35883] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1630), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [35985] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(474), 1,
      anon_sym_STAR,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_primary_expression,
    ACTIONS(471), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    ACTIONS(564), 9,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [36077] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1890), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [36179] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1633), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [36281] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1657), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [36383] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1694), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [36485] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1646), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [36587] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1696), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [36689] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1317), 1,
      anon_sym_await,
    ACTIONS(1319), 1,
      anon_sym_type,
    ACTIONS(1321), 1,
      sym_python_identifier,
    STATE(878), 1,
      sym_python_string,
    STATE(1112), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1827), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1189), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1315), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [36793] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1817), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [36895] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1828), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [36997] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1841), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [37099] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1743), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [37201] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1648), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [37303] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1801), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [37405] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1776), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [37507] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1851), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [37609] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1325), 1,
      anon_sym_await,
    ACTIONS(1327), 1,
      anon_sym_type,
    ACTIONS(1329), 1,
      sym_python_identifier,
    STATE(991), 1,
      sym_python_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1803), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1194), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1323), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [37713] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1662), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [37815] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1712), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [37917] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1665), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [38019] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1748), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [38121] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1765), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [38223] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(1333), 1,
      anon_sym_await,
    ACTIONS(1335), 1,
      anon_sym_type,
    ACTIONS(1337), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1780), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1386), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1331), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [38327] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [38429] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    ACTIONS(1175), 1,
      anon_sym_not,
    ACTIONS(1177), 1,
      anon_sym_lambda,
    ACTIONS(1179), 1,
      anon_sym_await,
    STATE(834), 1,
      sym_python_string,
    STATE(867), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_expression,
    STATE(2554), 1,
      sym__named_expression_lhs,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [38531] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(1341), 1,
      anon_sym_await,
    ACTIONS(1343), 1,
      anon_sym_type,
    ACTIONS(1345), 1,
      sym_python_identifier,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1146), 1,
      sym_primary_expression,
    STATE(1780), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1021), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1339), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [38635] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    ACTIONS(1175), 1,
      anon_sym_not,
    ACTIONS(1177), 1,
      anon_sym_lambda,
    ACTIONS(1179), 1,
      anon_sym_await,
    STATE(834), 1,
      sym_python_string,
    STATE(867), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2554), 1,
      sym__named_expression_lhs,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [38737] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    ACTIONS(1175), 1,
      anon_sym_not,
    ACTIONS(1177), 1,
      anon_sym_lambda,
    ACTIONS(1179), 1,
      anon_sym_await,
    STATE(834), 1,
      sym_python_string,
    STATE(867), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1695), 1,
      sym_expression,
    STATE(2554), 1,
      sym__named_expression_lhs,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [38839] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    ACTIONS(1175), 1,
      anon_sym_not,
    ACTIONS(1177), 1,
      anon_sym_lambda,
    ACTIONS(1179), 1,
      anon_sym_await,
    STATE(834), 1,
      sym_python_string,
    STATE(867), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1526), 1,
      sym_expression,
    STATE(2554), 1,
      sym__named_expression_lhs,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [38941] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    ACTIONS(1175), 1,
      anon_sym_not,
    ACTIONS(1177), 1,
      anon_sym_lambda,
    ACTIONS(1179), 1,
      anon_sym_await,
    STATE(834), 1,
      sym_python_string,
    STATE(867), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1701), 1,
      sym_expression,
    STATE(2554), 1,
      sym__named_expression_lhs,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [39043] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    ACTIONS(1175), 1,
      anon_sym_not,
    ACTIONS(1177), 1,
      anon_sym_lambda,
    ACTIONS(1179), 1,
      anon_sym_await,
    STATE(834), 1,
      sym_python_string,
    STATE(867), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1714), 1,
      sym_expression,
    STATE(2554), 1,
      sym__named_expression_lhs,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [39145] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    ACTIONS(1175), 1,
      anon_sym_not,
    ACTIONS(1177), 1,
      anon_sym_lambda,
    ACTIONS(1179), 1,
      anon_sym_await,
    STATE(834), 1,
      sym_python_string,
    STATE(867), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1720), 1,
      sym_expression,
    STATE(2554), 1,
      sym__named_expression_lhs,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [39247] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1677), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [39349] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1674), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [39451] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1349), 1,
      anon_sym_await,
    ACTIONS(1351), 1,
      anon_sym_type,
    ACTIONS(1353), 1,
      sym_python_identifier,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1803), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1400), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1347), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [39555] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1678), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [39657] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [39759] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1731), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [39861] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1681), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [39963] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1682), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [40065] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1684), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [40167] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1685), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [40269] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(941), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_type,
    ACTIONS(1119), 1,
      sym_python_identifier,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1810), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(933), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [40371] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(305), 1,
      anon_sym_COMMA,
    ACTIONS(1311), 1,
      sym_python_identifier,
    ACTIONS(1313), 1,
      sym_string_start,
    STATE(2163), 1,
      sym_python_string,
    ACTIONS(286), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(301), 10,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(290), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(303), 22,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_is,
  [40445] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1691), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [40547] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(558), 1,
      sym_identifier,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(935), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_lambda,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1357), 1,
      anon_sym_await,
    ACTIONS(1359), 1,
      anon_sym_type,
    ACTIONS(1361), 1,
      sym_python_identifier,
    STATE(878), 1,
      sym_python_string,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    STATE(1827), 1,
      sym_expression,
    STATE(2459), 1,
      sym__named_expression_lhs,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1383), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1355), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1604), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1316), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [40651] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1687), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [40753] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(595), 1,
      sym_identifier,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(699), 1,
      anon_sym_not,
    ACTIONS(701), 1,
      anon_sym_lambda,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_type,
    ACTIONS(897), 1,
      sym_python_identifier,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(884), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_python_string,
    STATE(1161), 1,
      sym_list_splat_pattern,
    STATE(1706), 1,
      sym_expression,
    STATE(2463), 1,
      sym__named_expression_lhs,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1676), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [40855] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1862), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [40957] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    ACTIONS(1175), 1,
      anon_sym_not,
    ACTIONS(1177), 1,
      anon_sym_lambda,
    ACTIONS(1179), 1,
      anon_sym_await,
    STATE(834), 1,
      sym_python_string,
    STATE(867), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1713), 1,
      sym_expression,
    STATE(2554), 1,
      sym__named_expression_lhs,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [41059] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1688), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [41161] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1845), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [41263] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_not,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(93), 1,
      anon_sym_lambda,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(321), 1,
      anon_sym_await,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(841), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1742), 1,
      sym_expression,
    STATE(2376), 1,
      sym__named_expression_lhs,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [41365] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(619), 1,
      sym_identifier,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(877), 1,
      anon_sym_not,
    ACTIONS(881), 1,
      anon_sym_lambda,
    ACTIONS(883), 1,
      anon_sym_await,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(1131), 1,
      sym_python_identifier,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1838), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1643), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [41467] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1880), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [41569] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1840), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [41671] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1620), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [41773] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1759), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [41875] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1702), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [41977] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1899), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [42079] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1824), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [42181] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1623), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [42283] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1905), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [42385] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1625), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [42487] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_await,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1779), 1,
      sym_expression,
    STATE(2426), 1,
      sym__named_expression_lhs,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [42589] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1655), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [42691] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [42793] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1913), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [42895] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1626), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [42997] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(651), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(675), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_lambda,
    ACTIONS(995), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      sym_python_identifier,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    STATE(1659), 1,
      sym_expression,
    STATE(2381), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(993), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1716), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [43099] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1898), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [43201] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1859), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [43303] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1627), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [43405] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(510), 1,
      sym_identifier,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(827), 1,
      anon_sym_not,
    ACTIONS(829), 1,
      anon_sym_lambda,
    ACTIONS(961), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_type,
    ACTIONS(965), 1,
      sym_python_identifier,
    STATE(837), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_python_string,
    STATE(1095), 1,
      sym_list_splat_pattern,
    STATE(1942), 1,
      sym_expression,
    STATE(2331), 1,
      sym__named_expression_lhs,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(959), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1632), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [43507] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1908), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [43609] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1628), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [43711] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1853), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [43813] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1634), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [43915] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1868), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [44017] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1881), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [44119] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1891), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [44221] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(534), 1,
      sym_identifier,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(725), 1,
      anon_sym_not,
    ACTIONS(729), 1,
      anon_sym_lambda,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      anon_sym_type,
    ACTIONS(737), 1,
      sym_python_identifier,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(842), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_python_string,
    STATE(1054), 1,
      sym_list_splat_pattern,
    STATE(1636), 1,
      sym_expression,
    STATE(2408), 1,
      sym__named_expression_lhs,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(723), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1635), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [44323] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1901), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [44425] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(865), 1,
      anon_sym_type,
    ACTIONS(1139), 1,
      sym_python_identifier,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1305), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1322), 1,
      sym_primary_expression,
    STATE(1907), 1,
      sym_expression,
    STATE(2545), 1,
      sym__named_expression_lhs,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1605), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [44527] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(109), 1,
      sym_identifier,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(323), 1,
      anon_sym_type,
    ACTIONS(325), 1,
      sym_python_identifier,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    ACTIONS(1175), 1,
      anon_sym_not,
    ACTIONS(1177), 1,
      anon_sym_lambda,
    ACTIONS(1179), 1,
      anon_sym_await,
    STATE(834), 1,
      sym_python_string,
    STATE(867), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1679), 1,
      sym_expression,
    STATE(2554), 1,
      sym__named_expression_lhs,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1532), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_as_pattern,
      sym_conditional_expression,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [44629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(305), 1,
      anon_sym_COMMA,
    ACTIONS(1363), 1,
      anon_sym_for,
    ACTIONS(1365), 1,
      anon_sym_with,
    ACTIONS(286), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(290), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(303), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 17,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [44700] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_EQ,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1375), 1,
      anon_sym_COLON,
    ACTIONS(1380), 1,
      anon_sym_COMMA,
    STATE(1863), 1,
      sym_type_parameter,
    ACTIONS(1371), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1383), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 16,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [44772] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      anon_sym_else,
    ACTIONS(1391), 1,
      anon_sym_except_STAR,
    ACTIONS(1393), 1,
      anon_sym_finally,
    STATE(616), 1,
      sym_else_clause,
    STATE(662), 1,
      sym_finally_clause,
    STATE(559), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1385), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1387), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [44842] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      anon_sym_else,
    ACTIONS(1393), 1,
      anon_sym_finally,
    ACTIONS(1399), 1,
      anon_sym_except,
    STATE(601), 1,
      sym_else_clause,
    STATE(670), 1,
      sym_finally_clause,
    STATE(558), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1395), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1397), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [44912] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      anon_sym_else,
    ACTIONS(1393), 1,
      anon_sym_finally,
    ACTIONS(1399), 1,
      anon_sym_except,
    STATE(616), 1,
      sym_else_clause,
    STATE(662), 1,
      sym_finally_clause,
    STATE(558), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1385), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1387), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [44982] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      anon_sym_else,
    ACTIONS(1391), 1,
      anon_sym_except_STAR,
    ACTIONS(1393), 1,
      anon_sym_finally,
    STATE(601), 1,
      sym_else_clause,
    STATE(670), 1,
      sym_finally_clause,
    STATE(559), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1395), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1397), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [45052] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1380), 1,
      anon_sym_COMMA,
    ACTIONS(1367), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1371), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1383), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 17,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [45117] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(286), 1,
      anon_sym_EQ,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(295), 1,
      anon_sym_COLON,
    ACTIONS(305), 1,
      anon_sym_COMMA,
    ACTIONS(290), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(303), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 17,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [45184] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(305), 1,
      anon_sym_COMMA,
    ACTIONS(286), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(290), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(303), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 17,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [45249] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(286), 1,
      anon_sym_EQ,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(295), 1,
      anon_sym_COLON,
    ACTIONS(305), 1,
      anon_sym_COMMA,
    ACTIONS(290), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(303), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 17,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [45316] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(305), 1,
      anon_sym_COMMA,
    ACTIONS(286), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(290), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(303), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 17,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [45381] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_EQ,
    ACTIONS(1380), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    ACTIONS(1371), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1383), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 17,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [45443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1408), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1403), 29,
      sym__newline,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45503] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_elif,
    ACTIONS(1417), 1,
      anon_sym_else,
    STATE(556), 1,
      aux_sym_if_statement_repeat1,
    STATE(610), 1,
      sym_elif_clause,
    STATE(659), 1,
      sym_else_clause,
    ACTIONS(1411), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1413), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [45569] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_EQ,
    ACTIONS(1425), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    ACTIONS(1421), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1428), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1423), 17,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [45631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_EQ,
    ACTIONS(1436), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    ACTIONS(1432), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1439), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1434), 17,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [45693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(471), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 29,
      sym__newline,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45753] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1441), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_LPAREN,
    ACTIONS(1445), 1,
      anon_sym_STAR,
    ACTIONS(1449), 1,
      anon_sym_await,
    ACTIONS(1451), 1,
      anon_sym_type,
    ACTIONS(1453), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1407), 1,
      sym_list_splat_pattern,
    STATE(1478), 1,
      sym_primary_expression,
    STATE(1911), 1,
      sym_pattern,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1405), 2,
      sym_attribute,
      sym_subscript,
    STATE(1932), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(801), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1447), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [45849] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1441), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_LPAREN,
    ACTIONS(1445), 1,
      anon_sym_STAR,
    ACTIONS(1449), 1,
      anon_sym_await,
    ACTIONS(1451), 1,
      anon_sym_type,
    ACTIONS(1453), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1407), 1,
      sym_list_splat_pattern,
    STATE(1478), 1,
      sym_primary_expression,
    STATE(1911), 1,
      sym_pattern,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1405), 2,
      sym_attribute,
      sym_subscript,
    STATE(1932), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(817), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1447), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [45945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(471), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 29,
      sym__newline,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46005] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_elif,
    ACTIONS(1417), 1,
      anon_sym_else,
    STATE(574), 1,
      aux_sym_if_statement_repeat1,
    STATE(610), 1,
      sym_elif_clause,
    STATE(665), 1,
      sym_else_clause,
    ACTIONS(1455), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1457), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [46071] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_elif,
    ACTIONS(1417), 1,
      anon_sym_else,
    STATE(563), 1,
      aux_sym_if_statement_repeat1,
    STATE(610), 1,
      sym_elif_clause,
    STATE(666), 1,
      sym_else_clause,
    ACTIONS(1459), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1461), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [46137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_except,
    STATE(558), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1463), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1465), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [46197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_except_STAR,
    STATE(559), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1470), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1472), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [46257] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_EQ,
    ACTIONS(1380), 1,
      anon_sym_COMMA,
    ACTIONS(1371), 14,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1383), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 17,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [46319] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_EQ,
    ACTIONS(1479), 1,
      anon_sym_COMMA,
    ACTIONS(1371), 14,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1482), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 17,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [46381] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_EQ,
    ACTIONS(1479), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    ACTIONS(1371), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1482), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 17,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [46443] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_elif,
    ACTIONS(1417), 1,
      anon_sym_else,
    STATE(574), 1,
      aux_sym_if_statement_repeat1,
    STATE(610), 1,
      sym_elif_clause,
    STATE(672), 1,
      sym_else_clause,
    ACTIONS(1484), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1486), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [46509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 16,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1490), 32,
      sym__newline,
      anon_sym_PLUS_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 16,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1494), 32,
      sym__newline,
      anon_sym_PLUS_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 16,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 32,
      sym__newline,
      anon_sym_PLUS_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 16,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 32,
      sym__newline,
      anon_sym_PLUS_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 16,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 32,
      sym__newline,
      anon_sym_PLUS_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 16,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 32,
      sym__newline,
      anon_sym_PLUS_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 16,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 32,
      sym__newline,
      anon_sym_PLUS_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_EQ,
    ACTIONS(1425), 1,
      anon_sym_COMMA,
    ACTIONS(1421), 14,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1428), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1423), 17,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [46963] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 1,
      anon_sym_PIPE,
    ACTIONS(1405), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1508), 2,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1401), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1408), 12,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1403), 28,
      sym__newline,
      anon_sym_PLUS_EQ,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_EQ,
    ACTIONS(1436), 1,
      anon_sym_COMMA,
    ACTIONS(1432), 14,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1439), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1434), 17,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [47089] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      anon_sym_elif,
    STATE(574), 1,
      aux_sym_if_statement_repeat1,
    STATE(610), 1,
      sym_elif_clause,
    ACTIONS(1512), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1514), 35,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [47150] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1519), 1,
      anon_sym_LBRACK,
    ACTIONS(1521), 1,
      anon_sym_LPAREN,
    ACTIONS(1523), 1,
      anon_sym_RPAREN,
    ACTIONS(1525), 1,
      anon_sym_STAR,
    ACTIONS(1529), 1,
      anon_sym_await,
    ACTIONS(1531), 1,
      anon_sym_type,
    ACTIONS(1533), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1438), 1,
      sym_list_splat_pattern,
    STATE(1449), 1,
      sym_primary_expression,
    STATE(2022), 1,
      sym_pattern,
    STATE(2494), 1,
      sym__patterns,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1474), 2,
      sym_attribute,
      sym_subscript,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1527), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [47246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1537), 37,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [47300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1541), 37,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [47354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 10,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1545), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [47408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1549), 37,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [47462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 10,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1553), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [47516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1557), 37,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [47570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 10,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1561), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [47624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1563), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1565), 37,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [47678] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1519), 1,
      anon_sym_LBRACK,
    ACTIONS(1521), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_STAR,
    ACTIONS(1529), 1,
      anon_sym_await,
    ACTIONS(1531), 1,
      anon_sym_type,
    ACTIONS(1533), 1,
      sym_python_identifier,
    ACTIONS(1567), 1,
      anon_sym_RPAREN,
    STATE(860), 1,
      sym_python_string,
    STATE(1438), 1,
      sym_list_splat_pattern,
    STATE(1449), 1,
      sym_primary_expression,
    STATE(2022), 1,
      sym_pattern,
    STATE(2467), 1,
      sym__patterns,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1474), 2,
      sym_attribute,
      sym_subscript,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1527), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [47774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 10,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1571), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [47828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 10,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1575), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [47882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1575), 37,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [47936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 10,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1579), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [47990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 10,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1537), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [48044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1581), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1583), 37,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [48098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1585), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1587), 37,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [48152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 10,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1591), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [48206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 10,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1595), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [48260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1579), 37,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [48314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1595), 37,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [48368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1571), 37,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [48422] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1519), 1,
      anon_sym_LBRACK,
    ACTIONS(1521), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_STAR,
    ACTIONS(1529), 1,
      anon_sym_await,
    ACTIONS(1531), 1,
      anon_sym_type,
    ACTIONS(1533), 1,
      sym_python_identifier,
    ACTIONS(1597), 1,
      anon_sym_RPAREN,
    STATE(860), 1,
      sym_python_string,
    STATE(1438), 1,
      sym_list_splat_pattern,
    STATE(1449), 1,
      sym_primary_expression,
    STATE(2230), 1,
      sym_pattern,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1474), 2,
      sym_attribute,
      sym_subscript,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1527), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [48515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1595), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [48568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1537), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [48621] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1599), 1,
      anon_sym_LBRACK,
    ACTIONS(1601), 1,
      anon_sym_LPAREN,
    ACTIONS(1603), 1,
      anon_sym_STAR,
    ACTIONS(1607), 1,
      anon_sym_await,
    ACTIONS(1609), 1,
      anon_sym_type,
    ACTIONS(1611), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    STATE(2187), 1,
      sym_pattern,
    STATE(2508), 1,
      sym_pattern_list,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1436), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1605), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [48714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 1,
      anon_sym_finally,
    STATE(675), 1,
      sym_finally_clause,
    ACTIONS(1613), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1615), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [48771] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1599), 1,
      anon_sym_LBRACK,
    ACTIONS(1601), 1,
      anon_sym_LPAREN,
    ACTIONS(1603), 1,
      anon_sym_STAR,
    ACTIONS(1607), 1,
      anon_sym_await,
    ACTIONS(1609), 1,
      anon_sym_type,
    ACTIONS(1611), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    STATE(2206), 1,
      sym_pattern,
    STATE(2537), 1,
      sym_pattern_list,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1436), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1605), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [48864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_else,
    STATE(677), 1,
      sym_else_clause,
    ACTIONS(1617), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1619), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [48921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_else,
    STATE(678), 1,
      sym_else_clause,
    ACTIONS(1621), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1623), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [48978] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1597), 1,
      anon_sym_RBRACK,
    ACTIONS(1625), 1,
      anon_sym_LBRACK,
    ACTIONS(1627), 1,
      anon_sym_LPAREN,
    ACTIONS(1629), 1,
      anon_sym_STAR,
    ACTIONS(1633), 1,
      anon_sym_await,
    ACTIONS(1635), 1,
      anon_sym_type,
    ACTIONS(1637), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1458), 1,
      sym_primary_expression,
    STATE(1475), 1,
      sym_list_splat_pattern,
    STATE(2304), 1,
      sym_pattern,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1472), 2,
      sym_attribute,
      sym_subscript,
    STATE(2286), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1631), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [49071] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1599), 1,
      anon_sym_LBRACK,
    ACTIONS(1601), 1,
      anon_sym_LPAREN,
    ACTIONS(1603), 1,
      anon_sym_STAR,
    ACTIONS(1607), 1,
      anon_sym_await,
    ACTIONS(1609), 1,
      anon_sym_type,
    ACTIONS(1611), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    STATE(2008), 1,
      sym_pattern,
    STATE(2334), 1,
      sym_pattern_list,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1436), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1605), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [49164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1641), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [49217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1571), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [49270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_else,
    STATE(646), 1,
      sym_else_clause,
    ACTIONS(1643), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1645), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [49327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1649), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [49380] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1599), 1,
      anon_sym_LBRACK,
    ACTIONS(1601), 1,
      anon_sym_LPAREN,
    ACTIONS(1603), 1,
      anon_sym_STAR,
    ACTIONS(1607), 1,
      anon_sym_await,
    ACTIONS(1609), 1,
      anon_sym_type,
    ACTIONS(1611), 1,
      sym_python_identifier,
    ACTIONS(1651), 1,
      anon_sym_in,
    STATE(860), 1,
      sym_python_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    STATE(1490), 1,
      sym_pattern,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1436), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1605), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [49473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1655), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [49526] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1599), 1,
      anon_sym_LBRACK,
    ACTIONS(1601), 1,
      anon_sym_LPAREN,
    ACTIONS(1603), 1,
      anon_sym_STAR,
    ACTIONS(1607), 1,
      anon_sym_await,
    ACTIONS(1609), 1,
      anon_sym_type,
    ACTIONS(1611), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    STATE(2185), 1,
      sym_pattern,
    STATE(2505), 1,
      sym_pattern_list,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1436), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1605), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [49619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_else,
    STATE(668), 1,
      sym_else_clause,
    ACTIONS(1657), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1659), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [49676] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1599), 1,
      anon_sym_LBRACK,
    ACTIONS(1601), 1,
      anon_sym_LPAREN,
    ACTIONS(1603), 1,
      anon_sym_STAR,
    ACTIONS(1607), 1,
      anon_sym_await,
    ACTIONS(1609), 1,
      anon_sym_type,
    ACTIONS(1611), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    STATE(2203), 1,
      sym_pattern,
    STATE(2539), 1,
      sym_pattern_list,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1436), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1605), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [49769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 1,
      anon_sym_finally,
    STATE(669), 1,
      sym_finally_clause,
    ACTIONS(1661), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1663), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [49826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_else,
    STATE(661), 1,
      sym_else_clause,
    ACTIONS(1665), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1667), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [49883] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1599), 1,
      anon_sym_LBRACK,
    ACTIONS(1601), 1,
      anon_sym_LPAREN,
    ACTIONS(1603), 1,
      anon_sym_STAR,
    ACTIONS(1607), 1,
      anon_sym_await,
    ACTIONS(1609), 1,
      anon_sym_type,
    ACTIONS(1611), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    STATE(2161), 1,
      sym_pattern,
    STATE(2400), 1,
      sym_pattern_list,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1436), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1605), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [49976] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1599), 1,
      anon_sym_LBRACK,
    ACTIONS(1601), 1,
      anon_sym_LPAREN,
    ACTIONS(1603), 1,
      anon_sym_STAR,
    ACTIONS(1607), 1,
      anon_sym_await,
    ACTIONS(1609), 1,
      anon_sym_type,
    ACTIONS(1611), 1,
      sym_python_identifier,
    ACTIONS(1669), 1,
      anon_sym_in,
    STATE(860), 1,
      sym_python_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    STATE(1490), 1,
      sym_pattern,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1436), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1605), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [50069] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1519), 1,
      anon_sym_LBRACK,
    ACTIONS(1521), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_STAR,
    ACTIONS(1529), 1,
      anon_sym_await,
    ACTIONS(1531), 1,
      anon_sym_type,
    ACTIONS(1533), 1,
      sym_python_identifier,
    ACTIONS(1671), 1,
      anon_sym_RPAREN,
    STATE(860), 1,
      sym_python_string,
    STATE(1438), 1,
      sym_list_splat_pattern,
    STATE(1449), 1,
      sym_primary_expression,
    STATE(2230), 1,
      sym_pattern,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1474), 2,
      sym_attribute,
      sym_subscript,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1527), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [50162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1575), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [50215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_else,
    STATE(673), 1,
      sym_else_clause,
    ACTIONS(1673), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1675), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [50272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1579), 36,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [50325] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1599), 1,
      anon_sym_LBRACK,
    ACTIONS(1601), 1,
      anon_sym_LPAREN,
    ACTIONS(1603), 1,
      anon_sym_STAR,
    ACTIONS(1607), 1,
      anon_sym_await,
    ACTIONS(1609), 1,
      anon_sym_type,
    ACTIONS(1611), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    STATE(1986), 1,
      sym_pattern,
    STATE(2483), 1,
      sym_pattern_list,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1436), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1605), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [50418] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1599), 1,
      anon_sym_LBRACK,
    ACTIONS(1601), 1,
      anon_sym_LPAREN,
    ACTIONS(1603), 1,
      anon_sym_STAR,
    ACTIONS(1607), 1,
      anon_sym_await,
    ACTIONS(1609), 1,
      anon_sym_type,
    ACTIONS(1611), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    STATE(2179), 1,
      sym_pattern,
    STATE(2486), 1,
      sym_pattern_list,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1436), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1605), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [50511] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1625), 1,
      anon_sym_LBRACK,
    ACTIONS(1627), 1,
      anon_sym_LPAREN,
    ACTIONS(1629), 1,
      anon_sym_STAR,
    ACTIONS(1633), 1,
      anon_sym_await,
    ACTIONS(1635), 1,
      anon_sym_type,
    ACTIONS(1637), 1,
      sym_python_identifier,
    ACTIONS(1671), 1,
      anon_sym_RBRACK,
    STATE(860), 1,
      sym_python_string,
    STATE(1458), 1,
      sym_primary_expression,
    STATE(1475), 1,
      sym_list_splat_pattern,
    STATE(2304), 1,
      sym_pattern,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1472), 2,
      sym_attribute,
      sym_subscript,
    STATE(2286), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1631), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [50604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1679), 35,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [50656] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1441), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_LPAREN,
    ACTIONS(1445), 1,
      anon_sym_STAR,
    ACTIONS(1449), 1,
      anon_sym_await,
    ACTIONS(1451), 1,
      anon_sym_type,
    ACTIONS(1453), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1407), 1,
      sym_list_splat_pattern,
    STATE(1478), 1,
      sym_primary_expression,
    STATE(1911), 1,
      sym_pattern,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1405), 2,
      sym_attribute,
      sym_subscript,
    STATE(1932), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1447), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [50746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1537), 35,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [50798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1579), 35,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [50850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1575), 35,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [50902] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(803), 1,
      anon_sym_LBRACK,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(811), 1,
      anon_sym_await,
    ACTIONS(813), 1,
      anon_sym_type,
    ACTIONS(815), 1,
      sym_python_identifier,
    ACTIONS(1681), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1306), 1,
      sym_list_splat_pattern,
    STATE(1434), 1,
      sym_pattern,
    STATE(1467), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1305), 2,
      sym_attribute,
      sym_subscript,
    STATE(1462), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(809), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [50992] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1519), 1,
      anon_sym_LBRACK,
    ACTIONS(1521), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_STAR,
    ACTIONS(1529), 1,
      anon_sym_await,
    ACTIONS(1531), 1,
      anon_sym_type,
    ACTIONS(1533), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1438), 1,
      sym_list_splat_pattern,
    STATE(1449), 1,
      sym_primary_expression,
    STATE(2230), 1,
      sym_pattern,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1474), 2,
      sym_attribute,
      sym_subscript,
    STATE(2259), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1527), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [51082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1579), 35,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [51134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1571), 35,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [51186] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1625), 1,
      anon_sym_LBRACK,
    ACTIONS(1627), 1,
      anon_sym_LPAREN,
    ACTIONS(1629), 1,
      anon_sym_STAR,
    ACTIONS(1633), 1,
      anon_sym_await,
    ACTIONS(1635), 1,
      anon_sym_type,
    ACTIONS(1637), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1458), 1,
      sym_primary_expression,
    STATE(1475), 1,
      sym_list_splat_pattern,
    STATE(2304), 1,
      sym_pattern,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1472), 2,
      sym_attribute,
      sym_subscript,
    STATE(2286), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1631), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [51276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1537), 35,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [51328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1595), 35,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [51380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1571), 35,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [51432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1575), 35,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [51484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1595), 35,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [51536] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1599), 1,
      anon_sym_LBRACK,
    ACTIONS(1601), 1,
      anon_sym_LPAREN,
    ACTIONS(1603), 1,
      anon_sym_STAR,
    ACTIONS(1607), 1,
      anon_sym_await,
    ACTIONS(1609), 1,
      anon_sym_type,
    ACTIONS(1611), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    STATE(1490), 1,
      sym_pattern,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1436), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1605), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [51626] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(911), 1,
      anon_sym_LBRACK,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(919), 1,
      anon_sym_await,
    ACTIONS(921), 1,
      anon_sym_type,
    ACTIONS(923), 1,
      sym_python_identifier,
    ACTIONS(1683), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1473), 1,
      sym_primary_expression,
    STATE(1490), 1,
      sym_pattern,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1385), 2,
      sym_attribute,
      sym_subscript,
    STATE(1488), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(917), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [51716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1687), 35,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [51768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1691), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [51819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1695), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [51870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1699), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [51921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1703), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [51972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1595), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1579), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1575), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1537), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1571), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52227] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1711), 1,
      anon_sym_await,
    ACTIONS(1713), 1,
      anon_sym_type,
    ACTIONS(1715), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1449), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1705), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1424), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1709), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [52314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1719), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1721), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1723), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1387), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1725), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1727), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1729), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1731), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1735), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1737), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1739), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1663), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1397), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1743), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1747), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1751), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1755), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [52977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1759), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [53028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1763), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [53079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1615), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [53130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1687), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [53181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1765), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1767), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [53232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1769), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1771), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [53283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1775), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [53334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1779), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [53385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1679), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [53436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1783), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [53487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1785), 9,
      sym__dedent,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
    ACTIONS(1787), 34,
      anon_sym_def,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_not,
      anon_sym_DASH,
      anon_sym_lambda,
      anon_sym_yield,
      anon_sym_await,
      anon_sym_match,
      anon_sym_type,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
      sym_identifier,
  [53538] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1791), 1,
      anon_sym_await,
    ACTIONS(1793), 1,
      anon_sym_type,
    ACTIONS(1795), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1705), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(1457), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1789), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [53625] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(617), 1,
      anon_sym_await,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    ACTIONS(1797), 1,
      anon_sym_not,
    STATE(991), 1,
      sym_python_string,
    STATE(1084), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(619), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [53705] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(593), 1,
      anon_sym_await,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    ACTIONS(1799), 1,
      anon_sym_not,
    STATE(892), 1,
      sym_python_string,
    STATE(998), 1,
      sym_primary_expression,
    STATE(1161), 1,
      sym_list_splat_pattern,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(595), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [53785] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    ACTIONS(1801), 1,
      anon_sym_not,
    STATE(834), 1,
      sym_python_string,
    STATE(882), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [53865] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    ACTIONS(1803), 1,
      anon_sym_not,
    STATE(845), 1,
      sym_python_string,
    STATE(973), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(651), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(641), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [53945] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(573), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    ACTIONS(1805), 1,
      anon_sym_not,
    STATE(834), 1,
      sym_python_string,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(978), 1,
      sym_primary_expression,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [54025] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(508), 1,
      anon_sym_await,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    ACTIONS(1807), 1,
      anon_sym_not,
    STATE(843), 1,
      sym_python_string,
    STATE(880), 1,
      sym_primary_expression,
    STATE(1095), 1,
      sym_list_splat_pattern,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(510), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(500), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [54105] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(532), 1,
      anon_sym_await,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    ACTIONS(1809), 1,
      anon_sym_not,
    STATE(844), 1,
      sym_python_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1054), 1,
      sym_list_splat_pattern,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(534), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(524), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [54185] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1811), 1,
      anon_sym_not,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1348), 1,
      sym_primary_expression,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [54265] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(556), 1,
      anon_sym_await,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1813), 1,
      anon_sym_not,
    STATE(878), 1,
      sym_python_string,
    STATE(1000), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(558), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(548), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [54345] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_await,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    ACTIONS(1815), 1,
      anon_sym_not,
    STATE(860), 1,
      sym_python_string,
    STATE(1059), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [54425] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(532), 1,
      anon_sym_await,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(844), 1,
      sym_python_string,
    STATE(899), 1,
      sym_primary_expression,
    STATE(1054), 1,
      sym_list_splat_pattern,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(534), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(524), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [54502] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_await,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1140), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [54579] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(508), 1,
      anon_sym_await,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    STATE(843), 1,
      sym_python_string,
    STATE(872), 1,
      sym_primary_expression,
    STATE(1095), 1,
      sym_list_splat_pattern,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(510), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(500), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [54656] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(508), 1,
      anon_sym_await,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    STATE(843), 1,
      sym_python_string,
    STATE(873), 1,
      sym_primary_expression,
    STATE(1095), 1,
      sym_list_splat_pattern,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(510), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(500), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [54733] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(508), 1,
      anon_sym_await,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    STATE(843), 1,
      sym_python_string,
    STATE(853), 1,
      sym_primary_expression,
    STATE(1095), 1,
      sym_list_splat_pattern,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(510), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(500), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [54810] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(508), 1,
      anon_sym_await,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    STATE(843), 1,
      sym_python_string,
    STATE(850), 1,
      sym_primary_expression,
    STATE(1095), 1,
      sym_list_splat_pattern,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(510), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(500), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [54887] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_await,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1142), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [54964] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_await,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1143), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [55041] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_await,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [55118] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(617), 1,
      anon_sym_await,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1130), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(619), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [55195] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(617), 1,
      anon_sym_await,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1131), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(619), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [55272] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1348), 1,
      sym_primary_expression,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [55349] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(617), 1,
      anon_sym_await,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1134), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(619), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [55426] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(617), 1,
      anon_sym_await,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1136), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(619), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [55503] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(617), 1,
      anon_sym_await,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1137), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(619), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [55580] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(617), 1,
      anon_sym_await,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1138), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(619), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [55657] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(617), 1,
      anon_sym_await,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1139), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(619), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [55734] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_await,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1145), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [55811] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(556), 1,
      anon_sym_await,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(1000), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(558), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(548), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [55888] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_await,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1148), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [55965] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(556), 1,
      anon_sym_await,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(558), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(548), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [56042] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(556), 1,
      anon_sym_await,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(1009), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(558), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(548), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [56119] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_await,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1059), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [56196] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_await,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1060), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [56273] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_await,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1061), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [56350] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1331), 1,
      sym_primary_expression,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [56427] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1332), 1,
      sym_primary_expression,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [56504] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(508), 1,
      anon_sym_await,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    STATE(843), 1,
      sym_python_string,
    STATE(862), 1,
      sym_primary_expression,
    STATE(1095), 1,
      sym_list_splat_pattern,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(510), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(500), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [56581] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(573), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(1012), 1,
      sym_primary_expression,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [56658] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(573), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(960), 1,
      sym_primary_expression,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [56735] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(573), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(961), 1,
      sym_primary_expression,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [56812] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(573), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(962), 1,
      sym_primary_expression,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [56889] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1819), 1,
      anon_sym_await,
    ACTIONS(1821), 1,
      anon_sym_type,
    ACTIONS(1823), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1478), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1047), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1817), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [56972] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(573), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(963), 1,
      sym_primary_expression,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [57049] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1827), 1,
      anon_sym_await,
    ACTIONS(1829), 1,
      anon_sym_type,
    ACTIONS(1831), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1481), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1362), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [57132] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(593), 1,
      anon_sym_await,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(892), 1,
      sym_python_string,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1161), 1,
      sym_list_splat_pattern,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(595), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [57209] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(508), 1,
      anon_sym_await,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    STATE(843), 1,
      sym_python_string,
    STATE(863), 1,
      sym_primary_expression,
    STATE(1095), 1,
      sym_list_splat_pattern,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(510), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(500), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [57286] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(651), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(641), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [57363] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(573), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(964), 1,
      sym_primary_expression,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [57440] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1835), 1,
      anon_sym_await,
    ACTIONS(1837), 1,
      anon_sym_type,
    ACTIONS(1839), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1470), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(966), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1833), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [57523] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(556), 1,
      anon_sym_await,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(908), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(558), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(548), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [57600] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(556), 1,
      anon_sym_await,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(909), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(558), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(548), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [57677] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(556), 1,
      anon_sym_await,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(910), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(558), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(548), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [57754] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(556), 1,
      anon_sym_await,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(911), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(558), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(548), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [57831] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(556), 1,
      anon_sym_await,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(912), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(558), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(548), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [57908] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(556), 1,
      anon_sym_await,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(913), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(558), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(548), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [57985] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(556), 1,
      anon_sym_await,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(914), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(558), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(548), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [58062] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(882), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [58139] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(573), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(965), 1,
      sym_primary_expression,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [58216] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(897), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [58293] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(898), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [58370] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(651), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(641), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [58447] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1843), 1,
      anon_sym_await,
    ACTIONS(1845), 1,
      anon_sym_type,
    ACTIONS(1847), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1458), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1211), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1841), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [58530] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(532), 1,
      anon_sym_await,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(844), 1,
      sym_python_string,
    STATE(854), 1,
      sym_primary_expression,
    STATE(1054), 1,
      sym_list_splat_pattern,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(534), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(524), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [58607] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(973), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(651), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(641), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [58684] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1827), 1,
      anon_sym_await,
    ACTIONS(1829), 1,
      anon_sym_type,
    ACTIONS(1849), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1481), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1362), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [58767] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(532), 1,
      anon_sym_await,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(844), 1,
      sym_python_string,
    STATE(856), 1,
      sym_primary_expression,
    STATE(1054), 1,
      sym_list_splat_pattern,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(534), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(524), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [58844] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(532), 1,
      anon_sym_await,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(844), 1,
      sym_python_string,
    STATE(859), 1,
      sym_primary_expression,
    STATE(1054), 1,
      sym_list_splat_pattern,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(534), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(524), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [58921] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(532), 1,
      anon_sym_await,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(844), 1,
      sym_python_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1054), 1,
      sym_list_splat_pattern,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(534), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(524), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [58998] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(532), 1,
      anon_sym_await,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(844), 1,
      sym_python_string,
    STATE(895), 1,
      sym_primary_expression,
    STATE(1054), 1,
      sym_list_splat_pattern,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(534), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(524), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [59075] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(593), 1,
      anon_sym_await,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(892), 1,
      sym_python_string,
    STATE(1006), 1,
      sym_primary_expression,
    STATE(1161), 1,
      sym_list_splat_pattern,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(595), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [59152] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(532), 1,
      anon_sym_await,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(844), 1,
      sym_python_string,
    STATE(896), 1,
      sym_primary_expression,
    STATE(1054), 1,
      sym_list_splat_pattern,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(534), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(524), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [59229] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(573), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(978), 1,
      sym_primary_expression,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [59306] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(593), 1,
      anon_sym_await,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(892), 1,
      sym_python_string,
    STATE(1007), 1,
      sym_primary_expression,
    STATE(1161), 1,
      sym_list_splat_pattern,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(595), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [59383] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(573), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(979), 1,
      sym_primary_expression,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [59460] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(573), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(980), 1,
      sym_primary_expression,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [59537] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(593), 1,
      anon_sym_await,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(892), 1,
      sym_python_string,
    STATE(1010), 1,
      sym_primary_expression,
    STATE(1161), 1,
      sym_list_splat_pattern,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(595), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [59614] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1853), 1,
      anon_sym_await,
    ACTIONS(1855), 1,
      anon_sym_type,
    ACTIONS(1857), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1461), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1269), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1851), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [59697] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1460), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [59774] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(532), 1,
      anon_sym_await,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(844), 1,
      sym_python_string,
    STATE(900), 1,
      sym_primary_expression,
    STATE(1054), 1,
      sym_list_splat_pattern,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(534), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(524), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [59851] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1861), 1,
      anon_sym_await,
    ACTIONS(1863), 1,
      anon_sym_type,
    ACTIONS(1865), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1467), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(548), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1859), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [59934] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(532), 1,
      anon_sym_await,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(844), 1,
      sym_python_string,
    STATE(871), 1,
      sym_primary_expression,
    STATE(1054), 1,
      sym_list_splat_pattern,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(534), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(524), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [60011] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1869), 1,
      anon_sym_await,
    ACTIONS(1871), 1,
      anon_sym_type,
    ACTIONS(1873), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1453), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1867), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [60094] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1447), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [60171] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(617), 1,
      anon_sym_await,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1098), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(619), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [60248] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(977), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(651), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(641), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [60325] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1353), 1,
      sym_primary_expression,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [60402] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1372), 1,
      sym_primary_expression,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [60479] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1877), 1,
      anon_sym_await,
    ACTIONS(1879), 1,
      anon_sym_type,
    ACTIONS(1881), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1449), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1298), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1875), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [60562] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(617), 1,
      anon_sym_await,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1118), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(619), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [60639] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1374), 1,
      sym_primary_expression,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [60716] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1333), 1,
      sym_primary_expression,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [60793] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_await,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1135), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [60870] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1352), 1,
      sym_primary_expression,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [60947] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1354), 1,
      sym_primary_expression,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [61024] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1355), 1,
      sym_primary_expression,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [61101] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(651), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(641), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [61178] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1885), 1,
      anon_sym_await,
    ACTIONS(1887), 1,
      anon_sym_type,
    ACTIONS(1889), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1186), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1883), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [61261] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(532), 1,
      anon_sym_await,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(844), 1,
      sym_python_string,
    STATE(893), 1,
      sym_primary_expression,
    STATE(1054), 1,
      sym_list_splat_pattern,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(534), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(524), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [61338] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(956), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(651), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(641), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [61415] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1893), 1,
      anon_sym_await,
    ACTIONS(1895), 1,
      anon_sym_type,
    ACTIONS(1897), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1027), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1891), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [61498] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_LPAREN,
    ACTIONS(544), 1,
      anon_sym_LBRACE,
    ACTIONS(552), 1,
      anon_sym_DASH,
    ACTIONS(554), 1,
      sym_ellipsis,
    ACTIONS(556), 1,
      anon_sym_await,
    ACTIONS(562), 1,
      sym_string_start,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    STATE(878), 1,
      sym_python_string,
    STATE(904), 1,
      sym_primary_expression,
    STATE(1321), 1,
      sym_list_splat_pattern,
    ACTIONS(550), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(558), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(548), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(560), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [61575] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(508), 1,
      anon_sym_await,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    STATE(843), 1,
      sym_python_string,
    STATE(861), 1,
      sym_primary_expression,
    STATE(1095), 1,
      sym_list_splat_pattern,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(510), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(500), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [61652] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1887), 1,
      anon_sym_type,
    ACTIONS(1899), 1,
      anon_sym_await,
    ACTIONS(1901), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1186), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1883), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [61735] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1905), 1,
      anon_sym_await,
    ACTIONS(1907), 1,
      anon_sym_type,
    ACTIONS(1909), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1449), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1421), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1903), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [61818] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACE,
    ACTIONS(528), 1,
      anon_sym_DASH,
    ACTIONS(530), 1,
      sym_ellipsis,
    ACTIONS(532), 1,
      anon_sym_await,
    ACTIONS(538), 1,
      sym_string_start,
    ACTIONS(1133), 1,
      anon_sym_STAR,
    STATE(844), 1,
      sym_python_string,
    STATE(894), 1,
      sym_primary_expression,
    STATE(1054), 1,
      sym_list_splat_pattern,
    ACTIONS(526), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(534), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(524), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(536), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1150), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [61895] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(593), 1,
      anon_sym_await,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(892), 1,
      sym_python_string,
    STATE(906), 1,
      sym_primary_expression,
    STATE(1161), 1,
      sym_list_splat_pattern,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(595), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [61972] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1855), 1,
      anon_sym_type,
    ACTIONS(1857), 1,
      sym_python_identifier,
    ACTIONS(1911), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1449), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1269), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1851), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [62055] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_DASH,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1334), 1,
      sym_primary_expression,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(659), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [62132] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(593), 1,
      anon_sym_await,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(892), 1,
      sym_python_string,
    STATE(907), 1,
      sym_primary_expression,
    STATE(1161), 1,
      sym_list_splat_pattern,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(595), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [62209] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(508), 1,
      anon_sym_await,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    STATE(843), 1,
      sym_python_string,
    STATE(852), 1,
      sym_primary_expression,
    STATE(1095), 1,
      sym_list_splat_pattern,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(510), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(500), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [62286] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(903), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(651), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(641), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [62363] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(508), 1,
      anon_sym_await,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    STATE(843), 1,
      sym_python_string,
    STATE(851), 1,
      sym_primary_expression,
    STATE(1095), 1,
      sym_list_splat_pattern,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(510), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(500), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [62440] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(983), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(651), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(641), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [62517] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1887), 1,
      anon_sym_type,
    ACTIONS(1889), 1,
      sym_python_identifier,
    ACTIONS(1913), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1186), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1883), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [62600] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(902), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [62677] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(922), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(651), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(641), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [62754] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(508), 1,
      anon_sym_await,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    STATE(843), 1,
      sym_python_string,
    STATE(880), 1,
      sym_primary_expression,
    STATE(1095), 1,
      sym_list_splat_pattern,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(510), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(500), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [62831] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(924), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(651), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(641), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [62908] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1853), 1,
      anon_sym_await,
    ACTIONS(1855), 1,
      anon_sym_type,
    ACTIONS(1915), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1461), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1269), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1851), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [62991] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1861), 1,
      anon_sym_await,
    ACTIONS(1863), 1,
      anon_sym_type,
    ACTIONS(1917), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1467), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(548), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1859), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [63074] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_DASH,
    ACTIONS(631), 1,
      anon_sym_await,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1085), 1,
      sym_primary_expression,
    STATE(1179), 1,
      sym_list_splat_pattern,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(627), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [63151] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(647), 1,
      sym_ellipsis,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(655), 1,
      sym_string_start,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    STATE(845), 1,
      sym_python_string,
    STATE(981), 1,
      sym_primary_expression,
    STATE(1188), 1,
      sym_list_splat_pattern,
    ACTIONS(643), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(651), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(641), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(653), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1309), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [63228] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(885), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [63305] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1887), 1,
      anon_sym_type,
    ACTIONS(1889), 1,
      sym_python_identifier,
    ACTIONS(1919), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1186), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1883), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [63388] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_DASH,
    ACTIONS(573), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(917), 1,
      sym_list_splat_pattern,
    STATE(974), 1,
      sym_primary_expression,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(569), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [63465] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(886), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [63542] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1887), 1,
      anon_sym_type,
    ACTIONS(1889), 1,
      sym_python_identifier,
    ACTIONS(1899), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1439), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1186), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1883), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [63625] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1835), 1,
      anon_sym_await,
    ACTIONS(1837), 1,
      anon_sym_type,
    ACTIONS(1921), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1470), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(966), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1833), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [63708] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1837), 1,
      anon_sym_type,
    ACTIONS(1921), 1,
      sym_python_identifier,
    ACTIONS(1923), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1470), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(966), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1833), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [63791] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1821), 1,
      anon_sym_type,
    ACTIONS(1823), 1,
      sym_python_identifier,
    ACTIONS(1925), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1478), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1047), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1817), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [63874] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1929), 1,
      anon_sym_await,
    ACTIONS(1931), 1,
      anon_sym_type,
    ACTIONS(1933), 1,
      sym_python_identifier,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1473), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1401), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1927), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [63957] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1829), 1,
      anon_sym_type,
    ACTIONS(1831), 1,
      sym_python_identifier,
    ACTIONS(1935), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1458), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1362), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [64040] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(486), 1,
      sym_identifier,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1863), 1,
      anon_sym_type,
    ACTIONS(1917), 1,
      sym_python_identifier,
    ACTIONS(1937), 1,
      anon_sym_await,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1467), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(548), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(1859), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 5,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [64123] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(887), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [64200] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(888), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [64277] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(889), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [64354] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(890), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [64431] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      anon_sym_DASH,
    ACTIONS(97), 1,
      sym_ellipsis,
    ACTIONS(113), 1,
      sym_string_start,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym_python_string,
    STATE(891), 1,
      sym_primary_expression,
    STATE(917), 1,
      sym_list_splat_pattern,
    ACTIONS(89), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(109), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(457), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(105), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(915), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [64508] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(593), 1,
      anon_sym_await,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(892), 1,
      sym_python_string,
    STATE(995), 1,
      sym_primary_expression,
    STATE(1161), 1,
      sym_list_splat_pattern,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(595), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [64585] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(593), 1,
      anon_sym_await,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(892), 1,
      sym_python_string,
    STATE(997), 1,
      sym_primary_expression,
    STATE(1161), 1,
      sym_list_splat_pattern,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(595), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [64662] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(593), 1,
      anon_sym_await,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(892), 1,
      sym_python_string,
    STATE(998), 1,
      sym_primary_expression,
    STATE(1161), 1,
      sym_list_splat_pattern,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(595), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [64739] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(593), 1,
      anon_sym_await,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(892), 1,
      sym_python_string,
    STATE(1001), 1,
      sym_primary_expression,
    STATE(1161), 1,
      sym_list_splat_pattern,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(595), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [64816] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_LBRACK,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      sym_ellipsis,
    ACTIONS(593), 1,
      anon_sym_await,
    ACTIONS(599), 1,
      sym_string_start,
    ACTIONS(1089), 1,
      anon_sym_STAR,
    STATE(892), 1,
      sym_python_string,
    STATE(1003), 1,
      sym_primary_expression,
    STATE(1161), 1,
      sym_list_splat_pattern,
    ACTIONS(587), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(595), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(597), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1274), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [64893] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1465), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [64970] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1471), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [65047] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(617), 1,
      anon_sym_await,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1084), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(619), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [65124] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1479), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [65201] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1480), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [65278] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1476), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [65355] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(496), 1,
      anon_sym_LBRACE,
    ACTIONS(504), 1,
      anon_sym_DASH,
    ACTIONS(506), 1,
      sym_ellipsis,
    ACTIONS(508), 1,
      anon_sym_await,
    ACTIONS(514), 1,
      sym_string_start,
    ACTIONS(823), 1,
      anon_sym_STAR,
    STATE(843), 1,
      sym_python_string,
    STATE(858), 1,
      sym_primary_expression,
    STATE(1095), 1,
      sym_list_splat_pattern,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(510), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(500), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(512), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1079), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [65432] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(478), 1,
      anon_sym_DASH,
    ACTIONS(482), 1,
      sym_ellipsis,
    ACTIONS(484), 1,
      anon_sym_await,
    ACTIONS(490), 1,
      sym_string_start,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_python_string,
    STATE(1179), 1,
      sym_list_splat_pattern,
    STATE(1446), 1,
      sym_primary_expression,
    ACTIONS(480), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(486), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(476), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(488), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [65509] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(613), 1,
      anon_sym_DASH,
    ACTIONS(615), 1,
      sym_ellipsis,
    ACTIONS(617), 1,
      anon_sym_await,
    ACTIONS(623), 1,
      sym_string_start,
    ACTIONS(1163), 1,
      anon_sym_STAR,
    STATE(991), 1,
      sym_python_string,
    STATE(1097), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(611), 2,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(619), 2,
      anon_sym_type,
      sym_identifier,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_exec,
      anon_sym_async,
      anon_sym_match,
    ACTIONS(621), 6,
      sym_integer,
      sym_float,
      sym_true,
      sym_false,
      sym_none,
      sym_python_identifier,
    STATE(1378), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_concatenated_string,
      sym_await,
  [65586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      sym_string_start,
    STATE(833), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1939), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1941), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(113), 1,
      sym_string_start,
    STATE(835), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1383), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(113), 1,
      sym_string_start,
    STATE(833), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1946), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1948), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 1,
      sym_string_start,
    STATE(836), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1939), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1941), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65789] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_EQ,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1959), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(1969), 1,
      anon_sym_not,
    ACTIONS(1975), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1977), 1,
      anon_sym_PIPE,
    ACTIONS(1979), 1,
      anon_sym_AMP,
    ACTIONS(1981), 1,
      anon_sym_CARET,
    ACTIONS(1985), 1,
      anon_sym_is,
    STATE(1417), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1965), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1983), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1052), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1973), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1967), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1957), 8,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [65869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(538), 1,
      sym_string_start,
    STATE(836), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1946), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1948), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(514), 1,
      sym_string_start,
    STATE(840), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1946), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1948), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [65969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 1,
      sym_string_start,
    STATE(840), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1939), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1941), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [66019] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2002), 1,
      anon_sym_not,
    ACTIONS(2008), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2010), 1,
      anon_sym_PIPE,
    ACTIONS(2012), 1,
      anon_sym_AMP,
    ACTIONS(2014), 1,
      anon_sym_CARET,
    ACTIONS(2018), 1,
      anon_sym_is,
    STATE(1402), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1996), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2004), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2016), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2006), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2000), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1957), 8,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [66099] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_as,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2022), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    ACTIONS(2032), 1,
      anon_sym_not,
    ACTIONS(2038), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2040), 1,
      anon_sym_PIPE,
    ACTIONS(2042), 1,
      anon_sym_AMP,
    ACTIONS(2044), 1,
      anon_sym_CARET,
    ACTIONS(2048), 1,
      anon_sym_is,
    STATE(1416), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2034), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1064), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2036), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2030), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1957), 8,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [66179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(514), 1,
      sym_string_start,
    STATE(839), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1383), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [66229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(538), 1,
      sym_string_start,
    STATE(838), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1383), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      sym_string_start,
    STATE(868), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1383), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2050), 1,
      sym_string_start,
    STATE(846), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1939), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1941), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      sym_string_start,
    STATE(847), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1939), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1941), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 1,
      sym_string_start,
    STATE(847), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1946), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1948), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66475] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_STAR_STAR,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2056), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2058), 26,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66530] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1959), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(1975), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1965), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1052), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1973), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 19,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [66593] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1959), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(1975), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1977), 1,
      anon_sym_PIPE,
    ACTIONS(1979), 1,
      anon_sym_AMP,
    ACTIONS(1981), 1,
      anon_sym_CARET,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1965), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1052), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1973), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2064), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2066), 16,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [66662] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1959), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(1975), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1052), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1973), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 21,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [66723] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1959), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(1975), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_CARET,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1965), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1052), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1973), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 18,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [66788] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2022), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    ACTIONS(2038), 1,
      anon_sym_STAR_STAR,
    STATE(1064), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2070), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2068), 26,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66843] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2022), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    ACTIONS(2038), 1,
      anon_sym_STAR_STAR,
    STATE(1064), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2056), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2058), 26,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66898] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2022), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    ACTIONS(2038), 1,
      anon_sym_STAR_STAR,
    STATE(1064), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 26,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2072), 1,
      sym_string_start,
    STATE(857), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1939), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1941), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67002] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1959), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(1975), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1052), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1973), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 23,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [67061] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2022), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    ACTIONS(2038), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1064), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2036), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 21,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(875), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1383), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67171] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1959), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(1975), 1,
      anon_sym_STAR_STAR,
    STATE(1052), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 26,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [67226] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1959), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(1975), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1977), 1,
      anon_sym_PIPE,
    ACTIONS(1979), 1,
      anon_sym_AMP,
    ACTIONS(1981), 1,
      anon_sym_CARET,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1965), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1052), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1973), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2075), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2077), 16,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [67295] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1959), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(1975), 1,
      anon_sym_STAR_STAR,
    STATE(1052), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2070), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2068), 26,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [67350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 32,
      sym__newline,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      sym_string_start,
    STATE(865), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1939), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1941), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 30,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67491] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2092), 1,
      anon_sym_not,
    ACTIONS(2098), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2100), 1,
      anon_sym_PIPE,
    ACTIONS(2102), 1,
      anon_sym_AMP,
    ACTIONS(2104), 1,
      anon_sym_CARET,
    ACTIONS(2108), 1,
      anon_sym_is,
    STATE(1427), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2086), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2088), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2094), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2106), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2090), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1957), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [67568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      sym_string_start,
    STATE(857), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1946), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1948), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67617] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_as,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2122), 1,
      anon_sym_not,
    ACTIONS(2128), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2130), 1,
      anon_sym_PIPE,
    ACTIONS(2132), 1,
      anon_sym_AMP,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2138), 1,
      anon_sym_is,
    STATE(1433), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2116), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2118), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2124), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2136), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1237), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2126), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2120), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1957), 7,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [67696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 30,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67743] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2022), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    ACTIONS(2038), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2034), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1064), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2036), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 19,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67806] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1959), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(1975), 1,
      anon_sym_STAR_STAR,
    STATE(1052), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 26,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [67861] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1959), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(1975), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1979), 1,
      anon_sym_AMP,
    ACTIONS(1981), 1,
      anon_sym_CARET,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1965), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1052), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1973), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 17,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [67928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2142), 32,
      sym__newline,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67973] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      sym_string_start,
    STATE(865), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1946), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1948), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68022] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2022), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    ACTIONS(2038), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2040), 1,
      anon_sym_PIPE,
    ACTIONS(2042), 1,
      anon_sym_AMP,
    ACTIONS(2044), 1,
      anon_sym_CARET,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2034), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1064), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2036), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2146), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2144), 16,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68091] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1959), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(1975), 1,
      anon_sym_STAR_STAR,
    STATE(1052), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2056), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2058), 26,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [68146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 1,
      sym_string_start,
    STATE(901), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1383), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68195] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_EQ,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
    ACTIONS(2152), 1,
      anon_sym_DOT,
    ACTIONS(2160), 1,
      anon_sym_not,
    ACTIONS(2166), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2168), 1,
      anon_sym_PIPE,
    ACTIONS(2170), 1,
      anon_sym_AMP,
    ACTIONS(2172), 1,
      anon_sym_CARET,
    ACTIONS(2176), 1,
      anon_sym_is,
    STATE(1404), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2154), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2156), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2162), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2174), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1242), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2164), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2158), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1957), 7,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [68274] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1959), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(1975), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1977), 1,
      anon_sym_PIPE,
    ACTIONS(1979), 1,
      anon_sym_AMP,
    ACTIONS(1981), 1,
      anon_sym_CARET,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1965), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1052), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1973), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2146), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2144), 16,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [68343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1383), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 30,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68390] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2010), 1,
      anon_sym_PIPE,
    ACTIONS(2012), 1,
      anon_sym_AMP,
    ACTIONS(2014), 1,
      anon_sym_CARET,
    ACTIONS(1996), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2004), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2006), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2146), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2144), 16,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68459] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(2002), 1,
      anon_sym_not,
    ACTIONS(2008), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2010), 1,
      anon_sym_PIPE,
    ACTIONS(2012), 1,
      anon_sym_AMP,
    ACTIONS(2014), 1,
      anon_sym_CARET,
    ACTIONS(2018), 1,
      anon_sym_is,
    ACTIONS(2178), 1,
      anon_sym_LBRACK,
    ACTIONS(2180), 1,
      anon_sym_DOT,
    STATE(1402), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1996), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2004), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2016), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2006), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2000), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1957), 8,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [68536] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_as,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 1,
      anon_sym_LPAREN,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(2194), 1,
      anon_sym_not,
    ACTIONS(2200), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2202), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_CARET,
    ACTIONS(2210), 1,
      anon_sym_is,
    STATE(1423), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2188), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2196), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2208), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1235), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2198), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2192), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1957), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [68615] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_STAR_STAR,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 26,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68670] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1996), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2006), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 21,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68731] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1996), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2006), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 23,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68790] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_STAR_STAR,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 26,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68845] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2012), 1,
      anon_sym_AMP,
    ACTIONS(2014), 1,
      anon_sym_CARET,
    ACTIONS(1996), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2004), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2006), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 17,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68912] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2014), 1,
      anon_sym_CARET,
    ACTIONS(1996), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2004), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2006), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 18,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68977] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1996), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2004), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2006), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 19,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 1,
      sym_string_start,
    STATE(848), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1383), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69089] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2022), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    ACTIONS(2038), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2040), 1,
      anon_sym_PIPE,
    ACTIONS(2042), 1,
      anon_sym_AMP,
    ACTIONS(2044), 1,
      anon_sym_CARET,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2034), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1064), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2036), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2064), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2066), 16,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69158] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2022), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    ACTIONS(2038), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2040), 1,
      anon_sym_PIPE,
    ACTIONS(2042), 1,
      anon_sym_AMP,
    ACTIONS(2044), 1,
      anon_sym_CARET,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2034), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1064), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2036), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2075), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2077), 16,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69227] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2022), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    ACTIONS(2038), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1064), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2036), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 23,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69286] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2022), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    ACTIONS(2038), 1,
      anon_sym_STAR_STAR,
    STATE(1064), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 26,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69341] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2010), 1,
      anon_sym_PIPE,
    ACTIONS(2012), 1,
      anon_sym_AMP,
    ACTIONS(2014), 1,
      anon_sym_CARET,
    ACTIONS(1996), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2004), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2006), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2064), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2066), 16,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69410] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2010), 1,
      anon_sym_PIPE,
    ACTIONS(2012), 1,
      anon_sym_AMP,
    ACTIONS(2014), 1,
      anon_sym_CARET,
    ACTIONS(1996), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2004), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2006), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2075), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2077), 16,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69479] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2022), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    ACTIONS(2038), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2042), 1,
      anon_sym_AMP,
    ACTIONS(2044), 1,
      anon_sym_CARET,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2034), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1064), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2036), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 17,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69546] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2022), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    ACTIONS(2038), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2044), 1,
      anon_sym_CARET,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2034), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1064), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2036), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 18,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 1,
      sym_string_start,
    STATE(846), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1946), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1948), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69660] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_STAR_STAR,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2070), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2068), 26,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69715] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_STAR_STAR,
    STATE(1237), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 25,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69769] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
    ACTIONS(2152), 1,
      anon_sym_DOT,
    ACTIONS(2166), 1,
      anon_sym_STAR_STAR,
    STATE(1242), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2070), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2068), 25,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69823] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
    ACTIONS(2152), 1,
      anon_sym_DOT,
    ACTIONS(2166), 1,
      anon_sym_STAR_STAR,
    STATE(1242), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2056), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2058), 25,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69877] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 1,
      anon_sym_LPAREN,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2202), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_CARET,
    ACTIONS(2188), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2196), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1235), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2064), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2198), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2066), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69945] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 1,
      anon_sym_LPAREN,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2202), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_CARET,
    ACTIONS(2188), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2196), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1235), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2075), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2198), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2077), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70013] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
    ACTIONS(2152), 1,
      anon_sym_DOT,
    ACTIONS(2166), 1,
      anon_sym_STAR_STAR,
    STATE(1242), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 25,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70067] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
    ACTIONS(2152), 1,
      anon_sym_DOT,
    ACTIONS(2166), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1242), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2164), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 20,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70127] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
    ACTIONS(2152), 1,
      anon_sym_DOT,
    ACTIONS(2166), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1242), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2164), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 22,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70185] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
    ACTIONS(2152), 1,
      anon_sym_DOT,
    ACTIONS(2166), 1,
      anon_sym_STAR_STAR,
    STATE(1242), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 25,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70239] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
    ACTIONS(2152), 1,
      anon_sym_DOT,
    ACTIONS(2166), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2170), 1,
      anon_sym_AMP,
    ACTIONS(2172), 1,
      anon_sym_CARET,
    ACTIONS(2154), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2156), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2162), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1242), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2164), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 16,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70305] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
    ACTIONS(2152), 1,
      anon_sym_DOT,
    ACTIONS(2166), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2172), 1,
      anon_sym_CARET,
    ACTIONS(2154), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2156), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2162), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1242), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2164), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 17,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70369] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
    ACTIONS(2152), 1,
      anon_sym_DOT,
    ACTIONS(2166), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2156), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2162), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1242), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2164), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 18,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1423), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1434), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2214), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70739] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2130), 1,
      anon_sym_PIPE,
    ACTIONS(2132), 1,
      anon_sym_AMP,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2116), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2118), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2124), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1237), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2064), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2126), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2066), 15,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 6,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70853] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2130), 1,
      anon_sym_PIPE,
    ACTIONS(2132), 1,
      anon_sym_AMP,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2116), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2118), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2124), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1237), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2075), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2126), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2077), 15,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 6,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1383), 6,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 31,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2218), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2222), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2230), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2234), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2236), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2242), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2244), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2246), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2250), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2254), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2258), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2262), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2266), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2270), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2274), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2278), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2282), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2286), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2290), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2142), 31,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1490), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1494), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 31,
      sym__newline,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2292), 1,
      anon_sym_EQ,
    ACTIONS(1383), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72293] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_STAR_STAR,
    STATE(1237), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2070), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2068), 25,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(461), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 17,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(461), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 17,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72443] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2294), 1,
      anon_sym_LBRACK,
    STATE(1849), 1,
      sym_type_parameter,
    ACTIONS(1383), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 27,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72493] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2098), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2086), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2094), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 21,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72553] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2098), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2086), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 23,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72611] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2098), 1,
      anon_sym_STAR_STAR,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72665] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2098), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2102), 1,
      anon_sym_AMP,
    ACTIONS(2104), 1,
      anon_sym_CARET,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2086), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2088), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2094), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72731] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2098), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2104), 1,
      anon_sym_CARET,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2086), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2088), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2094), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72795] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2098), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2086), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2088), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2094), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 19,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1401), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1403), 17,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72905] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 1,
      anon_sym_LPAREN,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_STAR_STAR,
    STATE(1235), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2070), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2068), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72959] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 1,
      anon_sym_LPAREN,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_STAR_STAR,
    STATE(1235), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2056), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2058), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(575), 1,
      anon_sym_EQ,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73061] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_STAR_STAR,
    STATE(1237), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 25,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73115] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2116), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2124), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1237), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2126), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 20,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73175] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_EQ,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2308), 1,
      anon_sym_not,
    ACTIONS(2314), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2324), 1,
      anon_sym_is,
    STATE(1412), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2304), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2310), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1957), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2306), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73253] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2130), 1,
      anon_sym_PIPE,
    ACTIONS(2132), 1,
      anon_sym_AMP,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2116), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2118), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2124), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1237), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2126), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2146), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2144), 15,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73321] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2098), 1,
      anon_sym_STAR_STAR,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2070), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2068), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73375] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2098), 1,
      anon_sym_STAR_STAR,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2056), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2058), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73429] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_STAR_STAR,
    STATE(1237), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2056), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2058), 25,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73483] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2116), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1237), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2126), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 22,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73541] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2098), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2100), 1,
      anon_sym_PIPE,
    ACTIONS(2102), 1,
      anon_sym_AMP,
    ACTIONS(2104), 1,
      anon_sym_CARET,
    ACTIONS(2086), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2088), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2094), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2146), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2144), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73609] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2098), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2100), 1,
      anon_sym_PIPE,
    ACTIONS(2102), 1,
      anon_sym_AMP,
    ACTIONS(2104), 1,
      anon_sym_CARET,
    ACTIONS(2064), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2086), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2088), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2094), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2066), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73677] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2098), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2100), 1,
      anon_sym_PIPE,
    ACTIONS(2102), 1,
      anon_sym_AMP,
    ACTIONS(2104), 1,
      anon_sym_CARET,
    ACTIONS(2075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2086), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2088), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2094), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2077), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73745] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2132), 1,
      anon_sym_AMP,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2116), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2118), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2124), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1237), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2126), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 16,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73811] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2116), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2118), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2124), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1237), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2126), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 17,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73875] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2116), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2118), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2124), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1237), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2126), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 18,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [73983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1383), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [74029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(305), 1,
      anon_sym_COMMA,
    ACTIONS(303), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [74077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(305), 1,
      anon_sym_COMMA,
    ACTIONS(303), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [74125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1380), 1,
      anon_sym_COMMA,
    ACTIONS(1383), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [74173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2142), 31,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [74217] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(461), 1,
      anon_sym_COLON,
    ACTIONS(463), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(623), 1,
      sym_string_start,
    STATE(996), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1383), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [74361] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(461), 1,
      anon_sym_COLON,
    ACTIONS(463), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1401), 1,
      anon_sym_COLON,
    ACTIONS(1403), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1408), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74461] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 1,
      anon_sym_LPAREN,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_STAR_STAR,
    STATE(1235), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74515] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(623), 1,
      sym_string_start,
    STATE(1004), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1946), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1948), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74563] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 1,
      anon_sym_LPAREN,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2188), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2196), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1235), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2198), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74623] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 1,
      anon_sym_LPAREN,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2202), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_CARET,
    ACTIONS(2188), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2196), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1235), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2146), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2198), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2144), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2326), 1,
      anon_sym_LBRACK,
    STATE(1774), 1,
      sym_type_parameter,
    ACTIONS(1383), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 27,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74741] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
    ACTIONS(2152), 1,
      anon_sym_DOT,
    ACTIONS(2166), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2168), 1,
      anon_sym_PIPE,
    ACTIONS(2170), 1,
      anon_sym_AMP,
    ACTIONS(2172), 1,
      anon_sym_CARET,
    ACTIONS(2154), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2156), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2162), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1242), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2146), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2164), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2144), 15,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74809] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 1,
      anon_sym_LPAREN,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2188), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1235), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2198), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 31,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [74911] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 1,
      anon_sym_LPAREN,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_STAR_STAR,
    STATE(1235), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2328), 1,
      sym_string_start,
    STATE(1004), 2,
      sym_python_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1939), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1941), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(575), 1,
      anon_sym_EQ,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75061] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 1,
      anon_sym_LPAREN,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2204), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_CARET,
    ACTIONS(2188), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2196), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1235), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2198), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75127] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 1,
      anon_sym_LPAREN,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_CARET,
    ACTIONS(2188), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2196), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1235), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2198), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75191] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
    ACTIONS(2152), 1,
      anon_sym_DOT,
    ACTIONS(2166), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2168), 1,
      anon_sym_PIPE,
    ACTIONS(2170), 1,
      anon_sym_AMP,
    ACTIONS(2172), 1,
      anon_sym_CARET,
    ACTIONS(2154), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2156), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2162), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1242), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2064), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2164), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2066), 15,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75259] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
    ACTIONS(2152), 1,
      anon_sym_DOT,
    ACTIONS(2166), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2168), 1,
      anon_sym_PIPE,
    ACTIONS(2170), 1,
      anon_sym_AMP,
    ACTIONS(2172), 1,
      anon_sym_CARET,
    ACTIONS(2154), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2156), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2162), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1242), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2075), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2164), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2077), 15,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75327] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 1,
      anon_sym_LPAREN,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2188), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2196), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1235), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2198), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75389] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_LBRACK,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_DOT,
    ACTIONS(2343), 1,
      anon_sym_not,
    ACTIONS(2349), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2359), 1,
      anon_sym_is,
    STATE(1419), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2345), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1338), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2341), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1957), 7,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [75465] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_LPAREN,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2098), 1,
      anon_sym_STAR_STAR,
    STATE(928), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2242), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [75562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2244), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2246), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2250), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2254), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2258), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2262), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2244), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2246), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [75820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 3,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1408), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75908] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    STATE(1863), 1,
      sym_type_parameter,
    ACTIONS(1383), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 26,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2254), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [76086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1494), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1401), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1403), 16,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2266), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2270), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(463), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 30,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2274), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2274), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [76438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1494), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [76481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2278), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2282), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2286), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2290), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [76911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [76954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [76997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1401), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1403), 16,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [77044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2278), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [77087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2282), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [77130] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_not,
    ACTIONS(2349), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2359), 1,
      anon_sym_is,
    STATE(1419), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2345), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1338), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1957), 6,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2341), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 30,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2218), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [77291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1403), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1408), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(463), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1494), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1423), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77557] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2304), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2310), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2146), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2144), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77624] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2304), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2310), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2064), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2066), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77691] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2304), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2310), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2075), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2077), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(461), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 16,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(461), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 16,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2218), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(305), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(461), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 16,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [77989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2266), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1383), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(305), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1380), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1383), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2142), 30,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2142), 30,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2258), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_COMMA,
    ACTIONS(1439), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1434), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2222), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2286), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2290), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2230), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2234), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78732] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_LBRACK,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_DOT,
    ACTIONS(2349), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2146), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2345), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1338), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2144), 15,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78799] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      anon_sym_STAR_STAR,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2070), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2068), 24,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78852] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      anon_sym_STAR_STAR,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2056), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2058), 24,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(305), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2236), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2262), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [79081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 1,
      anon_sym_COMMA,
    ACTIONS(1383), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [79126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 1,
      anon_sym_COMMA,
    ACTIONS(1482), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [79171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 30,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(463), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [79304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1434), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [79347] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_LBRACK,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_DOT,
    ACTIONS(2349), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2064), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2345), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1338), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2066), 15,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79414] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_LBRACK,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_DOT,
    ACTIONS(2349), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2351), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2345), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1338), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2077), 15,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(305), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1380), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(1383), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2270), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [79618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(463), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1403), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1408), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2142), 30,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2242), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2222), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [79886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [79929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1383), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [80062] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
    ACTIONS(2160), 1,
      anon_sym_not,
    ACTIONS(2166), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2168), 1,
      anon_sym_PIPE,
    ACTIONS(2170), 1,
      anon_sym_AMP,
    ACTIONS(2172), 1,
      anon_sym_CARET,
    ACTIONS(2176), 1,
      anon_sym_is,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    STATE(1404), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2154), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2156), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2162), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2174), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1242), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2164), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1957), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2158), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(461), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 16,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [80227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2230), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [80270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2234), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [80313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1434), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80356] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_LBRACK,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_DOT,
    ACTIONS(2349), 1,
      anon_sym_STAR_STAR,
    STATE(1338), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2070), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2068), 25,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1490), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80452] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_LBRACK,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_DOT,
    ACTIONS(2349), 1,
      anon_sym_STAR_STAR,
    STATE(1338), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2056), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2058), 25,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2236), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [80548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2214), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [80591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1490), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [80634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1490), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2214), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1423), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [80806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2250), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [80849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80894] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_LBRACK,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_DOT,
    ACTIONS(2349), 1,
      anon_sym_STAR_STAR,
    STATE(1338), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 25,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80947] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_LBRACK,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_DOT,
    ACTIONS(2349), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2345), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1338), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 20,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 1,
      anon_sym_COMMA,
    ACTIONS(1428), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1423), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [81051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2361), 1,
      anon_sym_LBRACK,
    STATE(1934), 1,
      sym_type_parameter,
    ACTIONS(1383), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 27,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81100] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_LBRACK,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_DOT,
    ACTIONS(2349), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1338), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 22,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81157] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      anon_sym_STAR_STAR,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 24,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81210] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_LBRACK,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_DOT,
    ACTIONS(2349), 1,
      anon_sym_STAR_STAR,
    STATE(1338), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 25,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81263] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_LBRACK,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_DOT,
    ACTIONS(2349), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2353), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2345), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1338), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 16,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81328] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_LBRACK,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_DOT,
    ACTIONS(2349), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2345), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1338), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 17,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81391] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_LBRACK,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_DOT,
    ACTIONS(2349), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2345), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1338), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2347), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 18,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81452] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2310), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 19,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1383), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81556] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 21,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81613] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      anon_sym_STAR_STAR,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 24,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81666] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2304), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2310), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 15,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81731] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2304), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2310), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 16,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81794] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_LPAREN,
    ACTIONS(1969), 1,
      anon_sym_not,
    ACTIONS(1975), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1977), 1,
      anon_sym_PIPE,
    ACTIONS(1979), 1,
      anon_sym_AMP,
    ACTIONS(1981), 1,
      anon_sym_CARET,
    ACTIONS(1985), 1,
      anon_sym_is,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    STATE(1417), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1965), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1983), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1052), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1973), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1957), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(1967), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81914] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2314), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2304), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2310), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2312), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 17,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2142), 30,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1383), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 30,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 30,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1428), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1421), 18,
      sym__newline,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [82458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1439), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1432), 18,
      sym__newline,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [82502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1423), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2262), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2262), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1494), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1434), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2266), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2270), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2214), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2274), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2274), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(303), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1383), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2278), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1423), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1434), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2214), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(461), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 15,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1401), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1403), 15,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1408), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2242), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2274), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(575), 1,
      anon_sym_EQ,
    ACTIONS(303), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1408), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2282), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(575), 1,
      anon_sym_EQ,
    ACTIONS(303), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2292), 1,
      anon_sym_EQ,
    ACTIONS(1383), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1490), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2262), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2250), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2218), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2278), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2282), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2222), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2286), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1401), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1403), 15,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1383), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2230), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1482), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2290), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2222), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2230), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2234), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2236), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2286), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(461), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 15,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2266), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2278), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2270), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(1383), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2242), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85486] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2363), 1,
      ts_builtin_sym_end,
    ACTIONS(2365), 1,
      anon_sym_unset,
    ACTIONS(2368), 1,
      anon_sym_inherit,
    ACTIONS(2371), 1,
      anon_sym_include,
    ACTIONS(2374), 1,
      anon_sym_require,
    ACTIONS(2377), 1,
      anon_sym_export,
    ACTIONS(2380), 1,
      anon_sym_OVERRIDES,
    ACTIONS(2383), 1,
      anon_sym_EXPORT_FUNCTIONS,
    ACTIONS(2386), 1,
      anon_sym_addtask,
    ACTIONS(2389), 1,
      anon_sym_deltask,
    ACTIONS(2392), 1,
      anon_sym_addhandler,
    ACTIONS(2395), 1,
      anon_sym_fakeroot,
    ACTIONS(2398), 1,
      anon_sym_python,
    ACTIONS(2401), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2404), 1,
      anon_sym_def,
    ACTIONS(2407), 1,
      sym_identifier,
    ACTIONS(2410), 1,
      aux_sym__dotted_identifier_token1,
    STATE(1231), 1,
      aux_sym_recipe_repeat1,
    STATE(1518), 1,
      sym_concatenation,
    STATE(2231), 1,
      sym_variable_expansion,
    STATE(2232), 14,
      sym_variable_assignment,
      sym_unset_statement,
      sym_inherit_directive,
      sym_include_directive,
      sym_require_directive,
      sym_export_statement,
      sym_overrides_statement,
      sym_export_functions_statement,
      sym_addtask_statement,
      sym_deltask_statement,
      sym_addhandler_statement,
      sym_anonymous_python_function,
      sym_function_definition,
      sym_python_function_definition,
  [85566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(1482), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2282), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2244), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2246), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2218), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(461), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 15,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2218), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1428), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1423), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1439), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1434), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2254), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2244), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2246), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2218), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86038] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 1,
      anon_sym_EQ,
    ACTIONS(1401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1508), 5,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE,
    ACTIONS(1403), 12,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(1405), 12,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [86088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2286), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2250), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2254), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2290), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2258), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2262), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2266), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2270), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2290), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(461), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1494), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(461), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2274), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2234), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2278), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2282), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2222), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2286), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2290), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2266), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2236), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1434), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2270), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1401), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1403), 15,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2230), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 30,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(461), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 15,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(461), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 15,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2234), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2236), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(1428), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1423), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2222), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2230), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2234), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2236), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2214), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2242), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2242), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1490), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1423), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2142), 30,
      sym_string_start,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1434), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(303), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(290), 18,
      sym__newline,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [88128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(303), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(290), 18,
      sym__newline,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [88172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2244), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2246), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1490), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88256] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 1,
      anon_sym_EQ,
    ACTIONS(1401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1508), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
    ACTIONS(1403), 12,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(1405), 12,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [88306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(1439), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1434), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2214), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1401), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1403), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2250), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2254), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1494), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1423), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2258), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1383), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1371), 18,
      sym__newline,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [88734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1482), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1371), 18,
      sym__newline,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [88778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88946] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_unset,
    ACTIONS(9), 1,
      anon_sym_inherit,
    ACTIONS(11), 1,
      anon_sym_include,
    ACTIONS(13), 1,
      anon_sym_require,
    ACTIONS(15), 1,
      anon_sym_export,
    ACTIONS(17), 1,
      anon_sym_OVERRIDES,
    ACTIONS(19), 1,
      anon_sym_EXPORT_FUNCTIONS,
    ACTIONS(21), 1,
      anon_sym_addtask,
    ACTIONS(23), 1,
      anon_sym_deltask,
    ACTIONS(25), 1,
      anon_sym_addhandler,
    ACTIONS(27), 1,
      anon_sym_fakeroot,
    ACTIONS(29), 1,
      anon_sym_python,
    ACTIONS(31), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(33), 1,
      anon_sym_def,
    ACTIONS(35), 1,
      sym_identifier,
    ACTIONS(37), 1,
      aux_sym__dotted_identifier_token1,
    ACTIONS(2413), 1,
      ts_builtin_sym_end,
    STATE(1231), 1,
      aux_sym_recipe_repeat1,
    STATE(1518), 1,
      sym_concatenation,
    STATE(2231), 1,
      sym_variable_expansion,
    STATE(2232), 14,
      sym_variable_assignment,
      sym_unset_statement,
      sym_inherit_directive,
      sym_include_directive,
      sym_require_directive,
      sym_export_statement,
      sym_overrides_statement,
      sym_export_functions_statement,
      sym_addtask_statement,
      sym_deltask_statement,
      sym_addhandler_statement,
      sym_anonymous_python_function,
      sym_function_definition,
      sym_python_function_definition,
  [89026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2258), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(461), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 15,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2244), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2246), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2250), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2254), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89450] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2421), 1,
      anon_sym_not,
    ACTIONS(2427), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2429), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2437), 1,
      anon_sym_is,
    STATE(1507), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2417), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2425), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1957), 5,
      anon_sym_as,
      anon_sym_if,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2419), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 5,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2258), 29,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(471), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1434), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2214), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 15,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1408), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(564), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 15,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89865] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2427), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2429), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2064), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2417), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2425), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2066), 13,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89930] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2427), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2429), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2417), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2425), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2077), 13,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89995] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2427), 1,
      anon_sym_STAR_STAR,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 23,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90046] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2427), 1,
      anon_sym_STAR_STAR,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2070), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2068), 23,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90097] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2427), 1,
      anon_sym_STAR_STAR,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2056), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2058), 23,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1508), 5,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
    ACTIONS(1403), 12,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(1405), 12,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [90195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(471), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2218), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(471), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(471), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(471), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1408), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2222), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2230), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2234), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2236), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90656] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2427), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2429), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2146), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2417), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2425), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2144), 13,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1494), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1408), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2242), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90846] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2427), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2417), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2425), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 14,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90909] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2427), 1,
      anon_sym_STAR_STAR,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2060), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 23,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90960] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2427), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2417), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2425), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 15,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91021] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2427), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2417), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2425), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 16,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2244), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2246), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2250), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2254), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2258), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2262), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1405), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1403), 15,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2266), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2270), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2274), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2278), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2282), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91740] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2427), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2423), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2425), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 18,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91797] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 1,
      anon_sym_EQ,
    ACTIONS(1401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1508), 4,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
    ACTIONS(1403), 12,
      anon_sym_as,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(1405), 12,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [91846] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2427), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2425), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 20,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2286), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2290), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1490), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1378), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_COLON_EQ,
    ACTIONS(471), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(301), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1423), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(303), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(290), 16,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1383), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1371), 16,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 28,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(564), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(471), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 16,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1482), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1371), 16,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(564), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(471), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(463), 16,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1428), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1421), 16,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1494), 19,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1498), 19,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1502), 19,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1439), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1432), 16,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1502), 19,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1506), 19,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1506), 19,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(303), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(290), 16,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1490), 19,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1405), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_if,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1408), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1403), 16,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [93009] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 1,
      anon_sym_not,
    ACTIONS(2018), 1,
      anon_sym_is,
    ACTIONS(2439), 1,
      anon_sym_EQ,
    STATE(1403), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2016), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2000), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2441), 10,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [93049] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_EQ,
    ACTIONS(2450), 1,
      anon_sym_not,
    ACTIONS(2456), 1,
      anon_sym_is,
    STATE(1403), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2453), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2447), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2445), 10,
      sym__newline,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [93089] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2160), 1,
      anon_sym_not,
    ACTIONS(2176), 1,
      anon_sym_is,
    ACTIONS(2439), 1,
      anon_sym_EQ,
    STATE(1409), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2158), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2441), 9,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [93128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
    ACTIONS(1378), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [93159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(290), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [93190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
    ACTIONS(1477), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [93221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1421), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
    ACTIONS(1423), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [93252] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_EQ,
    ACTIONS(2462), 1,
      anon_sym_not,
    ACTIONS(2468), 1,
      anon_sym_is,
    STATE(1409), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2465), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2459), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2445), 9,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [93291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1432), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
    ACTIONS(1434), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [93322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(290), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [93353] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_not,
    ACTIONS(2324), 1,
      anon_sym_is,
    ACTIONS(2439), 1,
      anon_sym_EQ,
    STATE(1413), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2322), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2441), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [93391] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_EQ,
    ACTIONS(2474), 1,
      anon_sym_not,
    ACTIONS(2480), 1,
      anon_sym_is,
    STATE(1413), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2477), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2471), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2445), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [93429] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_as,
    ACTIONS(2486), 1,
      anon_sym_not,
    ACTIONS(2492), 1,
      anon_sym_is,
    STATE(1414), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2489), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2483), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2445), 8,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [93467] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_EQ,
    ACTIONS(2498), 1,
      anon_sym_not,
    ACTIONS(2504), 1,
      anon_sym_is,
    STATE(1415), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2501), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2495), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2445), 8,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [93505] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2032), 1,
      anon_sym_not,
    ACTIONS(2048), 1,
      anon_sym_is,
    ACTIONS(2439), 1,
      anon_sym_as,
    STATE(1414), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2030), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2441), 8,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [93543] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1969), 1,
      anon_sym_not,
    ACTIONS(1985), 1,
      anon_sym_is,
    ACTIONS(2439), 1,
      anon_sym_EQ,
    STATE(1415), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1983), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1967), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2441), 8,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [93581] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2510), 1,
      anon_sym_not,
    ACTIONS(2516), 1,
      anon_sym_is,
    STATE(1418), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2513), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2445), 9,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [93617] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2343), 1,
      anon_sym_not,
    ACTIONS(2359), 1,
      anon_sym_is,
    STATE(1418), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2357), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2341), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2441), 9,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [93653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(463), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [93682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2519), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1378), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [93711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1271), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [93740] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2194), 1,
      anon_sym_not,
    ACTIONS(2210), 1,
      anon_sym_is,
    ACTIONS(2439), 1,
      anon_sym_as,
    STATE(1426), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2208), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2192), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2441), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [93777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1403), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1378), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [93806] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_as,
    ACTIONS(2524), 1,
      anon_sym_not,
    ACTIONS(2530), 1,
      anon_sym_is,
    STATE(1425), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2521), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2445), 7,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [93843] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_as,
    ACTIONS(2536), 1,
      anon_sym_not,
    ACTIONS(2542), 1,
      anon_sym_is,
    STATE(1426), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2539), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2533), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2445), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [93880] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_not,
    ACTIONS(2108), 1,
      anon_sym_is,
    STATE(1428), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2106), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2441), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [93915] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 1,
      anon_sym_not,
    ACTIONS(2554), 1,
      anon_sym_is,
    STATE(1428), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2551), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2545), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2445), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [93950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2559), 1,
      anon_sym_COMMA,
    STATE(1429), 1,
      aux_sym_pattern_list_repeat1,
    ACTIONS(2557), 17,
      sym__newline,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [93979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(463), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1271), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_COMMA,
    STATE(1429), 1,
      aux_sym_pattern_list_repeat1,
    ACTIONS(817), 17,
      sym__newline,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [94066] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_not,
    ACTIONS(2138), 1,
      anon_sym_is,
    ACTIONS(2439), 1,
      anon_sym_as,
    STATE(1425), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2136), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2120), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2441), 7,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [94103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 18,
      sym__newline,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [94127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1271), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1383), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1378), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1482), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1477), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1482), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1477), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94239] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2574), 1,
      anon_sym_PIPE,
    ACTIONS(2576), 1,
      anon_sym_AMP,
    ACTIONS(2578), 1,
      anon_sym_CARET,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [94285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(290), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1423), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 18,
      sym__newline,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [94365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1271), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1423), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1439), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1434), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94449] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2578), 1,
      anon_sym_CARET,
    ACTIONS(2062), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [94493] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2062), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [94535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(290), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94563] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2574), 1,
      anon_sym_PIPE,
    ACTIONS(2576), 1,
      anon_sym_AMP,
    ACTIONS(2578), 1,
      anon_sym_CARET,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [94609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(290), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(290), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94665] = 10,
    ACTIONS(2582), 1,
      aux_sym_recipe_token1,
    ACTIONS(2584), 1,
      anon_sym_NULL,
    ACTIONS(2588), 1,
      anon_sym_LBRACK,
    ACTIONS(2590), 1,
      anon_sym_COLON,
    ACTIONS(2592), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(2596), 1,
      sym__concat,
    STATE(1519), 1,
      aux_sym_concatenation_repeat1,
    STATE(1708), 3,
      sym_variable_flag,
      sym_override,
      sym_variable_expansion,
    ACTIONS(2586), 8,
      anon_sym_EQ,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
  [94705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2519), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    ACTIONS(1378), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 18,
      sym__newline,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [94757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(290), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(463), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1403), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    ACTIONS(1378), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94841] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LBRACK,
    ACTIONS(2114), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2574), 1,
      anon_sym_PIPE,
    ACTIONS(2576), 1,
      anon_sym_AMP,
    ACTIONS(2578), 1,
      anon_sym_CARET,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [94887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1439), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1434), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94915] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2070), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2068), 10,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [94951] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2152), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2574), 1,
      anon_sym_PIPE,
    ACTIONS(2576), 1,
      anon_sym_AMP,
    ACTIONS(2578), 1,
      anon_sym_CARET,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [94997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      sym__newline,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [95021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(463), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [95049] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2024), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2574), 1,
      anon_sym_PIPE,
    ACTIONS(2576), 1,
      anon_sym_AMP,
    ACTIONS(2578), 1,
      anon_sym_CARET,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [95095] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2062), 10,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [95131] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2056), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2058), 10,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [95167] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2178), 1,
      anon_sym_LBRACK,
    ACTIONS(2180), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2574), 1,
      anon_sym_PIPE,
    ACTIONS(2576), 1,
      anon_sym_AMP,
    ACTIONS(2578), 1,
      anon_sym_CARET,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [95213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(1428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1423), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [95241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(1439), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1434), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [95269] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_LBRACK,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2574), 1,
      anon_sym_PIPE,
    ACTIONS(2576), 1,
      anon_sym_AMP,
    ACTIONS(2578), 1,
      anon_sym_CARET,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [95315] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 5,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [95355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(1383), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1378), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [95383] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2574), 1,
      anon_sym_PIPE,
    ACTIONS(2576), 1,
      anon_sym_AMP,
    ACTIONS(2578), 1,
      anon_sym_CARET,
    ACTIONS(2600), 1,
      anon_sym_LBRACK,
    ACTIONS(2602), 1,
      anon_sym_DOT,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [95429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1383), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1378), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [95457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(1482), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1477), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [95485] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2062), 1,
      anon_sym_PIPE,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2576), 1,
      anon_sym_AMP,
    ACTIONS(2578), 1,
      anon_sym_CARET,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [95531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(290), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(303), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(301), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [95559] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2574), 1,
      anon_sym_PIPE,
    ACTIONS(2576), 1,
      anon_sym_AMP,
    ACTIONS(2578), 1,
      anon_sym_CARET,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [95605] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2062), 7,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [95643] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_LBRACK,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2062), 10,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [95679] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2331), 1,
      anon_sym_LBRACK,
    ACTIONS(2335), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2574), 1,
      anon_sym_PIPE,
    ACTIONS(2576), 1,
      anon_sym_AMP,
    ACTIONS(2578), 1,
      anon_sym_CARET,
    ACTIONS(2564), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2570), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [95725] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 1,
      anon_sym_EQ,
    ACTIONS(2590), 1,
      anon_sym_COLON,
    ACTIONS(2596), 1,
      sym__concat,
    ACTIONS(2606), 1,
      anon_sym_LBRACK,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2610), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1519), 1,
      aux_sym_concatenation_repeat1,
    STATE(1654), 1,
      sym_override,
    STATE(1708), 2,
      sym_variable_flag,
      sym_variable_expansion,
    ACTIONS(2604), 7,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
  [95766] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_COLON,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    STATE(2106), 1,
      sym_parameter,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2511), 1,
      sym_lambda_parameters,
    STATE(2546), 1,
      sym__parameters,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [95811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2363), 2,
      ts_builtin_sym_end,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2624), 15,
      anon_sym_unset,
      anon_sym_inherit,
      anon_sym_include,
      anon_sym_require,
      anon_sym_export,
      anon_sym_OVERRIDES,
      anon_sym_EXPORT_FUNCTIONS,
      anon_sym_addtask,
      anon_sym_deltask,
      anon_sym_addhandler,
      anon_sym_fakeroot,
      anon_sym_python,
      anon_sym_def,
      sym_identifier,
      aux_sym__dotted_identifier_token1,
  [95836] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    ACTIONS(2626), 1,
      anon_sym_COLON,
    STATE(2106), 1,
      sym_parameter,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2543), 1,
      sym_lambda_parameters,
    STATE(2546), 1,
      sym__parameters,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [95881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 1,
      anon_sym_COMMA,
    STATE(1491), 1,
      aux_sym_pattern_list_repeat1,
    ACTIONS(817), 15,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [95908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 17,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [95931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [95954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_EQ,
    ACTIONS(2634), 1,
      anon_sym_COLON,
    ACTIONS(2636), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(2632), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [95983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 17,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_COMMA,
    STATE(1491), 1,
      aux_sym_pattern_list_repeat1,
    ACTIONS(2557), 15,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96033] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    ACTIONS(2641), 1,
      anon_sym_COLON,
    STATE(2106), 1,
      sym_parameter,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2436), 1,
      sym_lambda_parameters,
    STATE(2546), 1,
      sym__parameters,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96078] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    ACTIONS(2643), 1,
      anon_sym_COLON,
    STATE(2106), 1,
      sym_parameter,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2435), 1,
      sym_lambda_parameters,
    STATE(2546), 1,
      sym__parameters,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_EQ,
    ACTIONS(2634), 1,
      anon_sym_COLON,
    ACTIONS(2645), 1,
      anon_sym_COMMA,
    STATE(1432), 1,
      aux_sym_pattern_list_repeat1,
    ACTIONS(2632), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96154] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    ACTIONS(2647), 1,
      anon_sym_COLON,
    STATE(2106), 1,
      sym_parameter,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2341), 1,
      sym_lambda_parameters,
    STATE(2546), 1,
      sym__parameters,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96199] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    ACTIONS(2649), 1,
      anon_sym_COLON,
    STATE(2106), 1,
      sym_parameter,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2438), 1,
      sym_lambda_parameters,
    STATE(2546), 1,
      sym__parameters,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96244] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    ACTIONS(2651), 1,
      anon_sym_COLON,
    STATE(2106), 1,
      sym_parameter,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2370), 1,
      sym_lambda_parameters,
    STATE(2546), 1,
      sym__parameters,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96289] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    ACTIONS(2653), 1,
      anon_sym_COLON,
    STATE(2106), 1,
      sym_parameter,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2479), 1,
      sym_lambda_parameters,
    STATE(2546), 1,
      sym__parameters,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96334] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    ACTIONS(2655), 1,
      anon_sym_COLON,
    STATE(2106), 1,
      sym_parameter,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2333), 1,
      sym_lambda_parameters,
    STATE(2546), 1,
      sym__parameters,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96379] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    ACTIONS(2657), 1,
      anon_sym_COLON,
    STATE(2106), 1,
      sym_parameter,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2386), 1,
      sym_lambda_parameters,
    STATE(2546), 1,
      sym__parameters,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_EQ,
    ACTIONS(2634), 1,
      anon_sym_COLON,
    ACTIONS(2659), 1,
      anon_sym_COMMA,
    STATE(1486), 1,
      aux_sym_pattern_list_repeat1,
    ACTIONS(2632), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96455] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    ACTIONS(2661), 1,
      anon_sym_COLON,
    STATE(2106), 1,
      sym_parameter,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2428), 1,
      sym_lambda_parameters,
    STATE(2546), 1,
      sym__parameters,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96500] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    ACTIONS(2663), 1,
      anon_sym_COLON,
    STATE(2106), 1,
      sym_parameter,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2450), 1,
      sym_lambda_parameters,
    STATE(2546), 1,
      sym__parameters,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96545] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    ACTIONS(2665), 1,
      anon_sym_COLON,
    STATE(2106), 1,
      sym_parameter,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2489), 1,
      sym_lambda_parameters,
    STATE(2546), 1,
      sym__parameters,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 17,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96613] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2667), 1,
      anon_sym_LPAREN,
    ACTIONS(2669), 1,
      anon_sym_RPAREN,
    ACTIONS(2671), 1,
      anon_sym_STAR,
    ACTIONS(2673), 1,
      anon_sym_SLASH,
    ACTIONS(2675), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2677), 1,
      sym_python_identifier,
    STATE(2003), 1,
      sym_parameter,
    STATE(2007), 1,
      sym_tuple_pattern,
    STATE(2413), 1,
      sym__parameters,
    STATE(2059), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2215), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96655] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2421), 1,
      anon_sym_not,
    ACTIONS(2437), 1,
      anon_sym_is,
    STATE(1508), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2435), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 5,
      anon_sym_as,
      anon_sym_if,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2419), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [96687] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_not,
    ACTIONS(2688), 1,
      anon_sym_is,
    STATE(1508), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2685), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 5,
      anon_sym_as,
      anon_sym_if,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2679), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [96719] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    ACTIONS(2691), 1,
      anon_sym_COLON,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2229), 1,
      sym_parameter,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96758] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    ACTIONS(2693), 1,
      anon_sym_COLON,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2229), 1,
      sym_parameter,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1522), 1,
      sym_variable_expansion,
    ACTIONS(2695), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2699), 2,
      sym_identifier,
      aux_sym__dotted_identifier_token1,
    ACTIONS(2697), 9,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [96826] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      sym__concat,
    ACTIONS(2606), 1,
      anon_sym_LBRACK,
    ACTIONS(2701), 1,
      anon_sym_EQ,
    ACTIONS(2705), 1,
      anon_sym_COLON,
    STATE(1519), 1,
      aux_sym_concatenation_repeat1,
    STATE(1562), 1,
      aux_sym_override_repeat1,
    STATE(1572), 1,
      sym_variable_flag,
    ACTIONS(2703), 8,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LPAREN,
  [96861] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2667), 1,
      anon_sym_LPAREN,
    ACTIONS(2671), 1,
      anon_sym_STAR,
    ACTIONS(2673), 1,
      anon_sym_SLASH,
    ACTIONS(2675), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2677), 1,
      sym_python_identifier,
    ACTIONS(2693), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      sym_tuple_pattern,
    STATE(2300), 1,
      sym_parameter,
    STATE(2059), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2215), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_EQ,
    ACTIONS(2634), 1,
      anon_sym_COLON,
    ACTIONS(2632), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96925] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2667), 1,
      anon_sym_LPAREN,
    ACTIONS(2671), 1,
      anon_sym_STAR,
    ACTIONS(2673), 1,
      anon_sym_SLASH,
    ACTIONS(2675), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2677), 1,
      sym_python_identifier,
    ACTIONS(2691), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      sym_tuple_pattern,
    STATE(2300), 1,
      sym_parameter,
    STATE(2059), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2215), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [96964] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LPAREN,
    ACTIONS(2616), 1,
      anon_sym_STAR,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2622), 1,
      sym_python_identifier,
    STATE(2112), 1,
      sym_tuple_pattern,
    STATE(2229), 1,
      sym_parameter,
    STATE(2252), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2238), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [97000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2711), 1,
      sym__concat,
    STATE(1517), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(2707), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2709), 10,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LBRACE,
  [97026] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 1,
      anon_sym_EQ,
    ACTIONS(2590), 1,
      anon_sym_COLON,
    ACTIONS(2606), 1,
      anon_sym_LBRACK,
    ACTIONS(2610), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1708), 3,
      sym_variable_flag,
      sym_override,
      sym_variable_expansion,
    ACTIONS(2604), 7,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
  [97056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2718), 1,
      sym__concat,
    STATE(1517), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(2714), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2716), 10,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LBRACE,
  [97082] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      sym__concat,
    ACTIONS(2606), 1,
      anon_sym_LBRACK,
    STATE(1519), 1,
      aux_sym_concatenation_repeat1,
    STATE(1614), 1,
      sym_variable_flag,
    ACTIONS(2720), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2722), 8,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LPAREN,
  [97112] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2667), 1,
      anon_sym_LPAREN,
    ACTIONS(2671), 1,
      anon_sym_STAR,
    ACTIONS(2673), 1,
      anon_sym_SLASH,
    ACTIONS(2675), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2677), 1,
      sym_python_identifier,
    STATE(2007), 1,
      sym_tuple_pattern,
    STATE(2300), 1,
      sym_parameter,
    STATE(2059), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2215), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [97148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2707), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2709), 11,
      sym__concat,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LBRACE,
  [97169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2724), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2726), 11,
      sym__concat,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LBRACE,
  [97190] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      sym__concat,
    ACTIONS(2701), 1,
      anon_sym_EQ,
    ACTIONS(2705), 1,
      anon_sym_COLON,
    STATE(1519), 1,
      aux_sym_concatenation_repeat1,
    STATE(1562), 1,
      aux_sym_override_repeat1,
    ACTIONS(2703), 8,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LPAREN,
  [97219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2728), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2730), 11,
      sym__concat,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LBRACE,
  [97240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 12,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [97258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 12,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [97276] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_COLON,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    ACTIONS(2740), 1,
      anon_sym_COMMA,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2744), 1,
      anon_sym_if,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2030), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2403), 1,
      sym__comprehension_clauses,
  [97316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      sym__concat,
    STATE(1519), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(2720), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2722), 8,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LPAREN,
  [97340] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_COLON,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    ACTIONS(2740), 1,
      anon_sym_COMMA,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2744), 1,
      anon_sym_if,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2030), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2464), 1,
      sym__comprehension_clauses,
  [97380] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_COLON,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    ACTIONS(2740), 1,
      anon_sym_COMMA,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2744), 1,
      anon_sym_if,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2030), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2409), 1,
      sym__comprehension_clauses,
  [97420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 12,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [97438] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_COLON,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    ACTIONS(2740), 1,
      anon_sym_COMMA,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2744), 1,
      anon_sym_if,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2030), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2457), 1,
      sym__comprehension_clauses,
  [97478] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_COLON,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    ACTIONS(2740), 1,
      anon_sym_COMMA,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2744), 1,
      anon_sym_if,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2030), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2387), 1,
      sym__comprehension_clauses,
  [97518] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_COLON,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    ACTIONS(2740), 1,
      anon_sym_COMMA,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2744), 1,
      anon_sym_if,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2030), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2497), 1,
      sym__comprehension_clauses,
  [97558] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_COLON,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    ACTIONS(2740), 1,
      anon_sym_COMMA,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2744), 1,
      anon_sym_if,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2030), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2343), 1,
      sym__comprehension_clauses,
  [97598] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_COLON,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    ACTIONS(2740), 1,
      anon_sym_COMMA,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2744), 1,
      anon_sym_if,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2030), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2396), 1,
      sym__comprehension_clauses,
  [97638] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2760), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1582), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [97665] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2762), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1559), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [97692] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2764), 1,
      anon_sym_RPAREN,
    ACTIONS(2766), 1,
      anon_sym_COMMA,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2379), 1,
      sym__comprehension_clauses,
  [97729] = 7,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_DQUOTE,
    ACTIONS(2783), 1,
      aux_sym_string_token1,
    ACTIONS(2787), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(2789), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1552), 3,
      sym_inline_python,
      sym_variable_expansion,
      aux_sym_string_repeat1,
    ACTIONS(2785), 4,
      aux_sym_string_token2,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS,
      anon_sym_DOLLAR,
  [97756] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2791), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1544), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [97783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(2793), 7,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [97808] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2803), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1582), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [97835] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2805), 1,
      anon_sym_RPAREN,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2402), 1,
      sym__comprehension_clauses,
  [97872] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2809), 1,
      anon_sym_RPAREN,
    ACTIONS(2811), 1,
      anon_sym_COMMA,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2026), 1,
      aux_sym_argument_list_repeat1,
    STATE(2402), 1,
      sym__comprehension_clauses,
  [97909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_EQ,
    ACTIONS(2705), 1,
      anon_sym_COLON,
    STATE(1562), 1,
      aux_sym_override_repeat1,
    ACTIONS(2703), 8,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LPAREN,
  [97932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(2815), 1,
      anon_sym_as,
    ACTIONS(2813), 8,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_PIPE,
  [97955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(2818), 9,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_PIPE,
  [97976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2732), 10,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_or,
      anon_sym_PIPE,
  [97995] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2820), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1538), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [98022] = 7,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(2787), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(2789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2822), 1,
      anon_sym_DQUOTE,
    ACTIONS(2824), 1,
      aux_sym_string_token1,
    STATE(1581), 3,
      sym_inline_python,
      sym_variable_expansion,
      aux_sym_string_repeat1,
    ACTIONS(2826), 4,
      aux_sym_string_token2,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS,
      anon_sym_DOLLAR,
  [98049] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(2828), 1,
      anon_sym_RPAREN,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2453), 1,
      sym__comprehension_clauses,
  [98086] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2830), 1,
      anon_sym_RPAREN,
    ACTIONS(2832), 1,
      anon_sym_COMMA,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2057), 1,
      aux_sym_argument_list_repeat1,
    STATE(2453), 1,
      sym__comprehension_clauses,
  [98123] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2834), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1556), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [98150] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2836), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1582), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [98177] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2764), 1,
      anon_sym_RPAREN,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2379), 1,
      sym__comprehension_clauses,
  [98214] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2838), 1,
      anon_sym_RPAREN,
    ACTIONS(2840), 1,
      anon_sym_COMMA,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2084), 1,
      aux_sym_argument_list_repeat1,
    STATE(2379), 1,
      sym__comprehension_clauses,
  [98251] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2842), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1582), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [98278] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2844), 1,
      anon_sym_RPAREN,
    ACTIONS(2846), 1,
      anon_sym_COMMA,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2038), 1,
      aux_sym_argument_list_repeat1,
    STATE(2550), 1,
      sym__comprehension_clauses,
  [98315] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2848), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1563), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [98342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 1,
      anon_sym_COLON,
    ACTIONS(2850), 1,
      anon_sym_EQ,
    STATE(1583), 1,
      aux_sym_override_repeat1,
    ACTIONS(2852), 8,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LPAREN,
  [98365] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2854), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1582), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [98392] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(2856), 1,
      anon_sym_RPAREN,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2491), 1,
      sym__comprehension_clauses,
  [98429] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_RBRACK,
    ACTIONS(2858), 1,
      anon_sym_COMMA,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2862), 1,
      anon_sym_if,
    ACTIONS(2864), 1,
      anon_sym_async,
    ACTIONS(2866), 1,
      anon_sym_for,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    STATE(1744), 1,
      sym_for_in_clause,
    STATE(2118), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2433), 1,
      sym__comprehension_clauses,
  [98466] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2872), 1,
      anon_sym_RPAREN,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2111), 1,
      aux_sym_argument_list_repeat1,
    STATE(2491), 1,
      sym__comprehension_clauses,
  [98503] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(2876), 1,
      anon_sym_RPAREN,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2550), 1,
      sym__comprehension_clauses,
  [98540] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2878), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1569), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [98567] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2880), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1582), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [98594] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(2882), 1,
      anon_sym_RPAREN,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2340), 1,
      sym__comprehension_clauses,
  [98631] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2884), 1,
      anon_sym_RPAREN,
    ACTIONS(2886), 1,
      anon_sym_COMMA,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2130), 1,
      aux_sym_argument_list_repeat1,
    STATE(2340), 1,
      sym__comprehension_clauses,
  [98668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 1,
      anon_sym_COLON,
    ACTIONS(2850), 1,
      anon_sym_EQ,
    STATE(1584), 1,
      aux_sym_override_repeat1,
    ACTIONS(2852), 8,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LPAREN,
  [98691] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2888), 1,
      anon_sym_RPAREN,
    ACTIONS(2890), 1,
      anon_sym_COMMA,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2198), 1,
      aux_sym_argument_list_repeat1,
    STATE(2461), 1,
      sym__comprehension_clauses,
  [98728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(2892), 7,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [98753] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1582), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [98780] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(2896), 1,
      anon_sym_RPAREN,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2393), 1,
      sym__comprehension_clauses,
  [98817] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2898), 1,
      anon_sym_RPAREN,
    ACTIONS(2900), 1,
      anon_sym_COMMA,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2149), 1,
      aux_sym_argument_list_repeat1,
    STATE(2393), 1,
      sym__comprehension_clauses,
  [98854] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(2902), 7,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [98879] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2904), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1580), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [98906] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2906), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1582), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [98933] = 7,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_DQUOTE,
    ACTIONS(2910), 1,
      aux_sym_string_token1,
    ACTIONS(2916), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(2919), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1581), 3,
      sym_inline_python,
      sym_variable_expansion,
      aux_sym_string_repeat1,
    ACTIONS(2913), 4,
      aux_sym_string_token2,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS,
      anon_sym_DOLLAR,
  [98960] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2922), 1,
      anon_sym_LBRACE,
    ACTIONS(2928), 1,
      anon_sym_BSLASH,
    ACTIONS(2931), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2925), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1582), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [98987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 1,
      anon_sym_EQ,
    ACTIONS(2933), 1,
      anon_sym_COLON,
    STATE(1583), 1,
      aux_sym_override_repeat1,
    ACTIONS(2722), 8,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LPAREN,
  [99010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 1,
      anon_sym_COLON,
    ACTIONS(2936), 1,
      anon_sym_EQ,
    STATE(1583), 1,
      aux_sym_override_repeat1,
    ACTIONS(2938), 8,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LPAREN,
  [99033] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_RBRACK,
    ACTIONS(2858), 1,
      anon_sym_COMMA,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2862), 1,
      anon_sym_if,
    ACTIONS(2864), 1,
      anon_sym_async,
    ACTIONS(2866), 1,
      anon_sym_for,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    STATE(1744), 1,
      sym_for_in_clause,
    STATE(2118), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2460), 1,
      sym__comprehension_clauses,
  [99070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1984), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2942), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(2940), 3,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_PIPE,
  [99101] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_RBRACK,
    ACTIONS(2858), 1,
      anon_sym_COMMA,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2862), 1,
      anon_sym_if,
    ACTIONS(2864), 1,
      anon_sym_async,
    ACTIONS(2866), 1,
      anon_sym_for,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    STATE(1744), 1,
      sym_for_in_clause,
    STATE(2118), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2385), 1,
      sym__comprehension_clauses,
  [99138] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_RBRACK,
    ACTIONS(2858), 1,
      anon_sym_COMMA,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2862), 1,
      anon_sym_if,
    ACTIONS(2864), 1,
      anon_sym_async,
    ACTIONS(2866), 1,
      anon_sym_for,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    STATE(1744), 1,
      sym_for_in_clause,
    STATE(2118), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2448), 1,
      sym__comprehension_clauses,
  [99175] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_RBRACK,
    ACTIONS(2858), 1,
      anon_sym_COMMA,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2862), 1,
      anon_sym_if,
    ACTIONS(2864), 1,
      anon_sym_async,
    ACTIONS(2866), 1,
      anon_sym_for,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    STATE(1744), 1,
      sym_for_in_clause,
    STATE(2118), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2377), 1,
      sym__comprehension_clauses,
  [99212] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2946), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1593), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [99239] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_RBRACK,
    ACTIONS(2858), 1,
      anon_sym_COMMA,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2862), 1,
      anon_sym_if,
    ACTIONS(2864), 1,
      anon_sym_async,
    ACTIONS(2866), 1,
      anon_sym_for,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    STATE(1744), 1,
      sym_for_in_clause,
    STATE(2118), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2488), 1,
      sym__comprehension_clauses,
  [99276] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_RBRACK,
    ACTIONS(2858), 1,
      anon_sym_COMMA,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2862), 1,
      anon_sym_if,
    ACTIONS(2864), 1,
      anon_sym_async,
    ACTIONS(2866), 1,
      anon_sym_for,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    STATE(1744), 1,
      sym_for_in_clause,
    STATE(2118), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2339), 1,
      sym__comprehension_clauses,
  [99313] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2948), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1582), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [99340] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_RBRACK,
    ACTIONS(2858), 1,
      anon_sym_COMMA,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2862), 1,
      anon_sym_if,
    ACTIONS(2864), 1,
      anon_sym_async,
    ACTIONS(2866), 1,
      anon_sym_for,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    STATE(1744), 1,
      sym_for_in_clause,
    STATE(2118), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2392), 1,
      sym__comprehension_clauses,
  [99377] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(2950), 1,
      anon_sym_RPAREN,
    STATE(1745), 1,
      sym_for_in_clause,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2461), 1,
      sym__comprehension_clauses,
  [99414] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      anon_sym_BSLASH,
    ACTIONS(2952), 1,
      sym_string_end,
    STATE(1671), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2756), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1575), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_python_string_repeat1,
  [99441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2793), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [99465] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_COMMA,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    STATE(1834), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2962), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      sym_type_conversion,
  [99493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [99509] = 7,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_SQUOTE,
    ACTIONS(2976), 1,
      aux_sym_string_token3,
    ACTIONS(2978), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(2980), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2974), 3,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS,
      aux_sym_string_token4,
    STATE(1606), 3,
      sym_inline_python,
      sym_variable_expansion,
      aux_sym_string_repeat2,
  [99535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(2940), 6,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE,
  [99559] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2940), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [99583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2818), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_PIPE,
  [99603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [99619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [99635] = 7,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(2822), 1,
      anon_sym_SQUOTE,
    ACTIONS(2978), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(2980), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2984), 1,
      aux_sym_string_token3,
    ACTIONS(2982), 3,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS,
      aux_sym_string_token4,
    STATE(1617), 3,
      sym_inline_python,
      sym_variable_expansion,
      aux_sym_string_repeat2,
  [99661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [99677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [99693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2986), 1,
      anon_sym_as,
    ACTIONS(2813), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_PIPE,
  [99715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2732), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_or,
      anon_sym_PIPE,
  [99733] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2892), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [99757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [99773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2989), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2991), 8,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LPAREN,
  [99791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2993), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2995), 8,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LPAREN,
  [99809] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_COMMA,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    STATE(1834), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2997), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      sym_type_conversion,
  [99837] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2902), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [99861] = 7,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_SQUOTE,
    ACTIONS(3004), 1,
      aux_sym_string_token3,
    ACTIONS(3007), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(3010), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2999), 3,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS,
      aux_sym_string_token4,
    STATE(1617), 3,
      sym_inline_python,
      sym_variable_expansion,
      aux_sym_string_repeat2,
  [99887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2722), 8,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
      anon_sym_LPAREN,
  [99905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(2732), 8,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_or,
      anon_sym_PIPE,
  [99922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3015), 1,
      anon_sym_as,
    ACTIONS(2734), 8,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [99939] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(2793), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
  [99962] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3019), 1,
      anon_sym_from,
    ACTIONS(3021), 1,
      anon_sym_COMMA,
    ACTIONS(3023), 1,
      anon_sym_as,
    ACTIONS(3025), 1,
      anon_sym_if,
    ACTIONS(3027), 1,
      anon_sym_and,
    ACTIONS(3029), 1,
      anon_sym_or,
    STATE(1871), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3017), 2,
      sym__newline,
      anon_sym_SEMI,
  [99991] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2744), 1,
      anon_sym_if,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    ACTIONS(2793), 5,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [100014] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(2902), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
  [100037] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    ACTIONS(3031), 1,
      anon_sym_as,
    ACTIONS(2813), 6,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [100058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    ACTIONS(3034), 1,
      anon_sym_as,
    ACTIONS(2818), 6,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [100079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3036), 1,
      anon_sym_as,
    ACTIONS(2732), 8,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [100096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_as,
    ACTIONS(2732), 7,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
  [100115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(3038), 1,
      anon_sym_as,
    ACTIONS(2813), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      sym_type_conversion,
  [100136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(2818), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      sym_type_conversion,
  [100155] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(2940), 5,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [100178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [100193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [100208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2744), 1,
      anon_sym_if,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    ACTIONS(2892), 5,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [100231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_as,
    ACTIONS(1957), 8,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [100248] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2744), 1,
      anon_sym_if,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    ACTIONS(2902), 5,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [100271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(2793), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [100294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(3055), 1,
      anon_sym_as,
    ACTIONS(2813), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_PIPE,
  [100315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(2818), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_PIPE,
  [100334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(2732), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_or,
      anon_sym_PIPE,
  [100351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(2892), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [100374] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(2902), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [100397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 9,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [100412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 9,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [100427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(3058), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
  [100450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [100465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(2793), 5,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [100488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(3060), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
  [100511] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(2940), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [100534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3062), 1,
      anon_sym_as,
    ACTIONS(2813), 6,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_PIPE,
  [100555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(2818), 7,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_PIPE,
  [100574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 9,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
  [100589] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(2892), 5,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [100612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_EQ,
    ACTIONS(3069), 1,
      anon_sym_LPAREN,
    ACTIONS(3067), 7,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
  [100631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(2892), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
  [100654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(2902), 5,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [100677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2732), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_or,
      sym_type_conversion,
  [100694] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3073), 1,
      aux_sym_string_token1,
    ACTIONS(3071), 7,
      anon_sym_DQUOTE,
      aux_sym_string_token2,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS,
      anon_sym_DOLLAR,
      anon_sym_DOLLAR_LBRACE_AT,
      anon_sym_DOLLAR_LBRACE,
  [100710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3015), 1,
      anon_sym_as,
    ACTIONS(2734), 7,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [100726] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(37), 1,
      aux_sym__dotted_identifier_token1,
    ACTIONS(3077), 1,
      sym_identifier,
    STATE(1524), 1,
      sym_variable_expansion,
    STATE(1547), 1,
      sym_concatenation,
    ACTIONS(3075), 3,
      anon_sym_append,
      anon_sym_prepend,
      anon_sym_remove,
  [100750] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3079), 1,
      anon_sym_RBRACK,
    ACTIONS(3081), 1,
      anon_sym_COLON,
    ACTIONS(3083), 1,
      anon_sym_COMMA,
    STATE(2053), 1,
      aux_sym_subscript_repeat1,
  [100778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3015), 1,
      anon_sym_as,
    ACTIONS(2734), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [100794] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(37), 1,
      aux_sym__dotted_identifier_token1,
    ACTIONS(3087), 1,
      sym_identifier,
    STATE(1529), 1,
      sym_variable_expansion,
    STATE(1618), 1,
      sym_concatenation,
    ACTIONS(3085), 3,
      anon_sym_append,
      anon_sym_prepend,
      anon_sym_remove,
  [100818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    ACTIONS(3089), 5,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [100838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    ACTIONS(3091), 1,
      anon_sym_as,
    ACTIONS(2813), 5,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [100858] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3081), 1,
      anon_sym_COLON,
    ACTIONS(3094), 1,
      anon_sym_RBRACK,
    ACTIONS(3096), 1,
      anon_sym_COMMA,
    STATE(1994), 1,
      aux_sym_subscript_repeat1,
  [100886] = 6,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3100), 1,
      sym_inherit_path,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(3106), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3098), 2,
      aux_sym_recipe_token1,
      anon_sym_NULL,
    STATE(1667), 3,
      sym_inline_python,
      sym_variable_expansion,
      aux_sym_inherit_directive_repeat1,
  [100908] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3081), 1,
      anon_sym_COLON,
    ACTIONS(3109), 1,
      anon_sym_RBRACK,
    ACTIONS(3111), 1,
      anon_sym_COMMA,
    STATE(2080), 1,
      aux_sym_subscript_repeat1,
  [100936] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(3113), 1,
      anon_sym_COMMA,
    STATE(1964), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2962), 2,
      sym__newline,
      anon_sym_SEMI,
  [100962] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3081), 1,
      anon_sym_COLON,
    ACTIONS(3115), 1,
      anon_sym_RBRACK,
    ACTIONS(3117), 1,
      anon_sym_COMMA,
    STATE(2024), 1,
      aux_sym_subscript_repeat1,
  [100990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3123), 1,
      anon_sym_BSLASH,
    ACTIONS(3119), 2,
      sym_string_end,
      anon_sym_LBRACE,
    STATE(1686), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3121), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [101010] = 6,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3127), 1,
      sym_inherit_path,
    ACTIONS(3129), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(3131), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3125), 2,
      aux_sym_recipe_token1,
      anon_sym_NULL,
    STATE(1667), 3,
      sym_inline_python,
      sym_variable_expansion,
      aux_sym_inherit_directive_repeat1,
  [101032] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(3113), 1,
      anon_sym_COMMA,
    STATE(1964), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3133), 2,
      sym__newline,
      anon_sym_SEMI,
  [101058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    ACTIONS(3034), 1,
      anon_sym_as,
    ACTIONS(2818), 5,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [101078] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3081), 1,
      anon_sym_COLON,
    ACTIONS(3135), 1,
      anon_sym_RBRACK,
    ACTIONS(3137), 1,
      anon_sym_COMMA,
    STATE(2108), 1,
      aux_sym_subscript_repeat1,
  [101106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_as,
    ACTIONS(1957), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [101122] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(3141), 1,
      anon_sym_COMMA,
    STATE(1969), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3139), 2,
      sym__newline,
      anon_sym_SEMI,
  [101148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2793), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [101170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3023), 1,
      anon_sym_as,
    ACTIONS(3025), 1,
      anon_sym_if,
    ACTIONS(3027), 1,
      anon_sym_and,
    ACTIONS(3029), 1,
      anon_sym_or,
    ACTIONS(2793), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [101192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    ACTIONS(3089), 5,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [101212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(3143), 1,
      anon_sym_as,
    ACTIONS(2813), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [101232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(3034), 1,
      anon_sym_as,
    ACTIONS(2818), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [101252] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3081), 1,
      anon_sym_COLON,
    ACTIONS(3146), 1,
      anon_sym_RBRACK,
    ACTIONS(3148), 1,
      anon_sym_COMMA,
    STATE(2128), 1,
      aux_sym_subscript_repeat1,
  [101280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3036), 1,
      anon_sym_as,
    ACTIONS(2732), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [101296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_as,
    ACTIONS(2732), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
  [101314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_BSLASH,
    ACTIONS(3150), 2,
      sym_string_end,
      anon_sym_LBRACE,
    STATE(1686), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3152), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [101334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3036), 1,
      anon_sym_as,
    ACTIONS(2732), 7,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [101350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_as,
    ACTIONS(2732), 6,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
  [101368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2728), 1,
      anon_sym_EQ,
    ACTIONS(2730), 7,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
  [101384] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3081), 1,
      anon_sym_COLON,
    ACTIONS(3158), 1,
      anon_sym_RBRACK,
    ACTIONS(3160), 1,
      anon_sym_COMMA,
    STATE(2147), 1,
      aux_sym_subscript_repeat1,
  [101412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2892), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [101434] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1984), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2942), 2,
      sym__newline,
      anon_sym_SEMI,
  [101460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3027), 1,
      anon_sym_and,
    ACTIONS(3029), 1,
      anon_sym_or,
    ACTIONS(3162), 1,
      anon_sym_as,
    ACTIONS(2813), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
  [101480] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2862), 1,
      anon_sym_if,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    ACTIONS(2902), 4,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [101502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3027), 1,
      anon_sym_and,
    ACTIONS(3029), 1,
      anon_sym_or,
    ACTIONS(2818), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
  [101520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2862), 1,
      anon_sym_if,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    ACTIONS(2793), 4,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [101542] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3081), 1,
      anon_sym_COLON,
    ACTIONS(3165), 1,
      anon_sym_RBRACK,
    ACTIONS(3167), 1,
      anon_sym_COMMA,
    STATE(2159), 1,
      aux_sym_subscript_repeat1,
  [101570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2724), 1,
      anon_sym_EQ,
    ACTIONS(2726), 7,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
  [101586] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2862), 1,
      anon_sym_if,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    ACTIONS(2892), 4,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [101608] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_except_STAR,
    ACTIONS(1399), 1,
      anon_sym_except,
    ACTIONS(3169), 1,
      anon_sym_finally,
    STATE(663), 1,
      sym_finally_clause,
    STATE(539), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(541), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [101632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3027), 1,
      anon_sym_and,
    ACTIONS(2732), 7,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_or,
  [101648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2744), 1,
      anon_sym_if,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    ACTIONS(3171), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [101670] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3081), 1,
      anon_sym_COLON,
    ACTIONS(3173), 1,
      anon_sym_RBRACK,
    ACTIONS(3175), 1,
      anon_sym_COMMA,
    STATE(2168), 1,
      aux_sym_subscript_repeat1,
  [101698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(3089), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [101718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    ACTIONS(3089), 5,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [101738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2771), 1,
      anon_sym_if,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(2902), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [101760] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3181), 1,
      sym_identifier,
    ACTIONS(3183), 1,
      aux_sym__dotted_identifier_token1,
    STATE(1935), 1,
      sym_variable_expansion,
    STATE(2196), 1,
      sym_concatenation,
    ACTIONS(3177), 3,
      anon_sym_append,
      anon_sym_prepend,
      anon_sym_remove,
  [101784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_EQ,
    ACTIONS(3067), 7,
      anon_sym_QMARK_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_EQ_PLUS,
      anon_sym_DOT_EQ,
      anon_sym_EQ_DOT,
  [101800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(3089), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [101820] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(3187), 1,
      anon_sym_COMMA,
    STATE(1968), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3185), 2,
      sym__newline,
      anon_sym_SEMI,
  [101846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    ACTIONS(3089), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [101866] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(3141), 1,
      anon_sym_COMMA,
    STATE(1975), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3189), 2,
      sym__newline,
      anon_sym_SEMI,
  [101892] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3023), 1,
      anon_sym_as,
    ACTIONS(3025), 1,
      anon_sym_if,
    ACTIONS(3027), 1,
      anon_sym_and,
    ACTIONS(3029), 1,
      anon_sym_or,
    ACTIONS(3060), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [101914] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3023), 1,
      anon_sym_as,
    ACTIONS(3025), 1,
      anon_sym_if,
    ACTIONS(3027), 1,
      anon_sym_and,
    ACTIONS(3029), 1,
      anon_sym_or,
    ACTIONS(2892), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [101936] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3183), 1,
      aux_sym__dotted_identifier_token1,
    ACTIONS(3193), 1,
      sym_identifier,
    STATE(1944), 1,
      sym_variable_expansion,
    STATE(2236), 1,
      sym_concatenation,
    ACTIONS(3191), 3,
      anon_sym_append,
      anon_sym_prepend,
      anon_sym_remove,
  [101960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_as,
    ACTIONS(1957), 7,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [101976] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3081), 1,
      anon_sym_COLON,
    ACTIONS(3195), 1,
      anon_sym_RBRACK,
    ACTIONS(3197), 1,
      anon_sym_COMMA,
    STATE(2191), 1,
      aux_sym_subscript_repeat1,
  [102004] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(3113), 1,
      anon_sym_COMMA,
    STATE(1964), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3199), 2,
      sym__newline,
      anon_sym_SEMI,
  [102030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    ACTIONS(3089), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [102050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3023), 1,
      anon_sym_as,
    ACTIONS(3025), 1,
      anon_sym_if,
    ACTIONS(3027), 1,
      anon_sym_and,
    ACTIONS(3029), 1,
      anon_sym_or,
    ACTIONS(2902), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [102072] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(2726), 1,
      aux_sym_string_token1,
    ACTIONS(2724), 7,
      anon_sym_DQUOTE,
      aux_sym_string_token2,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS,
      anon_sym_DOLLAR,
      anon_sym_DOLLAR_LBRACE_AT,
      anon_sym_DOLLAR_LBRACE,
  [102088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    ACTIONS(3089), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [102108] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(2730), 1,
      aux_sym_string_token1,
    ACTIONS(2728), 7,
      anon_sym_DQUOTE,
      aux_sym_string_token2,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS,
      anon_sym_DOLLAR,
      anon_sym_DOLLAR_LBRACE_AT,
      anon_sym_DOLLAR_LBRACE,
  [102124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(3089), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [102144] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_except_STAR,
    ACTIONS(1399), 1,
      anon_sym_except,
    ACTIONS(3169), 1,
      anon_sym_finally,
    STATE(657), 1,
      sym_finally_clause,
    STATE(538), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    STATE(540), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [102168] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(3113), 1,
      anon_sym_COMMA,
    STATE(1964), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2636), 2,
      sym__newline,
      anon_sym_SEMI,
  [102194] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_RBRACK,
    ACTIONS(3203), 1,
      anon_sym_if,
    ACTIONS(3206), 1,
      anon_sym_async,
    ACTIONS(3209), 1,
      anon_sym_for,
    STATE(1727), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [102215] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_RBRACK,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3212), 1,
      anon_sym_COMMA,
    STATE(2135), 1,
      aux_sym_assert_statement_repeat1,
  [102240] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(2730), 1,
      aux_sym_string_token3,
    ACTIONS(2728), 6,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS,
      anon_sym_SQUOTE,
      aux_sym_string_token4,
      anon_sym_DOLLAR_LBRACE_AT,
      anon_sym_DOLLAR_LBRACE,
  [102255] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3214), 1,
      anon_sym_DOT,
    ACTIONS(3216), 1,
      anon_sym___future__,
    ACTIONS(3218), 1,
      sym_python_identifier,
    STATE(1959), 1,
      aux_sym_import_prefix_repeat1,
    STATE(2040), 1,
      sym_import_prefix,
    STATE(2416), 2,
      sym_relative_import,
      sym_dotted_name,
  [102278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_as,
    ACTIONS(2750), 1,
      anon_sym_and,
    ACTIONS(2752), 1,
      anon_sym_or,
    ACTIONS(3220), 4,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [102297] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
    ACTIONS(3222), 1,
      anon_sym_if,
    ACTIONS(3225), 1,
      anon_sym_async,
    ACTIONS(3228), 1,
      anon_sym_for,
    STATE(1732), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [102318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    ACTIONS(3231), 1,
      anon_sym_if,
    ACTIONS(3234), 1,
      anon_sym_async,
    ACTIONS(3237), 1,
      anon_sym_for,
    STATE(1733), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [102339] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(3240), 1,
      anon_sym_RBRACE,
    ACTIONS(3242), 1,
      anon_sym_COMMA,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2002), 1,
      aux_sym_dictionary_repeat1,
    STATE(2404), 1,
      sym__comprehension_clauses,
  [102364] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(3244), 1,
      anon_sym_RBRACE,
    ACTIONS(3246), 1,
      anon_sym_COMMA,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2072), 1,
      aux_sym_dictionary_repeat1,
    STATE(2395), 1,
      sym__comprehension_clauses,
  [102389] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(3248), 1,
      anon_sym_COLON,
    ACTIONS(3250), 1,
      anon_sym_COMMA,
    STATE(2171), 1,
      aux_sym_assert_statement_repeat1,
  [102414] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(3252), 1,
      anon_sym_RBRACE,
    ACTIONS(3254), 1,
      anon_sym_COMMA,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2099), 1,
      aux_sym_dictionary_repeat1,
    STATE(2499), 1,
      sym__comprehension_clauses,
  [102439] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(3256), 1,
      anon_sym_RBRACE,
    ACTIONS(3258), 1,
      anon_sym_if,
    STATE(1762), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [102460] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(3260), 1,
      anon_sym_RBRACE,
    ACTIONS(3262), 1,
      anon_sym_COMMA,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2139), 1,
      aux_sym_dictionary_repeat1,
    STATE(2397), 1,
      sym__comprehension_clauses,
  [102485] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(3264), 1,
      anon_sym_RBRACE,
    ACTIONS(3266), 1,
      anon_sym_COMMA,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2016), 1,
      aux_sym_dictionary_repeat1,
    STATE(2418), 1,
      sym__comprehension_clauses,
  [102510] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(3268), 1,
      anon_sym_RBRACE,
    ACTIONS(3270), 1,
      anon_sym_COMMA,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2169), 1,
      aux_sym_dictionary_repeat1,
    STATE(2465), 1,
      sym__comprehension_clauses,
  [102535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(3272), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [102556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_as,
    ACTIONS(2777), 1,
      anon_sym_and,
    ACTIONS(2779), 1,
      anon_sym_or,
    ACTIONS(3220), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [102575] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2864), 1,
      anon_sym_async,
    ACTIONS(2866), 1,
      anon_sym_for,
    ACTIONS(3256), 1,
      anon_sym_RBRACK,
    ACTIONS(3274), 1,
      anon_sym_if,
    STATE(1760), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [102596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(3256), 1,
      anon_sym_RPAREN,
    ACTIONS(3276), 1,
      anon_sym_if,
    STATE(1757), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [102617] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(3278), 1,
      anon_sym_RBRACE,
    ACTIONS(3280), 1,
      anon_sym_COMMA,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2044), 1,
      aux_sym_dictionary_repeat1,
    STATE(2458), 1,
      sym__comprehension_clauses,
  [102642] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(2726), 1,
      aux_sym_string_token3,
    ACTIONS(2724), 6,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS,
      anon_sym_SQUOTE,
      aux_sym_string_token4,
      anon_sym_DOLLAR_LBRACE_AT,
      anon_sym_DOLLAR_LBRACE,
  [102657] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(3060), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [102678] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3081), 1,
      anon_sym_COLON,
    ACTIONS(3282), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [102701] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3284), 1,
      anon_sym_LPAREN,
    ACTIONS(3286), 1,
      anon_sym_STAR,
    ACTIONS(3288), 1,
      sym_python_identifier,
    STATE(1889), 1,
      sym_dotted_name,
    STATE(1977), 1,
      sym_aliased_import,
    STATE(2306), 1,
      sym__import_list,
    STATE(2319), 1,
      sym_wildcard_import,
  [102726] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(3250), 1,
      anon_sym_COMMA,
    ACTIONS(3290), 1,
      anon_sym_COLON,
    STATE(2171), 1,
      aux_sym_assert_statement_repeat1,
  [102751] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2962), 1,
      anon_sym_RPAREN,
    ACTIONS(3292), 1,
      anon_sym_COMMA,
    STATE(2064), 1,
      aux_sym_assert_statement_repeat1,
  [102776] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3073), 1,
      aux_sym_string_token3,
    ACTIONS(3071), 6,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH,
      anon_sym_DOLLARBB_ENV_PASSTHROUGH_ADDITIONS,
      anon_sym_SQUOTE,
      aux_sym_string_token4,
      anon_sym_DOLLAR_LBRACE_AT,
      anon_sym_DOLLAR_LBRACE,
  [102791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(3294), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [102812] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2703), 1,
      anon_sym_LPAREN,
    ACTIONS(3296), 1,
      anon_sym_LBRACK,
    ACTIONS(3298), 1,
      anon_sym_COLON,
    ACTIONS(3300), 1,
      sym__concat,
    STATE(1949), 1,
      aux_sym_concatenation_repeat1,
    STATE(2172), 1,
      aux_sym_override_repeat1,
    STATE(2189), 1,
      sym_variable_flag,
  [102837] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_COLON,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(1207), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [102860] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    ACTIONS(3276), 1,
      anon_sym_if,
    ACTIONS(3302), 1,
      anon_sym_RPAREN,
    STATE(1733), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [102881] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3304), 1,
      anon_sym_COLON,
    ACTIONS(1279), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [102904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_as,
    ACTIONS(2868), 1,
      anon_sym_and,
    ACTIONS(2870), 1,
      anon_sym_or,
    ACTIONS(3220), 4,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [102923] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2864), 1,
      anon_sym_async,
    ACTIONS(2866), 1,
      anon_sym_for,
    ACTIONS(3274), 1,
      anon_sym_if,
    ACTIONS(3302), 1,
      anon_sym_RBRACK,
    STATE(1727), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [102944] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(3306), 1,
      anon_sym_RBRACE,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    STATE(1738), 1,
      sym_for_in_clause,
    STATE(2122), 1,
      aux_sym_dictionary_repeat1,
    STATE(2344), 1,
      sym__comprehension_clauses,
  [102969] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    ACTIONS(3258), 1,
      anon_sym_if,
    ACTIONS(3302), 1,
      anon_sym_RBRACE,
    STATE(1732), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [102990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3310), 1,
      anon_sym_COMMA,
    STATE(1784), 1,
      aux_sym_pattern_list_repeat1,
    ACTIONS(817), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103006] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(1279), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [103026] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(3312), 2,
      sym__newline,
      anon_sym_SEMI,
  [103046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_BSLASH,
    ACTIONS(3314), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [103060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 1,
      anon_sym_COMMA,
    STATE(1785), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3318), 4,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [103076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [103088] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(3322), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [103108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3326), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3324), 4,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [103124] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(3328), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [103144] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3330), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [103164] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(3332), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [103184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [103196] = 5,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3129), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(3131), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3336), 1,
      sym_inherit_path,
    STATE(1672), 3,
      sym_inline_python,
      sym_variable_expansion,
      aux_sym_inherit_directive_repeat1,
  [103214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3060), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [103234] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(3338), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
  [103254] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_RBRACK,
    ACTIONS(3342), 1,
      anon_sym_COLON,
    ACTIONS(3344), 1,
      anon_sym_DOT,
    ACTIONS(3346), 1,
      anon_sym_COMMA,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    STATE(2033), 1,
      aux_sym_type_parameter_repeat1,
  [103276] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(3350), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
  [103296] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(3352), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [103316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3356), 1,
      anon_sym_DOT,
    STATE(1807), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3354), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [103332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [103344] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(3058), 2,
      sym__newline,
      anon_sym_SEMI,
  [103364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3358), 1,
      anon_sym_COMMA,
    STATE(1784), 1,
      aux_sym_pattern_list_repeat1,
    ACTIONS(2557), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3361), 4,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [103396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_LBRACK,
    ACTIONS(3300), 1,
      sym__concat,
    STATE(1949), 1,
      aux_sym_concatenation_repeat1,
    STATE(2213), 1,
      sym_variable_flag,
    ACTIONS(2722), 2,
      anon_sym_COLON,
      anon_sym_LPAREN,
  [103416] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3342), 1,
      anon_sym_COLON,
    ACTIONS(3344), 1,
      anon_sym_DOT,
    ACTIONS(3346), 1,
      anon_sym_COMMA,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_RBRACK,
    STATE(2063), 1,
      aux_sym_type_parameter_repeat1,
  [103438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3369), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3367), 4,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [103454] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(3338), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [103474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 1,
      anon_sym_COMMA,
    STATE(1790), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3060), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_BSLASH,
    ACTIONS(3375), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [103504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_COLON,
    ACTIONS(3383), 1,
      anon_sym_DOT,
    ACTIONS(3385), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 3,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [103522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
    ACTIONS(2797), 1,
      anon_sym_if,
    ACTIONS(2799), 1,
      anon_sym_and,
    ACTIONS(2801), 1,
      anon_sym_or,
    ACTIONS(3387), 2,
      sym__newline,
      anon_sym_SEMI,
  [103542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3389), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [103554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 6,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE,
  [103566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3391), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [103578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_COMMA,
    STATE(1815), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3393), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [103594] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(3397), 1,
      anon_sym_COLON,
    ACTIONS(3399), 1,
      anon_sym_COMMA,
    ACTIONS(3401), 1,
      anon_sym_as,
  [103616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(3403), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [103636] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3405), 1,
      anon_sym_EQ,
    ACTIONS(3407), 1,
      anon_sym_COLON,
    ACTIONS(3411), 1,
      anon_sym_DOT,
    ACTIONS(3413), 1,
      anon_sym_PIPE,
    ACTIONS(3409), 2,
      sym__newline,
      anon_sym_SEMI,
  [103656] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(3415), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [103676] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3342), 1,
      anon_sym_COLON,
    ACTIONS(3344), 1,
      anon_sym_DOT,
    ACTIONS(3346), 1,
      anon_sym_COMMA,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3417), 1,
      anon_sym_RBRACK,
    STATE(2006), 1,
      aux_sym_type_parameter_repeat1,
  [103698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3352), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [103718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3421), 1,
      anon_sym_BSLASH,
    ACTIONS(3419), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [103732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_BSLASH,
    ACTIONS(3423), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [103746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 6,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE,
  [103758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_DOT,
    STATE(1807), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3427), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [103774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 1,
      anon_sym_BSLASH,
    ACTIONS(3432), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [103788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      anon_sym_BSLASH,
    ACTIONS(3436), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [103802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(3060), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [103822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3440), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [103834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym_COMMA,
    STATE(1819), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3318), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [103850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3446), 1,
      anon_sym_BSLASH,
    ACTIONS(3444), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [103864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3448), 1,
      anon_sym_COMMA,
    STATE(1770), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3393), 4,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [103880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3450), 1,
      anon_sym_COMMA,
    STATE(1826), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3324), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [103896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [103908] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(3415), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
  [103928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(1287), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [103948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3454), 1,
      anon_sym_COMMA,
    STATE(1826), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3361), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [103964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3407), 1,
      anon_sym_COLON,
    ACTIONS(3411), 1,
      anon_sym_DOT,
    ACTIONS(3413), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 3,
      sym__newline,
      anon_sym_EQ,
      anon_sym_SEMI,
  [103982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3389), 6,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE,
  [103994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3391), 6,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE,
  [104006] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(37), 1,
      aux_sym__dotted_identifier_token1,
    ACTIONS(3456), 1,
      sym_identifier,
    STATE(1518), 1,
      sym_concatenation,
    STATE(2231), 1,
      sym_variable_expansion,
    STATE(2282), 1,
      sym_variable_assignment,
  [104028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(2818), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
  [104044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3458), 1,
      anon_sym_COMMA,
    STATE(1832), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3393), 4,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_COMMA,
    STATE(1826), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3367), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104076] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(3352), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [104096] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(3058), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [104116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(3403), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [104136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3440), 6,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE,
  [104148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_COMMA,
    STATE(1835), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3318), 4,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    STATE(1839), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3324), 4,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 6,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE,
  [104192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_COMMA,
    STATE(1790), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1095), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      sym_type_conversion,
  [104208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COMMA,
    STATE(1839), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3361), 4,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_BSLASH,
    ACTIONS(3471), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [104238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(3171), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [104258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3058), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [104278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_COMMA,
    STATE(1839), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3367), 4,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104294] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(3060), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
  [104314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(3350), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [104334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_as,
    ACTIONS(2956), 1,
      anon_sym_if,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(3478), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [104354] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3342), 1,
      anon_sym_COLON,
    ACTIONS(3344), 1,
      anon_sym_DOT,
    ACTIONS(3346), 1,
      anon_sym_COMMA,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_RBRACK,
    STATE(1989), 1,
      aux_sym_type_parameter_repeat1,
  [104376] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_COLON,
    ACTIONS(3383), 1,
      anon_sym_DOT,
    ACTIONS(3385), 1,
      anon_sym_PIPE,
    ACTIONS(3482), 1,
      anon_sym_EQ,
    ACTIONS(3484), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [104396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(3478), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [104416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2192), 1,
      sym_variable_expansion,
    ACTIONS(2697), 2,
      anon_sym_COLON,
      anon_sym_LPAREN,
    ACTIONS(3486), 2,
      sym_identifier,
      aux_sym__dotted_identifier_token1,
  [104434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3356), 1,
      anon_sym_DOT,
    STATE(1781), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3488), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [104450] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_and,
    ACTIONS(3041), 1,
      anon_sym_as,
    ACTIONS(3043), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_or,
    ACTIONS(3403), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [104470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 6,
      sym__newline,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE,
  [104482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3490), 1,
      anon_sym_COLON,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3494), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 2,
      anon_sym_EQ,
      anon_sym_COMMA,
  [104499] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(3496), 1,
      anon_sym_RBRACE,
  [104518] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3484), 1,
      anon_sym_COMMA,
    ACTIONS(3490), 1,
      anon_sym_COLON,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3494), 1,
      anon_sym_PIPE,
    ACTIONS(3498), 1,
      anon_sym_EQ,
  [104537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3500), 1,
      anon_sym_as,
    ACTIONS(3502), 1,
      anon_sym_if,
    ACTIONS(3504), 1,
      anon_sym_else,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
  [104556] = 5,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3510), 1,
      aux_sym_recipe_token1,
    ACTIONS(3514), 1,
      sym_identifier,
    STATE(1854), 1,
      aux_sym_export_functions_statement_repeat1,
    ACTIONS(3512), 2,
      anon_sym_NULL,
      anon_sym_after,
  [104573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3342), 1,
      anon_sym_COLON,
    ACTIONS(3344), 1,
      anon_sym_DOT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [104590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3389), 5,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [104601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3391), 5,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [104612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      sym_python_identifier,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(1996), 1,
      sym_aliased_import,
    ACTIONS(3517), 2,
      sym__newline,
      anon_sym_SEMI,
  [104629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3500), 1,
      anon_sym_as,
    ACTIONS(3502), 1,
      anon_sym_if,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
    ACTIONS(3519), 1,
      anon_sym_else,
  [104648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3440), 5,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [104659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 5,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [104670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(3521), 1,
      anon_sym_COLON,
    ACTIONS(3523), 1,
      anon_sym_as,
  [104689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [104700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
    ACTIONS(3525), 1,
      anon_sym_as,
    ACTIONS(2813), 2,
      anon_sym_if,
      anon_sym_else,
  [104717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3528), 1,
      anon_sym_RBRACE,
    ACTIONS(3530), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(3532), 1,
      sym_shell_content,
    STATE(1888), 2,
      sym_inline_python,
      aux_sym_function_definition_repeat1,
  [104734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(3534), 1,
      anon_sym_COLON,
  [104753] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2892), 1,
      anon_sym_else,
    ACTIONS(3500), 1,
      anon_sym_as,
    ACTIONS(3502), 1,
      anon_sym_if,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
  [104772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3500), 1,
      anon_sym_as,
    ACTIONS(3502), 1,
      anon_sym_if,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
    ACTIONS(3536), 1,
      anon_sym_else,
  [104791] = 2,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3071), 5,
      aux_sym_recipe_token1,
      anon_sym_NULL,
      sym_inherit_path,
      anon_sym_DOLLAR_LBRACE_AT,
      anon_sym_DOLLAR_LBRACE,
  [104802] = 6,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    ACTIONS(3540), 1,
      anon_sym_RBRACE,
    ACTIONS(3542), 1,
      aux_sym_format_specifier_token1,
    STATE(1878), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2090), 1,
      sym_interpolation,
  [104821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym_COMMA,
    STATE(1937), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1095), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [104836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3389), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [104847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3391), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [104858] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(3546), 1,
      anon_sym_COLON,
  [104877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 5,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3550), 1,
      anon_sym_DOT,
    STATE(1896), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3488), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [104903] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_COLON,
    ACTIONS(3556), 1,
      anon_sym_RBRACE,
    ACTIONS(3558), 1,
      sym_type_conversion,
    STATE(2498), 1,
      sym_format_specifier,
  [104922] = 6,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_LBRACE,
    ACTIONS(3563), 1,
      anon_sym_RBRACE,
    ACTIONS(3565), 1,
      aux_sym_format_specifier_token1,
    STATE(1878), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2090), 1,
      sym_interpolation,
  [104941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3440), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [104952] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(3568), 1,
      anon_sym_COLON,
  [104971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3500), 1,
      anon_sym_as,
    ACTIONS(3502), 1,
      anon_sym_if,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
    ACTIONS(3570), 1,
      anon_sym_else,
  [104990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
    ACTIONS(2818), 3,
      anon_sym_as,
      anon_sym_if,
      anon_sym_else,
  [105005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(3572), 1,
      anon_sym_RBRACE,
    ACTIONS(3574), 1,
      sym_shell_content,
    STATE(1886), 2,
      sym_inline_python,
      aux_sym_function_definition_repeat1,
  [105022] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3576), 1,
      anon_sym_DQUOTE,
    ACTIONS(3578), 1,
      anon_sym_SQUOTE,
    ACTIONS(3580), 1,
      sym_identifier,
    STATE(2265), 1,
      sym_literal,
    STATE(2283), 1,
      sym_string,
  [105041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(3582), 1,
      anon_sym_RBRACE,
    ACTIONS(3584), 1,
      sym_shell_content,
    STATE(1914), 2,
      sym_inline_python,
      aux_sym_function_definition_repeat1,
  [105058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(3532), 1,
      sym_shell_content,
    ACTIONS(3586), 1,
      anon_sym_RBRACE,
    STATE(1888), 2,
      sym_inline_python,
      aux_sym_function_definition_repeat1,
  [105075] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2902), 1,
      anon_sym_else,
    ACTIONS(3500), 1,
      anon_sym_as,
    ACTIONS(3502), 1,
      anon_sym_if,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
  [105094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_RBRACE,
    ACTIONS(3590), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(3593), 1,
      sym_shell_content,
    STATE(1888), 2,
      sym_inline_python,
      aux_sym_function_definition_repeat1,
  [105111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3598), 1,
      anon_sym_COMMA,
    ACTIONS(3600), 1,
      anon_sym_as,
    STATE(1976), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3596), 2,
      sym__newline,
      anon_sym_SEMI,
  [105128] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3500), 1,
      anon_sym_as,
    ACTIONS(3502), 1,
      anon_sym_if,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
    ACTIONS(3602), 1,
      anon_sym_else,
  [105147] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3500), 1,
      anon_sym_as,
    ACTIONS(3502), 1,
      anon_sym_if,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
    ACTIONS(3604), 1,
      anon_sym_else,
  [105166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
  [105177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(3586), 1,
      anon_sym_RBRACE,
    ACTIONS(3606), 1,
      sym_shell_content,
    STATE(1865), 2,
      sym_inline_python,
      aux_sym_function_definition_repeat1,
  [105194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 5,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [105205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3608), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3550), 1,
      anon_sym_DOT,
    STATE(1909), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3354), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [105231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(2732), 4,
      anon_sym_as,
      anon_sym_if,
      anon_sym_else,
      anon_sym_or,
  [105244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(3610), 1,
      anon_sym_RBRACE,
  [105263] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(3612), 1,
      anon_sym_COLON,
  [105282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      sym_python_identifier,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(1996), 1,
      sym_aliased_import,
    ACTIONS(3614), 2,
      sym__newline,
      anon_sym_SEMI,
  [105299] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3500), 1,
      anon_sym_as,
    ACTIONS(3502), 1,
      anon_sym_if,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
    ACTIONS(3616), 1,
      anon_sym_else,
  [105318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(3618), 1,
      anon_sym_RBRACE,
  [105337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [105359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(2818), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_if,
  [105374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [105385] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3500), 1,
      anon_sym_as,
    ACTIONS(3502), 1,
      anon_sym_if,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
    ACTIONS(3620), 1,
      anon_sym_else,
  [105404] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3500), 1,
      anon_sym_as,
    ACTIONS(3502), 1,
      anon_sym_if,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
    ACTIONS(3622), 1,
      anon_sym_else,
  [105423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 1,
      anon_sym_DOT,
    STATE(1909), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3427), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [105438] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_COLON,
    ACTIONS(3627), 1,
      anon_sym_EQ,
    ACTIONS(3629), 1,
      anon_sym_RBRACE,
    ACTIONS(3631), 1,
      sym_type_conversion,
    STATE(2510), 1,
      sym_format_specifier,
  [105457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
  [105468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3342), 1,
      anon_sym_COLON,
    ACTIONS(3344), 1,
      anon_sym_DOT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3633), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [105485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3500), 1,
      anon_sym_as,
    ACTIONS(3502), 1,
      anon_sym_if,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
    ACTIONS(3635), 1,
      anon_sym_else,
  [105504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_DOLLAR_LBRACE_AT,
    ACTIONS(3532), 1,
      sym_shell_content,
    ACTIONS(3572), 1,
      anon_sym_RBRACE,
    STATE(1888), 2,
      sym_inline_python,
      aux_sym_function_definition_repeat1,
  [105521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_as,
    ACTIONS(3049), 1,
      anon_sym_if,
    ACTIONS(3051), 1,
      anon_sym_and,
    ACTIONS(3053), 1,
      anon_sym_or,
    ACTIONS(3637), 1,
      anon_sym_COLON,
  [105540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105551] = 2,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(2728), 5,
      aux_sym_recipe_token1,
      anon_sym_NULL,
      sym_inherit_path,
      anon_sym_DOLLAR_LBRACE_AT,
      anon_sym_DOLLAR_LBRACE,
  [105562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [105573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
  [105584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      sym_python_identifier,
    ACTIONS(3639), 1,
      anon_sym_LPAREN,
    STATE(1889), 1,
      sym_dotted_name,
    STATE(1977), 1,
      sym_aliased_import,
    STATE(2263), 1,
      sym__import_list,
  [105603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3608), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105614] = 6,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    ACTIONS(3641), 1,
      anon_sym_RBRACE,
    ACTIONS(3643), 1,
      aux_sym_format_specifier_token1,
    STATE(1870), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2090), 1,
      sym_interpolation,
  [105633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3608), 5,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      sym_python_identifier,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(1996), 1,
      sym_aliased_import,
    ACTIONS(3517), 2,
      sym__newline,
      anon_sym_SEMI,
  [105672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105683] = 6,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3645), 1,
      aux_sym_recipe_token1,
    ACTIONS(3647), 1,
      anon_sym_NULL,
    ACTIONS(3649), 1,
      anon_sym_before,
    ACTIONS(3651), 1,
      sym_identifier,
    STATE(1928), 1,
      aux_sym_export_functions_statement_repeat1,
  [105702] = 5,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3510), 1,
      aux_sym_recipe_token1,
    ACTIONS(3653), 1,
      sym_identifier,
    STATE(1928), 1,
      aux_sym_export_functions_statement_repeat1,
    ACTIONS(3512), 2,
      anon_sym_NULL,
      anon_sym_before,
  [105719] = 2,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(2724), 5,
      aux_sym_recipe_token1,
      anon_sym_NULL,
      sym_inherit_path,
      anon_sym_DOLLAR_LBRACE_AT,
      anon_sym_DOLLAR_LBRACE,
  [105730] = 6,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3645), 1,
      aux_sym_recipe_token1,
    ACTIONS(3647), 1,
      anon_sym_NULL,
    ACTIONS(3649), 1,
      anon_sym_after,
    ACTIONS(3656), 1,
      sym_identifier,
    STATE(1854), 1,
      aux_sym_export_functions_statement_repeat1,
  [105749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 5,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
  [105771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 5,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [105782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 5,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [105793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2703), 1,
      anon_sym_LPAREN,
    ACTIONS(3298), 1,
      anon_sym_COLON,
    ACTIONS(3300), 1,
      sym__concat,
    STATE(1949), 1,
      aux_sym_concatenation_repeat1,
    STATE(2172), 1,
      aux_sym_override_repeat1,
  [105812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_type_conversion,
  [105823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_COMMA,
    STATE(1937), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3060), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [105838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_COLON,
    ACTIONS(3383), 1,
      anon_sym_DOT,
    ACTIONS(3385), 1,
      anon_sym_PIPE,
    ACTIONS(3484), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [105855] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 1,
      anon_sym_else,
    ACTIONS(3500), 1,
      anon_sym_as,
    ACTIONS(3502), 1,
      anon_sym_if,
    ACTIONS(3506), 1,
      anon_sym_and,
    ACTIONS(3508), 1,
      anon_sym_or,
  [105874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3576), 1,
      anon_sym_DQUOTE,
    ACTIONS(3578), 1,
      anon_sym_SQUOTE,
    ACTIONS(3580), 1,
      sym_identifier,
    STATE(2240), 1,
      sym_literal,
    STATE(2283), 1,
      sym_string,
  [105893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3427), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
  [105904] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_as,
    ACTIONS(2968), 1,
      anon_sym_if,
    ACTIONS(2970), 1,
      anon_sym_and,
    ACTIONS(2972), 1,
      anon_sym_or,
    ACTIONS(3661), 1,
      anon_sym_RBRACE,
  [105923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3663), 1,
      sym_python_identifier,
    STATE(1954), 1,
      sym_dotted_name,
    STATE(2001), 1,
      sym_aliased_import,
    STATE(2415), 1,
      sym__import_list,
  [105939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      sym__concat,
    STATE(1949), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(2722), 2,
      anon_sym_COLON,
      anon_sym_LPAREN,
  [105953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_RPAREN,
    ACTIONS(3663), 1,
      sym_python_identifier,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2264), 1,
      sym_aliased_import,
  [105969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3667), 1,
      anon_sym_COMMA,
    STATE(1983), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3665), 2,
      sym__newline,
      anon_sym_SEMI,
  [105983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1522), 1,
      sym_variable_expansion,
    ACTIONS(2699), 2,
      sym_identifier,
      aux_sym__dotted_identifier_token1,
  [105997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3671), 1,
      anon_sym_COMMA,
    STATE(1948), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3669), 2,
      sym__newline,
      anon_sym_SEMI,
  [106011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3674), 1,
      sym__concat,
    STATE(1978), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(2716), 2,
      anon_sym_COLON,
      anon_sym_LPAREN,
  [106025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      sym_python_identifier,
    STATE(1889), 1,
      sym_dotted_name,
    STATE(1977), 1,
      sym_aliased_import,
    STATE(2210), 1,
      sym__import_list,
  [106041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COMMA,
    STATE(1980), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3676), 2,
      sym__newline,
      anon_sym_SEMI,
  [106055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3484), 1,
      anon_sym_COMMA,
    ACTIONS(3490), 1,
      anon_sym_COLON,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3494), 1,
      anon_sym_PIPE,
  [106071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_RBRACE,
    ACTIONS(3682), 1,
      sym_type_conversion,
    STATE(2531), 1,
      sym_format_specifier,
  [106087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3596), 1,
      anon_sym_RPAREN,
    ACTIONS(3684), 1,
      anon_sym_COMMA,
    ACTIONS(3686), 1,
      anon_sym_as,
    STATE(2056), 1,
      aux_sym__import_list_repeat1,
  [106103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_COLON,
    ACTIONS(3688), 1,
      anon_sym_RBRACE,
    ACTIONS(3690), 1,
      sym_type_conversion,
    STATE(2437), 1,
      sym_format_specifier,
  [106119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_RPAREN,
    ACTIONS(3663), 1,
      sym_python_identifier,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2264), 1,
      sym_aliased_import,
  [106135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3692), 2,
      sym__newline,
      anon_sym_SEMI,
  [106149] = 5,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_recipe_token1,
    ACTIONS(3699), 1,
      anon_sym_NULL,
    ACTIONS(3701), 1,
      sym_identifier,
    STATE(1972), 1,
      aux_sym_export_functions_statement_repeat1,
  [106165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3705), 1,
      anon_sym_DOT,
    STATE(1967), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3703), 2,
      anon_sym_import,
      sym_python_identifier,
  [106179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3707), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [106191] = 5,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3701), 1,
      sym_identifier,
    ACTIONS(3709), 1,
      aux_sym_recipe_token1,
    ACTIONS(3711), 1,
      anon_sym_NULL,
    STATE(1972), 1,
      aux_sym_export_functions_statement_repeat1,
  [106207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3715), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3713), 2,
      sym__newline,
      anon_sym_SEMI,
  [106221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3667), 1,
      anon_sym_COMMA,
    STATE(1982), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3717), 2,
      sym__newline,
      anon_sym_SEMI,
  [106235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_COMMA,
    STATE(1971), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1095), 2,
      sym__newline,
      anon_sym_SEMI,
  [106249] = 5,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3721), 1,
      aux_sym_recipe_token1,
    ACTIONS(3723), 1,
      anon_sym_NULL,
    ACTIONS(3725), 1,
      anon_sym_after,
    ACTIONS(3727), 1,
      anon_sym_before,
  [106265] = 5,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3729), 1,
      aux_sym_recipe_token1,
    ACTIONS(3731), 1,
      anon_sym_NULL,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    STATE(2321), 1,
      sym_variable_flag,
  [106281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_DOT,
    STATE(1967), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3735), 2,
      anon_sym_import,
      sym_python_identifier,
  [106295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3742), 1,
      anon_sym_COMMA,
    STATE(1980), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3740), 2,
      sym__newline,
      anon_sym_SEMI,
  [106309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_COMMA,
    STATE(1971), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3744), 2,
      sym__newline,
      anon_sym_SEMI,
  [106323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3663), 1,
      sym_python_identifier,
    STATE(1954), 1,
      sym_dotted_name,
    STATE(2001), 1,
      sym_aliased_import,
    STATE(2406), 1,
      sym__import_list,
  [106339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3746), 1,
      anon_sym_COMMA,
    STATE(1971), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3060), 2,
      sym__newline,
      anon_sym_SEMI,
  [106353] = 5,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3510), 1,
      aux_sym_recipe_token1,
    ACTIONS(3512), 1,
      anon_sym_NULL,
    ACTIONS(3749), 1,
      sym_identifier,
    STATE(1972), 1,
      aux_sym_export_functions_statement_repeat1,
  [106369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3427), 4,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
  [106379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_COMMA,
    STATE(1951), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3752), 2,
      sym__newline,
      anon_sym_SEMI,
  [106393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_COMMA,
    STATE(1971), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3756), 2,
      sym__newline,
      anon_sym_SEMI,
  [106407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3758), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3713), 2,
      sym__newline,
      anon_sym_SEMI,
  [106421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3598), 1,
      anon_sym_COMMA,
    STATE(1962), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3596), 2,
      sym__newline,
      anon_sym_SEMI,
  [106435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3760), 1,
      sym__concat,
    STATE(1978), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(2709), 2,
      anon_sym_COLON,
      anon_sym_LPAREN,
  [106449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_RPAREN,
    ACTIONS(3663), 1,
      sym_python_identifier,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2264), 1,
      sym_aliased_import,
  [106465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      anon_sym_COMMA,
    STATE(1980), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3763), 2,
      sym__newline,
      anon_sym_SEMI,
  [106479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2192), 1,
      sym_variable_expansion,
    ACTIONS(3486), 2,
      sym_identifier,
      aux_sym__dotted_identifier_token1,
  [106493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3667), 1,
      anon_sym_COMMA,
    STATE(1948), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3768), 2,
      sym__newline,
      anon_sym_SEMI,
  [106507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3667), 1,
      anon_sym_COMMA,
    STATE(1948), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3770), 2,
      sym__newline,
      anon_sym_SEMI,
  [106521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 1,
      anon_sym_COMMA,
    STATE(1971), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1273), 2,
      sym__newline,
      anon_sym_SEMI,
  [106535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_EQ,
    ACTIONS(3776), 1,
      anon_sym_COLON,
    ACTIONS(3778), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_COMMA,
    ACTIONS(3782), 1,
      anon_sym_in,
    STATE(1993), 1,
      aux_sym_pattern_list_repeat1,
  [106562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    ACTIONS(2740), 1,
      anon_sym_COMMA,
    STATE(2030), 1,
      aux_sym__collection_elements_repeat1,
  [106575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_RPAREN,
    ACTIONS(3786), 1,
      anon_sym_COMMA,
    STATE(2035), 1,
      aux_sym_with_clause_repeat1,
  [106588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3346), 1,
      anon_sym_COMMA,
    ACTIONS(3788), 1,
      anon_sym_RBRACK,
    STATE(2051), 1,
      aux_sym_type_parameter_repeat1,
  [106601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3790), 1,
      anon_sym_RBRACK,
    ACTIONS(3792), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [106614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 1,
      anon_sym_COLON,
    ACTIONS(3795), 1,
      anon_sym_COMMA,
    STATE(2037), 1,
      aux_sym_with_clause_repeat1,
  [106627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 1,
      anon_sym_RPAREN,
    ACTIONS(3797), 1,
      anon_sym_COMMA,
    STATE(2197), 1,
      aux_sym__parameters_repeat1,
  [106640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 1,
      anon_sym_in,
    ACTIONS(3799), 1,
      anon_sym_COMMA,
    STATE(2181), 1,
      aux_sym_pattern_list_repeat1,
  [106653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_RBRACK,
    ACTIONS(3803), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [106666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      anon_sym_RPAREN,
    ACTIONS(3805), 1,
      anon_sym_COMMA,
    STATE(2018), 1,
      aux_sym_pattern_list_repeat1,
  [106679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3707), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [106688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [106697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3488), 1,
      anon_sym_import,
    ACTIONS(3809), 1,
      anon_sym_DOT,
    STATE(2047), 1,
      aux_sym_dotted_name_repeat1,
  [106710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3332), 1,
      anon_sym_RPAREN,
    ACTIONS(3811), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [106723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 3,
      sym_shell_content,
      anon_sym_RBRACE,
      anon_sym_DOLLAR_LBRACE_AT,
  [106732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3596), 1,
      anon_sym_RPAREN,
    ACTIONS(3684), 1,
      anon_sym_COMMA,
    STATE(2054), 1,
      aux_sym__import_list_repeat1,
  [106745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 1,
      anon_sym_RBRACE,
    ACTIONS(3814), 1,
      anon_sym_COMMA,
    STATE(2153), 1,
      aux_sym_dictionary_repeat1,
  [106758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3816), 1,
      anon_sym_RPAREN,
    ACTIONS(3818), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym__parameters_repeat1,
  [106771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2081), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [106780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [106789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3346), 1,
      anon_sym_COMMA,
    ACTIONS(3820), 1,
      anon_sym_RBRACK,
    STATE(2051), 1,
      aux_sym_type_parameter_repeat1,
  [106802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_EQ,
    ACTIONS(3778), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_COMMA,
    ACTIONS(3822), 1,
      anon_sym_in,
    STATE(1993), 1,
      aux_sym_pattern_list_repeat1,
  [106826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COMMA,
  [106835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_COLON,
    ACTIONS(3826), 1,
      anon_sym_COMMA,
    STATE(1991), 1,
      aux_sym_with_clause_repeat1,
  [106848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2142), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [106857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2805), 1,
      anon_sym_RPAREN,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [106870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3264), 1,
      anon_sym_RBRACE,
    ACTIONS(3266), 1,
      anon_sym_COMMA,
    STATE(2016), 1,
      aux_sym_dictionary_repeat1,
  [106883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(3828), 1,
      anon_sym_RPAREN,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [106896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(3830), 1,
      anon_sym_RPAREN,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [106909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 1,
      anon_sym_RBRACE,
    ACTIONS(3832), 1,
      anon_sym_COMMA,
    STATE(2153), 1,
      aux_sym_dictionary_repeat1,
  [106922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3115), 1,
      anon_sym_RBRACK,
    ACTIONS(3117), 1,
      anon_sym_COMMA,
    STATE(2023), 1,
      aux_sym_subscript_repeat1,
  [106935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_RPAREN,
    ACTIONS(3834), 1,
      anon_sym_COMMA,
    STATE(2018), 1,
      aux_sym_pattern_list_repeat1,
  [106948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3837), 1,
      anon_sym_RPAREN,
    ACTIONS(3839), 1,
      anon_sym_COMMA,
    STATE(2025), 1,
      aux_sym_argument_list_repeat1,
  [106961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_RPAREN,
    ACTIONS(2811), 1,
      anon_sym_COMMA,
    STATE(2026), 1,
      aux_sym_argument_list_repeat1,
  [106974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_SEMI,
    ACTIONS(3843), 1,
      sym__newline,
    STATE(2027), 1,
      aux_sym__simple_statements_repeat1,
  [106987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_RPAREN,
    ACTIONS(3847), 1,
      anon_sym_COMMA,
    STATE(1995), 1,
      aux_sym_pattern_list_repeat1,
  [107000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3849), 1,
      anon_sym_RBRACK,
    ACTIONS(3851), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [107013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_RBRACK,
    ACTIONS(3855), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [107026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 1,
      anon_sym_RPAREN,
    ACTIONS(3857), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [107039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      anon_sym_RPAREN,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [107052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(419), 1,
      sym__newline,
    ACTIONS(3861), 1,
      anon_sym_SEMI,
    STATE(2062), 1,
      aux_sym__simple_statements_repeat1,
  [107065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_RBRACK,
    ACTIONS(3863), 1,
      anon_sym_COMMA,
    STATE(2028), 1,
      aux_sym_assert_statement_repeat1,
  [107078] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(3377), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [107089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 1,
      anon_sym_RBRACE,
    ACTIONS(3866), 1,
      anon_sym_COMMA,
    STATE(2069), 1,
      aux_sym__collection_elements_repeat1,
  [107102] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3432), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(3434), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [107113] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3444), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(3446), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [107124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3346), 1,
      anon_sym_COMMA,
    ACTIONS(3868), 1,
      anon_sym_RBRACK,
    STATE(2051), 1,
      aux_sym_type_parameter_repeat1,
  [107137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 1,
      anon_sym_COLON,
    ACTIONS(3870), 1,
      anon_sym_COMMA,
    STATE(2066), 1,
      aux_sym__parameters_repeat1,
  [107150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_RPAREN,
    ACTIONS(3872), 1,
      anon_sym_COMMA,
    STATE(2133), 1,
      aux_sym_with_clause_repeat1,
  [107163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_RPAREN,
    ACTIONS(3874), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [107176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3876), 1,
      anon_sym_COLON,
    ACTIONS(3878), 1,
      anon_sym_COMMA,
    STATE(2037), 1,
      aux_sym_with_clause_repeat1,
  [107189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 1,
      anon_sym_RPAREN,
    ACTIONS(3881), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [107202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      sym_python_identifier,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(1996), 1,
      sym_aliased_import,
  [107215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      sym_python_identifier,
    ACTIONS(3883), 1,
      anon_sym_import,
    STATE(2375), 1,
      sym_dotted_name,
  [107228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(2828), 1,
      anon_sym_RPAREN,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [107241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_RBRACE,
    ACTIONS(3280), 1,
      anon_sym_COMMA,
    STATE(2044), 1,
      aux_sym_dictionary_repeat1,
  [107254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(3885), 1,
      anon_sym_RPAREN,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [107267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_RBRACE,
    ACTIONS(3887), 1,
      anon_sym_COMMA,
    STATE(2153), 1,
      aux_sym_dictionary_repeat1,
  [107280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(3889), 1,
      anon_sym_RPAREN,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [107293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3079), 1,
      anon_sym_RBRACK,
    ACTIONS(3083), 1,
      anon_sym_COMMA,
    STATE(2052), 1,
      aux_sym_subscript_repeat1,
  [107306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_import,
    ACTIONS(3809), 1,
      anon_sym_DOT,
    STATE(2094), 1,
      aux_sym_dotted_name_repeat1,
  [107319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3891), 1,
      anon_sym_RPAREN,
    ACTIONS(3893), 1,
      anon_sym_COMMA,
    STATE(2055), 1,
      aux_sym_argument_list_repeat1,
  [107332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_RPAREN,
    ACTIONS(2832), 1,
      anon_sym_COMMA,
    STATE(2057), 1,
      aux_sym_argument_list_repeat1,
  [107345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3895), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 1,
      sym__newline,
    STATE(2058), 1,
      aux_sym__simple_statements_repeat1,
  [107358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3633), 1,
      anon_sym_RBRACK,
    ACTIONS(3899), 1,
      anon_sym_COMMA,
    STATE(2051), 1,
      aux_sym_type_parameter_repeat1,
  [107371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_RBRACK,
    ACTIONS(3904), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [107384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_RBRACK,
    ACTIONS(3908), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [107397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3713), 1,
      anon_sym_RPAREN,
    ACTIONS(3910), 1,
      anon_sym_COMMA,
    STATE(2102), 1,
      aux_sym__import_list_repeat1,
  [107410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      anon_sym_RPAREN,
    ACTIONS(3912), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [107423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3713), 1,
      anon_sym_RPAREN,
    ACTIONS(3914), 1,
      anon_sym_COMMA,
    STATE(2102), 1,
      aux_sym__import_list_repeat1,
  [107436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 1,
      anon_sym_RPAREN,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [107449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      sym__newline,
    ACTIONS(3918), 1,
      anon_sym_SEMI,
    STATE(2062), 1,
      aux_sym__simple_statements_repeat1,
  [107462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3920), 1,
      anon_sym_COLON,
    ACTIONS(3778), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3094), 1,
      anon_sym_RBRACK,
    ACTIONS(3096), 1,
      anon_sym_COMMA,
    STATE(2193), 1,
      aux_sym_subscript_repeat1,
  [107486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 1,
      anon_sym_except,
    ACTIONS(1593), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [107497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3922), 1,
      anon_sym_SEMI,
    ACTIONS(3925), 1,
      sym__newline,
    STATE(2062), 1,
      aux_sym__simple_statements_repeat1,
  [107510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3346), 1,
      anon_sym_COMMA,
    ACTIONS(3927), 1,
      anon_sym_RBRACK,
    STATE(2051), 1,
      aux_sym_type_parameter_repeat1,
  [107523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1095), 1,
      anon_sym_RPAREN,
    ACTIONS(3929), 1,
      anon_sym_COMMA,
    STATE(2207), 1,
      aux_sym_assert_statement_repeat1,
  [107536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_RBRACK,
    ACTIONS(3931), 1,
      anon_sym_COMMA,
    STATE(2065), 1,
      aux_sym_pattern_list_repeat1,
  [107549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3934), 1,
      anon_sym_COLON,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    STATE(2066), 1,
      aux_sym__parameters_repeat1,
  [107562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2764), 1,
      anon_sym_RPAREN,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [107575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_RBRACE,
    ACTIONS(3246), 1,
      anon_sym_COMMA,
    STATE(2072), 1,
      aux_sym_dictionary_repeat1,
  [107588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 1,
      anon_sym_RBRACE,
    ACTIONS(3939), 1,
      anon_sym_COMMA,
    STATE(2069), 1,
      aux_sym__collection_elements_repeat1,
  [107601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 1,
      anon_sym_COLON,
    ACTIONS(3944), 1,
      anon_sym_LPAREN,
    STATE(2468), 1,
      sym_override,
  [107614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_COLON,
    ACTIONS(3946), 1,
      anon_sym_RBRACE,
    STATE(2455), 1,
      sym_format_specifier,
  [107627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      anon_sym_RBRACE,
    ACTIONS(3948), 1,
      anon_sym_COMMA,
    STATE(2153), 1,
      aux_sym_dictionary_repeat1,
  [107640] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3419), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(3421), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [107651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3109), 1,
      anon_sym_RBRACK,
    ACTIONS(3111), 1,
      anon_sym_COMMA,
    STATE(2079), 1,
      aux_sym_subscript_repeat1,
  [107664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_RPAREN,
    ACTIONS(3952), 1,
      anon_sym_COMMA,
    STATE(2082), 1,
      aux_sym_argument_list_repeat1,
  [107677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_RPAREN,
    ACTIONS(2840), 1,
      anon_sym_COMMA,
    STATE(2084), 1,
      aux_sym_argument_list_repeat1,
  [107690] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(3425), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [107701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3954), 1,
      anon_sym_SEMI,
    ACTIONS(3956), 1,
      sym__newline,
    STATE(2086), 1,
      aux_sym__simple_statements_repeat1,
  [107714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3958), 1,
      anon_sym_RBRACK,
    ACTIONS(3960), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [107727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3962), 1,
      anon_sym_RBRACK,
    ACTIONS(3964), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [107740] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3436), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(3438), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [107751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_RPAREN,
    ACTIONS(3966), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [107764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 1,
      anon_sym_RPAREN,
    ACTIONS(3968), 1,
      anon_sym_COMMA,
    STATE(2157), 1,
      aux_sym__collection_elements_repeat1,
  [107777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_RPAREN,
    ACTIONS(3970), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [107790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 1,
      anon_sym_except,
    ACTIONS(1573), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [107801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym__newline,
    ACTIONS(3972), 1,
      anon_sym_SEMI,
    STATE(2062), 1,
      aux_sym__simple_statements_repeat1,
  [107814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 1,
      anon_sym_RPAREN,
    ACTIONS(3976), 1,
      anon_sym_COMMA,
    STATE(2036), 1,
      aux_sym_argument_list_repeat1,
  [107827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_RPAREN,
    ACTIONS(2846), 1,
      anon_sym_COMMA,
    STATE(2038), 1,
      aux_sym_argument_list_repeat1,
  [107840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_except,
    ACTIONS(1535), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [107851] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3980), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(3978), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [107862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 1,
      anon_sym_except,
    ACTIONS(1577), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [107873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2726), 3,
      sym__concat,
      anon_sym_COLON,
      anon_sym_LPAREN,
  [107882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_LPAREN,
    ACTIONS(3982), 1,
      anon_sym_COLON,
    STATE(2093), 1,
      aux_sym_override_repeat1,
  [107895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3427), 1,
      anon_sym_import,
    ACTIONS(3985), 1,
      anon_sym_DOT,
    STATE(2094), 1,
      aux_sym_dotted_name_repeat1,
  [107908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(2856), 1,
      anon_sym_RPAREN,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [107921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3252), 1,
      anon_sym_RBRACE,
    ACTIONS(3254), 1,
      anon_sym_COMMA,
    STATE(2099), 1,
      aux_sym_dictionary_repeat1,
  [107934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_RBRACK,
    ACTIONS(2858), 1,
      anon_sym_COMMA,
    STATE(2118), 1,
      aux_sym__collection_elements_repeat1,
  [107947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3686), 1,
      anon_sym_as,
    ACTIONS(3707), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      anon_sym_RBRACE,
    ACTIONS(3988), 1,
      anon_sym_COMMA,
    STATE(2153), 1,
      aux_sym_dictionary_repeat1,
  [107971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LPAREN,
    ACTIONS(3298), 1,
      anon_sym_COLON,
    STATE(2093), 1,
      aux_sym_override_repeat1,
  [107984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3135), 1,
      anon_sym_RBRACK,
    ACTIONS(3137), 1,
      anon_sym_COMMA,
    STATE(2107), 1,
      aux_sym_subscript_repeat1,
  [107997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3692), 1,
      anon_sym_RPAREN,
    ACTIONS(3990), 1,
      anon_sym_COMMA,
    STATE(2102), 1,
      aux_sym__import_list_repeat1,
  [108010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3993), 1,
      anon_sym_RPAREN,
    ACTIONS(3995), 1,
      anon_sym_COMMA,
    STATE(2110), 1,
      aux_sym_argument_list_repeat1,
  [108023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_RPAREN,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    STATE(2111), 1,
      aux_sym_argument_list_repeat1,
  [108036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3997), 1,
      anon_sym_SEMI,
    ACTIONS(3999), 1,
      sym__newline,
    STATE(2113), 1,
      aux_sym__simple_statements_repeat1,
  [108049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3816), 1,
      anon_sym_COLON,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    STATE(2034), 1,
      aux_sym__parameters_repeat1,
  [108062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4003), 1,
      anon_sym_RBRACK,
    ACTIONS(4005), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [108075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4007), 1,
      anon_sym_RBRACK,
    ACTIONS(4009), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [108088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(2876), 1,
      anon_sym_RPAREN,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [108101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_RPAREN,
    ACTIONS(4011), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [108114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_RPAREN,
    ACTIONS(4013), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [108127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_EQ,
    ACTIONS(3778), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
  [108138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      sym__newline,
    ACTIONS(4017), 1,
      anon_sym_SEMI,
    STATE(2062), 1,
      aux_sym__simple_statements_repeat1,
  [108151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4019), 1,
      anon_sym_COLON,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    STATE(2121), 1,
      aux_sym_overrides_statement_repeat1,
  [108164] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3314), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(3316), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [108175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3019), 1,
      anon_sym_from,
    ACTIONS(3017), 2,
      sym__newline,
      anon_sym_SEMI,
  [108186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(2882), 1,
      anon_sym_RPAREN,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [108199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 1,
      anon_sym_RBRACK,
    ACTIONS(4023), 1,
      anon_sym_COMMA,
    STATE(2201), 1,
      aux_sym__collection_elements_repeat1,
  [108212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_RBRACE,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    STATE(2122), 1,
      aux_sym_dictionary_repeat1,
  [108225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      anon_sym_except,
    ACTIONS(1569), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [108236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4019), 1,
      anon_sym_COLON,
    ACTIONS(4025), 1,
      anon_sym_DQUOTE,
    STATE(2143), 1,
      aux_sym_overrides_statement_repeat1,
  [108249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      anon_sym_RBRACE,
    ACTIONS(4027), 1,
      anon_sym_COMMA,
    STATE(2153), 1,
      aux_sym_dictionary_repeat1,
  [108262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3146), 1,
      anon_sym_RBRACK,
    ACTIONS(3148), 1,
      anon_sym_COMMA,
    STATE(2127), 1,
      aux_sym_subscript_repeat1,
  [108275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4029), 1,
      anon_sym_RPAREN,
    ACTIONS(4031), 1,
      anon_sym_COMMA,
    STATE(2129), 1,
      aux_sym_argument_list_repeat1,
  [108288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_RPAREN,
    ACTIONS(2886), 1,
      anon_sym_COMMA,
    STATE(2130), 1,
      aux_sym_argument_list_repeat1,
  [108301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4033), 1,
      anon_sym_SEMI,
    ACTIONS(4035), 1,
      sym__newline,
    STATE(2131), 1,
      aux_sym__simple_statements_repeat1,
  [108314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4037), 1,
      anon_sym_RBRACK,
    ACTIONS(4039), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [108327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4041), 1,
      anon_sym_RBRACK,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [108340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_RPAREN,
    ACTIONS(4045), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [108353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 1,
      anon_sym_RPAREN,
    ACTIONS(4047), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [108366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      sym__newline,
    ACTIONS(4049), 1,
      anon_sym_SEMI,
    STATE(2062), 1,
      aux_sym__simple_statements_repeat1,
  [108379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3240), 1,
      anon_sym_RBRACE,
    ACTIONS(3242), 1,
      anon_sym_COMMA,
    STATE(2002), 1,
      aux_sym_dictionary_repeat1,
  [108392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3876), 1,
      anon_sym_RPAREN,
    ACTIONS(4051), 1,
      anon_sym_COMMA,
    STATE(2133), 1,
      aux_sym_with_clause_repeat1,
  [108405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3663), 1,
      sym_python_identifier,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2264), 1,
      sym_aliased_import,
  [108418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1095), 1,
      anon_sym_RBRACK,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    STATE(2028), 1,
      aux_sym_assert_statement_repeat1,
  [108431] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(3471), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(3473), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [108442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(2896), 1,
      anon_sym_RPAREN,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [108455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 1,
      anon_sym_RBRACE,
    ACTIONS(3262), 1,
      anon_sym_COMMA,
    STATE(2139), 1,
      aux_sym_dictionary_repeat1,
  [108468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_RBRACE,
    ACTIONS(4056), 1,
      anon_sym_COMMA,
    STATE(2153), 1,
      aux_sym_dictionary_repeat1,
  [108481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3158), 1,
      anon_sym_RBRACK,
    ACTIONS(3160), 1,
      anon_sym_COMMA,
    STATE(2146), 1,
      aux_sym_subscript_repeat1,
  [108494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_RPAREN,
    ACTIONS(4060), 1,
      anon_sym_COMMA,
    STATE(2148), 1,
      aux_sym_argument_list_repeat1,
  [108507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_RPAREN,
    ACTIONS(2900), 1,
      anon_sym_COMMA,
    STATE(2149), 1,
      aux_sym_argument_list_repeat1,
  [108520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4062), 1,
      anon_sym_COLON,
    ACTIONS(4065), 1,
      anon_sym_DQUOTE,
    STATE(2143), 1,
      aux_sym_overrides_statement_repeat1,
  [108533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4067), 1,
      anon_sym_SEMI,
    ACTIONS(4069), 1,
      sym__newline,
    STATE(2151), 1,
      aux_sym__simple_statements_repeat1,
  [108546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 1,
      anon_sym_SEMI,
    ACTIONS(4073), 1,
      sym__newline,
    STATE(2175), 1,
      aux_sym__simple_statements_repeat1,
  [108559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4075), 1,
      anon_sym_RBRACK,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [108572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4079), 1,
      anon_sym_RBRACK,
    ACTIONS(4081), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [108585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_RPAREN,
    ACTIONS(4083), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [108598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 1,
      anon_sym_RPAREN,
    ACTIONS(4085), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [108611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(2950), 1,
      anon_sym_RPAREN,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [108624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      sym__newline,
    ACTIONS(4087), 1,
      anon_sym_SEMI,
    STATE(2062), 1,
      aux_sym__simple_statements_repeat1,
  [108637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_LPAREN,
    ACTIONS(3942), 1,
      anon_sym_COLON,
    STATE(2547), 1,
      sym_override,
  [108650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4089), 1,
      anon_sym_RBRACE,
    ACTIONS(4091), 1,
      anon_sym_COMMA,
    STATE(2153), 1,
      aux_sym_dictionary_repeat1,
  [108663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_RBRACE,
    ACTIONS(3270), 1,
      anon_sym_COMMA,
    STATE(2169), 1,
      aux_sym_dictionary_repeat1,
  [108676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_RBRACK,
    ACTIONS(3167), 1,
      anon_sym_COMMA,
    STATE(2158), 1,
      aux_sym_subscript_repeat1,
  [108689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_SEMI,
    ACTIONS(4096), 1,
      sym__newline,
    STATE(2160), 1,
      aux_sym__simple_statements_repeat1,
  [108702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 1,
      anon_sym_RPAREN,
    ACTIONS(4098), 1,
      anon_sym_COMMA,
    STATE(2157), 1,
      aux_sym__collection_elements_repeat1,
  [108715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 1,
      anon_sym_RBRACK,
    ACTIONS(4103), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [108728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4105), 1,
      anon_sym_RBRACK,
    ACTIONS(4107), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [108741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(449), 1,
      sym__newline,
    ACTIONS(4109), 1,
      anon_sym_SEMI,
    STATE(2062), 1,
      aux_sym__simple_statements_repeat1,
  [108754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_COMMA,
    ACTIONS(4111), 1,
      anon_sym_in,
    STATE(1993), 1,
      aux_sym_pattern_list_repeat1,
  [108767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3494), 1,
      anon_sym_PIPE,
    ACTIONS(4113), 1,
      anon_sym_COLON,
  [108780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 1,
      anon_sym_in,
    ACTIONS(4115), 2,
      sym__newline,
      anon_sym_SEMI,
  [108791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(4119), 1,
      anon_sym_RPAREN,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [108804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3173), 1,
      anon_sym_RBRACK,
    ACTIONS(3175), 1,
      anon_sym_COMMA,
    STATE(2167), 1,
      aux_sym_subscript_repeat1,
  [108817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    ACTIONS(4121), 1,
      anon_sym_RPAREN,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [108830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4123), 1,
      anon_sym_RBRACK,
    ACTIONS(4125), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [108843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4127), 1,
      anon_sym_RBRACK,
    ACTIONS(4129), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [108856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_RBRACE,
    ACTIONS(4131), 1,
      anon_sym_COMMA,
    STATE(2153), 1,
      aux_sym_dictionary_repeat1,
  [108869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 1,
      anon_sym_COLON,
    ACTIONS(4133), 1,
      anon_sym_LPAREN,
    STATE(2431), 1,
      sym_override,
  [108882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1095), 1,
      anon_sym_COLON,
    ACTIONS(4135), 1,
      anon_sym_COMMA,
    STATE(2195), 1,
      aux_sym_assert_statement_repeat1,
  [108895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 1,
      anon_sym_LPAREN,
    ACTIONS(3298), 1,
      anon_sym_COLON,
    STATE(2093), 1,
      aux_sym_override_repeat1,
  [108908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 3,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 1,
      anon_sym_RBRACK,
    ACTIONS(3197), 1,
      anon_sym_COMMA,
    STATE(2190), 1,
      aux_sym_subscript_repeat1,
  [108930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(417), 1,
      sym__newline,
    ACTIONS(4137), 1,
      anon_sym_SEMI,
    STATE(2062), 1,
      aux_sym__simple_statements_repeat1,
  [108943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3494), 1,
      anon_sym_PIPE,
    ACTIONS(4139), 1,
      anon_sym_COLON,
  [108956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_RPAREN,
    ACTIONS(4143), 1,
      anon_sym_COMMA,
    STATE(2194), 1,
      aux_sym_argument_list_repeat1,
  [108969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_RPAREN,
    ACTIONS(2890), 1,
      anon_sym_COMMA,
    STATE(2198), 1,
      aux_sym_argument_list_repeat1,
  [108982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_COMMA,
    ACTIONS(4145), 1,
      anon_sym_in,
    STATE(1993), 1,
      aux_sym_pattern_list_repeat1,
  [108995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 3,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_in,
    ACTIONS(4147), 1,
      anon_sym_COMMA,
    STATE(2181), 1,
      aux_sym_pattern_list_repeat1,
  [109017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4150), 1,
      anon_sym_SEMI,
    ACTIONS(4152), 1,
      sym__newline,
    STATE(2199), 1,
      aux_sym__simple_statements_repeat1,
  [109030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      anon_sym_RBRACK,
    ACTIONS(4154), 1,
      anon_sym_COMMA,
    STATE(2065), 1,
      aux_sym_pattern_list_repeat1,
  [109043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_COLON,
    ACTIONS(4156), 1,
      anon_sym_RBRACE,
    STATE(2536), 1,
      sym_format_specifier,
  [109056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_COMMA,
    ACTIONS(4158), 1,
      anon_sym_in,
    STATE(1993), 1,
      aux_sym_pattern_list_repeat1,
  [109069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_COLON,
    ACTIONS(4160), 1,
      anon_sym_RBRACE,
    STATE(2532), 1,
      sym_format_specifier,
  [109082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_COMMA,
    ACTIONS(4162), 1,
      anon_sym_in,
    STATE(1993), 1,
      aux_sym_pattern_list_repeat1,
  [109095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_RBRACK,
    ACTIONS(4164), 1,
      anon_sym_COMMA,
    STATE(2183), 1,
      aux_sym_pattern_list_repeat1,
  [109108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 1,
      anon_sym_LPAREN,
    ACTIONS(3298), 1,
      anon_sym_COLON,
    STATE(2100), 1,
      aux_sym_override_repeat1,
  [109121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      anon_sym_RBRACK,
    ACTIONS(4168), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [109134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4170), 1,
      anon_sym_RBRACK,
    ACTIONS(4172), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [109147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 3,
      sym__concat,
      anon_sym_COLON,
      anon_sym_LPAREN,
  [109156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4174), 1,
      anon_sym_RBRACK,
    ACTIONS(4176), 1,
      anon_sym_COMMA,
    STATE(1990), 1,
      aux_sym_subscript_repeat1,
  [109169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1081), 1,
      anon_sym_RPAREN,
    ACTIONS(4178), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [109182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_COLON,
    ACTIONS(4180), 1,
      anon_sym_COMMA,
    STATE(2195), 1,
      aux_sym_assert_statement_repeat1,
  [109195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2703), 1,
      anon_sym_LPAREN,
    ACTIONS(3298), 1,
      anon_sym_COLON,
    STATE(2172), 1,
      aux_sym_override_repeat1,
  [109208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3934), 1,
      anon_sym_RPAREN,
    ACTIONS(4183), 1,
      anon_sym_COMMA,
    STATE(2197), 1,
      aux_sym__parameters_repeat1,
  [109221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_RPAREN,
    ACTIONS(4186), 1,
      anon_sym_COMMA,
    STATE(1999), 1,
      aux_sym_argument_list_repeat1,
  [109234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      sym__newline,
    ACTIONS(4188), 1,
      anon_sym_SEMI,
    STATE(2062), 1,
      aux_sym__simple_statements_repeat1,
  [109247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_COLON,
    ACTIONS(4190), 1,
      anon_sym_RBRACE,
    STATE(2445), 1,
      sym_format_specifier,
  [109260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 1,
      anon_sym_RBRACK,
    ACTIONS(4192), 1,
      anon_sym_COMMA,
    STATE(2201), 1,
      aux_sym__collection_elements_repeat1,
  [109273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_RPAREN,
    ACTIONS(2807), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym__collection_elements_repeat1,
  [109286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_COMMA,
    ACTIONS(4195), 1,
      anon_sym_in,
    STATE(1993), 1,
      aux_sym_pattern_list_repeat1,
  [109299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_EQ,
    ACTIONS(3778), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
  [109310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 3,
      sym__concat,
      anon_sym_COLON,
      anon_sym_LPAREN,
  [109319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_COMMA,
    ACTIONS(4197), 1,
      anon_sym_in,
    STATE(1993), 1,
      aux_sym_pattern_list_repeat1,
  [109332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_RPAREN,
    ACTIONS(4199), 1,
      anon_sym_COMMA,
    STATE(2207), 1,
      aux_sym_assert_statement_repeat1,
  [109345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4202), 2,
      sym__newline,
      anon_sym_SEMI,
  [109353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3876), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
  [109361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4204), 2,
      sym__newline,
      anon_sym_SEMI,
  [109369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3876), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_RBRACE,
    ACTIONS(4208), 1,
      sym_identifier,
  [109387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2995), 2,
      anon_sym_COLON,
      anon_sym_LPAREN,
  [109395] = 3,
    ACTIONS(1717), 1,
      aux_sym_recipe_token1,
    ACTIONS(1719), 1,
      anon_sym_NULL,
    ACTIONS(2594), 1,
      sym_comment,
  [109405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3332), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109429] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4210), 1,
      aux_sym_recipe_token1,
    ACTIONS(4212), 1,
      anon_sym_NULL,
  [109439] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4214), 1,
      aux_sym_recipe_token1,
    ACTIONS(4216), 1,
      anon_sym_NULL,
  [109449] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4218), 1,
      aux_sym_recipe_token1,
    ACTIONS(4220), 1,
      anon_sym_NULL,
  [109459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4222), 2,
      sym__newline,
      anon_sym_SEMI,
  [109467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4224), 2,
      sym__newline,
      anon_sym_SEMI,
  [109475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4226), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109483] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4228), 1,
      aux_sym_recipe_token1,
    ACTIONS(4230), 1,
      anon_sym_NULL,
  [109493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [109501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 2,
      sym__newline,
      anon_sym_SEMI,
  [109509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4232), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4234), 2,
      sym__newline,
      anon_sym_SEMI,
  [109525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3934), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
  [109533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      sym__concat,
    STATE(1519), 1,
      aux_sym_concatenation_repeat1,
  [109551] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4236), 1,
      aux_sym_recipe_token1,
    ACTIONS(4238), 1,
      anon_sym_NULL,
  [109561] = 3,
    ACTIONS(1569), 1,
      aux_sym_recipe_token1,
    ACTIONS(1571), 1,
      anon_sym_NULL,
    ACTIONS(2594), 1,
      sym_comment,
  [109571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4240), 2,
      sym__newline,
      anon_sym_SEMI,
  [109579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4133), 1,
      anon_sym_LPAREN,
    ACTIONS(4242), 1,
      sym_identifier,
  [109589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 2,
      anon_sym_COLON,
      anon_sym_LPAREN,
  [109597] = 3,
    ACTIONS(1577), 1,
      aux_sym_recipe_token1,
    ACTIONS(1579), 1,
      anon_sym_NULL,
    ACTIONS(2594), 1,
      sym_comment,
  [109607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
  [109615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 2,
      sym__newline,
      anon_sym_SEMI,
  [109623] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4244), 1,
      aux_sym_recipe_token1,
    ACTIONS(4246), 1,
      anon_sym_NULL,
  [109633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109641] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4248), 1,
      aux_sym_recipe_token1,
    ACTIONS(4250), 1,
      anon_sym_NULL,
  [109651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [109659] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4252), 1,
      aux_sym_recipe_token1,
    ACTIONS(4254), 1,
      anon_sym_NULL,
  [109669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4256), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [109677] = 3,
    ACTIONS(1697), 1,
      aux_sym_recipe_token1,
    ACTIONS(1699), 1,
      anon_sym_NULL,
    ACTIONS(2594), 1,
      sym_comment,
  [109687] = 2,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4258), 2,
      anon_sym_noexec,
      aux_sym_variable_flag_token1,
  [109695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4260), 1,
      anon_sym_RBRACE,
    ACTIONS(4262), 1,
      sym_identifier,
  [109705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4264), 1,
      anon_sym_COMMA,
    STATE(1763), 1,
      aux_sym_pattern_list_repeat1,
  [109715] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(2989), 1,
      anon_sym_NULL,
    ACTIONS(2991), 1,
      aux_sym_recipe_token1,
  [109725] = 3,
    ACTIONS(1593), 1,
      aux_sym_recipe_token1,
    ACTIONS(1595), 1,
      anon_sym_NULL,
    ACTIONS(2594), 1,
      sym_comment,
  [109735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
  [109743] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4266), 1,
      aux_sym_recipe_token1,
    ACTIONS(4268), 1,
      anon_sym_NULL,
  [109753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4270), 1,
      sym_identifier,
    STATE(1927), 1,
      aux_sym_export_functions_statement_repeat1,
  [109763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3427), 2,
      anon_sym_import,
      anon_sym_DOT,
  [109771] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4272), 1,
      aux_sym_recipe_token1,
    ACTIONS(4274), 1,
      anon_sym_NULL,
  [109781] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4276), 1,
      aux_sym_recipe_token1,
    ACTIONS(4278), 1,
      anon_sym_NULL,
  [109791] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4280), 1,
      aux_sym_recipe_token1,
    ACTIONS(4282), 1,
      anon_sym_NULL,
  [109801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4284), 1,
      sym_identifier,
    STATE(1961), 1,
      aux_sym_export_functions_statement_repeat1,
  [109819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [109827] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4286), 1,
      aux_sym_recipe_token1,
    ACTIONS(4288), 1,
      anon_sym_NULL,
  [109837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4290), 2,
      sym__newline,
      anon_sym_SEMI,
  [109845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3707), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109853] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4292), 1,
      aux_sym_recipe_token1,
    ACTIONS(4294), 1,
      anon_sym_NULL,
  [109863] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4296), 1,
      aux_sym_recipe_token1,
    ACTIONS(4298), 1,
      anon_sym_NULL,
  [109873] = 3,
    ACTIONS(1721), 1,
      aux_sym_recipe_token1,
    ACTIONS(1723), 1,
      anon_sym_NULL,
    ACTIONS(2594), 1,
      sym_comment,
  [109883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4300), 1,
      anon_sym_COLON,
    ACTIONS(4302), 1,
      anon_sym_DASH_GT,
  [109893] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4304), 1,
      aux_sym_recipe_token1,
    ACTIONS(4306), 1,
      anon_sym_NULL,
  [109903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4308), 2,
      sym__newline,
      anon_sym_SEMI,
  [109911] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4310), 1,
      aux_sym_recipe_token1,
    ACTIONS(4312), 1,
      anon_sym_NULL,
  [109921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4314), 1,
      sym_identifier,
    STATE(1930), 1,
      aux_sym_export_functions_statement_repeat1,
  [109931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_RBRACE,
    ACTIONS(4318), 1,
      sym_identifier,
  [109941] = 2,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4320), 2,
      anon_sym_noexec,
      aux_sym_variable_flag_token1,
  [109949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    STATE(2268), 1,
      sym_parameters,
  [109959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_COLON,
    ACTIONS(4326), 1,
      anon_sym_DASH_GT,
  [109969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3925), 2,
      sym__newline,
      anon_sym_SEMI,
  [109977] = 3,
    ACTIONS(1701), 1,
      aux_sym_recipe_token1,
    ACTIONS(1703), 1,
      anon_sym_NULL,
    ACTIONS(2594), 1,
      sym_comment,
  [109987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109995] = 3,
    ACTIONS(1573), 1,
      aux_sym_recipe_token1,
    ACTIONS(1575), 1,
      anon_sym_NULL,
    ACTIONS(2594), 1,
      sym_comment,
  [110005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4328), 1,
      anon_sym_python,
    ACTIONS(4330), 1,
      sym_identifier,
  [110015] = 3,
    ACTIONS(2582), 1,
      aux_sym_recipe_token1,
    ACTIONS(2584), 1,
      anon_sym_NULL,
    ACTIONS(2594), 1,
      sym_comment,
  [110025] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4332), 1,
      aux_sym_recipe_token1,
    ACTIONS(4334), 1,
      anon_sym_NULL,
  [110035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_LPAREN,
    ACTIONS(4338), 1,
      sym_identifier,
  [110045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [110053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [110061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4340), 2,
      sym__newline,
      anon_sym_SEMI,
  [110069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4342), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [110077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3199), 2,
      sym__newline,
      anon_sym_SEMI,
  [110085] = 2,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4344), 2,
      anon_sym_noexec,
      aux_sym_variable_flag_token1,
  [110093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4226), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [110101] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4346), 1,
      aux_sym_recipe_token1,
    ACTIONS(4348), 1,
      anon_sym_NULL,
  [110111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4232), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [110119] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4350), 1,
      aux_sym_recipe_token1,
    ACTIONS(4352), 1,
      anon_sym_NULL,
  [110129] = 3,
    ACTIONS(1535), 1,
      aux_sym_recipe_token1,
    ACTIONS(1537), 1,
      anon_sym_NULL,
    ACTIONS(2594), 1,
      sym_comment,
  [110139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4354), 2,
      sym__newline,
      anon_sym_SEMI,
  [110147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [110155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4089), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [110163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4356), 2,
      sym__newline,
      anon_sym_SEMI,
  [110171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3934), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [110179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4358), 1,
      anon_sym_RBRACE,
    ACTIONS(4360), 1,
      sym_identifier,
  [110189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4362), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [110197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 2,
      anon_sym_COLON,
      anon_sym_DQUOTE,
  [110205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [110213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4226), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [110221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4364), 2,
      sym__newline,
      anon_sym_SEMI,
  [110229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4232), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [110237] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4366), 1,
      aux_sym_recipe_token1,
    ACTIONS(4368), 1,
      anon_sym_NULL,
  [110247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4370), 1,
      anon_sym_RBRACE,
    ACTIONS(4372), 1,
      sym_identifier,
  [110257] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4374), 1,
      aux_sym_recipe_token1,
    ACTIONS(4376), 1,
      anon_sym_NULL,
  [110267] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4378), 1,
      aux_sym_recipe_token1,
    ACTIONS(4380), 1,
      anon_sym_NULL,
  [110277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4382), 1,
      sym_identifier,
    STATE(1958), 1,
      aux_sym_export_functions_statement_repeat1,
  [110287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [110295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4342), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
  [110303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3282), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [110311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4384), 1,
      anon_sym_RBRACE,
    ACTIONS(4386), 1,
      sym_identifier,
  [110321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 2,
      sym__newline,
      anon_sym_SEMI,
  [110329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      sym__concat,
    STATE(1949), 1,
      aux_sym_concatenation_repeat1,
  [110339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4388), 2,
      sym__newline,
      anon_sym_SEMI,
  [110347] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4390), 1,
      aux_sym_recipe_token1,
    ACTIONS(4392), 1,
      anon_sym_NULL,
  [110357] = 3,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_recipe_token1,
    ACTIONS(4396), 1,
      anon_sym_NULL,
  [110367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    STATE(2276), 1,
      sym_parameters,
  [110377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4398), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [110385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2991), 2,
      anon_sym_COLON,
      anon_sym_LPAREN,
  [110393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_COLON,
  [110400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4402), 1,
      anon_sym_LBRACE,
  [110407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4404), 1,
      anon_sym_RPAREN,
  [110414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4406), 1,
      anon_sym_COLON,
  [110421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_RBRACE,
  [110428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_RBRACE,
  [110435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4410), 1,
      anon_sym_COLON_EQ,
  [110442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      anon_sym_LBRACE,
  [110449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym_COLON,
  [110456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_in,
  [110463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4416), 1,
      sym_python_identifier,
  [110470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_in,
  [110477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4420), 1,
      anon_sym_RBRACE,
  [110484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_RBRACE,
  [110491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_RBRACK,
  [110498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4426), 1,
      anon_sym_RPAREN,
  [110505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4428), 1,
      anon_sym_COLON,
  [110512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4430), 1,
      sym_python_identifier,
  [110519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4432), 1,
      anon_sym_RBRACE,
  [110526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4434), 1,
      anon_sym_RBRACE,
  [110533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_RBRACE,
  [110540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_COLON,
  [110547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      sym_python_identifier,
  [110554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_RPAREN,
  [110561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4440), 1,
      anon_sym_COLON,
  [110568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4442), 1,
      anon_sym_in,
  [110575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4444), 1,
      anon_sym_RBRACE,
  [110582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4446), 1,
      anon_sym_COLON_EQ,
  [110589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4448), 1,
      anon_sym_RBRACE,
  [110596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_LBRACE,
  [110603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4452), 1,
      anon_sym_RBRACE,
  [110610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      anon_sym_RBRACE,
  [110617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4454), 1,
      anon_sym_RPAREN,
  [110624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4456), 1,
      anon_sym_RBRACK,
  [110631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4458), 1,
      anon_sym_RBRACE,
  [110638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      anon_sym_RPAREN,
  [110645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      anon_sym_LBRACE,
  [110652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4464), 1,
      anon_sym_RBRACE,
  [110659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_in,
  [110666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_RBRACE,
  [110673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4468), 1,
      anon_sym_RBRACE,
  [110680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4470), 1,
      sym_identifier,
  [110687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4472), 1,
      anon_sym_RBRACE,
  [110694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4474), 1,
      anon_sym_for,
  [110701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4476), 1,
      ts_builtin_sym_end,
  [110708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 1,
      anon_sym_COLON,
  [110715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_RBRACE,
  [110722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      sym_python_identifier,
  [110729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_in,
  [110736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_RPAREN,
  [110743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_import,
  [110750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4488), 1,
      anon_sym_COLON_EQ,
  [110757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4490), 1,
      anon_sym_RBRACK,
  [110764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_RBRACK,
  [110771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_RPAREN,
  [110778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_RPAREN,
  [110785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      anon_sym_COLON_EQ,
  [110792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 1,
      anon_sym_RBRACE,
  [110799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4500), 1,
      anon_sym_RBRACE,
  [110806] = 2,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4502), 1,
      aux_sym_include_directive_token1,
  [110813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4504), 1,
      anon_sym_RBRACK,
  [110820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4506), 1,
      anon_sym_COLON,
  [110827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_RBRACE,
  [110834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4510), 1,
      sym_python_identifier,
  [110841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_in,
  [110848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4514), 1,
      sym_python_identifier,
  [110855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4516), 1,
      sym_python_identifier,
  [110862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      anon_sym_RBRACK,
  [110869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 1,
      anon_sym_RPAREN,
  [110876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_COLON,
  [110883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4524), 1,
      anon_sym_RBRACE,
  [110890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4526), 1,
      anon_sym_RBRACE,
  [110897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_RBRACE,
  [110904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 1,
      anon_sym_RBRACK,
  [110911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_RPAREN,
  [110918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 1,
      anon_sym_in,
  [110925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_RPAREN,
  [110932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_RPAREN,
  [110939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4536), 1,
      anon_sym_RBRACE,
  [110946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 1,
      anon_sym_RBRACE,
  [110953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_RPAREN,
  [110960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4540), 1,
      anon_sym_RPAREN,
  [110967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 1,
      anon_sym_import,
  [110974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4544), 1,
      anon_sym_COLON_EQ,
  [110981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_RBRACE,
  [110988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_RPAREN,
  [110995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_RBRACK,
  [111002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_COLON,
  [111009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_RPAREN,
  [111016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_RBRACK,
  [111023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4556), 1,
      anon_sym_RPAREN,
  [111030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_import,
  [111037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4560), 1,
      anon_sym_RBRACK,
  [111044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_RBRACE,
  [111051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym_RPAREN,
  [111058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4566), 1,
      anon_sym_RPAREN,
  [111065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4568), 1,
      sym_python_identifier,
  [111072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4570), 1,
      anon_sym_RPAREN,
  [111079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_RBRACE,
  [111086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 1,
      anon_sym_RBRACE,
  [111093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_RBRACE,
  [111100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4574), 1,
      anon_sym_COLON_EQ,
  [111107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4576), 1,
      anon_sym_RBRACE,
  [111114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_COLON,
  [111121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4580), 1,
      sym_python_identifier,
  [111128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_in,
  [111135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3944), 1,
      anon_sym_LPAREN,
  [111142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_RPAREN,
  [111149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_RBRACK,
  [111156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4588), 1,
      sym_identifier,
  [111163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_COLON,
  [111170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_COLON,
  [111177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_RBRACE,
  [111184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_COLON,
  [111191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4598), 1,
      sym_python_identifier,
  [111198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      sym_python_identifier,
  [111205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_in,
  [111212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      sym_python_identifier,
  [111219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_in,
  [111226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_RBRACE,
  [111233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4610), 1,
      anon_sym_RBRACE,
  [111240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_RPAREN,
  [111247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4612), 1,
      anon_sym_RBRACE,
  [111254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_RBRACK,
  [111261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4616), 1,
      sym_python_identifier,
  [111268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_COLON,
  [111275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4620), 1,
      sym_python_identifier,
  [111282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_in,
  [111289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4624), 1,
      anon_sym_RPAREN,
  [111296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4626), 1,
      sym_python_identifier,
  [111303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_RBRACE,
  [111310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4630), 1,
      anon_sym_COLON,
  [111317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_RBRACE,
  [111324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_RBRACE,
  [111331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4636), 1,
      anon_sym_COLON_EQ,
  [111338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4638), 1,
      anon_sym_RBRACK,
  [111345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_RPAREN,
  [111352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4642), 1,
      anon_sym_RPAREN,
  [111359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_COLON_EQ,
  [111366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4646), 1,
      anon_sym_RBRACE,
  [111373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4648), 1,
      anon_sym_RBRACE,
  [111380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_RBRACK,
  [111387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_RPAREN,
  [111394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 1,
      anon_sym_LPAREN,
  [111401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 1,
      anon_sym_RBRACE,
  [111408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4656), 1,
      anon_sym_RBRACK,
  [111415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4658), 1,
      anon_sym_RBRACE,
  [111422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_RPAREN,
  [111429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_RBRACK,
  [111436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3252), 1,
      anon_sym_RBRACE,
  [111443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_RBRACE,
  [111450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_RBRACE,
  [111457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_RPAREN,
  [111464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      sym_python_identifier,
  [111471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4670), 1,
      anon_sym_COLON,
  [111478] = 2,
    ACTIONS(2594), 1,
      sym_comment,
    ACTIONS(4672), 1,
      aux_sym_include_directive_token1,
  [111485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_RPAREN,
  [111492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      sym_python_identifier,
  [111499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3782), 1,
      anon_sym_in,
  [111506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_in,
  [111513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4678), 1,
      anon_sym_RBRACK,
  [111520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_in,
  [111527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4680), 1,
      anon_sym_RBRACK,
  [111534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_RBRACK,
  [111541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_COLON,
  [111548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4686), 1,
      anon_sym_COLON,
  [111555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4688), 1,
      anon_sym_RPAREN,
  [111562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4690), 1,
      anon_sym_EQ,
  [111569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 1,
      sym_identifier,
  [111576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4694), 1,
      anon_sym_RPAREN,
  [111583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_RBRACE,
  [111590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 1,
      sym_python_identifier,
  [111597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4700), 1,
      anon_sym_RBRACE,
  [111604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_RBRACE,
  [111611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4704), 1,
      anon_sym_RBRACE,
  [111618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4706), 1,
      anon_sym_LBRACE,
  [111625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 1,
      anon_sym_RBRACK,
  [111632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4710), 1,
      anon_sym_RBRACK,
  [111639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 1,
      sym_python_identifier,
  [111646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_RBRACK,
  [111653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_in,
  [111660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_RPAREN,
  [111667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4716), 1,
      sym_python_identifier,
  [111674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4162), 1,
      anon_sym_in,
  [111681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 1,
      anon_sym_RBRACE,
  [111688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_RBRACE,
  [111695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_COLON,
  [111702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_RBRACE,
  [111709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_RPAREN,
  [111716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3248), 1,
      anon_sym_COLON,
  [111723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4724), 1,
      sym_identifier,
  [111730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 1,
      anon_sym_COLON,
  [111737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4728), 1,
      anon_sym_RBRACK,
  [111744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 1,
      sym_python_identifier,
  [111751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_RBRACE,
  [111758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4732), 1,
      anon_sym_RPAREN,
  [111765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      sym_python_identifier,
  [111772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      sym_python_identifier,
  [111779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4738), 1,
      sym_identifier,
  [111786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_RPAREN,
  [111793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4742), 1,
      sym_python_identifier,
  [111800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4744), 1,
      anon_sym_DQUOTE,
  [111807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3240), 1,
      anon_sym_RBRACE,
  [111814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_LBRACE,
  [111821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 1,
      sym_python_identifier,
  [111828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4750), 1,
      sym_python_identifier,
  [111835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_RBRACE,
  [111842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4754), 1,
      anon_sym_RBRACE,
  [111849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_RPAREN,
  [111856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_RPAREN,
  [111863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
  [111870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_RBRACE,
  [111877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_in,
  [111884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3264), 1,
      anon_sym_RBRACE,
  [111891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4195), 1,
      anon_sym_in,
  [111898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_RBRACE,
  [111905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4766), 1,
      sym_python_identifier,
  [111912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4768), 1,
      sym_identifier,
  [111919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4770), 1,
      anon_sym_COLON,
  [111926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_RPAREN,
  [111933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_COLON_EQ,
  [111940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_COLON,
  [111947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_LPAREN,
  [111954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_COLON,
  [111961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_RBRACK,
  [111968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_RPAREN,
  [111975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      sym_python_identifier,
  [111982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_for,
  [111989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_for,
  [111996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_COLON_EQ,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(128)] = 0,
  [SMALL_STATE(129)] = 128,
  [SMALL_STATE(130)] = 256,
  [SMALL_STATE(131)] = 388,
  [SMALL_STATE(132)] = 520,
  [SMALL_STATE(133)] = 648,
  [SMALL_STATE(134)] = 776,
  [SMALL_STATE(135)] = 904,
  [SMALL_STATE(136)] = 1034,
  [SMALL_STATE(137)] = 1164,
  [SMALL_STATE(138)] = 1288,
  [SMALL_STATE(139)] = 1412,
  [SMALL_STATE(140)] = 1540,
  [SMALL_STATE(141)] = 1668,
  [SMALL_STATE(142)] = 1798,
  [SMALL_STATE(143)] = 1922,
  [SMALL_STATE(144)] = 2050,
  [SMALL_STATE(145)] = 2178,
  [SMALL_STATE(146)] = 2308,
  [SMALL_STATE(147)] = 2436,
  [SMALL_STATE(148)] = 2564,
  [SMALL_STATE(149)] = 2694,
  [SMALL_STATE(150)] = 2822,
  [SMALL_STATE(151)] = 2950,
  [SMALL_STATE(152)] = 3080,
  [SMALL_STATE(153)] = 3208,
  [SMALL_STATE(154)] = 3336,
  [SMALL_STATE(155)] = 3464,
  [SMALL_STATE(156)] = 3594,
  [SMALL_STATE(157)] = 3722,
  [SMALL_STATE(158)] = 3852,
  [SMALL_STATE(159)] = 3980,
  [SMALL_STATE(160)] = 4108,
  [SMALL_STATE(161)] = 4238,
  [SMALL_STATE(162)] = 4347,
  [SMALL_STATE(163)] = 4456,
  [SMALL_STATE(164)] = 4576,
  [SMALL_STATE(165)] = 4696,
  [SMALL_STATE(166)] = 4815,
  [SMALL_STATE(167)] = 4930,
  [SMALL_STATE(168)] = 5049,
  [SMALL_STATE(169)] = 5164,
  [SMALL_STATE(170)] = 5285,
  [SMALL_STATE(171)] = 5404,
  [SMALL_STATE(172)] = 5523,
  [SMALL_STATE(173)] = 5642,
  [SMALL_STATE(174)] = 5757,
  [SMALL_STATE(175)] = 5872,
  [SMALL_STATE(176)] = 5979,
  [SMALL_STATE(177)] = 6094,
  [SMALL_STATE(178)] = 6209,
  [SMALL_STATE(179)] = 6324,
  [SMALL_STATE(180)] = 6443,
  [SMALL_STATE(181)] = 6558,
  [SMALL_STATE(182)] = 6665,
  [SMALL_STATE(183)] = 6780,
  [SMALL_STATE(184)] = 6899,
  [SMALL_STATE(185)] = 7014,
  [SMALL_STATE(186)] = 7129,
  [SMALL_STATE(187)] = 7244,
  [SMALL_STATE(188)] = 7359,
  [SMALL_STATE(189)] = 7474,
  [SMALL_STATE(190)] = 7589,
  [SMALL_STATE(191)] = 7708,
  [SMALL_STATE(192)] = 7823,
  [SMALL_STATE(193)] = 7938,
  [SMALL_STATE(194)] = 8053,
  [SMALL_STATE(195)] = 8168,
  [SMALL_STATE(196)] = 8284,
  [SMALL_STATE(197)] = 8400,
  [SMALL_STATE(198)] = 8516,
  [SMALL_STATE(199)] = 8632,
  [SMALL_STATE(200)] = 8750,
  [SMALL_STATE(201)] = 8870,
  [SMALL_STATE(202)] = 8986,
  [SMALL_STATE(203)] = 9102,
  [SMALL_STATE(204)] = 9218,
  [SMALL_STATE(205)] = 9334,
  [SMALL_STATE(206)] = 9450,
  [SMALL_STATE(207)] = 9568,
  [SMALL_STATE(208)] = 9688,
  [SMALL_STATE(209)] = 9804,
  [SMALL_STATE(210)] = 9920,
  [SMALL_STATE(211)] = 10036,
  [SMALL_STATE(212)] = 10152,
  [SMALL_STATE(213)] = 10268,
  [SMALL_STATE(214)] = 10386,
  [SMALL_STATE(215)] = 10506,
  [SMALL_STATE(216)] = 10622,
  [SMALL_STATE(217)] = 10738,
  [SMALL_STATE(218)] = 10854,
  [SMALL_STATE(219)] = 10970,
  [SMALL_STATE(220)] = 11086,
  [SMALL_STATE(221)] = 11202,
  [SMALL_STATE(222)] = 11318,
  [SMALL_STATE(223)] = 11436,
  [SMALL_STATE(224)] = 11556,
  [SMALL_STATE(225)] = 11672,
  [SMALL_STATE(226)] = 11788,
  [SMALL_STATE(227)] = 11904,
  [SMALL_STATE(228)] = 12020,
  [SMALL_STATE(229)] = 12136,
  [SMALL_STATE(230)] = 12252,
  [SMALL_STATE(231)] = 12372,
  [SMALL_STATE(232)] = 12488,
  [SMALL_STATE(233)] = 12606,
  [SMALL_STATE(234)] = 12722,
  [SMALL_STATE(235)] = 12838,
  [SMALL_STATE(236)] = 12954,
  [SMALL_STATE(237)] = 13070,
  [SMALL_STATE(238)] = 13186,
  [SMALL_STATE(239)] = 13304,
  [SMALL_STATE(240)] = 13420,
  [SMALL_STATE(241)] = 13538,
  [SMALL_STATE(242)] = 13656,
  [SMALL_STATE(243)] = 13776,
  [SMALL_STATE(244)] = 13892,
  [SMALL_STATE(245)] = 14008,
  [SMALL_STATE(246)] = 14124,
  [SMALL_STATE(247)] = 14240,
  [SMALL_STATE(248)] = 14356,
  [SMALL_STATE(249)] = 14472,
  [SMALL_STATE(250)] = 14571,
  [SMALL_STATE(251)] = 14684,
  [SMALL_STATE(252)] = 14797,
  [SMALL_STATE(253)] = 14906,
  [SMALL_STATE(254)] = 15015,
  [SMALL_STATE(255)] = 15128,
  [SMALL_STATE(256)] = 15241,
  [SMALL_STATE(257)] = 15354,
  [SMALL_STATE(258)] = 15467,
  [SMALL_STATE(259)] = 15580,
  [SMALL_STATE(260)] = 15693,
  [SMALL_STATE(261)] = 15806,
  [SMALL_STATE(262)] = 15919,
  [SMALL_STATE(263)] = 16032,
  [SMALL_STATE(264)] = 16145,
  [SMALL_STATE(265)] = 16258,
  [SMALL_STATE(266)] = 16371,
  [SMALL_STATE(267)] = 16484,
  [SMALL_STATE(268)] = 16597,
  [SMALL_STATE(269)] = 16710,
  [SMALL_STATE(270)] = 16823,
  [SMALL_STATE(271)] = 16936,
  [SMALL_STATE(272)] = 17035,
  [SMALL_STATE(273)] = 17147,
  [SMALL_STATE(274)] = 17259,
  [SMALL_STATE(275)] = 17371,
  [SMALL_STATE(276)] = 17483,
  [SMALL_STATE(277)] = 17595,
  [SMALL_STATE(278)] = 17705,
  [SMALL_STATE(279)] = 17817,
  [SMALL_STATE(280)] = 17927,
  [SMALL_STATE(281)] = 18039,
  [SMALL_STATE(282)] = 18151,
  [SMALL_STATE(283)] = 18263,
  [SMALL_STATE(284)] = 18375,
  [SMALL_STATE(285)] = 18487,
  [SMALL_STATE(286)] = 18599,
  [SMALL_STATE(287)] = 18711,
  [SMALL_STATE(288)] = 18823,
  [SMALL_STATE(289)] = 18933,
  [SMALL_STATE(290)] = 19045,
  [SMALL_STATE(291)] = 19157,
  [SMALL_STATE(292)] = 19269,
  [SMALL_STATE(293)] = 19381,
  [SMALL_STATE(294)] = 19493,
  [SMALL_STATE(295)] = 19605,
  [SMALL_STATE(296)] = 19716,
  [SMALL_STATE(297)] = 19825,
  [SMALL_STATE(298)] = 19936,
  [SMALL_STATE(299)] = 20047,
  [SMALL_STATE(300)] = 20158,
  [SMALL_STATE(301)] = 20267,
  [SMALL_STATE(302)] = 20378,
  [SMALL_STATE(303)] = 20489,
  [SMALL_STATE(304)] = 20600,
  [SMALL_STATE(305)] = 20711,
  [SMALL_STATE(306)] = 20822,
  [SMALL_STATE(307)] = 20933,
  [SMALL_STATE(308)] = 21042,
  [SMALL_STATE(309)] = 21153,
  [SMALL_STATE(310)] = 21264,
  [SMALL_STATE(311)] = 21375,
  [SMALL_STATE(312)] = 21486,
  [SMALL_STATE(313)] = 21595,
  [SMALL_STATE(314)] = 21706,
  [SMALL_STATE(315)] = 21817,
  [SMALL_STATE(316)] = 21928,
  [SMALL_STATE(317)] = 22039,
  [SMALL_STATE(318)] = 22150,
  [SMALL_STATE(319)] = 22261,
  [SMALL_STATE(320)] = 22372,
  [SMALL_STATE(321)] = 22483,
  [SMALL_STATE(322)] = 22594,
  [SMALL_STATE(323)] = 22705,
  [SMALL_STATE(324)] = 22816,
  [SMALL_STATE(325)] = 22927,
  [SMALL_STATE(326)] = 23038,
  [SMALL_STATE(327)] = 23147,
  [SMALL_STATE(328)] = 23244,
  [SMALL_STATE(329)] = 23353,
  [SMALL_STATE(330)] = 23464,
  [SMALL_STATE(331)] = 23575,
  [SMALL_STATE(332)] = 23686,
  [SMALL_STATE(333)] = 23783,
  [SMALL_STATE(334)] = 23889,
  [SMALL_STATE(335)] = 23987,
  [SMALL_STATE(336)] = 24093,
  [SMALL_STATE(337)] = 24199,
  [SMALL_STATE(338)] = 24295,
  [SMALL_STATE(339)] = 24401,
  [SMALL_STATE(340)] = 24507,
  [SMALL_STATE(341)] = 24613,
  [SMALL_STATE(342)] = 24719,
  [SMALL_STATE(343)] = 24825,
  [SMALL_STATE(344)] = 24921,
  [SMALL_STATE(345)] = 25029,
  [SMALL_STATE(346)] = 25125,
  [SMALL_STATE(347)] = 25223,
  [SMALL_STATE(348)] = 25319,
  [SMALL_STATE(349)] = 25427,
  [SMALL_STATE(350)] = 25533,
  [SMALL_STATE(351)] = 25639,
  [SMALL_STATE(352)] = 25745,
  [SMALL_STATE(353)] = 25853,
  [SMALL_STATE(354)] = 25959,
  [SMALL_STATE(355)] = 26065,
  [SMALL_STATE(356)] = 26171,
  [SMALL_STATE(357)] = 26277,
  [SMALL_STATE(358)] = 26383,
  [SMALL_STATE(359)] = 26489,
  [SMALL_STATE(360)] = 26595,
  [SMALL_STATE(361)] = 26701,
  [SMALL_STATE(362)] = 26809,
  [SMALL_STATE(363)] = 26915,
  [SMALL_STATE(364)] = 27021,
  [SMALL_STATE(365)] = 27127,
  [SMALL_STATE(366)] = 27233,
  [SMALL_STATE(367)] = 27339,
  [SMALL_STATE(368)] = 27445,
  [SMALL_STATE(369)] = 27553,
  [SMALL_STATE(370)] = 27659,
  [SMALL_STATE(371)] = 27765,
  [SMALL_STATE(372)] = 27871,
  [SMALL_STATE(373)] = 27979,
  [SMALL_STATE(374)] = 28087,
  [SMALL_STATE(375)] = 28193,
  [SMALL_STATE(376)] = 28301,
  [SMALL_STATE(377)] = 28407,
  [SMALL_STATE(378)] = 28503,
  [SMALL_STATE(379)] = 28599,
  [SMALL_STATE(380)] = 28707,
  [SMALL_STATE(381)] = 28815,
  [SMALL_STATE(382)] = 28923,
  [SMALL_STATE(383)] = 29031,
  [SMALL_STATE(384)] = 29139,
  [SMALL_STATE(385)] = 29247,
  [SMALL_STATE(386)] = 29355,
  [SMALL_STATE(387)] = 29463,
  [SMALL_STATE(388)] = 29571,
  [SMALL_STATE(389)] = 29676,
  [SMALL_STATE(390)] = 29781,
  [SMALL_STATE(391)] = 29886,
  [SMALL_STATE(392)] = 29991,
  [SMALL_STATE(393)] = 30096,
  [SMALL_STATE(394)] = 30201,
  [SMALL_STATE(395)] = 30306,
  [SMALL_STATE(396)] = 30411,
  [SMALL_STATE(397)] = 30513,
  [SMALL_STATE(398)] = 30615,
  [SMALL_STATE(399)] = 30717,
  [SMALL_STATE(400)] = 30809,
  [SMALL_STATE(401)] = 30911,
  [SMALL_STATE(402)] = 31013,
  [SMALL_STATE(403)] = 31115,
  [SMALL_STATE(404)] = 31217,
  [SMALL_STATE(405)] = 31319,
  [SMALL_STATE(406)] = 31421,
  [SMALL_STATE(407)] = 31523,
  [SMALL_STATE(408)] = 31625,
  [SMALL_STATE(409)] = 31727,
  [SMALL_STATE(410)] = 31829,
  [SMALL_STATE(411)] = 31931,
  [SMALL_STATE(412)] = 32033,
  [SMALL_STATE(413)] = 32135,
  [SMALL_STATE(414)] = 32237,
  [SMALL_STATE(415)] = 32339,
  [SMALL_STATE(416)] = 32441,
  [SMALL_STATE(417)] = 32543,
  [SMALL_STATE(418)] = 32645,
  [SMALL_STATE(419)] = 32747,
  [SMALL_STATE(420)] = 32849,
  [SMALL_STATE(421)] = 32951,
  [SMALL_STATE(422)] = 33053,
  [SMALL_STATE(423)] = 33155,
  [SMALL_STATE(424)] = 33257,
  [SMALL_STATE(425)] = 33359,
  [SMALL_STATE(426)] = 33461,
  [SMALL_STATE(427)] = 33563,
  [SMALL_STATE(428)] = 33665,
  [SMALL_STATE(429)] = 33767,
  [SMALL_STATE(430)] = 33869,
  [SMALL_STATE(431)] = 33971,
  [SMALL_STATE(432)] = 34073,
  [SMALL_STATE(433)] = 34175,
  [SMALL_STATE(434)] = 34277,
  [SMALL_STATE(435)] = 34379,
  [SMALL_STATE(436)] = 34481,
  [SMALL_STATE(437)] = 34583,
  [SMALL_STATE(438)] = 34685,
  [SMALL_STATE(439)] = 34787,
  [SMALL_STATE(440)] = 34889,
  [SMALL_STATE(441)] = 34991,
  [SMALL_STATE(442)] = 35093,
  [SMALL_STATE(443)] = 35195,
  [SMALL_STATE(444)] = 35297,
  [SMALL_STATE(445)] = 35399,
  [SMALL_STATE(446)] = 35501,
  [SMALL_STATE(447)] = 35603,
  [SMALL_STATE(448)] = 35705,
  [SMALL_STATE(449)] = 35781,
  [SMALL_STATE(450)] = 35883,
  [SMALL_STATE(451)] = 35985,
  [SMALL_STATE(452)] = 36077,
  [SMALL_STATE(453)] = 36179,
  [SMALL_STATE(454)] = 36281,
  [SMALL_STATE(455)] = 36383,
  [SMALL_STATE(456)] = 36485,
  [SMALL_STATE(457)] = 36587,
  [SMALL_STATE(458)] = 36689,
  [SMALL_STATE(459)] = 36793,
  [SMALL_STATE(460)] = 36895,
  [SMALL_STATE(461)] = 36997,
  [SMALL_STATE(462)] = 37099,
  [SMALL_STATE(463)] = 37201,
  [SMALL_STATE(464)] = 37303,
  [SMALL_STATE(465)] = 37405,
  [SMALL_STATE(466)] = 37507,
  [SMALL_STATE(467)] = 37609,
  [SMALL_STATE(468)] = 37713,
  [SMALL_STATE(469)] = 37815,
  [SMALL_STATE(470)] = 37917,
  [SMALL_STATE(471)] = 38019,
  [SMALL_STATE(472)] = 38121,
  [SMALL_STATE(473)] = 38223,
  [SMALL_STATE(474)] = 38327,
  [SMALL_STATE(475)] = 38429,
  [SMALL_STATE(476)] = 38531,
  [SMALL_STATE(477)] = 38635,
  [SMALL_STATE(478)] = 38737,
  [SMALL_STATE(479)] = 38839,
  [SMALL_STATE(480)] = 38941,
  [SMALL_STATE(481)] = 39043,
  [SMALL_STATE(482)] = 39145,
  [SMALL_STATE(483)] = 39247,
  [SMALL_STATE(484)] = 39349,
  [SMALL_STATE(485)] = 39451,
  [SMALL_STATE(486)] = 39555,
  [SMALL_STATE(487)] = 39657,
  [SMALL_STATE(488)] = 39759,
  [SMALL_STATE(489)] = 39861,
  [SMALL_STATE(490)] = 39963,
  [SMALL_STATE(491)] = 40065,
  [SMALL_STATE(492)] = 40167,
  [SMALL_STATE(493)] = 40269,
  [SMALL_STATE(494)] = 40371,
  [SMALL_STATE(495)] = 40445,
  [SMALL_STATE(496)] = 40547,
  [SMALL_STATE(497)] = 40651,
  [SMALL_STATE(498)] = 40753,
  [SMALL_STATE(499)] = 40855,
  [SMALL_STATE(500)] = 40957,
  [SMALL_STATE(501)] = 41059,
  [SMALL_STATE(502)] = 41161,
  [SMALL_STATE(503)] = 41263,
  [SMALL_STATE(504)] = 41365,
  [SMALL_STATE(505)] = 41467,
  [SMALL_STATE(506)] = 41569,
  [SMALL_STATE(507)] = 41671,
  [SMALL_STATE(508)] = 41773,
  [SMALL_STATE(509)] = 41875,
  [SMALL_STATE(510)] = 41977,
  [SMALL_STATE(511)] = 42079,
  [SMALL_STATE(512)] = 42181,
  [SMALL_STATE(513)] = 42283,
  [SMALL_STATE(514)] = 42385,
  [SMALL_STATE(515)] = 42487,
  [SMALL_STATE(516)] = 42589,
  [SMALL_STATE(517)] = 42691,
  [SMALL_STATE(518)] = 42793,
  [SMALL_STATE(519)] = 42895,
  [SMALL_STATE(520)] = 42997,
  [SMALL_STATE(521)] = 43099,
  [SMALL_STATE(522)] = 43201,
  [SMALL_STATE(523)] = 43303,
  [SMALL_STATE(524)] = 43405,
  [SMALL_STATE(525)] = 43507,
  [SMALL_STATE(526)] = 43609,
  [SMALL_STATE(527)] = 43711,
  [SMALL_STATE(528)] = 43813,
  [SMALL_STATE(529)] = 43915,
  [SMALL_STATE(530)] = 44017,
  [SMALL_STATE(531)] = 44119,
  [SMALL_STATE(532)] = 44221,
  [SMALL_STATE(533)] = 44323,
  [SMALL_STATE(534)] = 44425,
  [SMALL_STATE(535)] = 44527,
  [SMALL_STATE(536)] = 44629,
  [SMALL_STATE(537)] = 44700,
  [SMALL_STATE(538)] = 44772,
  [SMALL_STATE(539)] = 44842,
  [SMALL_STATE(540)] = 44912,
  [SMALL_STATE(541)] = 44982,
  [SMALL_STATE(542)] = 45052,
  [SMALL_STATE(543)] = 45117,
  [SMALL_STATE(544)] = 45184,
  [SMALL_STATE(545)] = 45249,
  [SMALL_STATE(546)] = 45316,
  [SMALL_STATE(547)] = 45381,
  [SMALL_STATE(548)] = 45443,
  [SMALL_STATE(549)] = 45503,
  [SMALL_STATE(550)] = 45569,
  [SMALL_STATE(551)] = 45631,
  [SMALL_STATE(552)] = 45693,
  [SMALL_STATE(553)] = 45753,
  [SMALL_STATE(554)] = 45849,
  [SMALL_STATE(555)] = 45945,
  [SMALL_STATE(556)] = 46005,
  [SMALL_STATE(557)] = 46071,
  [SMALL_STATE(558)] = 46137,
  [SMALL_STATE(559)] = 46197,
  [SMALL_STATE(560)] = 46257,
  [SMALL_STATE(561)] = 46319,
  [SMALL_STATE(562)] = 46381,
  [SMALL_STATE(563)] = 46443,
  [SMALL_STATE(564)] = 46509,
  [SMALL_STATE(565)] = 46565,
  [SMALL_STATE(566)] = 46621,
  [SMALL_STATE(567)] = 46677,
  [SMALL_STATE(568)] = 46733,
  [SMALL_STATE(569)] = 46789,
  [SMALL_STATE(570)] = 46845,
  [SMALL_STATE(571)] = 46901,
  [SMALL_STATE(572)] = 46963,
  [SMALL_STATE(573)] = 47027,
  [SMALL_STATE(574)] = 47089,
  [SMALL_STATE(575)] = 47150,
  [SMALL_STATE(576)] = 47246,
  [SMALL_STATE(577)] = 47300,
  [SMALL_STATE(578)] = 47354,
  [SMALL_STATE(579)] = 47408,
  [SMALL_STATE(580)] = 47462,
  [SMALL_STATE(581)] = 47516,
  [SMALL_STATE(582)] = 47570,
  [SMALL_STATE(583)] = 47624,
  [SMALL_STATE(584)] = 47678,
  [SMALL_STATE(585)] = 47774,
  [SMALL_STATE(586)] = 47828,
  [SMALL_STATE(587)] = 47882,
  [SMALL_STATE(588)] = 47936,
  [SMALL_STATE(589)] = 47990,
  [SMALL_STATE(590)] = 48044,
  [SMALL_STATE(591)] = 48098,
  [SMALL_STATE(592)] = 48152,
  [SMALL_STATE(593)] = 48206,
  [SMALL_STATE(594)] = 48260,
  [SMALL_STATE(595)] = 48314,
  [SMALL_STATE(596)] = 48368,
  [SMALL_STATE(597)] = 48422,
  [SMALL_STATE(598)] = 48515,
  [SMALL_STATE(599)] = 48568,
  [SMALL_STATE(600)] = 48621,
  [SMALL_STATE(601)] = 48714,
  [SMALL_STATE(602)] = 48771,
  [SMALL_STATE(603)] = 48864,
  [SMALL_STATE(604)] = 48921,
  [SMALL_STATE(605)] = 48978,
  [SMALL_STATE(606)] = 49071,
  [SMALL_STATE(607)] = 49164,
  [SMALL_STATE(608)] = 49217,
  [SMALL_STATE(609)] = 49270,
  [SMALL_STATE(610)] = 49327,
  [SMALL_STATE(611)] = 49380,
  [SMALL_STATE(612)] = 49473,
  [SMALL_STATE(613)] = 49526,
  [SMALL_STATE(614)] = 49619,
  [SMALL_STATE(615)] = 49676,
  [SMALL_STATE(616)] = 49769,
  [SMALL_STATE(617)] = 49826,
  [SMALL_STATE(618)] = 49883,
  [SMALL_STATE(619)] = 49976,
  [SMALL_STATE(620)] = 50069,
  [SMALL_STATE(621)] = 50162,
  [SMALL_STATE(622)] = 50215,
  [SMALL_STATE(623)] = 50272,
  [SMALL_STATE(624)] = 50325,
  [SMALL_STATE(625)] = 50418,
  [SMALL_STATE(626)] = 50511,
  [SMALL_STATE(627)] = 50604,
  [SMALL_STATE(628)] = 50656,
  [SMALL_STATE(629)] = 50746,
  [SMALL_STATE(630)] = 50798,
  [SMALL_STATE(631)] = 50850,
  [SMALL_STATE(632)] = 50902,
  [SMALL_STATE(633)] = 50992,
  [SMALL_STATE(634)] = 51082,
  [SMALL_STATE(635)] = 51134,
  [SMALL_STATE(636)] = 51186,
  [SMALL_STATE(637)] = 51276,
  [SMALL_STATE(638)] = 51328,
  [SMALL_STATE(639)] = 51380,
  [SMALL_STATE(640)] = 51432,
  [SMALL_STATE(641)] = 51484,
  [SMALL_STATE(642)] = 51536,
  [SMALL_STATE(643)] = 51626,
  [SMALL_STATE(644)] = 51716,
  [SMALL_STATE(645)] = 51768,
  [SMALL_STATE(646)] = 51819,
  [SMALL_STATE(647)] = 51870,
  [SMALL_STATE(648)] = 51921,
  [SMALL_STATE(649)] = 51972,
  [SMALL_STATE(650)] = 52023,
  [SMALL_STATE(651)] = 52074,
  [SMALL_STATE(652)] = 52125,
  [SMALL_STATE(653)] = 52176,
  [SMALL_STATE(654)] = 52227,
  [SMALL_STATE(655)] = 52314,
  [SMALL_STATE(656)] = 52365,
  [SMALL_STATE(657)] = 52416,
  [SMALL_STATE(658)] = 52467,
  [SMALL_STATE(659)] = 52518,
  [SMALL_STATE(660)] = 52569,
  [SMALL_STATE(661)] = 52620,
  [SMALL_STATE(662)] = 52671,
  [SMALL_STATE(663)] = 52722,
  [SMALL_STATE(664)] = 52773,
  [SMALL_STATE(665)] = 52824,
  [SMALL_STATE(666)] = 52875,
  [SMALL_STATE(667)] = 52926,
  [SMALL_STATE(668)] = 52977,
  [SMALL_STATE(669)] = 53028,
  [SMALL_STATE(670)] = 53079,
  [SMALL_STATE(671)] = 53130,
  [SMALL_STATE(672)] = 53181,
  [SMALL_STATE(673)] = 53232,
  [SMALL_STATE(674)] = 53283,
  [SMALL_STATE(675)] = 53334,
  [SMALL_STATE(676)] = 53385,
  [SMALL_STATE(677)] = 53436,
  [SMALL_STATE(678)] = 53487,
  [SMALL_STATE(679)] = 53538,
  [SMALL_STATE(680)] = 53625,
  [SMALL_STATE(681)] = 53705,
  [SMALL_STATE(682)] = 53785,
  [SMALL_STATE(683)] = 53865,
  [SMALL_STATE(684)] = 53945,
  [SMALL_STATE(685)] = 54025,
  [SMALL_STATE(686)] = 54105,
  [SMALL_STATE(687)] = 54185,
  [SMALL_STATE(688)] = 54265,
  [SMALL_STATE(689)] = 54345,
  [SMALL_STATE(690)] = 54425,
  [SMALL_STATE(691)] = 54502,
  [SMALL_STATE(692)] = 54579,
  [SMALL_STATE(693)] = 54656,
  [SMALL_STATE(694)] = 54733,
  [SMALL_STATE(695)] = 54810,
  [SMALL_STATE(696)] = 54887,
  [SMALL_STATE(697)] = 54964,
  [SMALL_STATE(698)] = 55041,
  [SMALL_STATE(699)] = 55118,
  [SMALL_STATE(700)] = 55195,
  [SMALL_STATE(701)] = 55272,
  [SMALL_STATE(702)] = 55349,
  [SMALL_STATE(703)] = 55426,
  [SMALL_STATE(704)] = 55503,
  [SMALL_STATE(705)] = 55580,
  [SMALL_STATE(706)] = 55657,
  [SMALL_STATE(707)] = 55734,
  [SMALL_STATE(708)] = 55811,
  [SMALL_STATE(709)] = 55888,
  [SMALL_STATE(710)] = 55965,
  [SMALL_STATE(711)] = 56042,
  [SMALL_STATE(712)] = 56119,
  [SMALL_STATE(713)] = 56196,
  [SMALL_STATE(714)] = 56273,
  [SMALL_STATE(715)] = 56350,
  [SMALL_STATE(716)] = 56427,
  [SMALL_STATE(717)] = 56504,
  [SMALL_STATE(718)] = 56581,
  [SMALL_STATE(719)] = 56658,
  [SMALL_STATE(720)] = 56735,
  [SMALL_STATE(721)] = 56812,
  [SMALL_STATE(722)] = 56889,
  [SMALL_STATE(723)] = 56972,
  [SMALL_STATE(724)] = 57049,
  [SMALL_STATE(725)] = 57132,
  [SMALL_STATE(726)] = 57209,
  [SMALL_STATE(727)] = 57286,
  [SMALL_STATE(728)] = 57363,
  [SMALL_STATE(729)] = 57440,
  [SMALL_STATE(730)] = 57523,
  [SMALL_STATE(731)] = 57600,
  [SMALL_STATE(732)] = 57677,
  [SMALL_STATE(733)] = 57754,
  [SMALL_STATE(734)] = 57831,
  [SMALL_STATE(735)] = 57908,
  [SMALL_STATE(736)] = 57985,
  [SMALL_STATE(737)] = 58062,
  [SMALL_STATE(738)] = 58139,
  [SMALL_STATE(739)] = 58216,
  [SMALL_STATE(740)] = 58293,
  [SMALL_STATE(741)] = 58370,
  [SMALL_STATE(742)] = 58447,
  [SMALL_STATE(743)] = 58530,
  [SMALL_STATE(744)] = 58607,
  [SMALL_STATE(745)] = 58684,
  [SMALL_STATE(746)] = 58767,
  [SMALL_STATE(747)] = 58844,
  [SMALL_STATE(748)] = 58921,
  [SMALL_STATE(749)] = 58998,
  [SMALL_STATE(750)] = 59075,
  [SMALL_STATE(751)] = 59152,
  [SMALL_STATE(752)] = 59229,
  [SMALL_STATE(753)] = 59306,
  [SMALL_STATE(754)] = 59383,
  [SMALL_STATE(755)] = 59460,
  [SMALL_STATE(756)] = 59537,
  [SMALL_STATE(757)] = 59614,
  [SMALL_STATE(758)] = 59697,
  [SMALL_STATE(759)] = 59774,
  [SMALL_STATE(760)] = 59851,
  [SMALL_STATE(761)] = 59934,
  [SMALL_STATE(762)] = 60011,
  [SMALL_STATE(763)] = 60094,
  [SMALL_STATE(764)] = 60171,
  [SMALL_STATE(765)] = 60248,
  [SMALL_STATE(766)] = 60325,
  [SMALL_STATE(767)] = 60402,
  [SMALL_STATE(768)] = 60479,
  [SMALL_STATE(769)] = 60562,
  [SMALL_STATE(770)] = 60639,
  [SMALL_STATE(771)] = 60716,
  [SMALL_STATE(772)] = 60793,
  [SMALL_STATE(773)] = 60870,
  [SMALL_STATE(774)] = 60947,
  [SMALL_STATE(775)] = 61024,
  [SMALL_STATE(776)] = 61101,
  [SMALL_STATE(777)] = 61178,
  [SMALL_STATE(778)] = 61261,
  [SMALL_STATE(779)] = 61338,
  [SMALL_STATE(780)] = 61415,
  [SMALL_STATE(781)] = 61498,
  [SMALL_STATE(782)] = 61575,
  [SMALL_STATE(783)] = 61652,
  [SMALL_STATE(784)] = 61735,
  [SMALL_STATE(785)] = 61818,
  [SMALL_STATE(786)] = 61895,
  [SMALL_STATE(787)] = 61972,
  [SMALL_STATE(788)] = 62055,
  [SMALL_STATE(789)] = 62132,
  [SMALL_STATE(790)] = 62209,
  [SMALL_STATE(791)] = 62286,
  [SMALL_STATE(792)] = 62363,
  [SMALL_STATE(793)] = 62440,
  [SMALL_STATE(794)] = 62517,
  [SMALL_STATE(795)] = 62600,
  [SMALL_STATE(796)] = 62677,
  [SMALL_STATE(797)] = 62754,
  [SMALL_STATE(798)] = 62831,
  [SMALL_STATE(799)] = 62908,
  [SMALL_STATE(800)] = 62991,
  [SMALL_STATE(801)] = 63074,
  [SMALL_STATE(802)] = 63151,
  [SMALL_STATE(803)] = 63228,
  [SMALL_STATE(804)] = 63305,
  [SMALL_STATE(805)] = 63388,
  [SMALL_STATE(806)] = 63465,
  [SMALL_STATE(807)] = 63542,
  [SMALL_STATE(808)] = 63625,
  [SMALL_STATE(809)] = 63708,
  [SMALL_STATE(810)] = 63791,
  [SMALL_STATE(811)] = 63874,
  [SMALL_STATE(812)] = 63957,
  [SMALL_STATE(813)] = 64040,
  [SMALL_STATE(814)] = 64123,
  [SMALL_STATE(815)] = 64200,
  [SMALL_STATE(816)] = 64277,
  [SMALL_STATE(817)] = 64354,
  [SMALL_STATE(818)] = 64431,
  [SMALL_STATE(819)] = 64508,
  [SMALL_STATE(820)] = 64585,
  [SMALL_STATE(821)] = 64662,
  [SMALL_STATE(822)] = 64739,
  [SMALL_STATE(823)] = 64816,
  [SMALL_STATE(824)] = 64893,
  [SMALL_STATE(825)] = 64970,
  [SMALL_STATE(826)] = 65047,
  [SMALL_STATE(827)] = 65124,
  [SMALL_STATE(828)] = 65201,
  [SMALL_STATE(829)] = 65278,
  [SMALL_STATE(830)] = 65355,
  [SMALL_STATE(831)] = 65432,
  [SMALL_STATE(832)] = 65509,
  [SMALL_STATE(833)] = 65586,
  [SMALL_STATE(834)] = 65637,
  [SMALL_STATE(835)] = 65688,
  [SMALL_STATE(836)] = 65739,
  [SMALL_STATE(837)] = 65789,
  [SMALL_STATE(838)] = 65869,
  [SMALL_STATE(839)] = 65919,
  [SMALL_STATE(840)] = 65969,
  [SMALL_STATE(841)] = 66019,
  [SMALL_STATE(842)] = 66099,
  [SMALL_STATE(843)] = 66179,
  [SMALL_STATE(844)] = 66229,
  [SMALL_STATE(845)] = 66279,
  [SMALL_STATE(846)] = 66328,
  [SMALL_STATE(847)] = 66377,
  [SMALL_STATE(848)] = 66426,
  [SMALL_STATE(849)] = 66475,
  [SMALL_STATE(850)] = 66530,
  [SMALL_STATE(851)] = 66593,
  [SMALL_STATE(852)] = 66662,
  [SMALL_STATE(853)] = 66723,
  [SMALL_STATE(854)] = 66788,
  [SMALL_STATE(855)] = 66843,
  [SMALL_STATE(856)] = 66898,
  [SMALL_STATE(857)] = 66953,
  [SMALL_STATE(858)] = 67002,
  [SMALL_STATE(859)] = 67061,
  [SMALL_STATE(860)] = 67122,
  [SMALL_STATE(861)] = 67171,
  [SMALL_STATE(862)] = 67226,
  [SMALL_STATE(863)] = 67295,
  [SMALL_STATE(864)] = 67350,
  [SMALL_STATE(865)] = 67395,
  [SMALL_STATE(866)] = 67444,
  [SMALL_STATE(867)] = 67491,
  [SMALL_STATE(868)] = 67568,
  [SMALL_STATE(869)] = 67617,
  [SMALL_STATE(870)] = 67696,
  [SMALL_STATE(871)] = 67743,
  [SMALL_STATE(872)] = 67806,
  [SMALL_STATE(873)] = 67861,
  [SMALL_STATE(874)] = 67928,
  [SMALL_STATE(875)] = 67973,
  [SMALL_STATE(876)] = 68022,
  [SMALL_STATE(877)] = 68091,
  [SMALL_STATE(878)] = 68146,
  [SMALL_STATE(879)] = 68195,
  [SMALL_STATE(880)] = 68274,
  [SMALL_STATE(881)] = 68343,
  [SMALL_STATE(882)] = 68390,
  [SMALL_STATE(883)] = 68459,
  [SMALL_STATE(884)] = 68536,
  [SMALL_STATE(885)] = 68615,
  [SMALL_STATE(886)] = 68670,
  [SMALL_STATE(887)] = 68731,
  [SMALL_STATE(888)] = 68790,
  [SMALL_STATE(889)] = 68845,
  [SMALL_STATE(890)] = 68912,
  [SMALL_STATE(891)] = 68977,
  [SMALL_STATE(892)] = 69040,
  [SMALL_STATE(893)] = 69089,
  [SMALL_STATE(894)] = 69158,
  [SMALL_STATE(895)] = 69227,
  [SMALL_STATE(896)] = 69286,
  [SMALL_STATE(897)] = 69341,
  [SMALL_STATE(898)] = 69410,
  [SMALL_STATE(899)] = 69479,
  [SMALL_STATE(900)] = 69546,
  [SMALL_STATE(901)] = 69611,
  [SMALL_STATE(902)] = 69660,
  [SMALL_STATE(903)] = 69715,
  [SMALL_STATE(904)] = 69769,
  [SMALL_STATE(905)] = 69823,
  [SMALL_STATE(906)] = 69877,
  [SMALL_STATE(907)] = 69945,
  [SMALL_STATE(908)] = 70013,
  [SMALL_STATE(909)] = 70067,
  [SMALL_STATE(910)] = 70127,
  [SMALL_STATE(911)] = 70185,
  [SMALL_STATE(912)] = 70239,
  [SMALL_STATE(913)] = 70305,
  [SMALL_STATE(914)] = 70369,
  [SMALL_STATE(915)] = 70431,
  [SMALL_STATE(916)] = 70475,
  [SMALL_STATE(917)] = 70519,
  [SMALL_STATE(918)] = 70563,
  [SMALL_STATE(919)] = 70607,
  [SMALL_STATE(920)] = 70651,
  [SMALL_STATE(921)] = 70695,
  [SMALL_STATE(922)] = 70739,
  [SMALL_STATE(923)] = 70807,
  [SMALL_STATE(924)] = 70853,
  [SMALL_STATE(925)] = 70921,
  [SMALL_STATE(926)] = 70967,
  [SMALL_STATE(927)] = 71013,
  [SMALL_STATE(928)] = 71057,
  [SMALL_STATE(929)] = 71101,
  [SMALL_STATE(930)] = 71145,
  [SMALL_STATE(931)] = 71189,
  [SMALL_STATE(932)] = 71233,
  [SMALL_STATE(933)] = 71277,
  [SMALL_STATE(934)] = 71321,
  [SMALL_STATE(935)] = 71365,
  [SMALL_STATE(936)] = 71409,
  [SMALL_STATE(937)] = 71453,
  [SMALL_STATE(938)] = 71497,
  [SMALL_STATE(939)] = 71541,
  [SMALL_STATE(940)] = 71585,
  [SMALL_STATE(941)] = 71629,
  [SMALL_STATE(942)] = 71673,
  [SMALL_STATE(943)] = 71717,
  [SMALL_STATE(944)] = 71761,
  [SMALL_STATE(945)] = 71805,
  [SMALL_STATE(946)] = 71849,
  [SMALL_STATE(947)] = 71893,
  [SMALL_STATE(948)] = 71937,
  [SMALL_STATE(949)] = 71981,
  [SMALL_STATE(950)] = 72025,
  [SMALL_STATE(951)] = 72069,
  [SMALL_STATE(952)] = 72113,
  [SMALL_STATE(953)] = 72157,
  [SMALL_STATE(954)] = 72201,
  [SMALL_STATE(955)] = 72245,
  [SMALL_STATE(956)] = 72293,
  [SMALL_STATE(957)] = 72347,
  [SMALL_STATE(958)] = 72395,
  [SMALL_STATE(959)] = 72443,
  [SMALL_STATE(960)] = 72493,
  [SMALL_STATE(961)] = 72553,
  [SMALL_STATE(962)] = 72611,
  [SMALL_STATE(963)] = 72665,
  [SMALL_STATE(964)] = 72731,
  [SMALL_STATE(965)] = 72795,
  [SMALL_STATE(966)] = 72857,
  [SMALL_STATE(967)] = 72905,
  [SMALL_STATE(968)] = 72959,
  [SMALL_STATE(969)] = 73013,
  [SMALL_STATE(970)] = 73061,
  [SMALL_STATE(971)] = 73115,
  [SMALL_STATE(972)] = 73175,
  [SMALL_STATE(973)] = 73253,
  [SMALL_STATE(974)] = 73321,
  [SMALL_STATE(975)] = 73375,
  [SMALL_STATE(976)] = 73429,
  [SMALL_STATE(977)] = 73483,
  [SMALL_STATE(978)] = 73541,
  [SMALL_STATE(979)] = 73609,
  [SMALL_STATE(980)] = 73677,
  [SMALL_STATE(981)] = 73745,
  [SMALL_STATE(982)] = 73811,
  [SMALL_STATE(983)] = 73875,
  [SMALL_STATE(984)] = 73937,
  [SMALL_STATE(985)] = 73983,
  [SMALL_STATE(986)] = 74029,
  [SMALL_STATE(987)] = 74077,
  [SMALL_STATE(988)] = 74125,
  [SMALL_STATE(989)] = 74173,
  [SMALL_STATE(990)] = 74217,
  [SMALL_STATE(991)] = 74267,
  [SMALL_STATE(992)] = 74315,
  [SMALL_STATE(993)] = 74361,
  [SMALL_STATE(994)] = 74411,
  [SMALL_STATE(995)] = 74461,
  [SMALL_STATE(996)] = 74515,
  [SMALL_STATE(997)] = 74563,
  [SMALL_STATE(998)] = 74623,
  [SMALL_STATE(999)] = 74691,
  [SMALL_STATE(1000)] = 74741,
  [SMALL_STATE(1001)] = 74809,
  [SMALL_STATE(1002)] = 74867,
  [SMALL_STATE(1003)] = 74911,
  [SMALL_STATE(1004)] = 74965,
  [SMALL_STATE(1005)] = 75013,
  [SMALL_STATE(1006)] = 75061,
  [SMALL_STATE(1007)] = 75127,
  [SMALL_STATE(1008)] = 75191,
  [SMALL_STATE(1009)] = 75259,
  [SMALL_STATE(1010)] = 75327,
  [SMALL_STATE(1011)] = 75389,
  [SMALL_STATE(1012)] = 75465,
  [SMALL_STATE(1013)] = 75519,
  [SMALL_STATE(1014)] = 75562,
  [SMALL_STATE(1015)] = 75605,
  [SMALL_STATE(1016)] = 75648,
  [SMALL_STATE(1017)] = 75691,
  [SMALL_STATE(1018)] = 75734,
  [SMALL_STATE(1019)] = 75777,
  [SMALL_STATE(1020)] = 75820,
  [SMALL_STATE(1021)] = 75863,
  [SMALL_STATE(1022)] = 75908,
  [SMALL_STATE(1023)] = 75957,
  [SMALL_STATE(1024)] = 76000,
  [SMALL_STATE(1025)] = 76043,
  [SMALL_STATE(1026)] = 76086,
  [SMALL_STATE(1027)] = 76129,
  [SMALL_STATE(1028)] = 76176,
  [SMALL_STATE(1029)] = 76219,
  [SMALL_STATE(1030)] = 76262,
  [SMALL_STATE(1031)] = 76309,
  [SMALL_STATE(1032)] = 76352,
  [SMALL_STATE(1033)] = 76395,
  [SMALL_STATE(1034)] = 76438,
  [SMALL_STATE(1035)] = 76481,
  [SMALL_STATE(1036)] = 76524,
  [SMALL_STATE(1037)] = 76567,
  [SMALL_STATE(1038)] = 76610,
  [SMALL_STATE(1039)] = 76653,
  [SMALL_STATE(1040)] = 76696,
  [SMALL_STATE(1041)] = 76739,
  [SMALL_STATE(1042)] = 76782,
  [SMALL_STATE(1043)] = 76825,
  [SMALL_STATE(1044)] = 76868,
  [SMALL_STATE(1045)] = 76911,
  [SMALL_STATE(1046)] = 76954,
  [SMALL_STATE(1047)] = 76997,
  [SMALL_STATE(1048)] = 77044,
  [SMALL_STATE(1049)] = 77087,
  [SMALL_STATE(1050)] = 77130,
  [SMALL_STATE(1051)] = 77205,
  [SMALL_STATE(1052)] = 77248,
  [SMALL_STATE(1053)] = 77291,
  [SMALL_STATE(1054)] = 77338,
  [SMALL_STATE(1055)] = 77381,
  [SMALL_STATE(1056)] = 77428,
  [SMALL_STATE(1057)] = 77471,
  [SMALL_STATE(1058)] = 77514,
  [SMALL_STATE(1059)] = 77557,
  [SMALL_STATE(1060)] = 77624,
  [SMALL_STATE(1061)] = 77691,
  [SMALL_STATE(1062)] = 77758,
  [SMALL_STATE(1063)] = 77805,
  [SMALL_STATE(1064)] = 77852,
  [SMALL_STATE(1065)] = 77895,
  [SMALL_STATE(1066)] = 77942,
  [SMALL_STATE(1067)] = 77989,
  [SMALL_STATE(1068)] = 78032,
  [SMALL_STATE(1069)] = 78077,
  [SMALL_STATE(1070)] = 78124,
  [SMALL_STATE(1071)] = 78171,
  [SMALL_STATE(1072)] = 78214,
  [SMALL_STATE(1073)] = 78257,
  [SMALL_STATE(1074)] = 78300,
  [SMALL_STATE(1075)] = 78343,
  [SMALL_STATE(1076)] = 78388,
  [SMALL_STATE(1077)] = 78431,
  [SMALL_STATE(1078)] = 78474,
  [SMALL_STATE(1079)] = 78517,
  [SMALL_STATE(1080)] = 78560,
  [SMALL_STATE(1081)] = 78603,
  [SMALL_STATE(1082)] = 78646,
  [SMALL_STATE(1083)] = 78689,
  [SMALL_STATE(1084)] = 78732,
  [SMALL_STATE(1085)] = 78799,
  [SMALL_STATE(1086)] = 78852,
  [SMALL_STATE(1087)] = 78905,
  [SMALL_STATE(1088)] = 78948,
  [SMALL_STATE(1089)] = 78995,
  [SMALL_STATE(1090)] = 79038,
  [SMALL_STATE(1091)] = 79081,
  [SMALL_STATE(1092)] = 79126,
  [SMALL_STATE(1093)] = 79171,
  [SMALL_STATE(1094)] = 79214,
  [SMALL_STATE(1095)] = 79261,
  [SMALL_STATE(1096)] = 79304,
  [SMALL_STATE(1097)] = 79347,
  [SMALL_STATE(1098)] = 79414,
  [SMALL_STATE(1099)] = 79481,
  [SMALL_STATE(1100)] = 79528,
  [SMALL_STATE(1101)] = 79575,
  [SMALL_STATE(1102)] = 79618,
  [SMALL_STATE(1103)] = 79665,
  [SMALL_STATE(1104)] = 79712,
  [SMALL_STATE(1105)] = 79755,
  [SMALL_STATE(1106)] = 79798,
  [SMALL_STATE(1107)] = 79843,
  [SMALL_STATE(1108)] = 79886,
  [SMALL_STATE(1109)] = 79929,
  [SMALL_STATE(1110)] = 79974,
  [SMALL_STATE(1111)] = 80019,
  [SMALL_STATE(1112)] = 80062,
  [SMALL_STATE(1113)] = 80137,
  [SMALL_STATE(1114)] = 80180,
  [SMALL_STATE(1115)] = 80227,
  [SMALL_STATE(1116)] = 80270,
  [SMALL_STATE(1117)] = 80313,
  [SMALL_STATE(1118)] = 80356,
  [SMALL_STATE(1119)] = 80409,
  [SMALL_STATE(1120)] = 80452,
  [SMALL_STATE(1121)] = 80505,
  [SMALL_STATE(1122)] = 80548,
  [SMALL_STATE(1123)] = 80591,
  [SMALL_STATE(1124)] = 80634,
  [SMALL_STATE(1125)] = 80677,
  [SMALL_STATE(1126)] = 80720,
  [SMALL_STATE(1127)] = 80763,
  [SMALL_STATE(1128)] = 80806,
  [SMALL_STATE(1129)] = 80849,
  [SMALL_STATE(1130)] = 80894,
  [SMALL_STATE(1131)] = 80947,
  [SMALL_STATE(1132)] = 81006,
  [SMALL_STATE(1133)] = 81051,
  [SMALL_STATE(1134)] = 81100,
  [SMALL_STATE(1135)] = 81157,
  [SMALL_STATE(1136)] = 81210,
  [SMALL_STATE(1137)] = 81263,
  [SMALL_STATE(1138)] = 81328,
  [SMALL_STATE(1139)] = 81391,
  [SMALL_STATE(1140)] = 81452,
  [SMALL_STATE(1141)] = 81511,
  [SMALL_STATE(1142)] = 81556,
  [SMALL_STATE(1143)] = 81613,
  [SMALL_STATE(1144)] = 81666,
  [SMALL_STATE(1145)] = 81731,
  [SMALL_STATE(1146)] = 81794,
  [SMALL_STATE(1147)] = 81869,
  [SMALL_STATE(1148)] = 81914,
  [SMALL_STATE(1149)] = 81975,
  [SMALL_STATE(1150)] = 82018,
  [SMALL_STATE(1151)] = 82061,
  [SMALL_STATE(1152)] = 82106,
  [SMALL_STATE(1153)] = 82151,
  [SMALL_STATE(1154)] = 82194,
  [SMALL_STATE(1155)] = 82239,
  [SMALL_STATE(1156)] = 82284,
  [SMALL_STATE(1157)] = 82329,
  [SMALL_STATE(1158)] = 82372,
  [SMALL_STATE(1159)] = 82414,
  [SMALL_STATE(1160)] = 82458,
  [SMALL_STATE(1161)] = 82502,
  [SMALL_STATE(1162)] = 82544,
  [SMALL_STATE(1163)] = 82586,
  [SMALL_STATE(1164)] = 82628,
  [SMALL_STATE(1165)] = 82670,
  [SMALL_STATE(1166)] = 82712,
  [SMALL_STATE(1167)] = 82754,
  [SMALL_STATE(1168)] = 82796,
  [SMALL_STATE(1169)] = 82838,
  [SMALL_STATE(1170)] = 82882,
  [SMALL_STATE(1171)] = 82924,
  [SMALL_STATE(1172)] = 82966,
  [SMALL_STATE(1173)] = 83008,
  [SMALL_STATE(1174)] = 83050,
  [SMALL_STATE(1175)] = 83094,
  [SMALL_STATE(1176)] = 83136,
  [SMALL_STATE(1177)] = 83180,
  [SMALL_STATE(1178)] = 83222,
  [SMALL_STATE(1179)] = 83264,
  [SMALL_STATE(1180)] = 83306,
  [SMALL_STATE(1181)] = 83348,
  [SMALL_STATE(1182)] = 83390,
  [SMALL_STATE(1183)] = 83432,
  [SMALL_STATE(1184)] = 83474,
  [SMALL_STATE(1185)] = 83516,
  [SMALL_STATE(1186)] = 83562,
  [SMALL_STATE(1187)] = 83608,
  [SMALL_STATE(1188)] = 83650,
  [SMALL_STATE(1189)] = 83692,
  [SMALL_STATE(1190)] = 83736,
  [SMALL_STATE(1191)] = 83778,
  [SMALL_STATE(1192)] = 83820,
  [SMALL_STATE(1193)] = 83862,
  [SMALL_STATE(1194)] = 83908,
  [SMALL_STATE(1195)] = 83952,
  [SMALL_STATE(1196)] = 83994,
  [SMALL_STATE(1197)] = 84040,
  [SMALL_STATE(1198)] = 84086,
  [SMALL_STATE(1199)] = 84128,
  [SMALL_STATE(1200)] = 84170,
  [SMALL_STATE(1201)] = 84212,
  [SMALL_STATE(1202)] = 84254,
  [SMALL_STATE(1203)] = 84296,
  [SMALL_STATE(1204)] = 84338,
  [SMALL_STATE(1205)] = 84380,
  [SMALL_STATE(1206)] = 84422,
  [SMALL_STATE(1207)] = 84464,
  [SMALL_STATE(1208)] = 84506,
  [SMALL_STATE(1209)] = 84548,
  [SMALL_STATE(1210)] = 84590,
  [SMALL_STATE(1211)] = 84632,
  [SMALL_STATE(1212)] = 84678,
  [SMALL_STATE(1213)] = 84722,
  [SMALL_STATE(1214)] = 84764,
  [SMALL_STATE(1215)] = 84806,
  [SMALL_STATE(1216)] = 84848,
  [SMALL_STATE(1217)] = 84892,
  [SMALL_STATE(1218)] = 84934,
  [SMALL_STATE(1219)] = 84976,
  [SMALL_STATE(1220)] = 85018,
  [SMALL_STATE(1221)] = 85060,
  [SMALL_STATE(1222)] = 85102,
  [SMALL_STATE(1223)] = 85144,
  [SMALL_STATE(1224)] = 85186,
  [SMALL_STATE(1225)] = 85228,
  [SMALL_STATE(1226)] = 85274,
  [SMALL_STATE(1227)] = 85316,
  [SMALL_STATE(1228)] = 85358,
  [SMALL_STATE(1229)] = 85400,
  [SMALL_STATE(1230)] = 85444,
  [SMALL_STATE(1231)] = 85486,
  [SMALL_STATE(1232)] = 85566,
  [SMALL_STATE(1233)] = 85610,
  [SMALL_STATE(1234)] = 85652,
  [SMALL_STATE(1235)] = 85694,
  [SMALL_STATE(1236)] = 85736,
  [SMALL_STATE(1237)] = 85782,
  [SMALL_STATE(1238)] = 85824,
  [SMALL_STATE(1239)] = 85868,
  [SMALL_STATE(1240)] = 85912,
  [SMALL_STATE(1241)] = 85954,
  [SMALL_STATE(1242)] = 85996,
  [SMALL_STATE(1243)] = 86038,
  [SMALL_STATE(1244)] = 86088,
  [SMALL_STATE(1245)] = 86130,
  [SMALL_STATE(1246)] = 86172,
  [SMALL_STATE(1247)] = 86214,
  [SMALL_STATE(1248)] = 86256,
  [SMALL_STATE(1249)] = 86298,
  [SMALL_STATE(1250)] = 86340,
  [SMALL_STATE(1251)] = 86382,
  [SMALL_STATE(1252)] = 86424,
  [SMALL_STATE(1253)] = 86466,
  [SMALL_STATE(1254)] = 86512,
  [SMALL_STATE(1255)] = 86554,
  [SMALL_STATE(1256)] = 86600,
  [SMALL_STATE(1257)] = 86642,
  [SMALL_STATE(1258)] = 86684,
  [SMALL_STATE(1259)] = 86726,
  [SMALL_STATE(1260)] = 86768,
  [SMALL_STATE(1261)] = 86810,
  [SMALL_STATE(1262)] = 86852,
  [SMALL_STATE(1263)] = 86894,
  [SMALL_STATE(1264)] = 86936,
  [SMALL_STATE(1265)] = 86978,
  [SMALL_STATE(1266)] = 87020,
  [SMALL_STATE(1267)] = 87062,
  [SMALL_STATE(1268)] = 87104,
  [SMALL_STATE(1269)] = 87146,
  [SMALL_STATE(1270)] = 87192,
  [SMALL_STATE(1271)] = 87234,
  [SMALL_STATE(1272)] = 87276,
  [SMALL_STATE(1273)] = 87322,
  [SMALL_STATE(1274)] = 87368,
  [SMALL_STATE(1275)] = 87410,
  [SMALL_STATE(1276)] = 87452,
  [SMALL_STATE(1277)] = 87494,
  [SMALL_STATE(1278)] = 87538,
  [SMALL_STATE(1279)] = 87580,
  [SMALL_STATE(1280)] = 87622,
  [SMALL_STATE(1281)] = 87664,
  [SMALL_STATE(1282)] = 87706,
  [SMALL_STATE(1283)] = 87748,
  [SMALL_STATE(1284)] = 87790,
  [SMALL_STATE(1285)] = 87832,
  [SMALL_STATE(1286)] = 87874,
  [SMALL_STATE(1287)] = 87916,
  [SMALL_STATE(1288)] = 87958,
  [SMALL_STATE(1289)] = 88000,
  [SMALL_STATE(1290)] = 88042,
  [SMALL_STATE(1291)] = 88084,
  [SMALL_STATE(1292)] = 88128,
  [SMALL_STATE(1293)] = 88172,
  [SMALL_STATE(1294)] = 88214,
  [SMALL_STATE(1295)] = 88256,
  [SMALL_STATE(1296)] = 88306,
  [SMALL_STATE(1297)] = 88350,
  [SMALL_STATE(1298)] = 88392,
  [SMALL_STATE(1299)] = 88438,
  [SMALL_STATE(1300)] = 88480,
  [SMALL_STATE(1301)] = 88522,
  [SMALL_STATE(1302)] = 88564,
  [SMALL_STATE(1303)] = 88606,
  [SMALL_STATE(1304)] = 88648,
  [SMALL_STATE(1305)] = 88690,
  [SMALL_STATE(1306)] = 88734,
  [SMALL_STATE(1307)] = 88778,
  [SMALL_STATE(1308)] = 88820,
  [SMALL_STATE(1309)] = 88862,
  [SMALL_STATE(1310)] = 88904,
  [SMALL_STATE(1311)] = 88946,
  [SMALL_STATE(1312)] = 89026,
  [SMALL_STATE(1313)] = 89068,
  [SMALL_STATE(1314)] = 89110,
  [SMALL_STATE(1315)] = 89152,
  [SMALL_STATE(1316)] = 89198,
  [SMALL_STATE(1317)] = 89240,
  [SMALL_STATE(1318)] = 89282,
  [SMALL_STATE(1319)] = 89324,
  [SMALL_STATE(1320)] = 89366,
  [SMALL_STATE(1321)] = 89408,
  [SMALL_STATE(1322)] = 89450,
  [SMALL_STATE(1323)] = 89524,
  [SMALL_STATE(1324)] = 89566,
  [SMALL_STATE(1325)] = 89609,
  [SMALL_STATE(1326)] = 89650,
  [SMALL_STATE(1327)] = 89691,
  [SMALL_STATE(1328)] = 89736,
  [SMALL_STATE(1329)] = 89779,
  [SMALL_STATE(1330)] = 89820,
  [SMALL_STATE(1331)] = 89865,
  [SMALL_STATE(1332)] = 89930,
  [SMALL_STATE(1333)] = 89995,
  [SMALL_STATE(1334)] = 90046,
  [SMALL_STATE(1335)] = 90097,
  [SMALL_STATE(1336)] = 90148,
  [SMALL_STATE(1337)] = 90195,
  [SMALL_STATE(1338)] = 90238,
  [SMALL_STATE(1339)] = 90279,
  [SMALL_STATE(1340)] = 90322,
  [SMALL_STATE(1341)] = 90365,
  [SMALL_STATE(1342)] = 90408,
  [SMALL_STATE(1343)] = 90451,
  [SMALL_STATE(1344)] = 90492,
  [SMALL_STATE(1345)] = 90533,
  [SMALL_STATE(1346)] = 90574,
  [SMALL_STATE(1347)] = 90615,
  [SMALL_STATE(1348)] = 90656,
  [SMALL_STATE(1349)] = 90721,
  [SMALL_STATE(1350)] = 90762,
  [SMALL_STATE(1351)] = 90805,
  [SMALL_STATE(1352)] = 90846,
  [SMALL_STATE(1353)] = 90909,
  [SMALL_STATE(1354)] = 90960,
  [SMALL_STATE(1355)] = 91021,
  [SMALL_STATE(1356)] = 91080,
  [SMALL_STATE(1357)] = 91121,
  [SMALL_STATE(1358)] = 91162,
  [SMALL_STATE(1359)] = 91203,
  [SMALL_STATE(1360)] = 91244,
  [SMALL_STATE(1361)] = 91285,
  [SMALL_STATE(1362)] = 91326,
  [SMALL_STATE(1363)] = 91371,
  [SMALL_STATE(1364)] = 91412,
  [SMALL_STATE(1365)] = 91453,
  [SMALL_STATE(1366)] = 91494,
  [SMALL_STATE(1367)] = 91535,
  [SMALL_STATE(1368)] = 91576,
  [SMALL_STATE(1369)] = 91617,
  [SMALL_STATE(1370)] = 91658,
  [SMALL_STATE(1371)] = 91699,
  [SMALL_STATE(1372)] = 91740,
  [SMALL_STATE(1373)] = 91797,
  [SMALL_STATE(1374)] = 91846,
  [SMALL_STATE(1375)] = 91901,
  [SMALL_STATE(1376)] = 91942,
  [SMALL_STATE(1377)] = 91983,
  [SMALL_STATE(1378)] = 92024,
  [SMALL_STATE(1379)] = 92065,
  [SMALL_STATE(1380)] = 92108,
  [SMALL_STATE(1381)] = 92149,
  [SMALL_STATE(1382)] = 92190,
  [SMALL_STATE(1383)] = 92231,
  [SMALL_STATE(1384)] = 92271,
  [SMALL_STATE(1385)] = 92313,
  [SMALL_STATE(1386)] = 92355,
  [SMALL_STATE(1387)] = 92395,
  [SMALL_STATE(1388)] = 92437,
  [SMALL_STATE(1389)] = 92479,
  [SMALL_STATE(1390)] = 92521,
  [SMALL_STATE(1391)] = 92563,
  [SMALL_STATE(1392)] = 92603,
  [SMALL_STATE(1393)] = 92643,
  [SMALL_STATE(1394)] = 92683,
  [SMALL_STATE(1395)] = 92725,
  [SMALL_STATE(1396)] = 92765,
  [SMALL_STATE(1397)] = 92805,
  [SMALL_STATE(1398)] = 92845,
  [SMALL_STATE(1399)] = 92887,
  [SMALL_STATE(1400)] = 92927,
  [SMALL_STATE(1401)] = 92967,
  [SMALL_STATE(1402)] = 93009,
  [SMALL_STATE(1403)] = 93049,
  [SMALL_STATE(1404)] = 93089,
  [SMALL_STATE(1405)] = 93128,
  [SMALL_STATE(1406)] = 93159,
  [SMALL_STATE(1407)] = 93190,
  [SMALL_STATE(1408)] = 93221,
  [SMALL_STATE(1409)] = 93252,
  [SMALL_STATE(1410)] = 93291,
  [SMALL_STATE(1411)] = 93322,
  [SMALL_STATE(1412)] = 93353,
  [SMALL_STATE(1413)] = 93391,
  [SMALL_STATE(1414)] = 93429,
  [SMALL_STATE(1415)] = 93467,
  [SMALL_STATE(1416)] = 93505,
  [SMALL_STATE(1417)] = 93543,
  [SMALL_STATE(1418)] = 93581,
  [SMALL_STATE(1419)] = 93617,
  [SMALL_STATE(1420)] = 93653,
  [SMALL_STATE(1421)] = 93682,
  [SMALL_STATE(1422)] = 93711,
  [SMALL_STATE(1423)] = 93740,
  [SMALL_STATE(1424)] = 93777,
  [SMALL_STATE(1425)] = 93806,
  [SMALL_STATE(1426)] = 93843,
  [SMALL_STATE(1427)] = 93880,
  [SMALL_STATE(1428)] = 93915,
  [SMALL_STATE(1429)] = 93950,
  [SMALL_STATE(1430)] = 93979,
  [SMALL_STATE(1431)] = 94008,
  [SMALL_STATE(1432)] = 94037,
  [SMALL_STATE(1433)] = 94066,
  [SMALL_STATE(1434)] = 94103,
  [SMALL_STATE(1435)] = 94127,
  [SMALL_STATE(1436)] = 94155,
  [SMALL_STATE(1437)] = 94183,
  [SMALL_STATE(1438)] = 94211,
  [SMALL_STATE(1439)] = 94239,
  [SMALL_STATE(1440)] = 94285,
  [SMALL_STATE(1441)] = 94313,
  [SMALL_STATE(1442)] = 94341,
  [SMALL_STATE(1443)] = 94365,
  [SMALL_STATE(1444)] = 94393,
  [SMALL_STATE(1445)] = 94421,
  [SMALL_STATE(1446)] = 94449,
  [SMALL_STATE(1447)] = 94493,
  [SMALL_STATE(1448)] = 94535,
  [SMALL_STATE(1449)] = 94563,
  [SMALL_STATE(1450)] = 94609,
  [SMALL_STATE(1451)] = 94637,
  [SMALL_STATE(1452)] = 94665,
  [SMALL_STATE(1453)] = 94705,
  [SMALL_STATE(1454)] = 94733,
  [SMALL_STATE(1455)] = 94757,
  [SMALL_STATE(1456)] = 94785,
  [SMALL_STATE(1457)] = 94813,
  [SMALL_STATE(1458)] = 94841,
  [SMALL_STATE(1459)] = 94887,
  [SMALL_STATE(1460)] = 94915,
  [SMALL_STATE(1461)] = 94951,
  [SMALL_STATE(1462)] = 94997,
  [SMALL_STATE(1463)] = 95021,
  [SMALL_STATE(1464)] = 95049,
  [SMALL_STATE(1465)] = 95095,
  [SMALL_STATE(1466)] = 95131,
  [SMALL_STATE(1467)] = 95167,
  [SMALL_STATE(1468)] = 95213,
  [SMALL_STATE(1469)] = 95241,
  [SMALL_STATE(1470)] = 95269,
  [SMALL_STATE(1471)] = 95315,
  [SMALL_STATE(1472)] = 95355,
  [SMALL_STATE(1473)] = 95383,
  [SMALL_STATE(1474)] = 95429,
  [SMALL_STATE(1475)] = 95457,
  [SMALL_STATE(1476)] = 95485,
  [SMALL_STATE(1477)] = 95531,
  [SMALL_STATE(1478)] = 95559,
  [SMALL_STATE(1479)] = 95605,
  [SMALL_STATE(1480)] = 95643,
  [SMALL_STATE(1481)] = 95679,
  [SMALL_STATE(1482)] = 95725,
  [SMALL_STATE(1483)] = 95766,
  [SMALL_STATE(1484)] = 95811,
  [SMALL_STATE(1485)] = 95836,
  [SMALL_STATE(1486)] = 95881,
  [SMALL_STATE(1487)] = 95908,
  [SMALL_STATE(1488)] = 95931,
  [SMALL_STATE(1489)] = 95954,
  [SMALL_STATE(1490)] = 95983,
  [SMALL_STATE(1491)] = 96006,
  [SMALL_STATE(1492)] = 96033,
  [SMALL_STATE(1493)] = 96078,
  [SMALL_STATE(1494)] = 96123,
  [SMALL_STATE(1495)] = 96154,
  [SMALL_STATE(1496)] = 96199,
  [SMALL_STATE(1497)] = 96244,
  [SMALL_STATE(1498)] = 96289,
  [SMALL_STATE(1499)] = 96334,
  [SMALL_STATE(1500)] = 96379,
  [SMALL_STATE(1501)] = 96424,
  [SMALL_STATE(1502)] = 96455,
  [SMALL_STATE(1503)] = 96500,
  [SMALL_STATE(1504)] = 96545,
  [SMALL_STATE(1505)] = 96590,
  [SMALL_STATE(1506)] = 96613,
  [SMALL_STATE(1507)] = 96655,
  [SMALL_STATE(1508)] = 96687,
  [SMALL_STATE(1509)] = 96719,
  [SMALL_STATE(1510)] = 96758,
  [SMALL_STATE(1511)] = 96797,
  [SMALL_STATE(1512)] = 96826,
  [SMALL_STATE(1513)] = 96861,
  [SMALL_STATE(1514)] = 96900,
  [SMALL_STATE(1515)] = 96925,
  [SMALL_STATE(1516)] = 96964,
  [SMALL_STATE(1517)] = 97000,
  [SMALL_STATE(1518)] = 97026,
  [SMALL_STATE(1519)] = 97056,
  [SMALL_STATE(1520)] = 97082,
  [SMALL_STATE(1521)] = 97112,
  [SMALL_STATE(1522)] = 97148,
  [SMALL_STATE(1523)] = 97169,
  [SMALL_STATE(1524)] = 97190,
  [SMALL_STATE(1525)] = 97219,
  [SMALL_STATE(1526)] = 97240,
  [SMALL_STATE(1527)] = 97258,
  [SMALL_STATE(1528)] = 97276,
  [SMALL_STATE(1529)] = 97316,
  [SMALL_STATE(1530)] = 97340,
  [SMALL_STATE(1531)] = 97380,
  [SMALL_STATE(1532)] = 97420,
  [SMALL_STATE(1533)] = 97438,
  [SMALL_STATE(1534)] = 97478,
  [SMALL_STATE(1535)] = 97518,
  [SMALL_STATE(1536)] = 97558,
  [SMALL_STATE(1537)] = 97598,
  [SMALL_STATE(1538)] = 97638,
  [SMALL_STATE(1539)] = 97665,
  [SMALL_STATE(1540)] = 97692,
  [SMALL_STATE(1541)] = 97729,
  [SMALL_STATE(1542)] = 97756,
  [SMALL_STATE(1543)] = 97783,
  [SMALL_STATE(1544)] = 97808,
  [SMALL_STATE(1545)] = 97835,
  [SMALL_STATE(1546)] = 97872,
  [SMALL_STATE(1547)] = 97909,
  [SMALL_STATE(1548)] = 97932,
  [SMALL_STATE(1549)] = 97955,
  [SMALL_STATE(1550)] = 97976,
  [SMALL_STATE(1551)] = 97995,
  [SMALL_STATE(1552)] = 98022,
  [SMALL_STATE(1553)] = 98049,
  [SMALL_STATE(1554)] = 98086,
  [SMALL_STATE(1555)] = 98123,
  [SMALL_STATE(1556)] = 98150,
  [SMALL_STATE(1557)] = 98177,
  [SMALL_STATE(1558)] = 98214,
  [SMALL_STATE(1559)] = 98251,
  [SMALL_STATE(1560)] = 98278,
  [SMALL_STATE(1561)] = 98315,
  [SMALL_STATE(1562)] = 98342,
  [SMALL_STATE(1563)] = 98365,
  [SMALL_STATE(1564)] = 98392,
  [SMALL_STATE(1565)] = 98429,
  [SMALL_STATE(1566)] = 98466,
  [SMALL_STATE(1567)] = 98503,
  [SMALL_STATE(1568)] = 98540,
  [SMALL_STATE(1569)] = 98567,
  [SMALL_STATE(1570)] = 98594,
  [SMALL_STATE(1571)] = 98631,
  [SMALL_STATE(1572)] = 98668,
  [SMALL_STATE(1573)] = 98691,
  [SMALL_STATE(1574)] = 98728,
  [SMALL_STATE(1575)] = 98753,
  [SMALL_STATE(1576)] = 98780,
  [SMALL_STATE(1577)] = 98817,
  [SMALL_STATE(1578)] = 98854,
  [SMALL_STATE(1579)] = 98879,
  [SMALL_STATE(1580)] = 98906,
  [SMALL_STATE(1581)] = 98933,
  [SMALL_STATE(1582)] = 98960,
  [SMALL_STATE(1583)] = 98987,
  [SMALL_STATE(1584)] = 99010,
  [SMALL_STATE(1585)] = 99033,
  [SMALL_STATE(1586)] = 99070,
  [SMALL_STATE(1587)] = 99101,
  [SMALL_STATE(1588)] = 99138,
  [SMALL_STATE(1589)] = 99175,
  [SMALL_STATE(1590)] = 99212,
  [SMALL_STATE(1591)] = 99239,
  [SMALL_STATE(1592)] = 99276,
  [SMALL_STATE(1593)] = 99313,
  [SMALL_STATE(1594)] = 99340,
  [SMALL_STATE(1595)] = 99377,
  [SMALL_STATE(1596)] = 99414,
  [SMALL_STATE(1597)] = 99441,
  [SMALL_STATE(1598)] = 99465,
  [SMALL_STATE(1599)] = 99493,
  [SMALL_STATE(1600)] = 99509,
  [SMALL_STATE(1601)] = 99535,
  [SMALL_STATE(1602)] = 99559,
  [SMALL_STATE(1603)] = 99583,
  [SMALL_STATE(1604)] = 99603,
  [SMALL_STATE(1605)] = 99619,
  [SMALL_STATE(1606)] = 99635,
  [SMALL_STATE(1607)] = 99661,
  [SMALL_STATE(1608)] = 99677,
  [SMALL_STATE(1609)] = 99693,
  [SMALL_STATE(1610)] = 99715,
  [SMALL_STATE(1611)] = 99733,
  [SMALL_STATE(1612)] = 99757,
  [SMALL_STATE(1613)] = 99773,
  [SMALL_STATE(1614)] = 99791,
  [SMALL_STATE(1615)] = 99809,
  [SMALL_STATE(1616)] = 99837,
  [SMALL_STATE(1617)] = 99861,
  [SMALL_STATE(1618)] = 99887,
  [SMALL_STATE(1619)] = 99905,
  [SMALL_STATE(1620)] = 99922,
  [SMALL_STATE(1621)] = 99939,
  [SMALL_STATE(1622)] = 99962,
  [SMALL_STATE(1623)] = 99991,
  [SMALL_STATE(1624)] = 100014,
  [SMALL_STATE(1625)] = 100037,
  [SMALL_STATE(1626)] = 100058,
  [SMALL_STATE(1627)] = 100079,
  [SMALL_STATE(1628)] = 100096,
  [SMALL_STATE(1629)] = 100115,
  [SMALL_STATE(1630)] = 100136,
  [SMALL_STATE(1631)] = 100155,
  [SMALL_STATE(1632)] = 100178,
  [SMALL_STATE(1633)] = 100193,
  [SMALL_STATE(1634)] = 100208,
  [SMALL_STATE(1635)] = 100231,
  [SMALL_STATE(1636)] = 100248,
  [SMALL_STATE(1637)] = 100271,
  [SMALL_STATE(1638)] = 100294,
  [SMALL_STATE(1639)] = 100315,
  [SMALL_STATE(1640)] = 100334,
  [SMALL_STATE(1641)] = 100351,
  [SMALL_STATE(1642)] = 100374,
  [SMALL_STATE(1643)] = 100397,
  [SMALL_STATE(1644)] = 100412,
  [SMALL_STATE(1645)] = 100427,
  [SMALL_STATE(1646)] = 100450,
  [SMALL_STATE(1647)] = 100465,
  [SMALL_STATE(1648)] = 100488,
  [SMALL_STATE(1649)] = 100511,
  [SMALL_STATE(1650)] = 100534,
  [SMALL_STATE(1651)] = 100555,
  [SMALL_STATE(1652)] = 100574,
  [SMALL_STATE(1653)] = 100589,
  [SMALL_STATE(1654)] = 100612,
  [SMALL_STATE(1655)] = 100631,
  [SMALL_STATE(1656)] = 100654,
  [SMALL_STATE(1657)] = 100677,
  [SMALL_STATE(1658)] = 100694,
  [SMALL_STATE(1659)] = 100710,
  [SMALL_STATE(1660)] = 100726,
  [SMALL_STATE(1661)] = 100750,
  [SMALL_STATE(1662)] = 100778,
  [SMALL_STATE(1663)] = 100794,
  [SMALL_STATE(1664)] = 100818,
  [SMALL_STATE(1665)] = 100838,
  [SMALL_STATE(1666)] = 100858,
  [SMALL_STATE(1667)] = 100886,
  [SMALL_STATE(1668)] = 100908,
  [SMALL_STATE(1669)] = 100936,
  [SMALL_STATE(1670)] = 100962,
  [SMALL_STATE(1671)] = 100990,
  [SMALL_STATE(1672)] = 101010,
  [SMALL_STATE(1673)] = 101032,
  [SMALL_STATE(1674)] = 101058,
  [SMALL_STATE(1675)] = 101078,
  [SMALL_STATE(1676)] = 101106,
  [SMALL_STATE(1677)] = 101122,
  [SMALL_STATE(1678)] = 101148,
  [SMALL_STATE(1679)] = 101170,
  [SMALL_STATE(1680)] = 101192,
  [SMALL_STATE(1681)] = 101212,
  [SMALL_STATE(1682)] = 101232,
  [SMALL_STATE(1683)] = 101252,
  [SMALL_STATE(1684)] = 101280,
  [SMALL_STATE(1685)] = 101296,
  [SMALL_STATE(1686)] = 101314,
  [SMALL_STATE(1687)] = 101334,
  [SMALL_STATE(1688)] = 101350,
  [SMALL_STATE(1689)] = 101368,
  [SMALL_STATE(1690)] = 101384,
  [SMALL_STATE(1691)] = 101412,
  [SMALL_STATE(1692)] = 101434,
  [SMALL_STATE(1693)] = 101460,
  [SMALL_STATE(1694)] = 101480,
  [SMALL_STATE(1695)] = 101502,
  [SMALL_STATE(1696)] = 101520,
  [SMALL_STATE(1697)] = 101542,
  [SMALL_STATE(1698)] = 101570,
  [SMALL_STATE(1699)] = 101586,
  [SMALL_STATE(1700)] = 101608,
  [SMALL_STATE(1701)] = 101632,
  [SMALL_STATE(1702)] = 101648,
  [SMALL_STATE(1703)] = 101670,
  [SMALL_STATE(1704)] = 101698,
  [SMALL_STATE(1705)] = 101718,
  [SMALL_STATE(1706)] = 101738,
  [SMALL_STATE(1707)] = 101760,
  [SMALL_STATE(1708)] = 101784,
  [SMALL_STATE(1709)] = 101800,
  [SMALL_STATE(1710)] = 101820,
  [SMALL_STATE(1711)] = 101846,
  [SMALL_STATE(1712)] = 101866,
  [SMALL_STATE(1713)] = 101892,
  [SMALL_STATE(1714)] = 101914,
  [SMALL_STATE(1715)] = 101936,
  [SMALL_STATE(1716)] = 101960,
  [SMALL_STATE(1717)] = 101976,
  [SMALL_STATE(1718)] = 102004,
  [SMALL_STATE(1719)] = 102030,
  [SMALL_STATE(1720)] = 102050,
  [SMALL_STATE(1721)] = 102072,
  [SMALL_STATE(1722)] = 102088,
  [SMALL_STATE(1723)] = 102108,
  [SMALL_STATE(1724)] = 102124,
  [SMALL_STATE(1725)] = 102144,
  [SMALL_STATE(1726)] = 102168,
  [SMALL_STATE(1727)] = 102194,
  [SMALL_STATE(1728)] = 102215,
  [SMALL_STATE(1729)] = 102240,
  [SMALL_STATE(1730)] = 102255,
  [SMALL_STATE(1731)] = 102278,
  [SMALL_STATE(1732)] = 102297,
  [SMALL_STATE(1733)] = 102318,
  [SMALL_STATE(1734)] = 102339,
  [SMALL_STATE(1735)] = 102364,
  [SMALL_STATE(1736)] = 102389,
  [SMALL_STATE(1737)] = 102414,
  [SMALL_STATE(1738)] = 102439,
  [SMALL_STATE(1739)] = 102460,
  [SMALL_STATE(1740)] = 102485,
  [SMALL_STATE(1741)] = 102510,
  [SMALL_STATE(1742)] = 102535,
  [SMALL_STATE(1743)] = 102556,
  [SMALL_STATE(1744)] = 102575,
  [SMALL_STATE(1745)] = 102596,
  [SMALL_STATE(1746)] = 102617,
  [SMALL_STATE(1747)] = 102642,
  [SMALL_STATE(1748)] = 102657,
  [SMALL_STATE(1749)] = 102678,
  [SMALL_STATE(1750)] = 102701,
  [SMALL_STATE(1751)] = 102726,
  [SMALL_STATE(1752)] = 102751,
  [SMALL_STATE(1753)] = 102776,
  [SMALL_STATE(1754)] = 102791,
  [SMALL_STATE(1755)] = 102812,
  [SMALL_STATE(1756)] = 102837,
  [SMALL_STATE(1757)] = 102860,
  [SMALL_STATE(1758)] = 102881,
  [SMALL_STATE(1759)] = 102904,
  [SMALL_STATE(1760)] = 102923,
  [SMALL_STATE(1761)] = 102944,
  [SMALL_STATE(1762)] = 102969,
  [SMALL_STATE(1763)] = 102990,
  [SMALL_STATE(1764)] = 103006,
  [SMALL_STATE(1765)] = 103026,
  [SMALL_STATE(1766)] = 103046,
  [SMALL_STATE(1767)] = 103060,
  [SMALL_STATE(1768)] = 103076,
  [SMALL_STATE(1769)] = 103088,
  [SMALL_STATE(1770)] = 103108,
  [SMALL_STATE(1771)] = 103124,
  [SMALL_STATE(1772)] = 103144,
  [SMALL_STATE(1773)] = 103164,
  [SMALL_STATE(1774)] = 103184,
  [SMALL_STATE(1775)] = 103196,
  [SMALL_STATE(1776)] = 103214,
  [SMALL_STATE(1777)] = 103234,
  [SMALL_STATE(1778)] = 103254,
  [SMALL_STATE(1779)] = 103276,
  [SMALL_STATE(1780)] = 103296,
  [SMALL_STATE(1781)] = 103316,
  [SMALL_STATE(1782)] = 103332,
  [SMALL_STATE(1783)] = 103344,
  [SMALL_STATE(1784)] = 103364,
  [SMALL_STATE(1785)] = 103380,
  [SMALL_STATE(1786)] = 103396,
  [SMALL_STATE(1787)] = 103416,
  [SMALL_STATE(1788)] = 103438,
  [SMALL_STATE(1789)] = 103454,
  [SMALL_STATE(1790)] = 103474,
  [SMALL_STATE(1791)] = 103490,
  [SMALL_STATE(1792)] = 103504,
  [SMALL_STATE(1793)] = 103522,
  [SMALL_STATE(1794)] = 103542,
  [SMALL_STATE(1795)] = 103554,
  [SMALL_STATE(1796)] = 103566,
  [SMALL_STATE(1797)] = 103578,
  [SMALL_STATE(1798)] = 103594,
  [SMALL_STATE(1799)] = 103616,
  [SMALL_STATE(1800)] = 103636,
  [SMALL_STATE(1801)] = 103656,
  [SMALL_STATE(1802)] = 103676,
  [SMALL_STATE(1803)] = 103698,
  [SMALL_STATE(1804)] = 103718,
  [SMALL_STATE(1805)] = 103732,
  [SMALL_STATE(1806)] = 103746,
  [SMALL_STATE(1807)] = 103758,
  [SMALL_STATE(1808)] = 103774,
  [SMALL_STATE(1809)] = 103788,
  [SMALL_STATE(1810)] = 103802,
  [SMALL_STATE(1811)] = 103822,
  [SMALL_STATE(1812)] = 103834,
  [SMALL_STATE(1813)] = 103850,
  [SMALL_STATE(1814)] = 103864,
  [SMALL_STATE(1815)] = 103880,
  [SMALL_STATE(1816)] = 103896,
  [SMALL_STATE(1817)] = 103908,
  [SMALL_STATE(1818)] = 103928,
  [SMALL_STATE(1819)] = 103948,
  [SMALL_STATE(1820)] = 103964,
  [SMALL_STATE(1821)] = 103982,
  [SMALL_STATE(1822)] = 103994,
  [SMALL_STATE(1823)] = 104006,
  [SMALL_STATE(1824)] = 104028,
  [SMALL_STATE(1825)] = 104044,
  [SMALL_STATE(1826)] = 104060,
  [SMALL_STATE(1827)] = 104076,
  [SMALL_STATE(1828)] = 104096,
  [SMALL_STATE(1829)] = 104116,
  [SMALL_STATE(1830)] = 104136,
  [SMALL_STATE(1831)] = 104148,
  [SMALL_STATE(1832)] = 104164,
  [SMALL_STATE(1833)] = 104180,
  [SMALL_STATE(1834)] = 104192,
  [SMALL_STATE(1835)] = 104208,
  [SMALL_STATE(1836)] = 104224,
  [SMALL_STATE(1837)] = 104238,
  [SMALL_STATE(1838)] = 104258,
  [SMALL_STATE(1839)] = 104278,
  [SMALL_STATE(1840)] = 104294,
  [SMALL_STATE(1841)] = 104314,
  [SMALL_STATE(1842)] = 104334,
  [SMALL_STATE(1843)] = 104354,
  [SMALL_STATE(1844)] = 104376,
  [SMALL_STATE(1845)] = 104396,
  [SMALL_STATE(1846)] = 104416,
  [SMALL_STATE(1847)] = 104434,
  [SMALL_STATE(1848)] = 104450,
  [SMALL_STATE(1849)] = 104470,
  [SMALL_STATE(1850)] = 104482,
  [SMALL_STATE(1851)] = 104499,
  [SMALL_STATE(1852)] = 104518,
  [SMALL_STATE(1853)] = 104537,
  [SMALL_STATE(1854)] = 104556,
  [SMALL_STATE(1855)] = 104573,
  [SMALL_STATE(1856)] = 104590,
  [SMALL_STATE(1857)] = 104601,
  [SMALL_STATE(1858)] = 104612,
  [SMALL_STATE(1859)] = 104629,
  [SMALL_STATE(1860)] = 104648,
  [SMALL_STATE(1861)] = 104659,
  [SMALL_STATE(1862)] = 104670,
  [SMALL_STATE(1863)] = 104689,
  [SMALL_STATE(1864)] = 104700,
  [SMALL_STATE(1865)] = 104717,
  [SMALL_STATE(1866)] = 104734,
  [SMALL_STATE(1867)] = 104753,
  [SMALL_STATE(1868)] = 104772,
  [SMALL_STATE(1869)] = 104791,
  [SMALL_STATE(1870)] = 104802,
  [SMALL_STATE(1871)] = 104821,
  [SMALL_STATE(1872)] = 104836,
  [SMALL_STATE(1873)] = 104847,
  [SMALL_STATE(1874)] = 104858,
  [SMALL_STATE(1875)] = 104877,
  [SMALL_STATE(1876)] = 104888,
  [SMALL_STATE(1877)] = 104903,
  [SMALL_STATE(1878)] = 104922,
  [SMALL_STATE(1879)] = 104941,
  [SMALL_STATE(1880)] = 104952,
  [SMALL_STATE(1881)] = 104971,
  [SMALL_STATE(1882)] = 104990,
  [SMALL_STATE(1883)] = 105005,
  [SMALL_STATE(1884)] = 105022,
  [SMALL_STATE(1885)] = 105041,
  [SMALL_STATE(1886)] = 105058,
  [SMALL_STATE(1887)] = 105075,
  [SMALL_STATE(1888)] = 105094,
  [SMALL_STATE(1889)] = 105111,
  [SMALL_STATE(1890)] = 105128,
  [SMALL_STATE(1891)] = 105147,
  [SMALL_STATE(1892)] = 105166,
  [SMALL_STATE(1893)] = 105177,
  [SMALL_STATE(1894)] = 105194,
  [SMALL_STATE(1895)] = 105205,
  [SMALL_STATE(1896)] = 105216,
  [SMALL_STATE(1897)] = 105231,
  [SMALL_STATE(1898)] = 105244,
  [SMALL_STATE(1899)] = 105263,
  [SMALL_STATE(1900)] = 105282,
  [SMALL_STATE(1901)] = 105299,
  [SMALL_STATE(1902)] = 105318,
  [SMALL_STATE(1903)] = 105337,
  [SMALL_STATE(1904)] = 105348,
  [SMALL_STATE(1905)] = 105359,
  [SMALL_STATE(1906)] = 105374,
  [SMALL_STATE(1907)] = 105385,
  [SMALL_STATE(1908)] = 105404,
  [SMALL_STATE(1909)] = 105423,
  [SMALL_STATE(1910)] = 105438,
  [SMALL_STATE(1911)] = 105457,
  [SMALL_STATE(1912)] = 105468,
  [SMALL_STATE(1913)] = 105485,
  [SMALL_STATE(1914)] = 105504,
  [SMALL_STATE(1915)] = 105521,
  [SMALL_STATE(1916)] = 105540,
  [SMALL_STATE(1917)] = 105551,
  [SMALL_STATE(1918)] = 105562,
  [SMALL_STATE(1919)] = 105573,
  [SMALL_STATE(1920)] = 105584,
  [SMALL_STATE(1921)] = 105603,
  [SMALL_STATE(1922)] = 105614,
  [SMALL_STATE(1923)] = 105633,
  [SMALL_STATE(1924)] = 105644,
  [SMALL_STATE(1925)] = 105655,
  [SMALL_STATE(1926)] = 105672,
  [SMALL_STATE(1927)] = 105683,
  [SMALL_STATE(1928)] = 105702,
  [SMALL_STATE(1929)] = 105719,
  [SMALL_STATE(1930)] = 105730,
  [SMALL_STATE(1931)] = 105749,
  [SMALL_STATE(1932)] = 105760,
  [SMALL_STATE(1933)] = 105771,
  [SMALL_STATE(1934)] = 105782,
  [SMALL_STATE(1935)] = 105793,
  [SMALL_STATE(1936)] = 105812,
  [SMALL_STATE(1937)] = 105823,
  [SMALL_STATE(1938)] = 105838,
  [SMALL_STATE(1939)] = 105855,
  [SMALL_STATE(1940)] = 105874,
  [SMALL_STATE(1941)] = 105893,
  [SMALL_STATE(1942)] = 105904,
  [SMALL_STATE(1943)] = 105923,
  [SMALL_STATE(1944)] = 105939,
  [SMALL_STATE(1945)] = 105953,
  [SMALL_STATE(1946)] = 105969,
  [SMALL_STATE(1947)] = 105983,
  [SMALL_STATE(1948)] = 105997,
  [SMALL_STATE(1949)] = 106011,
  [SMALL_STATE(1950)] = 106025,
  [SMALL_STATE(1951)] = 106041,
  [SMALL_STATE(1952)] = 106055,
  [SMALL_STATE(1953)] = 106071,
  [SMALL_STATE(1954)] = 106087,
  [SMALL_STATE(1955)] = 106103,
  [SMALL_STATE(1956)] = 106119,
  [SMALL_STATE(1957)] = 106135,
  [SMALL_STATE(1958)] = 106149,
  [SMALL_STATE(1959)] = 106165,
  [SMALL_STATE(1960)] = 106179,
  [SMALL_STATE(1961)] = 106191,
  [SMALL_STATE(1962)] = 106207,
  [SMALL_STATE(1963)] = 106221,
  [SMALL_STATE(1964)] = 106235,
  [SMALL_STATE(1965)] = 106249,
  [SMALL_STATE(1966)] = 106265,
  [SMALL_STATE(1967)] = 106281,
  [SMALL_STATE(1968)] = 106295,
  [SMALL_STATE(1969)] = 106309,
  [SMALL_STATE(1970)] = 106323,
  [SMALL_STATE(1971)] = 106339,
  [SMALL_STATE(1972)] = 106353,
  [SMALL_STATE(1973)] = 106369,
  [SMALL_STATE(1974)] = 106379,
  [SMALL_STATE(1975)] = 106393,
  [SMALL_STATE(1976)] = 106407,
  [SMALL_STATE(1977)] = 106421,
  [SMALL_STATE(1978)] = 106435,
  [SMALL_STATE(1979)] = 106449,
  [SMALL_STATE(1980)] = 106465,
  [SMALL_STATE(1981)] = 106479,
  [SMALL_STATE(1982)] = 106493,
  [SMALL_STATE(1983)] = 106507,
  [SMALL_STATE(1984)] = 106521,
  [SMALL_STATE(1985)] = 106535,
  [SMALL_STATE(1986)] = 106549,
  [SMALL_STATE(1987)] = 106562,
  [SMALL_STATE(1988)] = 106575,
  [SMALL_STATE(1989)] = 106588,
  [SMALL_STATE(1990)] = 106601,
  [SMALL_STATE(1991)] = 106614,
  [SMALL_STATE(1992)] = 106627,
  [SMALL_STATE(1993)] = 106640,
  [SMALL_STATE(1994)] = 106653,
  [SMALL_STATE(1995)] = 106666,
  [SMALL_STATE(1996)] = 106679,
  [SMALL_STATE(1997)] = 106688,
  [SMALL_STATE(1998)] = 106697,
  [SMALL_STATE(1999)] = 106710,
  [SMALL_STATE(2000)] = 106723,
  [SMALL_STATE(2001)] = 106732,
  [SMALL_STATE(2002)] = 106745,
  [SMALL_STATE(2003)] = 106758,
  [SMALL_STATE(2004)] = 106771,
  [SMALL_STATE(2005)] = 106780,
  [SMALL_STATE(2006)] = 106789,
  [SMALL_STATE(2007)] = 106802,
  [SMALL_STATE(2008)] = 106813,
  [SMALL_STATE(2009)] = 106826,
  [SMALL_STATE(2010)] = 106835,
  [SMALL_STATE(2011)] = 106848,
  [SMALL_STATE(2012)] = 106857,
  [SMALL_STATE(2013)] = 106870,
  [SMALL_STATE(2014)] = 106883,
  [SMALL_STATE(2015)] = 106896,
  [SMALL_STATE(2016)] = 106909,
  [SMALL_STATE(2017)] = 106922,
  [SMALL_STATE(2018)] = 106935,
  [SMALL_STATE(2019)] = 106948,
  [SMALL_STATE(2020)] = 106961,
  [SMALL_STATE(2021)] = 106974,
  [SMALL_STATE(2022)] = 106987,
  [SMALL_STATE(2023)] = 107000,
  [SMALL_STATE(2024)] = 107013,
  [SMALL_STATE(2025)] = 107026,
  [SMALL_STATE(2026)] = 107039,
  [SMALL_STATE(2027)] = 107052,
  [SMALL_STATE(2028)] = 107065,
  [SMALL_STATE(2029)] = 107078,
  [SMALL_STATE(2030)] = 107089,
  [SMALL_STATE(2031)] = 107102,
  [SMALL_STATE(2032)] = 107113,
  [SMALL_STATE(2033)] = 107124,
  [SMALL_STATE(2034)] = 107137,
  [SMALL_STATE(2035)] = 107150,
  [SMALL_STATE(2036)] = 107163,
  [SMALL_STATE(2037)] = 107176,
  [SMALL_STATE(2038)] = 107189,
  [SMALL_STATE(2039)] = 107202,
  [SMALL_STATE(2040)] = 107215,
  [SMALL_STATE(2041)] = 107228,
  [SMALL_STATE(2042)] = 107241,
  [SMALL_STATE(2043)] = 107254,
  [SMALL_STATE(2044)] = 107267,
  [SMALL_STATE(2045)] = 107280,
  [SMALL_STATE(2046)] = 107293,
  [SMALL_STATE(2047)] = 107306,
  [SMALL_STATE(2048)] = 107319,
  [SMALL_STATE(2049)] = 107332,
  [SMALL_STATE(2050)] = 107345,
  [SMALL_STATE(2051)] = 107358,
  [SMALL_STATE(2052)] = 107371,
  [SMALL_STATE(2053)] = 107384,
  [SMALL_STATE(2054)] = 107397,
  [SMALL_STATE(2055)] = 107410,
  [SMALL_STATE(2056)] = 107423,
  [SMALL_STATE(2057)] = 107436,
  [SMALL_STATE(2058)] = 107449,
  [SMALL_STATE(2059)] = 107462,
  [SMALL_STATE(2060)] = 107473,
  [SMALL_STATE(2061)] = 107486,
  [SMALL_STATE(2062)] = 107497,
  [SMALL_STATE(2063)] = 107510,
  [SMALL_STATE(2064)] = 107523,
  [SMALL_STATE(2065)] = 107536,
  [SMALL_STATE(2066)] = 107549,
  [SMALL_STATE(2067)] = 107562,
  [SMALL_STATE(2068)] = 107575,
  [SMALL_STATE(2069)] = 107588,
  [SMALL_STATE(2070)] = 107601,
  [SMALL_STATE(2071)] = 107614,
  [SMALL_STATE(2072)] = 107627,
  [SMALL_STATE(2073)] = 107640,
  [SMALL_STATE(2074)] = 107651,
  [SMALL_STATE(2075)] = 107664,
  [SMALL_STATE(2076)] = 107677,
  [SMALL_STATE(2077)] = 107690,
  [SMALL_STATE(2078)] = 107701,
  [SMALL_STATE(2079)] = 107714,
  [SMALL_STATE(2080)] = 107727,
  [SMALL_STATE(2081)] = 107740,
  [SMALL_STATE(2082)] = 107751,
  [SMALL_STATE(2083)] = 107764,
  [SMALL_STATE(2084)] = 107777,
  [SMALL_STATE(2085)] = 107790,
  [SMALL_STATE(2086)] = 107801,
  [SMALL_STATE(2087)] = 107814,
  [SMALL_STATE(2088)] = 107827,
  [SMALL_STATE(2089)] = 107840,
  [SMALL_STATE(2090)] = 107851,
  [SMALL_STATE(2091)] = 107862,
  [SMALL_STATE(2092)] = 107873,
  [SMALL_STATE(2093)] = 107882,
  [SMALL_STATE(2094)] = 107895,
  [SMALL_STATE(2095)] = 107908,
  [SMALL_STATE(2096)] = 107921,
  [SMALL_STATE(2097)] = 107934,
  [SMALL_STATE(2098)] = 107947,
  [SMALL_STATE(2099)] = 107958,
  [SMALL_STATE(2100)] = 107971,
  [SMALL_STATE(2101)] = 107984,
  [SMALL_STATE(2102)] = 107997,
  [SMALL_STATE(2103)] = 108010,
  [SMALL_STATE(2104)] = 108023,
  [SMALL_STATE(2105)] = 108036,
  [SMALL_STATE(2106)] = 108049,
  [SMALL_STATE(2107)] = 108062,
  [SMALL_STATE(2108)] = 108075,
  [SMALL_STATE(2109)] = 108088,
  [SMALL_STATE(2110)] = 108101,
  [SMALL_STATE(2111)] = 108114,
  [SMALL_STATE(2112)] = 108127,
  [SMALL_STATE(2113)] = 108138,
  [SMALL_STATE(2114)] = 108151,
  [SMALL_STATE(2115)] = 108164,
  [SMALL_STATE(2116)] = 108175,
  [SMALL_STATE(2117)] = 108186,
  [SMALL_STATE(2118)] = 108199,
  [SMALL_STATE(2119)] = 108212,
  [SMALL_STATE(2120)] = 108225,
  [SMALL_STATE(2121)] = 108236,
  [SMALL_STATE(2122)] = 108249,
  [SMALL_STATE(2123)] = 108262,
  [SMALL_STATE(2124)] = 108275,
  [SMALL_STATE(2125)] = 108288,
  [SMALL_STATE(2126)] = 108301,
  [SMALL_STATE(2127)] = 108314,
  [SMALL_STATE(2128)] = 108327,
  [SMALL_STATE(2129)] = 108340,
  [SMALL_STATE(2130)] = 108353,
  [SMALL_STATE(2131)] = 108366,
  [SMALL_STATE(2132)] = 108379,
  [SMALL_STATE(2133)] = 108392,
  [SMALL_STATE(2134)] = 108405,
  [SMALL_STATE(2135)] = 108418,
  [SMALL_STATE(2136)] = 108431,
  [SMALL_STATE(2137)] = 108442,
  [SMALL_STATE(2138)] = 108455,
  [SMALL_STATE(2139)] = 108468,
  [SMALL_STATE(2140)] = 108481,
  [SMALL_STATE(2141)] = 108494,
  [SMALL_STATE(2142)] = 108507,
  [SMALL_STATE(2143)] = 108520,
  [SMALL_STATE(2144)] = 108533,
  [SMALL_STATE(2145)] = 108546,
  [SMALL_STATE(2146)] = 108559,
  [SMALL_STATE(2147)] = 108572,
  [SMALL_STATE(2148)] = 108585,
  [SMALL_STATE(2149)] = 108598,
  [SMALL_STATE(2150)] = 108611,
  [SMALL_STATE(2151)] = 108624,
  [SMALL_STATE(2152)] = 108637,
  [SMALL_STATE(2153)] = 108650,
  [SMALL_STATE(2154)] = 108663,
  [SMALL_STATE(2155)] = 108676,
  [SMALL_STATE(2156)] = 108689,
  [SMALL_STATE(2157)] = 108702,
  [SMALL_STATE(2158)] = 108715,
  [SMALL_STATE(2159)] = 108728,
  [SMALL_STATE(2160)] = 108741,
  [SMALL_STATE(2161)] = 108754,
  [SMALL_STATE(2162)] = 108767,
  [SMALL_STATE(2163)] = 108780,
  [SMALL_STATE(2164)] = 108791,
  [SMALL_STATE(2165)] = 108804,
  [SMALL_STATE(2166)] = 108817,
  [SMALL_STATE(2167)] = 108830,
  [SMALL_STATE(2168)] = 108843,
  [SMALL_STATE(2169)] = 108856,
  [SMALL_STATE(2170)] = 108869,
  [SMALL_STATE(2171)] = 108882,
  [SMALL_STATE(2172)] = 108895,
  [SMALL_STATE(2173)] = 108908,
  [SMALL_STATE(2174)] = 108917,
  [SMALL_STATE(2175)] = 108930,
  [SMALL_STATE(2176)] = 108943,
  [SMALL_STATE(2177)] = 108956,
  [SMALL_STATE(2178)] = 108969,
  [SMALL_STATE(2179)] = 108982,
  [SMALL_STATE(2180)] = 108995,
  [SMALL_STATE(2181)] = 109004,
  [SMALL_STATE(2182)] = 109017,
  [SMALL_STATE(2183)] = 109030,
  [SMALL_STATE(2184)] = 109043,
  [SMALL_STATE(2185)] = 109056,
  [SMALL_STATE(2186)] = 109069,
  [SMALL_STATE(2187)] = 109082,
  [SMALL_STATE(2188)] = 109095,
  [SMALL_STATE(2189)] = 109108,
  [SMALL_STATE(2190)] = 109121,
  [SMALL_STATE(2191)] = 109134,
  [SMALL_STATE(2192)] = 109147,
  [SMALL_STATE(2193)] = 109156,
  [SMALL_STATE(2194)] = 109169,
  [SMALL_STATE(2195)] = 109182,
  [SMALL_STATE(2196)] = 109195,
  [SMALL_STATE(2197)] = 109208,
  [SMALL_STATE(2198)] = 109221,
  [SMALL_STATE(2199)] = 109234,
  [SMALL_STATE(2200)] = 109247,
  [SMALL_STATE(2201)] = 109260,
  [SMALL_STATE(2202)] = 109273,
  [SMALL_STATE(2203)] = 109286,
  [SMALL_STATE(2204)] = 109299,
  [SMALL_STATE(2205)] = 109310,
  [SMALL_STATE(2206)] = 109319,
  [SMALL_STATE(2207)] = 109332,
  [SMALL_STATE(2208)] = 109345,
  [SMALL_STATE(2209)] = 109353,
  [SMALL_STATE(2210)] = 109361,
  [SMALL_STATE(2211)] = 109369,
  [SMALL_STATE(2212)] = 109377,
  [SMALL_STATE(2213)] = 109387,
  [SMALL_STATE(2214)] = 109395,
  [SMALL_STATE(2215)] = 109405,
  [SMALL_STATE(2216)] = 109413,
  [SMALL_STATE(2217)] = 109421,
  [SMALL_STATE(2218)] = 109429,
  [SMALL_STATE(2219)] = 109439,
  [SMALL_STATE(2220)] = 109449,
  [SMALL_STATE(2221)] = 109459,
  [SMALL_STATE(2222)] = 109467,
  [SMALL_STATE(2223)] = 109475,
  [SMALL_STATE(2224)] = 109483,
  [SMALL_STATE(2225)] = 109493,
  [SMALL_STATE(2226)] = 109501,
  [SMALL_STATE(2227)] = 109509,
  [SMALL_STATE(2228)] = 109517,
  [SMALL_STATE(2229)] = 109525,
  [SMALL_STATE(2230)] = 109533,
  [SMALL_STATE(2231)] = 109541,
  [SMALL_STATE(2232)] = 109551,
  [SMALL_STATE(2233)] = 109561,
  [SMALL_STATE(2234)] = 109571,
  [SMALL_STATE(2235)] = 109579,
  [SMALL_STATE(2236)] = 109589,
  [SMALL_STATE(2237)] = 109597,
  [SMALL_STATE(2238)] = 109607,
  [SMALL_STATE(2239)] = 109615,
  [SMALL_STATE(2240)] = 109623,
  [SMALL_STATE(2241)] = 109633,
  [SMALL_STATE(2242)] = 109641,
  [SMALL_STATE(2243)] = 109651,
  [SMALL_STATE(2244)] = 109659,
  [SMALL_STATE(2245)] = 109669,
  [SMALL_STATE(2246)] = 109677,
  [SMALL_STATE(2247)] = 109687,
  [SMALL_STATE(2248)] = 109695,
  [SMALL_STATE(2249)] = 109705,
  [SMALL_STATE(2250)] = 109715,
  [SMALL_STATE(2251)] = 109725,
  [SMALL_STATE(2252)] = 109735,
  [SMALL_STATE(2253)] = 109743,
  [SMALL_STATE(2254)] = 109753,
  [SMALL_STATE(2255)] = 109763,
  [SMALL_STATE(2256)] = 109771,
  [SMALL_STATE(2257)] = 109781,
  [SMALL_STATE(2258)] = 109791,
  [SMALL_STATE(2259)] = 109801,
  [SMALL_STATE(2260)] = 109809,
  [SMALL_STATE(2261)] = 109819,
  [SMALL_STATE(2262)] = 109827,
  [SMALL_STATE(2263)] = 109837,
  [SMALL_STATE(2264)] = 109845,
  [SMALL_STATE(2265)] = 109853,
  [SMALL_STATE(2266)] = 109863,
  [SMALL_STATE(2267)] = 109873,
  [SMALL_STATE(2268)] = 109883,
  [SMALL_STATE(2269)] = 109893,
  [SMALL_STATE(2270)] = 109903,
  [SMALL_STATE(2271)] = 109911,
  [SMALL_STATE(2272)] = 109921,
  [SMALL_STATE(2273)] = 109931,
  [SMALL_STATE(2274)] = 109941,
  [SMALL_STATE(2275)] = 109949,
  [SMALL_STATE(2276)] = 109959,
  [SMALL_STATE(2277)] = 109969,
  [SMALL_STATE(2278)] = 109977,
  [SMALL_STATE(2279)] = 109987,
  [SMALL_STATE(2280)] = 109995,
  [SMALL_STATE(2281)] = 110005,
  [SMALL_STATE(2282)] = 110015,
  [SMALL_STATE(2283)] = 110025,
  [SMALL_STATE(2284)] = 110035,
  [SMALL_STATE(2285)] = 110045,
  [SMALL_STATE(2286)] = 110053,
  [SMALL_STATE(2287)] = 110061,
  [SMALL_STATE(2288)] = 110069,
  [SMALL_STATE(2289)] = 110077,
  [SMALL_STATE(2290)] = 110085,
  [SMALL_STATE(2291)] = 110093,
  [SMALL_STATE(2292)] = 110101,
  [SMALL_STATE(2293)] = 110111,
  [SMALL_STATE(2294)] = 110119,
  [SMALL_STATE(2295)] = 110129,
  [SMALL_STATE(2296)] = 110139,
  [SMALL_STATE(2297)] = 110147,
  [SMALL_STATE(2298)] = 110155,
  [SMALL_STATE(2299)] = 110163,
  [SMALL_STATE(2300)] = 110171,
  [SMALL_STATE(2301)] = 110179,
  [SMALL_STATE(2302)] = 110189,
  [SMALL_STATE(2303)] = 110197,
  [SMALL_STATE(2304)] = 110205,
  [SMALL_STATE(2305)] = 110213,
  [SMALL_STATE(2306)] = 110221,
  [SMALL_STATE(2307)] = 110229,
  [SMALL_STATE(2308)] = 110237,
  [SMALL_STATE(2309)] = 110247,
  [SMALL_STATE(2310)] = 110257,
  [SMALL_STATE(2311)] = 110267,
  [SMALL_STATE(2312)] = 110277,
  [SMALL_STATE(2313)] = 110287,
  [SMALL_STATE(2314)] = 110295,
  [SMALL_STATE(2315)] = 110303,
  [SMALL_STATE(2316)] = 110311,
  [SMALL_STATE(2317)] = 110321,
  [SMALL_STATE(2318)] = 110329,
  [SMALL_STATE(2319)] = 110339,
  [SMALL_STATE(2320)] = 110347,
  [SMALL_STATE(2321)] = 110357,
  [SMALL_STATE(2322)] = 110367,
  [SMALL_STATE(2323)] = 110377,
  [SMALL_STATE(2324)] = 110385,
  [SMALL_STATE(2325)] = 110393,
  [SMALL_STATE(2326)] = 110400,
  [SMALL_STATE(2327)] = 110407,
  [SMALL_STATE(2328)] = 110414,
  [SMALL_STATE(2329)] = 110421,
  [SMALL_STATE(2330)] = 110428,
  [SMALL_STATE(2331)] = 110435,
  [SMALL_STATE(2332)] = 110442,
  [SMALL_STATE(2333)] = 110449,
  [SMALL_STATE(2334)] = 110456,
  [SMALL_STATE(2335)] = 110463,
  [SMALL_STATE(2336)] = 110470,
  [SMALL_STATE(2337)] = 110477,
  [SMALL_STATE(2338)] = 110484,
  [SMALL_STATE(2339)] = 110491,
  [SMALL_STATE(2340)] = 110498,
  [SMALL_STATE(2341)] = 110505,
  [SMALL_STATE(2342)] = 110512,
  [SMALL_STATE(2343)] = 110519,
  [SMALL_STATE(2344)] = 110526,
  [SMALL_STATE(2345)] = 110533,
  [SMALL_STATE(2346)] = 110540,
  [SMALL_STATE(2347)] = 110547,
  [SMALL_STATE(2348)] = 110554,
  [SMALL_STATE(2349)] = 110561,
  [SMALL_STATE(2350)] = 110568,
  [SMALL_STATE(2351)] = 110575,
  [SMALL_STATE(2352)] = 110582,
  [SMALL_STATE(2353)] = 110589,
  [SMALL_STATE(2354)] = 110596,
  [SMALL_STATE(2355)] = 110603,
  [SMALL_STATE(2356)] = 110610,
  [SMALL_STATE(2357)] = 110617,
  [SMALL_STATE(2358)] = 110624,
  [SMALL_STATE(2359)] = 110631,
  [SMALL_STATE(2360)] = 110638,
  [SMALL_STATE(2361)] = 110645,
  [SMALL_STATE(2362)] = 110652,
  [SMALL_STATE(2363)] = 110659,
  [SMALL_STATE(2364)] = 110666,
  [SMALL_STATE(2365)] = 110673,
  [SMALL_STATE(2366)] = 110680,
  [SMALL_STATE(2367)] = 110687,
  [SMALL_STATE(2368)] = 110694,
  [SMALL_STATE(2369)] = 110701,
  [SMALL_STATE(2370)] = 110708,
  [SMALL_STATE(2371)] = 110715,
  [SMALL_STATE(2372)] = 110722,
  [SMALL_STATE(2373)] = 110729,
  [SMALL_STATE(2374)] = 110736,
  [SMALL_STATE(2375)] = 110743,
  [SMALL_STATE(2376)] = 110750,
  [SMALL_STATE(2377)] = 110757,
  [SMALL_STATE(2378)] = 110764,
  [SMALL_STATE(2379)] = 110771,
  [SMALL_STATE(2380)] = 110778,
  [SMALL_STATE(2381)] = 110785,
  [SMALL_STATE(2382)] = 110792,
  [SMALL_STATE(2383)] = 110799,
  [SMALL_STATE(2384)] = 110806,
  [SMALL_STATE(2385)] = 110813,
  [SMALL_STATE(2386)] = 110820,
  [SMALL_STATE(2387)] = 110827,
  [SMALL_STATE(2388)] = 110834,
  [SMALL_STATE(2389)] = 110841,
  [SMALL_STATE(2390)] = 110848,
  [SMALL_STATE(2391)] = 110855,
  [SMALL_STATE(2392)] = 110862,
  [SMALL_STATE(2393)] = 110869,
  [SMALL_STATE(2394)] = 110876,
  [SMALL_STATE(2395)] = 110883,
  [SMALL_STATE(2396)] = 110890,
  [SMALL_STATE(2397)] = 110897,
  [SMALL_STATE(2398)] = 110904,
  [SMALL_STATE(2399)] = 110911,
  [SMALL_STATE(2400)] = 110918,
  [SMALL_STATE(2401)] = 110925,
  [SMALL_STATE(2402)] = 110932,
  [SMALL_STATE(2403)] = 110939,
  [SMALL_STATE(2404)] = 110946,
  [SMALL_STATE(2405)] = 110953,
  [SMALL_STATE(2406)] = 110960,
  [SMALL_STATE(2407)] = 110967,
  [SMALL_STATE(2408)] = 110974,
  [SMALL_STATE(2409)] = 110981,
  [SMALL_STATE(2410)] = 110988,
  [SMALL_STATE(2411)] = 110995,
  [SMALL_STATE(2412)] = 111002,
  [SMALL_STATE(2413)] = 111009,
  [SMALL_STATE(2414)] = 111016,
  [SMALL_STATE(2415)] = 111023,
  [SMALL_STATE(2416)] = 111030,
  [SMALL_STATE(2417)] = 111037,
  [SMALL_STATE(2418)] = 111044,
  [SMALL_STATE(2419)] = 111051,
  [SMALL_STATE(2420)] = 111058,
  [SMALL_STATE(2421)] = 111065,
  [SMALL_STATE(2422)] = 111072,
  [SMALL_STATE(2423)] = 111079,
  [SMALL_STATE(2424)] = 111086,
  [SMALL_STATE(2425)] = 111093,
  [SMALL_STATE(2426)] = 111100,
  [SMALL_STATE(2427)] = 111107,
  [SMALL_STATE(2428)] = 111114,
  [SMALL_STATE(2429)] = 111121,
  [SMALL_STATE(2430)] = 111128,
  [SMALL_STATE(2431)] = 111135,
  [SMALL_STATE(2432)] = 111142,
  [SMALL_STATE(2433)] = 111149,
  [SMALL_STATE(2434)] = 111156,
  [SMALL_STATE(2435)] = 111163,
  [SMALL_STATE(2436)] = 111170,
  [SMALL_STATE(2437)] = 111177,
  [SMALL_STATE(2438)] = 111184,
  [SMALL_STATE(2439)] = 111191,
  [SMALL_STATE(2440)] = 111198,
  [SMALL_STATE(2441)] = 111205,
  [SMALL_STATE(2442)] = 111212,
  [SMALL_STATE(2443)] = 111219,
  [SMALL_STATE(2444)] = 111226,
  [SMALL_STATE(2445)] = 111233,
  [SMALL_STATE(2446)] = 111240,
  [SMALL_STATE(2447)] = 111247,
  [SMALL_STATE(2448)] = 111254,
  [SMALL_STATE(2449)] = 111261,
  [SMALL_STATE(2450)] = 111268,
  [SMALL_STATE(2451)] = 111275,
  [SMALL_STATE(2452)] = 111282,
  [SMALL_STATE(2453)] = 111289,
  [SMALL_STATE(2454)] = 111296,
  [SMALL_STATE(2455)] = 111303,
  [SMALL_STATE(2456)] = 111310,
  [SMALL_STATE(2457)] = 111317,
  [SMALL_STATE(2458)] = 111324,
  [SMALL_STATE(2459)] = 111331,
  [SMALL_STATE(2460)] = 111338,
  [SMALL_STATE(2461)] = 111345,
  [SMALL_STATE(2462)] = 111352,
  [SMALL_STATE(2463)] = 111359,
  [SMALL_STATE(2464)] = 111366,
  [SMALL_STATE(2465)] = 111373,
  [SMALL_STATE(2466)] = 111380,
  [SMALL_STATE(2467)] = 111387,
  [SMALL_STATE(2468)] = 111394,
  [SMALL_STATE(2469)] = 111401,
  [SMALL_STATE(2470)] = 111408,
  [SMALL_STATE(2471)] = 111415,
  [SMALL_STATE(2472)] = 111422,
  [SMALL_STATE(2473)] = 111429,
  [SMALL_STATE(2474)] = 111436,
  [SMALL_STATE(2475)] = 111443,
  [SMALL_STATE(2476)] = 111450,
  [SMALL_STATE(2477)] = 111457,
  [SMALL_STATE(2478)] = 111464,
  [SMALL_STATE(2479)] = 111471,
  [SMALL_STATE(2480)] = 111478,
  [SMALL_STATE(2481)] = 111485,
  [SMALL_STATE(2482)] = 111492,
  [SMALL_STATE(2483)] = 111499,
  [SMALL_STATE(2484)] = 111506,
  [SMALL_STATE(2485)] = 111513,
  [SMALL_STATE(2486)] = 111520,
  [SMALL_STATE(2487)] = 111527,
  [SMALL_STATE(2488)] = 111534,
  [SMALL_STATE(2489)] = 111541,
  [SMALL_STATE(2490)] = 111548,
  [SMALL_STATE(2491)] = 111555,
  [SMALL_STATE(2492)] = 111562,
  [SMALL_STATE(2493)] = 111569,
  [SMALL_STATE(2494)] = 111576,
  [SMALL_STATE(2495)] = 111583,
  [SMALL_STATE(2496)] = 111590,
  [SMALL_STATE(2497)] = 111597,
  [SMALL_STATE(2498)] = 111604,
  [SMALL_STATE(2499)] = 111611,
  [SMALL_STATE(2500)] = 111618,
  [SMALL_STATE(2501)] = 111625,
  [SMALL_STATE(2502)] = 111632,
  [SMALL_STATE(2503)] = 111639,
  [SMALL_STATE(2504)] = 111646,
  [SMALL_STATE(2505)] = 111653,
  [SMALL_STATE(2506)] = 111660,
  [SMALL_STATE(2507)] = 111667,
  [SMALL_STATE(2508)] = 111674,
  [SMALL_STATE(2509)] = 111681,
  [SMALL_STATE(2510)] = 111688,
  [SMALL_STATE(2511)] = 111695,
  [SMALL_STATE(2512)] = 111702,
  [SMALL_STATE(2513)] = 111709,
  [SMALL_STATE(2514)] = 111716,
  [SMALL_STATE(2515)] = 111723,
  [SMALL_STATE(2516)] = 111730,
  [SMALL_STATE(2517)] = 111737,
  [SMALL_STATE(2518)] = 111744,
  [SMALL_STATE(2519)] = 111751,
  [SMALL_STATE(2520)] = 111758,
  [SMALL_STATE(2521)] = 111765,
  [SMALL_STATE(2522)] = 111772,
  [SMALL_STATE(2523)] = 111779,
  [SMALL_STATE(2524)] = 111786,
  [SMALL_STATE(2525)] = 111793,
  [SMALL_STATE(2526)] = 111800,
  [SMALL_STATE(2527)] = 111807,
  [SMALL_STATE(2528)] = 111814,
  [SMALL_STATE(2529)] = 111821,
  [SMALL_STATE(2530)] = 111828,
  [SMALL_STATE(2531)] = 111835,
  [SMALL_STATE(2532)] = 111842,
  [SMALL_STATE(2533)] = 111849,
  [SMALL_STATE(2534)] = 111856,
  [SMALL_STATE(2535)] = 111863,
  [SMALL_STATE(2536)] = 111870,
  [SMALL_STATE(2537)] = 111877,
  [SMALL_STATE(2538)] = 111884,
  [SMALL_STATE(2539)] = 111891,
  [SMALL_STATE(2540)] = 111898,
  [SMALL_STATE(2541)] = 111905,
  [SMALL_STATE(2542)] = 111912,
  [SMALL_STATE(2543)] = 111919,
  [SMALL_STATE(2544)] = 111926,
  [SMALL_STATE(2545)] = 111933,
  [SMALL_STATE(2546)] = 111940,
  [SMALL_STATE(2547)] = 111947,
  [SMALL_STATE(2548)] = 111954,
  [SMALL_STATE(2549)] = 111961,
  [SMALL_STATE(2550)] = 111968,
  [SMALL_STATE(2551)] = 111975,
  [SMALL_STATE(2552)] = 111982,
  [SMALL_STATE(2553)] = 111989,
  [SMALL_STATE(2554)] = 111996,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(128),
  [140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(135),
  [143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(153),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2551),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1950),
  [152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1730),
  [155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(800),
  [158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(39),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(469),
  [164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(328),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(287),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2221),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2222),
  [179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2228),
  [182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2390),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2391),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(494),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(422),
  [194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(536),
  [197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(606),
  [200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(431),
  [203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2516),
  [206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(344),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(430),
  [212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(795),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(795),
  [218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1500),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(291),
  [224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(81),
  [230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(544),
  [233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(546),
  [236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(542),
  [242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(916),
  [245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1596),
  [250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1),
  [288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 1),
  [290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1),
  [292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(239),
  [295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(240),
  [301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(808),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(430),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(795),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 4),
  [463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 4),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 4),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 4),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1, 0, 0),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 51),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [1091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, 0, 51),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3, 0, 0),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 64),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 64),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 65),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 65),
  [1107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, 0, 72),
  [1109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, 0, 72),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 2, 0, 0),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 3, 0, 0),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1, 0, 0),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [1207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2, 0, 0),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 3, 0, 0),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1, 0, 0),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 4),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3, 0, 0),
  [1281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 0),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 5),
  [1285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3, 0, 0),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4, 0, 0),
  [1289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 2, 0, 0),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, 0, 42),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, -1, 43),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 3, 0, 0),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 0),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 69),
  [1387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 69),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [1395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 80),
  [1397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 80),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [1401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 67),
  [1413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 67),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [1419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [1425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0), REDUCE(sym_list, 2, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2, 0, 0),
  [1436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0), REDUCE(sym_tuple, 2, 0, 0),
  [1439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2, 0, 0),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 75),
  [1457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 75),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 76),
  [1461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 76),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(395),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0),
  [1474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(499),
  [1477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [1479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 2),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 87),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 87),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, 0, 14),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 14),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, 0, 24),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, 0, 24),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 24),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 24),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 36),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 36),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, 0, 36),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, 0, 36),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_type, 2, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splat_type, 2, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 85),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 85),
  [1516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 85), SHIFT_REPEAT(505),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 5, 0, 0),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 5, 0, 0),
  [1543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 5, 0, 0),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 5, 0, 0),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 6, 0, 39),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 6, 0, 39),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 6, 0, 39),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 6, 0, 39),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 7, 0, 0),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 7, 0, 0),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 7, 0, 0),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 7, 0, 0),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 3, 0, 91),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 3, 0, 91),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [1569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1, 0, 0),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1, 0, 0),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, 0, 0),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, 0, 0),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, 0, 96),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, 0, 96),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 4, 0, 96),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 4, 0, 96),
  [1593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 2, 0, 0),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [1613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 80),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 80),
  [1617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 93),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 93),
  [1621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 95),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 95),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [1639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, 0, 67),
  [1641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, 0, 67),
  [1643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 98),
  [1645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 98),
  [1647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 73),
  [1649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 73),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [1653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, 0, 76),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, 0, 76),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 79),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 79),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 69),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 69),
  [1665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, 0, 68),
  [1667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 68),
  [1669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [1671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 3, 0, 0),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 89),
  [1675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 89),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, 0, 80),
  [1679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 80),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 69),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 69),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, 0, 91),
  [1691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, 0, 91),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 100),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 100),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_python_function_definition, 5, 0, 17),
  [1699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_python_function_definition, 5, 0, 17),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_python_function_definition, 6, 0, 31),
  [1703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_python_function_definition, 6, 0, 31),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_separator, 1, 0, 0),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_python_function_definition, 7, 0, 47),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_python_function_definition, 7, 0, 47),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_python_function_definition, 8, 0, 62),
  [1723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_python_function_definition, 8, 0, 62),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, 0, 70),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, 0, 70),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 74),
  [1731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 74),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 77),
  [1735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 77),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 78),
  [1739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 78),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 81),
  [1743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 81),
  [1745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 84),
  [1747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 84),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 86),
  [1751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 86),
  [1753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, 0, 88),
  [1755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, 0, 88),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 90),
  [1759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 90),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 69),
  [1763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 69),
  [1765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 92),
  [1767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 92),
  [1769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 94),
  [1771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 94),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [1775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [1777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, 0, 80),
  [1779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, 0, 80),
  [1781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 97),
  [1783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 97),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 99),
  [1787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 99),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [1939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [1941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [1943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1596),
  [1946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [1948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [1950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1551),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1539),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1568),
  [2053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1542),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await, 2, 0, 0),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await, 2, 0, 0),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, 0, 13),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, 0, 13),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, 0, 25),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, 0, 25),
  [2068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, 0, 6),
  [2070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, 0, 6),
  [2072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1590),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, 0, 26),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, 0, 26),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_python_string, 2, 0, 0),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_python_string, 2, 0, 0),
  [2083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1555),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_python_string, 3, 0, 0),
  [2142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_python_string, 3, 0, 0),
  [2144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 15),
  [2146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 15),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2, 0, 0),
  [2214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2, 0, 0),
  [2216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 7),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 7),
  [2220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [2222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [2224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3, 0, 0),
  [2230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3, 0, 0),
  [2232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3, 0, 0),
  [2234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3, 0, 0),
  [2236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3, 0, 0),
  [2238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3, 0, 0),
  [2240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, 0, 20),
  [2246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, 0, 20),
  [2248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_expression, 4, 0, 20),
  [2250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_expression, 4, 0, 20),
  [2252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4, 0, 0),
  [2254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4, 0, 0),
  [2256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, 0, 20),
  [2258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, 0, 20),
  [2260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, 0, 20),
  [2262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, 0, 20),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 19),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 19),
  [2272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5, 0, 0),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5, 0, 0),
  [2276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 19),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 19),
  [2280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 19),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 19),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1561),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0),
  [2365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(2434),
  [2368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(1775),
  [2371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(2384),
  [2374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(2480),
  [2377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(1823),
  [2380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(2492),
  [2383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(2260),
  [2386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(2493),
  [2389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(2523),
  [2392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(2366),
  [2395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(2281),
  [2398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(2284),
  [2401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(2309),
  [2404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(2439),
  [2407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(1482),
  [2410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(2231),
  [2413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 1, 0, 0),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2, 0, 8),
  [2441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2, 0, 8),
  [2443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16),
  [2445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16),
  [2447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(737),
  [2450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(2389),
  [2453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(737),
  [2456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(682),
  [2459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(708),
  [2462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(2484),
  [2465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(708),
  [2468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(688),
  [2471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(712),
  [2474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(2430),
  [2477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(712),
  [2480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(689),
  [2483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(748),
  [2486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(2443),
  [2489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(748),
  [2492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(686),
  [2495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(797),
  [2498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(2363),
  [2501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(797),
  [2504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(685),
  [2507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(826),
  [2510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(2373),
  [2513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(826),
  [2516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(680),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 0),
  [2521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(744),
  [2524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(2441),
  [2527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(744),
  [2530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(683),
  [2533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(821),
  [2536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(2350),
  [2539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(821),
  [2542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(681),
  [2545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(752),
  [2548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(2452),
  [2551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(752),
  [2554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(684),
  [2557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pattern_list_repeat1, 2, 0, 0),
  [2559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_list_repeat1, 2, 0, 0), SHIFT_REPEAT(632),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 0),
  [2584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 0),
  [2586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [2624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__right_hand_side, 1, 0, 0),
  [2638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_list_repeat1, 2, 0, 0), SHIFT_REPEAT(643),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [2679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(701),
  [2682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(2336),
  [2685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(701),
  [2688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 16), SHIFT_REPEAT(687),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3, 0, 0),
  [2693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2, 0, 0),
  [2695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 3, 0, 0),
  [2697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 3, 0, 0),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [2701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override, 2, 0, 0),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override, 2, 0, 0),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [2707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2, 0, 0),
  [2709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2, 0, 0),
  [2711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2, 0, 0), SHIFT_REPEAT(1947),
  [2714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 2, 0, 0),
  [2716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 2, 0, 0),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [2720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_override_repeat1, 2, 0, 0),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_override_repeat1, 2, 0, 0),
  [2724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_expansion, 3, 0, 0),
  [2726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_expansion, 3, 0, 0),
  [2728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_expansion, 2, 0, 0),
  [2730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_expansion, 2, 0, 0),
  [2732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, 0, 13),
  [2734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, 0, 5),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 1, 0, 0),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 40), SHIFT(259),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, 0, 10),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 11),
  [2815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 11), SHIFT(435),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, 0, 12),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [2850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override, 3, 0, 0),
  [2852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override, 3, 0, 0),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, 0, 23),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 0),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [2908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [2910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1581),
  [2913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1581),
  [2916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(517),
  [2919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2301),
  [2922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_python_string_repeat1, 2, 0, 0), SHIFT_REPEAT(164),
  [2925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_python_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1671),
  [2928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_python_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1671),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_python_string_repeat1, 2, 0, 0),
  [2933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_override_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [2936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override, 4, 0, 0),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override, 4, 0, 0),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2, 0, 0),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [2986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 11), SHIFT(413),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_flag, 3, 0, 0),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_flag, 3, 0, 0),
  [2993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_override_repeat1, 3, 0, 0),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_override_repeat1, 3, 0, 0),
  [2997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__f_expression, 1, 0, 0),
  [2999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1617),
  [3002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [3004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1617),
  [3007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(521),
  [3010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(2248),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_operator, 2, 0, 5),
  [3017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 2, 0, 0),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 11), SHIFT(519),
  [3034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, 0, 12),
  [3036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_operator, 3, 0, 13),
  [3038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 11), SHIFT(450),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [3055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 11), SHIFT(444),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3, 0, 0),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0),
  [3062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 11), SHIFT(402),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [3071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_python, 3, 0, 0),
  [3073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_python, 3, 0, 0),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [3089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1, 0, 0),
  [3091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 11), SHIFT(484),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_inherit_directive_repeat1, 2, 0, 0),
  [3100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inherit_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(1667),
  [3103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inherit_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(466),
  [3106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inherit_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(2316),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_content, 1, 0, 0),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [3125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inherit_directive, 2, 0, 0),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [3133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2, 0, 0),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [3139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, 0, 30),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [3143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 11), SHIFT(490),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1686),
  [3155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1686),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 11), SHIFT(478),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 21),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, -1, 5),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2, 0, 0),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [3201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0),
  [3203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(508),
  [3206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2368),
  [3209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(615),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [3216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [3218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [3220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2, 0, 0),
  [3222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(488),
  [3225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2553),
  [3228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(613),
  [3231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(462),
  [3234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2552),
  [3237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(624),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1, 0, 0),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [3272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 5),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [3282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 35),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2, 0, 0),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [3302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2, 0, 0),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 4, 0, 61),
  [3314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 6, 0, 63),
  [3316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 6, 0, 63),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 64),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 38),
  [3324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 65),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 11),
  [3330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5, 0, 0),
  [3332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [3334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 0),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [3338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 40),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [3350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, 0, 11),
  [3352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2, 0, 0),
  [3354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2, 0, 0),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [3358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_list_repeat1, 2, 0, 0), SHIFT_REPEAT(628),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 72),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [3367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0),
  [3369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(376),
  [3372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(463),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 18),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 18),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrained_type, 3, 0, 0),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 3, 0, 44),
  [3389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_type, 3, 0, 0),
  [3391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [3393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, 0, 51),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 46),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [3415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, 0, 52),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [3419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 48),
  [3421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 48),
  [3423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 49),
  [3425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 49),
  [3427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0),
  [3429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2518),
  [3432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 33),
  [3434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 33),
  [3436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 50),
  [3438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 50),
  [3440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 0),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 34),
  [3446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 34),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 0),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [3460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(358),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 18),
  [3473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 18),
  [3475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(367),
  [3478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2, 0, 0),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, 0, 22),
  [3486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [3488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1, 0, 0),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_functions_statement_repeat1, 2, 0, 0),
  [3512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_functions_statement_repeat1, 2, 0, 0),
  [3514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_functions_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1854),
  [3517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 3, 0, 41),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [3525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 11), SHIFT(425),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [3540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2, 0, 0),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [3548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, 0, 23),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [3560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(163),
  [3563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0),
  [3565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1878),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [3588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0),
  [3590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(524),
  [3593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1888),
  [3596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, 0, 29),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [3608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, 0, 10),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [3614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 29),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2541),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [3633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [3641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1, 0, 0),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [3645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_addtask_statement, 4, 0, 0),
  [3647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_addtask_statement, 4, 0, 0),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [3651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [3653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_functions_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1928),
  [3656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [3658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(500),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [3665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 2, 0, 0),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [3669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2, 0, 0),
  [3671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2507),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [3676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 42),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [3692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 55),
  [3694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 55), SHIFT_REPEAT(2039),
  [3697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_addtask_statement, 6, 0, 0),
  [3699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_addtask_statement, 6, 0, 0),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [3703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_prefix, 1, 0, 0),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [3707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 54),
  [3709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_functions_statement, 2, 0, 0),
  [3711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_functions_statement, 2, 0, 0),
  [3713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 41),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [3717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2, 0, 0),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_addtask_statement, 2, 0, 0),
  [3723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_addtask_statement, 2, 0, 0),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [3729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 2, 0, 0),
  [3731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 2, 0, 0),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [3735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_prefix_repeat1, 2, 0, 0),
  [3737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_prefix_repeat1, 2, 0, 0), SHIFT_REPEAT(1967),
  [3740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 43),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, 0, 30),
  [3746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(471),
  [3749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_functions_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [3752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, 0, 0),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3, 0, 0),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [3760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2, 0, 0), SHIFT_REPEAT(1981),
  [3763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 60),
  [3765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 60), SHIFT_REPEAT(503),
  [3768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 3, 0, 0),
  [3770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 3, 0, 0),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [3778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [3790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 37),
  [3792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 37), SHIFT_REPEAT(361),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [3807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_import, 3, 0, 56),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [3811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1, 0, 0),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 1, 0, 0),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [3834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_list_repeat1, 2, 0, 0), SHIFT_REPEAT(633),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 1, 0, 0),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [3863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(465),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0),
  [3878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(392),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [3883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_import, 1, 0, 0),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [3899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(173),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [3922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0), SHIFT_REPEAT(79),
  [3925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_list_repeat1, 2, 0, 0), SHIFT_REPEAT(636),
  [3934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0),
  [3936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1516),
  [3939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(279),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [3978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 32),
  [3980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 32),
  [3982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_override_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [3985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2449),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 55), SHIFT_REPEAT(2134),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [4051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(391),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_overrides_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2542),
  [4065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_overrides_statement_repeat1, 2, 0, 0),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0),
  [4091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0), SHIFT_REPEAT(312),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [4098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(288),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, 0, 30),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_list_repeat1, 2, 0, 0), SHIFT_REPEAT(642),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [4180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(506),
  [4183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1521),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [4192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(277),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(493),
  [4202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 6, 0, 83),
  [4204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, 0, 28),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [4210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_python_function, 9, 0, 66),
  [4212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_python_function, 9, 0, 66),
  [4214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deltask_statement, 2, 0, 0),
  [4216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_deltask_statement, 2, 0, 0),
  [4218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_addhandler_statement, 2, 0, 0),
  [4220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_addhandler_statement, 2, 0, 0),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1, 0, 0),
  [4224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [4226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 19),
  [4228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overrides_statement, 6, 0, 0),
  [4230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overrides_statement, 6, 0, 0),
  [4232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 0),
  [4234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [4240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, 0, 71),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [4244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, 0, 3),
  [4246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, 0, 3),
  [4248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_python_function, 7, 0, 39),
  [4250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_python_function, 7, 0, 39),
  [4252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_directive, 2, 0, 0),
  [4254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_directive, 2, 0, 0),
  [4256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [4266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 0),
  [4268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 0),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [4272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_python_function, 7, 0, 0),
  [4274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_python_function, 7, 0, 0),
  [4276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_python_function, 8, 0, 0),
  [4278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_python_function, 8, 0, 0),
  [4280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_directive, 2, 0, 0),
  [4282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_require_directive, 2, 0, 0),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [4286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [4288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [4290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 4, 0, 57),
  [4292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 4, 0, 9),
  [4294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 4, 0, 9),
  [4296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_python_function, 8, 0, 53),
  [4298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_python_function, 8, 0, 53),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [4306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [4308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_import, 1, 0, 0),
  [4310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 0),
  [4312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 0),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [4332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [4334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [4340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 45),
  [4342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_separator, 1, 0, 0),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [4346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 0),
  [4348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 0),
  [4350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_python_function, 10, 0, 0),
  [4352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_python_function, 10, 0, 0),
  [4354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 6, 0, 82),
  [4356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, 0, 13),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [4362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [4364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, 0, 58),
  [4366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overrides_statement, 5, 0, 0),
  [4368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_overrides_statement, 5, 0, 0),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [4374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 0),
  [4376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 0),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_python_function, 6, 0, 27),
  [4380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_python_function, 6, 0, 27),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [4388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, 0, 59),
  [4390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_python_function, 9, 0, 0),
  [4392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_python_function, 9, 0, 0),
  [4394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 3, 0, 0),
  [4396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 3, 0, 0),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 19),
  [4400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 4, 0, 0),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [4476] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [4486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_import, 2, 0, 0),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [4522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 5, 0, 0),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [4776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1, 0, 0),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__concat = 0,
  ts_external_token__newline = 1,
  ts_external_token__indent = 2,
  ts_external_token__dedent = 3,
  ts_external_token_string_start = 4,
  ts_external_token__string_content = 5,
  ts_external_token_escape_interpolation = 6,
  ts_external_token_string_end = 7,
  ts_external_token_comment = 8,
  ts_external_token_RBRACK = 9,
  ts_external_token_RPAREN = 10,
  ts_external_token_RBRACE = 11,
  ts_external_token_shell_content = 12,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__concat] = sym__concat,
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token_string_start] = sym_string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token_escape_interpolation] = sym_escape_interpolation,
  [ts_external_token_string_end] = sym_string_end,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_RPAREN] = anon_sym_RPAREN,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_shell_content] = sym_shell_content,
};

static const bool ts_external_scanner_states[17][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__concat] = true,
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_RPAREN] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_shell_content] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [6] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [7] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [8] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [9] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [10] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
  },
  [11] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [12] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [13] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [14] = {
    [ts_external_token__concat] = true,
    [ts_external_token_comment] = true,
  },
  [15] = {
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
  },
  [16] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_shell_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_bitbake_external_scanner_create(void);
void tree_sitter_bitbake_external_scanner_destroy(void *);
bool tree_sitter_bitbake_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_bitbake_external_scanner_serialize(void *, char *);
void tree_sitter_bitbake_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_bitbake(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_bitbake_external_scanner_create,
      tree_sitter_bitbake_external_scanner_destroy,
      tree_sitter_bitbake_external_scanner_scan,
      tree_sitter_bitbake_external_scanner_serialize,
      tree_sitter_bitbake_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
